// Code generated by github.com/99designs/gqlgen, DO NOT EDIT.

package generated

import (
	"bytes"
	"context"
	"errors"
	"fmt"
	"strconv"
	"sync"
	"sync/atomic"

	"github.com/99designs/gqlgen/graphql"
	"github.com/99designs/gqlgen/graphql/introspection"
	"github.com/99designs/gqlgen/plugin/federation/fedruntime"
	gqlparser "github.com/vektah/gqlparser/v2"
	"github.com/vektah/gqlparser/v2/ast"
)

// region    ************************** generated!.gotpl **************************

// NewExecutableSchema creates an ExecutableSchema from the ResolverRoot interface.
func NewExecutableSchema(cfg Config) graphql.ExecutableSchema {
	return &executableSchema{
		resolvers:  cfg.Resolvers,
		directives: cfg.Directives,
		complexity: cfg.Complexity,
	}
}

type Config struct {
	Resolvers  ResolverRoot
	Directives DirectiveRoot
	Complexity ComplexityRoot
}

type ResolverRoot interface {
	Entity() EntityResolver
}

type DirectiveRoot struct {
	InContext func(ctx context.Context, obj interface{}, next graphql.Resolver, language *LanguageCode, country *CountryCode) (res interface{}, err error)
}

type ComplexityRoot struct {
	AccessScope struct {
		Description func(childComplexity int) int
		Handle      func(childComplexity int) int
	}

	App struct {
		ID func(childComplexity int) int
	}

	AppConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	AppCredit struct {
		Amount      func(childComplexity int) int
		CreatedAt   func(childComplexity int) int
		Description func(childComplexity int) int
		ID          func(childComplexity int) int
		Test        func(childComplexity int) int
	}

	AppCreditConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	AppCreditEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	AppEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	AppFeedback struct {
		App      func(childComplexity int) int
		Link     func(childComplexity int) int
		Messages func(childComplexity int) int
	}

	AppInstallation struct {
		AccessScopes              func(childComplexity int) int
		ActiveSubscriptions       func(childComplexity int) int
		AllSubscriptions          func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *AppSubscriptionSortKeys) int
		App                       func(childComplexity int) int
		Credits                   func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *AppTransactionSortKeys) int
		ID                        func(childComplexity int) int
		LaunchURL                 func(childComplexity int) int
		Metafield                 func(childComplexity int, namespace string, key string) int
		Metafields                func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		OneTimePurchases          func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *AppTransactionSortKeys) int
		PrivateMetafield          func(childComplexity int, namespace string, key string) int
		PrivateMetafields         func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		Publication               func(childComplexity int) int
		RevenueAttributionRecords func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *AppRevenueAttributionRecordSortKeys) int
		UninstallURL              func(childComplexity int) int
	}

	AppPlanV2 struct {
		PricingDetails func(childComplexity int) int
	}

	AppPurchaseOneTime struct {
		CreatedAt func(childComplexity int) int
		ID        func(childComplexity int) int
		Name      func(childComplexity int) int
		Price     func(childComplexity int) int
		Status    func(childComplexity int) int
		Test      func(childComplexity int) int
	}

	AppPurchaseOneTimeConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	AppPurchaseOneTimeEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	AppRecurringPricing struct {
		Discount func(childComplexity int) int
		Interval func(childComplexity int) int
		Price    func(childComplexity int) int
	}

	AppRevenueAttributionRecord struct {
		Amount         func(childComplexity int) int
		CapturedAt     func(childComplexity int) int
		CreatedAt      func(childComplexity int) int
		ID             func(childComplexity int) int
		IdempotencyKey func(childComplexity int) int
		Test           func(childComplexity int) int
		Type           func(childComplexity int) int
	}

	AppRevenueAttributionRecordConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	AppRevenueAttributionRecordEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	AppSubscription struct {
		CreatedAt        func(childComplexity int) int
		CurrentPeriodEnd func(childComplexity int) int
		ID               func(childComplexity int) int
		LineItems        func(childComplexity int) int
		Name             func(childComplexity int) int
		ReturnURL        func(childComplexity int) int
		Status           func(childComplexity int) int
		Test             func(childComplexity int) int
		TrialDays        func(childComplexity int) int
	}

	AppSubscriptionConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	AppSubscriptionDiscount struct {
		DurationLimitInIntervals     func(childComplexity int) int
		PriceAfterDiscount           func(childComplexity int) int
		RemainingDurationInIntervals func(childComplexity int) int
		Value                        func(childComplexity int) int
	}

	AppSubscriptionDiscountAmount struct {
		Amount func(childComplexity int) int
	}

	AppSubscriptionDiscountPercentage struct {
		Percentage func(childComplexity int) int
	}

	AppSubscriptionEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	AppSubscriptionLineItem struct {
		ID           func(childComplexity int) int
		Plan         func(childComplexity int) int
		UsageRecords func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *AppUsageRecordSortKeys) int
	}

	AppUsagePricing struct {
		BalanceUsed  func(childComplexity int) int
		CappedAmount func(childComplexity int) int
		Interval     func(childComplexity int) int
		Terms        func(childComplexity int) int
	}

	AppUsageRecord struct {
		CreatedAt            func(childComplexity int) int
		Description          func(childComplexity int) int
		ID                   func(childComplexity int) int
		Price                func(childComplexity int) int
		SubscriptionLineItem func(childComplexity int) int
	}

	AppUsageRecordConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	AppUsageRecordEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	Attribute struct {
		Key   func(childComplexity int) int
		Value func(childComplexity int) int
	}

	AutomaticDiscountApplication struct {
		AllocationMethod func(childComplexity int) int
		Index            func(childComplexity int) int
		TargetSelection  func(childComplexity int) int
		TargetType       func(childComplexity int) int
		Title            func(childComplexity int) int
		Value            func(childComplexity int) int
	}

	AvailableChannelDefinitionsByChannel struct {
		ChannelDefinitions func(childComplexity int) int
		ChannelName        func(childComplexity int) int
	}

	BasicEvent struct {
		AppTitle        func(childComplexity int) int
		AttributeToApp  func(childComplexity int) int
		AttributeToUser func(childComplexity int) int
		CreatedAt       func(childComplexity int) int
		CriticalAlert   func(childComplexity int) int
		ID              func(childComplexity int) int
		Message         func(childComplexity int) int
	}

	BuyerExperienceConfiguration struct {
		CheckoutToDraft      func(childComplexity int) int
		PayNowOnly           func(childComplexity int) int
		PaymentTermsTemplate func(childComplexity int) int
	}

	ChannelDefinition struct {
		ChannelName    func(childComplexity int) int
		Handle         func(childComplexity int) int
		ID             func(childComplexity int) int
		SVGIcon        func(childComplexity int) int
		SubChannelName func(childComplexity int) int
	}

	ChannelInformation struct {
		App               func(childComplexity int) int
		ChannelDefinition func(childComplexity int) int
		ChannelID         func(childComplexity int) int
		ID                func(childComplexity int) int
	}

	Collection struct {
		ID func(childComplexity int) int
	}

	CollectionConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CollectionEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CollectionRule struct {
		AppliedDisjunctively func(childComplexity int) int
		Rules                func(childComplexity int) int
	}

	CollectionRuleSet struct {
		AppliedDisjunctively func(childComplexity int) int
		Rules                func(childComplexity int) int
	}

	CommentEvent struct {
		AppTitle        func(childComplexity int) int
		Attachments     func(childComplexity int) int
		AttributeToApp  func(childComplexity int) int
		AttributeToUser func(childComplexity int) int
		Author          func(childComplexity int) int
		CanDelete       func(childComplexity int) int
		CanEdit         func(childComplexity int) int
		CreatedAt       func(childComplexity int) int
		CriticalAlert   func(childComplexity int) int
		Edited          func(childComplexity int) int
		Embed           func(childComplexity int) int
		ID              func(childComplexity int) int
		Message         func(childComplexity int) int
		RawMessage      func(childComplexity int) int
		Subject         func(childComplexity int) int
	}

	CommentEventAttachment struct {
		FileExtension func(childComplexity int) int
		ID            func(childComplexity int) int
		Image         func(childComplexity int) int
		Name          func(childComplexity int) int
		Size          func(childComplexity int) int
		URL           func(childComplexity int) int
	}

	Company struct {
		ContactCount       func(childComplexity int) int
		ContactRoles       func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *CompanyContactRoleSortKeys) int
		Contacts           func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *CompanyContactSortKeys, query *string) int
		CreatedAt          func(childComplexity int) int
		CustomerSince      func(childComplexity int) int
		DefaultCursor      func(childComplexity int) int
		DefaultRole        func(childComplexity int) int
		DraftOrders        func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *DraftOrderSortKeys, query *string) int
		Events             func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *EventSortKeys, query *string) int
		ExternalID         func(childComplexity int) int
		HasTimelineComment func(childComplexity int) int
		ID                 func(childComplexity int) int
		LifetimeDuration   func(childComplexity int) int
		LocationCount      func(childComplexity int) int
		Locations          func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *CompanyLocationSortKeys, query *string) int
		MainContact        func(childComplexity int) int
		Name               func(childComplexity int) int
		Note               func(childComplexity int) int
		OrderCount         func(childComplexity int) int
		Orders             func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *OrderSortKeys) int
		TotalSpent         func(childComplexity int) int
		UpdatedAt          func(childComplexity int) int
	}

	CompanyAddress struct {
		Address1      func(childComplexity int) int
		Address2      func(childComplexity int) int
		City          func(childComplexity int) int
		CompanyName   func(childComplexity int) int
		Country       func(childComplexity int) int
		CountryCode   func(childComplexity int) int
		CreatedAt     func(childComplexity int) int
		FormattedArea func(childComplexity int) int
		ID            func(childComplexity int) int
		Phone         func(childComplexity int) int
		Province      func(childComplexity int) int
		Recipient     func(childComplexity int) int
		UpdatedAt     func(childComplexity int) int
		Zip           func(childComplexity int) int
		ZoneCode      func(childComplexity int) int
	}

	CompanyContact struct {
		Company          func(childComplexity int) int
		CreatedAt        func(childComplexity int) int
		Customer         func(childComplexity int) int
		DraftOrders      func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *DraftOrderSortKeys, query *string) int
		ID               func(childComplexity int) int
		IsMainContact    func(childComplexity int) int
		LifetimeDuration func(childComplexity int) int
		Locale           func(childComplexity int) int
		Orders           func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *OrderSortKeys) int
		RoleAssignments  func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *CompanyContactRoleAssignmentSortKeys, query *string) int
		Title            func(childComplexity int) int
		UpdatedAt        func(childComplexity int) int
	}

	CompanyContactConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CompanyContactEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CompanyContactRole struct {
		ID   func(childComplexity int) int
		Name func(childComplexity int) int
		Note func(childComplexity int) int
	}

	CompanyContactRoleAssignment struct {
		Company         func(childComplexity int) int
		CompanyContact  func(childComplexity int) int
		CompanyLocation func(childComplexity int) int
		CreatedAt       func(childComplexity int) int
		ID              func(childComplexity int) int
		Role            func(childComplexity int) int
		UpdatedAt       func(childComplexity int) int
	}

	CompanyContactRoleAssignmentConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CompanyContactRoleAssignmentEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CompanyContactRoleConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CompanyContactRoleEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CompanyLocation struct {
		BillingAddress               func(childComplexity int) int
		BuyerExperienceConfiguration func(childComplexity int) int
		Company                      func(childComplexity int) int
		CreatedAt                    func(childComplexity int) int
		Currency                     func(childComplexity int) int
		DefaultCursor                func(childComplexity int) int
		DraftOrders                  func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *DraftOrderSortKeys, query *string) int
		Events                       func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *EventSortKeys, query *string) int
		ExternalID                   func(childComplexity int) int
		HasTimelineComment           func(childComplexity int) int
		ID                           func(childComplexity int) int
		Locale                       func(childComplexity int) int
		Market                       func(childComplexity int) int
		Name                         func(childComplexity int) int
		Note                         func(childComplexity int) int
		OrderCount                   func(childComplexity int) int
		Orders                       func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *OrderSortKeys) int
		Phone                        func(childComplexity int) int
		RoleAssignments              func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *CompanyContactRoleAssignmentSortKeys, query *string) int
		ShippingAddress              func(childComplexity int) int
		TaxExemptions                func(childComplexity int) int
		TaxRegistrationID            func(childComplexity int) int
		TotalSpent                   func(childComplexity int) int
		UpdatedAt                    func(childComplexity int) int
	}

	CompanyLocationConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CompanyLocationEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CountriesInShippingZones struct {
		CountryCodes       func(childComplexity int) int
		IncludeRestOfWorld func(childComplexity int) int
	}

	CountryHarmonizedSystemCode struct {
		CountryCode          func(childComplexity int) int
		HarmonizedSystemCode func(childComplexity int) int
	}

	CountryHarmonizedSystemCodeConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CountryHarmonizedSystemCodeEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CurrencyFormats struct {
		MoneyFormat                     func(childComplexity int) int
		MoneyInEmailsFormat             func(childComplexity int) int
		MoneyWithCurrencyFormat         func(childComplexity int) int
		MoneyWithCurrencyInEmailsFormat func(childComplexity int) int
	}

	CurrencySetting struct {
		CurrencyCode  func(childComplexity int) int
		CurrencyName  func(childComplexity int) int
		Enabled       func(childComplexity int) int
		RateUpdatedAt func(childComplexity int) int
	}

	CurrencySettingConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CurrencySettingEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	Customer struct {
		ID func(childComplexity int) int
	}

	CustomerCreditCard struct {
		BillingAddress    func(childComplexity int) int
		Brand             func(childComplexity int) int
		ExpiresSoon       func(childComplexity int) int
		ExpiryMonth       func(childComplexity int) int
		ExpiryYear        func(childComplexity int) int
		FirstDigits       func(childComplexity int) int
		IsRevocable       func(childComplexity int) int
		LastDigits        func(childComplexity int) int
		MaskedNumber      func(childComplexity int) int
		Name              func(childComplexity int) int
		Source            func(childComplexity int) int
		VirtualLastDigits func(childComplexity int) int
	}

	CustomerCreditCardBillingAddress struct {
		Address1     func(childComplexity int) int
		City         func(childComplexity int) int
		Country      func(childComplexity int) int
		CountryCode  func(childComplexity int) int
		Province     func(childComplexity int) int
		ProvinceCode func(childComplexity int) int
		Zip          func(childComplexity int) int
	}

	CustomerEmailMarketingConsentState struct {
		ConsentUpdatedAt    func(childComplexity int) int
		MarketingOptInLevel func(childComplexity int) int
		MarketingState      func(childComplexity int) int
	}

	CustomerJourneySummary struct {
		CustomerOrderIndex func(childComplexity int) int
		DaysToConversion   func(childComplexity int) int
		FirstVisit         func(childComplexity int) int
		LastVisit          func(childComplexity int) int
		Moments            func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		MomentsCount       func(childComplexity int) int
		Ready              func(childComplexity int) int
	}

	CustomerMomentConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CustomerMomentEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CustomerPaymentInstrumentBillingAddress struct {
		Address1     func(childComplexity int) int
		City         func(childComplexity int) int
		Country      func(childComplexity int) int
		CountryCode  func(childComplexity int) int
		Name         func(childComplexity int) int
		Province     func(childComplexity int) int
		ProvinceCode func(childComplexity int) int
		Zip          func(childComplexity int) int
	}

	CustomerPaymentMethod struct {
		Customer              func(childComplexity int) int
		ID                    func(childComplexity int) int
		Instrument            func(childComplexity int) int
		RevokedAt             func(childComplexity int) int
		RevokedReason         func(childComplexity int) int
		SubscriptionContracts func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
	}

	CustomerPaymentMethodConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	CustomerPaymentMethodEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	CustomerPaypalBillingAgreement struct {
		BillingAddress     func(childComplexity int) int
		Inactive           func(childComplexity int) int
		IsRevocable        func(childComplexity int) int
		PaypalAccountEmail func(childComplexity int) int
	}

	CustomerShopPayAgreement struct {
		ExpiresSoon  func(childComplexity int) int
		ExpiryMonth  func(childComplexity int) int
		ExpiryYear   func(childComplexity int) int
		Inactive     func(childComplexity int) int
		IsRevocable  func(childComplexity int) int
		LastDigits   func(childComplexity int) int
		MaskedNumber func(childComplexity int) int
		Name         func(childComplexity int) int
	}

	CustomerSmsMarketingConsentState struct {
		ConsentCollectedFrom func(childComplexity int) int
		ConsentUpdatedAt     func(childComplexity int) int
		MarketingOptInLevel  func(childComplexity int) int
		MarketingState       func(childComplexity int) int
	}

	CustomerStatistics struct {
		PredictedSpendTier func(childComplexity int) int
	}

	CustomerVisit struct {
		ID                func(childComplexity int) int
		LandingPage       func(childComplexity int) int
		LandingPageHTML   func(childComplexity int) int
		MarketingEvent    func(childComplexity int) int
		OccurredAt        func(childComplexity int) int
		ReferralCode      func(childComplexity int) int
		ReferralInfoHTML  func(childComplexity int) int
		ReferrerURL       func(childComplexity int) int
		Source            func(childComplexity int) int
		SourceDescription func(childComplexity int) int
		SourceType        func(childComplexity int) int
		UtmParameters     func(childComplexity int) int
	}

	DeliveryAvailableService struct {
		Countries func(childComplexity int) int
		Name      func(childComplexity int) int
	}

	DeliveryCarrierService struct {
		AvailableServicesForCountries func(childComplexity int, origins []string, countryCodes []CountryCode, restOfWorld bool) int
		FormattedName                 func(childComplexity int) int
		ID                            func(childComplexity int) int
		Icon                          func(childComplexity int) int
		Name                          func(childComplexity int) int
	}

	DeliveryCondition struct {
		ConditionCriteria func(childComplexity int) int
		Field             func(childComplexity int) int
		ID                func(childComplexity int) int
		Operator          func(childComplexity int) int
	}

	DeliveryCountry struct {
		Code           func(childComplexity int) int
		ID             func(childComplexity int) int
		Name           func(childComplexity int) int
		Provinces      func(childComplexity int) int
		TranslatedName func(childComplexity int) int
	}

	DeliveryCountryAndZone struct {
		Country func(childComplexity int) int
		Zone    func(childComplexity int) int
	}

	DeliveryCountryCodeOrRestOfWorld struct {
		CountryCode func(childComplexity int) int
		RestOfWorld func(childComplexity int) int
	}

	DeliveryCountryCodesOrRestOfWorld struct {
		CountryCodes func(childComplexity int) int
		RestOfWorld  func(childComplexity int) int
	}

	DeliveryLocationGroup struct {
		ID        func(childComplexity int) int
		Locations func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *LocationSortKeys, query *string, includeLegacy *bool, includeInactive *bool) int
	}

	DeliveryLocationGroupZone struct {
		MethodDefinitionCounts func(childComplexity int) int
		MethodDefinitions      func(childComplexity int, eligible *bool, typeArg *DeliveryMethodDefinitionType, first *int, after *string, last *int, before *string, reverse *bool, sortKey *MethodDefinitionSortKeys) int
		Zone                   func(childComplexity int) int
	}

	DeliveryLocationGroupZoneConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	DeliveryLocationGroupZoneEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	DeliveryMethod struct {
		ID                  func(childComplexity int) int
		MaxDeliveryDateTime func(childComplexity int) int
		MethodType          func(childComplexity int) int
		MinDeliveryDateTime func(childComplexity int) int
	}

	DeliveryMethodDefinition struct {
		Active           func(childComplexity int) int
		Description      func(childComplexity int) int
		ID               func(childComplexity int) int
		MethodConditions func(childComplexity int) int
		Name             func(childComplexity int) int
		RateProvider     func(childComplexity int) int
	}

	DeliveryMethodDefinitionConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	DeliveryMethodDefinitionCounts struct {
		ParticipantDefinitionsCount func(childComplexity int) int
		RateDefinitionsCount        func(childComplexity int) int
	}

	DeliveryMethodDefinitionEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	DeliveryParticipant struct {
		AdaptToNewServicesFlag func(childComplexity int) int
		CarrierService         func(childComplexity int) int
		FixedFee               func(childComplexity int) int
		ID                     func(childComplexity int) int
		ParticipantServices    func(childComplexity int) int
		PercentageOfRateFee    func(childComplexity int) int
	}

	DeliveryParticipantService struct {
		Active func(childComplexity int) int
		Name   func(childComplexity int) int
	}

	DeliveryProductVariantsCount struct {
		Capped func(childComplexity int) int
		Count  func(childComplexity int) int
	}

	DeliveryProfile struct {
		ActiveMethodDefinitionsCount func(childComplexity int) int
		Default                      func(childComplexity int) int
		ID                           func(childComplexity int) int
		LegacyMode                   func(childComplexity int) int
		LocationsWithoutRatesCount   func(childComplexity int) int
		Name                         func(childComplexity int) int
		OriginLocationCount          func(childComplexity int) int
		ProductVariantsCountV2       func(childComplexity int) int
		ProfileItems                 func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		ProfileLocationGroups        func(childComplexity int) int
		SellingPlanGroups            func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		UnassignedLocations          func(childComplexity int) int
		ZoneCountryCount             func(childComplexity int) int
	}

	DeliveryProfileItem struct {
		ID       func(childComplexity int) int
		Product  func(childComplexity int) int
		Variants func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
	}

	DeliveryProfileItemConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	DeliveryProfileItemEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	DeliveryProfileLocationGroup struct {
		CountriesInAnyZone func(childComplexity int) int
		LocationGroup      func(childComplexity int) int
		LocationGroupZones func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
	}

	DeliveryProvince struct {
		Code           func(childComplexity int) int
		ID             func(childComplexity int) int
		Name           func(childComplexity int) int
		TranslatedName func(childComplexity int) int
	}

	DeliveryRateDefinition struct {
		ID    func(childComplexity int) int
		Price func(childComplexity int) int
	}

	DeliveryZone struct {
		Countries func(childComplexity int) int
		ID        func(childComplexity int) int
		Name      func(childComplexity int) int
	}

	DiscountAllocation struct {
		AllocatedAmountSet  func(childComplexity int) int
		DiscountApplication func(childComplexity int) int
	}

	DiscountApplicationConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	DiscountApplicationEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	DiscountCodeApplication struct {
		AllocationMethod func(childComplexity int) int
		Code             func(childComplexity int) int
		Index            func(childComplexity int) int
		TargetSelection  func(childComplexity int) int
		TargetType       func(childComplexity int) int
		Value            func(childComplexity int) int
	}

	Domain struct {
		Host              func(childComplexity int) int
		ID                func(childComplexity int) int
		Localization      func(childComplexity int) int
		MarketWebPresence func(childComplexity int) int
		SslEnabled        func(childComplexity int) int
		URL               func(childComplexity int) int
	}

	DomainLocalization struct {
		AlternateLocales func(childComplexity int) int
		Country          func(childComplexity int) int
		DefaultLocale    func(childComplexity int) int
	}

	DraftOrder struct {
		AppliedDiscount                      func(childComplexity int) int
		BillingAddress                       func(childComplexity int) int
		BillingAddressMatchesShippingAddress func(childComplexity int) int
		CompletedAt                          func(childComplexity int) int
		CreatedAt                            func(childComplexity int) int
		CurrencyCode                         func(childComplexity int) int
		CustomAttributes                     func(childComplexity int) int
		Customer                             func(childComplexity int) int
		DefaultCursor                        func(childComplexity int) int
		Email                                func(childComplexity int) int
		Events                               func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *EventSortKeys, query *string) int
		HasTimelineComment                   func(childComplexity int) int
		ID                                   func(childComplexity int) int
		InvoiceEmailTemplateSubject          func(childComplexity int) int
		InvoiceSentAt                        func(childComplexity int) int
		InvoiceURL                           func(childComplexity int) int
		LegacyResourceID                     func(childComplexity int) int
		LineItems                            func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		LineItemsSubtotalPrice               func(childComplexity int) int
		LocalizationExtensions               func(childComplexity int, countryCodes []CountryCode, purposes []LocalizationExtensionPurpose, first *int, after *string, last *int, before *string, reverse *bool) int
		MarketName                           func(childComplexity int) int
		MarketRegionCountryCode              func(childComplexity int) int
		Metafield                            func(childComplexity int, namespace string, key string) int
		Metafields                           func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		Name                                 func(childComplexity int) int
		Note2                                func(childComplexity int) int
		Order                                func(childComplexity int) int
		PaymentTerms                         func(childComplexity int) int
		Phone                                func(childComplexity int) int
		PresentmentCurrencyCode              func(childComplexity int) int
		PrivateMetafield                     func(childComplexity int, namespace string, key string) int
		PrivateMetafields                    func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		PurchasingEntity                     func(childComplexity int) int
		Ready                                func(childComplexity int) int
		ReserveInventoryUntil                func(childComplexity int) int
		ShippingAddress                      func(childComplexity int) int
		ShippingLine                         func(childComplexity int) int
		Status                               func(childComplexity int) int
		SubtotalPrice                        func(childComplexity int) int
		SubtotalPriceSet                     func(childComplexity int) int
		Tags                                 func(childComplexity int) int
		TaxExempt                            func(childComplexity int) int
		TaxLines                             func(childComplexity int) int
		TaxesIncluded                        func(childComplexity int) int
		TotalDiscountsSet                    func(childComplexity int) int
		TotalLineItemsPriceSet               func(childComplexity int) int
		TotalPrice                           func(childComplexity int) int
		TotalPriceSet                        func(childComplexity int) int
		TotalShippingPrice                   func(childComplexity int) int
		TotalShippingPriceSet                func(childComplexity int) int
		TotalTax                             func(childComplexity int) int
		TotalTaxSet                          func(childComplexity int) int
		TotalWeight                          func(childComplexity int) int
		UpdatedAt                            func(childComplexity int) int
		VisibleToCustomer                    func(childComplexity int) int
	}

	DraftOrderAppliedDiscount struct {
		AmountSet   func(childComplexity int) int
		AmountV2    func(childComplexity int) int
		Description func(childComplexity int) int
		Title       func(childComplexity int) int
		Value       func(childComplexity int) int
		ValueType   func(childComplexity int) int
	}

	DraftOrderConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	DraftOrderEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	DraftOrderLineItem struct {
		AppliedDiscount        func(childComplexity int) int
		Custom                 func(childComplexity int) int
		CustomAttributes       func(childComplexity int) int
		CustomAttributesV2     func(childComplexity int) int
		DiscountedTotal        func(childComplexity int) int
		DiscountedTotalSet     func(childComplexity int) int
		DiscountedUnitPrice    func(childComplexity int) int
		DiscountedUnitPriceSet func(childComplexity int) int
		FulfillmentService     func(childComplexity int) int
		ID                     func(childComplexity int) int
		Image                  func(childComplexity int) int
		IsGiftCard             func(childComplexity int) int
		Name                   func(childComplexity int) int
		OriginalTotal          func(childComplexity int) int
		OriginalTotalSet       func(childComplexity int) int
		OriginalUnitPrice      func(childComplexity int) int
		OriginalUnitPriceSet   func(childComplexity int) int
		Product                func(childComplexity int) int
		Quantity               func(childComplexity int) int
		RequiresShipping       func(childComplexity int) int
		Sku                    func(childComplexity int) int
		TaxLines               func(childComplexity int) int
		Taxable                func(childComplexity int) int
		Title                  func(childComplexity int) int
		TotalDiscount          func(childComplexity int) int
		TotalDiscountSet       func(childComplexity int) int
		Variant                func(childComplexity int) int
		VariantTitle           func(childComplexity int) int
		Vendor                 func(childComplexity int) int
		Weight                 func(childComplexity int) int
	}

	DraftOrderLineItemConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	DraftOrderLineItemEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	Duty struct {
		CountryCodeOfOrigin  func(childComplexity int) int
		HarmonizedSystemCode func(childComplexity int) int
		ID                   func(childComplexity int) int
		Price                func(childComplexity int) int
		TaxLines             func(childComplexity int) int
	}

	EditableProperty struct {
		Locked func(childComplexity int) int
		Reason func(childComplexity int) int
	}

	Entity struct {
		FindDraftOrderByID func(childComplexity int, id string) int
		FindOrderByID      func(childComplexity int, id string) int
	}

	EventConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	EventEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FailedRequirement struct {
		Action  func(childComplexity int) int
		Message func(childComplexity int) int
	}

	FileError struct {
		Code    func(childComplexity int) int
		Details func(childComplexity int) int
		Message func(childComplexity int) int
	}

	FilterOption struct {
		Label func(childComplexity int) int
		Value func(childComplexity int) int
	}

	Fulfillment struct {
		CreatedAt            func(childComplexity int) int
		DeliveredAt          func(childComplexity int) int
		DisplayStatus        func(childComplexity int) int
		EstimatedDeliveryAt  func(childComplexity int) int
		Events               func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *FulfillmentEventSortKeys) int
		FulfillmentLineItems func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		FulfillmentOrders    func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		ID                   func(childComplexity int) int
		InTransitAt          func(childComplexity int) int
		LegacyResourceID     func(childComplexity int) int
		Location             func(childComplexity int) int
		Name                 func(childComplexity int) int
		Order                func(childComplexity int) int
		OriginAddress        func(childComplexity int) int
		RequiresShipping     func(childComplexity int) int
		Service              func(childComplexity int) int
		Status               func(childComplexity int) int
		TotalQuantity        func(childComplexity int) int
		TrackingInfo         func(childComplexity int, first *int) int
		UpdatedAt            func(childComplexity int) int
	}

	FulfillmentConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	FulfillmentEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FulfillmentEvent struct {
		HappenedAt func(childComplexity int) int
		ID         func(childComplexity int) int
		Status     func(childComplexity int) int
	}

	FulfillmentEventConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	FulfillmentEventEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FulfillmentHold struct {
		Reason      func(childComplexity int) int
		ReasonNotes func(childComplexity int) int
	}

	FulfillmentLineItem struct {
		DiscountedTotalSet func(childComplexity int) int
		ID                 func(childComplexity int) int
		LineItem           func(childComplexity int) int
		OriginalTotalSet   func(childComplexity int) int
		Quantity           func(childComplexity int) int
	}

	FulfillmentLineItemConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	FulfillmentLineItemEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FulfillmentOrder struct {
		AssignedLocation    func(childComplexity int) int
		DeliveryMethod      func(childComplexity int) int
		Destination         func(childComplexity int) int
		FulfillAt           func(childComplexity int) int
		FulfillBy           func(childComplexity int) int
		FulfillmentHolds    func(childComplexity int) int
		Fulfillments        func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		ID                  func(childComplexity int) int
		InternationalDuties func(childComplexity int) int
		LineItems           func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		LocationsForMove    func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		MerchantRequests    func(childComplexity int, kind *FulfillmentOrderMerchantRequestKind, first *int, after *string, last *int, before *string, reverse *bool) int
		Order               func(childComplexity int) int
		RequestStatus       func(childComplexity int) int
		Status              func(childComplexity int) int
		SupportedActions    func(childComplexity int) int
	}

	FulfillmentOrderAssignedLocation struct {
		Address1    func(childComplexity int) int
		Address2    func(childComplexity int) int
		City        func(childComplexity int) int
		CountryCode func(childComplexity int) int
		Location    func(childComplexity int) int
		Name        func(childComplexity int) int
		Phone       func(childComplexity int) int
		Province    func(childComplexity int) int
		Zip         func(childComplexity int) int
	}

	FulfillmentOrderConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	FulfillmentOrderDestination struct {
		Address1    func(childComplexity int) int
		Address2    func(childComplexity int) int
		City        func(childComplexity int) int
		Company     func(childComplexity int) int
		CountryCode func(childComplexity int) int
		Email       func(childComplexity int) int
		FirstName   func(childComplexity int) int
		ID          func(childComplexity int) int
		LastName    func(childComplexity int) int
		Phone       func(childComplexity int) int
		Province    func(childComplexity int) int
		Zip         func(childComplexity int) int
	}

	FulfillmentOrderEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FulfillmentOrderInternationalDuties struct {
		Incoterm func(childComplexity int) int
	}

	FulfillmentOrderLineItem struct {
		ID                func(childComplexity int) int
		LineItem          func(childComplexity int) int
		RemainingQuantity func(childComplexity int) int
		TotalQuantity     func(childComplexity int) int
		Warnings          func(childComplexity int) int
	}

	FulfillmentOrderLineItemConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	FulfillmentOrderLineItemEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FulfillmentOrderLineItemWarning struct {
		Description func(childComplexity int) int
		Title       func(childComplexity int) int
	}

	FulfillmentOrderLocationForMove struct {
		Location func(childComplexity int) int
		Message  func(childComplexity int) int
		Movable  func(childComplexity int) int
	}

	FulfillmentOrderLocationForMoveConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	FulfillmentOrderLocationForMoveEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FulfillmentOrderMerchantRequest struct {
		ID             func(childComplexity int) int
		Kind           func(childComplexity int) int
		Message        func(childComplexity int) int
		RequestOptions func(childComplexity int) int
		ResponseData   func(childComplexity int) int
		SentAt         func(childComplexity int) int
	}

	FulfillmentOrderMerchantRequestConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	FulfillmentOrderMerchantRequestEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	FulfillmentOrderSupportedAction struct {
		Action      func(childComplexity int) int
		ExternalURL func(childComplexity int) int
	}

	FulfillmentOriginAddress struct {
		Address1     func(childComplexity int) int
		Address2     func(childComplexity int) int
		City         func(childComplexity int) int
		CountryCode  func(childComplexity int) int
		ProvinceCode func(childComplexity int) int
		Zip          func(childComplexity int) int
	}

	FulfillmentService struct {
		ID func(childComplexity int) int
	}

	FulfillmentTrackingInfo struct {
		Company func(childComplexity int) int
		Number  func(childComplexity int) int
		URL     func(childComplexity int) int
	}

	GenericFile struct {
		Alt              func(childComplexity int) int
		CreatedAt        func(childComplexity int) int
		FileErrors       func(childComplexity int) int
		FileStatus       func(childComplexity int) int
		ID               func(childComplexity int) int
		MimeType         func(childComplexity int) int
		OriginalFileSize func(childComplexity int) int
		Preview          func(childComplexity int) int
		URL              func(childComplexity int) int
	}

	Image struct {
		AltText           func(childComplexity int) int
		Height            func(childComplexity int) int
		ID                func(childComplexity int) int
		Metafield         func(childComplexity int, namespace string, key string) int
		Metafields        func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		PrivateMetafield  func(childComplexity int, namespace string, key string) int
		PrivateMetafields func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		URL               func(childComplexity int, transform *ImageTransformInput) int
		Width             func(childComplexity int) int
	}

	ImageConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	ImageEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	InventoryItem struct {
		CountryCodeOfOrigin          func(childComplexity int) int
		CountryHarmonizedSystemCodes func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		CreatedAt                    func(childComplexity int) int
		DuplicateSkuCount            func(childComplexity int) int
		HarmonizedSystemCode         func(childComplexity int) int
		ID                           func(childComplexity int) int
		InventoryHistoryURL          func(childComplexity int) int
		InventoryLevel               func(childComplexity int, locationID string) int
		InventoryLevels              func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, query *string) int
		LegacyResourceID             func(childComplexity int) int
		LocationsCount               func(childComplexity int) int
		ProvinceCodeOfOrigin         func(childComplexity int) int
		RequiresShipping             func(childComplexity int) int
		Sku                          func(childComplexity int) int
		Tracked                      func(childComplexity int) int
		TrackedEditable              func(childComplexity int) int
		UnitCost                     func(childComplexity int) int
		UpdatedAt                    func(childComplexity int) int
		Variant                      func(childComplexity int) int
	}

	InventoryLevel struct {
		ID func(childComplexity int) int
	}

	InventoryLevelConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	InventoryLevelEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	LimitedPendingOrderCount struct {
		AtMax func(childComplexity int) int
		Count func(childComplexity int) int
	}

	LineItem struct {
		Contract                      func(childComplexity int) int
		CurrentQuantity               func(childComplexity int) int
		CustomAttributes              func(childComplexity int) int
		DiscountAllocations           func(childComplexity int) int
		DiscountedTotalSet            func(childComplexity int) int
		DiscountedUnitPriceSet        func(childComplexity int) int
		Duties                        func(childComplexity int) int
		ID                            func(childComplexity int) int
		Image                         func(childComplexity int) int
		MerchantEditable              func(childComplexity int) int
		Name                          func(childComplexity int) int
		NonFulfillableQuantity        func(childComplexity int) int
		OriginalTotalSet              func(childComplexity int) int
		OriginalUnitPriceSet          func(childComplexity int) int
		Product                       func(childComplexity int) int
		Quantity                      func(childComplexity int) int
		RefundableQuantity            func(childComplexity int) int
		RequiresShipping              func(childComplexity int) int
		Restockable                   func(childComplexity int) int
		SellingPlan                   func(childComplexity int) int
		Sku                           func(childComplexity int) int
		StaffMember                   func(childComplexity int) int
		TaxLines                      func(childComplexity int, first *int) int
		Taxable                       func(childComplexity int) int
		Title                         func(childComplexity int) int
		TotalDiscountSet              func(childComplexity int) int
		UnfulfilledDiscountedTotalSet func(childComplexity int) int
		UnfulfilledOriginalTotalSet   func(childComplexity int) int
		UnfulfilledQuantity           func(childComplexity int) int
		Variant                       func(childComplexity int) int
		VariantTitle                  func(childComplexity int) int
		Vendor                        func(childComplexity int) int
	}

	LineItemConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	LineItemEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	LineItemSellingPlan struct {
		Name          func(childComplexity int) int
		SellingPlanID func(childComplexity int) int
	}

	Link struct {
		Label        func(childComplexity int) int
		Translations func(childComplexity int, locale string, marketID *string) int
		URL          func(childComplexity int) int
	}

	LocalizationExtension struct {
		CountryCode func(childComplexity int) int
		Key         func(childComplexity int) int
		Purpose     func(childComplexity int) int
		Title       func(childComplexity int) int
		Value       func(childComplexity int) int
	}

	LocalizationExtensionConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	LocalizationExtensionEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	Location struct {
		Activatable          func(childComplexity int) int
		Address              func(childComplexity int) int
		AddressVerified      func(childComplexity int) int
		Deactivatable        func(childComplexity int) int
		DeactivatedAt        func(childComplexity int) int
		Deletable            func(childComplexity int) int
		FulfillmentService   func(childComplexity int) int
		FulfillsOnlineOrders func(childComplexity int) int
		HasActiveInventory   func(childComplexity int) int
		HasUnfulfilledOrders func(childComplexity int) int
		ID                   func(childComplexity int) int
		InventoryLevel       func(childComplexity int, inventoryItemID string) int
		InventoryLevels      func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, query *string) int
		IsActive             func(childComplexity int) int
		LegacyResourceID     func(childComplexity int) int
		Metafield            func(childComplexity int, namespace string, key string) int
		MetafieldDefinitions func(childComplexity int, namespace *string, pinnedStatus *MetafieldDefinitionPinnedStatus, first *int, after *string, last *int, before *string, reverse *bool, sortKey *MetafieldDefinitionSortKeys, query *string) int
		Metafields           func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		Name                 func(childComplexity int) int
		PrivateMetafield     func(childComplexity int, namespace string, key string) int
		PrivateMetafields    func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		ShipsInventory       func(childComplexity int) int
		SuggestedAddresses   func(childComplexity int) int
	}

	LocationAddress struct {
		Address1     func(childComplexity int) int
		Address2     func(childComplexity int) int
		City         func(childComplexity int) int
		Country      func(childComplexity int) int
		CountryCode  func(childComplexity int) int
		Formatted    func(childComplexity int) int
		Latitude     func(childComplexity int) int
		Longitude    func(childComplexity int) int
		Phone        func(childComplexity int) int
		Province     func(childComplexity int) int
		ProvinceCode func(childComplexity int) int
		Zip          func(childComplexity int) int
	}

	LocationConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	LocationEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	LocationSuggestedAddress struct {
		Address1     func(childComplexity int) int
		Address2     func(childComplexity int) int
		City         func(childComplexity int) int
		Country      func(childComplexity int) int
		CountryCode  func(childComplexity int) int
		Formatted    func(childComplexity int) int
		Province     func(childComplexity int) int
		ProvinceCode func(childComplexity int) int
		Zip          func(childComplexity int) int
	}

	MailingAddress struct {
		Address1             func(childComplexity int) int
		Address2             func(childComplexity int) int
		City                 func(childComplexity int) int
		Company              func(childComplexity int) int
		CoordinatesValidated func(childComplexity int) int
		Country              func(childComplexity int) int
		CountryCodeV2        func(childComplexity int) int
		FirstName            func(childComplexity int) int
		FormattedArea        func(childComplexity int) int
		ID                   func(childComplexity int) int
		LastName             func(childComplexity int) int
		Latitude             func(childComplexity int) int
		Longitude            func(childComplexity int) int
		Name                 func(childComplexity int) int
		Phone                func(childComplexity int) int
		Province             func(childComplexity int) int
		ProvinceCode         func(childComplexity int) int
		Zip                  func(childComplexity int) int
	}

	ManualDiscountApplication struct {
		AllocationMethod func(childComplexity int) int
		Description      func(childComplexity int) int
		Index            func(childComplexity int) int
		TargetSelection  func(childComplexity int) int
		TargetType       func(childComplexity int) int
		Title            func(childComplexity int) int
		Value            func(childComplexity int) int
	}

	Market struct {
		ID func(childComplexity int) int
	}

	MarketCurrencySettings struct {
		BaseCurrency    func(childComplexity int) int
		LocalCurrencies func(childComplexity int) int
	}

	MarketRegionConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	MarketRegionEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	MarketWebPresence struct {
		ID func(childComplexity int) int
	}

	MarketWebPresenceRootUrl struct {
		Locale func(childComplexity int) int
		URL    func(childComplexity int) int
	}

	MarketingEvent struct {
		App              func(childComplexity int) int
		Channel          func(childComplexity int) int
		Description      func(childComplexity int) int
		EndedAt          func(childComplexity int) int
		ID               func(childComplexity int) int
		LegacyResourceID func(childComplexity int) int
		ManageURL        func(childComplexity int) int
		PreviewURL       func(childComplexity int) int
		RemoteID         func(childComplexity int) int
		ScheduledToEndAt func(childComplexity int) int
		SourceAndMedium  func(childComplexity int) int
		StartedAt        func(childComplexity int) int
		Type             func(childComplexity int) int
		UtmCampaign      func(childComplexity int) int
		UtmMedium        func(childComplexity int) int
		UtmSource        func(childComplexity int) int
	}

	MediaConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	MediaEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	MediaError struct {
		Code    func(childComplexity int) int
		Details func(childComplexity int) int
		Message func(childComplexity int) int
	}

	MediaImage struct {
		Alt              func(childComplexity int) int
		CreatedAt        func(childComplexity int) int
		FileErrors       func(childComplexity int) int
		FileStatus       func(childComplexity int) int
		ID               func(childComplexity int) int
		Image            func(childComplexity int) int
		MediaContentType func(childComplexity int) int
		MediaErrors      func(childComplexity int) int
		MediaWarnings    func(childComplexity int) int
		MimeType         func(childComplexity int) int
		OriginalSource   func(childComplexity int) int
		Preview          func(childComplexity int) int
		Status           func(childComplexity int) int
	}

	MediaImageOriginalSource struct {
		FileSize func(childComplexity int) int
	}

	MediaPreviewImage struct {
		Image  func(childComplexity int) int
		Status func(childComplexity int) int
	}

	MediaUserError struct {
		Code    func(childComplexity int) int
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	MediaWarning struct {
		Code    func(childComplexity int) int
		Message func(childComplexity int) int
	}

	MerchantApprovalSignals struct {
		IdentityVerified  func(childComplexity int) int
		VerifiedByShopify func(childComplexity int) int
	}

	Metafield struct {
		CreatedAt        func(childComplexity int) int
		Definition       func(childComplexity int) int
		Description      func(childComplexity int) int
		ID               func(childComplexity int) int
		Key              func(childComplexity int) int
		LegacyResourceID func(childComplexity int) int
		Namespace        func(childComplexity int) int
		Owner            func(childComplexity int) int
		OwnerType        func(childComplexity int) int
		Reference        func(childComplexity int) int
		References       func(childComplexity int, first *int, after *string, last *int, before *string) int
		Type             func(childComplexity int) int
		UpdatedAt        func(childComplexity int) int
		Value            func(childComplexity int) int
	}

	MetafieldConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	MetafieldDefinition struct {
		Description            func(childComplexity int) int
		ID                     func(childComplexity int) int
		Key                    func(childComplexity int) int
		Metafields             func(childComplexity int, validationStatus *MetafieldValidationStatus, first *int, after *string, last *int, before *string, reverse *bool) int
		MetafieldsCount        func(childComplexity int, validationStatus *MetafieldValidationStatus) int
		Name                   func(childComplexity int) int
		Namespace              func(childComplexity int) int
		OwnerType              func(childComplexity int) int
		PinnedPosition         func(childComplexity int) int
		StandardTemplate       func(childComplexity int) int
		Type                   func(childComplexity int) int
		ValidationStatus       func(childComplexity int) int
		Validations            func(childComplexity int) int
		VisibleToStorefrontAPI func(childComplexity int) int
	}

	MetafieldDefinitionConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	MetafieldDefinitionEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	MetafieldDefinitionSupportedValidation struct {
		Name func(childComplexity int) int
		Type func(childComplexity int) int
	}

	MetafieldDefinitionType struct {
		Category                     func(childComplexity int) int
		Name                         func(childComplexity int) int
		SupportedValidations         func(childComplexity int) int
		SupportsDefinitionMigrations func(childComplexity int) int
	}

	MetafieldDefinitionValidation struct {
		Name  func(childComplexity int) int
		Type  func(childComplexity int) int
		Value func(childComplexity int) int
	}

	MetafieldEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	MetafieldReferenceConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	MetafieldReferenceEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	MoneyBag struct {
		PresentmentMoney func(childComplexity int) int
		ShopMoney        func(childComplexity int) int
	}

	MoneyV2 struct {
		Amount       func(childComplexity int) int
		CurrencyCode func(childComplexity int) int
	}

	NavigationItem struct {
		ID    func(childComplexity int) int
		Title func(childComplexity int) int
		URL   func(childComplexity int) int
	}

	OnlineStorePage struct {
		DefaultCursor func(childComplexity int) int
		ID            func(childComplexity int) int
		Translations  func(childComplexity int, locale string, marketID *string) int
	}

	Order struct {
		Agreements                           func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, query *string) int
		Alerts                               func(childComplexity int) int
		App                                  func(childComplexity int) int
		BillingAddress                       func(childComplexity int) int
		BillingAddressMatchesShippingAddress func(childComplexity int) int
		CanMarkAsPaid                        func(childComplexity int) int
		CanNotifyCustomer                    func(childComplexity int) int
		CancelReason                         func(childComplexity int) int
		CancelledAt                          func(childComplexity int) int
		Capturable                           func(childComplexity int) int
		CartDiscountAmountSet                func(childComplexity int) int
		ChannelInformation                   func(childComplexity int) int
		ClientIP                             func(childComplexity int) int
		Closed                               func(childComplexity int) int
		ClosedAt                             func(childComplexity int) int
		Confirmed                            func(childComplexity int) int
		CreatedAt                            func(childComplexity int) int
		CurrencyCode                         func(childComplexity int) int
		CurrentCartDiscountAmountSet         func(childComplexity int) int
		CurrentSubtotalLineItemsQuantity     func(childComplexity int) int
		CurrentSubtotalPriceSet              func(childComplexity int) int
		CurrentTaxLines                      func(childComplexity int) int
		CurrentTotalDiscountsSet             func(childComplexity int) int
		CurrentTotalDutiesSet                func(childComplexity int) int
		CurrentTotalPriceSet                 func(childComplexity int) int
		CurrentTotalTaxSet                   func(childComplexity int) int
		CurrentTotalWeight                   func(childComplexity int) int
		CustomAttributes                     func(childComplexity int) int
		Customer                             func(childComplexity int) int
		CustomerAcceptsMarketing             func(childComplexity int) int
		CustomerJourneySummary               func(childComplexity int) int
		CustomerLocale                       func(childComplexity int) int
		DiscountApplications                 func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		DiscountCode                         func(childComplexity int) int
		DiscountCodes                        func(childComplexity int) int
		DisplayAddress                       func(childComplexity int) int
		DisplayFinancialStatus               func(childComplexity int) int
		DisplayFulfillmentStatus             func(childComplexity int) int
		Disputes                             func(childComplexity int) int
		Edited                               func(childComplexity int) int
		Email                                func(childComplexity int) int
		EstimatedTaxes                       func(childComplexity int) int
		Events                               func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool, sortKey *EventSortKeys, query *string) int
		Fulfillable                          func(childComplexity int) int
		FulfillmentOrders                    func(childComplexity int, displayable *bool, first *int, after *string, last *int, before *string, reverse *bool, query *string) int
		Fulfillments                         func(childComplexity int, first *int) int
		FullyPaid                            func(childComplexity int) int
		HasTimelineComment                   func(childComplexity int) int
		ID                                   func(childComplexity int) int
		LegacyResourceID                     func(childComplexity int) int
		LineItems                            func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		LocalizationExtensions               func(childComplexity int, countryCodes []CountryCode, purposes []LocalizationExtensionPurpose, first *int, after *string, last *int, before *string, reverse *bool) int
		MerchantEditable                     func(childComplexity int) int
		MerchantEditableErrors               func(childComplexity int) int
		MerchantOfRecordApp                  func(childComplexity int) int
		Metafield                            func(childComplexity int, namespace string, key string) int
		MetafieldDefinitions                 func(childComplexity int, namespace *string, pinnedStatus *MetafieldDefinitionPinnedStatus, first *int, after *string, last *int, before *string, reverse *bool, sortKey *MetafieldDefinitionSortKeys, query *string) int
		Metafields                           func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		Name                                 func(childComplexity int) int
		NetPaymentSet                        func(childComplexity int) int
		NonFulfillableLineItems              func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		Note                                 func(childComplexity int) int
		OriginalTotalDutiesSet               func(childComplexity int) int
		OriginalTotalPriceSet                func(childComplexity int) int
		PaymentCollectionDetails             func(childComplexity int) int
		PaymentGatewayNames                  func(childComplexity int) int
		PaymentTerms                         func(childComplexity int) int
		Phone                                func(childComplexity int) int
		PhysicalLocation                     func(childComplexity int) int
		PresentmentCurrencyCode              func(childComplexity int) int
		PrivateMetafield                     func(childComplexity int, namespace string, key string) int
		PrivateMetafields                    func(childComplexity int, namespace *string, first *int, after *string, last *int, before *string, reverse *bool) int
		ProcessedAt                          func(childComplexity int) int
		Publication                          func(childComplexity int) int
		PurchasingEntity                     func(childComplexity int) int
		RefundDiscrepancySet                 func(childComplexity int) int
		Refundable                           func(childComplexity int) int
		Refunds                              func(childComplexity int, first *int) int
		RegisteredSourceURL                  func(childComplexity int) int
		RequiresShipping                     func(childComplexity int) int
		Restockable                          func(childComplexity int) int
		RiskLevel                            func(childComplexity int) int
		Risks                                func(childComplexity int, first *int) int
		ShippingAddress                      func(childComplexity int) int
		ShippingLine                         func(childComplexity int) int
		ShippingLines                        func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		SourceIdentifier                     func(childComplexity int) int
		SubtotalLineItemsQuantity            func(childComplexity int) int
		SubtotalPriceSet                     func(childComplexity int) int
		SuggestedRefund                      func(childComplexity int, shippingAmount *string, refundShipping *bool, refundLineItems []*RefundLineItemInput, refundDuties []*RefundDutyInput, suggestFullRefund *bool) int
		Tags                                 func(childComplexity int) int
		TaxLines                             func(childComplexity int) int
		TaxesIncluded                        func(childComplexity int) int
		Test                                 func(childComplexity int) int
		TotalCapturableSet                   func(childComplexity int) int
		TotalDiscountsSet                    func(childComplexity int) int
		TotalOutstandingSet                  func(childComplexity int) int
		TotalPriceSet                        func(childComplexity int) int
		TotalReceivedSet                     func(childComplexity int) int
		TotalRefundedSet                     func(childComplexity int) int
		TotalRefundedShippingSet             func(childComplexity int) int
		TotalShippingPriceSet                func(childComplexity int) int
		TotalTaxSet                          func(childComplexity int) int
		TotalTipReceivedSet                  func(childComplexity int) int
		TotalWeight                          func(childComplexity int) int
		Transactions                         func(childComplexity int, first *int, capturable *bool, manuallyResolvable *bool) int
		Unpaid                               func(childComplexity int) int
		UpdatedAt                            func(childComplexity int) int
	}

	OrderApp struct {
		ID   func(childComplexity int) int
		Icon func(childComplexity int) int
		Name func(childComplexity int) int
	}

	OrderConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	OrderDisputeSummary struct {
		ID          func(childComplexity int) int
		InitiatedAs func(childComplexity int) int
		Status      func(childComplexity int) int
	}

	OrderEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	OrderPaymentCollectionDetails struct {
		AdditionalPaymentCollectionURL func(childComplexity int) int
		VaultedPaymentMethods          func(childComplexity int) int
	}

	OrderRisk struct {
		Display func(childComplexity int) int
		Level   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	OrderTransaction struct {
		AccountNumber          func(childComplexity int) int
		AmountSet              func(childComplexity int) int
		AuthorizationCode      func(childComplexity int) int
		AuthorizationExpiresAt func(childComplexity int) int
		CreatedAt              func(childComplexity int) int
		ErrorCode              func(childComplexity int) int
		Fees                   func(childComplexity int) int
		FormattedGateway       func(childComplexity int) int
		Gateway                func(childComplexity int) int
		ID                     func(childComplexity int) int
		Kind                   func(childComplexity int) int
		ManuallyCapturable     func(childComplexity int) int
		MaximumRefundableV2    func(childComplexity int) int
		Order                  func(childComplexity int) int
		ParentTransaction      func(childComplexity int) int
		PaymentIcon            func(childComplexity int) int
		ProcessedAt            func(childComplexity int) int
		ReceiptJSON            func(childComplexity int) int
		SettlementCurrency     func(childComplexity int) int
		SettlementCurrencyRate func(childComplexity int) int
		ShopifyPaymentsSet     func(childComplexity int) int
		Status                 func(childComplexity int) int
		Test                   func(childComplexity int) int
		TotalUnsettledSet      func(childComplexity int) int
		User                   func(childComplexity int) int
	}

	OrderTransactionConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	OrderTransactionEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	PageInfo struct {
		EndCursor       func(childComplexity int) int
		HasNextPage     func(childComplexity int) int
		HasPreviousPage func(childComplexity int) int
		StartCursor     func(childComplexity int) int
	}

	PaymentMandate struct {
		ID                func(childComplexity int) int
		PaymentInstrument func(childComplexity int) int
	}

	PaymentSchedule struct {
		Amount      func(childComplexity int) int
		CompletedAt func(childComplexity int) int
		DueAt       func(childComplexity int) int
		ID          func(childComplexity int) int
		IssuedAt    func(childComplexity int) int
	}

	PaymentScheduleConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	PaymentScheduleEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	PaymentSettings struct {
		SupportedDigitalWallets func(childComplexity int) int
	}

	PaymentTerms struct {
		DueInDays        func(childComplexity int) int
		ID               func(childComplexity int) int
		Overdue          func(childComplexity int) int
		PaymentSchedules func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		PaymentTermsName func(childComplexity int) int
		PaymentTermsType func(childComplexity int) int
		TranslatedName   func(childComplexity int) int
	}

	PaymentTermsTemplate struct {
		Description      func(childComplexity int) int
		DueInDays        func(childComplexity int) int
		ID               func(childComplexity int) int
		Name             func(childComplexity int) int
		PaymentTermsType func(childComplexity int) int
		TranslatedName   func(childComplexity int) int
	}

	PriceList struct {
		ContextRule func(childComplexity int) int
		Currency    func(childComplexity int) int
		ID          func(childComplexity int) int
		Name        func(childComplexity int) int
		Parent      func(childComplexity int) int
		Prices      func(childComplexity int, originType *PriceListPriceOriginType, first *int, after *string, last *int, before *string, reverse *bool) int
	}

	PriceListAdjustment struct {
		Type  func(childComplexity int) int
		Value func(childComplexity int) int
	}

	PriceListContextRule struct {
		Countries func(childComplexity int) int
		Market    func(childComplexity int) int
	}

	PriceListParent struct {
		Adjustment func(childComplexity int) int
	}

	PriceListPrice struct {
		CompareAtPrice func(childComplexity int) int
		OriginType     func(childComplexity int) int
		Price          func(childComplexity int) int
		Variant        func(childComplexity int) int
	}

	PriceListPriceConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	PriceListPriceEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	PricingPercentageValue struct {
		Percentage func(childComplexity int) int
	}

	PrivateMetafield struct {
		CreatedAt func(childComplexity int) int
		ID        func(childComplexity int) int
		Key       func(childComplexity int) int
		Namespace func(childComplexity int) int
		UpdatedAt func(childComplexity int) int
		Value     func(childComplexity int) int
		ValueType func(childComplexity int) int
	}

	PrivateMetafieldConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	PrivateMetafieldEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	Product struct {
		ID func(childComplexity int) int
	}

	ProductCategory struct {
		ProductTaxonomyNode func(childComplexity int) int
	}

	ProductChangeStatusUserError struct {
		Code    func(childComplexity int) int
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	ProductConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	ProductContextualPricing struct {
		MaxVariantPricing func(childComplexity int) int
		MinVariantPricing func(childComplexity int) int
		PriceRange        func(childComplexity int) int
	}

	ProductEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	ProductPriceRangeV2 struct {
		MaxVariantPrice func(childComplexity int) int
		MinVariantPrice func(childComplexity int) int
	}

	ProductTaxonomyNode struct {
		FullName func(childComplexity int) int
		ID       func(childComplexity int) int
		IsLeaf   func(childComplexity int) int
		IsRoot   func(childComplexity int) int
		Name     func(childComplexity int) int
	}

	ProductVariant struct {
		ID func(childComplexity int) int
	}

	ProductVariantConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	ProductVariantContextualPricing struct {
		CompareAtPrice func(childComplexity int) int
		Price          func(childComplexity int) int
	}

	ProductVariantEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	ProductVariantsBulkCreateUserError struct {
		Code    func(childComplexity int) int
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	ProductVariantsBulkDeleteUserError struct {
		Code    func(childComplexity int) int
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	ProductVariantsBulkReorderUserError struct {
		Code    func(childComplexity int) int
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	ProductVariantsBulkUpdateUserError struct {
		Code    func(childComplexity int) int
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	Publication struct {
		App                      func(childComplexity int) int
		CollectionPublicationsV3 func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		Collections              func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		HasCollection            func(childComplexity int, id string) int
		ID                       func(childComplexity int) int
		Name                     func(childComplexity int) int
		ProductPublicationsV3    func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		Products                 func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		SupportsFuturePublishing func(childComplexity int) int
	}

	PublicationConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	PublicationEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	PublishedTranslation struct {
		Key      func(childComplexity int) int
		Locale   func(childComplexity int) int
		MarketID func(childComplexity int) int
		Value    func(childComplexity int) int
	}

	PurchasingCompany struct {
		Company  func(childComplexity int) int
		Contact  func(childComplexity int) int
		Location func(childComplexity int) int
	}

	Query struct {
		__resolve__service func(childComplexity int) int
		__resolve_entities func(childComplexity int, representations []map[string]interface{}) int
	}

	Refund struct {
		CreatedAt        func(childComplexity int) int
		Duties           func(childComplexity int) int
		ID               func(childComplexity int) int
		LegacyResourceID func(childComplexity int) int
		Note             func(childComplexity int) int
		Order            func(childComplexity int) int
		RefundLineItems  func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		StaffMember      func(childComplexity int) int
		TotalRefundedSet func(childComplexity int) int
		Transactions     func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		UpdatedAt        func(childComplexity int) int
	}

	RefundDuty struct {
		AmountSet    func(childComplexity int) int
		OriginalDuty func(childComplexity int) int
	}

	RefundLineItem struct {
		LineItem    func(childComplexity int) int
		Location    func(childComplexity int) int
		PriceSet    func(childComplexity int) int
		Quantity    func(childComplexity int) int
		RestockType func(childComplexity int) int
		Restocked   func(childComplexity int) int
		SubtotalSet func(childComplexity int) int
		TotalTaxSet func(childComplexity int) int
	}

	RefundLineItemConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	RefundLineItemEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	ResourceAlert struct {
		Actions           func(childComplexity int) int
		Content           func(childComplexity int) int
		DismissibleHandle func(childComplexity int) int
		Icon              func(childComplexity int) int
		Severity          func(childComplexity int) int
		Title             func(childComplexity int) int
	}

	ResourceAlertAction struct {
		Primary func(childComplexity int) int
		Show    func(childComplexity int) int
		Title   func(childComplexity int) int
		URL     func(childComplexity int) int
	}

	ResourceFeedback struct {
		Details func(childComplexity int) int
		Summary func(childComplexity int) int
	}

	ResourceLimit struct {
		Available         func(childComplexity int) int
		QuantityAvailable func(childComplexity int) int
		QuantityLimit     func(childComplexity int) int
		QuantityUsed      func(childComplexity int) int
	}

	ResourcePublication struct {
		IsPublished func(childComplexity int) int
		Publication func(childComplexity int) int
		PublishDate func(childComplexity int) int
		Publishable func(childComplexity int) int
	}

	ResourcePublicationConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	ResourcePublicationEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	ResourcePublicationV2 struct {
		IsPublished func(childComplexity int) int
		Publication func(childComplexity int) int
		PublishDate func(childComplexity int) int
		Publishable func(childComplexity int) int
	}

	ResourcePublicationV2Connection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	ResourcePublicationV2Edge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SEO struct {
		Description func(childComplexity int) int
		Title       func(childComplexity int) int
	}

	SaleConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SaleEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SaleTax struct {
		Amount  func(childComplexity int) int
		ID      func(childComplexity int) int
		TaxLine func(childComplexity int) int
	}

	SalesAgreementConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SalesAgreementEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SavedSearch struct {
		Filters          func(childComplexity int) int
		ID               func(childComplexity int) int
		LegacyResourceID func(childComplexity int) int
		Name             func(childComplexity int) int
		Query            func(childComplexity int) int
		ResourceType     func(childComplexity int) int
		SearchTerms      func(childComplexity int) int
	}

	SavedSearchConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SavedSearchEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	ScriptDiscountApplication struct {
		AllocationMethod func(childComplexity int) int
		Index            func(childComplexity int) int
		TargetSelection  func(childComplexity int) int
		TargetType       func(childComplexity int) int
		Title            func(childComplexity int) int
		Value            func(childComplexity int) int
	}

	SearchFilter struct {
		Key   func(childComplexity int) int
		Value func(childComplexity int) int
	}

	SearchFilterOptions struct {
		ProductAvailability func(childComplexity int) int
	}

	SearchResult struct {
		Description func(childComplexity int) int
		Image       func(childComplexity int) int
		Reference   func(childComplexity int) int
		Title       func(childComplexity int) int
		URL         func(childComplexity int) int
	}

	SearchResultConnection struct {
		Edges    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SearchResultEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SelectedOption struct {
		Name  func(childComplexity int) int
		Value func(childComplexity int) int
	}

	SellingPlan struct {
		BillingPolicy   func(childComplexity int) int
		Category        func(childComplexity int) int
		CreatedAt       func(childComplexity int) int
		DeliveryPolicy  func(childComplexity int) int
		Description     func(childComplexity int) int
		ID              func(childComplexity int) int
		InventoryPolicy func(childComplexity int) int
		Name            func(childComplexity int) int
		Options         func(childComplexity int) int
		Position        func(childComplexity int) int
		PricingPolicies func(childComplexity int) int
	}

	SellingPlanAnchor struct {
		CutoffDay func(childComplexity int) int
		Day       func(childComplexity int) int
		Month     func(childComplexity int) int
		Type      func(childComplexity int) int
	}

	SellingPlanCheckoutCharge struct {
		Type  func(childComplexity int) int
		Value func(childComplexity int) int
	}

	SellingPlanCheckoutChargePercentageValue struct {
		Percentage func(childComplexity int) int
	}

	SellingPlanConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SellingPlanEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SellingPlanFixedBillingPolicy struct {
		CheckoutCharge                          func(childComplexity int) int
		RemainingBalanceChargeExactTime         func(childComplexity int) int
		RemainingBalanceChargeTimeAfterCheckout func(childComplexity int) int
		RemainingBalanceChargeTrigger           func(childComplexity int) int
	}

	SellingPlanFixedDeliveryPolicy struct {
		Anchors              func(childComplexity int) int
		Cutoff               func(childComplexity int) int
		FulfillmentExactTime func(childComplexity int) int
		FulfillmentTrigger   func(childComplexity int) int
		Intent               func(childComplexity int) int
		PreAnchorBehavior    func(childComplexity int) int
	}

	SellingPlanFixedPricingPolicy struct {
		AdjustmentType  func(childComplexity int) int
		AdjustmentValue func(childComplexity int) int
		CreatedAt       func(childComplexity int) int
	}

	SellingPlanGroup struct {
		AppID                    func(childComplexity int) int
		AppliesToProduct         func(childComplexity int, productID string) int
		AppliesToProductVariant  func(childComplexity int, productVariantID string) int
		AppliesToProductVariants func(childComplexity int, productID string) int
		CreatedAt                func(childComplexity int) int
		Description              func(childComplexity int) int
		ID                       func(childComplexity int) int
		MerchantCode             func(childComplexity int) int
		Name                     func(childComplexity int) int
		Options                  func(childComplexity int) int
		Position                 func(childComplexity int) int
		ProductCount             func(childComplexity int) int
		ProductVariantCount      func(childComplexity int, productID *string) int
		ProductVariants          func(childComplexity int, productID *string, first *int, after *string, last *int, before *string, reverse *bool) int
		Products                 func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		SellingPlans             func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		Summary                  func(childComplexity int) int
	}

	SellingPlanGroupConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SellingPlanGroupEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SellingPlanGroupUserError struct {
		Code    func(childComplexity int) int
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	SellingPlanInventoryPolicy struct {
		Reserve func(childComplexity int) int
	}

	SellingPlanPricingPolicyPercentageValue struct {
		Percentage func(childComplexity int) int
	}

	SellingPlanRecurringBillingPolicy struct {
		Anchors       func(childComplexity int) int
		CreatedAt     func(childComplexity int) int
		Interval      func(childComplexity int) int
		IntervalCount func(childComplexity int) int
		MaxCycles     func(childComplexity int) int
		MinCycles     func(childComplexity int) int
	}

	SellingPlanRecurringDeliveryPolicy struct {
		Anchors           func(childComplexity int) int
		CreatedAt         func(childComplexity int) int
		Cutoff            func(childComplexity int) int
		Intent            func(childComplexity int) int
		Interval          func(childComplexity int) int
		IntervalCount     func(childComplexity int) int
		PreAnchorBehavior func(childComplexity int) int
	}

	SellingPlanRecurringPricingPolicy struct {
		AdjustmentType  func(childComplexity int) int
		AdjustmentValue func(childComplexity int) int
		AfterCycle      func(childComplexity int) int
		CreatedAt       func(childComplexity int) int
	}

	ShippingLine struct {
		CarrierIdentifier           func(childComplexity int) int
		Code                        func(childComplexity int) int
		Custom                      func(childComplexity int) int
		DeliveryCategory            func(childComplexity int) int
		DiscountAllocations         func(childComplexity int) int
		DiscountedPriceSet          func(childComplexity int) int
		ID                          func(childComplexity int) int
		OriginalPriceSet            func(childComplexity int) int
		Phone                       func(childComplexity int) int
		RequestedFulfillmentService func(childComplexity int) int
		ShippingRateHandle          func(childComplexity int) int
		Source                      func(childComplexity int) int
		TaxLines                    func(childComplexity int) int
		Title                       func(childComplexity int) int
	}

	ShippingLineConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	ShippingLineEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	ShippingRefund struct {
		AmountSet            func(childComplexity int) int
		MaximumRefundableSet func(childComplexity int) int
		TaxSet               func(childComplexity int) int
	}

	ShopAlert struct {
		Action      func(childComplexity int) int
		Description func(childComplexity int) int
	}

	ShopAlertAction struct {
		Title func(childComplexity int) int
		URL   func(childComplexity int) int
	}

	ShopFeatures struct {
		AvalaraAvatax                          func(childComplexity int) int
		Branding                               func(childComplexity int) int
		Captcha                                func(childComplexity int) int
		CaptchaExternalDomains                 func(childComplexity int) int
		DynamicRemarketing                     func(childComplexity int) int
		EligibleForSubscriptionMigration       func(childComplexity int) int
		EligibleForSubscriptions               func(childComplexity int) int
		GiftCards                              func(childComplexity int) int
		HarmonizedSystemCode                   func(childComplexity int) int
		InternationalDomains                   func(childComplexity int) int
		InternationalPriceOverrides            func(childComplexity int) int
		InternationalPriceRules                func(childComplexity int) int
		LegacySubscriptionGatewayEnabled       func(childComplexity int) int
		LiveView                               func(childComplexity int) int
		OnboardingVisual                       func(childComplexity int) int
		PaypalExpressSubscriptionGatewayStatus func(childComplexity int) int
		Reports                                func(childComplexity int) int
		SellsSubscriptions                     func(childComplexity int) int
		ShowMetrics                            func(childComplexity int) int
		Storefront                             func(childComplexity int) int
		UsingShopifyBalance                    func(childComplexity int) int
	}

	ShopPlan struct {
		DisplayName        func(childComplexity int) int
		PartnerDevelopment func(childComplexity int) int
		ShopifyPlus        func(childComplexity int) int
	}

	ShopPolicy struct {
		Body         func(childComplexity int) int
		ID           func(childComplexity int) int
		Translations func(childComplexity int, locale string, marketID *string) int
		Type         func(childComplexity int) int
		URL          func(childComplexity int) int
	}

	ShopResourceLimits struct {
		LocationLimit        func(childComplexity int) int
		MaxProductOptions    func(childComplexity int) int
		MaxProductVariants   func(childComplexity int) int
		RedirectLimitReached func(childComplexity int) int
		SkuResourceLimits    func(childComplexity int) int
	}

	ShopifyPaymentsExtendedAuthorization struct {
		ExtendedAuthorizationExpiresAt func(childComplexity int) int
		StandardAuthorizationExpiresAt func(childComplexity int) int
	}

	ShopifyPaymentsRefundSet struct {
		AcquirerReferenceNumber func(childComplexity int) int
	}

	ShopifyPaymentsTransactionSet struct {
		ExtendedAuthorizationSet func(childComplexity int) int
		RefundSet                func(childComplexity int) int
	}

	StaffMember struct {
		Active      func(childComplexity int) int
		Avatar      func(childComplexity int, fallback *StaffMemberDefaultImage) int
		Email       func(childComplexity int) int
		Exists      func(childComplexity int) int
		FirstName   func(childComplexity int) int
		ID          func(childComplexity int) int
		Initials    func(childComplexity int) int
		IsShopOwner func(childComplexity int) int
		LastName    func(childComplexity int) int
		Locale      func(childComplexity int) int
		Name        func(childComplexity int) int
		Phone       func(childComplexity int) int
		PrivateData func(childComplexity int) int
	}

	StaffMemberConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	StaffMemberEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	StaffMemberPrivateData struct {
		AccountSettingsURL func(childComplexity int) int
		CreatedAt          func(childComplexity int) int
	}

	StandardMetafieldDefinitionTemplate struct {
		Description            func(childComplexity int) int
		ID                     func(childComplexity int) int
		Key                    func(childComplexity int) int
		Name                   func(childComplexity int) int
		Namespace              func(childComplexity int) int
		OwnerTypes             func(childComplexity int) int
		Type                   func(childComplexity int) int
		Validations            func(childComplexity int) int
		VisibleToStorefrontAPI func(childComplexity int) int
	}

	StorefrontAccessToken struct {
		AccessScopes func(childComplexity int) int
		AccessToken  func(childComplexity int) int
		CreatedAt    func(childComplexity int) int
		ID           func(childComplexity int) int
		Title        func(childComplexity int) int
		UpdatedAt    func(childComplexity int) int
	}

	StorefrontAccessTokenConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	StorefrontAccessTokenEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	StringConnection struct {
		Edges    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	StringEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SubscriptionAppliedCodeDiscount struct {
		ID              func(childComplexity int) int
		RedeemCode      func(childComplexity int) int
		RejectionReason func(childComplexity int) int
	}

	SubscriptionBillingAttempt struct {
		CompletedAt          func(childComplexity int) int
		CreatedAt            func(childComplexity int) int
		ErrorCode            func(childComplexity int) int
		ErrorMessage         func(childComplexity int) int
		ID                   func(childComplexity int) int
		IdempotencyKey       func(childComplexity int) int
		NextActionURL        func(childComplexity int) int
		Order                func(childComplexity int) int
		OriginTime           func(childComplexity int) int
		Ready                func(childComplexity int) int
		SubscriptionContract func(childComplexity int) int
	}

	SubscriptionBillingAttemptConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SubscriptionBillingAttemptEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SubscriptionBillingPolicy struct {
		Anchors       func(childComplexity int) int
		Interval      func(childComplexity int) int
		IntervalCount func(childComplexity int) int
		MaxCycles     func(childComplexity int) int
		MinCycles     func(childComplexity int) int
	}

	SubscriptionContract struct {
		App                   func(childComplexity int) int
		AppAdminURL           func(childComplexity int) int
		BillingAttempts       func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		BillingPolicy         func(childComplexity int) int
		CreatedAt             func(childComplexity int) int
		CurrencyCode          func(childComplexity int) int
		CustomAttributes      func(childComplexity int) int
		Customer              func(childComplexity int) int
		CustomerPaymentMethod func(childComplexity int, showRevoked *bool) int
		DeliveryMethod        func(childComplexity int) int
		DeliveryPolicy        func(childComplexity int) int
		DeliveryPrice         func(childComplexity int) int
		Discounts             func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		ID                    func(childComplexity int) int
		LastPaymentStatus     func(childComplexity int) int
		LineCount             func(childComplexity int) int
		Lines                 func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		NextBillingDate       func(childComplexity int) int
		Note                  func(childComplexity int) int
		Orders                func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
		OriginOrder           func(childComplexity int) int
		Status                func(childComplexity int) int
		UpdatedAt             func(childComplexity int) int
	}

	SubscriptionContractConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SubscriptionContractEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SubscriptionCyclePriceAdjustment struct {
		AdjustmentType  func(childComplexity int) int
		AdjustmentValue func(childComplexity int) int
		AfterCycle      func(childComplexity int) int
		ComputedPrice   func(childComplexity int) int
	}

	SubscriptionDeliveryMethodLocalDelivery struct {
		Address             func(childComplexity int) int
		LocalDeliveryOption func(childComplexity int) int
	}

	SubscriptionDeliveryMethodLocalDeliveryOption struct {
		Code             func(childComplexity int) int
		Description      func(childComplexity int) int
		Instructions     func(childComplexity int) int
		Phone            func(childComplexity int) int
		PresentmentTitle func(childComplexity int) int
		Title            func(childComplexity int) int
	}

	SubscriptionDeliveryMethodPickup struct {
		PickupOption func(childComplexity int) int
	}

	SubscriptionDeliveryMethodPickupOption struct {
		Code             func(childComplexity int) int
		Description      func(childComplexity int) int
		Location         func(childComplexity int) int
		PresentmentTitle func(childComplexity int) int
		Title            func(childComplexity int) int
	}

	SubscriptionDeliveryMethodShipping struct {
		Address        func(childComplexity int) int
		ShippingOption func(childComplexity int) int
	}

	SubscriptionDeliveryMethodShippingOption struct {
		CarrierService   func(childComplexity int) int
		Code             func(childComplexity int) int
		Description      func(childComplexity int) int
		PresentmentTitle func(childComplexity int) int
		Title            func(childComplexity int) int
	}

	SubscriptionDeliveryPolicy struct {
		Anchors       func(childComplexity int) int
		Interval      func(childComplexity int) int
		IntervalCount func(childComplexity int) int
	}

	SubscriptionDiscountAllocation struct {
		Amount   func(childComplexity int) int
		Discount func(childComplexity int) int
	}

	SubscriptionDiscountEntitledLines struct {
		All   func(childComplexity int) int
		Lines func(childComplexity int, first *int, after *string, last *int, before *string, reverse *bool) int
	}

	SubscriptionDiscountFixedAmountValue struct {
		Amount            func(childComplexity int) int
		AppliesOnEachItem func(childComplexity int) int
	}

	SubscriptionDiscountPercentageValue struct {
		Percentage func(childComplexity int) int
	}

	SubscriptionLine struct {
		CurrentPrice        func(childComplexity int) int
		CustomAttributes    func(childComplexity int) int
		DiscountAllocations func(childComplexity int) int
		ID                  func(childComplexity int) int
		LineDiscountedPrice func(childComplexity int) int
		PricingPolicy       func(childComplexity int) int
		ProductID           func(childComplexity int) int
		Quantity            func(childComplexity int) int
		RequiresShipping    func(childComplexity int) int
		SellingPlanID       func(childComplexity int) int
		SellingPlanName     func(childComplexity int) int
		Sku                 func(childComplexity int) int
		Taxable             func(childComplexity int) int
		Title               func(childComplexity int) int
		VariantID           func(childComplexity int) int
		VariantImage        func(childComplexity int) int
		VariantTitle        func(childComplexity int) int
	}

	SubscriptionLineConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SubscriptionLineEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SubscriptionMailingAddress struct {
		Address1     func(childComplexity int) int
		Address2     func(childComplexity int) int
		City         func(childComplexity int) int
		Company      func(childComplexity int) int
		Country      func(childComplexity int) int
		CountryCode  func(childComplexity int) int
		FirstName    func(childComplexity int) int
		LastName     func(childComplexity int) int
		Name         func(childComplexity int) int
		Phone        func(childComplexity int) int
		Province     func(childComplexity int) int
		ProvinceCode func(childComplexity int) int
		Zip          func(childComplexity int) int
	}

	SubscriptionManualDiscount struct {
		EntitledLines       func(childComplexity int) int
		ID                  func(childComplexity int) int
		RecurringCycleLimit func(childComplexity int) int
		RejectionReason     func(childComplexity int) int
		TargetType          func(childComplexity int) int
		Title               func(childComplexity int) int
		Type                func(childComplexity int) int
		UsageCount          func(childComplexity int) int
		Value               func(childComplexity int) int
	}

	SubscriptionManualDiscountConnection struct {
		Edges    func(childComplexity int) int
		Nodes    func(childComplexity int) int
		PageInfo func(childComplexity int) int
	}

	SubscriptionManualDiscountEdge struct {
		Cursor func(childComplexity int) int
		Node   func(childComplexity int) int
	}

	SubscriptionPricingPolicy struct {
		BasePrice      func(childComplexity int) int
		CycleDiscounts func(childComplexity int) int
	}

	SuggestedOrderTransaction struct {
		AccountNumber        func(childComplexity int) int
		AmountSet            func(childComplexity int) int
		FormattedGateway     func(childComplexity int) int
		Gateway              func(childComplexity int) int
		Kind                 func(childComplexity int) int
		MaximumRefundableSet func(childComplexity int) int
		ParentTransaction    func(childComplexity int) int
	}

	SuggestedRefund struct {
		AmountSet                  func(childComplexity int) int
		DiscountedSubtotalSet      func(childComplexity int) int
		MaximumRefundableSet       func(childComplexity int) int
		RefundDuties               func(childComplexity int) int
		RefundLineItems            func(childComplexity int) int
		Shipping                   func(childComplexity int) int
		SubtotalSet                func(childComplexity int) int
		SuggestedTransactions      func(childComplexity int) int
		TotalCartDiscountAmountSet func(childComplexity int) int
		TotalDutiesSet             func(childComplexity int) int
		TotalTaxSet                func(childComplexity int) int
	}

	TaxLine struct {
		ChannelLiable  func(childComplexity int) int
		PriceSet       func(childComplexity int) int
		Rate           func(childComplexity int) int
		RatePercentage func(childComplexity int) int
		Title          func(childComplexity int) int
	}

	TransactionFee struct {
		Amount      func(childComplexity int) int
		FlatFee     func(childComplexity int) int
		FlatFeeName func(childComplexity int) int
		ID          func(childComplexity int) int
		Rate        func(childComplexity int) int
		RateName    func(childComplexity int) int
		TaxAmount   func(childComplexity int) int
		Type        func(childComplexity int) int
	}

	TypedAttribute struct {
		Key   func(childComplexity int) int
		Value func(childComplexity int) int
	}

	UTMParameters struct {
		Campaign func(childComplexity int) int
		Content  func(childComplexity int) int
		Medium   func(childComplexity int) int
		Source   func(childComplexity int) int
		Term     func(childComplexity int) int
	}

	UserError struct {
		Field   func(childComplexity int) int
		Message func(childComplexity int) int
	}

	VaultCreditCard struct {
		BillingAddress func(childComplexity int) int
		Brand          func(childComplexity int) int
		Expired        func(childComplexity int) int
		ExpiryMonth    func(childComplexity int) int
		ExpiryYear     func(childComplexity int) int
		LastDigits     func(childComplexity int) int
		Name           func(childComplexity int) int
	}

	VaultPaypalBillingAgreement struct {
		Inactive           func(childComplexity int) int
		Name               func(childComplexity int) int
		PaypalAccountEmail func(childComplexity int) int
	}

	Video struct {
		Alt              func(childComplexity int) int
		CreatedAt        func(childComplexity int) int
		Duration         func(childComplexity int) int
		FileErrors       func(childComplexity int) int
		FileStatus       func(childComplexity int) int
		Filename         func(childComplexity int) int
		ID               func(childComplexity int) int
		MediaContentType func(childComplexity int) int
		MediaErrors      func(childComplexity int) int
		MediaWarnings    func(childComplexity int) int
		OriginalSource   func(childComplexity int) int
		Preview          func(childComplexity int) int
		Sources          func(childComplexity int) int
		Status           func(childComplexity int) int
	}

	VideoSource struct {
		FileSize func(childComplexity int) int
		Format   func(childComplexity int) int
		Height   func(childComplexity int) int
		MimeType func(childComplexity int) int
		URL      func(childComplexity int) int
		Width    func(childComplexity int) int
	}

	Weight struct {
		Unit  func(childComplexity int) int
		Value func(childComplexity int) int
	}

	_Service struct {
		SDL func(childComplexity int) int
	}
}

type EntityResolver interface {
	FindDraftOrderByID(ctx context.Context, id string) (*DraftOrder, error)
	FindOrderByID(ctx context.Context, id string) (*Order, error)
}

type executableSchema struct {
	resolvers  ResolverRoot
	directives DirectiveRoot
	complexity ComplexityRoot
}

func (e *executableSchema) Schema() *ast.Schema {
	return parsedSchema
}

func (e *executableSchema) Complexity(typeName, field string, childComplexity int, rawArgs map[string]interface{}) (int, bool) {
	ec := executionContext{nil, e}
	_ = ec
	switch typeName + "." + field {

	case "AccessScope.description":
		if e.complexity.AccessScope.Description == nil {
			break
		}

		return e.complexity.AccessScope.Description(childComplexity), true

	case "AccessScope.handle":
		if e.complexity.AccessScope.Handle == nil {
			break
		}

		return e.complexity.AccessScope.Handle(childComplexity), true

	case "App.id":
		if e.complexity.App.ID == nil {
			break
		}

		return e.complexity.App.ID(childComplexity), true

	case "AppConnection.edges":
		if e.complexity.AppConnection.Edges == nil {
			break
		}

		return e.complexity.AppConnection.Edges(childComplexity), true

	case "AppConnection.nodes":
		if e.complexity.AppConnection.Nodes == nil {
			break
		}

		return e.complexity.AppConnection.Nodes(childComplexity), true

	case "AppConnection.pageInfo":
		if e.complexity.AppConnection.PageInfo == nil {
			break
		}

		return e.complexity.AppConnection.PageInfo(childComplexity), true

	case "AppCredit.amount":
		if e.complexity.AppCredit.Amount == nil {
			break
		}

		return e.complexity.AppCredit.Amount(childComplexity), true

	case "AppCredit.createdAt":
		if e.complexity.AppCredit.CreatedAt == nil {
			break
		}

		return e.complexity.AppCredit.CreatedAt(childComplexity), true

	case "AppCredit.description":
		if e.complexity.AppCredit.Description == nil {
			break
		}

		return e.complexity.AppCredit.Description(childComplexity), true

	case "AppCredit.id":
		if e.complexity.AppCredit.ID == nil {
			break
		}

		return e.complexity.AppCredit.ID(childComplexity), true

	case "AppCredit.test":
		if e.complexity.AppCredit.Test == nil {
			break
		}

		return e.complexity.AppCredit.Test(childComplexity), true

	case "AppCreditConnection.edges":
		if e.complexity.AppCreditConnection.Edges == nil {
			break
		}

		return e.complexity.AppCreditConnection.Edges(childComplexity), true

	case "AppCreditConnection.nodes":
		if e.complexity.AppCreditConnection.Nodes == nil {
			break
		}

		return e.complexity.AppCreditConnection.Nodes(childComplexity), true

	case "AppCreditConnection.pageInfo":
		if e.complexity.AppCreditConnection.PageInfo == nil {
			break
		}

		return e.complexity.AppCreditConnection.PageInfo(childComplexity), true

	case "AppCreditEdge.cursor":
		if e.complexity.AppCreditEdge.Cursor == nil {
			break
		}

		return e.complexity.AppCreditEdge.Cursor(childComplexity), true

	case "AppCreditEdge.node":
		if e.complexity.AppCreditEdge.Node == nil {
			break
		}

		return e.complexity.AppCreditEdge.Node(childComplexity), true

	case "AppEdge.cursor":
		if e.complexity.AppEdge.Cursor == nil {
			break
		}

		return e.complexity.AppEdge.Cursor(childComplexity), true

	case "AppEdge.node":
		if e.complexity.AppEdge.Node == nil {
			break
		}

		return e.complexity.AppEdge.Node(childComplexity), true

	case "AppFeedback.app":
		if e.complexity.AppFeedback.App == nil {
			break
		}

		return e.complexity.AppFeedback.App(childComplexity), true

	case "AppFeedback.link":
		if e.complexity.AppFeedback.Link == nil {
			break
		}

		return e.complexity.AppFeedback.Link(childComplexity), true

	case "AppFeedback.messages":
		if e.complexity.AppFeedback.Messages == nil {
			break
		}

		return e.complexity.AppFeedback.Messages(childComplexity), true

	case "AppInstallation.accessScopes":
		if e.complexity.AppInstallation.AccessScopes == nil {
			break
		}

		return e.complexity.AppInstallation.AccessScopes(childComplexity), true

	case "AppInstallation.activeSubscriptions":
		if e.complexity.AppInstallation.ActiveSubscriptions == nil {
			break
		}

		return e.complexity.AppInstallation.ActiveSubscriptions(childComplexity), true

	case "AppInstallation.allSubscriptions":
		if e.complexity.AppInstallation.AllSubscriptions == nil {
			break
		}

		args, err := ec.field_AppInstallation_allSubscriptions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.AllSubscriptions(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*AppSubscriptionSortKeys)), true

	case "AppInstallation.app":
		if e.complexity.AppInstallation.App == nil {
			break
		}

		return e.complexity.AppInstallation.App(childComplexity), true

	case "AppInstallation.credits":
		if e.complexity.AppInstallation.Credits == nil {
			break
		}

		args, err := ec.field_AppInstallation_credits_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.Credits(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*AppTransactionSortKeys)), true

	case "AppInstallation.id":
		if e.complexity.AppInstallation.ID == nil {
			break
		}

		return e.complexity.AppInstallation.ID(childComplexity), true

	case "AppInstallation.launchUrl":
		if e.complexity.AppInstallation.LaunchURL == nil {
			break
		}

		return e.complexity.AppInstallation.LaunchURL(childComplexity), true

	case "AppInstallation.metafield":
		if e.complexity.AppInstallation.Metafield == nil {
			break
		}

		args, err := ec.field_AppInstallation_metafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.Metafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "AppInstallation.metafields":
		if e.complexity.AppInstallation.Metafields == nil {
			break
		}

		args, err := ec.field_AppInstallation_metafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.Metafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "AppInstallation.oneTimePurchases":
		if e.complexity.AppInstallation.OneTimePurchases == nil {
			break
		}

		args, err := ec.field_AppInstallation_oneTimePurchases_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.OneTimePurchases(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*AppTransactionSortKeys)), true

	case "AppInstallation.privateMetafield":
		if e.complexity.AppInstallation.PrivateMetafield == nil {
			break
		}

		args, err := ec.field_AppInstallation_privateMetafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.PrivateMetafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "AppInstallation.privateMetafields":
		if e.complexity.AppInstallation.PrivateMetafields == nil {
			break
		}

		args, err := ec.field_AppInstallation_privateMetafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.PrivateMetafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "AppInstallation.publication":
		if e.complexity.AppInstallation.Publication == nil {
			break
		}

		return e.complexity.AppInstallation.Publication(childComplexity), true

	case "AppInstallation.revenueAttributionRecords":
		if e.complexity.AppInstallation.RevenueAttributionRecords == nil {
			break
		}

		args, err := ec.field_AppInstallation_revenueAttributionRecords_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppInstallation.RevenueAttributionRecords(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*AppRevenueAttributionRecordSortKeys)), true

	case "AppInstallation.uninstallUrl":
		if e.complexity.AppInstallation.UninstallURL == nil {
			break
		}

		return e.complexity.AppInstallation.UninstallURL(childComplexity), true

	case "AppPlanV2.pricingDetails":
		if e.complexity.AppPlanV2.PricingDetails == nil {
			break
		}

		return e.complexity.AppPlanV2.PricingDetails(childComplexity), true

	case "AppPurchaseOneTime.createdAt":
		if e.complexity.AppPurchaseOneTime.CreatedAt == nil {
			break
		}

		return e.complexity.AppPurchaseOneTime.CreatedAt(childComplexity), true

	case "AppPurchaseOneTime.id":
		if e.complexity.AppPurchaseOneTime.ID == nil {
			break
		}

		return e.complexity.AppPurchaseOneTime.ID(childComplexity), true

	case "AppPurchaseOneTime.name":
		if e.complexity.AppPurchaseOneTime.Name == nil {
			break
		}

		return e.complexity.AppPurchaseOneTime.Name(childComplexity), true

	case "AppPurchaseOneTime.price":
		if e.complexity.AppPurchaseOneTime.Price == nil {
			break
		}

		return e.complexity.AppPurchaseOneTime.Price(childComplexity), true

	case "AppPurchaseOneTime.status":
		if e.complexity.AppPurchaseOneTime.Status == nil {
			break
		}

		return e.complexity.AppPurchaseOneTime.Status(childComplexity), true

	case "AppPurchaseOneTime.test":
		if e.complexity.AppPurchaseOneTime.Test == nil {
			break
		}

		return e.complexity.AppPurchaseOneTime.Test(childComplexity), true

	case "AppPurchaseOneTimeConnection.edges":
		if e.complexity.AppPurchaseOneTimeConnection.Edges == nil {
			break
		}

		return e.complexity.AppPurchaseOneTimeConnection.Edges(childComplexity), true

	case "AppPurchaseOneTimeConnection.nodes":
		if e.complexity.AppPurchaseOneTimeConnection.Nodes == nil {
			break
		}

		return e.complexity.AppPurchaseOneTimeConnection.Nodes(childComplexity), true

	case "AppPurchaseOneTimeConnection.pageInfo":
		if e.complexity.AppPurchaseOneTimeConnection.PageInfo == nil {
			break
		}

		return e.complexity.AppPurchaseOneTimeConnection.PageInfo(childComplexity), true

	case "AppPurchaseOneTimeEdge.cursor":
		if e.complexity.AppPurchaseOneTimeEdge.Cursor == nil {
			break
		}

		return e.complexity.AppPurchaseOneTimeEdge.Cursor(childComplexity), true

	case "AppPurchaseOneTimeEdge.node":
		if e.complexity.AppPurchaseOneTimeEdge.Node == nil {
			break
		}

		return e.complexity.AppPurchaseOneTimeEdge.Node(childComplexity), true

	case "AppRecurringPricing.discount":
		if e.complexity.AppRecurringPricing.Discount == nil {
			break
		}

		return e.complexity.AppRecurringPricing.Discount(childComplexity), true

	case "AppRecurringPricing.interval":
		if e.complexity.AppRecurringPricing.Interval == nil {
			break
		}

		return e.complexity.AppRecurringPricing.Interval(childComplexity), true

	case "AppRecurringPricing.price":
		if e.complexity.AppRecurringPricing.Price == nil {
			break
		}

		return e.complexity.AppRecurringPricing.Price(childComplexity), true

	case "AppRevenueAttributionRecord.amount":
		if e.complexity.AppRevenueAttributionRecord.Amount == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecord.Amount(childComplexity), true

	case "AppRevenueAttributionRecord.capturedAt":
		if e.complexity.AppRevenueAttributionRecord.CapturedAt == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecord.CapturedAt(childComplexity), true

	case "AppRevenueAttributionRecord.createdAt":
		if e.complexity.AppRevenueAttributionRecord.CreatedAt == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecord.CreatedAt(childComplexity), true

	case "AppRevenueAttributionRecord.id":
		if e.complexity.AppRevenueAttributionRecord.ID == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecord.ID(childComplexity), true

	case "AppRevenueAttributionRecord.idempotencyKey":
		if e.complexity.AppRevenueAttributionRecord.IdempotencyKey == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecord.IdempotencyKey(childComplexity), true

	case "AppRevenueAttributionRecord.test":
		if e.complexity.AppRevenueAttributionRecord.Test == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecord.Test(childComplexity), true

	case "AppRevenueAttributionRecord.type":
		if e.complexity.AppRevenueAttributionRecord.Type == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecord.Type(childComplexity), true

	case "AppRevenueAttributionRecordConnection.edges":
		if e.complexity.AppRevenueAttributionRecordConnection.Edges == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecordConnection.Edges(childComplexity), true

	case "AppRevenueAttributionRecordConnection.nodes":
		if e.complexity.AppRevenueAttributionRecordConnection.Nodes == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecordConnection.Nodes(childComplexity), true

	case "AppRevenueAttributionRecordConnection.pageInfo":
		if e.complexity.AppRevenueAttributionRecordConnection.PageInfo == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecordConnection.PageInfo(childComplexity), true

	case "AppRevenueAttributionRecordEdge.cursor":
		if e.complexity.AppRevenueAttributionRecordEdge.Cursor == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecordEdge.Cursor(childComplexity), true

	case "AppRevenueAttributionRecordEdge.node":
		if e.complexity.AppRevenueAttributionRecordEdge.Node == nil {
			break
		}

		return e.complexity.AppRevenueAttributionRecordEdge.Node(childComplexity), true

	case "AppSubscription.createdAt":
		if e.complexity.AppSubscription.CreatedAt == nil {
			break
		}

		return e.complexity.AppSubscription.CreatedAt(childComplexity), true

	case "AppSubscription.currentPeriodEnd":
		if e.complexity.AppSubscription.CurrentPeriodEnd == nil {
			break
		}

		return e.complexity.AppSubscription.CurrentPeriodEnd(childComplexity), true

	case "AppSubscription.id":
		if e.complexity.AppSubscription.ID == nil {
			break
		}

		return e.complexity.AppSubscription.ID(childComplexity), true

	case "AppSubscription.lineItems":
		if e.complexity.AppSubscription.LineItems == nil {
			break
		}

		return e.complexity.AppSubscription.LineItems(childComplexity), true

	case "AppSubscription.name":
		if e.complexity.AppSubscription.Name == nil {
			break
		}

		return e.complexity.AppSubscription.Name(childComplexity), true

	case "AppSubscription.returnUrl":
		if e.complexity.AppSubscription.ReturnURL == nil {
			break
		}

		return e.complexity.AppSubscription.ReturnURL(childComplexity), true

	case "AppSubscription.status":
		if e.complexity.AppSubscription.Status == nil {
			break
		}

		return e.complexity.AppSubscription.Status(childComplexity), true

	case "AppSubscription.test":
		if e.complexity.AppSubscription.Test == nil {
			break
		}

		return e.complexity.AppSubscription.Test(childComplexity), true

	case "AppSubscription.trialDays":
		if e.complexity.AppSubscription.TrialDays == nil {
			break
		}

		return e.complexity.AppSubscription.TrialDays(childComplexity), true

	case "AppSubscriptionConnection.edges":
		if e.complexity.AppSubscriptionConnection.Edges == nil {
			break
		}

		return e.complexity.AppSubscriptionConnection.Edges(childComplexity), true

	case "AppSubscriptionConnection.nodes":
		if e.complexity.AppSubscriptionConnection.Nodes == nil {
			break
		}

		return e.complexity.AppSubscriptionConnection.Nodes(childComplexity), true

	case "AppSubscriptionConnection.pageInfo":
		if e.complexity.AppSubscriptionConnection.PageInfo == nil {
			break
		}

		return e.complexity.AppSubscriptionConnection.PageInfo(childComplexity), true

	case "AppSubscriptionDiscount.durationLimitInIntervals":
		if e.complexity.AppSubscriptionDiscount.DurationLimitInIntervals == nil {
			break
		}

		return e.complexity.AppSubscriptionDiscount.DurationLimitInIntervals(childComplexity), true

	case "AppSubscriptionDiscount.priceAfterDiscount":
		if e.complexity.AppSubscriptionDiscount.PriceAfterDiscount == nil {
			break
		}

		return e.complexity.AppSubscriptionDiscount.PriceAfterDiscount(childComplexity), true

	case "AppSubscriptionDiscount.remainingDurationInIntervals":
		if e.complexity.AppSubscriptionDiscount.RemainingDurationInIntervals == nil {
			break
		}

		return e.complexity.AppSubscriptionDiscount.RemainingDurationInIntervals(childComplexity), true

	case "AppSubscriptionDiscount.value":
		if e.complexity.AppSubscriptionDiscount.Value == nil {
			break
		}

		return e.complexity.AppSubscriptionDiscount.Value(childComplexity), true

	case "AppSubscriptionDiscountAmount.amount":
		if e.complexity.AppSubscriptionDiscountAmount.Amount == nil {
			break
		}

		return e.complexity.AppSubscriptionDiscountAmount.Amount(childComplexity), true

	case "AppSubscriptionDiscountPercentage.percentage":
		if e.complexity.AppSubscriptionDiscountPercentage.Percentage == nil {
			break
		}

		return e.complexity.AppSubscriptionDiscountPercentage.Percentage(childComplexity), true

	case "AppSubscriptionEdge.cursor":
		if e.complexity.AppSubscriptionEdge.Cursor == nil {
			break
		}

		return e.complexity.AppSubscriptionEdge.Cursor(childComplexity), true

	case "AppSubscriptionEdge.node":
		if e.complexity.AppSubscriptionEdge.Node == nil {
			break
		}

		return e.complexity.AppSubscriptionEdge.Node(childComplexity), true

	case "AppSubscriptionLineItem.id":
		if e.complexity.AppSubscriptionLineItem.ID == nil {
			break
		}

		return e.complexity.AppSubscriptionLineItem.ID(childComplexity), true

	case "AppSubscriptionLineItem.plan":
		if e.complexity.AppSubscriptionLineItem.Plan == nil {
			break
		}

		return e.complexity.AppSubscriptionLineItem.Plan(childComplexity), true

	case "AppSubscriptionLineItem.usageRecords":
		if e.complexity.AppSubscriptionLineItem.UsageRecords == nil {
			break
		}

		args, err := ec.field_AppSubscriptionLineItem_usageRecords_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.AppSubscriptionLineItem.UsageRecords(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*AppUsageRecordSortKeys)), true

	case "AppUsagePricing.balanceUsed":
		if e.complexity.AppUsagePricing.BalanceUsed == nil {
			break
		}

		return e.complexity.AppUsagePricing.BalanceUsed(childComplexity), true

	case "AppUsagePricing.cappedAmount":
		if e.complexity.AppUsagePricing.CappedAmount == nil {
			break
		}

		return e.complexity.AppUsagePricing.CappedAmount(childComplexity), true

	case "AppUsagePricing.interval":
		if e.complexity.AppUsagePricing.Interval == nil {
			break
		}

		return e.complexity.AppUsagePricing.Interval(childComplexity), true

	case "AppUsagePricing.terms":
		if e.complexity.AppUsagePricing.Terms == nil {
			break
		}

		return e.complexity.AppUsagePricing.Terms(childComplexity), true

	case "AppUsageRecord.createdAt":
		if e.complexity.AppUsageRecord.CreatedAt == nil {
			break
		}

		return e.complexity.AppUsageRecord.CreatedAt(childComplexity), true

	case "AppUsageRecord.description":
		if e.complexity.AppUsageRecord.Description == nil {
			break
		}

		return e.complexity.AppUsageRecord.Description(childComplexity), true

	case "AppUsageRecord.id":
		if e.complexity.AppUsageRecord.ID == nil {
			break
		}

		return e.complexity.AppUsageRecord.ID(childComplexity), true

	case "AppUsageRecord.price":
		if e.complexity.AppUsageRecord.Price == nil {
			break
		}

		return e.complexity.AppUsageRecord.Price(childComplexity), true

	case "AppUsageRecord.subscriptionLineItem":
		if e.complexity.AppUsageRecord.SubscriptionLineItem == nil {
			break
		}

		return e.complexity.AppUsageRecord.SubscriptionLineItem(childComplexity), true

	case "AppUsageRecordConnection.edges":
		if e.complexity.AppUsageRecordConnection.Edges == nil {
			break
		}

		return e.complexity.AppUsageRecordConnection.Edges(childComplexity), true

	case "AppUsageRecordConnection.nodes":
		if e.complexity.AppUsageRecordConnection.Nodes == nil {
			break
		}

		return e.complexity.AppUsageRecordConnection.Nodes(childComplexity), true

	case "AppUsageRecordConnection.pageInfo":
		if e.complexity.AppUsageRecordConnection.PageInfo == nil {
			break
		}

		return e.complexity.AppUsageRecordConnection.PageInfo(childComplexity), true

	case "AppUsageRecordEdge.cursor":
		if e.complexity.AppUsageRecordEdge.Cursor == nil {
			break
		}

		return e.complexity.AppUsageRecordEdge.Cursor(childComplexity), true

	case "AppUsageRecordEdge.node":
		if e.complexity.AppUsageRecordEdge.Node == nil {
			break
		}

		return e.complexity.AppUsageRecordEdge.Node(childComplexity), true

	case "Attribute.key":
		if e.complexity.Attribute.Key == nil {
			break
		}

		return e.complexity.Attribute.Key(childComplexity), true

	case "Attribute.value":
		if e.complexity.Attribute.Value == nil {
			break
		}

		return e.complexity.Attribute.Value(childComplexity), true

	case "AutomaticDiscountApplication.allocationMethod":
		if e.complexity.AutomaticDiscountApplication.AllocationMethod == nil {
			break
		}

		return e.complexity.AutomaticDiscountApplication.AllocationMethod(childComplexity), true

	case "AutomaticDiscountApplication.index":
		if e.complexity.AutomaticDiscountApplication.Index == nil {
			break
		}

		return e.complexity.AutomaticDiscountApplication.Index(childComplexity), true

	case "AutomaticDiscountApplication.targetSelection":
		if e.complexity.AutomaticDiscountApplication.TargetSelection == nil {
			break
		}

		return e.complexity.AutomaticDiscountApplication.TargetSelection(childComplexity), true

	case "AutomaticDiscountApplication.targetType":
		if e.complexity.AutomaticDiscountApplication.TargetType == nil {
			break
		}

		return e.complexity.AutomaticDiscountApplication.TargetType(childComplexity), true

	case "AutomaticDiscountApplication.title":
		if e.complexity.AutomaticDiscountApplication.Title == nil {
			break
		}

		return e.complexity.AutomaticDiscountApplication.Title(childComplexity), true

	case "AutomaticDiscountApplication.value":
		if e.complexity.AutomaticDiscountApplication.Value == nil {
			break
		}

		return e.complexity.AutomaticDiscountApplication.Value(childComplexity), true

	case "AvailableChannelDefinitionsByChannel.channelDefinitions":
		if e.complexity.AvailableChannelDefinitionsByChannel.ChannelDefinitions == nil {
			break
		}

		return e.complexity.AvailableChannelDefinitionsByChannel.ChannelDefinitions(childComplexity), true

	case "AvailableChannelDefinitionsByChannel.channelName":
		if e.complexity.AvailableChannelDefinitionsByChannel.ChannelName == nil {
			break
		}

		return e.complexity.AvailableChannelDefinitionsByChannel.ChannelName(childComplexity), true

	case "BasicEvent.appTitle":
		if e.complexity.BasicEvent.AppTitle == nil {
			break
		}

		return e.complexity.BasicEvent.AppTitle(childComplexity), true

	case "BasicEvent.attributeToApp":
		if e.complexity.BasicEvent.AttributeToApp == nil {
			break
		}

		return e.complexity.BasicEvent.AttributeToApp(childComplexity), true

	case "BasicEvent.attributeToUser":
		if e.complexity.BasicEvent.AttributeToUser == nil {
			break
		}

		return e.complexity.BasicEvent.AttributeToUser(childComplexity), true

	case "BasicEvent.createdAt":
		if e.complexity.BasicEvent.CreatedAt == nil {
			break
		}

		return e.complexity.BasicEvent.CreatedAt(childComplexity), true

	case "BasicEvent.criticalAlert":
		if e.complexity.BasicEvent.CriticalAlert == nil {
			break
		}

		return e.complexity.BasicEvent.CriticalAlert(childComplexity), true

	case "BasicEvent.id":
		if e.complexity.BasicEvent.ID == nil {
			break
		}

		return e.complexity.BasicEvent.ID(childComplexity), true

	case "BasicEvent.message":
		if e.complexity.BasicEvent.Message == nil {
			break
		}

		return e.complexity.BasicEvent.Message(childComplexity), true

	case "BuyerExperienceConfiguration.checkoutToDraft":
		if e.complexity.BuyerExperienceConfiguration.CheckoutToDraft == nil {
			break
		}

		return e.complexity.BuyerExperienceConfiguration.CheckoutToDraft(childComplexity), true

	case "BuyerExperienceConfiguration.payNowOnly":
		if e.complexity.BuyerExperienceConfiguration.PayNowOnly == nil {
			break
		}

		return e.complexity.BuyerExperienceConfiguration.PayNowOnly(childComplexity), true

	case "BuyerExperienceConfiguration.paymentTermsTemplate":
		if e.complexity.BuyerExperienceConfiguration.PaymentTermsTemplate == nil {
			break
		}

		return e.complexity.BuyerExperienceConfiguration.PaymentTermsTemplate(childComplexity), true

	case "ChannelDefinition.channelName":
		if e.complexity.ChannelDefinition.ChannelName == nil {
			break
		}

		return e.complexity.ChannelDefinition.ChannelName(childComplexity), true

	case "ChannelDefinition.handle":
		if e.complexity.ChannelDefinition.Handle == nil {
			break
		}

		return e.complexity.ChannelDefinition.Handle(childComplexity), true

	case "ChannelDefinition.id":
		if e.complexity.ChannelDefinition.ID == nil {
			break
		}

		return e.complexity.ChannelDefinition.ID(childComplexity), true

	case "ChannelDefinition.svgIcon":
		if e.complexity.ChannelDefinition.SVGIcon == nil {
			break
		}

		return e.complexity.ChannelDefinition.SVGIcon(childComplexity), true

	case "ChannelDefinition.subChannelName":
		if e.complexity.ChannelDefinition.SubChannelName == nil {
			break
		}

		return e.complexity.ChannelDefinition.SubChannelName(childComplexity), true

	case "ChannelInformation.app":
		if e.complexity.ChannelInformation.App == nil {
			break
		}

		return e.complexity.ChannelInformation.App(childComplexity), true

	case "ChannelInformation.channelDefinition":
		if e.complexity.ChannelInformation.ChannelDefinition == nil {
			break
		}

		return e.complexity.ChannelInformation.ChannelDefinition(childComplexity), true

	case "ChannelInformation.channelId":
		if e.complexity.ChannelInformation.ChannelID == nil {
			break
		}

		return e.complexity.ChannelInformation.ChannelID(childComplexity), true

	case "ChannelInformation.id":
		if e.complexity.ChannelInformation.ID == nil {
			break
		}

		return e.complexity.ChannelInformation.ID(childComplexity), true

	case "Collection.id":
		if e.complexity.Collection.ID == nil {
			break
		}

		return e.complexity.Collection.ID(childComplexity), true

	case "CollectionConnection.edges":
		if e.complexity.CollectionConnection.Edges == nil {
			break
		}

		return e.complexity.CollectionConnection.Edges(childComplexity), true

	case "CollectionConnection.nodes":
		if e.complexity.CollectionConnection.Nodes == nil {
			break
		}

		return e.complexity.CollectionConnection.Nodes(childComplexity), true

	case "CollectionConnection.pageInfo":
		if e.complexity.CollectionConnection.PageInfo == nil {
			break
		}

		return e.complexity.CollectionConnection.PageInfo(childComplexity), true

	case "CollectionEdge.cursor":
		if e.complexity.CollectionEdge.Cursor == nil {
			break
		}

		return e.complexity.CollectionEdge.Cursor(childComplexity), true

	case "CollectionEdge.node":
		if e.complexity.CollectionEdge.Node == nil {
			break
		}

		return e.complexity.CollectionEdge.Node(childComplexity), true

	case "CollectionRule.appliedDisjunctively":
		if e.complexity.CollectionRule.AppliedDisjunctively == nil {
			break
		}

		return e.complexity.CollectionRule.AppliedDisjunctively(childComplexity), true

	case "CollectionRule.rules":
		if e.complexity.CollectionRule.Rules == nil {
			break
		}

		return e.complexity.CollectionRule.Rules(childComplexity), true

	case "CollectionRuleSet.appliedDisjunctively":
		if e.complexity.CollectionRuleSet.AppliedDisjunctively == nil {
			break
		}

		return e.complexity.CollectionRuleSet.AppliedDisjunctively(childComplexity), true

	case "CollectionRuleSet.rules":
		if e.complexity.CollectionRuleSet.Rules == nil {
			break
		}

		return e.complexity.CollectionRuleSet.Rules(childComplexity), true

	case "CommentEvent.appTitle":
		if e.complexity.CommentEvent.AppTitle == nil {
			break
		}

		return e.complexity.CommentEvent.AppTitle(childComplexity), true

	case "CommentEvent.attachments":
		if e.complexity.CommentEvent.Attachments == nil {
			break
		}

		return e.complexity.CommentEvent.Attachments(childComplexity), true

	case "CommentEvent.attributeToApp":
		if e.complexity.CommentEvent.AttributeToApp == nil {
			break
		}

		return e.complexity.CommentEvent.AttributeToApp(childComplexity), true

	case "CommentEvent.attributeToUser":
		if e.complexity.CommentEvent.AttributeToUser == nil {
			break
		}

		return e.complexity.CommentEvent.AttributeToUser(childComplexity), true

	case "CommentEvent.author":
		if e.complexity.CommentEvent.Author == nil {
			break
		}

		return e.complexity.CommentEvent.Author(childComplexity), true

	case "CommentEvent.canDelete":
		if e.complexity.CommentEvent.CanDelete == nil {
			break
		}

		return e.complexity.CommentEvent.CanDelete(childComplexity), true

	case "CommentEvent.canEdit":
		if e.complexity.CommentEvent.CanEdit == nil {
			break
		}

		return e.complexity.CommentEvent.CanEdit(childComplexity), true

	case "CommentEvent.createdAt":
		if e.complexity.CommentEvent.CreatedAt == nil {
			break
		}

		return e.complexity.CommentEvent.CreatedAt(childComplexity), true

	case "CommentEvent.criticalAlert":
		if e.complexity.CommentEvent.CriticalAlert == nil {
			break
		}

		return e.complexity.CommentEvent.CriticalAlert(childComplexity), true

	case "CommentEvent.edited":
		if e.complexity.CommentEvent.Edited == nil {
			break
		}

		return e.complexity.CommentEvent.Edited(childComplexity), true

	case "CommentEvent.embed":
		if e.complexity.CommentEvent.Embed == nil {
			break
		}

		return e.complexity.CommentEvent.Embed(childComplexity), true

	case "CommentEvent.id":
		if e.complexity.CommentEvent.ID == nil {
			break
		}

		return e.complexity.CommentEvent.ID(childComplexity), true

	case "CommentEvent.message":
		if e.complexity.CommentEvent.Message == nil {
			break
		}

		return e.complexity.CommentEvent.Message(childComplexity), true

	case "CommentEvent.rawMessage":
		if e.complexity.CommentEvent.RawMessage == nil {
			break
		}

		return e.complexity.CommentEvent.RawMessage(childComplexity), true

	case "CommentEvent.subject":
		if e.complexity.CommentEvent.Subject == nil {
			break
		}

		return e.complexity.CommentEvent.Subject(childComplexity), true

	case "CommentEventAttachment.fileExtension":
		if e.complexity.CommentEventAttachment.FileExtension == nil {
			break
		}

		return e.complexity.CommentEventAttachment.FileExtension(childComplexity), true

	case "CommentEventAttachment.id":
		if e.complexity.CommentEventAttachment.ID == nil {
			break
		}

		return e.complexity.CommentEventAttachment.ID(childComplexity), true

	case "CommentEventAttachment.image":
		if e.complexity.CommentEventAttachment.Image == nil {
			break
		}

		return e.complexity.CommentEventAttachment.Image(childComplexity), true

	case "CommentEventAttachment.name":
		if e.complexity.CommentEventAttachment.Name == nil {
			break
		}

		return e.complexity.CommentEventAttachment.Name(childComplexity), true

	case "CommentEventAttachment.size":
		if e.complexity.CommentEventAttachment.Size == nil {
			break
		}

		return e.complexity.CommentEventAttachment.Size(childComplexity), true

	case "CommentEventAttachment.url":
		if e.complexity.CommentEventAttachment.URL == nil {
			break
		}

		return e.complexity.CommentEventAttachment.URL(childComplexity), true

	case "Company.contactCount":
		if e.complexity.Company.ContactCount == nil {
			break
		}

		return e.complexity.Company.ContactCount(childComplexity), true

	case "Company.contactRoles":
		if e.complexity.Company.ContactRoles == nil {
			break
		}

		args, err := ec.field_Company_contactRoles_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Company.ContactRoles(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*CompanyContactRoleSortKeys)), true

	case "Company.contacts":
		if e.complexity.Company.Contacts == nil {
			break
		}

		args, err := ec.field_Company_contacts_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Company.Contacts(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*CompanyContactSortKeys), args["query"].(*string)), true

	case "Company.createdAt":
		if e.complexity.Company.CreatedAt == nil {
			break
		}

		return e.complexity.Company.CreatedAt(childComplexity), true

	case "Company.customerSince":
		if e.complexity.Company.CustomerSince == nil {
			break
		}

		return e.complexity.Company.CustomerSince(childComplexity), true

	case "Company.defaultCursor":
		if e.complexity.Company.DefaultCursor == nil {
			break
		}

		return e.complexity.Company.DefaultCursor(childComplexity), true

	case "Company.defaultRole":
		if e.complexity.Company.DefaultRole == nil {
			break
		}

		return e.complexity.Company.DefaultRole(childComplexity), true

	case "Company.draftOrders":
		if e.complexity.Company.DraftOrders == nil {
			break
		}

		args, err := ec.field_Company_draftOrders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Company.DraftOrders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*DraftOrderSortKeys), args["query"].(*string)), true

	case "Company.events":
		if e.complexity.Company.Events == nil {
			break
		}

		args, err := ec.field_Company_events_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Company.Events(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*EventSortKeys), args["query"].(*string)), true

	case "Company.externalId":
		if e.complexity.Company.ExternalID == nil {
			break
		}

		return e.complexity.Company.ExternalID(childComplexity), true

	case "Company.hasTimelineComment":
		if e.complexity.Company.HasTimelineComment == nil {
			break
		}

		return e.complexity.Company.HasTimelineComment(childComplexity), true

	case "Company.id":
		if e.complexity.Company.ID == nil {
			break
		}

		return e.complexity.Company.ID(childComplexity), true

	case "Company.lifetimeDuration":
		if e.complexity.Company.LifetimeDuration == nil {
			break
		}

		return e.complexity.Company.LifetimeDuration(childComplexity), true

	case "Company.locationCount":
		if e.complexity.Company.LocationCount == nil {
			break
		}

		return e.complexity.Company.LocationCount(childComplexity), true

	case "Company.locations":
		if e.complexity.Company.Locations == nil {
			break
		}

		args, err := ec.field_Company_locations_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Company.Locations(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*CompanyLocationSortKeys), args["query"].(*string)), true

	case "Company.mainContact":
		if e.complexity.Company.MainContact == nil {
			break
		}

		return e.complexity.Company.MainContact(childComplexity), true

	case "Company.name":
		if e.complexity.Company.Name == nil {
			break
		}

		return e.complexity.Company.Name(childComplexity), true

	case "Company.note":
		if e.complexity.Company.Note == nil {
			break
		}

		return e.complexity.Company.Note(childComplexity), true

	case "Company.orderCount":
		if e.complexity.Company.OrderCount == nil {
			break
		}

		return e.complexity.Company.OrderCount(childComplexity), true

	case "Company.orders":
		if e.complexity.Company.Orders == nil {
			break
		}

		args, err := ec.field_Company_orders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Company.Orders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*OrderSortKeys)), true

	case "Company.totalSpent":
		if e.complexity.Company.TotalSpent == nil {
			break
		}

		return e.complexity.Company.TotalSpent(childComplexity), true

	case "Company.updatedAt":
		if e.complexity.Company.UpdatedAt == nil {
			break
		}

		return e.complexity.Company.UpdatedAt(childComplexity), true

	case "CompanyAddress.address1":
		if e.complexity.CompanyAddress.Address1 == nil {
			break
		}

		return e.complexity.CompanyAddress.Address1(childComplexity), true

	case "CompanyAddress.address2":
		if e.complexity.CompanyAddress.Address2 == nil {
			break
		}

		return e.complexity.CompanyAddress.Address2(childComplexity), true

	case "CompanyAddress.city":
		if e.complexity.CompanyAddress.City == nil {
			break
		}

		return e.complexity.CompanyAddress.City(childComplexity), true

	case "CompanyAddress.companyName":
		if e.complexity.CompanyAddress.CompanyName == nil {
			break
		}

		return e.complexity.CompanyAddress.CompanyName(childComplexity), true

	case "CompanyAddress.country":
		if e.complexity.CompanyAddress.Country == nil {
			break
		}

		return e.complexity.CompanyAddress.Country(childComplexity), true

	case "CompanyAddress.countryCode":
		if e.complexity.CompanyAddress.CountryCode == nil {
			break
		}

		return e.complexity.CompanyAddress.CountryCode(childComplexity), true

	case "CompanyAddress.createdAt":
		if e.complexity.CompanyAddress.CreatedAt == nil {
			break
		}

		return e.complexity.CompanyAddress.CreatedAt(childComplexity), true

	case "CompanyAddress.formattedArea":
		if e.complexity.CompanyAddress.FormattedArea == nil {
			break
		}

		return e.complexity.CompanyAddress.FormattedArea(childComplexity), true

	case "CompanyAddress.id":
		if e.complexity.CompanyAddress.ID == nil {
			break
		}

		return e.complexity.CompanyAddress.ID(childComplexity), true

	case "CompanyAddress.phone":
		if e.complexity.CompanyAddress.Phone == nil {
			break
		}

		return e.complexity.CompanyAddress.Phone(childComplexity), true

	case "CompanyAddress.province":
		if e.complexity.CompanyAddress.Province == nil {
			break
		}

		return e.complexity.CompanyAddress.Province(childComplexity), true

	case "CompanyAddress.recipient":
		if e.complexity.CompanyAddress.Recipient == nil {
			break
		}

		return e.complexity.CompanyAddress.Recipient(childComplexity), true

	case "CompanyAddress.updatedAt":
		if e.complexity.CompanyAddress.UpdatedAt == nil {
			break
		}

		return e.complexity.CompanyAddress.UpdatedAt(childComplexity), true

	case "CompanyAddress.zip":
		if e.complexity.CompanyAddress.Zip == nil {
			break
		}

		return e.complexity.CompanyAddress.Zip(childComplexity), true

	case "CompanyAddress.zoneCode":
		if e.complexity.CompanyAddress.ZoneCode == nil {
			break
		}

		return e.complexity.CompanyAddress.ZoneCode(childComplexity), true

	case "CompanyContact.company":
		if e.complexity.CompanyContact.Company == nil {
			break
		}

		return e.complexity.CompanyContact.Company(childComplexity), true

	case "CompanyContact.createdAt":
		if e.complexity.CompanyContact.CreatedAt == nil {
			break
		}

		return e.complexity.CompanyContact.CreatedAt(childComplexity), true

	case "CompanyContact.customer":
		if e.complexity.CompanyContact.Customer == nil {
			break
		}

		return e.complexity.CompanyContact.Customer(childComplexity), true

	case "CompanyContact.draftOrders":
		if e.complexity.CompanyContact.DraftOrders == nil {
			break
		}

		args, err := ec.field_CompanyContact_draftOrders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CompanyContact.DraftOrders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*DraftOrderSortKeys), args["query"].(*string)), true

	case "CompanyContact.id":
		if e.complexity.CompanyContact.ID == nil {
			break
		}

		return e.complexity.CompanyContact.ID(childComplexity), true

	case "CompanyContact.isMainContact":
		if e.complexity.CompanyContact.IsMainContact == nil {
			break
		}

		return e.complexity.CompanyContact.IsMainContact(childComplexity), true

	case "CompanyContact.lifetimeDuration":
		if e.complexity.CompanyContact.LifetimeDuration == nil {
			break
		}

		return e.complexity.CompanyContact.LifetimeDuration(childComplexity), true

	case "CompanyContact.locale":
		if e.complexity.CompanyContact.Locale == nil {
			break
		}

		return e.complexity.CompanyContact.Locale(childComplexity), true

	case "CompanyContact.orders":
		if e.complexity.CompanyContact.Orders == nil {
			break
		}

		args, err := ec.field_CompanyContact_orders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CompanyContact.Orders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*OrderSortKeys)), true

	case "CompanyContact.roleAssignments":
		if e.complexity.CompanyContact.RoleAssignments == nil {
			break
		}

		args, err := ec.field_CompanyContact_roleAssignments_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CompanyContact.RoleAssignments(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*CompanyContactRoleAssignmentSortKeys), args["query"].(*string)), true

	case "CompanyContact.title":
		if e.complexity.CompanyContact.Title == nil {
			break
		}

		return e.complexity.CompanyContact.Title(childComplexity), true

	case "CompanyContact.updatedAt":
		if e.complexity.CompanyContact.UpdatedAt == nil {
			break
		}

		return e.complexity.CompanyContact.UpdatedAt(childComplexity), true

	case "CompanyContactConnection.edges":
		if e.complexity.CompanyContactConnection.Edges == nil {
			break
		}

		return e.complexity.CompanyContactConnection.Edges(childComplexity), true

	case "CompanyContactConnection.nodes":
		if e.complexity.CompanyContactConnection.Nodes == nil {
			break
		}

		return e.complexity.CompanyContactConnection.Nodes(childComplexity), true

	case "CompanyContactConnection.pageInfo":
		if e.complexity.CompanyContactConnection.PageInfo == nil {
			break
		}

		return e.complexity.CompanyContactConnection.PageInfo(childComplexity), true

	case "CompanyContactEdge.cursor":
		if e.complexity.CompanyContactEdge.Cursor == nil {
			break
		}

		return e.complexity.CompanyContactEdge.Cursor(childComplexity), true

	case "CompanyContactEdge.node":
		if e.complexity.CompanyContactEdge.Node == nil {
			break
		}

		return e.complexity.CompanyContactEdge.Node(childComplexity), true

	case "CompanyContactRole.id":
		if e.complexity.CompanyContactRole.ID == nil {
			break
		}

		return e.complexity.CompanyContactRole.ID(childComplexity), true

	case "CompanyContactRole.name":
		if e.complexity.CompanyContactRole.Name == nil {
			break
		}

		return e.complexity.CompanyContactRole.Name(childComplexity), true

	case "CompanyContactRole.note":
		if e.complexity.CompanyContactRole.Note == nil {
			break
		}

		return e.complexity.CompanyContactRole.Note(childComplexity), true

	case "CompanyContactRoleAssignment.company":
		if e.complexity.CompanyContactRoleAssignment.Company == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignment.Company(childComplexity), true

	case "CompanyContactRoleAssignment.companyContact":
		if e.complexity.CompanyContactRoleAssignment.CompanyContact == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignment.CompanyContact(childComplexity), true

	case "CompanyContactRoleAssignment.companyLocation":
		if e.complexity.CompanyContactRoleAssignment.CompanyLocation == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignment.CompanyLocation(childComplexity), true

	case "CompanyContactRoleAssignment.createdAt":
		if e.complexity.CompanyContactRoleAssignment.CreatedAt == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignment.CreatedAt(childComplexity), true

	case "CompanyContactRoleAssignment.id":
		if e.complexity.CompanyContactRoleAssignment.ID == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignment.ID(childComplexity), true

	case "CompanyContactRoleAssignment.role":
		if e.complexity.CompanyContactRoleAssignment.Role == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignment.Role(childComplexity), true

	case "CompanyContactRoleAssignment.updatedAt":
		if e.complexity.CompanyContactRoleAssignment.UpdatedAt == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignment.UpdatedAt(childComplexity), true

	case "CompanyContactRoleAssignmentConnection.edges":
		if e.complexity.CompanyContactRoleAssignmentConnection.Edges == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignmentConnection.Edges(childComplexity), true

	case "CompanyContactRoleAssignmentConnection.nodes":
		if e.complexity.CompanyContactRoleAssignmentConnection.Nodes == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignmentConnection.Nodes(childComplexity), true

	case "CompanyContactRoleAssignmentConnection.pageInfo":
		if e.complexity.CompanyContactRoleAssignmentConnection.PageInfo == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignmentConnection.PageInfo(childComplexity), true

	case "CompanyContactRoleAssignmentEdge.cursor":
		if e.complexity.CompanyContactRoleAssignmentEdge.Cursor == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignmentEdge.Cursor(childComplexity), true

	case "CompanyContactRoleAssignmentEdge.node":
		if e.complexity.CompanyContactRoleAssignmentEdge.Node == nil {
			break
		}

		return e.complexity.CompanyContactRoleAssignmentEdge.Node(childComplexity), true

	case "CompanyContactRoleConnection.edges":
		if e.complexity.CompanyContactRoleConnection.Edges == nil {
			break
		}

		return e.complexity.CompanyContactRoleConnection.Edges(childComplexity), true

	case "CompanyContactRoleConnection.nodes":
		if e.complexity.CompanyContactRoleConnection.Nodes == nil {
			break
		}

		return e.complexity.CompanyContactRoleConnection.Nodes(childComplexity), true

	case "CompanyContactRoleConnection.pageInfo":
		if e.complexity.CompanyContactRoleConnection.PageInfo == nil {
			break
		}

		return e.complexity.CompanyContactRoleConnection.PageInfo(childComplexity), true

	case "CompanyContactRoleEdge.cursor":
		if e.complexity.CompanyContactRoleEdge.Cursor == nil {
			break
		}

		return e.complexity.CompanyContactRoleEdge.Cursor(childComplexity), true

	case "CompanyContactRoleEdge.node":
		if e.complexity.CompanyContactRoleEdge.Node == nil {
			break
		}

		return e.complexity.CompanyContactRoleEdge.Node(childComplexity), true

	case "CompanyLocation.billingAddress":
		if e.complexity.CompanyLocation.BillingAddress == nil {
			break
		}

		return e.complexity.CompanyLocation.BillingAddress(childComplexity), true

	case "CompanyLocation.buyerExperienceConfiguration":
		if e.complexity.CompanyLocation.BuyerExperienceConfiguration == nil {
			break
		}

		return e.complexity.CompanyLocation.BuyerExperienceConfiguration(childComplexity), true

	case "CompanyLocation.company":
		if e.complexity.CompanyLocation.Company == nil {
			break
		}

		return e.complexity.CompanyLocation.Company(childComplexity), true

	case "CompanyLocation.createdAt":
		if e.complexity.CompanyLocation.CreatedAt == nil {
			break
		}

		return e.complexity.CompanyLocation.CreatedAt(childComplexity), true

	case "CompanyLocation.currency":
		if e.complexity.CompanyLocation.Currency == nil {
			break
		}

		return e.complexity.CompanyLocation.Currency(childComplexity), true

	case "CompanyLocation.defaultCursor":
		if e.complexity.CompanyLocation.DefaultCursor == nil {
			break
		}

		return e.complexity.CompanyLocation.DefaultCursor(childComplexity), true

	case "CompanyLocation.draftOrders":
		if e.complexity.CompanyLocation.DraftOrders == nil {
			break
		}

		args, err := ec.field_CompanyLocation_draftOrders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CompanyLocation.DraftOrders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*DraftOrderSortKeys), args["query"].(*string)), true

	case "CompanyLocation.events":
		if e.complexity.CompanyLocation.Events == nil {
			break
		}

		args, err := ec.field_CompanyLocation_events_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CompanyLocation.Events(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*EventSortKeys), args["query"].(*string)), true

	case "CompanyLocation.externalId":
		if e.complexity.CompanyLocation.ExternalID == nil {
			break
		}

		return e.complexity.CompanyLocation.ExternalID(childComplexity), true

	case "CompanyLocation.hasTimelineComment":
		if e.complexity.CompanyLocation.HasTimelineComment == nil {
			break
		}

		return e.complexity.CompanyLocation.HasTimelineComment(childComplexity), true

	case "CompanyLocation.id":
		if e.complexity.CompanyLocation.ID == nil {
			break
		}

		return e.complexity.CompanyLocation.ID(childComplexity), true

	case "CompanyLocation.locale":
		if e.complexity.CompanyLocation.Locale == nil {
			break
		}

		return e.complexity.CompanyLocation.Locale(childComplexity), true

	case "CompanyLocation.market":
		if e.complexity.CompanyLocation.Market == nil {
			break
		}

		return e.complexity.CompanyLocation.Market(childComplexity), true

	case "CompanyLocation.name":
		if e.complexity.CompanyLocation.Name == nil {
			break
		}

		return e.complexity.CompanyLocation.Name(childComplexity), true

	case "CompanyLocation.note":
		if e.complexity.CompanyLocation.Note == nil {
			break
		}

		return e.complexity.CompanyLocation.Note(childComplexity), true

	case "CompanyLocation.orderCount":
		if e.complexity.CompanyLocation.OrderCount == nil {
			break
		}

		return e.complexity.CompanyLocation.OrderCount(childComplexity), true

	case "CompanyLocation.orders":
		if e.complexity.CompanyLocation.Orders == nil {
			break
		}

		args, err := ec.field_CompanyLocation_orders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CompanyLocation.Orders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*OrderSortKeys)), true

	case "CompanyLocation.phone":
		if e.complexity.CompanyLocation.Phone == nil {
			break
		}

		return e.complexity.CompanyLocation.Phone(childComplexity), true

	case "CompanyLocation.roleAssignments":
		if e.complexity.CompanyLocation.RoleAssignments == nil {
			break
		}

		args, err := ec.field_CompanyLocation_roleAssignments_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CompanyLocation.RoleAssignments(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*CompanyContactRoleAssignmentSortKeys), args["query"].(*string)), true

	case "CompanyLocation.shippingAddress":
		if e.complexity.CompanyLocation.ShippingAddress == nil {
			break
		}

		return e.complexity.CompanyLocation.ShippingAddress(childComplexity), true

	case "CompanyLocation.taxExemptions":
		if e.complexity.CompanyLocation.TaxExemptions == nil {
			break
		}

		return e.complexity.CompanyLocation.TaxExemptions(childComplexity), true

	case "CompanyLocation.taxRegistrationId":
		if e.complexity.CompanyLocation.TaxRegistrationID == nil {
			break
		}

		return e.complexity.CompanyLocation.TaxRegistrationID(childComplexity), true

	case "CompanyLocation.totalSpent":
		if e.complexity.CompanyLocation.TotalSpent == nil {
			break
		}

		return e.complexity.CompanyLocation.TotalSpent(childComplexity), true

	case "CompanyLocation.updatedAt":
		if e.complexity.CompanyLocation.UpdatedAt == nil {
			break
		}

		return e.complexity.CompanyLocation.UpdatedAt(childComplexity), true

	case "CompanyLocationConnection.edges":
		if e.complexity.CompanyLocationConnection.Edges == nil {
			break
		}

		return e.complexity.CompanyLocationConnection.Edges(childComplexity), true

	case "CompanyLocationConnection.nodes":
		if e.complexity.CompanyLocationConnection.Nodes == nil {
			break
		}

		return e.complexity.CompanyLocationConnection.Nodes(childComplexity), true

	case "CompanyLocationConnection.pageInfo":
		if e.complexity.CompanyLocationConnection.PageInfo == nil {
			break
		}

		return e.complexity.CompanyLocationConnection.PageInfo(childComplexity), true

	case "CompanyLocationEdge.cursor":
		if e.complexity.CompanyLocationEdge.Cursor == nil {
			break
		}

		return e.complexity.CompanyLocationEdge.Cursor(childComplexity), true

	case "CompanyLocationEdge.node":
		if e.complexity.CompanyLocationEdge.Node == nil {
			break
		}

		return e.complexity.CompanyLocationEdge.Node(childComplexity), true

	case "CountriesInShippingZones.countryCodes":
		if e.complexity.CountriesInShippingZones.CountryCodes == nil {
			break
		}

		return e.complexity.CountriesInShippingZones.CountryCodes(childComplexity), true

	case "CountriesInShippingZones.includeRestOfWorld":
		if e.complexity.CountriesInShippingZones.IncludeRestOfWorld == nil {
			break
		}

		return e.complexity.CountriesInShippingZones.IncludeRestOfWorld(childComplexity), true

	case "CountryHarmonizedSystemCode.countryCode":
		if e.complexity.CountryHarmonizedSystemCode.CountryCode == nil {
			break
		}

		return e.complexity.CountryHarmonizedSystemCode.CountryCode(childComplexity), true

	case "CountryHarmonizedSystemCode.harmonizedSystemCode":
		if e.complexity.CountryHarmonizedSystemCode.HarmonizedSystemCode == nil {
			break
		}

		return e.complexity.CountryHarmonizedSystemCode.HarmonizedSystemCode(childComplexity), true

	case "CountryHarmonizedSystemCodeConnection.edges":
		if e.complexity.CountryHarmonizedSystemCodeConnection.Edges == nil {
			break
		}

		return e.complexity.CountryHarmonizedSystemCodeConnection.Edges(childComplexity), true

	case "CountryHarmonizedSystemCodeConnection.nodes":
		if e.complexity.CountryHarmonizedSystemCodeConnection.Nodes == nil {
			break
		}

		return e.complexity.CountryHarmonizedSystemCodeConnection.Nodes(childComplexity), true

	case "CountryHarmonizedSystemCodeConnection.pageInfo":
		if e.complexity.CountryHarmonizedSystemCodeConnection.PageInfo == nil {
			break
		}

		return e.complexity.CountryHarmonizedSystemCodeConnection.PageInfo(childComplexity), true

	case "CountryHarmonizedSystemCodeEdge.cursor":
		if e.complexity.CountryHarmonizedSystemCodeEdge.Cursor == nil {
			break
		}

		return e.complexity.CountryHarmonizedSystemCodeEdge.Cursor(childComplexity), true

	case "CountryHarmonizedSystemCodeEdge.node":
		if e.complexity.CountryHarmonizedSystemCodeEdge.Node == nil {
			break
		}

		return e.complexity.CountryHarmonizedSystemCodeEdge.Node(childComplexity), true

	case "CurrencyFormats.moneyFormat":
		if e.complexity.CurrencyFormats.MoneyFormat == nil {
			break
		}

		return e.complexity.CurrencyFormats.MoneyFormat(childComplexity), true

	case "CurrencyFormats.moneyInEmailsFormat":
		if e.complexity.CurrencyFormats.MoneyInEmailsFormat == nil {
			break
		}

		return e.complexity.CurrencyFormats.MoneyInEmailsFormat(childComplexity), true

	case "CurrencyFormats.moneyWithCurrencyFormat":
		if e.complexity.CurrencyFormats.MoneyWithCurrencyFormat == nil {
			break
		}

		return e.complexity.CurrencyFormats.MoneyWithCurrencyFormat(childComplexity), true

	case "CurrencyFormats.moneyWithCurrencyInEmailsFormat":
		if e.complexity.CurrencyFormats.MoneyWithCurrencyInEmailsFormat == nil {
			break
		}

		return e.complexity.CurrencyFormats.MoneyWithCurrencyInEmailsFormat(childComplexity), true

	case "CurrencySetting.currencyCode":
		if e.complexity.CurrencySetting.CurrencyCode == nil {
			break
		}

		return e.complexity.CurrencySetting.CurrencyCode(childComplexity), true

	case "CurrencySetting.currencyName":
		if e.complexity.CurrencySetting.CurrencyName == nil {
			break
		}

		return e.complexity.CurrencySetting.CurrencyName(childComplexity), true

	case "CurrencySetting.enabled":
		if e.complexity.CurrencySetting.Enabled == nil {
			break
		}

		return e.complexity.CurrencySetting.Enabled(childComplexity), true

	case "CurrencySetting.rateUpdatedAt":
		if e.complexity.CurrencySetting.RateUpdatedAt == nil {
			break
		}

		return e.complexity.CurrencySetting.RateUpdatedAt(childComplexity), true

	case "CurrencySettingConnection.edges":
		if e.complexity.CurrencySettingConnection.Edges == nil {
			break
		}

		return e.complexity.CurrencySettingConnection.Edges(childComplexity), true

	case "CurrencySettingConnection.nodes":
		if e.complexity.CurrencySettingConnection.Nodes == nil {
			break
		}

		return e.complexity.CurrencySettingConnection.Nodes(childComplexity), true

	case "CurrencySettingConnection.pageInfo":
		if e.complexity.CurrencySettingConnection.PageInfo == nil {
			break
		}

		return e.complexity.CurrencySettingConnection.PageInfo(childComplexity), true

	case "CurrencySettingEdge.cursor":
		if e.complexity.CurrencySettingEdge.Cursor == nil {
			break
		}

		return e.complexity.CurrencySettingEdge.Cursor(childComplexity), true

	case "CurrencySettingEdge.node":
		if e.complexity.CurrencySettingEdge.Node == nil {
			break
		}

		return e.complexity.CurrencySettingEdge.Node(childComplexity), true

	case "Customer.id":
		if e.complexity.Customer.ID == nil {
			break
		}

		return e.complexity.Customer.ID(childComplexity), true

	case "CustomerCreditCard.billingAddress":
		if e.complexity.CustomerCreditCard.BillingAddress == nil {
			break
		}

		return e.complexity.CustomerCreditCard.BillingAddress(childComplexity), true

	case "CustomerCreditCard.brand":
		if e.complexity.CustomerCreditCard.Brand == nil {
			break
		}

		return e.complexity.CustomerCreditCard.Brand(childComplexity), true

	case "CustomerCreditCard.expiresSoon":
		if e.complexity.CustomerCreditCard.ExpiresSoon == nil {
			break
		}

		return e.complexity.CustomerCreditCard.ExpiresSoon(childComplexity), true

	case "CustomerCreditCard.expiryMonth":
		if e.complexity.CustomerCreditCard.ExpiryMonth == nil {
			break
		}

		return e.complexity.CustomerCreditCard.ExpiryMonth(childComplexity), true

	case "CustomerCreditCard.expiryYear":
		if e.complexity.CustomerCreditCard.ExpiryYear == nil {
			break
		}

		return e.complexity.CustomerCreditCard.ExpiryYear(childComplexity), true

	case "CustomerCreditCard.firstDigits":
		if e.complexity.CustomerCreditCard.FirstDigits == nil {
			break
		}

		return e.complexity.CustomerCreditCard.FirstDigits(childComplexity), true

	case "CustomerCreditCard.isRevocable":
		if e.complexity.CustomerCreditCard.IsRevocable == nil {
			break
		}

		return e.complexity.CustomerCreditCard.IsRevocable(childComplexity), true

	case "CustomerCreditCard.lastDigits":
		if e.complexity.CustomerCreditCard.LastDigits == nil {
			break
		}

		return e.complexity.CustomerCreditCard.LastDigits(childComplexity), true

	case "CustomerCreditCard.maskedNumber":
		if e.complexity.CustomerCreditCard.MaskedNumber == nil {
			break
		}

		return e.complexity.CustomerCreditCard.MaskedNumber(childComplexity), true

	case "CustomerCreditCard.name":
		if e.complexity.CustomerCreditCard.Name == nil {
			break
		}

		return e.complexity.CustomerCreditCard.Name(childComplexity), true

	case "CustomerCreditCard.source":
		if e.complexity.CustomerCreditCard.Source == nil {
			break
		}

		return e.complexity.CustomerCreditCard.Source(childComplexity), true

	case "CustomerCreditCard.virtualLastDigits":
		if e.complexity.CustomerCreditCard.VirtualLastDigits == nil {
			break
		}

		return e.complexity.CustomerCreditCard.VirtualLastDigits(childComplexity), true

	case "CustomerCreditCardBillingAddress.address1":
		if e.complexity.CustomerCreditCardBillingAddress.Address1 == nil {
			break
		}

		return e.complexity.CustomerCreditCardBillingAddress.Address1(childComplexity), true

	case "CustomerCreditCardBillingAddress.city":
		if e.complexity.CustomerCreditCardBillingAddress.City == nil {
			break
		}

		return e.complexity.CustomerCreditCardBillingAddress.City(childComplexity), true

	case "CustomerCreditCardBillingAddress.country":
		if e.complexity.CustomerCreditCardBillingAddress.Country == nil {
			break
		}

		return e.complexity.CustomerCreditCardBillingAddress.Country(childComplexity), true

	case "CustomerCreditCardBillingAddress.countryCode":
		if e.complexity.CustomerCreditCardBillingAddress.CountryCode == nil {
			break
		}

		return e.complexity.CustomerCreditCardBillingAddress.CountryCode(childComplexity), true

	case "CustomerCreditCardBillingAddress.province":
		if e.complexity.CustomerCreditCardBillingAddress.Province == nil {
			break
		}

		return e.complexity.CustomerCreditCardBillingAddress.Province(childComplexity), true

	case "CustomerCreditCardBillingAddress.provinceCode":
		if e.complexity.CustomerCreditCardBillingAddress.ProvinceCode == nil {
			break
		}

		return e.complexity.CustomerCreditCardBillingAddress.ProvinceCode(childComplexity), true

	case "CustomerCreditCardBillingAddress.zip":
		if e.complexity.CustomerCreditCardBillingAddress.Zip == nil {
			break
		}

		return e.complexity.CustomerCreditCardBillingAddress.Zip(childComplexity), true

	case "CustomerEmailMarketingConsentState.consentUpdatedAt":
		if e.complexity.CustomerEmailMarketingConsentState.ConsentUpdatedAt == nil {
			break
		}

		return e.complexity.CustomerEmailMarketingConsentState.ConsentUpdatedAt(childComplexity), true

	case "CustomerEmailMarketingConsentState.marketingOptInLevel":
		if e.complexity.CustomerEmailMarketingConsentState.MarketingOptInLevel == nil {
			break
		}

		return e.complexity.CustomerEmailMarketingConsentState.MarketingOptInLevel(childComplexity), true

	case "CustomerEmailMarketingConsentState.marketingState":
		if e.complexity.CustomerEmailMarketingConsentState.MarketingState == nil {
			break
		}

		return e.complexity.CustomerEmailMarketingConsentState.MarketingState(childComplexity), true

	case "CustomerJourneySummary.customerOrderIndex":
		if e.complexity.CustomerJourneySummary.CustomerOrderIndex == nil {
			break
		}

		return e.complexity.CustomerJourneySummary.CustomerOrderIndex(childComplexity), true

	case "CustomerJourneySummary.daysToConversion":
		if e.complexity.CustomerJourneySummary.DaysToConversion == nil {
			break
		}

		return e.complexity.CustomerJourneySummary.DaysToConversion(childComplexity), true

	case "CustomerJourneySummary.firstVisit":
		if e.complexity.CustomerJourneySummary.FirstVisit == nil {
			break
		}

		return e.complexity.CustomerJourneySummary.FirstVisit(childComplexity), true

	case "CustomerJourneySummary.lastVisit":
		if e.complexity.CustomerJourneySummary.LastVisit == nil {
			break
		}

		return e.complexity.CustomerJourneySummary.LastVisit(childComplexity), true

	case "CustomerJourneySummary.moments":
		if e.complexity.CustomerJourneySummary.Moments == nil {
			break
		}

		args, err := ec.field_CustomerJourneySummary_moments_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CustomerJourneySummary.Moments(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "CustomerJourneySummary.momentsCount":
		if e.complexity.CustomerJourneySummary.MomentsCount == nil {
			break
		}

		return e.complexity.CustomerJourneySummary.MomentsCount(childComplexity), true

	case "CustomerJourneySummary.ready":
		if e.complexity.CustomerJourneySummary.Ready == nil {
			break
		}

		return e.complexity.CustomerJourneySummary.Ready(childComplexity), true

	case "CustomerMomentConnection.edges":
		if e.complexity.CustomerMomentConnection.Edges == nil {
			break
		}

		return e.complexity.CustomerMomentConnection.Edges(childComplexity), true

	case "CustomerMomentConnection.nodes":
		if e.complexity.CustomerMomentConnection.Nodes == nil {
			break
		}

		return e.complexity.CustomerMomentConnection.Nodes(childComplexity), true

	case "CustomerMomentConnection.pageInfo":
		if e.complexity.CustomerMomentConnection.PageInfo == nil {
			break
		}

		return e.complexity.CustomerMomentConnection.PageInfo(childComplexity), true

	case "CustomerMomentEdge.cursor":
		if e.complexity.CustomerMomentEdge.Cursor == nil {
			break
		}

		return e.complexity.CustomerMomentEdge.Cursor(childComplexity), true

	case "CustomerMomentEdge.node":
		if e.complexity.CustomerMomentEdge.Node == nil {
			break
		}

		return e.complexity.CustomerMomentEdge.Node(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.address1":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.Address1 == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.Address1(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.city":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.City == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.City(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.country":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.Country == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.Country(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.countryCode":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.CountryCode == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.CountryCode(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.name":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.Name == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.Name(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.province":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.Province == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.Province(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.provinceCode":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.ProvinceCode == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.ProvinceCode(childComplexity), true

	case "CustomerPaymentInstrumentBillingAddress.zip":
		if e.complexity.CustomerPaymentInstrumentBillingAddress.Zip == nil {
			break
		}

		return e.complexity.CustomerPaymentInstrumentBillingAddress.Zip(childComplexity), true

	case "CustomerPaymentMethod.customer":
		if e.complexity.CustomerPaymentMethod.Customer == nil {
			break
		}

		return e.complexity.CustomerPaymentMethod.Customer(childComplexity), true

	case "CustomerPaymentMethod.id":
		if e.complexity.CustomerPaymentMethod.ID == nil {
			break
		}

		return e.complexity.CustomerPaymentMethod.ID(childComplexity), true

	case "CustomerPaymentMethod.instrument":
		if e.complexity.CustomerPaymentMethod.Instrument == nil {
			break
		}

		return e.complexity.CustomerPaymentMethod.Instrument(childComplexity), true

	case "CustomerPaymentMethod.revokedAt":
		if e.complexity.CustomerPaymentMethod.RevokedAt == nil {
			break
		}

		return e.complexity.CustomerPaymentMethod.RevokedAt(childComplexity), true

	case "CustomerPaymentMethod.revokedReason":
		if e.complexity.CustomerPaymentMethod.RevokedReason == nil {
			break
		}

		return e.complexity.CustomerPaymentMethod.RevokedReason(childComplexity), true

	case "CustomerPaymentMethod.subscriptionContracts":
		if e.complexity.CustomerPaymentMethod.SubscriptionContracts == nil {
			break
		}

		args, err := ec.field_CustomerPaymentMethod_subscriptionContracts_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.CustomerPaymentMethod.SubscriptionContracts(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "CustomerPaymentMethodConnection.edges":
		if e.complexity.CustomerPaymentMethodConnection.Edges == nil {
			break
		}

		return e.complexity.CustomerPaymentMethodConnection.Edges(childComplexity), true

	case "CustomerPaymentMethodConnection.nodes":
		if e.complexity.CustomerPaymentMethodConnection.Nodes == nil {
			break
		}

		return e.complexity.CustomerPaymentMethodConnection.Nodes(childComplexity), true

	case "CustomerPaymentMethodConnection.pageInfo":
		if e.complexity.CustomerPaymentMethodConnection.PageInfo == nil {
			break
		}

		return e.complexity.CustomerPaymentMethodConnection.PageInfo(childComplexity), true

	case "CustomerPaymentMethodEdge.cursor":
		if e.complexity.CustomerPaymentMethodEdge.Cursor == nil {
			break
		}

		return e.complexity.CustomerPaymentMethodEdge.Cursor(childComplexity), true

	case "CustomerPaymentMethodEdge.node":
		if e.complexity.CustomerPaymentMethodEdge.Node == nil {
			break
		}

		return e.complexity.CustomerPaymentMethodEdge.Node(childComplexity), true

	case "CustomerPaypalBillingAgreement.billingAddress":
		if e.complexity.CustomerPaypalBillingAgreement.BillingAddress == nil {
			break
		}

		return e.complexity.CustomerPaypalBillingAgreement.BillingAddress(childComplexity), true

	case "CustomerPaypalBillingAgreement.inactive":
		if e.complexity.CustomerPaypalBillingAgreement.Inactive == nil {
			break
		}

		return e.complexity.CustomerPaypalBillingAgreement.Inactive(childComplexity), true

	case "CustomerPaypalBillingAgreement.isRevocable":
		if e.complexity.CustomerPaypalBillingAgreement.IsRevocable == nil {
			break
		}

		return e.complexity.CustomerPaypalBillingAgreement.IsRevocable(childComplexity), true

	case "CustomerPaypalBillingAgreement.paypalAccountEmail":
		if e.complexity.CustomerPaypalBillingAgreement.PaypalAccountEmail == nil {
			break
		}

		return e.complexity.CustomerPaypalBillingAgreement.PaypalAccountEmail(childComplexity), true

	case "CustomerShopPayAgreement.expiresSoon":
		if e.complexity.CustomerShopPayAgreement.ExpiresSoon == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.ExpiresSoon(childComplexity), true

	case "CustomerShopPayAgreement.expiryMonth":
		if e.complexity.CustomerShopPayAgreement.ExpiryMonth == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.ExpiryMonth(childComplexity), true

	case "CustomerShopPayAgreement.expiryYear":
		if e.complexity.CustomerShopPayAgreement.ExpiryYear == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.ExpiryYear(childComplexity), true

	case "CustomerShopPayAgreement.inactive":
		if e.complexity.CustomerShopPayAgreement.Inactive == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.Inactive(childComplexity), true

	case "CustomerShopPayAgreement.isRevocable":
		if e.complexity.CustomerShopPayAgreement.IsRevocable == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.IsRevocable(childComplexity), true

	case "CustomerShopPayAgreement.lastDigits":
		if e.complexity.CustomerShopPayAgreement.LastDigits == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.LastDigits(childComplexity), true

	case "CustomerShopPayAgreement.maskedNumber":
		if e.complexity.CustomerShopPayAgreement.MaskedNumber == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.MaskedNumber(childComplexity), true

	case "CustomerShopPayAgreement.name":
		if e.complexity.CustomerShopPayAgreement.Name == nil {
			break
		}

		return e.complexity.CustomerShopPayAgreement.Name(childComplexity), true

	case "CustomerSmsMarketingConsentState.consentCollectedFrom":
		if e.complexity.CustomerSmsMarketingConsentState.ConsentCollectedFrom == nil {
			break
		}

		return e.complexity.CustomerSmsMarketingConsentState.ConsentCollectedFrom(childComplexity), true

	case "CustomerSmsMarketingConsentState.consentUpdatedAt":
		if e.complexity.CustomerSmsMarketingConsentState.ConsentUpdatedAt == nil {
			break
		}

		return e.complexity.CustomerSmsMarketingConsentState.ConsentUpdatedAt(childComplexity), true

	case "CustomerSmsMarketingConsentState.marketingOptInLevel":
		if e.complexity.CustomerSmsMarketingConsentState.MarketingOptInLevel == nil {
			break
		}

		return e.complexity.CustomerSmsMarketingConsentState.MarketingOptInLevel(childComplexity), true

	case "CustomerSmsMarketingConsentState.marketingState":
		if e.complexity.CustomerSmsMarketingConsentState.MarketingState == nil {
			break
		}

		return e.complexity.CustomerSmsMarketingConsentState.MarketingState(childComplexity), true

	case "CustomerStatistics.predictedSpendTier":
		if e.complexity.CustomerStatistics.PredictedSpendTier == nil {
			break
		}

		return e.complexity.CustomerStatistics.PredictedSpendTier(childComplexity), true

	case "CustomerVisit.id":
		if e.complexity.CustomerVisit.ID == nil {
			break
		}

		return e.complexity.CustomerVisit.ID(childComplexity), true

	case "CustomerVisit.landingPage":
		if e.complexity.CustomerVisit.LandingPage == nil {
			break
		}

		return e.complexity.CustomerVisit.LandingPage(childComplexity), true

	case "CustomerVisit.landingPageHtml":
		if e.complexity.CustomerVisit.LandingPageHTML == nil {
			break
		}

		return e.complexity.CustomerVisit.LandingPageHTML(childComplexity), true

	case "CustomerVisit.marketingEvent":
		if e.complexity.CustomerVisit.MarketingEvent == nil {
			break
		}

		return e.complexity.CustomerVisit.MarketingEvent(childComplexity), true

	case "CustomerVisit.occurredAt":
		if e.complexity.CustomerVisit.OccurredAt == nil {
			break
		}

		return e.complexity.CustomerVisit.OccurredAt(childComplexity), true

	case "CustomerVisit.referralCode":
		if e.complexity.CustomerVisit.ReferralCode == nil {
			break
		}

		return e.complexity.CustomerVisit.ReferralCode(childComplexity), true

	case "CustomerVisit.referralInfoHtml":
		if e.complexity.CustomerVisit.ReferralInfoHTML == nil {
			break
		}

		return e.complexity.CustomerVisit.ReferralInfoHTML(childComplexity), true

	case "CustomerVisit.referrerUrl":
		if e.complexity.CustomerVisit.ReferrerURL == nil {
			break
		}

		return e.complexity.CustomerVisit.ReferrerURL(childComplexity), true

	case "CustomerVisit.source":
		if e.complexity.CustomerVisit.Source == nil {
			break
		}

		return e.complexity.CustomerVisit.Source(childComplexity), true

	case "CustomerVisit.sourceDescription":
		if e.complexity.CustomerVisit.SourceDescription == nil {
			break
		}

		return e.complexity.CustomerVisit.SourceDescription(childComplexity), true

	case "CustomerVisit.sourceType":
		if e.complexity.CustomerVisit.SourceType == nil {
			break
		}

		return e.complexity.CustomerVisit.SourceType(childComplexity), true

	case "CustomerVisit.utmParameters":
		if e.complexity.CustomerVisit.UtmParameters == nil {
			break
		}

		return e.complexity.CustomerVisit.UtmParameters(childComplexity), true

	case "DeliveryAvailableService.countries":
		if e.complexity.DeliveryAvailableService.Countries == nil {
			break
		}

		return e.complexity.DeliveryAvailableService.Countries(childComplexity), true

	case "DeliveryAvailableService.name":
		if e.complexity.DeliveryAvailableService.Name == nil {
			break
		}

		return e.complexity.DeliveryAvailableService.Name(childComplexity), true

	case "DeliveryCarrierService.availableServicesForCountries":
		if e.complexity.DeliveryCarrierService.AvailableServicesForCountries == nil {
			break
		}

		args, err := ec.field_DeliveryCarrierService_availableServicesForCountries_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DeliveryCarrierService.AvailableServicesForCountries(childComplexity, args["origins"].([]string), args["countryCodes"].([]CountryCode), args["restOfWorld"].(bool)), true

	case "DeliveryCarrierService.formattedName":
		if e.complexity.DeliveryCarrierService.FormattedName == nil {
			break
		}

		return e.complexity.DeliveryCarrierService.FormattedName(childComplexity), true

	case "DeliveryCarrierService.id":
		if e.complexity.DeliveryCarrierService.ID == nil {
			break
		}

		return e.complexity.DeliveryCarrierService.ID(childComplexity), true

	case "DeliveryCarrierService.icon":
		if e.complexity.DeliveryCarrierService.Icon == nil {
			break
		}

		return e.complexity.DeliveryCarrierService.Icon(childComplexity), true

	case "DeliveryCarrierService.name":
		if e.complexity.DeliveryCarrierService.Name == nil {
			break
		}

		return e.complexity.DeliveryCarrierService.Name(childComplexity), true

	case "DeliveryCondition.conditionCriteria":
		if e.complexity.DeliveryCondition.ConditionCriteria == nil {
			break
		}

		return e.complexity.DeliveryCondition.ConditionCriteria(childComplexity), true

	case "DeliveryCondition.field":
		if e.complexity.DeliveryCondition.Field == nil {
			break
		}

		return e.complexity.DeliveryCondition.Field(childComplexity), true

	case "DeliveryCondition.id":
		if e.complexity.DeliveryCondition.ID == nil {
			break
		}

		return e.complexity.DeliveryCondition.ID(childComplexity), true

	case "DeliveryCondition.operator":
		if e.complexity.DeliveryCondition.Operator == nil {
			break
		}

		return e.complexity.DeliveryCondition.Operator(childComplexity), true

	case "DeliveryCountry.code":
		if e.complexity.DeliveryCountry.Code == nil {
			break
		}

		return e.complexity.DeliveryCountry.Code(childComplexity), true

	case "DeliveryCountry.id":
		if e.complexity.DeliveryCountry.ID == nil {
			break
		}

		return e.complexity.DeliveryCountry.ID(childComplexity), true

	case "DeliveryCountry.name":
		if e.complexity.DeliveryCountry.Name == nil {
			break
		}

		return e.complexity.DeliveryCountry.Name(childComplexity), true

	case "DeliveryCountry.provinces":
		if e.complexity.DeliveryCountry.Provinces == nil {
			break
		}

		return e.complexity.DeliveryCountry.Provinces(childComplexity), true

	case "DeliveryCountry.translatedName":
		if e.complexity.DeliveryCountry.TranslatedName == nil {
			break
		}

		return e.complexity.DeliveryCountry.TranslatedName(childComplexity), true

	case "DeliveryCountryAndZone.country":
		if e.complexity.DeliveryCountryAndZone.Country == nil {
			break
		}

		return e.complexity.DeliveryCountryAndZone.Country(childComplexity), true

	case "DeliveryCountryAndZone.zone":
		if e.complexity.DeliveryCountryAndZone.Zone == nil {
			break
		}

		return e.complexity.DeliveryCountryAndZone.Zone(childComplexity), true

	case "DeliveryCountryCodeOrRestOfWorld.countryCode":
		if e.complexity.DeliveryCountryCodeOrRestOfWorld.CountryCode == nil {
			break
		}

		return e.complexity.DeliveryCountryCodeOrRestOfWorld.CountryCode(childComplexity), true

	case "DeliveryCountryCodeOrRestOfWorld.restOfWorld":
		if e.complexity.DeliveryCountryCodeOrRestOfWorld.RestOfWorld == nil {
			break
		}

		return e.complexity.DeliveryCountryCodeOrRestOfWorld.RestOfWorld(childComplexity), true

	case "DeliveryCountryCodesOrRestOfWorld.countryCodes":
		if e.complexity.DeliveryCountryCodesOrRestOfWorld.CountryCodes == nil {
			break
		}

		return e.complexity.DeliveryCountryCodesOrRestOfWorld.CountryCodes(childComplexity), true

	case "DeliveryCountryCodesOrRestOfWorld.restOfWorld":
		if e.complexity.DeliveryCountryCodesOrRestOfWorld.RestOfWorld == nil {
			break
		}

		return e.complexity.DeliveryCountryCodesOrRestOfWorld.RestOfWorld(childComplexity), true

	case "DeliveryLocationGroup.id":
		if e.complexity.DeliveryLocationGroup.ID == nil {
			break
		}

		return e.complexity.DeliveryLocationGroup.ID(childComplexity), true

	case "DeliveryLocationGroup.locations":
		if e.complexity.DeliveryLocationGroup.Locations == nil {
			break
		}

		args, err := ec.field_DeliveryLocationGroup_locations_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DeliveryLocationGroup.Locations(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*LocationSortKeys), args["query"].(*string), args["includeLegacy"].(*bool), args["includeInactive"].(*bool)), true

	case "DeliveryLocationGroupZone.methodDefinitionCounts":
		if e.complexity.DeliveryLocationGroupZone.MethodDefinitionCounts == nil {
			break
		}

		return e.complexity.DeliveryLocationGroupZone.MethodDefinitionCounts(childComplexity), true

	case "DeliveryLocationGroupZone.methodDefinitions":
		if e.complexity.DeliveryLocationGroupZone.MethodDefinitions == nil {
			break
		}

		args, err := ec.field_DeliveryLocationGroupZone_methodDefinitions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DeliveryLocationGroupZone.MethodDefinitions(childComplexity, args["eligible"].(*bool), args["type"].(*DeliveryMethodDefinitionType), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*MethodDefinitionSortKeys)), true

	case "DeliveryLocationGroupZone.zone":
		if e.complexity.DeliveryLocationGroupZone.Zone == nil {
			break
		}

		return e.complexity.DeliveryLocationGroupZone.Zone(childComplexity), true

	case "DeliveryLocationGroupZoneConnection.edges":
		if e.complexity.DeliveryLocationGroupZoneConnection.Edges == nil {
			break
		}

		return e.complexity.DeliveryLocationGroupZoneConnection.Edges(childComplexity), true

	case "DeliveryLocationGroupZoneConnection.nodes":
		if e.complexity.DeliveryLocationGroupZoneConnection.Nodes == nil {
			break
		}

		return e.complexity.DeliveryLocationGroupZoneConnection.Nodes(childComplexity), true

	case "DeliveryLocationGroupZoneConnection.pageInfo":
		if e.complexity.DeliveryLocationGroupZoneConnection.PageInfo == nil {
			break
		}

		return e.complexity.DeliveryLocationGroupZoneConnection.PageInfo(childComplexity), true

	case "DeliveryLocationGroupZoneEdge.cursor":
		if e.complexity.DeliveryLocationGroupZoneEdge.Cursor == nil {
			break
		}

		return e.complexity.DeliveryLocationGroupZoneEdge.Cursor(childComplexity), true

	case "DeliveryLocationGroupZoneEdge.node":
		if e.complexity.DeliveryLocationGroupZoneEdge.Node == nil {
			break
		}

		return e.complexity.DeliveryLocationGroupZoneEdge.Node(childComplexity), true

	case "DeliveryMethod.id":
		if e.complexity.DeliveryMethod.ID == nil {
			break
		}

		return e.complexity.DeliveryMethod.ID(childComplexity), true

	case "DeliveryMethod.maxDeliveryDateTime":
		if e.complexity.DeliveryMethod.MaxDeliveryDateTime == nil {
			break
		}

		return e.complexity.DeliveryMethod.MaxDeliveryDateTime(childComplexity), true

	case "DeliveryMethod.methodType":
		if e.complexity.DeliveryMethod.MethodType == nil {
			break
		}

		return e.complexity.DeliveryMethod.MethodType(childComplexity), true

	case "DeliveryMethod.minDeliveryDateTime":
		if e.complexity.DeliveryMethod.MinDeliveryDateTime == nil {
			break
		}

		return e.complexity.DeliveryMethod.MinDeliveryDateTime(childComplexity), true

	case "DeliveryMethodDefinition.active":
		if e.complexity.DeliveryMethodDefinition.Active == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinition.Active(childComplexity), true

	case "DeliveryMethodDefinition.description":
		if e.complexity.DeliveryMethodDefinition.Description == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinition.Description(childComplexity), true

	case "DeliveryMethodDefinition.id":
		if e.complexity.DeliveryMethodDefinition.ID == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinition.ID(childComplexity), true

	case "DeliveryMethodDefinition.methodConditions":
		if e.complexity.DeliveryMethodDefinition.MethodConditions == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinition.MethodConditions(childComplexity), true

	case "DeliveryMethodDefinition.name":
		if e.complexity.DeliveryMethodDefinition.Name == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinition.Name(childComplexity), true

	case "DeliveryMethodDefinition.rateProvider":
		if e.complexity.DeliveryMethodDefinition.RateProvider == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinition.RateProvider(childComplexity), true

	case "DeliveryMethodDefinitionConnection.edges":
		if e.complexity.DeliveryMethodDefinitionConnection.Edges == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinitionConnection.Edges(childComplexity), true

	case "DeliveryMethodDefinitionConnection.nodes":
		if e.complexity.DeliveryMethodDefinitionConnection.Nodes == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinitionConnection.Nodes(childComplexity), true

	case "DeliveryMethodDefinitionConnection.pageInfo":
		if e.complexity.DeliveryMethodDefinitionConnection.PageInfo == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinitionConnection.PageInfo(childComplexity), true

	case "DeliveryMethodDefinitionCounts.participantDefinitionsCount":
		if e.complexity.DeliveryMethodDefinitionCounts.ParticipantDefinitionsCount == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinitionCounts.ParticipantDefinitionsCount(childComplexity), true

	case "DeliveryMethodDefinitionCounts.rateDefinitionsCount":
		if e.complexity.DeliveryMethodDefinitionCounts.RateDefinitionsCount == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinitionCounts.RateDefinitionsCount(childComplexity), true

	case "DeliveryMethodDefinitionEdge.cursor":
		if e.complexity.DeliveryMethodDefinitionEdge.Cursor == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinitionEdge.Cursor(childComplexity), true

	case "DeliveryMethodDefinitionEdge.node":
		if e.complexity.DeliveryMethodDefinitionEdge.Node == nil {
			break
		}

		return e.complexity.DeliveryMethodDefinitionEdge.Node(childComplexity), true

	case "DeliveryParticipant.adaptToNewServicesFlag":
		if e.complexity.DeliveryParticipant.AdaptToNewServicesFlag == nil {
			break
		}

		return e.complexity.DeliveryParticipant.AdaptToNewServicesFlag(childComplexity), true

	case "DeliveryParticipant.carrierService":
		if e.complexity.DeliveryParticipant.CarrierService == nil {
			break
		}

		return e.complexity.DeliveryParticipant.CarrierService(childComplexity), true

	case "DeliveryParticipant.fixedFee":
		if e.complexity.DeliveryParticipant.FixedFee == nil {
			break
		}

		return e.complexity.DeliveryParticipant.FixedFee(childComplexity), true

	case "DeliveryParticipant.id":
		if e.complexity.DeliveryParticipant.ID == nil {
			break
		}

		return e.complexity.DeliveryParticipant.ID(childComplexity), true

	case "DeliveryParticipant.participantServices":
		if e.complexity.DeliveryParticipant.ParticipantServices == nil {
			break
		}

		return e.complexity.DeliveryParticipant.ParticipantServices(childComplexity), true

	case "DeliveryParticipant.percentageOfRateFee":
		if e.complexity.DeliveryParticipant.PercentageOfRateFee == nil {
			break
		}

		return e.complexity.DeliveryParticipant.PercentageOfRateFee(childComplexity), true

	case "DeliveryParticipantService.active":
		if e.complexity.DeliveryParticipantService.Active == nil {
			break
		}

		return e.complexity.DeliveryParticipantService.Active(childComplexity), true

	case "DeliveryParticipantService.name":
		if e.complexity.DeliveryParticipantService.Name == nil {
			break
		}

		return e.complexity.DeliveryParticipantService.Name(childComplexity), true

	case "DeliveryProductVariantsCount.capped":
		if e.complexity.DeliveryProductVariantsCount.Capped == nil {
			break
		}

		return e.complexity.DeliveryProductVariantsCount.Capped(childComplexity), true

	case "DeliveryProductVariantsCount.count":
		if e.complexity.DeliveryProductVariantsCount.Count == nil {
			break
		}

		return e.complexity.DeliveryProductVariantsCount.Count(childComplexity), true

	case "DeliveryProfile.activeMethodDefinitionsCount":
		if e.complexity.DeliveryProfile.ActiveMethodDefinitionsCount == nil {
			break
		}

		return e.complexity.DeliveryProfile.ActiveMethodDefinitionsCount(childComplexity), true

	case "DeliveryProfile.default":
		if e.complexity.DeliveryProfile.Default == nil {
			break
		}

		return e.complexity.DeliveryProfile.Default(childComplexity), true

	case "DeliveryProfile.id":
		if e.complexity.DeliveryProfile.ID == nil {
			break
		}

		return e.complexity.DeliveryProfile.ID(childComplexity), true

	case "DeliveryProfile.legacyMode":
		if e.complexity.DeliveryProfile.LegacyMode == nil {
			break
		}

		return e.complexity.DeliveryProfile.LegacyMode(childComplexity), true

	case "DeliveryProfile.locationsWithoutRatesCount":
		if e.complexity.DeliveryProfile.LocationsWithoutRatesCount == nil {
			break
		}

		return e.complexity.DeliveryProfile.LocationsWithoutRatesCount(childComplexity), true

	case "DeliveryProfile.name":
		if e.complexity.DeliveryProfile.Name == nil {
			break
		}

		return e.complexity.DeliveryProfile.Name(childComplexity), true

	case "DeliveryProfile.originLocationCount":
		if e.complexity.DeliveryProfile.OriginLocationCount == nil {
			break
		}

		return e.complexity.DeliveryProfile.OriginLocationCount(childComplexity), true

	case "DeliveryProfile.productVariantsCountV2":
		if e.complexity.DeliveryProfile.ProductVariantsCountV2 == nil {
			break
		}

		return e.complexity.DeliveryProfile.ProductVariantsCountV2(childComplexity), true

	case "DeliveryProfile.profileItems":
		if e.complexity.DeliveryProfile.ProfileItems == nil {
			break
		}

		args, err := ec.field_DeliveryProfile_profileItems_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DeliveryProfile.ProfileItems(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DeliveryProfile.profileLocationGroups":
		if e.complexity.DeliveryProfile.ProfileLocationGroups == nil {
			break
		}

		return e.complexity.DeliveryProfile.ProfileLocationGroups(childComplexity), true

	case "DeliveryProfile.sellingPlanGroups":
		if e.complexity.DeliveryProfile.SellingPlanGroups == nil {
			break
		}

		args, err := ec.field_DeliveryProfile_sellingPlanGroups_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DeliveryProfile.SellingPlanGroups(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DeliveryProfile.unassignedLocations":
		if e.complexity.DeliveryProfile.UnassignedLocations == nil {
			break
		}

		return e.complexity.DeliveryProfile.UnassignedLocations(childComplexity), true

	case "DeliveryProfile.zoneCountryCount":
		if e.complexity.DeliveryProfile.ZoneCountryCount == nil {
			break
		}

		return e.complexity.DeliveryProfile.ZoneCountryCount(childComplexity), true

	case "DeliveryProfileItem.id":
		if e.complexity.DeliveryProfileItem.ID == nil {
			break
		}

		return e.complexity.DeliveryProfileItem.ID(childComplexity), true

	case "DeliveryProfileItem.product":
		if e.complexity.DeliveryProfileItem.Product == nil {
			break
		}

		return e.complexity.DeliveryProfileItem.Product(childComplexity), true

	case "DeliveryProfileItem.variants":
		if e.complexity.DeliveryProfileItem.Variants == nil {
			break
		}

		args, err := ec.field_DeliveryProfileItem_variants_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DeliveryProfileItem.Variants(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DeliveryProfileItemConnection.edges":
		if e.complexity.DeliveryProfileItemConnection.Edges == nil {
			break
		}

		return e.complexity.DeliveryProfileItemConnection.Edges(childComplexity), true

	case "DeliveryProfileItemConnection.nodes":
		if e.complexity.DeliveryProfileItemConnection.Nodes == nil {
			break
		}

		return e.complexity.DeliveryProfileItemConnection.Nodes(childComplexity), true

	case "DeliveryProfileItemConnection.pageInfo":
		if e.complexity.DeliveryProfileItemConnection.PageInfo == nil {
			break
		}

		return e.complexity.DeliveryProfileItemConnection.PageInfo(childComplexity), true

	case "DeliveryProfileItemEdge.cursor":
		if e.complexity.DeliveryProfileItemEdge.Cursor == nil {
			break
		}

		return e.complexity.DeliveryProfileItemEdge.Cursor(childComplexity), true

	case "DeliveryProfileItemEdge.node":
		if e.complexity.DeliveryProfileItemEdge.Node == nil {
			break
		}

		return e.complexity.DeliveryProfileItemEdge.Node(childComplexity), true

	case "DeliveryProfileLocationGroup.countriesInAnyZone":
		if e.complexity.DeliveryProfileLocationGroup.CountriesInAnyZone == nil {
			break
		}

		return e.complexity.DeliveryProfileLocationGroup.CountriesInAnyZone(childComplexity), true

	case "DeliveryProfileLocationGroup.locationGroup":
		if e.complexity.DeliveryProfileLocationGroup.LocationGroup == nil {
			break
		}

		return e.complexity.DeliveryProfileLocationGroup.LocationGroup(childComplexity), true

	case "DeliveryProfileLocationGroup.locationGroupZones":
		if e.complexity.DeliveryProfileLocationGroup.LocationGroupZones == nil {
			break
		}

		args, err := ec.field_DeliveryProfileLocationGroup_locationGroupZones_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DeliveryProfileLocationGroup.LocationGroupZones(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DeliveryProvince.code":
		if e.complexity.DeliveryProvince.Code == nil {
			break
		}

		return e.complexity.DeliveryProvince.Code(childComplexity), true

	case "DeliveryProvince.id":
		if e.complexity.DeliveryProvince.ID == nil {
			break
		}

		return e.complexity.DeliveryProvince.ID(childComplexity), true

	case "DeliveryProvince.name":
		if e.complexity.DeliveryProvince.Name == nil {
			break
		}

		return e.complexity.DeliveryProvince.Name(childComplexity), true

	case "DeliveryProvince.translatedName":
		if e.complexity.DeliveryProvince.TranslatedName == nil {
			break
		}

		return e.complexity.DeliveryProvince.TranslatedName(childComplexity), true

	case "DeliveryRateDefinition.id":
		if e.complexity.DeliveryRateDefinition.ID == nil {
			break
		}

		return e.complexity.DeliveryRateDefinition.ID(childComplexity), true

	case "DeliveryRateDefinition.price":
		if e.complexity.DeliveryRateDefinition.Price == nil {
			break
		}

		return e.complexity.DeliveryRateDefinition.Price(childComplexity), true

	case "DeliveryZone.countries":
		if e.complexity.DeliveryZone.Countries == nil {
			break
		}

		return e.complexity.DeliveryZone.Countries(childComplexity), true

	case "DeliveryZone.id":
		if e.complexity.DeliveryZone.ID == nil {
			break
		}

		return e.complexity.DeliveryZone.ID(childComplexity), true

	case "DeliveryZone.name":
		if e.complexity.DeliveryZone.Name == nil {
			break
		}

		return e.complexity.DeliveryZone.Name(childComplexity), true

	case "DiscountAllocation.allocatedAmountSet":
		if e.complexity.DiscountAllocation.AllocatedAmountSet == nil {
			break
		}

		return e.complexity.DiscountAllocation.AllocatedAmountSet(childComplexity), true

	case "DiscountAllocation.discountApplication":
		if e.complexity.DiscountAllocation.DiscountApplication == nil {
			break
		}

		return e.complexity.DiscountAllocation.DiscountApplication(childComplexity), true

	case "DiscountApplicationConnection.edges":
		if e.complexity.DiscountApplicationConnection.Edges == nil {
			break
		}

		return e.complexity.DiscountApplicationConnection.Edges(childComplexity), true

	case "DiscountApplicationConnection.nodes":
		if e.complexity.DiscountApplicationConnection.Nodes == nil {
			break
		}

		return e.complexity.DiscountApplicationConnection.Nodes(childComplexity), true

	case "DiscountApplicationConnection.pageInfo":
		if e.complexity.DiscountApplicationConnection.PageInfo == nil {
			break
		}

		return e.complexity.DiscountApplicationConnection.PageInfo(childComplexity), true

	case "DiscountApplicationEdge.cursor":
		if e.complexity.DiscountApplicationEdge.Cursor == nil {
			break
		}

		return e.complexity.DiscountApplicationEdge.Cursor(childComplexity), true

	case "DiscountApplicationEdge.node":
		if e.complexity.DiscountApplicationEdge.Node == nil {
			break
		}

		return e.complexity.DiscountApplicationEdge.Node(childComplexity), true

	case "DiscountCodeApplication.allocationMethod":
		if e.complexity.DiscountCodeApplication.AllocationMethod == nil {
			break
		}

		return e.complexity.DiscountCodeApplication.AllocationMethod(childComplexity), true

	case "DiscountCodeApplication.code":
		if e.complexity.DiscountCodeApplication.Code == nil {
			break
		}

		return e.complexity.DiscountCodeApplication.Code(childComplexity), true

	case "DiscountCodeApplication.index":
		if e.complexity.DiscountCodeApplication.Index == nil {
			break
		}

		return e.complexity.DiscountCodeApplication.Index(childComplexity), true

	case "DiscountCodeApplication.targetSelection":
		if e.complexity.DiscountCodeApplication.TargetSelection == nil {
			break
		}

		return e.complexity.DiscountCodeApplication.TargetSelection(childComplexity), true

	case "DiscountCodeApplication.targetType":
		if e.complexity.DiscountCodeApplication.TargetType == nil {
			break
		}

		return e.complexity.DiscountCodeApplication.TargetType(childComplexity), true

	case "DiscountCodeApplication.value":
		if e.complexity.DiscountCodeApplication.Value == nil {
			break
		}

		return e.complexity.DiscountCodeApplication.Value(childComplexity), true

	case "Domain.host":
		if e.complexity.Domain.Host == nil {
			break
		}

		return e.complexity.Domain.Host(childComplexity), true

	case "Domain.id":
		if e.complexity.Domain.ID == nil {
			break
		}

		return e.complexity.Domain.ID(childComplexity), true

	case "Domain.localization":
		if e.complexity.Domain.Localization == nil {
			break
		}

		return e.complexity.Domain.Localization(childComplexity), true

	case "Domain.marketWebPresence":
		if e.complexity.Domain.MarketWebPresence == nil {
			break
		}

		return e.complexity.Domain.MarketWebPresence(childComplexity), true

	case "Domain.sslEnabled":
		if e.complexity.Domain.SslEnabled == nil {
			break
		}

		return e.complexity.Domain.SslEnabled(childComplexity), true

	case "Domain.url":
		if e.complexity.Domain.URL == nil {
			break
		}

		return e.complexity.Domain.URL(childComplexity), true

	case "DomainLocalization.alternateLocales":
		if e.complexity.DomainLocalization.AlternateLocales == nil {
			break
		}

		return e.complexity.DomainLocalization.AlternateLocales(childComplexity), true

	case "DomainLocalization.country":
		if e.complexity.DomainLocalization.Country == nil {
			break
		}

		return e.complexity.DomainLocalization.Country(childComplexity), true

	case "DomainLocalization.defaultLocale":
		if e.complexity.DomainLocalization.DefaultLocale == nil {
			break
		}

		return e.complexity.DomainLocalization.DefaultLocale(childComplexity), true

	case "DraftOrder.appliedDiscount":
		if e.complexity.DraftOrder.AppliedDiscount == nil {
			break
		}

		return e.complexity.DraftOrder.AppliedDiscount(childComplexity), true

	case "DraftOrder.billingAddress":
		if e.complexity.DraftOrder.BillingAddress == nil {
			break
		}

		return e.complexity.DraftOrder.BillingAddress(childComplexity), true

	case "DraftOrder.billingAddressMatchesShippingAddress":
		if e.complexity.DraftOrder.BillingAddressMatchesShippingAddress == nil {
			break
		}

		return e.complexity.DraftOrder.BillingAddressMatchesShippingAddress(childComplexity), true

	case "DraftOrder.completedAt":
		if e.complexity.DraftOrder.CompletedAt == nil {
			break
		}

		return e.complexity.DraftOrder.CompletedAt(childComplexity), true

	case "DraftOrder.createdAt":
		if e.complexity.DraftOrder.CreatedAt == nil {
			break
		}

		return e.complexity.DraftOrder.CreatedAt(childComplexity), true

	case "DraftOrder.currencyCode":
		if e.complexity.DraftOrder.CurrencyCode == nil {
			break
		}

		return e.complexity.DraftOrder.CurrencyCode(childComplexity), true

	case "DraftOrder.customAttributes":
		if e.complexity.DraftOrder.CustomAttributes == nil {
			break
		}

		return e.complexity.DraftOrder.CustomAttributes(childComplexity), true

	case "DraftOrder.customer":
		if e.complexity.DraftOrder.Customer == nil {
			break
		}

		return e.complexity.DraftOrder.Customer(childComplexity), true

	case "DraftOrder.defaultCursor":
		if e.complexity.DraftOrder.DefaultCursor == nil {
			break
		}

		return e.complexity.DraftOrder.DefaultCursor(childComplexity), true

	case "DraftOrder.email":
		if e.complexity.DraftOrder.Email == nil {
			break
		}

		return e.complexity.DraftOrder.Email(childComplexity), true

	case "DraftOrder.events":
		if e.complexity.DraftOrder.Events == nil {
			break
		}

		args, err := ec.field_DraftOrder_events_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DraftOrder.Events(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*EventSortKeys), args["query"].(*string)), true

	case "DraftOrder.hasTimelineComment":
		if e.complexity.DraftOrder.HasTimelineComment == nil {
			break
		}

		return e.complexity.DraftOrder.HasTimelineComment(childComplexity), true

	case "DraftOrder.id":
		if e.complexity.DraftOrder.ID == nil {
			break
		}

		return e.complexity.DraftOrder.ID(childComplexity), true

	case "DraftOrder.invoiceEmailTemplateSubject":
		if e.complexity.DraftOrder.InvoiceEmailTemplateSubject == nil {
			break
		}

		return e.complexity.DraftOrder.InvoiceEmailTemplateSubject(childComplexity), true

	case "DraftOrder.invoiceSentAt":
		if e.complexity.DraftOrder.InvoiceSentAt == nil {
			break
		}

		return e.complexity.DraftOrder.InvoiceSentAt(childComplexity), true

	case "DraftOrder.invoiceUrl":
		if e.complexity.DraftOrder.InvoiceURL == nil {
			break
		}

		return e.complexity.DraftOrder.InvoiceURL(childComplexity), true

	case "DraftOrder.legacyResourceId":
		if e.complexity.DraftOrder.LegacyResourceID == nil {
			break
		}

		return e.complexity.DraftOrder.LegacyResourceID(childComplexity), true

	case "DraftOrder.lineItems":
		if e.complexity.DraftOrder.LineItems == nil {
			break
		}

		args, err := ec.field_DraftOrder_lineItems_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DraftOrder.LineItems(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DraftOrder.lineItemsSubtotalPrice":
		if e.complexity.DraftOrder.LineItemsSubtotalPrice == nil {
			break
		}

		return e.complexity.DraftOrder.LineItemsSubtotalPrice(childComplexity), true

	case "DraftOrder.localizationExtensions":
		if e.complexity.DraftOrder.LocalizationExtensions == nil {
			break
		}

		args, err := ec.field_DraftOrder_localizationExtensions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DraftOrder.LocalizationExtensions(childComplexity, args["countryCodes"].([]CountryCode), args["purposes"].([]LocalizationExtensionPurpose), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DraftOrder.marketName":
		if e.complexity.DraftOrder.MarketName == nil {
			break
		}

		return e.complexity.DraftOrder.MarketName(childComplexity), true

	case "DraftOrder.marketRegionCountryCode":
		if e.complexity.DraftOrder.MarketRegionCountryCode == nil {
			break
		}

		return e.complexity.DraftOrder.MarketRegionCountryCode(childComplexity), true

	case "DraftOrder.metafield":
		if e.complexity.DraftOrder.Metafield == nil {
			break
		}

		args, err := ec.field_DraftOrder_metafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DraftOrder.Metafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "DraftOrder.metafields":
		if e.complexity.DraftOrder.Metafields == nil {
			break
		}

		args, err := ec.field_DraftOrder_metafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DraftOrder.Metafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DraftOrder.name":
		if e.complexity.DraftOrder.Name == nil {
			break
		}

		return e.complexity.DraftOrder.Name(childComplexity), true

	case "DraftOrder.note2":
		if e.complexity.DraftOrder.Note2 == nil {
			break
		}

		return e.complexity.DraftOrder.Note2(childComplexity), true

	case "DraftOrder.order":
		if e.complexity.DraftOrder.Order == nil {
			break
		}

		return e.complexity.DraftOrder.Order(childComplexity), true

	case "DraftOrder.paymentTerms":
		if e.complexity.DraftOrder.PaymentTerms == nil {
			break
		}

		return e.complexity.DraftOrder.PaymentTerms(childComplexity), true

	case "DraftOrder.phone":
		if e.complexity.DraftOrder.Phone == nil {
			break
		}

		return e.complexity.DraftOrder.Phone(childComplexity), true

	case "DraftOrder.presentmentCurrencyCode":
		if e.complexity.DraftOrder.PresentmentCurrencyCode == nil {
			break
		}

		return e.complexity.DraftOrder.PresentmentCurrencyCode(childComplexity), true

	case "DraftOrder.privateMetafield":
		if e.complexity.DraftOrder.PrivateMetafield == nil {
			break
		}

		args, err := ec.field_DraftOrder_privateMetafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DraftOrder.PrivateMetafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "DraftOrder.privateMetafields":
		if e.complexity.DraftOrder.PrivateMetafields == nil {
			break
		}

		args, err := ec.field_DraftOrder_privateMetafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.DraftOrder.PrivateMetafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "DraftOrder.purchasingEntity":
		if e.complexity.DraftOrder.PurchasingEntity == nil {
			break
		}

		return e.complexity.DraftOrder.PurchasingEntity(childComplexity), true

	case "DraftOrder.ready":
		if e.complexity.DraftOrder.Ready == nil {
			break
		}

		return e.complexity.DraftOrder.Ready(childComplexity), true

	case "DraftOrder.reserveInventoryUntil":
		if e.complexity.DraftOrder.ReserveInventoryUntil == nil {
			break
		}

		return e.complexity.DraftOrder.ReserveInventoryUntil(childComplexity), true

	case "DraftOrder.shippingAddress":
		if e.complexity.DraftOrder.ShippingAddress == nil {
			break
		}

		return e.complexity.DraftOrder.ShippingAddress(childComplexity), true

	case "DraftOrder.shippingLine":
		if e.complexity.DraftOrder.ShippingLine == nil {
			break
		}

		return e.complexity.DraftOrder.ShippingLine(childComplexity), true

	case "DraftOrder.status":
		if e.complexity.DraftOrder.Status == nil {
			break
		}

		return e.complexity.DraftOrder.Status(childComplexity), true

	case "DraftOrder.subtotalPrice":
		if e.complexity.DraftOrder.SubtotalPrice == nil {
			break
		}

		return e.complexity.DraftOrder.SubtotalPrice(childComplexity), true

	case "DraftOrder.subtotalPriceSet":
		if e.complexity.DraftOrder.SubtotalPriceSet == nil {
			break
		}

		return e.complexity.DraftOrder.SubtotalPriceSet(childComplexity), true

	case "DraftOrder.tags":
		if e.complexity.DraftOrder.Tags == nil {
			break
		}

		return e.complexity.DraftOrder.Tags(childComplexity), true

	case "DraftOrder.taxExempt":
		if e.complexity.DraftOrder.TaxExempt == nil {
			break
		}

		return e.complexity.DraftOrder.TaxExempt(childComplexity), true

	case "DraftOrder.taxLines":
		if e.complexity.DraftOrder.TaxLines == nil {
			break
		}

		return e.complexity.DraftOrder.TaxLines(childComplexity), true

	case "DraftOrder.taxesIncluded":
		if e.complexity.DraftOrder.TaxesIncluded == nil {
			break
		}

		return e.complexity.DraftOrder.TaxesIncluded(childComplexity), true

	case "DraftOrder.totalDiscountsSet":
		if e.complexity.DraftOrder.TotalDiscountsSet == nil {
			break
		}

		return e.complexity.DraftOrder.TotalDiscountsSet(childComplexity), true

	case "DraftOrder.totalLineItemsPriceSet":
		if e.complexity.DraftOrder.TotalLineItemsPriceSet == nil {
			break
		}

		return e.complexity.DraftOrder.TotalLineItemsPriceSet(childComplexity), true

	case "DraftOrder.totalPrice":
		if e.complexity.DraftOrder.TotalPrice == nil {
			break
		}

		return e.complexity.DraftOrder.TotalPrice(childComplexity), true

	case "DraftOrder.totalPriceSet":
		if e.complexity.DraftOrder.TotalPriceSet == nil {
			break
		}

		return e.complexity.DraftOrder.TotalPriceSet(childComplexity), true

	case "DraftOrder.totalShippingPrice":
		if e.complexity.DraftOrder.TotalShippingPrice == nil {
			break
		}

		return e.complexity.DraftOrder.TotalShippingPrice(childComplexity), true

	case "DraftOrder.totalShippingPriceSet":
		if e.complexity.DraftOrder.TotalShippingPriceSet == nil {
			break
		}

		return e.complexity.DraftOrder.TotalShippingPriceSet(childComplexity), true

	case "DraftOrder.totalTax":
		if e.complexity.DraftOrder.TotalTax == nil {
			break
		}

		return e.complexity.DraftOrder.TotalTax(childComplexity), true

	case "DraftOrder.totalTaxSet":
		if e.complexity.DraftOrder.TotalTaxSet == nil {
			break
		}

		return e.complexity.DraftOrder.TotalTaxSet(childComplexity), true

	case "DraftOrder.totalWeight":
		if e.complexity.DraftOrder.TotalWeight == nil {
			break
		}

		return e.complexity.DraftOrder.TotalWeight(childComplexity), true

	case "DraftOrder.updatedAt":
		if e.complexity.DraftOrder.UpdatedAt == nil {
			break
		}

		return e.complexity.DraftOrder.UpdatedAt(childComplexity), true

	case "DraftOrder.visibleToCustomer":
		if e.complexity.DraftOrder.VisibleToCustomer == nil {
			break
		}

		return e.complexity.DraftOrder.VisibleToCustomer(childComplexity), true

	case "DraftOrderAppliedDiscount.amountSet":
		if e.complexity.DraftOrderAppliedDiscount.AmountSet == nil {
			break
		}

		return e.complexity.DraftOrderAppliedDiscount.AmountSet(childComplexity), true

	case "DraftOrderAppliedDiscount.amountV2":
		if e.complexity.DraftOrderAppliedDiscount.AmountV2 == nil {
			break
		}

		return e.complexity.DraftOrderAppliedDiscount.AmountV2(childComplexity), true

	case "DraftOrderAppliedDiscount.description":
		if e.complexity.DraftOrderAppliedDiscount.Description == nil {
			break
		}

		return e.complexity.DraftOrderAppliedDiscount.Description(childComplexity), true

	case "DraftOrderAppliedDiscount.title":
		if e.complexity.DraftOrderAppliedDiscount.Title == nil {
			break
		}

		return e.complexity.DraftOrderAppliedDiscount.Title(childComplexity), true

	case "DraftOrderAppliedDiscount.value":
		if e.complexity.DraftOrderAppliedDiscount.Value == nil {
			break
		}

		return e.complexity.DraftOrderAppliedDiscount.Value(childComplexity), true

	case "DraftOrderAppliedDiscount.valueType":
		if e.complexity.DraftOrderAppliedDiscount.ValueType == nil {
			break
		}

		return e.complexity.DraftOrderAppliedDiscount.ValueType(childComplexity), true

	case "DraftOrderConnection.edges":
		if e.complexity.DraftOrderConnection.Edges == nil {
			break
		}

		return e.complexity.DraftOrderConnection.Edges(childComplexity), true

	case "DraftOrderConnection.nodes":
		if e.complexity.DraftOrderConnection.Nodes == nil {
			break
		}

		return e.complexity.DraftOrderConnection.Nodes(childComplexity), true

	case "DraftOrderConnection.pageInfo":
		if e.complexity.DraftOrderConnection.PageInfo == nil {
			break
		}

		return e.complexity.DraftOrderConnection.PageInfo(childComplexity), true

	case "DraftOrderEdge.cursor":
		if e.complexity.DraftOrderEdge.Cursor == nil {
			break
		}

		return e.complexity.DraftOrderEdge.Cursor(childComplexity), true

	case "DraftOrderEdge.node":
		if e.complexity.DraftOrderEdge.Node == nil {
			break
		}

		return e.complexity.DraftOrderEdge.Node(childComplexity), true

	case "DraftOrderLineItem.appliedDiscount":
		if e.complexity.DraftOrderLineItem.AppliedDiscount == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.AppliedDiscount(childComplexity), true

	case "DraftOrderLineItem.custom":
		if e.complexity.DraftOrderLineItem.Custom == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Custom(childComplexity), true

	case "DraftOrderLineItem.customAttributes":
		if e.complexity.DraftOrderLineItem.CustomAttributes == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.CustomAttributes(childComplexity), true

	case "DraftOrderLineItem.customAttributesV2":
		if e.complexity.DraftOrderLineItem.CustomAttributesV2 == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.CustomAttributesV2(childComplexity), true

	case "DraftOrderLineItem.discountedTotal":
		if e.complexity.DraftOrderLineItem.DiscountedTotal == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.DiscountedTotal(childComplexity), true

	case "DraftOrderLineItem.discountedTotalSet":
		if e.complexity.DraftOrderLineItem.DiscountedTotalSet == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.DiscountedTotalSet(childComplexity), true

	case "DraftOrderLineItem.discountedUnitPrice":
		if e.complexity.DraftOrderLineItem.DiscountedUnitPrice == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.DiscountedUnitPrice(childComplexity), true

	case "DraftOrderLineItem.discountedUnitPriceSet":
		if e.complexity.DraftOrderLineItem.DiscountedUnitPriceSet == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.DiscountedUnitPriceSet(childComplexity), true

	case "DraftOrderLineItem.fulfillmentService":
		if e.complexity.DraftOrderLineItem.FulfillmentService == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.FulfillmentService(childComplexity), true

	case "DraftOrderLineItem.id":
		if e.complexity.DraftOrderLineItem.ID == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.ID(childComplexity), true

	case "DraftOrderLineItem.image":
		if e.complexity.DraftOrderLineItem.Image == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Image(childComplexity), true

	case "DraftOrderLineItem.isGiftCard":
		if e.complexity.DraftOrderLineItem.IsGiftCard == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.IsGiftCard(childComplexity), true

	case "DraftOrderLineItem.name":
		if e.complexity.DraftOrderLineItem.Name == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Name(childComplexity), true

	case "DraftOrderLineItem.originalTotal":
		if e.complexity.DraftOrderLineItem.OriginalTotal == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.OriginalTotal(childComplexity), true

	case "DraftOrderLineItem.originalTotalSet":
		if e.complexity.DraftOrderLineItem.OriginalTotalSet == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.OriginalTotalSet(childComplexity), true

	case "DraftOrderLineItem.originalUnitPrice":
		if e.complexity.DraftOrderLineItem.OriginalUnitPrice == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.OriginalUnitPrice(childComplexity), true

	case "DraftOrderLineItem.originalUnitPriceSet":
		if e.complexity.DraftOrderLineItem.OriginalUnitPriceSet == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.OriginalUnitPriceSet(childComplexity), true

	case "DraftOrderLineItem.product":
		if e.complexity.DraftOrderLineItem.Product == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Product(childComplexity), true

	case "DraftOrderLineItem.quantity":
		if e.complexity.DraftOrderLineItem.Quantity == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Quantity(childComplexity), true

	case "DraftOrderLineItem.requiresShipping":
		if e.complexity.DraftOrderLineItem.RequiresShipping == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.RequiresShipping(childComplexity), true

	case "DraftOrderLineItem.sku":
		if e.complexity.DraftOrderLineItem.Sku == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Sku(childComplexity), true

	case "DraftOrderLineItem.taxLines":
		if e.complexity.DraftOrderLineItem.TaxLines == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.TaxLines(childComplexity), true

	case "DraftOrderLineItem.taxable":
		if e.complexity.DraftOrderLineItem.Taxable == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Taxable(childComplexity), true

	case "DraftOrderLineItem.title":
		if e.complexity.DraftOrderLineItem.Title == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Title(childComplexity), true

	case "DraftOrderLineItem.totalDiscount":
		if e.complexity.DraftOrderLineItem.TotalDiscount == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.TotalDiscount(childComplexity), true

	case "DraftOrderLineItem.totalDiscountSet":
		if e.complexity.DraftOrderLineItem.TotalDiscountSet == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.TotalDiscountSet(childComplexity), true

	case "DraftOrderLineItem.variant":
		if e.complexity.DraftOrderLineItem.Variant == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Variant(childComplexity), true

	case "DraftOrderLineItem.variantTitle":
		if e.complexity.DraftOrderLineItem.VariantTitle == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.VariantTitle(childComplexity), true

	case "DraftOrderLineItem.vendor":
		if e.complexity.DraftOrderLineItem.Vendor == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Vendor(childComplexity), true

	case "DraftOrderLineItem.weight":
		if e.complexity.DraftOrderLineItem.Weight == nil {
			break
		}

		return e.complexity.DraftOrderLineItem.Weight(childComplexity), true

	case "DraftOrderLineItemConnection.edges":
		if e.complexity.DraftOrderLineItemConnection.Edges == nil {
			break
		}

		return e.complexity.DraftOrderLineItemConnection.Edges(childComplexity), true

	case "DraftOrderLineItemConnection.nodes":
		if e.complexity.DraftOrderLineItemConnection.Nodes == nil {
			break
		}

		return e.complexity.DraftOrderLineItemConnection.Nodes(childComplexity), true

	case "DraftOrderLineItemConnection.pageInfo":
		if e.complexity.DraftOrderLineItemConnection.PageInfo == nil {
			break
		}

		return e.complexity.DraftOrderLineItemConnection.PageInfo(childComplexity), true

	case "DraftOrderLineItemEdge.cursor":
		if e.complexity.DraftOrderLineItemEdge.Cursor == nil {
			break
		}

		return e.complexity.DraftOrderLineItemEdge.Cursor(childComplexity), true

	case "DraftOrderLineItemEdge.node":
		if e.complexity.DraftOrderLineItemEdge.Node == nil {
			break
		}

		return e.complexity.DraftOrderLineItemEdge.Node(childComplexity), true

	case "Duty.countryCodeOfOrigin":
		if e.complexity.Duty.CountryCodeOfOrigin == nil {
			break
		}

		return e.complexity.Duty.CountryCodeOfOrigin(childComplexity), true

	case "Duty.harmonizedSystemCode":
		if e.complexity.Duty.HarmonizedSystemCode == nil {
			break
		}

		return e.complexity.Duty.HarmonizedSystemCode(childComplexity), true

	case "Duty.id":
		if e.complexity.Duty.ID == nil {
			break
		}

		return e.complexity.Duty.ID(childComplexity), true

	case "Duty.price":
		if e.complexity.Duty.Price == nil {
			break
		}

		return e.complexity.Duty.Price(childComplexity), true

	case "Duty.taxLines":
		if e.complexity.Duty.TaxLines == nil {
			break
		}

		return e.complexity.Duty.TaxLines(childComplexity), true

	case "EditableProperty.locked":
		if e.complexity.EditableProperty.Locked == nil {
			break
		}

		return e.complexity.EditableProperty.Locked(childComplexity), true

	case "EditableProperty.reason":
		if e.complexity.EditableProperty.Reason == nil {
			break
		}

		return e.complexity.EditableProperty.Reason(childComplexity), true

	case "Entity.findDraftOrderByID":
		if e.complexity.Entity.FindDraftOrderByID == nil {
			break
		}

		args, err := ec.field_Entity_findDraftOrderByID_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Entity.FindDraftOrderByID(childComplexity, args["id"].(string)), true

	case "Entity.findOrderByID":
		if e.complexity.Entity.FindOrderByID == nil {
			break
		}

		args, err := ec.field_Entity_findOrderByID_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Entity.FindOrderByID(childComplexity, args["id"].(string)), true

	case "EventConnection.edges":
		if e.complexity.EventConnection.Edges == nil {
			break
		}

		return e.complexity.EventConnection.Edges(childComplexity), true

	case "EventConnection.nodes":
		if e.complexity.EventConnection.Nodes == nil {
			break
		}

		return e.complexity.EventConnection.Nodes(childComplexity), true

	case "EventConnection.pageInfo":
		if e.complexity.EventConnection.PageInfo == nil {
			break
		}

		return e.complexity.EventConnection.PageInfo(childComplexity), true

	case "EventEdge.cursor":
		if e.complexity.EventEdge.Cursor == nil {
			break
		}

		return e.complexity.EventEdge.Cursor(childComplexity), true

	case "EventEdge.node":
		if e.complexity.EventEdge.Node == nil {
			break
		}

		return e.complexity.EventEdge.Node(childComplexity), true

	case "FailedRequirement.action":
		if e.complexity.FailedRequirement.Action == nil {
			break
		}

		return e.complexity.FailedRequirement.Action(childComplexity), true

	case "FailedRequirement.message":
		if e.complexity.FailedRequirement.Message == nil {
			break
		}

		return e.complexity.FailedRequirement.Message(childComplexity), true

	case "FileError.code":
		if e.complexity.FileError.Code == nil {
			break
		}

		return e.complexity.FileError.Code(childComplexity), true

	case "FileError.details":
		if e.complexity.FileError.Details == nil {
			break
		}

		return e.complexity.FileError.Details(childComplexity), true

	case "FileError.message":
		if e.complexity.FileError.Message == nil {
			break
		}

		return e.complexity.FileError.Message(childComplexity), true

	case "FilterOption.label":
		if e.complexity.FilterOption.Label == nil {
			break
		}

		return e.complexity.FilterOption.Label(childComplexity), true

	case "FilterOption.value":
		if e.complexity.FilterOption.Value == nil {
			break
		}

		return e.complexity.FilterOption.Value(childComplexity), true

	case "Fulfillment.createdAt":
		if e.complexity.Fulfillment.CreatedAt == nil {
			break
		}

		return e.complexity.Fulfillment.CreatedAt(childComplexity), true

	case "Fulfillment.deliveredAt":
		if e.complexity.Fulfillment.DeliveredAt == nil {
			break
		}

		return e.complexity.Fulfillment.DeliveredAt(childComplexity), true

	case "Fulfillment.displayStatus":
		if e.complexity.Fulfillment.DisplayStatus == nil {
			break
		}

		return e.complexity.Fulfillment.DisplayStatus(childComplexity), true

	case "Fulfillment.estimatedDeliveryAt":
		if e.complexity.Fulfillment.EstimatedDeliveryAt == nil {
			break
		}

		return e.complexity.Fulfillment.EstimatedDeliveryAt(childComplexity), true

	case "Fulfillment.events":
		if e.complexity.Fulfillment.Events == nil {
			break
		}

		args, err := ec.field_Fulfillment_events_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Fulfillment.Events(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*FulfillmentEventSortKeys)), true

	case "Fulfillment.fulfillmentLineItems":
		if e.complexity.Fulfillment.FulfillmentLineItems == nil {
			break
		}

		args, err := ec.field_Fulfillment_fulfillmentLineItems_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Fulfillment.FulfillmentLineItems(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Fulfillment.fulfillmentOrders":
		if e.complexity.Fulfillment.FulfillmentOrders == nil {
			break
		}

		args, err := ec.field_Fulfillment_fulfillmentOrders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Fulfillment.FulfillmentOrders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Fulfillment.id":
		if e.complexity.Fulfillment.ID == nil {
			break
		}

		return e.complexity.Fulfillment.ID(childComplexity), true

	case "Fulfillment.inTransitAt":
		if e.complexity.Fulfillment.InTransitAt == nil {
			break
		}

		return e.complexity.Fulfillment.InTransitAt(childComplexity), true

	case "Fulfillment.legacyResourceId":
		if e.complexity.Fulfillment.LegacyResourceID == nil {
			break
		}

		return e.complexity.Fulfillment.LegacyResourceID(childComplexity), true

	case "Fulfillment.location":
		if e.complexity.Fulfillment.Location == nil {
			break
		}

		return e.complexity.Fulfillment.Location(childComplexity), true

	case "Fulfillment.name":
		if e.complexity.Fulfillment.Name == nil {
			break
		}

		return e.complexity.Fulfillment.Name(childComplexity), true

	case "Fulfillment.order":
		if e.complexity.Fulfillment.Order == nil {
			break
		}

		return e.complexity.Fulfillment.Order(childComplexity), true

	case "Fulfillment.originAddress":
		if e.complexity.Fulfillment.OriginAddress == nil {
			break
		}

		return e.complexity.Fulfillment.OriginAddress(childComplexity), true

	case "Fulfillment.requiresShipping":
		if e.complexity.Fulfillment.RequiresShipping == nil {
			break
		}

		return e.complexity.Fulfillment.RequiresShipping(childComplexity), true

	case "Fulfillment.service":
		if e.complexity.Fulfillment.Service == nil {
			break
		}

		return e.complexity.Fulfillment.Service(childComplexity), true

	case "Fulfillment.status":
		if e.complexity.Fulfillment.Status == nil {
			break
		}

		return e.complexity.Fulfillment.Status(childComplexity), true

	case "Fulfillment.totalQuantity":
		if e.complexity.Fulfillment.TotalQuantity == nil {
			break
		}

		return e.complexity.Fulfillment.TotalQuantity(childComplexity), true

	case "Fulfillment.trackingInfo":
		if e.complexity.Fulfillment.TrackingInfo == nil {
			break
		}

		args, err := ec.field_Fulfillment_trackingInfo_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Fulfillment.TrackingInfo(childComplexity, args["first"].(*int)), true

	case "Fulfillment.updatedAt":
		if e.complexity.Fulfillment.UpdatedAt == nil {
			break
		}

		return e.complexity.Fulfillment.UpdatedAt(childComplexity), true

	case "FulfillmentConnection.edges":
		if e.complexity.FulfillmentConnection.Edges == nil {
			break
		}

		return e.complexity.FulfillmentConnection.Edges(childComplexity), true

	case "FulfillmentConnection.nodes":
		if e.complexity.FulfillmentConnection.Nodes == nil {
			break
		}

		return e.complexity.FulfillmentConnection.Nodes(childComplexity), true

	case "FulfillmentConnection.pageInfo":
		if e.complexity.FulfillmentConnection.PageInfo == nil {
			break
		}

		return e.complexity.FulfillmentConnection.PageInfo(childComplexity), true

	case "FulfillmentEdge.cursor":
		if e.complexity.FulfillmentEdge.Cursor == nil {
			break
		}

		return e.complexity.FulfillmentEdge.Cursor(childComplexity), true

	case "FulfillmentEdge.node":
		if e.complexity.FulfillmentEdge.Node == nil {
			break
		}

		return e.complexity.FulfillmentEdge.Node(childComplexity), true

	case "FulfillmentEvent.happenedAt":
		if e.complexity.FulfillmentEvent.HappenedAt == nil {
			break
		}

		return e.complexity.FulfillmentEvent.HappenedAt(childComplexity), true

	case "FulfillmentEvent.id":
		if e.complexity.FulfillmentEvent.ID == nil {
			break
		}

		return e.complexity.FulfillmentEvent.ID(childComplexity), true

	case "FulfillmentEvent.status":
		if e.complexity.FulfillmentEvent.Status == nil {
			break
		}

		return e.complexity.FulfillmentEvent.Status(childComplexity), true

	case "FulfillmentEventConnection.edges":
		if e.complexity.FulfillmentEventConnection.Edges == nil {
			break
		}

		return e.complexity.FulfillmentEventConnection.Edges(childComplexity), true

	case "FulfillmentEventConnection.nodes":
		if e.complexity.FulfillmentEventConnection.Nodes == nil {
			break
		}

		return e.complexity.FulfillmentEventConnection.Nodes(childComplexity), true

	case "FulfillmentEventConnection.pageInfo":
		if e.complexity.FulfillmentEventConnection.PageInfo == nil {
			break
		}

		return e.complexity.FulfillmentEventConnection.PageInfo(childComplexity), true

	case "FulfillmentEventEdge.cursor":
		if e.complexity.FulfillmentEventEdge.Cursor == nil {
			break
		}

		return e.complexity.FulfillmentEventEdge.Cursor(childComplexity), true

	case "FulfillmentEventEdge.node":
		if e.complexity.FulfillmentEventEdge.Node == nil {
			break
		}

		return e.complexity.FulfillmentEventEdge.Node(childComplexity), true

	case "FulfillmentHold.reason":
		if e.complexity.FulfillmentHold.Reason == nil {
			break
		}

		return e.complexity.FulfillmentHold.Reason(childComplexity), true

	case "FulfillmentHold.reasonNotes":
		if e.complexity.FulfillmentHold.ReasonNotes == nil {
			break
		}

		return e.complexity.FulfillmentHold.ReasonNotes(childComplexity), true

	case "FulfillmentLineItem.discountedTotalSet":
		if e.complexity.FulfillmentLineItem.DiscountedTotalSet == nil {
			break
		}

		return e.complexity.FulfillmentLineItem.DiscountedTotalSet(childComplexity), true

	case "FulfillmentLineItem.id":
		if e.complexity.FulfillmentLineItem.ID == nil {
			break
		}

		return e.complexity.FulfillmentLineItem.ID(childComplexity), true

	case "FulfillmentLineItem.lineItem":
		if e.complexity.FulfillmentLineItem.LineItem == nil {
			break
		}

		return e.complexity.FulfillmentLineItem.LineItem(childComplexity), true

	case "FulfillmentLineItem.originalTotalSet":
		if e.complexity.FulfillmentLineItem.OriginalTotalSet == nil {
			break
		}

		return e.complexity.FulfillmentLineItem.OriginalTotalSet(childComplexity), true

	case "FulfillmentLineItem.quantity":
		if e.complexity.FulfillmentLineItem.Quantity == nil {
			break
		}

		return e.complexity.FulfillmentLineItem.Quantity(childComplexity), true

	case "FulfillmentLineItemConnection.edges":
		if e.complexity.FulfillmentLineItemConnection.Edges == nil {
			break
		}

		return e.complexity.FulfillmentLineItemConnection.Edges(childComplexity), true

	case "FulfillmentLineItemConnection.nodes":
		if e.complexity.FulfillmentLineItemConnection.Nodes == nil {
			break
		}

		return e.complexity.FulfillmentLineItemConnection.Nodes(childComplexity), true

	case "FulfillmentLineItemConnection.pageInfo":
		if e.complexity.FulfillmentLineItemConnection.PageInfo == nil {
			break
		}

		return e.complexity.FulfillmentLineItemConnection.PageInfo(childComplexity), true

	case "FulfillmentLineItemEdge.cursor":
		if e.complexity.FulfillmentLineItemEdge.Cursor == nil {
			break
		}

		return e.complexity.FulfillmentLineItemEdge.Cursor(childComplexity), true

	case "FulfillmentLineItemEdge.node":
		if e.complexity.FulfillmentLineItemEdge.Node == nil {
			break
		}

		return e.complexity.FulfillmentLineItemEdge.Node(childComplexity), true

	case "FulfillmentOrder.assignedLocation":
		if e.complexity.FulfillmentOrder.AssignedLocation == nil {
			break
		}

		return e.complexity.FulfillmentOrder.AssignedLocation(childComplexity), true

	case "FulfillmentOrder.deliveryMethod":
		if e.complexity.FulfillmentOrder.DeliveryMethod == nil {
			break
		}

		return e.complexity.FulfillmentOrder.DeliveryMethod(childComplexity), true

	case "FulfillmentOrder.destination":
		if e.complexity.FulfillmentOrder.Destination == nil {
			break
		}

		return e.complexity.FulfillmentOrder.Destination(childComplexity), true

	case "FulfillmentOrder.fulfillAt":
		if e.complexity.FulfillmentOrder.FulfillAt == nil {
			break
		}

		return e.complexity.FulfillmentOrder.FulfillAt(childComplexity), true

	case "FulfillmentOrder.fulfillBy":
		if e.complexity.FulfillmentOrder.FulfillBy == nil {
			break
		}

		return e.complexity.FulfillmentOrder.FulfillBy(childComplexity), true

	case "FulfillmentOrder.fulfillmentHolds":
		if e.complexity.FulfillmentOrder.FulfillmentHolds == nil {
			break
		}

		return e.complexity.FulfillmentOrder.FulfillmentHolds(childComplexity), true

	case "FulfillmentOrder.fulfillments":
		if e.complexity.FulfillmentOrder.Fulfillments == nil {
			break
		}

		args, err := ec.field_FulfillmentOrder_fulfillments_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.FulfillmentOrder.Fulfillments(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "FulfillmentOrder.id":
		if e.complexity.FulfillmentOrder.ID == nil {
			break
		}

		return e.complexity.FulfillmentOrder.ID(childComplexity), true

	case "FulfillmentOrder.internationalDuties":
		if e.complexity.FulfillmentOrder.InternationalDuties == nil {
			break
		}

		return e.complexity.FulfillmentOrder.InternationalDuties(childComplexity), true

	case "FulfillmentOrder.lineItems":
		if e.complexity.FulfillmentOrder.LineItems == nil {
			break
		}

		args, err := ec.field_FulfillmentOrder_lineItems_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.FulfillmentOrder.LineItems(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "FulfillmentOrder.locationsForMove":
		if e.complexity.FulfillmentOrder.LocationsForMove == nil {
			break
		}

		args, err := ec.field_FulfillmentOrder_locationsForMove_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.FulfillmentOrder.LocationsForMove(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "FulfillmentOrder.merchantRequests":
		if e.complexity.FulfillmentOrder.MerchantRequests == nil {
			break
		}

		args, err := ec.field_FulfillmentOrder_merchantRequests_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.FulfillmentOrder.MerchantRequests(childComplexity, args["kind"].(*FulfillmentOrderMerchantRequestKind), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "FulfillmentOrder.order":
		if e.complexity.FulfillmentOrder.Order == nil {
			break
		}

		return e.complexity.FulfillmentOrder.Order(childComplexity), true

	case "FulfillmentOrder.requestStatus":
		if e.complexity.FulfillmentOrder.RequestStatus == nil {
			break
		}

		return e.complexity.FulfillmentOrder.RequestStatus(childComplexity), true

	case "FulfillmentOrder.status":
		if e.complexity.FulfillmentOrder.Status == nil {
			break
		}

		return e.complexity.FulfillmentOrder.Status(childComplexity), true

	case "FulfillmentOrder.supportedActions":
		if e.complexity.FulfillmentOrder.SupportedActions == nil {
			break
		}

		return e.complexity.FulfillmentOrder.SupportedActions(childComplexity), true

	case "FulfillmentOrderAssignedLocation.address1":
		if e.complexity.FulfillmentOrderAssignedLocation.Address1 == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.Address1(childComplexity), true

	case "FulfillmentOrderAssignedLocation.address2":
		if e.complexity.FulfillmentOrderAssignedLocation.Address2 == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.Address2(childComplexity), true

	case "FulfillmentOrderAssignedLocation.city":
		if e.complexity.FulfillmentOrderAssignedLocation.City == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.City(childComplexity), true

	case "FulfillmentOrderAssignedLocation.countryCode":
		if e.complexity.FulfillmentOrderAssignedLocation.CountryCode == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.CountryCode(childComplexity), true

	case "FulfillmentOrderAssignedLocation.location":
		if e.complexity.FulfillmentOrderAssignedLocation.Location == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.Location(childComplexity), true

	case "FulfillmentOrderAssignedLocation.name":
		if e.complexity.FulfillmentOrderAssignedLocation.Name == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.Name(childComplexity), true

	case "FulfillmentOrderAssignedLocation.phone":
		if e.complexity.FulfillmentOrderAssignedLocation.Phone == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.Phone(childComplexity), true

	case "FulfillmentOrderAssignedLocation.province":
		if e.complexity.FulfillmentOrderAssignedLocation.Province == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.Province(childComplexity), true

	case "FulfillmentOrderAssignedLocation.zip":
		if e.complexity.FulfillmentOrderAssignedLocation.Zip == nil {
			break
		}

		return e.complexity.FulfillmentOrderAssignedLocation.Zip(childComplexity), true

	case "FulfillmentOrderConnection.edges":
		if e.complexity.FulfillmentOrderConnection.Edges == nil {
			break
		}

		return e.complexity.FulfillmentOrderConnection.Edges(childComplexity), true

	case "FulfillmentOrderConnection.nodes":
		if e.complexity.FulfillmentOrderConnection.Nodes == nil {
			break
		}

		return e.complexity.FulfillmentOrderConnection.Nodes(childComplexity), true

	case "FulfillmentOrderConnection.pageInfo":
		if e.complexity.FulfillmentOrderConnection.PageInfo == nil {
			break
		}

		return e.complexity.FulfillmentOrderConnection.PageInfo(childComplexity), true

	case "FulfillmentOrderDestination.address1":
		if e.complexity.FulfillmentOrderDestination.Address1 == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.Address1(childComplexity), true

	case "FulfillmentOrderDestination.address2":
		if e.complexity.FulfillmentOrderDestination.Address2 == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.Address2(childComplexity), true

	case "FulfillmentOrderDestination.city":
		if e.complexity.FulfillmentOrderDestination.City == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.City(childComplexity), true

	case "FulfillmentOrderDestination.company":
		if e.complexity.FulfillmentOrderDestination.Company == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.Company(childComplexity), true

	case "FulfillmentOrderDestination.countryCode":
		if e.complexity.FulfillmentOrderDestination.CountryCode == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.CountryCode(childComplexity), true

	case "FulfillmentOrderDestination.email":
		if e.complexity.FulfillmentOrderDestination.Email == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.Email(childComplexity), true

	case "FulfillmentOrderDestination.firstName":
		if e.complexity.FulfillmentOrderDestination.FirstName == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.FirstName(childComplexity), true

	case "FulfillmentOrderDestination.id":
		if e.complexity.FulfillmentOrderDestination.ID == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.ID(childComplexity), true

	case "FulfillmentOrderDestination.lastName":
		if e.complexity.FulfillmentOrderDestination.LastName == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.LastName(childComplexity), true

	case "FulfillmentOrderDestination.phone":
		if e.complexity.FulfillmentOrderDestination.Phone == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.Phone(childComplexity), true

	case "FulfillmentOrderDestination.province":
		if e.complexity.FulfillmentOrderDestination.Province == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.Province(childComplexity), true

	case "FulfillmentOrderDestination.zip":
		if e.complexity.FulfillmentOrderDestination.Zip == nil {
			break
		}

		return e.complexity.FulfillmentOrderDestination.Zip(childComplexity), true

	case "FulfillmentOrderEdge.cursor":
		if e.complexity.FulfillmentOrderEdge.Cursor == nil {
			break
		}

		return e.complexity.FulfillmentOrderEdge.Cursor(childComplexity), true

	case "FulfillmentOrderEdge.node":
		if e.complexity.FulfillmentOrderEdge.Node == nil {
			break
		}

		return e.complexity.FulfillmentOrderEdge.Node(childComplexity), true

	case "FulfillmentOrderInternationalDuties.incoterm":
		if e.complexity.FulfillmentOrderInternationalDuties.Incoterm == nil {
			break
		}

		return e.complexity.FulfillmentOrderInternationalDuties.Incoterm(childComplexity), true

	case "FulfillmentOrderLineItem.id":
		if e.complexity.FulfillmentOrderLineItem.ID == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItem.ID(childComplexity), true

	case "FulfillmentOrderLineItem.lineItem":
		if e.complexity.FulfillmentOrderLineItem.LineItem == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItem.LineItem(childComplexity), true

	case "FulfillmentOrderLineItem.remainingQuantity":
		if e.complexity.FulfillmentOrderLineItem.RemainingQuantity == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItem.RemainingQuantity(childComplexity), true

	case "FulfillmentOrderLineItem.totalQuantity":
		if e.complexity.FulfillmentOrderLineItem.TotalQuantity == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItem.TotalQuantity(childComplexity), true

	case "FulfillmentOrderLineItem.warnings":
		if e.complexity.FulfillmentOrderLineItem.Warnings == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItem.Warnings(childComplexity), true

	case "FulfillmentOrderLineItemConnection.edges":
		if e.complexity.FulfillmentOrderLineItemConnection.Edges == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItemConnection.Edges(childComplexity), true

	case "FulfillmentOrderLineItemConnection.nodes":
		if e.complexity.FulfillmentOrderLineItemConnection.Nodes == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItemConnection.Nodes(childComplexity), true

	case "FulfillmentOrderLineItemConnection.pageInfo":
		if e.complexity.FulfillmentOrderLineItemConnection.PageInfo == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItemConnection.PageInfo(childComplexity), true

	case "FulfillmentOrderLineItemEdge.cursor":
		if e.complexity.FulfillmentOrderLineItemEdge.Cursor == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItemEdge.Cursor(childComplexity), true

	case "FulfillmentOrderLineItemEdge.node":
		if e.complexity.FulfillmentOrderLineItemEdge.Node == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItemEdge.Node(childComplexity), true

	case "FulfillmentOrderLineItemWarning.description":
		if e.complexity.FulfillmentOrderLineItemWarning.Description == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItemWarning.Description(childComplexity), true

	case "FulfillmentOrderLineItemWarning.title":
		if e.complexity.FulfillmentOrderLineItemWarning.Title == nil {
			break
		}

		return e.complexity.FulfillmentOrderLineItemWarning.Title(childComplexity), true

	case "FulfillmentOrderLocationForMove.location":
		if e.complexity.FulfillmentOrderLocationForMove.Location == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMove.Location(childComplexity), true

	case "FulfillmentOrderLocationForMove.message":
		if e.complexity.FulfillmentOrderLocationForMove.Message == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMove.Message(childComplexity), true

	case "FulfillmentOrderLocationForMove.movable":
		if e.complexity.FulfillmentOrderLocationForMove.Movable == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMove.Movable(childComplexity), true

	case "FulfillmentOrderLocationForMoveConnection.edges":
		if e.complexity.FulfillmentOrderLocationForMoveConnection.Edges == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMoveConnection.Edges(childComplexity), true

	case "FulfillmentOrderLocationForMoveConnection.nodes":
		if e.complexity.FulfillmentOrderLocationForMoveConnection.Nodes == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMoveConnection.Nodes(childComplexity), true

	case "FulfillmentOrderLocationForMoveConnection.pageInfo":
		if e.complexity.FulfillmentOrderLocationForMoveConnection.PageInfo == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMoveConnection.PageInfo(childComplexity), true

	case "FulfillmentOrderLocationForMoveEdge.cursor":
		if e.complexity.FulfillmentOrderLocationForMoveEdge.Cursor == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMoveEdge.Cursor(childComplexity), true

	case "FulfillmentOrderLocationForMoveEdge.node":
		if e.complexity.FulfillmentOrderLocationForMoveEdge.Node == nil {
			break
		}

		return e.complexity.FulfillmentOrderLocationForMoveEdge.Node(childComplexity), true

	case "FulfillmentOrderMerchantRequest.id":
		if e.complexity.FulfillmentOrderMerchantRequest.ID == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequest.ID(childComplexity), true

	case "FulfillmentOrderMerchantRequest.kind":
		if e.complexity.FulfillmentOrderMerchantRequest.Kind == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequest.Kind(childComplexity), true

	case "FulfillmentOrderMerchantRequest.message":
		if e.complexity.FulfillmentOrderMerchantRequest.Message == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequest.Message(childComplexity), true

	case "FulfillmentOrderMerchantRequest.requestOptions":
		if e.complexity.FulfillmentOrderMerchantRequest.RequestOptions == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequest.RequestOptions(childComplexity), true

	case "FulfillmentOrderMerchantRequest.responseData":
		if e.complexity.FulfillmentOrderMerchantRequest.ResponseData == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequest.ResponseData(childComplexity), true

	case "FulfillmentOrderMerchantRequest.sentAt":
		if e.complexity.FulfillmentOrderMerchantRequest.SentAt == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequest.SentAt(childComplexity), true

	case "FulfillmentOrderMerchantRequestConnection.edges":
		if e.complexity.FulfillmentOrderMerchantRequestConnection.Edges == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequestConnection.Edges(childComplexity), true

	case "FulfillmentOrderMerchantRequestConnection.nodes":
		if e.complexity.FulfillmentOrderMerchantRequestConnection.Nodes == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequestConnection.Nodes(childComplexity), true

	case "FulfillmentOrderMerchantRequestConnection.pageInfo":
		if e.complexity.FulfillmentOrderMerchantRequestConnection.PageInfo == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequestConnection.PageInfo(childComplexity), true

	case "FulfillmentOrderMerchantRequestEdge.cursor":
		if e.complexity.FulfillmentOrderMerchantRequestEdge.Cursor == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequestEdge.Cursor(childComplexity), true

	case "FulfillmentOrderMerchantRequestEdge.node":
		if e.complexity.FulfillmentOrderMerchantRequestEdge.Node == nil {
			break
		}

		return e.complexity.FulfillmentOrderMerchantRequestEdge.Node(childComplexity), true

	case "FulfillmentOrderSupportedAction.action":
		if e.complexity.FulfillmentOrderSupportedAction.Action == nil {
			break
		}

		return e.complexity.FulfillmentOrderSupportedAction.Action(childComplexity), true

	case "FulfillmentOrderSupportedAction.externalUrl":
		if e.complexity.FulfillmentOrderSupportedAction.ExternalURL == nil {
			break
		}

		return e.complexity.FulfillmentOrderSupportedAction.ExternalURL(childComplexity), true

	case "FulfillmentOriginAddress.address1":
		if e.complexity.FulfillmentOriginAddress.Address1 == nil {
			break
		}

		return e.complexity.FulfillmentOriginAddress.Address1(childComplexity), true

	case "FulfillmentOriginAddress.address2":
		if e.complexity.FulfillmentOriginAddress.Address2 == nil {
			break
		}

		return e.complexity.FulfillmentOriginAddress.Address2(childComplexity), true

	case "FulfillmentOriginAddress.city":
		if e.complexity.FulfillmentOriginAddress.City == nil {
			break
		}

		return e.complexity.FulfillmentOriginAddress.City(childComplexity), true

	case "FulfillmentOriginAddress.countryCode":
		if e.complexity.FulfillmentOriginAddress.CountryCode == nil {
			break
		}

		return e.complexity.FulfillmentOriginAddress.CountryCode(childComplexity), true

	case "FulfillmentOriginAddress.provinceCode":
		if e.complexity.FulfillmentOriginAddress.ProvinceCode == nil {
			break
		}

		return e.complexity.FulfillmentOriginAddress.ProvinceCode(childComplexity), true

	case "FulfillmentOriginAddress.zip":
		if e.complexity.FulfillmentOriginAddress.Zip == nil {
			break
		}

		return e.complexity.FulfillmentOriginAddress.Zip(childComplexity), true

	case "FulfillmentService.id":
		if e.complexity.FulfillmentService.ID == nil {
			break
		}

		return e.complexity.FulfillmentService.ID(childComplexity), true

	case "FulfillmentTrackingInfo.company":
		if e.complexity.FulfillmentTrackingInfo.Company == nil {
			break
		}

		return e.complexity.FulfillmentTrackingInfo.Company(childComplexity), true

	case "FulfillmentTrackingInfo.number":
		if e.complexity.FulfillmentTrackingInfo.Number == nil {
			break
		}

		return e.complexity.FulfillmentTrackingInfo.Number(childComplexity), true

	case "FulfillmentTrackingInfo.url":
		if e.complexity.FulfillmentTrackingInfo.URL == nil {
			break
		}

		return e.complexity.FulfillmentTrackingInfo.URL(childComplexity), true

	case "GenericFile.alt":
		if e.complexity.GenericFile.Alt == nil {
			break
		}

		return e.complexity.GenericFile.Alt(childComplexity), true

	case "GenericFile.createdAt":
		if e.complexity.GenericFile.CreatedAt == nil {
			break
		}

		return e.complexity.GenericFile.CreatedAt(childComplexity), true

	case "GenericFile.fileErrors":
		if e.complexity.GenericFile.FileErrors == nil {
			break
		}

		return e.complexity.GenericFile.FileErrors(childComplexity), true

	case "GenericFile.fileStatus":
		if e.complexity.GenericFile.FileStatus == nil {
			break
		}

		return e.complexity.GenericFile.FileStatus(childComplexity), true

	case "GenericFile.id":
		if e.complexity.GenericFile.ID == nil {
			break
		}

		return e.complexity.GenericFile.ID(childComplexity), true

	case "GenericFile.mimeType":
		if e.complexity.GenericFile.MimeType == nil {
			break
		}

		return e.complexity.GenericFile.MimeType(childComplexity), true

	case "GenericFile.originalFileSize":
		if e.complexity.GenericFile.OriginalFileSize == nil {
			break
		}

		return e.complexity.GenericFile.OriginalFileSize(childComplexity), true

	case "GenericFile.preview":
		if e.complexity.GenericFile.Preview == nil {
			break
		}

		return e.complexity.GenericFile.Preview(childComplexity), true

	case "GenericFile.url":
		if e.complexity.GenericFile.URL == nil {
			break
		}

		return e.complexity.GenericFile.URL(childComplexity), true

	case "Image.altText":
		if e.complexity.Image.AltText == nil {
			break
		}

		return e.complexity.Image.AltText(childComplexity), true

	case "Image.height":
		if e.complexity.Image.Height == nil {
			break
		}

		return e.complexity.Image.Height(childComplexity), true

	case "Image.id":
		if e.complexity.Image.ID == nil {
			break
		}

		return e.complexity.Image.ID(childComplexity), true

	case "Image.metafield":
		if e.complexity.Image.Metafield == nil {
			break
		}

		args, err := ec.field_Image_metafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Image.Metafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "Image.metafields":
		if e.complexity.Image.Metafields == nil {
			break
		}

		args, err := ec.field_Image_metafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Image.Metafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Image.privateMetafield":
		if e.complexity.Image.PrivateMetafield == nil {
			break
		}

		args, err := ec.field_Image_privateMetafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Image.PrivateMetafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "Image.privateMetafields":
		if e.complexity.Image.PrivateMetafields == nil {
			break
		}

		args, err := ec.field_Image_privateMetafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Image.PrivateMetafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Image.url":
		if e.complexity.Image.URL == nil {
			break
		}

		args, err := ec.field_Image_url_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Image.URL(childComplexity, args["transform"].(*ImageTransformInput)), true

	case "Image.width":
		if e.complexity.Image.Width == nil {
			break
		}

		return e.complexity.Image.Width(childComplexity), true

	case "ImageConnection.edges":
		if e.complexity.ImageConnection.Edges == nil {
			break
		}

		return e.complexity.ImageConnection.Edges(childComplexity), true

	case "ImageConnection.nodes":
		if e.complexity.ImageConnection.Nodes == nil {
			break
		}

		return e.complexity.ImageConnection.Nodes(childComplexity), true

	case "ImageConnection.pageInfo":
		if e.complexity.ImageConnection.PageInfo == nil {
			break
		}

		return e.complexity.ImageConnection.PageInfo(childComplexity), true

	case "ImageEdge.cursor":
		if e.complexity.ImageEdge.Cursor == nil {
			break
		}

		return e.complexity.ImageEdge.Cursor(childComplexity), true

	case "ImageEdge.node":
		if e.complexity.ImageEdge.Node == nil {
			break
		}

		return e.complexity.ImageEdge.Node(childComplexity), true

	case "InventoryItem.countryCodeOfOrigin":
		if e.complexity.InventoryItem.CountryCodeOfOrigin == nil {
			break
		}

		return e.complexity.InventoryItem.CountryCodeOfOrigin(childComplexity), true

	case "InventoryItem.countryHarmonizedSystemCodes":
		if e.complexity.InventoryItem.CountryHarmonizedSystemCodes == nil {
			break
		}

		args, err := ec.field_InventoryItem_countryHarmonizedSystemCodes_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.InventoryItem.CountryHarmonizedSystemCodes(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "InventoryItem.createdAt":
		if e.complexity.InventoryItem.CreatedAt == nil {
			break
		}

		return e.complexity.InventoryItem.CreatedAt(childComplexity), true

	case "InventoryItem.duplicateSkuCount":
		if e.complexity.InventoryItem.DuplicateSkuCount == nil {
			break
		}

		return e.complexity.InventoryItem.DuplicateSkuCount(childComplexity), true

	case "InventoryItem.harmonizedSystemCode":
		if e.complexity.InventoryItem.HarmonizedSystemCode == nil {
			break
		}

		return e.complexity.InventoryItem.HarmonizedSystemCode(childComplexity), true

	case "InventoryItem.id":
		if e.complexity.InventoryItem.ID == nil {
			break
		}

		return e.complexity.InventoryItem.ID(childComplexity), true

	case "InventoryItem.inventoryHistoryUrl":
		if e.complexity.InventoryItem.InventoryHistoryURL == nil {
			break
		}

		return e.complexity.InventoryItem.InventoryHistoryURL(childComplexity), true

	case "InventoryItem.inventoryLevel":
		if e.complexity.InventoryItem.InventoryLevel == nil {
			break
		}

		args, err := ec.field_InventoryItem_inventoryLevel_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.InventoryItem.InventoryLevel(childComplexity, args["locationId"].(string)), true

	case "InventoryItem.inventoryLevels":
		if e.complexity.InventoryItem.InventoryLevels == nil {
			break
		}

		args, err := ec.field_InventoryItem_inventoryLevels_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.InventoryItem.InventoryLevels(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["query"].(*string)), true

	case "InventoryItem.legacyResourceId":
		if e.complexity.InventoryItem.LegacyResourceID == nil {
			break
		}

		return e.complexity.InventoryItem.LegacyResourceID(childComplexity), true

	case "InventoryItem.locationsCount":
		if e.complexity.InventoryItem.LocationsCount == nil {
			break
		}

		return e.complexity.InventoryItem.LocationsCount(childComplexity), true

	case "InventoryItem.provinceCodeOfOrigin":
		if e.complexity.InventoryItem.ProvinceCodeOfOrigin == nil {
			break
		}

		return e.complexity.InventoryItem.ProvinceCodeOfOrigin(childComplexity), true

	case "InventoryItem.requiresShipping":
		if e.complexity.InventoryItem.RequiresShipping == nil {
			break
		}

		return e.complexity.InventoryItem.RequiresShipping(childComplexity), true

	case "InventoryItem.sku":
		if e.complexity.InventoryItem.Sku == nil {
			break
		}

		return e.complexity.InventoryItem.Sku(childComplexity), true

	case "InventoryItem.tracked":
		if e.complexity.InventoryItem.Tracked == nil {
			break
		}

		return e.complexity.InventoryItem.Tracked(childComplexity), true

	case "InventoryItem.trackedEditable":
		if e.complexity.InventoryItem.TrackedEditable == nil {
			break
		}

		return e.complexity.InventoryItem.TrackedEditable(childComplexity), true

	case "InventoryItem.unitCost":
		if e.complexity.InventoryItem.UnitCost == nil {
			break
		}

		return e.complexity.InventoryItem.UnitCost(childComplexity), true

	case "InventoryItem.updatedAt":
		if e.complexity.InventoryItem.UpdatedAt == nil {
			break
		}

		return e.complexity.InventoryItem.UpdatedAt(childComplexity), true

	case "InventoryItem.variant":
		if e.complexity.InventoryItem.Variant == nil {
			break
		}

		return e.complexity.InventoryItem.Variant(childComplexity), true

	case "InventoryLevel.id":
		if e.complexity.InventoryLevel.ID == nil {
			break
		}

		return e.complexity.InventoryLevel.ID(childComplexity), true

	case "InventoryLevelConnection.edges":
		if e.complexity.InventoryLevelConnection.Edges == nil {
			break
		}

		return e.complexity.InventoryLevelConnection.Edges(childComplexity), true

	case "InventoryLevelConnection.nodes":
		if e.complexity.InventoryLevelConnection.Nodes == nil {
			break
		}

		return e.complexity.InventoryLevelConnection.Nodes(childComplexity), true

	case "InventoryLevelConnection.pageInfo":
		if e.complexity.InventoryLevelConnection.PageInfo == nil {
			break
		}

		return e.complexity.InventoryLevelConnection.PageInfo(childComplexity), true

	case "InventoryLevelEdge.cursor":
		if e.complexity.InventoryLevelEdge.Cursor == nil {
			break
		}

		return e.complexity.InventoryLevelEdge.Cursor(childComplexity), true

	case "InventoryLevelEdge.node":
		if e.complexity.InventoryLevelEdge.Node == nil {
			break
		}

		return e.complexity.InventoryLevelEdge.Node(childComplexity), true

	case "LimitedPendingOrderCount.atMax":
		if e.complexity.LimitedPendingOrderCount.AtMax == nil {
			break
		}

		return e.complexity.LimitedPendingOrderCount.AtMax(childComplexity), true

	case "LimitedPendingOrderCount.count":
		if e.complexity.LimitedPendingOrderCount.Count == nil {
			break
		}

		return e.complexity.LimitedPendingOrderCount.Count(childComplexity), true

	case "LineItem.contract":
		if e.complexity.LineItem.Contract == nil {
			break
		}

		return e.complexity.LineItem.Contract(childComplexity), true

	case "LineItem.currentQuantity":
		if e.complexity.LineItem.CurrentQuantity == nil {
			break
		}

		return e.complexity.LineItem.CurrentQuantity(childComplexity), true

	case "LineItem.customAttributes":
		if e.complexity.LineItem.CustomAttributes == nil {
			break
		}

		return e.complexity.LineItem.CustomAttributes(childComplexity), true

	case "LineItem.discountAllocations":
		if e.complexity.LineItem.DiscountAllocations == nil {
			break
		}

		return e.complexity.LineItem.DiscountAllocations(childComplexity), true

	case "LineItem.discountedTotalSet":
		if e.complexity.LineItem.DiscountedTotalSet == nil {
			break
		}

		return e.complexity.LineItem.DiscountedTotalSet(childComplexity), true

	case "LineItem.discountedUnitPriceSet":
		if e.complexity.LineItem.DiscountedUnitPriceSet == nil {
			break
		}

		return e.complexity.LineItem.DiscountedUnitPriceSet(childComplexity), true

	case "LineItem.duties":
		if e.complexity.LineItem.Duties == nil {
			break
		}

		return e.complexity.LineItem.Duties(childComplexity), true

	case "LineItem.id":
		if e.complexity.LineItem.ID == nil {
			break
		}

		return e.complexity.LineItem.ID(childComplexity), true

	case "LineItem.image":
		if e.complexity.LineItem.Image == nil {
			break
		}

		return e.complexity.LineItem.Image(childComplexity), true

	case "LineItem.merchantEditable":
		if e.complexity.LineItem.MerchantEditable == nil {
			break
		}

		return e.complexity.LineItem.MerchantEditable(childComplexity), true

	case "LineItem.name":
		if e.complexity.LineItem.Name == nil {
			break
		}

		return e.complexity.LineItem.Name(childComplexity), true

	case "LineItem.nonFulfillableQuantity":
		if e.complexity.LineItem.NonFulfillableQuantity == nil {
			break
		}

		return e.complexity.LineItem.NonFulfillableQuantity(childComplexity), true

	case "LineItem.originalTotalSet":
		if e.complexity.LineItem.OriginalTotalSet == nil {
			break
		}

		return e.complexity.LineItem.OriginalTotalSet(childComplexity), true

	case "LineItem.originalUnitPriceSet":
		if e.complexity.LineItem.OriginalUnitPriceSet == nil {
			break
		}

		return e.complexity.LineItem.OriginalUnitPriceSet(childComplexity), true

	case "LineItem.product":
		if e.complexity.LineItem.Product == nil {
			break
		}

		return e.complexity.LineItem.Product(childComplexity), true

	case "LineItem.quantity":
		if e.complexity.LineItem.Quantity == nil {
			break
		}

		return e.complexity.LineItem.Quantity(childComplexity), true

	case "LineItem.refundableQuantity":
		if e.complexity.LineItem.RefundableQuantity == nil {
			break
		}

		return e.complexity.LineItem.RefundableQuantity(childComplexity), true

	case "LineItem.requiresShipping":
		if e.complexity.LineItem.RequiresShipping == nil {
			break
		}

		return e.complexity.LineItem.RequiresShipping(childComplexity), true

	case "LineItem.restockable":
		if e.complexity.LineItem.Restockable == nil {
			break
		}

		return e.complexity.LineItem.Restockable(childComplexity), true

	case "LineItem.sellingPlan":
		if e.complexity.LineItem.SellingPlan == nil {
			break
		}

		return e.complexity.LineItem.SellingPlan(childComplexity), true

	case "LineItem.sku":
		if e.complexity.LineItem.Sku == nil {
			break
		}

		return e.complexity.LineItem.Sku(childComplexity), true

	case "LineItem.staffMember":
		if e.complexity.LineItem.StaffMember == nil {
			break
		}

		return e.complexity.LineItem.StaffMember(childComplexity), true

	case "LineItem.taxLines":
		if e.complexity.LineItem.TaxLines == nil {
			break
		}

		args, err := ec.field_LineItem_taxLines_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.LineItem.TaxLines(childComplexity, args["first"].(*int)), true

	case "LineItem.taxable":
		if e.complexity.LineItem.Taxable == nil {
			break
		}

		return e.complexity.LineItem.Taxable(childComplexity), true

	case "LineItem.title":
		if e.complexity.LineItem.Title == nil {
			break
		}

		return e.complexity.LineItem.Title(childComplexity), true

	case "LineItem.totalDiscountSet":
		if e.complexity.LineItem.TotalDiscountSet == nil {
			break
		}

		return e.complexity.LineItem.TotalDiscountSet(childComplexity), true

	case "LineItem.unfulfilledDiscountedTotalSet":
		if e.complexity.LineItem.UnfulfilledDiscountedTotalSet == nil {
			break
		}

		return e.complexity.LineItem.UnfulfilledDiscountedTotalSet(childComplexity), true

	case "LineItem.unfulfilledOriginalTotalSet":
		if e.complexity.LineItem.UnfulfilledOriginalTotalSet == nil {
			break
		}

		return e.complexity.LineItem.UnfulfilledOriginalTotalSet(childComplexity), true

	case "LineItem.unfulfilledQuantity":
		if e.complexity.LineItem.UnfulfilledQuantity == nil {
			break
		}

		return e.complexity.LineItem.UnfulfilledQuantity(childComplexity), true

	case "LineItem.variant":
		if e.complexity.LineItem.Variant == nil {
			break
		}

		return e.complexity.LineItem.Variant(childComplexity), true

	case "LineItem.variantTitle":
		if e.complexity.LineItem.VariantTitle == nil {
			break
		}

		return e.complexity.LineItem.VariantTitle(childComplexity), true

	case "LineItem.vendor":
		if e.complexity.LineItem.Vendor == nil {
			break
		}

		return e.complexity.LineItem.Vendor(childComplexity), true

	case "LineItemConnection.edges":
		if e.complexity.LineItemConnection.Edges == nil {
			break
		}

		return e.complexity.LineItemConnection.Edges(childComplexity), true

	case "LineItemConnection.nodes":
		if e.complexity.LineItemConnection.Nodes == nil {
			break
		}

		return e.complexity.LineItemConnection.Nodes(childComplexity), true

	case "LineItemConnection.pageInfo":
		if e.complexity.LineItemConnection.PageInfo == nil {
			break
		}

		return e.complexity.LineItemConnection.PageInfo(childComplexity), true

	case "LineItemEdge.cursor":
		if e.complexity.LineItemEdge.Cursor == nil {
			break
		}

		return e.complexity.LineItemEdge.Cursor(childComplexity), true

	case "LineItemEdge.node":
		if e.complexity.LineItemEdge.Node == nil {
			break
		}

		return e.complexity.LineItemEdge.Node(childComplexity), true

	case "LineItemSellingPlan.name":
		if e.complexity.LineItemSellingPlan.Name == nil {
			break
		}

		return e.complexity.LineItemSellingPlan.Name(childComplexity), true

	case "LineItemSellingPlan.sellingPlanId":
		if e.complexity.LineItemSellingPlan.SellingPlanID == nil {
			break
		}

		return e.complexity.LineItemSellingPlan.SellingPlanID(childComplexity), true

	case "Link.label":
		if e.complexity.Link.Label == nil {
			break
		}

		return e.complexity.Link.Label(childComplexity), true

	case "Link.translations":
		if e.complexity.Link.Translations == nil {
			break
		}

		args, err := ec.field_Link_translations_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Link.Translations(childComplexity, args["locale"].(string), args["marketId"].(*string)), true

	case "Link.url":
		if e.complexity.Link.URL == nil {
			break
		}

		return e.complexity.Link.URL(childComplexity), true

	case "LocalizationExtension.countryCode":
		if e.complexity.LocalizationExtension.CountryCode == nil {
			break
		}

		return e.complexity.LocalizationExtension.CountryCode(childComplexity), true

	case "LocalizationExtension.key":
		if e.complexity.LocalizationExtension.Key == nil {
			break
		}

		return e.complexity.LocalizationExtension.Key(childComplexity), true

	case "LocalizationExtension.purpose":
		if e.complexity.LocalizationExtension.Purpose == nil {
			break
		}

		return e.complexity.LocalizationExtension.Purpose(childComplexity), true

	case "LocalizationExtension.title":
		if e.complexity.LocalizationExtension.Title == nil {
			break
		}

		return e.complexity.LocalizationExtension.Title(childComplexity), true

	case "LocalizationExtension.value":
		if e.complexity.LocalizationExtension.Value == nil {
			break
		}

		return e.complexity.LocalizationExtension.Value(childComplexity), true

	case "LocalizationExtensionConnection.edges":
		if e.complexity.LocalizationExtensionConnection.Edges == nil {
			break
		}

		return e.complexity.LocalizationExtensionConnection.Edges(childComplexity), true

	case "LocalizationExtensionConnection.nodes":
		if e.complexity.LocalizationExtensionConnection.Nodes == nil {
			break
		}

		return e.complexity.LocalizationExtensionConnection.Nodes(childComplexity), true

	case "LocalizationExtensionConnection.pageInfo":
		if e.complexity.LocalizationExtensionConnection.PageInfo == nil {
			break
		}

		return e.complexity.LocalizationExtensionConnection.PageInfo(childComplexity), true

	case "LocalizationExtensionEdge.cursor":
		if e.complexity.LocalizationExtensionEdge.Cursor == nil {
			break
		}

		return e.complexity.LocalizationExtensionEdge.Cursor(childComplexity), true

	case "LocalizationExtensionEdge.node":
		if e.complexity.LocalizationExtensionEdge.Node == nil {
			break
		}

		return e.complexity.LocalizationExtensionEdge.Node(childComplexity), true

	case "Location.activatable":
		if e.complexity.Location.Activatable == nil {
			break
		}

		return e.complexity.Location.Activatable(childComplexity), true

	case "Location.address":
		if e.complexity.Location.Address == nil {
			break
		}

		return e.complexity.Location.Address(childComplexity), true

	case "Location.addressVerified":
		if e.complexity.Location.AddressVerified == nil {
			break
		}

		return e.complexity.Location.AddressVerified(childComplexity), true

	case "Location.deactivatable":
		if e.complexity.Location.Deactivatable == nil {
			break
		}

		return e.complexity.Location.Deactivatable(childComplexity), true

	case "Location.deactivatedAt":
		if e.complexity.Location.DeactivatedAt == nil {
			break
		}

		return e.complexity.Location.DeactivatedAt(childComplexity), true

	case "Location.deletable":
		if e.complexity.Location.Deletable == nil {
			break
		}

		return e.complexity.Location.Deletable(childComplexity), true

	case "Location.fulfillmentService":
		if e.complexity.Location.FulfillmentService == nil {
			break
		}

		return e.complexity.Location.FulfillmentService(childComplexity), true

	case "Location.fulfillsOnlineOrders":
		if e.complexity.Location.FulfillsOnlineOrders == nil {
			break
		}

		return e.complexity.Location.FulfillsOnlineOrders(childComplexity), true

	case "Location.hasActiveInventory":
		if e.complexity.Location.HasActiveInventory == nil {
			break
		}

		return e.complexity.Location.HasActiveInventory(childComplexity), true

	case "Location.hasUnfulfilledOrders":
		if e.complexity.Location.HasUnfulfilledOrders == nil {
			break
		}

		return e.complexity.Location.HasUnfulfilledOrders(childComplexity), true

	case "Location.id":
		if e.complexity.Location.ID == nil {
			break
		}

		return e.complexity.Location.ID(childComplexity), true

	case "Location.inventoryLevel":
		if e.complexity.Location.InventoryLevel == nil {
			break
		}

		args, err := ec.field_Location_inventoryLevel_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Location.InventoryLevel(childComplexity, args["inventoryItemId"].(string)), true

	case "Location.inventoryLevels":
		if e.complexity.Location.InventoryLevels == nil {
			break
		}

		args, err := ec.field_Location_inventoryLevels_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Location.InventoryLevels(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["query"].(*string)), true

	case "Location.isActive":
		if e.complexity.Location.IsActive == nil {
			break
		}

		return e.complexity.Location.IsActive(childComplexity), true

	case "Location.legacyResourceId":
		if e.complexity.Location.LegacyResourceID == nil {
			break
		}

		return e.complexity.Location.LegacyResourceID(childComplexity), true

	case "Location.metafield":
		if e.complexity.Location.Metafield == nil {
			break
		}

		args, err := ec.field_Location_metafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Location.Metafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "Location.metafieldDefinitions":
		if e.complexity.Location.MetafieldDefinitions == nil {
			break
		}

		args, err := ec.field_Location_metafieldDefinitions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Location.MetafieldDefinitions(childComplexity, args["namespace"].(*string), args["pinnedStatus"].(*MetafieldDefinitionPinnedStatus), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*MetafieldDefinitionSortKeys), args["query"].(*string)), true

	case "Location.metafields":
		if e.complexity.Location.Metafields == nil {
			break
		}

		args, err := ec.field_Location_metafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Location.Metafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Location.name":
		if e.complexity.Location.Name == nil {
			break
		}

		return e.complexity.Location.Name(childComplexity), true

	case "Location.privateMetafield":
		if e.complexity.Location.PrivateMetafield == nil {
			break
		}

		args, err := ec.field_Location_privateMetafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Location.PrivateMetafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "Location.privateMetafields":
		if e.complexity.Location.PrivateMetafields == nil {
			break
		}

		args, err := ec.field_Location_privateMetafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Location.PrivateMetafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Location.shipsInventory":
		if e.complexity.Location.ShipsInventory == nil {
			break
		}

		return e.complexity.Location.ShipsInventory(childComplexity), true

	case "Location.suggestedAddresses":
		if e.complexity.Location.SuggestedAddresses == nil {
			break
		}

		return e.complexity.Location.SuggestedAddresses(childComplexity), true

	case "LocationAddress.address1":
		if e.complexity.LocationAddress.Address1 == nil {
			break
		}

		return e.complexity.LocationAddress.Address1(childComplexity), true

	case "LocationAddress.address2":
		if e.complexity.LocationAddress.Address2 == nil {
			break
		}

		return e.complexity.LocationAddress.Address2(childComplexity), true

	case "LocationAddress.city":
		if e.complexity.LocationAddress.City == nil {
			break
		}

		return e.complexity.LocationAddress.City(childComplexity), true

	case "LocationAddress.country":
		if e.complexity.LocationAddress.Country == nil {
			break
		}

		return e.complexity.LocationAddress.Country(childComplexity), true

	case "LocationAddress.countryCode":
		if e.complexity.LocationAddress.CountryCode == nil {
			break
		}

		return e.complexity.LocationAddress.CountryCode(childComplexity), true

	case "LocationAddress.formatted":
		if e.complexity.LocationAddress.Formatted == nil {
			break
		}

		return e.complexity.LocationAddress.Formatted(childComplexity), true

	case "LocationAddress.latitude":
		if e.complexity.LocationAddress.Latitude == nil {
			break
		}

		return e.complexity.LocationAddress.Latitude(childComplexity), true

	case "LocationAddress.longitude":
		if e.complexity.LocationAddress.Longitude == nil {
			break
		}

		return e.complexity.LocationAddress.Longitude(childComplexity), true

	case "LocationAddress.phone":
		if e.complexity.LocationAddress.Phone == nil {
			break
		}

		return e.complexity.LocationAddress.Phone(childComplexity), true

	case "LocationAddress.province":
		if e.complexity.LocationAddress.Province == nil {
			break
		}

		return e.complexity.LocationAddress.Province(childComplexity), true

	case "LocationAddress.provinceCode":
		if e.complexity.LocationAddress.ProvinceCode == nil {
			break
		}

		return e.complexity.LocationAddress.ProvinceCode(childComplexity), true

	case "LocationAddress.zip":
		if e.complexity.LocationAddress.Zip == nil {
			break
		}

		return e.complexity.LocationAddress.Zip(childComplexity), true

	case "LocationConnection.edges":
		if e.complexity.LocationConnection.Edges == nil {
			break
		}

		return e.complexity.LocationConnection.Edges(childComplexity), true

	case "LocationConnection.nodes":
		if e.complexity.LocationConnection.Nodes == nil {
			break
		}

		return e.complexity.LocationConnection.Nodes(childComplexity), true

	case "LocationConnection.pageInfo":
		if e.complexity.LocationConnection.PageInfo == nil {
			break
		}

		return e.complexity.LocationConnection.PageInfo(childComplexity), true

	case "LocationEdge.cursor":
		if e.complexity.LocationEdge.Cursor == nil {
			break
		}

		return e.complexity.LocationEdge.Cursor(childComplexity), true

	case "LocationEdge.node":
		if e.complexity.LocationEdge.Node == nil {
			break
		}

		return e.complexity.LocationEdge.Node(childComplexity), true

	case "LocationSuggestedAddress.address1":
		if e.complexity.LocationSuggestedAddress.Address1 == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.Address1(childComplexity), true

	case "LocationSuggestedAddress.address2":
		if e.complexity.LocationSuggestedAddress.Address2 == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.Address2(childComplexity), true

	case "LocationSuggestedAddress.city":
		if e.complexity.LocationSuggestedAddress.City == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.City(childComplexity), true

	case "LocationSuggestedAddress.country":
		if e.complexity.LocationSuggestedAddress.Country == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.Country(childComplexity), true

	case "LocationSuggestedAddress.countryCode":
		if e.complexity.LocationSuggestedAddress.CountryCode == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.CountryCode(childComplexity), true

	case "LocationSuggestedAddress.formatted":
		if e.complexity.LocationSuggestedAddress.Formatted == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.Formatted(childComplexity), true

	case "LocationSuggestedAddress.province":
		if e.complexity.LocationSuggestedAddress.Province == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.Province(childComplexity), true

	case "LocationSuggestedAddress.provinceCode":
		if e.complexity.LocationSuggestedAddress.ProvinceCode == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.ProvinceCode(childComplexity), true

	case "LocationSuggestedAddress.zip":
		if e.complexity.LocationSuggestedAddress.Zip == nil {
			break
		}

		return e.complexity.LocationSuggestedAddress.Zip(childComplexity), true

	case "MailingAddress.address1":
		if e.complexity.MailingAddress.Address1 == nil {
			break
		}

		return e.complexity.MailingAddress.Address1(childComplexity), true

	case "MailingAddress.address2":
		if e.complexity.MailingAddress.Address2 == nil {
			break
		}

		return e.complexity.MailingAddress.Address2(childComplexity), true

	case "MailingAddress.city":
		if e.complexity.MailingAddress.City == nil {
			break
		}

		return e.complexity.MailingAddress.City(childComplexity), true

	case "MailingAddress.company":
		if e.complexity.MailingAddress.Company == nil {
			break
		}

		return e.complexity.MailingAddress.Company(childComplexity), true

	case "MailingAddress.coordinatesValidated":
		if e.complexity.MailingAddress.CoordinatesValidated == nil {
			break
		}

		return e.complexity.MailingAddress.CoordinatesValidated(childComplexity), true

	case "MailingAddress.country":
		if e.complexity.MailingAddress.Country == nil {
			break
		}

		return e.complexity.MailingAddress.Country(childComplexity), true

	case "MailingAddress.countryCodeV2":
		if e.complexity.MailingAddress.CountryCodeV2 == nil {
			break
		}

		return e.complexity.MailingAddress.CountryCodeV2(childComplexity), true

	case "MailingAddress.firstName":
		if e.complexity.MailingAddress.FirstName == nil {
			break
		}

		return e.complexity.MailingAddress.FirstName(childComplexity), true

	case "MailingAddress.formattedArea":
		if e.complexity.MailingAddress.FormattedArea == nil {
			break
		}

		return e.complexity.MailingAddress.FormattedArea(childComplexity), true

	case "MailingAddress.id":
		if e.complexity.MailingAddress.ID == nil {
			break
		}

		return e.complexity.MailingAddress.ID(childComplexity), true

	case "MailingAddress.lastName":
		if e.complexity.MailingAddress.LastName == nil {
			break
		}

		return e.complexity.MailingAddress.LastName(childComplexity), true

	case "MailingAddress.latitude":
		if e.complexity.MailingAddress.Latitude == nil {
			break
		}

		return e.complexity.MailingAddress.Latitude(childComplexity), true

	case "MailingAddress.longitude":
		if e.complexity.MailingAddress.Longitude == nil {
			break
		}

		return e.complexity.MailingAddress.Longitude(childComplexity), true

	case "MailingAddress.name":
		if e.complexity.MailingAddress.Name == nil {
			break
		}

		return e.complexity.MailingAddress.Name(childComplexity), true

	case "MailingAddress.phone":
		if e.complexity.MailingAddress.Phone == nil {
			break
		}

		return e.complexity.MailingAddress.Phone(childComplexity), true

	case "MailingAddress.province":
		if e.complexity.MailingAddress.Province == nil {
			break
		}

		return e.complexity.MailingAddress.Province(childComplexity), true

	case "MailingAddress.provinceCode":
		if e.complexity.MailingAddress.ProvinceCode == nil {
			break
		}

		return e.complexity.MailingAddress.ProvinceCode(childComplexity), true

	case "MailingAddress.zip":
		if e.complexity.MailingAddress.Zip == nil {
			break
		}

		return e.complexity.MailingAddress.Zip(childComplexity), true

	case "ManualDiscountApplication.allocationMethod":
		if e.complexity.ManualDiscountApplication.AllocationMethod == nil {
			break
		}

		return e.complexity.ManualDiscountApplication.AllocationMethod(childComplexity), true

	case "ManualDiscountApplication.description":
		if e.complexity.ManualDiscountApplication.Description == nil {
			break
		}

		return e.complexity.ManualDiscountApplication.Description(childComplexity), true

	case "ManualDiscountApplication.index":
		if e.complexity.ManualDiscountApplication.Index == nil {
			break
		}

		return e.complexity.ManualDiscountApplication.Index(childComplexity), true

	case "ManualDiscountApplication.targetSelection":
		if e.complexity.ManualDiscountApplication.TargetSelection == nil {
			break
		}

		return e.complexity.ManualDiscountApplication.TargetSelection(childComplexity), true

	case "ManualDiscountApplication.targetType":
		if e.complexity.ManualDiscountApplication.TargetType == nil {
			break
		}

		return e.complexity.ManualDiscountApplication.TargetType(childComplexity), true

	case "ManualDiscountApplication.title":
		if e.complexity.ManualDiscountApplication.Title == nil {
			break
		}

		return e.complexity.ManualDiscountApplication.Title(childComplexity), true

	case "ManualDiscountApplication.value":
		if e.complexity.ManualDiscountApplication.Value == nil {
			break
		}

		return e.complexity.ManualDiscountApplication.Value(childComplexity), true

	case "Market.id":
		if e.complexity.Market.ID == nil {
			break
		}

		return e.complexity.Market.ID(childComplexity), true

	case "MarketCurrencySettings.baseCurrency":
		if e.complexity.MarketCurrencySettings.BaseCurrency == nil {
			break
		}

		return e.complexity.MarketCurrencySettings.BaseCurrency(childComplexity), true

	case "MarketCurrencySettings.localCurrencies":
		if e.complexity.MarketCurrencySettings.LocalCurrencies == nil {
			break
		}

		return e.complexity.MarketCurrencySettings.LocalCurrencies(childComplexity), true

	case "MarketRegionConnection.edges":
		if e.complexity.MarketRegionConnection.Edges == nil {
			break
		}

		return e.complexity.MarketRegionConnection.Edges(childComplexity), true

	case "MarketRegionConnection.nodes":
		if e.complexity.MarketRegionConnection.Nodes == nil {
			break
		}

		return e.complexity.MarketRegionConnection.Nodes(childComplexity), true

	case "MarketRegionConnection.pageInfo":
		if e.complexity.MarketRegionConnection.PageInfo == nil {
			break
		}

		return e.complexity.MarketRegionConnection.PageInfo(childComplexity), true

	case "MarketRegionEdge.cursor":
		if e.complexity.MarketRegionEdge.Cursor == nil {
			break
		}

		return e.complexity.MarketRegionEdge.Cursor(childComplexity), true

	case "MarketRegionEdge.node":
		if e.complexity.MarketRegionEdge.Node == nil {
			break
		}

		return e.complexity.MarketRegionEdge.Node(childComplexity), true

	case "MarketWebPresence.id":
		if e.complexity.MarketWebPresence.ID == nil {
			break
		}

		return e.complexity.MarketWebPresence.ID(childComplexity), true

	case "MarketWebPresenceRootUrl.locale":
		if e.complexity.MarketWebPresenceRootUrl.Locale == nil {
			break
		}

		return e.complexity.MarketWebPresenceRootUrl.Locale(childComplexity), true

	case "MarketWebPresenceRootUrl.url":
		if e.complexity.MarketWebPresenceRootUrl.URL == nil {
			break
		}

		return e.complexity.MarketWebPresenceRootUrl.URL(childComplexity), true

	case "MarketingEvent.app":
		if e.complexity.MarketingEvent.App == nil {
			break
		}

		return e.complexity.MarketingEvent.App(childComplexity), true

	case "MarketingEvent.channel":
		if e.complexity.MarketingEvent.Channel == nil {
			break
		}

		return e.complexity.MarketingEvent.Channel(childComplexity), true

	case "MarketingEvent.description":
		if e.complexity.MarketingEvent.Description == nil {
			break
		}

		return e.complexity.MarketingEvent.Description(childComplexity), true

	case "MarketingEvent.endedAt":
		if e.complexity.MarketingEvent.EndedAt == nil {
			break
		}

		return e.complexity.MarketingEvent.EndedAt(childComplexity), true

	case "MarketingEvent.id":
		if e.complexity.MarketingEvent.ID == nil {
			break
		}

		return e.complexity.MarketingEvent.ID(childComplexity), true

	case "MarketingEvent.legacyResourceId":
		if e.complexity.MarketingEvent.LegacyResourceID == nil {
			break
		}

		return e.complexity.MarketingEvent.LegacyResourceID(childComplexity), true

	case "MarketingEvent.manageUrl":
		if e.complexity.MarketingEvent.ManageURL == nil {
			break
		}

		return e.complexity.MarketingEvent.ManageURL(childComplexity), true

	case "MarketingEvent.previewUrl":
		if e.complexity.MarketingEvent.PreviewURL == nil {
			break
		}

		return e.complexity.MarketingEvent.PreviewURL(childComplexity), true

	case "MarketingEvent.remoteId":
		if e.complexity.MarketingEvent.RemoteID == nil {
			break
		}

		return e.complexity.MarketingEvent.RemoteID(childComplexity), true

	case "MarketingEvent.scheduledToEndAt":
		if e.complexity.MarketingEvent.ScheduledToEndAt == nil {
			break
		}

		return e.complexity.MarketingEvent.ScheduledToEndAt(childComplexity), true

	case "MarketingEvent.sourceAndMedium":
		if e.complexity.MarketingEvent.SourceAndMedium == nil {
			break
		}

		return e.complexity.MarketingEvent.SourceAndMedium(childComplexity), true

	case "MarketingEvent.startedAt":
		if e.complexity.MarketingEvent.StartedAt == nil {
			break
		}

		return e.complexity.MarketingEvent.StartedAt(childComplexity), true

	case "MarketingEvent.type":
		if e.complexity.MarketingEvent.Type == nil {
			break
		}

		return e.complexity.MarketingEvent.Type(childComplexity), true

	case "MarketingEvent.utmCampaign":
		if e.complexity.MarketingEvent.UtmCampaign == nil {
			break
		}

		return e.complexity.MarketingEvent.UtmCampaign(childComplexity), true

	case "MarketingEvent.utmMedium":
		if e.complexity.MarketingEvent.UtmMedium == nil {
			break
		}

		return e.complexity.MarketingEvent.UtmMedium(childComplexity), true

	case "MarketingEvent.utmSource":
		if e.complexity.MarketingEvent.UtmSource == nil {
			break
		}

		return e.complexity.MarketingEvent.UtmSource(childComplexity), true

	case "MediaConnection.edges":
		if e.complexity.MediaConnection.Edges == nil {
			break
		}

		return e.complexity.MediaConnection.Edges(childComplexity), true

	case "MediaConnection.nodes":
		if e.complexity.MediaConnection.Nodes == nil {
			break
		}

		return e.complexity.MediaConnection.Nodes(childComplexity), true

	case "MediaConnection.pageInfo":
		if e.complexity.MediaConnection.PageInfo == nil {
			break
		}

		return e.complexity.MediaConnection.PageInfo(childComplexity), true

	case "MediaEdge.cursor":
		if e.complexity.MediaEdge.Cursor == nil {
			break
		}

		return e.complexity.MediaEdge.Cursor(childComplexity), true

	case "MediaEdge.node":
		if e.complexity.MediaEdge.Node == nil {
			break
		}

		return e.complexity.MediaEdge.Node(childComplexity), true

	case "MediaError.code":
		if e.complexity.MediaError.Code == nil {
			break
		}

		return e.complexity.MediaError.Code(childComplexity), true

	case "MediaError.details":
		if e.complexity.MediaError.Details == nil {
			break
		}

		return e.complexity.MediaError.Details(childComplexity), true

	case "MediaError.message":
		if e.complexity.MediaError.Message == nil {
			break
		}

		return e.complexity.MediaError.Message(childComplexity), true

	case "MediaImage.alt":
		if e.complexity.MediaImage.Alt == nil {
			break
		}

		return e.complexity.MediaImage.Alt(childComplexity), true

	case "MediaImage.createdAt":
		if e.complexity.MediaImage.CreatedAt == nil {
			break
		}

		return e.complexity.MediaImage.CreatedAt(childComplexity), true

	case "MediaImage.fileErrors":
		if e.complexity.MediaImage.FileErrors == nil {
			break
		}

		return e.complexity.MediaImage.FileErrors(childComplexity), true

	case "MediaImage.fileStatus":
		if e.complexity.MediaImage.FileStatus == nil {
			break
		}

		return e.complexity.MediaImage.FileStatus(childComplexity), true

	case "MediaImage.id":
		if e.complexity.MediaImage.ID == nil {
			break
		}

		return e.complexity.MediaImage.ID(childComplexity), true

	case "MediaImage.image":
		if e.complexity.MediaImage.Image == nil {
			break
		}

		return e.complexity.MediaImage.Image(childComplexity), true

	case "MediaImage.mediaContentType":
		if e.complexity.MediaImage.MediaContentType == nil {
			break
		}

		return e.complexity.MediaImage.MediaContentType(childComplexity), true

	case "MediaImage.mediaErrors":
		if e.complexity.MediaImage.MediaErrors == nil {
			break
		}

		return e.complexity.MediaImage.MediaErrors(childComplexity), true

	case "MediaImage.mediaWarnings":
		if e.complexity.MediaImage.MediaWarnings == nil {
			break
		}

		return e.complexity.MediaImage.MediaWarnings(childComplexity), true

	case "MediaImage.mimeType":
		if e.complexity.MediaImage.MimeType == nil {
			break
		}

		return e.complexity.MediaImage.MimeType(childComplexity), true

	case "MediaImage.originalSource":
		if e.complexity.MediaImage.OriginalSource == nil {
			break
		}

		return e.complexity.MediaImage.OriginalSource(childComplexity), true

	case "MediaImage.preview":
		if e.complexity.MediaImage.Preview == nil {
			break
		}

		return e.complexity.MediaImage.Preview(childComplexity), true

	case "MediaImage.status":
		if e.complexity.MediaImage.Status == nil {
			break
		}

		return e.complexity.MediaImage.Status(childComplexity), true

	case "MediaImageOriginalSource.fileSize":
		if e.complexity.MediaImageOriginalSource.FileSize == nil {
			break
		}

		return e.complexity.MediaImageOriginalSource.FileSize(childComplexity), true

	case "MediaPreviewImage.image":
		if e.complexity.MediaPreviewImage.Image == nil {
			break
		}

		return e.complexity.MediaPreviewImage.Image(childComplexity), true

	case "MediaPreviewImage.status":
		if e.complexity.MediaPreviewImage.Status == nil {
			break
		}

		return e.complexity.MediaPreviewImage.Status(childComplexity), true

	case "MediaUserError.code":
		if e.complexity.MediaUserError.Code == nil {
			break
		}

		return e.complexity.MediaUserError.Code(childComplexity), true

	case "MediaUserError.field":
		if e.complexity.MediaUserError.Field == nil {
			break
		}

		return e.complexity.MediaUserError.Field(childComplexity), true

	case "MediaUserError.message":
		if e.complexity.MediaUserError.Message == nil {
			break
		}

		return e.complexity.MediaUserError.Message(childComplexity), true

	case "MediaWarning.code":
		if e.complexity.MediaWarning.Code == nil {
			break
		}

		return e.complexity.MediaWarning.Code(childComplexity), true

	case "MediaWarning.message":
		if e.complexity.MediaWarning.Message == nil {
			break
		}

		return e.complexity.MediaWarning.Message(childComplexity), true

	case "MerchantApprovalSignals.identityVerified":
		if e.complexity.MerchantApprovalSignals.IdentityVerified == nil {
			break
		}

		return e.complexity.MerchantApprovalSignals.IdentityVerified(childComplexity), true

	case "MerchantApprovalSignals.verifiedByShopify":
		if e.complexity.MerchantApprovalSignals.VerifiedByShopify == nil {
			break
		}

		return e.complexity.MerchantApprovalSignals.VerifiedByShopify(childComplexity), true

	case "Metafield.createdAt":
		if e.complexity.Metafield.CreatedAt == nil {
			break
		}

		return e.complexity.Metafield.CreatedAt(childComplexity), true

	case "Metafield.definition":
		if e.complexity.Metafield.Definition == nil {
			break
		}

		return e.complexity.Metafield.Definition(childComplexity), true

	case "Metafield.description":
		if e.complexity.Metafield.Description == nil {
			break
		}

		return e.complexity.Metafield.Description(childComplexity), true

	case "Metafield.id":
		if e.complexity.Metafield.ID == nil {
			break
		}

		return e.complexity.Metafield.ID(childComplexity), true

	case "Metafield.key":
		if e.complexity.Metafield.Key == nil {
			break
		}

		return e.complexity.Metafield.Key(childComplexity), true

	case "Metafield.legacyResourceId":
		if e.complexity.Metafield.LegacyResourceID == nil {
			break
		}

		return e.complexity.Metafield.LegacyResourceID(childComplexity), true

	case "Metafield.namespace":
		if e.complexity.Metafield.Namespace == nil {
			break
		}

		return e.complexity.Metafield.Namespace(childComplexity), true

	case "Metafield.owner":
		if e.complexity.Metafield.Owner == nil {
			break
		}

		return e.complexity.Metafield.Owner(childComplexity), true

	case "Metafield.ownerType":
		if e.complexity.Metafield.OwnerType == nil {
			break
		}

		return e.complexity.Metafield.OwnerType(childComplexity), true

	case "Metafield.reference":
		if e.complexity.Metafield.Reference == nil {
			break
		}

		return e.complexity.Metafield.Reference(childComplexity), true

	case "Metafield.references":
		if e.complexity.Metafield.References == nil {
			break
		}

		args, err := ec.field_Metafield_references_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Metafield.References(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string)), true

	case "Metafield.type":
		if e.complexity.Metafield.Type == nil {
			break
		}

		return e.complexity.Metafield.Type(childComplexity), true

	case "Metafield.updatedAt":
		if e.complexity.Metafield.UpdatedAt == nil {
			break
		}

		return e.complexity.Metafield.UpdatedAt(childComplexity), true

	case "Metafield.value":
		if e.complexity.Metafield.Value == nil {
			break
		}

		return e.complexity.Metafield.Value(childComplexity), true

	case "MetafieldConnection.edges":
		if e.complexity.MetafieldConnection.Edges == nil {
			break
		}

		return e.complexity.MetafieldConnection.Edges(childComplexity), true

	case "MetafieldConnection.nodes":
		if e.complexity.MetafieldConnection.Nodes == nil {
			break
		}

		return e.complexity.MetafieldConnection.Nodes(childComplexity), true

	case "MetafieldConnection.pageInfo":
		if e.complexity.MetafieldConnection.PageInfo == nil {
			break
		}

		return e.complexity.MetafieldConnection.PageInfo(childComplexity), true

	case "MetafieldDefinition.description":
		if e.complexity.MetafieldDefinition.Description == nil {
			break
		}

		return e.complexity.MetafieldDefinition.Description(childComplexity), true

	case "MetafieldDefinition.id":
		if e.complexity.MetafieldDefinition.ID == nil {
			break
		}

		return e.complexity.MetafieldDefinition.ID(childComplexity), true

	case "MetafieldDefinition.key":
		if e.complexity.MetafieldDefinition.Key == nil {
			break
		}

		return e.complexity.MetafieldDefinition.Key(childComplexity), true

	case "MetafieldDefinition.metafields":
		if e.complexity.MetafieldDefinition.Metafields == nil {
			break
		}

		args, err := ec.field_MetafieldDefinition_metafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.MetafieldDefinition.Metafields(childComplexity, args["validationStatus"].(*MetafieldValidationStatus), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "MetafieldDefinition.metafieldsCount":
		if e.complexity.MetafieldDefinition.MetafieldsCount == nil {
			break
		}

		args, err := ec.field_MetafieldDefinition_metafieldsCount_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.MetafieldDefinition.MetafieldsCount(childComplexity, args["validationStatus"].(*MetafieldValidationStatus)), true

	case "MetafieldDefinition.name":
		if e.complexity.MetafieldDefinition.Name == nil {
			break
		}

		return e.complexity.MetafieldDefinition.Name(childComplexity), true

	case "MetafieldDefinition.namespace":
		if e.complexity.MetafieldDefinition.Namespace == nil {
			break
		}

		return e.complexity.MetafieldDefinition.Namespace(childComplexity), true

	case "MetafieldDefinition.ownerType":
		if e.complexity.MetafieldDefinition.OwnerType == nil {
			break
		}

		return e.complexity.MetafieldDefinition.OwnerType(childComplexity), true

	case "MetafieldDefinition.pinnedPosition":
		if e.complexity.MetafieldDefinition.PinnedPosition == nil {
			break
		}

		return e.complexity.MetafieldDefinition.PinnedPosition(childComplexity), true

	case "MetafieldDefinition.standardTemplate":
		if e.complexity.MetafieldDefinition.StandardTemplate == nil {
			break
		}

		return e.complexity.MetafieldDefinition.StandardTemplate(childComplexity), true

	case "MetafieldDefinition.type":
		if e.complexity.MetafieldDefinition.Type == nil {
			break
		}

		return e.complexity.MetafieldDefinition.Type(childComplexity), true

	case "MetafieldDefinition.validationStatus":
		if e.complexity.MetafieldDefinition.ValidationStatus == nil {
			break
		}

		return e.complexity.MetafieldDefinition.ValidationStatus(childComplexity), true

	case "MetafieldDefinition.validations":
		if e.complexity.MetafieldDefinition.Validations == nil {
			break
		}

		return e.complexity.MetafieldDefinition.Validations(childComplexity), true

	case "MetafieldDefinition.visibleToStorefrontApi":
		if e.complexity.MetafieldDefinition.VisibleToStorefrontAPI == nil {
			break
		}

		return e.complexity.MetafieldDefinition.VisibleToStorefrontAPI(childComplexity), true

	case "MetafieldDefinitionConnection.edges":
		if e.complexity.MetafieldDefinitionConnection.Edges == nil {
			break
		}

		return e.complexity.MetafieldDefinitionConnection.Edges(childComplexity), true

	case "MetafieldDefinitionConnection.nodes":
		if e.complexity.MetafieldDefinitionConnection.Nodes == nil {
			break
		}

		return e.complexity.MetafieldDefinitionConnection.Nodes(childComplexity), true

	case "MetafieldDefinitionConnection.pageInfo":
		if e.complexity.MetafieldDefinitionConnection.PageInfo == nil {
			break
		}

		return e.complexity.MetafieldDefinitionConnection.PageInfo(childComplexity), true

	case "MetafieldDefinitionEdge.cursor":
		if e.complexity.MetafieldDefinitionEdge.Cursor == nil {
			break
		}

		return e.complexity.MetafieldDefinitionEdge.Cursor(childComplexity), true

	case "MetafieldDefinitionEdge.node":
		if e.complexity.MetafieldDefinitionEdge.Node == nil {
			break
		}

		return e.complexity.MetafieldDefinitionEdge.Node(childComplexity), true

	case "MetafieldDefinitionSupportedValidation.name":
		if e.complexity.MetafieldDefinitionSupportedValidation.Name == nil {
			break
		}

		return e.complexity.MetafieldDefinitionSupportedValidation.Name(childComplexity), true

	case "MetafieldDefinitionSupportedValidation.type":
		if e.complexity.MetafieldDefinitionSupportedValidation.Type == nil {
			break
		}

		return e.complexity.MetafieldDefinitionSupportedValidation.Type(childComplexity), true

	case "MetafieldDefinitionType.category":
		if e.complexity.MetafieldDefinitionType.Category == nil {
			break
		}

		return e.complexity.MetafieldDefinitionType.Category(childComplexity), true

	case "MetafieldDefinitionType.name":
		if e.complexity.MetafieldDefinitionType.Name == nil {
			break
		}

		return e.complexity.MetafieldDefinitionType.Name(childComplexity), true

	case "MetafieldDefinitionType.supportedValidations":
		if e.complexity.MetafieldDefinitionType.SupportedValidations == nil {
			break
		}

		return e.complexity.MetafieldDefinitionType.SupportedValidations(childComplexity), true

	case "MetafieldDefinitionType.supportsDefinitionMigrations":
		if e.complexity.MetafieldDefinitionType.SupportsDefinitionMigrations == nil {
			break
		}

		return e.complexity.MetafieldDefinitionType.SupportsDefinitionMigrations(childComplexity), true

	case "MetafieldDefinitionValidation.name":
		if e.complexity.MetafieldDefinitionValidation.Name == nil {
			break
		}

		return e.complexity.MetafieldDefinitionValidation.Name(childComplexity), true

	case "MetafieldDefinitionValidation.type":
		if e.complexity.MetafieldDefinitionValidation.Type == nil {
			break
		}

		return e.complexity.MetafieldDefinitionValidation.Type(childComplexity), true

	case "MetafieldDefinitionValidation.value":
		if e.complexity.MetafieldDefinitionValidation.Value == nil {
			break
		}

		return e.complexity.MetafieldDefinitionValidation.Value(childComplexity), true

	case "MetafieldEdge.cursor":
		if e.complexity.MetafieldEdge.Cursor == nil {
			break
		}

		return e.complexity.MetafieldEdge.Cursor(childComplexity), true

	case "MetafieldEdge.node":
		if e.complexity.MetafieldEdge.Node == nil {
			break
		}

		return e.complexity.MetafieldEdge.Node(childComplexity), true

	case "MetafieldReferenceConnection.edges":
		if e.complexity.MetafieldReferenceConnection.Edges == nil {
			break
		}

		return e.complexity.MetafieldReferenceConnection.Edges(childComplexity), true

	case "MetafieldReferenceConnection.nodes":
		if e.complexity.MetafieldReferenceConnection.Nodes == nil {
			break
		}

		return e.complexity.MetafieldReferenceConnection.Nodes(childComplexity), true

	case "MetafieldReferenceConnection.pageInfo":
		if e.complexity.MetafieldReferenceConnection.PageInfo == nil {
			break
		}

		return e.complexity.MetafieldReferenceConnection.PageInfo(childComplexity), true

	case "MetafieldReferenceEdge.cursor":
		if e.complexity.MetafieldReferenceEdge.Cursor == nil {
			break
		}

		return e.complexity.MetafieldReferenceEdge.Cursor(childComplexity), true

	case "MetafieldReferenceEdge.node":
		if e.complexity.MetafieldReferenceEdge.Node == nil {
			break
		}

		return e.complexity.MetafieldReferenceEdge.Node(childComplexity), true

	case "MoneyBag.presentmentMoney":
		if e.complexity.MoneyBag.PresentmentMoney == nil {
			break
		}

		return e.complexity.MoneyBag.PresentmentMoney(childComplexity), true

	case "MoneyBag.shopMoney":
		if e.complexity.MoneyBag.ShopMoney == nil {
			break
		}

		return e.complexity.MoneyBag.ShopMoney(childComplexity), true

	case "MoneyV2.amount":
		if e.complexity.MoneyV2.Amount == nil {
			break
		}

		return e.complexity.MoneyV2.Amount(childComplexity), true

	case "MoneyV2.currencyCode":
		if e.complexity.MoneyV2.CurrencyCode == nil {
			break
		}

		return e.complexity.MoneyV2.CurrencyCode(childComplexity), true

	case "NavigationItem.id":
		if e.complexity.NavigationItem.ID == nil {
			break
		}

		return e.complexity.NavigationItem.ID(childComplexity), true

	case "NavigationItem.title":
		if e.complexity.NavigationItem.Title == nil {
			break
		}

		return e.complexity.NavigationItem.Title(childComplexity), true

	case "NavigationItem.url":
		if e.complexity.NavigationItem.URL == nil {
			break
		}

		return e.complexity.NavigationItem.URL(childComplexity), true

	case "OnlineStorePage.defaultCursor":
		if e.complexity.OnlineStorePage.DefaultCursor == nil {
			break
		}

		return e.complexity.OnlineStorePage.DefaultCursor(childComplexity), true

	case "OnlineStorePage.id":
		if e.complexity.OnlineStorePage.ID == nil {
			break
		}

		return e.complexity.OnlineStorePage.ID(childComplexity), true

	case "OnlineStorePage.translations":
		if e.complexity.OnlineStorePage.Translations == nil {
			break
		}

		args, err := ec.field_OnlineStorePage_translations_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.OnlineStorePage.Translations(childComplexity, args["locale"].(string), args["marketId"].(*string)), true

	case "Order.agreements":
		if e.complexity.Order.Agreements == nil {
			break
		}

		args, err := ec.field_Order_agreements_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Agreements(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["query"].(*string)), true

	case "Order.alerts":
		if e.complexity.Order.Alerts == nil {
			break
		}

		return e.complexity.Order.Alerts(childComplexity), true

	case "Order.app":
		if e.complexity.Order.App == nil {
			break
		}

		return e.complexity.Order.App(childComplexity), true

	case "Order.billingAddress":
		if e.complexity.Order.BillingAddress == nil {
			break
		}

		return e.complexity.Order.BillingAddress(childComplexity), true

	case "Order.billingAddressMatchesShippingAddress":
		if e.complexity.Order.BillingAddressMatchesShippingAddress == nil {
			break
		}

		return e.complexity.Order.BillingAddressMatchesShippingAddress(childComplexity), true

	case "Order.canMarkAsPaid":
		if e.complexity.Order.CanMarkAsPaid == nil {
			break
		}

		return e.complexity.Order.CanMarkAsPaid(childComplexity), true

	case "Order.canNotifyCustomer":
		if e.complexity.Order.CanNotifyCustomer == nil {
			break
		}

		return e.complexity.Order.CanNotifyCustomer(childComplexity), true

	case "Order.cancelReason":
		if e.complexity.Order.CancelReason == nil {
			break
		}

		return e.complexity.Order.CancelReason(childComplexity), true

	case "Order.cancelledAt":
		if e.complexity.Order.CancelledAt == nil {
			break
		}

		return e.complexity.Order.CancelledAt(childComplexity), true

	case "Order.capturable":
		if e.complexity.Order.Capturable == nil {
			break
		}

		return e.complexity.Order.Capturable(childComplexity), true

	case "Order.cartDiscountAmountSet":
		if e.complexity.Order.CartDiscountAmountSet == nil {
			break
		}

		return e.complexity.Order.CartDiscountAmountSet(childComplexity), true

	case "Order.channelInformation":
		if e.complexity.Order.ChannelInformation == nil {
			break
		}

		return e.complexity.Order.ChannelInformation(childComplexity), true

	case "Order.clientIp":
		if e.complexity.Order.ClientIP == nil {
			break
		}

		return e.complexity.Order.ClientIP(childComplexity), true

	case "Order.closed":
		if e.complexity.Order.Closed == nil {
			break
		}

		return e.complexity.Order.Closed(childComplexity), true

	case "Order.closedAt":
		if e.complexity.Order.ClosedAt == nil {
			break
		}

		return e.complexity.Order.ClosedAt(childComplexity), true

	case "Order.confirmed":
		if e.complexity.Order.Confirmed == nil {
			break
		}

		return e.complexity.Order.Confirmed(childComplexity), true

	case "Order.createdAt":
		if e.complexity.Order.CreatedAt == nil {
			break
		}

		return e.complexity.Order.CreatedAt(childComplexity), true

	case "Order.currencyCode":
		if e.complexity.Order.CurrencyCode == nil {
			break
		}

		return e.complexity.Order.CurrencyCode(childComplexity), true

	case "Order.currentCartDiscountAmountSet":
		if e.complexity.Order.CurrentCartDiscountAmountSet == nil {
			break
		}

		return e.complexity.Order.CurrentCartDiscountAmountSet(childComplexity), true

	case "Order.currentSubtotalLineItemsQuantity":
		if e.complexity.Order.CurrentSubtotalLineItemsQuantity == nil {
			break
		}

		return e.complexity.Order.CurrentSubtotalLineItemsQuantity(childComplexity), true

	case "Order.currentSubtotalPriceSet":
		if e.complexity.Order.CurrentSubtotalPriceSet == nil {
			break
		}

		return e.complexity.Order.CurrentSubtotalPriceSet(childComplexity), true

	case "Order.currentTaxLines":
		if e.complexity.Order.CurrentTaxLines == nil {
			break
		}

		return e.complexity.Order.CurrentTaxLines(childComplexity), true

	case "Order.currentTotalDiscountsSet":
		if e.complexity.Order.CurrentTotalDiscountsSet == nil {
			break
		}

		return e.complexity.Order.CurrentTotalDiscountsSet(childComplexity), true

	case "Order.currentTotalDutiesSet":
		if e.complexity.Order.CurrentTotalDutiesSet == nil {
			break
		}

		return e.complexity.Order.CurrentTotalDutiesSet(childComplexity), true

	case "Order.currentTotalPriceSet":
		if e.complexity.Order.CurrentTotalPriceSet == nil {
			break
		}

		return e.complexity.Order.CurrentTotalPriceSet(childComplexity), true

	case "Order.currentTotalTaxSet":
		if e.complexity.Order.CurrentTotalTaxSet == nil {
			break
		}

		return e.complexity.Order.CurrentTotalTaxSet(childComplexity), true

	case "Order.currentTotalWeight":
		if e.complexity.Order.CurrentTotalWeight == nil {
			break
		}

		return e.complexity.Order.CurrentTotalWeight(childComplexity), true

	case "Order.customAttributes":
		if e.complexity.Order.CustomAttributes == nil {
			break
		}

		return e.complexity.Order.CustomAttributes(childComplexity), true

	case "Order.customer":
		if e.complexity.Order.Customer == nil {
			break
		}

		return e.complexity.Order.Customer(childComplexity), true

	case "Order.customerAcceptsMarketing":
		if e.complexity.Order.CustomerAcceptsMarketing == nil {
			break
		}

		return e.complexity.Order.CustomerAcceptsMarketing(childComplexity), true

	case "Order.customerJourneySummary":
		if e.complexity.Order.CustomerJourneySummary == nil {
			break
		}

		return e.complexity.Order.CustomerJourneySummary(childComplexity), true

	case "Order.customerLocale":
		if e.complexity.Order.CustomerLocale == nil {
			break
		}

		return e.complexity.Order.CustomerLocale(childComplexity), true

	case "Order.discountApplications":
		if e.complexity.Order.DiscountApplications == nil {
			break
		}

		args, err := ec.field_Order_discountApplications_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.DiscountApplications(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Order.discountCode":
		if e.complexity.Order.DiscountCode == nil {
			break
		}

		return e.complexity.Order.DiscountCode(childComplexity), true

	case "Order.discountCodes":
		if e.complexity.Order.DiscountCodes == nil {
			break
		}

		return e.complexity.Order.DiscountCodes(childComplexity), true

	case "Order.displayAddress":
		if e.complexity.Order.DisplayAddress == nil {
			break
		}

		return e.complexity.Order.DisplayAddress(childComplexity), true

	case "Order.displayFinancialStatus":
		if e.complexity.Order.DisplayFinancialStatus == nil {
			break
		}

		return e.complexity.Order.DisplayFinancialStatus(childComplexity), true

	case "Order.displayFulfillmentStatus":
		if e.complexity.Order.DisplayFulfillmentStatus == nil {
			break
		}

		return e.complexity.Order.DisplayFulfillmentStatus(childComplexity), true

	case "Order.disputes":
		if e.complexity.Order.Disputes == nil {
			break
		}

		return e.complexity.Order.Disputes(childComplexity), true

	case "Order.edited":
		if e.complexity.Order.Edited == nil {
			break
		}

		return e.complexity.Order.Edited(childComplexity), true

	case "Order.email":
		if e.complexity.Order.Email == nil {
			break
		}

		return e.complexity.Order.Email(childComplexity), true

	case "Order.estimatedTaxes":
		if e.complexity.Order.EstimatedTaxes == nil {
			break
		}

		return e.complexity.Order.EstimatedTaxes(childComplexity), true

	case "Order.events":
		if e.complexity.Order.Events == nil {
			break
		}

		args, err := ec.field_Order_events_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Events(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*EventSortKeys), args["query"].(*string)), true

	case "Order.fulfillable":
		if e.complexity.Order.Fulfillable == nil {
			break
		}

		return e.complexity.Order.Fulfillable(childComplexity), true

	case "Order.fulfillmentOrders":
		if e.complexity.Order.FulfillmentOrders == nil {
			break
		}

		args, err := ec.field_Order_fulfillmentOrders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.FulfillmentOrders(childComplexity, args["displayable"].(*bool), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["query"].(*string)), true

	case "Order.fulfillments":
		if e.complexity.Order.Fulfillments == nil {
			break
		}

		args, err := ec.field_Order_fulfillments_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Fulfillments(childComplexity, args["first"].(*int)), true

	case "Order.fullyPaid":
		if e.complexity.Order.FullyPaid == nil {
			break
		}

		return e.complexity.Order.FullyPaid(childComplexity), true

	case "Order.hasTimelineComment":
		if e.complexity.Order.HasTimelineComment == nil {
			break
		}

		return e.complexity.Order.HasTimelineComment(childComplexity), true

	case "Order.id":
		if e.complexity.Order.ID == nil {
			break
		}

		return e.complexity.Order.ID(childComplexity), true

	case "Order.legacyResourceId":
		if e.complexity.Order.LegacyResourceID == nil {
			break
		}

		return e.complexity.Order.LegacyResourceID(childComplexity), true

	case "Order.lineItems":
		if e.complexity.Order.LineItems == nil {
			break
		}

		args, err := ec.field_Order_lineItems_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.LineItems(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Order.localizationExtensions":
		if e.complexity.Order.LocalizationExtensions == nil {
			break
		}

		args, err := ec.field_Order_localizationExtensions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.LocalizationExtensions(childComplexity, args["countryCodes"].([]CountryCode), args["purposes"].([]LocalizationExtensionPurpose), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Order.merchantEditable":
		if e.complexity.Order.MerchantEditable == nil {
			break
		}

		return e.complexity.Order.MerchantEditable(childComplexity), true

	case "Order.merchantEditableErrors":
		if e.complexity.Order.MerchantEditableErrors == nil {
			break
		}

		return e.complexity.Order.MerchantEditableErrors(childComplexity), true

	case "Order.merchantOfRecordApp":
		if e.complexity.Order.MerchantOfRecordApp == nil {
			break
		}

		return e.complexity.Order.MerchantOfRecordApp(childComplexity), true

	case "Order.metafield":
		if e.complexity.Order.Metafield == nil {
			break
		}

		args, err := ec.field_Order_metafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Metafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "Order.metafieldDefinitions":
		if e.complexity.Order.MetafieldDefinitions == nil {
			break
		}

		args, err := ec.field_Order_metafieldDefinitions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.MetafieldDefinitions(childComplexity, args["namespace"].(*string), args["pinnedStatus"].(*MetafieldDefinitionPinnedStatus), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool), args["sortKey"].(*MetafieldDefinitionSortKeys), args["query"].(*string)), true

	case "Order.metafields":
		if e.complexity.Order.Metafields == nil {
			break
		}

		args, err := ec.field_Order_metafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Metafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Order.name":
		if e.complexity.Order.Name == nil {
			break
		}

		return e.complexity.Order.Name(childComplexity), true

	case "Order.netPaymentSet":
		if e.complexity.Order.NetPaymentSet == nil {
			break
		}

		return e.complexity.Order.NetPaymentSet(childComplexity), true

	case "Order.nonFulfillableLineItems":
		if e.complexity.Order.NonFulfillableLineItems == nil {
			break
		}

		args, err := ec.field_Order_nonFulfillableLineItems_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.NonFulfillableLineItems(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Order.note":
		if e.complexity.Order.Note == nil {
			break
		}

		return e.complexity.Order.Note(childComplexity), true

	case "Order.originalTotalDutiesSet":
		if e.complexity.Order.OriginalTotalDutiesSet == nil {
			break
		}

		return e.complexity.Order.OriginalTotalDutiesSet(childComplexity), true

	case "Order.originalTotalPriceSet":
		if e.complexity.Order.OriginalTotalPriceSet == nil {
			break
		}

		return e.complexity.Order.OriginalTotalPriceSet(childComplexity), true

	case "Order.paymentCollectionDetails":
		if e.complexity.Order.PaymentCollectionDetails == nil {
			break
		}

		return e.complexity.Order.PaymentCollectionDetails(childComplexity), true

	case "Order.paymentGatewayNames":
		if e.complexity.Order.PaymentGatewayNames == nil {
			break
		}

		return e.complexity.Order.PaymentGatewayNames(childComplexity), true

	case "Order.paymentTerms":
		if e.complexity.Order.PaymentTerms == nil {
			break
		}

		return e.complexity.Order.PaymentTerms(childComplexity), true

	case "Order.phone":
		if e.complexity.Order.Phone == nil {
			break
		}

		return e.complexity.Order.Phone(childComplexity), true

	case "Order.physicalLocation":
		if e.complexity.Order.PhysicalLocation == nil {
			break
		}

		return e.complexity.Order.PhysicalLocation(childComplexity), true

	case "Order.presentmentCurrencyCode":
		if e.complexity.Order.PresentmentCurrencyCode == nil {
			break
		}

		return e.complexity.Order.PresentmentCurrencyCode(childComplexity), true

	case "Order.privateMetafield":
		if e.complexity.Order.PrivateMetafield == nil {
			break
		}

		args, err := ec.field_Order_privateMetafield_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.PrivateMetafield(childComplexity, args["namespace"].(string), args["key"].(string)), true

	case "Order.privateMetafields":
		if e.complexity.Order.PrivateMetafields == nil {
			break
		}

		args, err := ec.field_Order_privateMetafields_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.PrivateMetafields(childComplexity, args["namespace"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Order.processedAt":
		if e.complexity.Order.ProcessedAt == nil {
			break
		}

		return e.complexity.Order.ProcessedAt(childComplexity), true

	case "Order.publication":
		if e.complexity.Order.Publication == nil {
			break
		}

		return e.complexity.Order.Publication(childComplexity), true

	case "Order.purchasingEntity":
		if e.complexity.Order.PurchasingEntity == nil {
			break
		}

		return e.complexity.Order.PurchasingEntity(childComplexity), true

	case "Order.refundDiscrepancySet":
		if e.complexity.Order.RefundDiscrepancySet == nil {
			break
		}

		return e.complexity.Order.RefundDiscrepancySet(childComplexity), true

	case "Order.refundable":
		if e.complexity.Order.Refundable == nil {
			break
		}

		return e.complexity.Order.Refundable(childComplexity), true

	case "Order.refunds":
		if e.complexity.Order.Refunds == nil {
			break
		}

		args, err := ec.field_Order_refunds_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Refunds(childComplexity, args["first"].(*int)), true

	case "Order.registeredSourceUrl":
		if e.complexity.Order.RegisteredSourceURL == nil {
			break
		}

		return e.complexity.Order.RegisteredSourceURL(childComplexity), true

	case "Order.requiresShipping":
		if e.complexity.Order.RequiresShipping == nil {
			break
		}

		return e.complexity.Order.RequiresShipping(childComplexity), true

	case "Order.restockable":
		if e.complexity.Order.Restockable == nil {
			break
		}

		return e.complexity.Order.Restockable(childComplexity), true

	case "Order.riskLevel":
		if e.complexity.Order.RiskLevel == nil {
			break
		}

		return e.complexity.Order.RiskLevel(childComplexity), true

	case "Order.risks":
		if e.complexity.Order.Risks == nil {
			break
		}

		args, err := ec.field_Order_risks_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Risks(childComplexity, args["first"].(*int)), true

	case "Order.shippingAddress":
		if e.complexity.Order.ShippingAddress == nil {
			break
		}

		return e.complexity.Order.ShippingAddress(childComplexity), true

	case "Order.shippingLine":
		if e.complexity.Order.ShippingLine == nil {
			break
		}

		return e.complexity.Order.ShippingLine(childComplexity), true

	case "Order.shippingLines":
		if e.complexity.Order.ShippingLines == nil {
			break
		}

		args, err := ec.field_Order_shippingLines_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.ShippingLines(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Order.sourceIdentifier":
		if e.complexity.Order.SourceIdentifier == nil {
			break
		}

		return e.complexity.Order.SourceIdentifier(childComplexity), true

	case "Order.subtotalLineItemsQuantity":
		if e.complexity.Order.SubtotalLineItemsQuantity == nil {
			break
		}

		return e.complexity.Order.SubtotalLineItemsQuantity(childComplexity), true

	case "Order.subtotalPriceSet":
		if e.complexity.Order.SubtotalPriceSet == nil {
			break
		}

		return e.complexity.Order.SubtotalPriceSet(childComplexity), true

	case "Order.suggestedRefund":
		if e.complexity.Order.SuggestedRefund == nil {
			break
		}

		args, err := ec.field_Order_suggestedRefund_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.SuggestedRefund(childComplexity, args["shippingAmount"].(*string), args["refundShipping"].(*bool), args["refundLineItems"].([]*RefundLineItemInput), args["refundDuties"].([]*RefundDutyInput), args["suggestFullRefund"].(*bool)), true

	case "Order.tags":
		if e.complexity.Order.Tags == nil {
			break
		}

		return e.complexity.Order.Tags(childComplexity), true

	case "Order.taxLines":
		if e.complexity.Order.TaxLines == nil {
			break
		}

		return e.complexity.Order.TaxLines(childComplexity), true

	case "Order.taxesIncluded":
		if e.complexity.Order.TaxesIncluded == nil {
			break
		}

		return e.complexity.Order.TaxesIncluded(childComplexity), true

	case "Order.test":
		if e.complexity.Order.Test == nil {
			break
		}

		return e.complexity.Order.Test(childComplexity), true

	case "Order.totalCapturableSet":
		if e.complexity.Order.TotalCapturableSet == nil {
			break
		}

		return e.complexity.Order.TotalCapturableSet(childComplexity), true

	case "Order.totalDiscountsSet":
		if e.complexity.Order.TotalDiscountsSet == nil {
			break
		}

		return e.complexity.Order.TotalDiscountsSet(childComplexity), true

	case "Order.totalOutstandingSet":
		if e.complexity.Order.TotalOutstandingSet == nil {
			break
		}

		return e.complexity.Order.TotalOutstandingSet(childComplexity), true

	case "Order.totalPriceSet":
		if e.complexity.Order.TotalPriceSet == nil {
			break
		}

		return e.complexity.Order.TotalPriceSet(childComplexity), true

	case "Order.totalReceivedSet":
		if e.complexity.Order.TotalReceivedSet == nil {
			break
		}

		return e.complexity.Order.TotalReceivedSet(childComplexity), true

	case "Order.totalRefundedSet":
		if e.complexity.Order.TotalRefundedSet == nil {
			break
		}

		return e.complexity.Order.TotalRefundedSet(childComplexity), true

	case "Order.totalRefundedShippingSet":
		if e.complexity.Order.TotalRefundedShippingSet == nil {
			break
		}

		return e.complexity.Order.TotalRefundedShippingSet(childComplexity), true

	case "Order.totalShippingPriceSet":
		if e.complexity.Order.TotalShippingPriceSet == nil {
			break
		}

		return e.complexity.Order.TotalShippingPriceSet(childComplexity), true

	case "Order.totalTaxSet":
		if e.complexity.Order.TotalTaxSet == nil {
			break
		}

		return e.complexity.Order.TotalTaxSet(childComplexity), true

	case "Order.totalTipReceivedSet":
		if e.complexity.Order.TotalTipReceivedSet == nil {
			break
		}

		return e.complexity.Order.TotalTipReceivedSet(childComplexity), true

	case "Order.totalWeight":
		if e.complexity.Order.TotalWeight == nil {
			break
		}

		return e.complexity.Order.TotalWeight(childComplexity), true

	case "Order.transactions":
		if e.complexity.Order.Transactions == nil {
			break
		}

		args, err := ec.field_Order_transactions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Order.Transactions(childComplexity, args["first"].(*int), args["capturable"].(*bool), args["manuallyResolvable"].(*bool)), true

	case "Order.unpaid":
		if e.complexity.Order.Unpaid == nil {
			break
		}

		return e.complexity.Order.Unpaid(childComplexity), true

	case "Order.updatedAt":
		if e.complexity.Order.UpdatedAt == nil {
			break
		}

		return e.complexity.Order.UpdatedAt(childComplexity), true

	case "OrderApp.id":
		if e.complexity.OrderApp.ID == nil {
			break
		}

		return e.complexity.OrderApp.ID(childComplexity), true

	case "OrderApp.icon":
		if e.complexity.OrderApp.Icon == nil {
			break
		}

		return e.complexity.OrderApp.Icon(childComplexity), true

	case "OrderApp.name":
		if e.complexity.OrderApp.Name == nil {
			break
		}

		return e.complexity.OrderApp.Name(childComplexity), true

	case "OrderConnection.edges":
		if e.complexity.OrderConnection.Edges == nil {
			break
		}

		return e.complexity.OrderConnection.Edges(childComplexity), true

	case "OrderConnection.nodes":
		if e.complexity.OrderConnection.Nodes == nil {
			break
		}

		return e.complexity.OrderConnection.Nodes(childComplexity), true

	case "OrderConnection.pageInfo":
		if e.complexity.OrderConnection.PageInfo == nil {
			break
		}

		return e.complexity.OrderConnection.PageInfo(childComplexity), true

	case "OrderDisputeSummary.id":
		if e.complexity.OrderDisputeSummary.ID == nil {
			break
		}

		return e.complexity.OrderDisputeSummary.ID(childComplexity), true

	case "OrderDisputeSummary.initiatedAs":
		if e.complexity.OrderDisputeSummary.InitiatedAs == nil {
			break
		}

		return e.complexity.OrderDisputeSummary.InitiatedAs(childComplexity), true

	case "OrderDisputeSummary.status":
		if e.complexity.OrderDisputeSummary.Status == nil {
			break
		}

		return e.complexity.OrderDisputeSummary.Status(childComplexity), true

	case "OrderEdge.cursor":
		if e.complexity.OrderEdge.Cursor == nil {
			break
		}

		return e.complexity.OrderEdge.Cursor(childComplexity), true

	case "OrderEdge.node":
		if e.complexity.OrderEdge.Node == nil {
			break
		}

		return e.complexity.OrderEdge.Node(childComplexity), true

	case "OrderPaymentCollectionDetails.additionalPaymentCollectionUrl":
		if e.complexity.OrderPaymentCollectionDetails.AdditionalPaymentCollectionURL == nil {
			break
		}

		return e.complexity.OrderPaymentCollectionDetails.AdditionalPaymentCollectionURL(childComplexity), true

	case "OrderPaymentCollectionDetails.vaultedPaymentMethods":
		if e.complexity.OrderPaymentCollectionDetails.VaultedPaymentMethods == nil {
			break
		}

		return e.complexity.OrderPaymentCollectionDetails.VaultedPaymentMethods(childComplexity), true

	case "OrderRisk.display":
		if e.complexity.OrderRisk.Display == nil {
			break
		}

		return e.complexity.OrderRisk.Display(childComplexity), true

	case "OrderRisk.level":
		if e.complexity.OrderRisk.Level == nil {
			break
		}

		return e.complexity.OrderRisk.Level(childComplexity), true

	case "OrderRisk.message":
		if e.complexity.OrderRisk.Message == nil {
			break
		}

		return e.complexity.OrderRisk.Message(childComplexity), true

	case "OrderTransaction.accountNumber":
		if e.complexity.OrderTransaction.AccountNumber == nil {
			break
		}

		return e.complexity.OrderTransaction.AccountNumber(childComplexity), true

	case "OrderTransaction.amountSet":
		if e.complexity.OrderTransaction.AmountSet == nil {
			break
		}

		return e.complexity.OrderTransaction.AmountSet(childComplexity), true

	case "OrderTransaction.authorizationCode":
		if e.complexity.OrderTransaction.AuthorizationCode == nil {
			break
		}

		return e.complexity.OrderTransaction.AuthorizationCode(childComplexity), true

	case "OrderTransaction.authorizationExpiresAt":
		if e.complexity.OrderTransaction.AuthorizationExpiresAt == nil {
			break
		}

		return e.complexity.OrderTransaction.AuthorizationExpiresAt(childComplexity), true

	case "OrderTransaction.createdAt":
		if e.complexity.OrderTransaction.CreatedAt == nil {
			break
		}

		return e.complexity.OrderTransaction.CreatedAt(childComplexity), true

	case "OrderTransaction.errorCode":
		if e.complexity.OrderTransaction.ErrorCode == nil {
			break
		}

		return e.complexity.OrderTransaction.ErrorCode(childComplexity), true

	case "OrderTransaction.fees":
		if e.complexity.OrderTransaction.Fees == nil {
			break
		}

		return e.complexity.OrderTransaction.Fees(childComplexity), true

	case "OrderTransaction.formattedGateway":
		if e.complexity.OrderTransaction.FormattedGateway == nil {
			break
		}

		return e.complexity.OrderTransaction.FormattedGateway(childComplexity), true

	case "OrderTransaction.gateway":
		if e.complexity.OrderTransaction.Gateway == nil {
			break
		}

		return e.complexity.OrderTransaction.Gateway(childComplexity), true

	case "OrderTransaction.id":
		if e.complexity.OrderTransaction.ID == nil {
			break
		}

		return e.complexity.OrderTransaction.ID(childComplexity), true

	case "OrderTransaction.kind":
		if e.complexity.OrderTransaction.Kind == nil {
			break
		}

		return e.complexity.OrderTransaction.Kind(childComplexity), true

	case "OrderTransaction.manuallyCapturable":
		if e.complexity.OrderTransaction.ManuallyCapturable == nil {
			break
		}

		return e.complexity.OrderTransaction.ManuallyCapturable(childComplexity), true

	case "OrderTransaction.maximumRefundableV2":
		if e.complexity.OrderTransaction.MaximumRefundableV2 == nil {
			break
		}

		return e.complexity.OrderTransaction.MaximumRefundableV2(childComplexity), true

	case "OrderTransaction.order":
		if e.complexity.OrderTransaction.Order == nil {
			break
		}

		return e.complexity.OrderTransaction.Order(childComplexity), true

	case "OrderTransaction.parentTransaction":
		if e.complexity.OrderTransaction.ParentTransaction == nil {
			break
		}

		return e.complexity.OrderTransaction.ParentTransaction(childComplexity), true

	case "OrderTransaction.paymentIcon":
		if e.complexity.OrderTransaction.PaymentIcon == nil {
			break
		}

		return e.complexity.OrderTransaction.PaymentIcon(childComplexity), true

	case "OrderTransaction.processedAt":
		if e.complexity.OrderTransaction.ProcessedAt == nil {
			break
		}

		return e.complexity.OrderTransaction.ProcessedAt(childComplexity), true

	case "OrderTransaction.receiptJson":
		if e.complexity.OrderTransaction.ReceiptJSON == nil {
			break
		}

		return e.complexity.OrderTransaction.ReceiptJSON(childComplexity), true

	case "OrderTransaction.settlementCurrency":
		if e.complexity.OrderTransaction.SettlementCurrency == nil {
			break
		}

		return e.complexity.OrderTransaction.SettlementCurrency(childComplexity), true

	case "OrderTransaction.settlementCurrencyRate":
		if e.complexity.OrderTransaction.SettlementCurrencyRate == nil {
			break
		}

		return e.complexity.OrderTransaction.SettlementCurrencyRate(childComplexity), true

	case "OrderTransaction.shopifyPaymentsSet":
		if e.complexity.OrderTransaction.ShopifyPaymentsSet == nil {
			break
		}

		return e.complexity.OrderTransaction.ShopifyPaymentsSet(childComplexity), true

	case "OrderTransaction.status":
		if e.complexity.OrderTransaction.Status == nil {
			break
		}

		return e.complexity.OrderTransaction.Status(childComplexity), true

	case "OrderTransaction.test":
		if e.complexity.OrderTransaction.Test == nil {
			break
		}

		return e.complexity.OrderTransaction.Test(childComplexity), true

	case "OrderTransaction.totalUnsettledSet":
		if e.complexity.OrderTransaction.TotalUnsettledSet == nil {
			break
		}

		return e.complexity.OrderTransaction.TotalUnsettledSet(childComplexity), true

	case "OrderTransaction.user":
		if e.complexity.OrderTransaction.User == nil {
			break
		}

		return e.complexity.OrderTransaction.User(childComplexity), true

	case "OrderTransactionConnection.edges":
		if e.complexity.OrderTransactionConnection.Edges == nil {
			break
		}

		return e.complexity.OrderTransactionConnection.Edges(childComplexity), true

	case "OrderTransactionConnection.nodes":
		if e.complexity.OrderTransactionConnection.Nodes == nil {
			break
		}

		return e.complexity.OrderTransactionConnection.Nodes(childComplexity), true

	case "OrderTransactionConnection.pageInfo":
		if e.complexity.OrderTransactionConnection.PageInfo == nil {
			break
		}

		return e.complexity.OrderTransactionConnection.PageInfo(childComplexity), true

	case "OrderTransactionEdge.cursor":
		if e.complexity.OrderTransactionEdge.Cursor == nil {
			break
		}

		return e.complexity.OrderTransactionEdge.Cursor(childComplexity), true

	case "OrderTransactionEdge.node":
		if e.complexity.OrderTransactionEdge.Node == nil {
			break
		}

		return e.complexity.OrderTransactionEdge.Node(childComplexity), true

	case "PageInfo.endCursor":
		if e.complexity.PageInfo.EndCursor == nil {
			break
		}

		return e.complexity.PageInfo.EndCursor(childComplexity), true

	case "PageInfo.hasNextPage":
		if e.complexity.PageInfo.HasNextPage == nil {
			break
		}

		return e.complexity.PageInfo.HasNextPage(childComplexity), true

	case "PageInfo.hasPreviousPage":
		if e.complexity.PageInfo.HasPreviousPage == nil {
			break
		}

		return e.complexity.PageInfo.HasPreviousPage(childComplexity), true

	case "PageInfo.startCursor":
		if e.complexity.PageInfo.StartCursor == nil {
			break
		}

		return e.complexity.PageInfo.StartCursor(childComplexity), true

	case "PaymentMandate.id":
		if e.complexity.PaymentMandate.ID == nil {
			break
		}

		return e.complexity.PaymentMandate.ID(childComplexity), true

	case "PaymentMandate.paymentInstrument":
		if e.complexity.PaymentMandate.PaymentInstrument == nil {
			break
		}

		return e.complexity.PaymentMandate.PaymentInstrument(childComplexity), true

	case "PaymentSchedule.amount":
		if e.complexity.PaymentSchedule.Amount == nil {
			break
		}

		return e.complexity.PaymentSchedule.Amount(childComplexity), true

	case "PaymentSchedule.completedAt":
		if e.complexity.PaymentSchedule.CompletedAt == nil {
			break
		}

		return e.complexity.PaymentSchedule.CompletedAt(childComplexity), true

	case "PaymentSchedule.dueAt":
		if e.complexity.PaymentSchedule.DueAt == nil {
			break
		}

		return e.complexity.PaymentSchedule.DueAt(childComplexity), true

	case "PaymentSchedule.id":
		if e.complexity.PaymentSchedule.ID == nil {
			break
		}

		return e.complexity.PaymentSchedule.ID(childComplexity), true

	case "PaymentSchedule.issuedAt":
		if e.complexity.PaymentSchedule.IssuedAt == nil {
			break
		}

		return e.complexity.PaymentSchedule.IssuedAt(childComplexity), true

	case "PaymentScheduleConnection.edges":
		if e.complexity.PaymentScheduleConnection.Edges == nil {
			break
		}

		return e.complexity.PaymentScheduleConnection.Edges(childComplexity), true

	case "PaymentScheduleConnection.nodes":
		if e.complexity.PaymentScheduleConnection.Nodes == nil {
			break
		}

		return e.complexity.PaymentScheduleConnection.Nodes(childComplexity), true

	case "PaymentScheduleConnection.pageInfo":
		if e.complexity.PaymentScheduleConnection.PageInfo == nil {
			break
		}

		return e.complexity.PaymentScheduleConnection.PageInfo(childComplexity), true

	case "PaymentScheduleEdge.cursor":
		if e.complexity.PaymentScheduleEdge.Cursor == nil {
			break
		}

		return e.complexity.PaymentScheduleEdge.Cursor(childComplexity), true

	case "PaymentScheduleEdge.node":
		if e.complexity.PaymentScheduleEdge.Node == nil {
			break
		}

		return e.complexity.PaymentScheduleEdge.Node(childComplexity), true

	case "PaymentSettings.supportedDigitalWallets":
		if e.complexity.PaymentSettings.SupportedDigitalWallets == nil {
			break
		}

		return e.complexity.PaymentSettings.SupportedDigitalWallets(childComplexity), true

	case "PaymentTerms.dueInDays":
		if e.complexity.PaymentTerms.DueInDays == nil {
			break
		}

		return e.complexity.PaymentTerms.DueInDays(childComplexity), true

	case "PaymentTerms.id":
		if e.complexity.PaymentTerms.ID == nil {
			break
		}

		return e.complexity.PaymentTerms.ID(childComplexity), true

	case "PaymentTerms.overdue":
		if e.complexity.PaymentTerms.Overdue == nil {
			break
		}

		return e.complexity.PaymentTerms.Overdue(childComplexity), true

	case "PaymentTerms.paymentSchedules":
		if e.complexity.PaymentTerms.PaymentSchedules == nil {
			break
		}

		args, err := ec.field_PaymentTerms_paymentSchedules_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.PaymentTerms.PaymentSchedules(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "PaymentTerms.paymentTermsName":
		if e.complexity.PaymentTerms.PaymentTermsName == nil {
			break
		}

		return e.complexity.PaymentTerms.PaymentTermsName(childComplexity), true

	case "PaymentTerms.paymentTermsType":
		if e.complexity.PaymentTerms.PaymentTermsType == nil {
			break
		}

		return e.complexity.PaymentTerms.PaymentTermsType(childComplexity), true

	case "PaymentTerms.translatedName":
		if e.complexity.PaymentTerms.TranslatedName == nil {
			break
		}

		return e.complexity.PaymentTerms.TranslatedName(childComplexity), true

	case "PaymentTermsTemplate.description":
		if e.complexity.PaymentTermsTemplate.Description == nil {
			break
		}

		return e.complexity.PaymentTermsTemplate.Description(childComplexity), true

	case "PaymentTermsTemplate.dueInDays":
		if e.complexity.PaymentTermsTemplate.DueInDays == nil {
			break
		}

		return e.complexity.PaymentTermsTemplate.DueInDays(childComplexity), true

	case "PaymentTermsTemplate.id":
		if e.complexity.PaymentTermsTemplate.ID == nil {
			break
		}

		return e.complexity.PaymentTermsTemplate.ID(childComplexity), true

	case "PaymentTermsTemplate.name":
		if e.complexity.PaymentTermsTemplate.Name == nil {
			break
		}

		return e.complexity.PaymentTermsTemplate.Name(childComplexity), true

	case "PaymentTermsTemplate.paymentTermsType":
		if e.complexity.PaymentTermsTemplate.PaymentTermsType == nil {
			break
		}

		return e.complexity.PaymentTermsTemplate.PaymentTermsType(childComplexity), true

	case "PaymentTermsTemplate.translatedName":
		if e.complexity.PaymentTermsTemplate.TranslatedName == nil {
			break
		}

		return e.complexity.PaymentTermsTemplate.TranslatedName(childComplexity), true

	case "PriceList.contextRule":
		if e.complexity.PriceList.ContextRule == nil {
			break
		}

		return e.complexity.PriceList.ContextRule(childComplexity), true

	case "PriceList.currency":
		if e.complexity.PriceList.Currency == nil {
			break
		}

		return e.complexity.PriceList.Currency(childComplexity), true

	case "PriceList.id":
		if e.complexity.PriceList.ID == nil {
			break
		}

		return e.complexity.PriceList.ID(childComplexity), true

	case "PriceList.name":
		if e.complexity.PriceList.Name == nil {
			break
		}

		return e.complexity.PriceList.Name(childComplexity), true

	case "PriceList.parent":
		if e.complexity.PriceList.Parent == nil {
			break
		}

		return e.complexity.PriceList.Parent(childComplexity), true

	case "PriceList.prices":
		if e.complexity.PriceList.Prices == nil {
			break
		}

		args, err := ec.field_PriceList_prices_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.PriceList.Prices(childComplexity, args["originType"].(*PriceListPriceOriginType), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "PriceListAdjustment.type":
		if e.complexity.PriceListAdjustment.Type == nil {
			break
		}

		return e.complexity.PriceListAdjustment.Type(childComplexity), true

	case "PriceListAdjustment.value":
		if e.complexity.PriceListAdjustment.Value == nil {
			break
		}

		return e.complexity.PriceListAdjustment.Value(childComplexity), true

	case "PriceListContextRule.countries":
		if e.complexity.PriceListContextRule.Countries == nil {
			break
		}

		return e.complexity.PriceListContextRule.Countries(childComplexity), true

	case "PriceListContextRule.market":
		if e.complexity.PriceListContextRule.Market == nil {
			break
		}

		return e.complexity.PriceListContextRule.Market(childComplexity), true

	case "PriceListParent.adjustment":
		if e.complexity.PriceListParent.Adjustment == nil {
			break
		}

		return e.complexity.PriceListParent.Adjustment(childComplexity), true

	case "PriceListPrice.compareAtPrice":
		if e.complexity.PriceListPrice.CompareAtPrice == nil {
			break
		}

		return e.complexity.PriceListPrice.CompareAtPrice(childComplexity), true

	case "PriceListPrice.originType":
		if e.complexity.PriceListPrice.OriginType == nil {
			break
		}

		return e.complexity.PriceListPrice.OriginType(childComplexity), true

	case "PriceListPrice.price":
		if e.complexity.PriceListPrice.Price == nil {
			break
		}

		return e.complexity.PriceListPrice.Price(childComplexity), true

	case "PriceListPrice.variant":
		if e.complexity.PriceListPrice.Variant == nil {
			break
		}

		return e.complexity.PriceListPrice.Variant(childComplexity), true

	case "PriceListPriceConnection.edges":
		if e.complexity.PriceListPriceConnection.Edges == nil {
			break
		}

		return e.complexity.PriceListPriceConnection.Edges(childComplexity), true

	case "PriceListPriceConnection.nodes":
		if e.complexity.PriceListPriceConnection.Nodes == nil {
			break
		}

		return e.complexity.PriceListPriceConnection.Nodes(childComplexity), true

	case "PriceListPriceConnection.pageInfo":
		if e.complexity.PriceListPriceConnection.PageInfo == nil {
			break
		}

		return e.complexity.PriceListPriceConnection.PageInfo(childComplexity), true

	case "PriceListPriceEdge.cursor":
		if e.complexity.PriceListPriceEdge.Cursor == nil {
			break
		}

		return e.complexity.PriceListPriceEdge.Cursor(childComplexity), true

	case "PriceListPriceEdge.node":
		if e.complexity.PriceListPriceEdge.Node == nil {
			break
		}

		return e.complexity.PriceListPriceEdge.Node(childComplexity), true

	case "PricingPercentageValue.percentage":
		if e.complexity.PricingPercentageValue.Percentage == nil {
			break
		}

		return e.complexity.PricingPercentageValue.Percentage(childComplexity), true

	case "PrivateMetafield.createdAt":
		if e.complexity.PrivateMetafield.CreatedAt == nil {
			break
		}

		return e.complexity.PrivateMetafield.CreatedAt(childComplexity), true

	case "PrivateMetafield.id":
		if e.complexity.PrivateMetafield.ID == nil {
			break
		}

		return e.complexity.PrivateMetafield.ID(childComplexity), true

	case "PrivateMetafield.key":
		if e.complexity.PrivateMetafield.Key == nil {
			break
		}

		return e.complexity.PrivateMetafield.Key(childComplexity), true

	case "PrivateMetafield.namespace":
		if e.complexity.PrivateMetafield.Namespace == nil {
			break
		}

		return e.complexity.PrivateMetafield.Namespace(childComplexity), true

	case "PrivateMetafield.updatedAt":
		if e.complexity.PrivateMetafield.UpdatedAt == nil {
			break
		}

		return e.complexity.PrivateMetafield.UpdatedAt(childComplexity), true

	case "PrivateMetafield.value":
		if e.complexity.PrivateMetafield.Value == nil {
			break
		}

		return e.complexity.PrivateMetafield.Value(childComplexity), true

	case "PrivateMetafield.valueType":
		if e.complexity.PrivateMetafield.ValueType == nil {
			break
		}

		return e.complexity.PrivateMetafield.ValueType(childComplexity), true

	case "PrivateMetafieldConnection.edges":
		if e.complexity.PrivateMetafieldConnection.Edges == nil {
			break
		}

		return e.complexity.PrivateMetafieldConnection.Edges(childComplexity), true

	case "PrivateMetafieldConnection.nodes":
		if e.complexity.PrivateMetafieldConnection.Nodes == nil {
			break
		}

		return e.complexity.PrivateMetafieldConnection.Nodes(childComplexity), true

	case "PrivateMetafieldConnection.pageInfo":
		if e.complexity.PrivateMetafieldConnection.PageInfo == nil {
			break
		}

		return e.complexity.PrivateMetafieldConnection.PageInfo(childComplexity), true

	case "PrivateMetafieldEdge.cursor":
		if e.complexity.PrivateMetafieldEdge.Cursor == nil {
			break
		}

		return e.complexity.PrivateMetafieldEdge.Cursor(childComplexity), true

	case "PrivateMetafieldEdge.node":
		if e.complexity.PrivateMetafieldEdge.Node == nil {
			break
		}

		return e.complexity.PrivateMetafieldEdge.Node(childComplexity), true

	case "Product.id":
		if e.complexity.Product.ID == nil {
			break
		}

		return e.complexity.Product.ID(childComplexity), true

	case "ProductCategory.productTaxonomyNode":
		if e.complexity.ProductCategory.ProductTaxonomyNode == nil {
			break
		}

		return e.complexity.ProductCategory.ProductTaxonomyNode(childComplexity), true

	case "ProductChangeStatusUserError.code":
		if e.complexity.ProductChangeStatusUserError.Code == nil {
			break
		}

		return e.complexity.ProductChangeStatusUserError.Code(childComplexity), true

	case "ProductChangeStatusUserError.field":
		if e.complexity.ProductChangeStatusUserError.Field == nil {
			break
		}

		return e.complexity.ProductChangeStatusUserError.Field(childComplexity), true

	case "ProductChangeStatusUserError.message":
		if e.complexity.ProductChangeStatusUserError.Message == nil {
			break
		}

		return e.complexity.ProductChangeStatusUserError.Message(childComplexity), true

	case "ProductConnection.edges":
		if e.complexity.ProductConnection.Edges == nil {
			break
		}

		return e.complexity.ProductConnection.Edges(childComplexity), true

	case "ProductConnection.nodes":
		if e.complexity.ProductConnection.Nodes == nil {
			break
		}

		return e.complexity.ProductConnection.Nodes(childComplexity), true

	case "ProductConnection.pageInfo":
		if e.complexity.ProductConnection.PageInfo == nil {
			break
		}

		return e.complexity.ProductConnection.PageInfo(childComplexity), true

	case "ProductContextualPricing.maxVariantPricing":
		if e.complexity.ProductContextualPricing.MaxVariantPricing == nil {
			break
		}

		return e.complexity.ProductContextualPricing.MaxVariantPricing(childComplexity), true

	case "ProductContextualPricing.minVariantPricing":
		if e.complexity.ProductContextualPricing.MinVariantPricing == nil {
			break
		}

		return e.complexity.ProductContextualPricing.MinVariantPricing(childComplexity), true

	case "ProductContextualPricing.priceRange":
		if e.complexity.ProductContextualPricing.PriceRange == nil {
			break
		}

		return e.complexity.ProductContextualPricing.PriceRange(childComplexity), true

	case "ProductEdge.cursor":
		if e.complexity.ProductEdge.Cursor == nil {
			break
		}

		return e.complexity.ProductEdge.Cursor(childComplexity), true

	case "ProductEdge.node":
		if e.complexity.ProductEdge.Node == nil {
			break
		}

		return e.complexity.ProductEdge.Node(childComplexity), true

	case "ProductPriceRangeV2.maxVariantPrice":
		if e.complexity.ProductPriceRangeV2.MaxVariantPrice == nil {
			break
		}

		return e.complexity.ProductPriceRangeV2.MaxVariantPrice(childComplexity), true

	case "ProductPriceRangeV2.minVariantPrice":
		if e.complexity.ProductPriceRangeV2.MinVariantPrice == nil {
			break
		}

		return e.complexity.ProductPriceRangeV2.MinVariantPrice(childComplexity), true

	case "ProductTaxonomyNode.fullName":
		if e.complexity.ProductTaxonomyNode.FullName == nil {
			break
		}

		return e.complexity.ProductTaxonomyNode.FullName(childComplexity), true

	case "ProductTaxonomyNode.id":
		if e.complexity.ProductTaxonomyNode.ID == nil {
			break
		}

		return e.complexity.ProductTaxonomyNode.ID(childComplexity), true

	case "ProductTaxonomyNode.isLeaf":
		if e.complexity.ProductTaxonomyNode.IsLeaf == nil {
			break
		}

		return e.complexity.ProductTaxonomyNode.IsLeaf(childComplexity), true

	case "ProductTaxonomyNode.isRoot":
		if e.complexity.ProductTaxonomyNode.IsRoot == nil {
			break
		}

		return e.complexity.ProductTaxonomyNode.IsRoot(childComplexity), true

	case "ProductTaxonomyNode.name":
		if e.complexity.ProductTaxonomyNode.Name == nil {
			break
		}

		return e.complexity.ProductTaxonomyNode.Name(childComplexity), true

	case "ProductVariant.id":
		if e.complexity.ProductVariant.ID == nil {
			break
		}

		return e.complexity.ProductVariant.ID(childComplexity), true

	case "ProductVariantConnection.edges":
		if e.complexity.ProductVariantConnection.Edges == nil {
			break
		}

		return e.complexity.ProductVariantConnection.Edges(childComplexity), true

	case "ProductVariantConnection.nodes":
		if e.complexity.ProductVariantConnection.Nodes == nil {
			break
		}

		return e.complexity.ProductVariantConnection.Nodes(childComplexity), true

	case "ProductVariantConnection.pageInfo":
		if e.complexity.ProductVariantConnection.PageInfo == nil {
			break
		}

		return e.complexity.ProductVariantConnection.PageInfo(childComplexity), true

	case "ProductVariantContextualPricing.compareAtPrice":
		if e.complexity.ProductVariantContextualPricing.CompareAtPrice == nil {
			break
		}

		return e.complexity.ProductVariantContextualPricing.CompareAtPrice(childComplexity), true

	case "ProductVariantContextualPricing.price":
		if e.complexity.ProductVariantContextualPricing.Price == nil {
			break
		}

		return e.complexity.ProductVariantContextualPricing.Price(childComplexity), true

	case "ProductVariantEdge.cursor":
		if e.complexity.ProductVariantEdge.Cursor == nil {
			break
		}

		return e.complexity.ProductVariantEdge.Cursor(childComplexity), true

	case "ProductVariantEdge.node":
		if e.complexity.ProductVariantEdge.Node == nil {
			break
		}

		return e.complexity.ProductVariantEdge.Node(childComplexity), true

	case "ProductVariantsBulkCreateUserError.code":
		if e.complexity.ProductVariantsBulkCreateUserError.Code == nil {
			break
		}

		return e.complexity.ProductVariantsBulkCreateUserError.Code(childComplexity), true

	case "ProductVariantsBulkCreateUserError.field":
		if e.complexity.ProductVariantsBulkCreateUserError.Field == nil {
			break
		}

		return e.complexity.ProductVariantsBulkCreateUserError.Field(childComplexity), true

	case "ProductVariantsBulkCreateUserError.message":
		if e.complexity.ProductVariantsBulkCreateUserError.Message == nil {
			break
		}

		return e.complexity.ProductVariantsBulkCreateUserError.Message(childComplexity), true

	case "ProductVariantsBulkDeleteUserError.code":
		if e.complexity.ProductVariantsBulkDeleteUserError.Code == nil {
			break
		}

		return e.complexity.ProductVariantsBulkDeleteUserError.Code(childComplexity), true

	case "ProductVariantsBulkDeleteUserError.field":
		if e.complexity.ProductVariantsBulkDeleteUserError.Field == nil {
			break
		}

		return e.complexity.ProductVariantsBulkDeleteUserError.Field(childComplexity), true

	case "ProductVariantsBulkDeleteUserError.message":
		if e.complexity.ProductVariantsBulkDeleteUserError.Message == nil {
			break
		}

		return e.complexity.ProductVariantsBulkDeleteUserError.Message(childComplexity), true

	case "ProductVariantsBulkReorderUserError.code":
		if e.complexity.ProductVariantsBulkReorderUserError.Code == nil {
			break
		}

		return e.complexity.ProductVariantsBulkReorderUserError.Code(childComplexity), true

	case "ProductVariantsBulkReorderUserError.field":
		if e.complexity.ProductVariantsBulkReorderUserError.Field == nil {
			break
		}

		return e.complexity.ProductVariantsBulkReorderUserError.Field(childComplexity), true

	case "ProductVariantsBulkReorderUserError.message":
		if e.complexity.ProductVariantsBulkReorderUserError.Message == nil {
			break
		}

		return e.complexity.ProductVariantsBulkReorderUserError.Message(childComplexity), true

	case "ProductVariantsBulkUpdateUserError.code":
		if e.complexity.ProductVariantsBulkUpdateUserError.Code == nil {
			break
		}

		return e.complexity.ProductVariantsBulkUpdateUserError.Code(childComplexity), true

	case "ProductVariantsBulkUpdateUserError.field":
		if e.complexity.ProductVariantsBulkUpdateUserError.Field == nil {
			break
		}

		return e.complexity.ProductVariantsBulkUpdateUserError.Field(childComplexity), true

	case "ProductVariantsBulkUpdateUserError.message":
		if e.complexity.ProductVariantsBulkUpdateUserError.Message == nil {
			break
		}

		return e.complexity.ProductVariantsBulkUpdateUserError.Message(childComplexity), true

	case "Publication.app":
		if e.complexity.Publication.App == nil {
			break
		}

		return e.complexity.Publication.App(childComplexity), true

	case "Publication.collectionPublicationsV3":
		if e.complexity.Publication.CollectionPublicationsV3 == nil {
			break
		}

		args, err := ec.field_Publication_collectionPublicationsV3_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Publication.CollectionPublicationsV3(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Publication.collections":
		if e.complexity.Publication.Collections == nil {
			break
		}

		args, err := ec.field_Publication_collections_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Publication.Collections(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Publication.hasCollection":
		if e.complexity.Publication.HasCollection == nil {
			break
		}

		args, err := ec.field_Publication_hasCollection_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Publication.HasCollection(childComplexity, args["id"].(string)), true

	case "Publication.id":
		if e.complexity.Publication.ID == nil {
			break
		}

		return e.complexity.Publication.ID(childComplexity), true

	case "Publication.name":
		if e.complexity.Publication.Name == nil {
			break
		}

		return e.complexity.Publication.Name(childComplexity), true

	case "Publication.productPublicationsV3":
		if e.complexity.Publication.ProductPublicationsV3 == nil {
			break
		}

		args, err := ec.field_Publication_productPublicationsV3_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Publication.ProductPublicationsV3(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Publication.products":
		if e.complexity.Publication.Products == nil {
			break
		}

		args, err := ec.field_Publication_products_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Publication.Products(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Publication.supportsFuturePublishing":
		if e.complexity.Publication.SupportsFuturePublishing == nil {
			break
		}

		return e.complexity.Publication.SupportsFuturePublishing(childComplexity), true

	case "PublicationConnection.edges":
		if e.complexity.PublicationConnection.Edges == nil {
			break
		}

		return e.complexity.PublicationConnection.Edges(childComplexity), true

	case "PublicationConnection.nodes":
		if e.complexity.PublicationConnection.Nodes == nil {
			break
		}

		return e.complexity.PublicationConnection.Nodes(childComplexity), true

	case "PublicationConnection.pageInfo":
		if e.complexity.PublicationConnection.PageInfo == nil {
			break
		}

		return e.complexity.PublicationConnection.PageInfo(childComplexity), true

	case "PublicationEdge.cursor":
		if e.complexity.PublicationEdge.Cursor == nil {
			break
		}

		return e.complexity.PublicationEdge.Cursor(childComplexity), true

	case "PublicationEdge.node":
		if e.complexity.PublicationEdge.Node == nil {
			break
		}

		return e.complexity.PublicationEdge.Node(childComplexity), true

	case "PublishedTranslation.key":
		if e.complexity.PublishedTranslation.Key == nil {
			break
		}

		return e.complexity.PublishedTranslation.Key(childComplexity), true

	case "PublishedTranslation.locale":
		if e.complexity.PublishedTranslation.Locale == nil {
			break
		}

		return e.complexity.PublishedTranslation.Locale(childComplexity), true

	case "PublishedTranslation.marketId":
		if e.complexity.PublishedTranslation.MarketID == nil {
			break
		}

		return e.complexity.PublishedTranslation.MarketID(childComplexity), true

	case "PublishedTranslation.value":
		if e.complexity.PublishedTranslation.Value == nil {
			break
		}

		return e.complexity.PublishedTranslation.Value(childComplexity), true

	case "PurchasingCompany.company":
		if e.complexity.PurchasingCompany.Company == nil {
			break
		}

		return e.complexity.PurchasingCompany.Company(childComplexity), true

	case "PurchasingCompany.contact":
		if e.complexity.PurchasingCompany.Contact == nil {
			break
		}

		return e.complexity.PurchasingCompany.Contact(childComplexity), true

	case "PurchasingCompany.location":
		if e.complexity.PurchasingCompany.Location == nil {
			break
		}

		return e.complexity.PurchasingCompany.Location(childComplexity), true

	case "Query._service":
		if e.complexity.Query.__resolve__service == nil {
			break
		}

		return e.complexity.Query.__resolve__service(childComplexity), true

	case "Query._entities":
		if e.complexity.Query.__resolve_entities == nil {
			break
		}

		args, err := ec.field_Query__entities_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Query.__resolve_entities(childComplexity, args["representations"].([]map[string]interface{})), true

	case "Refund.createdAt":
		if e.complexity.Refund.CreatedAt == nil {
			break
		}

		return e.complexity.Refund.CreatedAt(childComplexity), true

	case "Refund.duties":
		if e.complexity.Refund.Duties == nil {
			break
		}

		return e.complexity.Refund.Duties(childComplexity), true

	case "Refund.id":
		if e.complexity.Refund.ID == nil {
			break
		}

		return e.complexity.Refund.ID(childComplexity), true

	case "Refund.legacyResourceId":
		if e.complexity.Refund.LegacyResourceID == nil {
			break
		}

		return e.complexity.Refund.LegacyResourceID(childComplexity), true

	case "Refund.note":
		if e.complexity.Refund.Note == nil {
			break
		}

		return e.complexity.Refund.Note(childComplexity), true

	case "Refund.order":
		if e.complexity.Refund.Order == nil {
			break
		}

		return e.complexity.Refund.Order(childComplexity), true

	case "Refund.refundLineItems":
		if e.complexity.Refund.RefundLineItems == nil {
			break
		}

		args, err := ec.field_Refund_refundLineItems_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Refund.RefundLineItems(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Refund.staffMember":
		if e.complexity.Refund.StaffMember == nil {
			break
		}

		return e.complexity.Refund.StaffMember(childComplexity), true

	case "Refund.totalRefundedSet":
		if e.complexity.Refund.TotalRefundedSet == nil {
			break
		}

		return e.complexity.Refund.TotalRefundedSet(childComplexity), true

	case "Refund.transactions":
		if e.complexity.Refund.Transactions == nil {
			break
		}

		args, err := ec.field_Refund_transactions_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.Refund.Transactions(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "Refund.updatedAt":
		if e.complexity.Refund.UpdatedAt == nil {
			break
		}

		return e.complexity.Refund.UpdatedAt(childComplexity), true

	case "RefundDuty.amountSet":
		if e.complexity.RefundDuty.AmountSet == nil {
			break
		}

		return e.complexity.RefundDuty.AmountSet(childComplexity), true

	case "RefundDuty.originalDuty":
		if e.complexity.RefundDuty.OriginalDuty == nil {
			break
		}

		return e.complexity.RefundDuty.OriginalDuty(childComplexity), true

	case "RefundLineItem.lineItem":
		if e.complexity.RefundLineItem.LineItem == nil {
			break
		}

		return e.complexity.RefundLineItem.LineItem(childComplexity), true

	case "RefundLineItem.location":
		if e.complexity.RefundLineItem.Location == nil {
			break
		}

		return e.complexity.RefundLineItem.Location(childComplexity), true

	case "RefundLineItem.priceSet":
		if e.complexity.RefundLineItem.PriceSet == nil {
			break
		}

		return e.complexity.RefundLineItem.PriceSet(childComplexity), true

	case "RefundLineItem.quantity":
		if e.complexity.RefundLineItem.Quantity == nil {
			break
		}

		return e.complexity.RefundLineItem.Quantity(childComplexity), true

	case "RefundLineItem.restockType":
		if e.complexity.RefundLineItem.RestockType == nil {
			break
		}

		return e.complexity.RefundLineItem.RestockType(childComplexity), true

	case "RefundLineItem.restocked":
		if e.complexity.RefundLineItem.Restocked == nil {
			break
		}

		return e.complexity.RefundLineItem.Restocked(childComplexity), true

	case "RefundLineItem.subtotalSet":
		if e.complexity.RefundLineItem.SubtotalSet == nil {
			break
		}

		return e.complexity.RefundLineItem.SubtotalSet(childComplexity), true

	case "RefundLineItem.totalTaxSet":
		if e.complexity.RefundLineItem.TotalTaxSet == nil {
			break
		}

		return e.complexity.RefundLineItem.TotalTaxSet(childComplexity), true

	case "RefundLineItemConnection.edges":
		if e.complexity.RefundLineItemConnection.Edges == nil {
			break
		}

		return e.complexity.RefundLineItemConnection.Edges(childComplexity), true

	case "RefundLineItemConnection.nodes":
		if e.complexity.RefundLineItemConnection.Nodes == nil {
			break
		}

		return e.complexity.RefundLineItemConnection.Nodes(childComplexity), true

	case "RefundLineItemConnection.pageInfo":
		if e.complexity.RefundLineItemConnection.PageInfo == nil {
			break
		}

		return e.complexity.RefundLineItemConnection.PageInfo(childComplexity), true

	case "RefundLineItemEdge.cursor":
		if e.complexity.RefundLineItemEdge.Cursor == nil {
			break
		}

		return e.complexity.RefundLineItemEdge.Cursor(childComplexity), true

	case "RefundLineItemEdge.node":
		if e.complexity.RefundLineItemEdge.Node == nil {
			break
		}

		return e.complexity.RefundLineItemEdge.Node(childComplexity), true

	case "ResourceAlert.actions":
		if e.complexity.ResourceAlert.Actions == nil {
			break
		}

		return e.complexity.ResourceAlert.Actions(childComplexity), true

	case "ResourceAlert.content":
		if e.complexity.ResourceAlert.Content == nil {
			break
		}

		return e.complexity.ResourceAlert.Content(childComplexity), true

	case "ResourceAlert.dismissibleHandle":
		if e.complexity.ResourceAlert.DismissibleHandle == nil {
			break
		}

		return e.complexity.ResourceAlert.DismissibleHandle(childComplexity), true

	case "ResourceAlert.icon":
		if e.complexity.ResourceAlert.Icon == nil {
			break
		}

		return e.complexity.ResourceAlert.Icon(childComplexity), true

	case "ResourceAlert.severity":
		if e.complexity.ResourceAlert.Severity == nil {
			break
		}

		return e.complexity.ResourceAlert.Severity(childComplexity), true

	case "ResourceAlert.title":
		if e.complexity.ResourceAlert.Title == nil {
			break
		}

		return e.complexity.ResourceAlert.Title(childComplexity), true

	case "ResourceAlertAction.primary":
		if e.complexity.ResourceAlertAction.Primary == nil {
			break
		}

		return e.complexity.ResourceAlertAction.Primary(childComplexity), true

	case "ResourceAlertAction.show":
		if e.complexity.ResourceAlertAction.Show == nil {
			break
		}

		return e.complexity.ResourceAlertAction.Show(childComplexity), true

	case "ResourceAlertAction.title":
		if e.complexity.ResourceAlertAction.Title == nil {
			break
		}

		return e.complexity.ResourceAlertAction.Title(childComplexity), true

	case "ResourceAlertAction.url":
		if e.complexity.ResourceAlertAction.URL == nil {
			break
		}

		return e.complexity.ResourceAlertAction.URL(childComplexity), true

	case "ResourceFeedback.details":
		if e.complexity.ResourceFeedback.Details == nil {
			break
		}

		return e.complexity.ResourceFeedback.Details(childComplexity), true

	case "ResourceFeedback.summary":
		if e.complexity.ResourceFeedback.Summary == nil {
			break
		}

		return e.complexity.ResourceFeedback.Summary(childComplexity), true

	case "ResourceLimit.available":
		if e.complexity.ResourceLimit.Available == nil {
			break
		}

		return e.complexity.ResourceLimit.Available(childComplexity), true

	case "ResourceLimit.quantityAvailable":
		if e.complexity.ResourceLimit.QuantityAvailable == nil {
			break
		}

		return e.complexity.ResourceLimit.QuantityAvailable(childComplexity), true

	case "ResourceLimit.quantityLimit":
		if e.complexity.ResourceLimit.QuantityLimit == nil {
			break
		}

		return e.complexity.ResourceLimit.QuantityLimit(childComplexity), true

	case "ResourceLimit.quantityUsed":
		if e.complexity.ResourceLimit.QuantityUsed == nil {
			break
		}

		return e.complexity.ResourceLimit.QuantityUsed(childComplexity), true

	case "ResourcePublication.isPublished":
		if e.complexity.ResourcePublication.IsPublished == nil {
			break
		}

		return e.complexity.ResourcePublication.IsPublished(childComplexity), true

	case "ResourcePublication.publication":
		if e.complexity.ResourcePublication.Publication == nil {
			break
		}

		return e.complexity.ResourcePublication.Publication(childComplexity), true

	case "ResourcePublication.publishDate":
		if e.complexity.ResourcePublication.PublishDate == nil {
			break
		}

		return e.complexity.ResourcePublication.PublishDate(childComplexity), true

	case "ResourcePublication.publishable":
		if e.complexity.ResourcePublication.Publishable == nil {
			break
		}

		return e.complexity.ResourcePublication.Publishable(childComplexity), true

	case "ResourcePublicationConnection.edges":
		if e.complexity.ResourcePublicationConnection.Edges == nil {
			break
		}

		return e.complexity.ResourcePublicationConnection.Edges(childComplexity), true

	case "ResourcePublicationConnection.nodes":
		if e.complexity.ResourcePublicationConnection.Nodes == nil {
			break
		}

		return e.complexity.ResourcePublicationConnection.Nodes(childComplexity), true

	case "ResourcePublicationConnection.pageInfo":
		if e.complexity.ResourcePublicationConnection.PageInfo == nil {
			break
		}

		return e.complexity.ResourcePublicationConnection.PageInfo(childComplexity), true

	case "ResourcePublicationEdge.cursor":
		if e.complexity.ResourcePublicationEdge.Cursor == nil {
			break
		}

		return e.complexity.ResourcePublicationEdge.Cursor(childComplexity), true

	case "ResourcePublicationEdge.node":
		if e.complexity.ResourcePublicationEdge.Node == nil {
			break
		}

		return e.complexity.ResourcePublicationEdge.Node(childComplexity), true

	case "ResourcePublicationV2.isPublished":
		if e.complexity.ResourcePublicationV2.IsPublished == nil {
			break
		}

		return e.complexity.ResourcePublicationV2.IsPublished(childComplexity), true

	case "ResourcePublicationV2.publication":
		if e.complexity.ResourcePublicationV2.Publication == nil {
			break
		}

		return e.complexity.ResourcePublicationV2.Publication(childComplexity), true

	case "ResourcePublicationV2.publishDate":
		if e.complexity.ResourcePublicationV2.PublishDate == nil {
			break
		}

		return e.complexity.ResourcePublicationV2.PublishDate(childComplexity), true

	case "ResourcePublicationV2.publishable":
		if e.complexity.ResourcePublicationV2.Publishable == nil {
			break
		}

		return e.complexity.ResourcePublicationV2.Publishable(childComplexity), true

	case "ResourcePublicationV2Connection.edges":
		if e.complexity.ResourcePublicationV2Connection.Edges == nil {
			break
		}

		return e.complexity.ResourcePublicationV2Connection.Edges(childComplexity), true

	case "ResourcePublicationV2Connection.nodes":
		if e.complexity.ResourcePublicationV2Connection.Nodes == nil {
			break
		}

		return e.complexity.ResourcePublicationV2Connection.Nodes(childComplexity), true

	case "ResourcePublicationV2Connection.pageInfo":
		if e.complexity.ResourcePublicationV2Connection.PageInfo == nil {
			break
		}

		return e.complexity.ResourcePublicationV2Connection.PageInfo(childComplexity), true

	case "ResourcePublicationV2Edge.cursor":
		if e.complexity.ResourcePublicationV2Edge.Cursor == nil {
			break
		}

		return e.complexity.ResourcePublicationV2Edge.Cursor(childComplexity), true

	case "ResourcePublicationV2Edge.node":
		if e.complexity.ResourcePublicationV2Edge.Node == nil {
			break
		}

		return e.complexity.ResourcePublicationV2Edge.Node(childComplexity), true

	case "SEO.description":
		if e.complexity.SEO.Description == nil {
			break
		}

		return e.complexity.SEO.Description(childComplexity), true

	case "SEO.title":
		if e.complexity.SEO.Title == nil {
			break
		}

		return e.complexity.SEO.Title(childComplexity), true

	case "SaleConnection.edges":
		if e.complexity.SaleConnection.Edges == nil {
			break
		}

		return e.complexity.SaleConnection.Edges(childComplexity), true

	case "SaleConnection.nodes":
		if e.complexity.SaleConnection.Nodes == nil {
			break
		}

		return e.complexity.SaleConnection.Nodes(childComplexity), true

	case "SaleConnection.pageInfo":
		if e.complexity.SaleConnection.PageInfo == nil {
			break
		}

		return e.complexity.SaleConnection.PageInfo(childComplexity), true

	case "SaleEdge.cursor":
		if e.complexity.SaleEdge.Cursor == nil {
			break
		}

		return e.complexity.SaleEdge.Cursor(childComplexity), true

	case "SaleEdge.node":
		if e.complexity.SaleEdge.Node == nil {
			break
		}

		return e.complexity.SaleEdge.Node(childComplexity), true

	case "SaleTax.amount":
		if e.complexity.SaleTax.Amount == nil {
			break
		}

		return e.complexity.SaleTax.Amount(childComplexity), true

	case "SaleTax.id":
		if e.complexity.SaleTax.ID == nil {
			break
		}

		return e.complexity.SaleTax.ID(childComplexity), true

	case "SaleTax.taxLine":
		if e.complexity.SaleTax.TaxLine == nil {
			break
		}

		return e.complexity.SaleTax.TaxLine(childComplexity), true

	case "SalesAgreementConnection.edges":
		if e.complexity.SalesAgreementConnection.Edges == nil {
			break
		}

		return e.complexity.SalesAgreementConnection.Edges(childComplexity), true

	case "SalesAgreementConnection.nodes":
		if e.complexity.SalesAgreementConnection.Nodes == nil {
			break
		}

		return e.complexity.SalesAgreementConnection.Nodes(childComplexity), true

	case "SalesAgreementConnection.pageInfo":
		if e.complexity.SalesAgreementConnection.PageInfo == nil {
			break
		}

		return e.complexity.SalesAgreementConnection.PageInfo(childComplexity), true

	case "SalesAgreementEdge.cursor":
		if e.complexity.SalesAgreementEdge.Cursor == nil {
			break
		}

		return e.complexity.SalesAgreementEdge.Cursor(childComplexity), true

	case "SalesAgreementEdge.node":
		if e.complexity.SalesAgreementEdge.Node == nil {
			break
		}

		return e.complexity.SalesAgreementEdge.Node(childComplexity), true

	case "SavedSearch.filters":
		if e.complexity.SavedSearch.Filters == nil {
			break
		}

		return e.complexity.SavedSearch.Filters(childComplexity), true

	case "SavedSearch.id":
		if e.complexity.SavedSearch.ID == nil {
			break
		}

		return e.complexity.SavedSearch.ID(childComplexity), true

	case "SavedSearch.legacyResourceId":
		if e.complexity.SavedSearch.LegacyResourceID == nil {
			break
		}

		return e.complexity.SavedSearch.LegacyResourceID(childComplexity), true

	case "SavedSearch.name":
		if e.complexity.SavedSearch.Name == nil {
			break
		}

		return e.complexity.SavedSearch.Name(childComplexity), true

	case "SavedSearch.query":
		if e.complexity.SavedSearch.Query == nil {
			break
		}

		return e.complexity.SavedSearch.Query(childComplexity), true

	case "SavedSearch.resourceType":
		if e.complexity.SavedSearch.ResourceType == nil {
			break
		}

		return e.complexity.SavedSearch.ResourceType(childComplexity), true

	case "SavedSearch.searchTerms":
		if e.complexity.SavedSearch.SearchTerms == nil {
			break
		}

		return e.complexity.SavedSearch.SearchTerms(childComplexity), true

	case "SavedSearchConnection.edges":
		if e.complexity.SavedSearchConnection.Edges == nil {
			break
		}

		return e.complexity.SavedSearchConnection.Edges(childComplexity), true

	case "SavedSearchConnection.nodes":
		if e.complexity.SavedSearchConnection.Nodes == nil {
			break
		}

		return e.complexity.SavedSearchConnection.Nodes(childComplexity), true

	case "SavedSearchConnection.pageInfo":
		if e.complexity.SavedSearchConnection.PageInfo == nil {
			break
		}

		return e.complexity.SavedSearchConnection.PageInfo(childComplexity), true

	case "SavedSearchEdge.cursor":
		if e.complexity.SavedSearchEdge.Cursor == nil {
			break
		}

		return e.complexity.SavedSearchEdge.Cursor(childComplexity), true

	case "SavedSearchEdge.node":
		if e.complexity.SavedSearchEdge.Node == nil {
			break
		}

		return e.complexity.SavedSearchEdge.Node(childComplexity), true

	case "ScriptDiscountApplication.allocationMethod":
		if e.complexity.ScriptDiscountApplication.AllocationMethod == nil {
			break
		}

		return e.complexity.ScriptDiscountApplication.AllocationMethod(childComplexity), true

	case "ScriptDiscountApplication.index":
		if e.complexity.ScriptDiscountApplication.Index == nil {
			break
		}

		return e.complexity.ScriptDiscountApplication.Index(childComplexity), true

	case "ScriptDiscountApplication.targetSelection":
		if e.complexity.ScriptDiscountApplication.TargetSelection == nil {
			break
		}

		return e.complexity.ScriptDiscountApplication.TargetSelection(childComplexity), true

	case "ScriptDiscountApplication.targetType":
		if e.complexity.ScriptDiscountApplication.TargetType == nil {
			break
		}

		return e.complexity.ScriptDiscountApplication.TargetType(childComplexity), true

	case "ScriptDiscountApplication.title":
		if e.complexity.ScriptDiscountApplication.Title == nil {
			break
		}

		return e.complexity.ScriptDiscountApplication.Title(childComplexity), true

	case "ScriptDiscountApplication.value":
		if e.complexity.ScriptDiscountApplication.Value == nil {
			break
		}

		return e.complexity.ScriptDiscountApplication.Value(childComplexity), true

	case "SearchFilter.key":
		if e.complexity.SearchFilter.Key == nil {
			break
		}

		return e.complexity.SearchFilter.Key(childComplexity), true

	case "SearchFilter.value":
		if e.complexity.SearchFilter.Value == nil {
			break
		}

		return e.complexity.SearchFilter.Value(childComplexity), true

	case "SearchFilterOptions.productAvailability":
		if e.complexity.SearchFilterOptions.ProductAvailability == nil {
			break
		}

		return e.complexity.SearchFilterOptions.ProductAvailability(childComplexity), true

	case "SearchResult.description":
		if e.complexity.SearchResult.Description == nil {
			break
		}

		return e.complexity.SearchResult.Description(childComplexity), true

	case "SearchResult.image":
		if e.complexity.SearchResult.Image == nil {
			break
		}

		return e.complexity.SearchResult.Image(childComplexity), true

	case "SearchResult.reference":
		if e.complexity.SearchResult.Reference == nil {
			break
		}

		return e.complexity.SearchResult.Reference(childComplexity), true

	case "SearchResult.title":
		if e.complexity.SearchResult.Title == nil {
			break
		}

		return e.complexity.SearchResult.Title(childComplexity), true

	case "SearchResult.url":
		if e.complexity.SearchResult.URL == nil {
			break
		}

		return e.complexity.SearchResult.URL(childComplexity), true

	case "SearchResultConnection.edges":
		if e.complexity.SearchResultConnection.Edges == nil {
			break
		}

		return e.complexity.SearchResultConnection.Edges(childComplexity), true

	case "SearchResultConnection.pageInfo":
		if e.complexity.SearchResultConnection.PageInfo == nil {
			break
		}

		return e.complexity.SearchResultConnection.PageInfo(childComplexity), true

	case "SearchResultEdge.cursor":
		if e.complexity.SearchResultEdge.Cursor == nil {
			break
		}

		return e.complexity.SearchResultEdge.Cursor(childComplexity), true

	case "SearchResultEdge.node":
		if e.complexity.SearchResultEdge.Node == nil {
			break
		}

		return e.complexity.SearchResultEdge.Node(childComplexity), true

	case "SelectedOption.name":
		if e.complexity.SelectedOption.Name == nil {
			break
		}

		return e.complexity.SelectedOption.Name(childComplexity), true

	case "SelectedOption.value":
		if e.complexity.SelectedOption.Value == nil {
			break
		}

		return e.complexity.SelectedOption.Value(childComplexity), true

	case "SellingPlan.billingPolicy":
		if e.complexity.SellingPlan.BillingPolicy == nil {
			break
		}

		return e.complexity.SellingPlan.BillingPolicy(childComplexity), true

	case "SellingPlan.category":
		if e.complexity.SellingPlan.Category == nil {
			break
		}

		return e.complexity.SellingPlan.Category(childComplexity), true

	case "SellingPlan.createdAt":
		if e.complexity.SellingPlan.CreatedAt == nil {
			break
		}

		return e.complexity.SellingPlan.CreatedAt(childComplexity), true

	case "SellingPlan.deliveryPolicy":
		if e.complexity.SellingPlan.DeliveryPolicy == nil {
			break
		}

		return e.complexity.SellingPlan.DeliveryPolicy(childComplexity), true

	case "SellingPlan.description":
		if e.complexity.SellingPlan.Description == nil {
			break
		}

		return e.complexity.SellingPlan.Description(childComplexity), true

	case "SellingPlan.id":
		if e.complexity.SellingPlan.ID == nil {
			break
		}

		return e.complexity.SellingPlan.ID(childComplexity), true

	case "SellingPlan.inventoryPolicy":
		if e.complexity.SellingPlan.InventoryPolicy == nil {
			break
		}

		return e.complexity.SellingPlan.InventoryPolicy(childComplexity), true

	case "SellingPlan.name":
		if e.complexity.SellingPlan.Name == nil {
			break
		}

		return e.complexity.SellingPlan.Name(childComplexity), true

	case "SellingPlan.options":
		if e.complexity.SellingPlan.Options == nil {
			break
		}

		return e.complexity.SellingPlan.Options(childComplexity), true

	case "SellingPlan.position":
		if e.complexity.SellingPlan.Position == nil {
			break
		}

		return e.complexity.SellingPlan.Position(childComplexity), true

	case "SellingPlan.pricingPolicies":
		if e.complexity.SellingPlan.PricingPolicies == nil {
			break
		}

		return e.complexity.SellingPlan.PricingPolicies(childComplexity), true

	case "SellingPlanAnchor.cutoffDay":
		if e.complexity.SellingPlanAnchor.CutoffDay == nil {
			break
		}

		return e.complexity.SellingPlanAnchor.CutoffDay(childComplexity), true

	case "SellingPlanAnchor.day":
		if e.complexity.SellingPlanAnchor.Day == nil {
			break
		}

		return e.complexity.SellingPlanAnchor.Day(childComplexity), true

	case "SellingPlanAnchor.month":
		if e.complexity.SellingPlanAnchor.Month == nil {
			break
		}

		return e.complexity.SellingPlanAnchor.Month(childComplexity), true

	case "SellingPlanAnchor.type":
		if e.complexity.SellingPlanAnchor.Type == nil {
			break
		}

		return e.complexity.SellingPlanAnchor.Type(childComplexity), true

	case "SellingPlanCheckoutCharge.type":
		if e.complexity.SellingPlanCheckoutCharge.Type == nil {
			break
		}

		return e.complexity.SellingPlanCheckoutCharge.Type(childComplexity), true

	case "SellingPlanCheckoutCharge.value":
		if e.complexity.SellingPlanCheckoutCharge.Value == nil {
			break
		}

		return e.complexity.SellingPlanCheckoutCharge.Value(childComplexity), true

	case "SellingPlanCheckoutChargePercentageValue.percentage":
		if e.complexity.SellingPlanCheckoutChargePercentageValue.Percentage == nil {
			break
		}

		return e.complexity.SellingPlanCheckoutChargePercentageValue.Percentage(childComplexity), true

	case "SellingPlanConnection.edges":
		if e.complexity.SellingPlanConnection.Edges == nil {
			break
		}

		return e.complexity.SellingPlanConnection.Edges(childComplexity), true

	case "SellingPlanConnection.nodes":
		if e.complexity.SellingPlanConnection.Nodes == nil {
			break
		}

		return e.complexity.SellingPlanConnection.Nodes(childComplexity), true

	case "SellingPlanConnection.pageInfo":
		if e.complexity.SellingPlanConnection.PageInfo == nil {
			break
		}

		return e.complexity.SellingPlanConnection.PageInfo(childComplexity), true

	case "SellingPlanEdge.cursor":
		if e.complexity.SellingPlanEdge.Cursor == nil {
			break
		}

		return e.complexity.SellingPlanEdge.Cursor(childComplexity), true

	case "SellingPlanEdge.node":
		if e.complexity.SellingPlanEdge.Node == nil {
			break
		}

		return e.complexity.SellingPlanEdge.Node(childComplexity), true

	case "SellingPlanFixedBillingPolicy.checkoutCharge":
		if e.complexity.SellingPlanFixedBillingPolicy.CheckoutCharge == nil {
			break
		}

		return e.complexity.SellingPlanFixedBillingPolicy.CheckoutCharge(childComplexity), true

	case "SellingPlanFixedBillingPolicy.remainingBalanceChargeExactTime":
		if e.complexity.SellingPlanFixedBillingPolicy.RemainingBalanceChargeExactTime == nil {
			break
		}

		return e.complexity.SellingPlanFixedBillingPolicy.RemainingBalanceChargeExactTime(childComplexity), true

	case "SellingPlanFixedBillingPolicy.remainingBalanceChargeTimeAfterCheckout":
		if e.complexity.SellingPlanFixedBillingPolicy.RemainingBalanceChargeTimeAfterCheckout == nil {
			break
		}

		return e.complexity.SellingPlanFixedBillingPolicy.RemainingBalanceChargeTimeAfterCheckout(childComplexity), true

	case "SellingPlanFixedBillingPolicy.remainingBalanceChargeTrigger":
		if e.complexity.SellingPlanFixedBillingPolicy.RemainingBalanceChargeTrigger == nil {
			break
		}

		return e.complexity.SellingPlanFixedBillingPolicy.RemainingBalanceChargeTrigger(childComplexity), true

	case "SellingPlanFixedDeliveryPolicy.anchors":
		if e.complexity.SellingPlanFixedDeliveryPolicy.Anchors == nil {
			break
		}

		return e.complexity.SellingPlanFixedDeliveryPolicy.Anchors(childComplexity), true

	case "SellingPlanFixedDeliveryPolicy.cutoff":
		if e.complexity.SellingPlanFixedDeliveryPolicy.Cutoff == nil {
			break
		}

		return e.complexity.SellingPlanFixedDeliveryPolicy.Cutoff(childComplexity), true

	case "SellingPlanFixedDeliveryPolicy.fulfillmentExactTime":
		if e.complexity.SellingPlanFixedDeliveryPolicy.FulfillmentExactTime == nil {
			break
		}

		return e.complexity.SellingPlanFixedDeliveryPolicy.FulfillmentExactTime(childComplexity), true

	case "SellingPlanFixedDeliveryPolicy.fulfillmentTrigger":
		if e.complexity.SellingPlanFixedDeliveryPolicy.FulfillmentTrigger == nil {
			break
		}

		return e.complexity.SellingPlanFixedDeliveryPolicy.FulfillmentTrigger(childComplexity), true

	case "SellingPlanFixedDeliveryPolicy.intent":
		if e.complexity.SellingPlanFixedDeliveryPolicy.Intent == nil {
			break
		}

		return e.complexity.SellingPlanFixedDeliveryPolicy.Intent(childComplexity), true

	case "SellingPlanFixedDeliveryPolicy.preAnchorBehavior":
		if e.complexity.SellingPlanFixedDeliveryPolicy.PreAnchorBehavior == nil {
			break
		}

		return e.complexity.SellingPlanFixedDeliveryPolicy.PreAnchorBehavior(childComplexity), true

	case "SellingPlanFixedPricingPolicy.adjustmentType":
		if e.complexity.SellingPlanFixedPricingPolicy.AdjustmentType == nil {
			break
		}

		return e.complexity.SellingPlanFixedPricingPolicy.AdjustmentType(childComplexity), true

	case "SellingPlanFixedPricingPolicy.adjustmentValue":
		if e.complexity.SellingPlanFixedPricingPolicy.AdjustmentValue == nil {
			break
		}

		return e.complexity.SellingPlanFixedPricingPolicy.AdjustmentValue(childComplexity), true

	case "SellingPlanFixedPricingPolicy.createdAt":
		if e.complexity.SellingPlanFixedPricingPolicy.CreatedAt == nil {
			break
		}

		return e.complexity.SellingPlanFixedPricingPolicy.CreatedAt(childComplexity), true

	case "SellingPlanGroup.appId":
		if e.complexity.SellingPlanGroup.AppID == nil {
			break
		}

		return e.complexity.SellingPlanGroup.AppID(childComplexity), true

	case "SellingPlanGroup.appliesToProduct":
		if e.complexity.SellingPlanGroup.AppliesToProduct == nil {
			break
		}

		args, err := ec.field_SellingPlanGroup_appliesToProduct_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SellingPlanGroup.AppliesToProduct(childComplexity, args["productId"].(string)), true

	case "SellingPlanGroup.appliesToProductVariant":
		if e.complexity.SellingPlanGroup.AppliesToProductVariant == nil {
			break
		}

		args, err := ec.field_SellingPlanGroup_appliesToProductVariant_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SellingPlanGroup.AppliesToProductVariant(childComplexity, args["productVariantId"].(string)), true

	case "SellingPlanGroup.appliesToProductVariants":
		if e.complexity.SellingPlanGroup.AppliesToProductVariants == nil {
			break
		}

		args, err := ec.field_SellingPlanGroup_appliesToProductVariants_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SellingPlanGroup.AppliesToProductVariants(childComplexity, args["productId"].(string)), true

	case "SellingPlanGroup.createdAt":
		if e.complexity.SellingPlanGroup.CreatedAt == nil {
			break
		}

		return e.complexity.SellingPlanGroup.CreatedAt(childComplexity), true

	case "SellingPlanGroup.description":
		if e.complexity.SellingPlanGroup.Description == nil {
			break
		}

		return e.complexity.SellingPlanGroup.Description(childComplexity), true

	case "SellingPlanGroup.id":
		if e.complexity.SellingPlanGroup.ID == nil {
			break
		}

		return e.complexity.SellingPlanGroup.ID(childComplexity), true

	case "SellingPlanGroup.merchantCode":
		if e.complexity.SellingPlanGroup.MerchantCode == nil {
			break
		}

		return e.complexity.SellingPlanGroup.MerchantCode(childComplexity), true

	case "SellingPlanGroup.name":
		if e.complexity.SellingPlanGroup.Name == nil {
			break
		}

		return e.complexity.SellingPlanGroup.Name(childComplexity), true

	case "SellingPlanGroup.options":
		if e.complexity.SellingPlanGroup.Options == nil {
			break
		}

		return e.complexity.SellingPlanGroup.Options(childComplexity), true

	case "SellingPlanGroup.position":
		if e.complexity.SellingPlanGroup.Position == nil {
			break
		}

		return e.complexity.SellingPlanGroup.Position(childComplexity), true

	case "SellingPlanGroup.productCount":
		if e.complexity.SellingPlanGroup.ProductCount == nil {
			break
		}

		return e.complexity.SellingPlanGroup.ProductCount(childComplexity), true

	case "SellingPlanGroup.productVariantCount":
		if e.complexity.SellingPlanGroup.ProductVariantCount == nil {
			break
		}

		args, err := ec.field_SellingPlanGroup_productVariantCount_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SellingPlanGroup.ProductVariantCount(childComplexity, args["productId"].(*string)), true

	case "SellingPlanGroup.productVariants":
		if e.complexity.SellingPlanGroup.ProductVariants == nil {
			break
		}

		args, err := ec.field_SellingPlanGroup_productVariants_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SellingPlanGroup.ProductVariants(childComplexity, args["productId"].(*string), args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SellingPlanGroup.products":
		if e.complexity.SellingPlanGroup.Products == nil {
			break
		}

		args, err := ec.field_SellingPlanGroup_products_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SellingPlanGroup.Products(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SellingPlanGroup.sellingPlans":
		if e.complexity.SellingPlanGroup.SellingPlans == nil {
			break
		}

		args, err := ec.field_SellingPlanGroup_sellingPlans_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SellingPlanGroup.SellingPlans(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SellingPlanGroup.summary":
		if e.complexity.SellingPlanGroup.Summary == nil {
			break
		}

		return e.complexity.SellingPlanGroup.Summary(childComplexity), true

	case "SellingPlanGroupConnection.edges":
		if e.complexity.SellingPlanGroupConnection.Edges == nil {
			break
		}

		return e.complexity.SellingPlanGroupConnection.Edges(childComplexity), true

	case "SellingPlanGroupConnection.nodes":
		if e.complexity.SellingPlanGroupConnection.Nodes == nil {
			break
		}

		return e.complexity.SellingPlanGroupConnection.Nodes(childComplexity), true

	case "SellingPlanGroupConnection.pageInfo":
		if e.complexity.SellingPlanGroupConnection.PageInfo == nil {
			break
		}

		return e.complexity.SellingPlanGroupConnection.PageInfo(childComplexity), true

	case "SellingPlanGroupEdge.cursor":
		if e.complexity.SellingPlanGroupEdge.Cursor == nil {
			break
		}

		return e.complexity.SellingPlanGroupEdge.Cursor(childComplexity), true

	case "SellingPlanGroupEdge.node":
		if e.complexity.SellingPlanGroupEdge.Node == nil {
			break
		}

		return e.complexity.SellingPlanGroupEdge.Node(childComplexity), true

	case "SellingPlanGroupUserError.code":
		if e.complexity.SellingPlanGroupUserError.Code == nil {
			break
		}

		return e.complexity.SellingPlanGroupUserError.Code(childComplexity), true

	case "SellingPlanGroupUserError.field":
		if e.complexity.SellingPlanGroupUserError.Field == nil {
			break
		}

		return e.complexity.SellingPlanGroupUserError.Field(childComplexity), true

	case "SellingPlanGroupUserError.message":
		if e.complexity.SellingPlanGroupUserError.Message == nil {
			break
		}

		return e.complexity.SellingPlanGroupUserError.Message(childComplexity), true

	case "SellingPlanInventoryPolicy.reserve":
		if e.complexity.SellingPlanInventoryPolicy.Reserve == nil {
			break
		}

		return e.complexity.SellingPlanInventoryPolicy.Reserve(childComplexity), true

	case "SellingPlanPricingPolicyPercentageValue.percentage":
		if e.complexity.SellingPlanPricingPolicyPercentageValue.Percentage == nil {
			break
		}

		return e.complexity.SellingPlanPricingPolicyPercentageValue.Percentage(childComplexity), true

	case "SellingPlanRecurringBillingPolicy.anchors":
		if e.complexity.SellingPlanRecurringBillingPolicy.Anchors == nil {
			break
		}

		return e.complexity.SellingPlanRecurringBillingPolicy.Anchors(childComplexity), true

	case "SellingPlanRecurringBillingPolicy.createdAt":
		if e.complexity.SellingPlanRecurringBillingPolicy.CreatedAt == nil {
			break
		}

		return e.complexity.SellingPlanRecurringBillingPolicy.CreatedAt(childComplexity), true

	case "SellingPlanRecurringBillingPolicy.interval":
		if e.complexity.SellingPlanRecurringBillingPolicy.Interval == nil {
			break
		}

		return e.complexity.SellingPlanRecurringBillingPolicy.Interval(childComplexity), true

	case "SellingPlanRecurringBillingPolicy.intervalCount":
		if e.complexity.SellingPlanRecurringBillingPolicy.IntervalCount == nil {
			break
		}

		return e.complexity.SellingPlanRecurringBillingPolicy.IntervalCount(childComplexity), true

	case "SellingPlanRecurringBillingPolicy.maxCycles":
		if e.complexity.SellingPlanRecurringBillingPolicy.MaxCycles == nil {
			break
		}

		return e.complexity.SellingPlanRecurringBillingPolicy.MaxCycles(childComplexity), true

	case "SellingPlanRecurringBillingPolicy.minCycles":
		if e.complexity.SellingPlanRecurringBillingPolicy.MinCycles == nil {
			break
		}

		return e.complexity.SellingPlanRecurringBillingPolicy.MinCycles(childComplexity), true

	case "SellingPlanRecurringDeliveryPolicy.anchors":
		if e.complexity.SellingPlanRecurringDeliveryPolicy.Anchors == nil {
			break
		}

		return e.complexity.SellingPlanRecurringDeliveryPolicy.Anchors(childComplexity), true

	case "SellingPlanRecurringDeliveryPolicy.createdAt":
		if e.complexity.SellingPlanRecurringDeliveryPolicy.CreatedAt == nil {
			break
		}

		return e.complexity.SellingPlanRecurringDeliveryPolicy.CreatedAt(childComplexity), true

	case "SellingPlanRecurringDeliveryPolicy.cutoff":
		if e.complexity.SellingPlanRecurringDeliveryPolicy.Cutoff == nil {
			break
		}

		return e.complexity.SellingPlanRecurringDeliveryPolicy.Cutoff(childComplexity), true

	case "SellingPlanRecurringDeliveryPolicy.intent":
		if e.complexity.SellingPlanRecurringDeliveryPolicy.Intent == nil {
			break
		}

		return e.complexity.SellingPlanRecurringDeliveryPolicy.Intent(childComplexity), true

	case "SellingPlanRecurringDeliveryPolicy.interval":
		if e.complexity.SellingPlanRecurringDeliveryPolicy.Interval == nil {
			break
		}

		return e.complexity.SellingPlanRecurringDeliveryPolicy.Interval(childComplexity), true

	case "SellingPlanRecurringDeliveryPolicy.intervalCount":
		if e.complexity.SellingPlanRecurringDeliveryPolicy.IntervalCount == nil {
			break
		}

		return e.complexity.SellingPlanRecurringDeliveryPolicy.IntervalCount(childComplexity), true

	case "SellingPlanRecurringDeliveryPolicy.preAnchorBehavior":
		if e.complexity.SellingPlanRecurringDeliveryPolicy.PreAnchorBehavior == nil {
			break
		}

		return e.complexity.SellingPlanRecurringDeliveryPolicy.PreAnchorBehavior(childComplexity), true

	case "SellingPlanRecurringPricingPolicy.adjustmentType":
		if e.complexity.SellingPlanRecurringPricingPolicy.AdjustmentType == nil {
			break
		}

		return e.complexity.SellingPlanRecurringPricingPolicy.AdjustmentType(childComplexity), true

	case "SellingPlanRecurringPricingPolicy.adjustmentValue":
		if e.complexity.SellingPlanRecurringPricingPolicy.AdjustmentValue == nil {
			break
		}

		return e.complexity.SellingPlanRecurringPricingPolicy.AdjustmentValue(childComplexity), true

	case "SellingPlanRecurringPricingPolicy.afterCycle":
		if e.complexity.SellingPlanRecurringPricingPolicy.AfterCycle == nil {
			break
		}

		return e.complexity.SellingPlanRecurringPricingPolicy.AfterCycle(childComplexity), true

	case "SellingPlanRecurringPricingPolicy.createdAt":
		if e.complexity.SellingPlanRecurringPricingPolicy.CreatedAt == nil {
			break
		}

		return e.complexity.SellingPlanRecurringPricingPolicy.CreatedAt(childComplexity), true

	case "ShippingLine.carrierIdentifier":
		if e.complexity.ShippingLine.CarrierIdentifier == nil {
			break
		}

		return e.complexity.ShippingLine.CarrierIdentifier(childComplexity), true

	case "ShippingLine.code":
		if e.complexity.ShippingLine.Code == nil {
			break
		}

		return e.complexity.ShippingLine.Code(childComplexity), true

	case "ShippingLine.custom":
		if e.complexity.ShippingLine.Custom == nil {
			break
		}

		return e.complexity.ShippingLine.Custom(childComplexity), true

	case "ShippingLine.deliveryCategory":
		if e.complexity.ShippingLine.DeliveryCategory == nil {
			break
		}

		return e.complexity.ShippingLine.DeliveryCategory(childComplexity), true

	case "ShippingLine.discountAllocations":
		if e.complexity.ShippingLine.DiscountAllocations == nil {
			break
		}

		return e.complexity.ShippingLine.DiscountAllocations(childComplexity), true

	case "ShippingLine.discountedPriceSet":
		if e.complexity.ShippingLine.DiscountedPriceSet == nil {
			break
		}

		return e.complexity.ShippingLine.DiscountedPriceSet(childComplexity), true

	case "ShippingLine.id":
		if e.complexity.ShippingLine.ID == nil {
			break
		}

		return e.complexity.ShippingLine.ID(childComplexity), true

	case "ShippingLine.originalPriceSet":
		if e.complexity.ShippingLine.OriginalPriceSet == nil {
			break
		}

		return e.complexity.ShippingLine.OriginalPriceSet(childComplexity), true

	case "ShippingLine.phone":
		if e.complexity.ShippingLine.Phone == nil {
			break
		}

		return e.complexity.ShippingLine.Phone(childComplexity), true

	case "ShippingLine.requestedFulfillmentService":
		if e.complexity.ShippingLine.RequestedFulfillmentService == nil {
			break
		}

		return e.complexity.ShippingLine.RequestedFulfillmentService(childComplexity), true

	case "ShippingLine.shippingRateHandle":
		if e.complexity.ShippingLine.ShippingRateHandle == nil {
			break
		}

		return e.complexity.ShippingLine.ShippingRateHandle(childComplexity), true

	case "ShippingLine.source":
		if e.complexity.ShippingLine.Source == nil {
			break
		}

		return e.complexity.ShippingLine.Source(childComplexity), true

	case "ShippingLine.taxLines":
		if e.complexity.ShippingLine.TaxLines == nil {
			break
		}

		return e.complexity.ShippingLine.TaxLines(childComplexity), true

	case "ShippingLine.title":
		if e.complexity.ShippingLine.Title == nil {
			break
		}

		return e.complexity.ShippingLine.Title(childComplexity), true

	case "ShippingLineConnection.edges":
		if e.complexity.ShippingLineConnection.Edges == nil {
			break
		}

		return e.complexity.ShippingLineConnection.Edges(childComplexity), true

	case "ShippingLineConnection.nodes":
		if e.complexity.ShippingLineConnection.Nodes == nil {
			break
		}

		return e.complexity.ShippingLineConnection.Nodes(childComplexity), true

	case "ShippingLineConnection.pageInfo":
		if e.complexity.ShippingLineConnection.PageInfo == nil {
			break
		}

		return e.complexity.ShippingLineConnection.PageInfo(childComplexity), true

	case "ShippingLineEdge.cursor":
		if e.complexity.ShippingLineEdge.Cursor == nil {
			break
		}

		return e.complexity.ShippingLineEdge.Cursor(childComplexity), true

	case "ShippingLineEdge.node":
		if e.complexity.ShippingLineEdge.Node == nil {
			break
		}

		return e.complexity.ShippingLineEdge.Node(childComplexity), true

	case "ShippingRefund.amountSet":
		if e.complexity.ShippingRefund.AmountSet == nil {
			break
		}

		return e.complexity.ShippingRefund.AmountSet(childComplexity), true

	case "ShippingRefund.maximumRefundableSet":
		if e.complexity.ShippingRefund.MaximumRefundableSet == nil {
			break
		}

		return e.complexity.ShippingRefund.MaximumRefundableSet(childComplexity), true

	case "ShippingRefund.taxSet":
		if e.complexity.ShippingRefund.TaxSet == nil {
			break
		}

		return e.complexity.ShippingRefund.TaxSet(childComplexity), true

	case "ShopAlert.action":
		if e.complexity.ShopAlert.Action == nil {
			break
		}

		return e.complexity.ShopAlert.Action(childComplexity), true

	case "ShopAlert.description":
		if e.complexity.ShopAlert.Description == nil {
			break
		}

		return e.complexity.ShopAlert.Description(childComplexity), true

	case "ShopAlertAction.title":
		if e.complexity.ShopAlertAction.Title == nil {
			break
		}

		return e.complexity.ShopAlertAction.Title(childComplexity), true

	case "ShopAlertAction.url":
		if e.complexity.ShopAlertAction.URL == nil {
			break
		}

		return e.complexity.ShopAlertAction.URL(childComplexity), true

	case "ShopFeatures.avalaraAvatax":
		if e.complexity.ShopFeatures.AvalaraAvatax == nil {
			break
		}

		return e.complexity.ShopFeatures.AvalaraAvatax(childComplexity), true

	case "ShopFeatures.branding":
		if e.complexity.ShopFeatures.Branding == nil {
			break
		}

		return e.complexity.ShopFeatures.Branding(childComplexity), true

	case "ShopFeatures.captcha":
		if e.complexity.ShopFeatures.Captcha == nil {
			break
		}

		return e.complexity.ShopFeatures.Captcha(childComplexity), true

	case "ShopFeatures.captchaExternalDomains":
		if e.complexity.ShopFeatures.CaptchaExternalDomains == nil {
			break
		}

		return e.complexity.ShopFeatures.CaptchaExternalDomains(childComplexity), true

	case "ShopFeatures.dynamicRemarketing":
		if e.complexity.ShopFeatures.DynamicRemarketing == nil {
			break
		}

		return e.complexity.ShopFeatures.DynamicRemarketing(childComplexity), true

	case "ShopFeatures.eligibleForSubscriptionMigration":
		if e.complexity.ShopFeatures.EligibleForSubscriptionMigration == nil {
			break
		}

		return e.complexity.ShopFeatures.EligibleForSubscriptionMigration(childComplexity), true

	case "ShopFeatures.eligibleForSubscriptions":
		if e.complexity.ShopFeatures.EligibleForSubscriptions == nil {
			break
		}

		return e.complexity.ShopFeatures.EligibleForSubscriptions(childComplexity), true

	case "ShopFeatures.giftCards":
		if e.complexity.ShopFeatures.GiftCards == nil {
			break
		}

		return e.complexity.ShopFeatures.GiftCards(childComplexity), true

	case "ShopFeatures.harmonizedSystemCode":
		if e.complexity.ShopFeatures.HarmonizedSystemCode == nil {
			break
		}

		return e.complexity.ShopFeatures.HarmonizedSystemCode(childComplexity), true

	case "ShopFeatures.internationalDomains":
		if e.complexity.ShopFeatures.InternationalDomains == nil {
			break
		}

		return e.complexity.ShopFeatures.InternationalDomains(childComplexity), true

	case "ShopFeatures.internationalPriceOverrides":
		if e.complexity.ShopFeatures.InternationalPriceOverrides == nil {
			break
		}

		return e.complexity.ShopFeatures.InternationalPriceOverrides(childComplexity), true

	case "ShopFeatures.internationalPriceRules":
		if e.complexity.ShopFeatures.InternationalPriceRules == nil {
			break
		}

		return e.complexity.ShopFeatures.InternationalPriceRules(childComplexity), true

	case "ShopFeatures.legacySubscriptionGatewayEnabled":
		if e.complexity.ShopFeatures.LegacySubscriptionGatewayEnabled == nil {
			break
		}

		return e.complexity.ShopFeatures.LegacySubscriptionGatewayEnabled(childComplexity), true

	case "ShopFeatures.liveView":
		if e.complexity.ShopFeatures.LiveView == nil {
			break
		}

		return e.complexity.ShopFeatures.LiveView(childComplexity), true

	case "ShopFeatures.onboardingVisual":
		if e.complexity.ShopFeatures.OnboardingVisual == nil {
			break
		}

		return e.complexity.ShopFeatures.OnboardingVisual(childComplexity), true

	case "ShopFeatures.paypalExpressSubscriptionGatewayStatus":
		if e.complexity.ShopFeatures.PaypalExpressSubscriptionGatewayStatus == nil {
			break
		}

		return e.complexity.ShopFeatures.PaypalExpressSubscriptionGatewayStatus(childComplexity), true

	case "ShopFeatures.reports":
		if e.complexity.ShopFeatures.Reports == nil {
			break
		}

		return e.complexity.ShopFeatures.Reports(childComplexity), true

	case "ShopFeatures.sellsSubscriptions":
		if e.complexity.ShopFeatures.SellsSubscriptions == nil {
			break
		}

		return e.complexity.ShopFeatures.SellsSubscriptions(childComplexity), true

	case "ShopFeatures.showMetrics":
		if e.complexity.ShopFeatures.ShowMetrics == nil {
			break
		}

		return e.complexity.ShopFeatures.ShowMetrics(childComplexity), true

	case "ShopFeatures.storefront":
		if e.complexity.ShopFeatures.Storefront == nil {
			break
		}

		return e.complexity.ShopFeatures.Storefront(childComplexity), true

	case "ShopFeatures.usingShopifyBalance":
		if e.complexity.ShopFeatures.UsingShopifyBalance == nil {
			break
		}

		return e.complexity.ShopFeatures.UsingShopifyBalance(childComplexity), true

	case "ShopPlan.displayName":
		if e.complexity.ShopPlan.DisplayName == nil {
			break
		}

		return e.complexity.ShopPlan.DisplayName(childComplexity), true

	case "ShopPlan.partnerDevelopment":
		if e.complexity.ShopPlan.PartnerDevelopment == nil {
			break
		}

		return e.complexity.ShopPlan.PartnerDevelopment(childComplexity), true

	case "ShopPlan.shopifyPlus":
		if e.complexity.ShopPlan.ShopifyPlus == nil {
			break
		}

		return e.complexity.ShopPlan.ShopifyPlus(childComplexity), true

	case "ShopPolicy.body":
		if e.complexity.ShopPolicy.Body == nil {
			break
		}

		return e.complexity.ShopPolicy.Body(childComplexity), true

	case "ShopPolicy.id":
		if e.complexity.ShopPolicy.ID == nil {
			break
		}

		return e.complexity.ShopPolicy.ID(childComplexity), true

	case "ShopPolicy.translations":
		if e.complexity.ShopPolicy.Translations == nil {
			break
		}

		args, err := ec.field_ShopPolicy_translations_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.ShopPolicy.Translations(childComplexity, args["locale"].(string), args["marketId"].(*string)), true

	case "ShopPolicy.type":
		if e.complexity.ShopPolicy.Type == nil {
			break
		}

		return e.complexity.ShopPolicy.Type(childComplexity), true

	case "ShopPolicy.url":
		if e.complexity.ShopPolicy.URL == nil {
			break
		}

		return e.complexity.ShopPolicy.URL(childComplexity), true

	case "ShopResourceLimits.locationLimit":
		if e.complexity.ShopResourceLimits.LocationLimit == nil {
			break
		}

		return e.complexity.ShopResourceLimits.LocationLimit(childComplexity), true

	case "ShopResourceLimits.maxProductOptions":
		if e.complexity.ShopResourceLimits.MaxProductOptions == nil {
			break
		}

		return e.complexity.ShopResourceLimits.MaxProductOptions(childComplexity), true

	case "ShopResourceLimits.maxProductVariants":
		if e.complexity.ShopResourceLimits.MaxProductVariants == nil {
			break
		}

		return e.complexity.ShopResourceLimits.MaxProductVariants(childComplexity), true

	case "ShopResourceLimits.redirectLimitReached":
		if e.complexity.ShopResourceLimits.RedirectLimitReached == nil {
			break
		}

		return e.complexity.ShopResourceLimits.RedirectLimitReached(childComplexity), true

	case "ShopResourceLimits.skuResourceLimits":
		if e.complexity.ShopResourceLimits.SkuResourceLimits == nil {
			break
		}

		return e.complexity.ShopResourceLimits.SkuResourceLimits(childComplexity), true

	case "ShopifyPaymentsExtendedAuthorization.extendedAuthorizationExpiresAt":
		if e.complexity.ShopifyPaymentsExtendedAuthorization.ExtendedAuthorizationExpiresAt == nil {
			break
		}

		return e.complexity.ShopifyPaymentsExtendedAuthorization.ExtendedAuthorizationExpiresAt(childComplexity), true

	case "ShopifyPaymentsExtendedAuthorization.standardAuthorizationExpiresAt":
		if e.complexity.ShopifyPaymentsExtendedAuthorization.StandardAuthorizationExpiresAt == nil {
			break
		}

		return e.complexity.ShopifyPaymentsExtendedAuthorization.StandardAuthorizationExpiresAt(childComplexity), true

	case "ShopifyPaymentsRefundSet.acquirerReferenceNumber":
		if e.complexity.ShopifyPaymentsRefundSet.AcquirerReferenceNumber == nil {
			break
		}

		return e.complexity.ShopifyPaymentsRefundSet.AcquirerReferenceNumber(childComplexity), true

	case "ShopifyPaymentsTransactionSet.extendedAuthorizationSet":
		if e.complexity.ShopifyPaymentsTransactionSet.ExtendedAuthorizationSet == nil {
			break
		}

		return e.complexity.ShopifyPaymentsTransactionSet.ExtendedAuthorizationSet(childComplexity), true

	case "ShopifyPaymentsTransactionSet.refundSet":
		if e.complexity.ShopifyPaymentsTransactionSet.RefundSet == nil {
			break
		}

		return e.complexity.ShopifyPaymentsTransactionSet.RefundSet(childComplexity), true

	case "StaffMember.active":
		if e.complexity.StaffMember.Active == nil {
			break
		}

		return e.complexity.StaffMember.Active(childComplexity), true

	case "StaffMember.avatar":
		if e.complexity.StaffMember.Avatar == nil {
			break
		}

		args, err := ec.field_StaffMember_avatar_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.StaffMember.Avatar(childComplexity, args["fallback"].(*StaffMemberDefaultImage)), true

	case "StaffMember.email":
		if e.complexity.StaffMember.Email == nil {
			break
		}

		return e.complexity.StaffMember.Email(childComplexity), true

	case "StaffMember.exists":
		if e.complexity.StaffMember.Exists == nil {
			break
		}

		return e.complexity.StaffMember.Exists(childComplexity), true

	case "StaffMember.firstName":
		if e.complexity.StaffMember.FirstName == nil {
			break
		}

		return e.complexity.StaffMember.FirstName(childComplexity), true

	case "StaffMember.id":
		if e.complexity.StaffMember.ID == nil {
			break
		}

		return e.complexity.StaffMember.ID(childComplexity), true

	case "StaffMember.initials":
		if e.complexity.StaffMember.Initials == nil {
			break
		}

		return e.complexity.StaffMember.Initials(childComplexity), true

	case "StaffMember.isShopOwner":
		if e.complexity.StaffMember.IsShopOwner == nil {
			break
		}

		return e.complexity.StaffMember.IsShopOwner(childComplexity), true

	case "StaffMember.lastName":
		if e.complexity.StaffMember.LastName == nil {
			break
		}

		return e.complexity.StaffMember.LastName(childComplexity), true

	case "StaffMember.locale":
		if e.complexity.StaffMember.Locale == nil {
			break
		}

		return e.complexity.StaffMember.Locale(childComplexity), true

	case "StaffMember.name":
		if e.complexity.StaffMember.Name == nil {
			break
		}

		return e.complexity.StaffMember.Name(childComplexity), true

	case "StaffMember.phone":
		if e.complexity.StaffMember.Phone == nil {
			break
		}

		return e.complexity.StaffMember.Phone(childComplexity), true

	case "StaffMember.privateData":
		if e.complexity.StaffMember.PrivateData == nil {
			break
		}

		return e.complexity.StaffMember.PrivateData(childComplexity), true

	case "StaffMemberConnection.edges":
		if e.complexity.StaffMemberConnection.Edges == nil {
			break
		}

		return e.complexity.StaffMemberConnection.Edges(childComplexity), true

	case "StaffMemberConnection.nodes":
		if e.complexity.StaffMemberConnection.Nodes == nil {
			break
		}

		return e.complexity.StaffMemberConnection.Nodes(childComplexity), true

	case "StaffMemberConnection.pageInfo":
		if e.complexity.StaffMemberConnection.PageInfo == nil {
			break
		}

		return e.complexity.StaffMemberConnection.PageInfo(childComplexity), true

	case "StaffMemberEdge.cursor":
		if e.complexity.StaffMemberEdge.Cursor == nil {
			break
		}

		return e.complexity.StaffMemberEdge.Cursor(childComplexity), true

	case "StaffMemberEdge.node":
		if e.complexity.StaffMemberEdge.Node == nil {
			break
		}

		return e.complexity.StaffMemberEdge.Node(childComplexity), true

	case "StaffMemberPrivateData.accountSettingsUrl":
		if e.complexity.StaffMemberPrivateData.AccountSettingsURL == nil {
			break
		}

		return e.complexity.StaffMemberPrivateData.AccountSettingsURL(childComplexity), true

	case "StaffMemberPrivateData.createdAt":
		if e.complexity.StaffMemberPrivateData.CreatedAt == nil {
			break
		}

		return e.complexity.StaffMemberPrivateData.CreatedAt(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.description":
		if e.complexity.StandardMetafieldDefinitionTemplate.Description == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.Description(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.id":
		if e.complexity.StandardMetafieldDefinitionTemplate.ID == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.ID(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.key":
		if e.complexity.StandardMetafieldDefinitionTemplate.Key == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.Key(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.name":
		if e.complexity.StandardMetafieldDefinitionTemplate.Name == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.Name(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.namespace":
		if e.complexity.StandardMetafieldDefinitionTemplate.Namespace == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.Namespace(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.ownerTypes":
		if e.complexity.StandardMetafieldDefinitionTemplate.OwnerTypes == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.OwnerTypes(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.type":
		if e.complexity.StandardMetafieldDefinitionTemplate.Type == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.Type(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.validations":
		if e.complexity.StandardMetafieldDefinitionTemplate.Validations == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.Validations(childComplexity), true

	case "StandardMetafieldDefinitionTemplate.visibleToStorefrontApi":
		if e.complexity.StandardMetafieldDefinitionTemplate.VisibleToStorefrontAPI == nil {
			break
		}

		return e.complexity.StandardMetafieldDefinitionTemplate.VisibleToStorefrontAPI(childComplexity), true

	case "StorefrontAccessToken.accessScopes":
		if e.complexity.StorefrontAccessToken.AccessScopes == nil {
			break
		}

		return e.complexity.StorefrontAccessToken.AccessScopes(childComplexity), true

	case "StorefrontAccessToken.accessToken":
		if e.complexity.StorefrontAccessToken.AccessToken == nil {
			break
		}

		return e.complexity.StorefrontAccessToken.AccessToken(childComplexity), true

	case "StorefrontAccessToken.createdAt":
		if e.complexity.StorefrontAccessToken.CreatedAt == nil {
			break
		}

		return e.complexity.StorefrontAccessToken.CreatedAt(childComplexity), true

	case "StorefrontAccessToken.id":
		if e.complexity.StorefrontAccessToken.ID == nil {
			break
		}

		return e.complexity.StorefrontAccessToken.ID(childComplexity), true

	case "StorefrontAccessToken.title":
		if e.complexity.StorefrontAccessToken.Title == nil {
			break
		}

		return e.complexity.StorefrontAccessToken.Title(childComplexity), true

	case "StorefrontAccessToken.updatedAt":
		if e.complexity.StorefrontAccessToken.UpdatedAt == nil {
			break
		}

		return e.complexity.StorefrontAccessToken.UpdatedAt(childComplexity), true

	case "StorefrontAccessTokenConnection.edges":
		if e.complexity.StorefrontAccessTokenConnection.Edges == nil {
			break
		}

		return e.complexity.StorefrontAccessTokenConnection.Edges(childComplexity), true

	case "StorefrontAccessTokenConnection.nodes":
		if e.complexity.StorefrontAccessTokenConnection.Nodes == nil {
			break
		}

		return e.complexity.StorefrontAccessTokenConnection.Nodes(childComplexity), true

	case "StorefrontAccessTokenConnection.pageInfo":
		if e.complexity.StorefrontAccessTokenConnection.PageInfo == nil {
			break
		}

		return e.complexity.StorefrontAccessTokenConnection.PageInfo(childComplexity), true

	case "StorefrontAccessTokenEdge.cursor":
		if e.complexity.StorefrontAccessTokenEdge.Cursor == nil {
			break
		}

		return e.complexity.StorefrontAccessTokenEdge.Cursor(childComplexity), true

	case "StorefrontAccessTokenEdge.node":
		if e.complexity.StorefrontAccessTokenEdge.Node == nil {
			break
		}

		return e.complexity.StorefrontAccessTokenEdge.Node(childComplexity), true

	case "StringConnection.edges":
		if e.complexity.StringConnection.Edges == nil {
			break
		}

		return e.complexity.StringConnection.Edges(childComplexity), true

	case "StringConnection.pageInfo":
		if e.complexity.StringConnection.PageInfo == nil {
			break
		}

		return e.complexity.StringConnection.PageInfo(childComplexity), true

	case "StringEdge.cursor":
		if e.complexity.StringEdge.Cursor == nil {
			break
		}

		return e.complexity.StringEdge.Cursor(childComplexity), true

	case "StringEdge.node":
		if e.complexity.StringEdge.Node == nil {
			break
		}

		return e.complexity.StringEdge.Node(childComplexity), true

	case "SubscriptionAppliedCodeDiscount.id":
		if e.complexity.SubscriptionAppliedCodeDiscount.ID == nil {
			break
		}

		return e.complexity.SubscriptionAppliedCodeDiscount.ID(childComplexity), true

	case "SubscriptionAppliedCodeDiscount.redeemCode":
		if e.complexity.SubscriptionAppliedCodeDiscount.RedeemCode == nil {
			break
		}

		return e.complexity.SubscriptionAppliedCodeDiscount.RedeemCode(childComplexity), true

	case "SubscriptionAppliedCodeDiscount.rejectionReason":
		if e.complexity.SubscriptionAppliedCodeDiscount.RejectionReason == nil {
			break
		}

		return e.complexity.SubscriptionAppliedCodeDiscount.RejectionReason(childComplexity), true

	case "SubscriptionBillingAttempt.completedAt":
		if e.complexity.SubscriptionBillingAttempt.CompletedAt == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.CompletedAt(childComplexity), true

	case "SubscriptionBillingAttempt.createdAt":
		if e.complexity.SubscriptionBillingAttempt.CreatedAt == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.CreatedAt(childComplexity), true

	case "SubscriptionBillingAttempt.errorCode":
		if e.complexity.SubscriptionBillingAttempt.ErrorCode == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.ErrorCode(childComplexity), true

	case "SubscriptionBillingAttempt.errorMessage":
		if e.complexity.SubscriptionBillingAttempt.ErrorMessage == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.ErrorMessage(childComplexity), true

	case "SubscriptionBillingAttempt.id":
		if e.complexity.SubscriptionBillingAttempt.ID == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.ID(childComplexity), true

	case "SubscriptionBillingAttempt.idempotencyKey":
		if e.complexity.SubscriptionBillingAttempt.IdempotencyKey == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.IdempotencyKey(childComplexity), true

	case "SubscriptionBillingAttempt.nextActionUrl":
		if e.complexity.SubscriptionBillingAttempt.NextActionURL == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.NextActionURL(childComplexity), true

	case "SubscriptionBillingAttempt.order":
		if e.complexity.SubscriptionBillingAttempt.Order == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.Order(childComplexity), true

	case "SubscriptionBillingAttempt.originTime":
		if e.complexity.SubscriptionBillingAttempt.OriginTime == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.OriginTime(childComplexity), true

	case "SubscriptionBillingAttempt.ready":
		if e.complexity.SubscriptionBillingAttempt.Ready == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.Ready(childComplexity), true

	case "SubscriptionBillingAttempt.subscriptionContract":
		if e.complexity.SubscriptionBillingAttempt.SubscriptionContract == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttempt.SubscriptionContract(childComplexity), true

	case "SubscriptionBillingAttemptConnection.edges":
		if e.complexity.SubscriptionBillingAttemptConnection.Edges == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttemptConnection.Edges(childComplexity), true

	case "SubscriptionBillingAttemptConnection.nodes":
		if e.complexity.SubscriptionBillingAttemptConnection.Nodes == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttemptConnection.Nodes(childComplexity), true

	case "SubscriptionBillingAttemptConnection.pageInfo":
		if e.complexity.SubscriptionBillingAttemptConnection.PageInfo == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttemptConnection.PageInfo(childComplexity), true

	case "SubscriptionBillingAttemptEdge.cursor":
		if e.complexity.SubscriptionBillingAttemptEdge.Cursor == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttemptEdge.Cursor(childComplexity), true

	case "SubscriptionBillingAttemptEdge.node":
		if e.complexity.SubscriptionBillingAttemptEdge.Node == nil {
			break
		}

		return e.complexity.SubscriptionBillingAttemptEdge.Node(childComplexity), true

	case "SubscriptionBillingPolicy.anchors":
		if e.complexity.SubscriptionBillingPolicy.Anchors == nil {
			break
		}

		return e.complexity.SubscriptionBillingPolicy.Anchors(childComplexity), true

	case "SubscriptionBillingPolicy.interval":
		if e.complexity.SubscriptionBillingPolicy.Interval == nil {
			break
		}

		return e.complexity.SubscriptionBillingPolicy.Interval(childComplexity), true

	case "SubscriptionBillingPolicy.intervalCount":
		if e.complexity.SubscriptionBillingPolicy.IntervalCount == nil {
			break
		}

		return e.complexity.SubscriptionBillingPolicy.IntervalCount(childComplexity), true

	case "SubscriptionBillingPolicy.maxCycles":
		if e.complexity.SubscriptionBillingPolicy.MaxCycles == nil {
			break
		}

		return e.complexity.SubscriptionBillingPolicy.MaxCycles(childComplexity), true

	case "SubscriptionBillingPolicy.minCycles":
		if e.complexity.SubscriptionBillingPolicy.MinCycles == nil {
			break
		}

		return e.complexity.SubscriptionBillingPolicy.MinCycles(childComplexity), true

	case "SubscriptionContract.app":
		if e.complexity.SubscriptionContract.App == nil {
			break
		}

		return e.complexity.SubscriptionContract.App(childComplexity), true

	case "SubscriptionContract.appAdminUrl":
		if e.complexity.SubscriptionContract.AppAdminURL == nil {
			break
		}

		return e.complexity.SubscriptionContract.AppAdminURL(childComplexity), true

	case "SubscriptionContract.billingAttempts":
		if e.complexity.SubscriptionContract.BillingAttempts == nil {
			break
		}

		args, err := ec.field_SubscriptionContract_billingAttempts_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SubscriptionContract.BillingAttempts(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SubscriptionContract.billingPolicy":
		if e.complexity.SubscriptionContract.BillingPolicy == nil {
			break
		}

		return e.complexity.SubscriptionContract.BillingPolicy(childComplexity), true

	case "SubscriptionContract.createdAt":
		if e.complexity.SubscriptionContract.CreatedAt == nil {
			break
		}

		return e.complexity.SubscriptionContract.CreatedAt(childComplexity), true

	case "SubscriptionContract.currencyCode":
		if e.complexity.SubscriptionContract.CurrencyCode == nil {
			break
		}

		return e.complexity.SubscriptionContract.CurrencyCode(childComplexity), true

	case "SubscriptionContract.customAttributes":
		if e.complexity.SubscriptionContract.CustomAttributes == nil {
			break
		}

		return e.complexity.SubscriptionContract.CustomAttributes(childComplexity), true

	case "SubscriptionContract.customer":
		if e.complexity.SubscriptionContract.Customer == nil {
			break
		}

		return e.complexity.SubscriptionContract.Customer(childComplexity), true

	case "SubscriptionContract.customerPaymentMethod":
		if e.complexity.SubscriptionContract.CustomerPaymentMethod == nil {
			break
		}

		args, err := ec.field_SubscriptionContract_customerPaymentMethod_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SubscriptionContract.CustomerPaymentMethod(childComplexity, args["showRevoked"].(*bool)), true

	case "SubscriptionContract.deliveryMethod":
		if e.complexity.SubscriptionContract.DeliveryMethod == nil {
			break
		}

		return e.complexity.SubscriptionContract.DeliveryMethod(childComplexity), true

	case "SubscriptionContract.deliveryPolicy":
		if e.complexity.SubscriptionContract.DeliveryPolicy == nil {
			break
		}

		return e.complexity.SubscriptionContract.DeliveryPolicy(childComplexity), true

	case "SubscriptionContract.deliveryPrice":
		if e.complexity.SubscriptionContract.DeliveryPrice == nil {
			break
		}

		return e.complexity.SubscriptionContract.DeliveryPrice(childComplexity), true

	case "SubscriptionContract.discounts":
		if e.complexity.SubscriptionContract.Discounts == nil {
			break
		}

		args, err := ec.field_SubscriptionContract_discounts_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SubscriptionContract.Discounts(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SubscriptionContract.id":
		if e.complexity.SubscriptionContract.ID == nil {
			break
		}

		return e.complexity.SubscriptionContract.ID(childComplexity), true

	case "SubscriptionContract.lastPaymentStatus":
		if e.complexity.SubscriptionContract.LastPaymentStatus == nil {
			break
		}

		return e.complexity.SubscriptionContract.LastPaymentStatus(childComplexity), true

	case "SubscriptionContract.lineCount":
		if e.complexity.SubscriptionContract.LineCount == nil {
			break
		}

		return e.complexity.SubscriptionContract.LineCount(childComplexity), true

	case "SubscriptionContract.lines":
		if e.complexity.SubscriptionContract.Lines == nil {
			break
		}

		args, err := ec.field_SubscriptionContract_lines_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SubscriptionContract.Lines(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SubscriptionContract.nextBillingDate":
		if e.complexity.SubscriptionContract.NextBillingDate == nil {
			break
		}

		return e.complexity.SubscriptionContract.NextBillingDate(childComplexity), true

	case "SubscriptionContract.note":
		if e.complexity.SubscriptionContract.Note == nil {
			break
		}

		return e.complexity.SubscriptionContract.Note(childComplexity), true

	case "SubscriptionContract.orders":
		if e.complexity.SubscriptionContract.Orders == nil {
			break
		}

		args, err := ec.field_SubscriptionContract_orders_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SubscriptionContract.Orders(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SubscriptionContract.originOrder":
		if e.complexity.SubscriptionContract.OriginOrder == nil {
			break
		}

		return e.complexity.SubscriptionContract.OriginOrder(childComplexity), true

	case "SubscriptionContract.status":
		if e.complexity.SubscriptionContract.Status == nil {
			break
		}

		return e.complexity.SubscriptionContract.Status(childComplexity), true

	case "SubscriptionContract.updatedAt":
		if e.complexity.SubscriptionContract.UpdatedAt == nil {
			break
		}

		return e.complexity.SubscriptionContract.UpdatedAt(childComplexity), true

	case "SubscriptionContractConnection.edges":
		if e.complexity.SubscriptionContractConnection.Edges == nil {
			break
		}

		return e.complexity.SubscriptionContractConnection.Edges(childComplexity), true

	case "SubscriptionContractConnection.nodes":
		if e.complexity.SubscriptionContractConnection.Nodes == nil {
			break
		}

		return e.complexity.SubscriptionContractConnection.Nodes(childComplexity), true

	case "SubscriptionContractConnection.pageInfo":
		if e.complexity.SubscriptionContractConnection.PageInfo == nil {
			break
		}

		return e.complexity.SubscriptionContractConnection.PageInfo(childComplexity), true

	case "SubscriptionContractEdge.cursor":
		if e.complexity.SubscriptionContractEdge.Cursor == nil {
			break
		}

		return e.complexity.SubscriptionContractEdge.Cursor(childComplexity), true

	case "SubscriptionContractEdge.node":
		if e.complexity.SubscriptionContractEdge.Node == nil {
			break
		}

		return e.complexity.SubscriptionContractEdge.Node(childComplexity), true

	case "SubscriptionCyclePriceAdjustment.adjustmentType":
		if e.complexity.SubscriptionCyclePriceAdjustment.AdjustmentType == nil {
			break
		}

		return e.complexity.SubscriptionCyclePriceAdjustment.AdjustmentType(childComplexity), true

	case "SubscriptionCyclePriceAdjustment.adjustmentValue":
		if e.complexity.SubscriptionCyclePriceAdjustment.AdjustmentValue == nil {
			break
		}

		return e.complexity.SubscriptionCyclePriceAdjustment.AdjustmentValue(childComplexity), true

	case "SubscriptionCyclePriceAdjustment.afterCycle":
		if e.complexity.SubscriptionCyclePriceAdjustment.AfterCycle == nil {
			break
		}

		return e.complexity.SubscriptionCyclePriceAdjustment.AfterCycle(childComplexity), true

	case "SubscriptionCyclePriceAdjustment.computedPrice":
		if e.complexity.SubscriptionCyclePriceAdjustment.ComputedPrice == nil {
			break
		}

		return e.complexity.SubscriptionCyclePriceAdjustment.ComputedPrice(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDelivery.address":
		if e.complexity.SubscriptionDeliveryMethodLocalDelivery.Address == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDelivery.Address(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDelivery.localDeliveryOption":
		if e.complexity.SubscriptionDeliveryMethodLocalDelivery.LocalDeliveryOption == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDelivery.LocalDeliveryOption(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDeliveryOption.code":
		if e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Code == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Code(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDeliveryOption.description":
		if e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Description == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Description(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDeliveryOption.instructions":
		if e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Instructions == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Instructions(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDeliveryOption.phone":
		if e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Phone == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Phone(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDeliveryOption.presentmentTitle":
		if e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.PresentmentTitle == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.PresentmentTitle(childComplexity), true

	case "SubscriptionDeliveryMethodLocalDeliveryOption.title":
		if e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Title == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodLocalDeliveryOption.Title(childComplexity), true

	case "SubscriptionDeliveryMethodPickup.pickupOption":
		if e.complexity.SubscriptionDeliveryMethodPickup.PickupOption == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodPickup.PickupOption(childComplexity), true

	case "SubscriptionDeliveryMethodPickupOption.code":
		if e.complexity.SubscriptionDeliveryMethodPickupOption.Code == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodPickupOption.Code(childComplexity), true

	case "SubscriptionDeliveryMethodPickupOption.description":
		if e.complexity.SubscriptionDeliveryMethodPickupOption.Description == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodPickupOption.Description(childComplexity), true

	case "SubscriptionDeliveryMethodPickupOption.location":
		if e.complexity.SubscriptionDeliveryMethodPickupOption.Location == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodPickupOption.Location(childComplexity), true

	case "SubscriptionDeliveryMethodPickupOption.presentmentTitle":
		if e.complexity.SubscriptionDeliveryMethodPickupOption.PresentmentTitle == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodPickupOption.PresentmentTitle(childComplexity), true

	case "SubscriptionDeliveryMethodPickupOption.title":
		if e.complexity.SubscriptionDeliveryMethodPickupOption.Title == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodPickupOption.Title(childComplexity), true

	case "SubscriptionDeliveryMethodShipping.address":
		if e.complexity.SubscriptionDeliveryMethodShipping.Address == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodShipping.Address(childComplexity), true

	case "SubscriptionDeliveryMethodShipping.shippingOption":
		if e.complexity.SubscriptionDeliveryMethodShipping.ShippingOption == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodShipping.ShippingOption(childComplexity), true

	case "SubscriptionDeliveryMethodShippingOption.carrierService":
		if e.complexity.SubscriptionDeliveryMethodShippingOption.CarrierService == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodShippingOption.CarrierService(childComplexity), true

	case "SubscriptionDeliveryMethodShippingOption.code":
		if e.complexity.SubscriptionDeliveryMethodShippingOption.Code == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodShippingOption.Code(childComplexity), true

	case "SubscriptionDeliveryMethodShippingOption.description":
		if e.complexity.SubscriptionDeliveryMethodShippingOption.Description == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodShippingOption.Description(childComplexity), true

	case "SubscriptionDeliveryMethodShippingOption.presentmentTitle":
		if e.complexity.SubscriptionDeliveryMethodShippingOption.PresentmentTitle == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodShippingOption.PresentmentTitle(childComplexity), true

	case "SubscriptionDeliveryMethodShippingOption.title":
		if e.complexity.SubscriptionDeliveryMethodShippingOption.Title == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryMethodShippingOption.Title(childComplexity), true

	case "SubscriptionDeliveryPolicy.anchors":
		if e.complexity.SubscriptionDeliveryPolicy.Anchors == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryPolicy.Anchors(childComplexity), true

	case "SubscriptionDeliveryPolicy.interval":
		if e.complexity.SubscriptionDeliveryPolicy.Interval == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryPolicy.Interval(childComplexity), true

	case "SubscriptionDeliveryPolicy.intervalCount":
		if e.complexity.SubscriptionDeliveryPolicy.IntervalCount == nil {
			break
		}

		return e.complexity.SubscriptionDeliveryPolicy.IntervalCount(childComplexity), true

	case "SubscriptionDiscountAllocation.amount":
		if e.complexity.SubscriptionDiscountAllocation.Amount == nil {
			break
		}

		return e.complexity.SubscriptionDiscountAllocation.Amount(childComplexity), true

	case "SubscriptionDiscountAllocation.discount":
		if e.complexity.SubscriptionDiscountAllocation.Discount == nil {
			break
		}

		return e.complexity.SubscriptionDiscountAllocation.Discount(childComplexity), true

	case "SubscriptionDiscountEntitledLines.all":
		if e.complexity.SubscriptionDiscountEntitledLines.All == nil {
			break
		}

		return e.complexity.SubscriptionDiscountEntitledLines.All(childComplexity), true

	case "SubscriptionDiscountEntitledLines.lines":
		if e.complexity.SubscriptionDiscountEntitledLines.Lines == nil {
			break
		}

		args, err := ec.field_SubscriptionDiscountEntitledLines_lines_args(context.TODO(), rawArgs)
		if err != nil {
			return 0, false
		}

		return e.complexity.SubscriptionDiscountEntitledLines.Lines(childComplexity, args["first"].(*int), args["after"].(*string), args["last"].(*int), args["before"].(*string), args["reverse"].(*bool)), true

	case "SubscriptionDiscountFixedAmountValue.amount":
		if e.complexity.SubscriptionDiscountFixedAmountValue.Amount == nil {
			break
		}

		return e.complexity.SubscriptionDiscountFixedAmountValue.Amount(childComplexity), true

	case "SubscriptionDiscountFixedAmountValue.appliesOnEachItem":
		if e.complexity.SubscriptionDiscountFixedAmountValue.AppliesOnEachItem == nil {
			break
		}

		return e.complexity.SubscriptionDiscountFixedAmountValue.AppliesOnEachItem(childComplexity), true

	case "SubscriptionDiscountPercentageValue.percentage":
		if e.complexity.SubscriptionDiscountPercentageValue.Percentage == nil {
			break
		}

		return e.complexity.SubscriptionDiscountPercentageValue.Percentage(childComplexity), true

	case "SubscriptionLine.currentPrice":
		if e.complexity.SubscriptionLine.CurrentPrice == nil {
			break
		}

		return e.complexity.SubscriptionLine.CurrentPrice(childComplexity), true

	case "SubscriptionLine.customAttributes":
		if e.complexity.SubscriptionLine.CustomAttributes == nil {
			break
		}

		return e.complexity.SubscriptionLine.CustomAttributes(childComplexity), true

	case "SubscriptionLine.discountAllocations":
		if e.complexity.SubscriptionLine.DiscountAllocations == nil {
			break
		}

		return e.complexity.SubscriptionLine.DiscountAllocations(childComplexity), true

	case "SubscriptionLine.id":
		if e.complexity.SubscriptionLine.ID == nil {
			break
		}

		return e.complexity.SubscriptionLine.ID(childComplexity), true

	case "SubscriptionLine.lineDiscountedPrice":
		if e.complexity.SubscriptionLine.LineDiscountedPrice == nil {
			break
		}

		return e.complexity.SubscriptionLine.LineDiscountedPrice(childComplexity), true

	case "SubscriptionLine.pricingPolicy":
		if e.complexity.SubscriptionLine.PricingPolicy == nil {
			break
		}

		return e.complexity.SubscriptionLine.PricingPolicy(childComplexity), true

	case "SubscriptionLine.productId":
		if e.complexity.SubscriptionLine.ProductID == nil {
			break
		}

		return e.complexity.SubscriptionLine.ProductID(childComplexity), true

	case "SubscriptionLine.quantity":
		if e.complexity.SubscriptionLine.Quantity == nil {
			break
		}

		return e.complexity.SubscriptionLine.Quantity(childComplexity), true

	case "SubscriptionLine.requiresShipping":
		if e.complexity.SubscriptionLine.RequiresShipping == nil {
			break
		}

		return e.complexity.SubscriptionLine.RequiresShipping(childComplexity), true

	case "SubscriptionLine.sellingPlanId":
		if e.complexity.SubscriptionLine.SellingPlanID == nil {
			break
		}

		return e.complexity.SubscriptionLine.SellingPlanID(childComplexity), true

	case "SubscriptionLine.sellingPlanName":
		if e.complexity.SubscriptionLine.SellingPlanName == nil {
			break
		}

		return e.complexity.SubscriptionLine.SellingPlanName(childComplexity), true

	case "SubscriptionLine.sku":
		if e.complexity.SubscriptionLine.Sku == nil {
			break
		}

		return e.complexity.SubscriptionLine.Sku(childComplexity), true

	case "SubscriptionLine.taxable":
		if e.complexity.SubscriptionLine.Taxable == nil {
			break
		}

		return e.complexity.SubscriptionLine.Taxable(childComplexity), true

	case "SubscriptionLine.title":
		if e.complexity.SubscriptionLine.Title == nil {
			break
		}

		return e.complexity.SubscriptionLine.Title(childComplexity), true

	case "SubscriptionLine.variantId":
		if e.complexity.SubscriptionLine.VariantID == nil {
			break
		}

		return e.complexity.SubscriptionLine.VariantID(childComplexity), true

	case "SubscriptionLine.variantImage":
		if e.complexity.SubscriptionLine.VariantImage == nil {
			break
		}

		return e.complexity.SubscriptionLine.VariantImage(childComplexity), true

	case "SubscriptionLine.variantTitle":
		if e.complexity.SubscriptionLine.VariantTitle == nil {
			break
		}

		return e.complexity.SubscriptionLine.VariantTitle(childComplexity), true

	case "SubscriptionLineConnection.edges":
		if e.complexity.SubscriptionLineConnection.Edges == nil {
			break
		}

		return e.complexity.SubscriptionLineConnection.Edges(childComplexity), true

	case "SubscriptionLineConnection.nodes":
		if e.complexity.SubscriptionLineConnection.Nodes == nil {
			break
		}

		return e.complexity.SubscriptionLineConnection.Nodes(childComplexity), true

	case "SubscriptionLineConnection.pageInfo":
		if e.complexity.SubscriptionLineConnection.PageInfo == nil {
			break
		}

		return e.complexity.SubscriptionLineConnection.PageInfo(childComplexity), true

	case "SubscriptionLineEdge.cursor":
		if e.complexity.SubscriptionLineEdge.Cursor == nil {
			break
		}

		return e.complexity.SubscriptionLineEdge.Cursor(childComplexity), true

	case "SubscriptionLineEdge.node":
		if e.complexity.SubscriptionLineEdge.Node == nil {
			break
		}

		return e.complexity.SubscriptionLineEdge.Node(childComplexity), true

	case "SubscriptionMailingAddress.address1":
		if e.complexity.SubscriptionMailingAddress.Address1 == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Address1(childComplexity), true

	case "SubscriptionMailingAddress.address2":
		if e.complexity.SubscriptionMailingAddress.Address2 == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Address2(childComplexity), true

	case "SubscriptionMailingAddress.city":
		if e.complexity.SubscriptionMailingAddress.City == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.City(childComplexity), true

	case "SubscriptionMailingAddress.company":
		if e.complexity.SubscriptionMailingAddress.Company == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Company(childComplexity), true

	case "SubscriptionMailingAddress.country":
		if e.complexity.SubscriptionMailingAddress.Country == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Country(childComplexity), true

	case "SubscriptionMailingAddress.countryCode":
		if e.complexity.SubscriptionMailingAddress.CountryCode == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.CountryCode(childComplexity), true

	case "SubscriptionMailingAddress.firstName":
		if e.complexity.SubscriptionMailingAddress.FirstName == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.FirstName(childComplexity), true

	case "SubscriptionMailingAddress.lastName":
		if e.complexity.SubscriptionMailingAddress.LastName == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.LastName(childComplexity), true

	case "SubscriptionMailingAddress.name":
		if e.complexity.SubscriptionMailingAddress.Name == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Name(childComplexity), true

	case "SubscriptionMailingAddress.phone":
		if e.complexity.SubscriptionMailingAddress.Phone == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Phone(childComplexity), true

	case "SubscriptionMailingAddress.province":
		if e.complexity.SubscriptionMailingAddress.Province == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Province(childComplexity), true

	case "SubscriptionMailingAddress.provinceCode":
		if e.complexity.SubscriptionMailingAddress.ProvinceCode == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.ProvinceCode(childComplexity), true

	case "SubscriptionMailingAddress.zip":
		if e.complexity.SubscriptionMailingAddress.Zip == nil {
			break
		}

		return e.complexity.SubscriptionMailingAddress.Zip(childComplexity), true

	case "SubscriptionManualDiscount.entitledLines":
		if e.complexity.SubscriptionManualDiscount.EntitledLines == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.EntitledLines(childComplexity), true

	case "SubscriptionManualDiscount.id":
		if e.complexity.SubscriptionManualDiscount.ID == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.ID(childComplexity), true

	case "SubscriptionManualDiscount.recurringCycleLimit":
		if e.complexity.SubscriptionManualDiscount.RecurringCycleLimit == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.RecurringCycleLimit(childComplexity), true

	case "SubscriptionManualDiscount.rejectionReason":
		if e.complexity.SubscriptionManualDiscount.RejectionReason == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.RejectionReason(childComplexity), true

	case "SubscriptionManualDiscount.targetType":
		if e.complexity.SubscriptionManualDiscount.TargetType == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.TargetType(childComplexity), true

	case "SubscriptionManualDiscount.title":
		if e.complexity.SubscriptionManualDiscount.Title == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.Title(childComplexity), true

	case "SubscriptionManualDiscount.type":
		if e.complexity.SubscriptionManualDiscount.Type == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.Type(childComplexity), true

	case "SubscriptionManualDiscount.usageCount":
		if e.complexity.SubscriptionManualDiscount.UsageCount == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.UsageCount(childComplexity), true

	case "SubscriptionManualDiscount.value":
		if e.complexity.SubscriptionManualDiscount.Value == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscount.Value(childComplexity), true

	case "SubscriptionManualDiscountConnection.edges":
		if e.complexity.SubscriptionManualDiscountConnection.Edges == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscountConnection.Edges(childComplexity), true

	case "SubscriptionManualDiscountConnection.nodes":
		if e.complexity.SubscriptionManualDiscountConnection.Nodes == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscountConnection.Nodes(childComplexity), true

	case "SubscriptionManualDiscountConnection.pageInfo":
		if e.complexity.SubscriptionManualDiscountConnection.PageInfo == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscountConnection.PageInfo(childComplexity), true

	case "SubscriptionManualDiscountEdge.cursor":
		if e.complexity.SubscriptionManualDiscountEdge.Cursor == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscountEdge.Cursor(childComplexity), true

	case "SubscriptionManualDiscountEdge.node":
		if e.complexity.SubscriptionManualDiscountEdge.Node == nil {
			break
		}

		return e.complexity.SubscriptionManualDiscountEdge.Node(childComplexity), true

	case "SubscriptionPricingPolicy.basePrice":
		if e.complexity.SubscriptionPricingPolicy.BasePrice == nil {
			break
		}

		return e.complexity.SubscriptionPricingPolicy.BasePrice(childComplexity), true

	case "SubscriptionPricingPolicy.cycleDiscounts":
		if e.complexity.SubscriptionPricingPolicy.CycleDiscounts == nil {
			break
		}

		return e.complexity.SubscriptionPricingPolicy.CycleDiscounts(childComplexity), true

	case "SuggestedOrderTransaction.accountNumber":
		if e.complexity.SuggestedOrderTransaction.AccountNumber == nil {
			break
		}

		return e.complexity.SuggestedOrderTransaction.AccountNumber(childComplexity), true

	case "SuggestedOrderTransaction.amountSet":
		if e.complexity.SuggestedOrderTransaction.AmountSet == nil {
			break
		}

		return e.complexity.SuggestedOrderTransaction.AmountSet(childComplexity), true

	case "SuggestedOrderTransaction.formattedGateway":
		if e.complexity.SuggestedOrderTransaction.FormattedGateway == nil {
			break
		}

		return e.complexity.SuggestedOrderTransaction.FormattedGateway(childComplexity), true

	case "SuggestedOrderTransaction.gateway":
		if e.complexity.SuggestedOrderTransaction.Gateway == nil {
			break
		}

		return e.complexity.SuggestedOrderTransaction.Gateway(childComplexity), true

	case "SuggestedOrderTransaction.kind":
		if e.complexity.SuggestedOrderTransaction.Kind == nil {
			break
		}

		return e.complexity.SuggestedOrderTransaction.Kind(childComplexity), true

	case "SuggestedOrderTransaction.maximumRefundableSet":
		if e.complexity.SuggestedOrderTransaction.MaximumRefundableSet == nil {
			break
		}

		return e.complexity.SuggestedOrderTransaction.MaximumRefundableSet(childComplexity), true

	case "SuggestedOrderTransaction.parentTransaction":
		if e.complexity.SuggestedOrderTransaction.ParentTransaction == nil {
			break
		}

		return e.complexity.SuggestedOrderTransaction.ParentTransaction(childComplexity), true

	case "SuggestedRefund.amountSet":
		if e.complexity.SuggestedRefund.AmountSet == nil {
			break
		}

		return e.complexity.SuggestedRefund.AmountSet(childComplexity), true

	case "SuggestedRefund.discountedSubtotalSet":
		if e.complexity.SuggestedRefund.DiscountedSubtotalSet == nil {
			break
		}

		return e.complexity.SuggestedRefund.DiscountedSubtotalSet(childComplexity), true

	case "SuggestedRefund.maximumRefundableSet":
		if e.complexity.SuggestedRefund.MaximumRefundableSet == nil {
			break
		}

		return e.complexity.SuggestedRefund.MaximumRefundableSet(childComplexity), true

	case "SuggestedRefund.refundDuties":
		if e.complexity.SuggestedRefund.RefundDuties == nil {
			break
		}

		return e.complexity.SuggestedRefund.RefundDuties(childComplexity), true

	case "SuggestedRefund.refundLineItems":
		if e.complexity.SuggestedRefund.RefundLineItems == nil {
			break
		}

		return e.complexity.SuggestedRefund.RefundLineItems(childComplexity), true

	case "SuggestedRefund.shipping":
		if e.complexity.SuggestedRefund.Shipping == nil {
			break
		}

		return e.complexity.SuggestedRefund.Shipping(childComplexity), true

	case "SuggestedRefund.subtotalSet":
		if e.complexity.SuggestedRefund.SubtotalSet == nil {
			break
		}

		return e.complexity.SuggestedRefund.SubtotalSet(childComplexity), true

	case "SuggestedRefund.suggestedTransactions":
		if e.complexity.SuggestedRefund.SuggestedTransactions == nil {
			break
		}

		return e.complexity.SuggestedRefund.SuggestedTransactions(childComplexity), true

	case "SuggestedRefund.totalCartDiscountAmountSet":
		if e.complexity.SuggestedRefund.TotalCartDiscountAmountSet == nil {
			break
		}

		return e.complexity.SuggestedRefund.TotalCartDiscountAmountSet(childComplexity), true

	case "SuggestedRefund.totalDutiesSet":
		if e.complexity.SuggestedRefund.TotalDutiesSet == nil {
			break
		}

		return e.complexity.SuggestedRefund.TotalDutiesSet(childComplexity), true

	case "SuggestedRefund.totalTaxSet":
		if e.complexity.SuggestedRefund.TotalTaxSet == nil {
			break
		}

		return e.complexity.SuggestedRefund.TotalTaxSet(childComplexity), true

	case "TaxLine.channelLiable":
		if e.complexity.TaxLine.ChannelLiable == nil {
			break
		}

		return e.complexity.TaxLine.ChannelLiable(childComplexity), true

	case "TaxLine.priceSet":
		if e.complexity.TaxLine.PriceSet == nil {
			break
		}

		return e.complexity.TaxLine.PriceSet(childComplexity), true

	case "TaxLine.rate":
		if e.complexity.TaxLine.Rate == nil {
			break
		}

		return e.complexity.TaxLine.Rate(childComplexity), true

	case "TaxLine.ratePercentage":
		if e.complexity.TaxLine.RatePercentage == nil {
			break
		}

		return e.complexity.TaxLine.RatePercentage(childComplexity), true

	case "TaxLine.title":
		if e.complexity.TaxLine.Title == nil {
			break
		}

		return e.complexity.TaxLine.Title(childComplexity), true

	case "TransactionFee.amount":
		if e.complexity.TransactionFee.Amount == nil {
			break
		}

		return e.complexity.TransactionFee.Amount(childComplexity), true

	case "TransactionFee.flatFee":
		if e.complexity.TransactionFee.FlatFee == nil {
			break
		}

		return e.complexity.TransactionFee.FlatFee(childComplexity), true

	case "TransactionFee.flatFeeName":
		if e.complexity.TransactionFee.FlatFeeName == nil {
			break
		}

		return e.complexity.TransactionFee.FlatFeeName(childComplexity), true

	case "TransactionFee.id":
		if e.complexity.TransactionFee.ID == nil {
			break
		}

		return e.complexity.TransactionFee.ID(childComplexity), true

	case "TransactionFee.rate":
		if e.complexity.TransactionFee.Rate == nil {
			break
		}

		return e.complexity.TransactionFee.Rate(childComplexity), true

	case "TransactionFee.rateName":
		if e.complexity.TransactionFee.RateName == nil {
			break
		}

		return e.complexity.TransactionFee.RateName(childComplexity), true

	case "TransactionFee.taxAmount":
		if e.complexity.TransactionFee.TaxAmount == nil {
			break
		}

		return e.complexity.TransactionFee.TaxAmount(childComplexity), true

	case "TransactionFee.type":
		if e.complexity.TransactionFee.Type == nil {
			break
		}

		return e.complexity.TransactionFee.Type(childComplexity), true

	case "TypedAttribute.key":
		if e.complexity.TypedAttribute.Key == nil {
			break
		}

		return e.complexity.TypedAttribute.Key(childComplexity), true

	case "TypedAttribute.value":
		if e.complexity.TypedAttribute.Value == nil {
			break
		}

		return e.complexity.TypedAttribute.Value(childComplexity), true

	case "UTMParameters.campaign":
		if e.complexity.UTMParameters.Campaign == nil {
			break
		}

		return e.complexity.UTMParameters.Campaign(childComplexity), true

	case "UTMParameters.content":
		if e.complexity.UTMParameters.Content == nil {
			break
		}

		return e.complexity.UTMParameters.Content(childComplexity), true

	case "UTMParameters.medium":
		if e.complexity.UTMParameters.Medium == nil {
			break
		}

		return e.complexity.UTMParameters.Medium(childComplexity), true

	case "UTMParameters.source":
		if e.complexity.UTMParameters.Source == nil {
			break
		}

		return e.complexity.UTMParameters.Source(childComplexity), true

	case "UTMParameters.term":
		if e.complexity.UTMParameters.Term == nil {
			break
		}

		return e.complexity.UTMParameters.Term(childComplexity), true

	case "UserError.field":
		if e.complexity.UserError.Field == nil {
			break
		}

		return e.complexity.UserError.Field(childComplexity), true

	case "UserError.message":
		if e.complexity.UserError.Message == nil {
			break
		}

		return e.complexity.UserError.Message(childComplexity), true

	case "VaultCreditCard.billingAddress":
		if e.complexity.VaultCreditCard.BillingAddress == nil {
			break
		}

		return e.complexity.VaultCreditCard.BillingAddress(childComplexity), true

	case "VaultCreditCard.brand":
		if e.complexity.VaultCreditCard.Brand == nil {
			break
		}

		return e.complexity.VaultCreditCard.Brand(childComplexity), true

	case "VaultCreditCard.expired":
		if e.complexity.VaultCreditCard.Expired == nil {
			break
		}

		return e.complexity.VaultCreditCard.Expired(childComplexity), true

	case "VaultCreditCard.expiryMonth":
		if e.complexity.VaultCreditCard.ExpiryMonth == nil {
			break
		}

		return e.complexity.VaultCreditCard.ExpiryMonth(childComplexity), true

	case "VaultCreditCard.expiryYear":
		if e.complexity.VaultCreditCard.ExpiryYear == nil {
			break
		}

		return e.complexity.VaultCreditCard.ExpiryYear(childComplexity), true

	case "VaultCreditCard.lastDigits":
		if e.complexity.VaultCreditCard.LastDigits == nil {
			break
		}

		return e.complexity.VaultCreditCard.LastDigits(childComplexity), true

	case "VaultCreditCard.name":
		if e.complexity.VaultCreditCard.Name == nil {
			break
		}

		return e.complexity.VaultCreditCard.Name(childComplexity), true

	case "VaultPaypalBillingAgreement.inactive":
		if e.complexity.VaultPaypalBillingAgreement.Inactive == nil {
			break
		}

		return e.complexity.VaultPaypalBillingAgreement.Inactive(childComplexity), true

	case "VaultPaypalBillingAgreement.name":
		if e.complexity.VaultPaypalBillingAgreement.Name == nil {
			break
		}

		return e.complexity.VaultPaypalBillingAgreement.Name(childComplexity), true

	case "VaultPaypalBillingAgreement.paypalAccountEmail":
		if e.complexity.VaultPaypalBillingAgreement.PaypalAccountEmail == nil {
			break
		}

		return e.complexity.VaultPaypalBillingAgreement.PaypalAccountEmail(childComplexity), true

	case "Video.alt":
		if e.complexity.Video.Alt == nil {
			break
		}

		return e.complexity.Video.Alt(childComplexity), true

	case "Video.createdAt":
		if e.complexity.Video.CreatedAt == nil {
			break
		}

		return e.complexity.Video.CreatedAt(childComplexity), true

	case "Video.duration":
		if e.complexity.Video.Duration == nil {
			break
		}

		return e.complexity.Video.Duration(childComplexity), true

	case "Video.fileErrors":
		if e.complexity.Video.FileErrors == nil {
			break
		}

		return e.complexity.Video.FileErrors(childComplexity), true

	case "Video.fileStatus":
		if e.complexity.Video.FileStatus == nil {
			break
		}

		return e.complexity.Video.FileStatus(childComplexity), true

	case "Video.filename":
		if e.complexity.Video.Filename == nil {
			break
		}

		return e.complexity.Video.Filename(childComplexity), true

	case "Video.id":
		if e.complexity.Video.ID == nil {
			break
		}

		return e.complexity.Video.ID(childComplexity), true

	case "Video.mediaContentType":
		if e.complexity.Video.MediaContentType == nil {
			break
		}

		return e.complexity.Video.MediaContentType(childComplexity), true

	case "Video.mediaErrors":
		if e.complexity.Video.MediaErrors == nil {
			break
		}

		return e.complexity.Video.MediaErrors(childComplexity), true

	case "Video.mediaWarnings":
		if e.complexity.Video.MediaWarnings == nil {
			break
		}

		return e.complexity.Video.MediaWarnings(childComplexity), true

	case "Video.originalSource":
		if e.complexity.Video.OriginalSource == nil {
			break
		}

		return e.complexity.Video.OriginalSource(childComplexity), true

	case "Video.preview":
		if e.complexity.Video.Preview == nil {
			break
		}

		return e.complexity.Video.Preview(childComplexity), true

	case "Video.sources":
		if e.complexity.Video.Sources == nil {
			break
		}

		return e.complexity.Video.Sources(childComplexity), true

	case "Video.status":
		if e.complexity.Video.Status == nil {
			break
		}

		return e.complexity.Video.Status(childComplexity), true

	case "VideoSource.fileSize":
		if e.complexity.VideoSource.FileSize == nil {
			break
		}

		return e.complexity.VideoSource.FileSize(childComplexity), true

	case "VideoSource.format":
		if e.complexity.VideoSource.Format == nil {
			break
		}

		return e.complexity.VideoSource.Format(childComplexity), true

	case "VideoSource.height":
		if e.complexity.VideoSource.Height == nil {
			break
		}

		return e.complexity.VideoSource.Height(childComplexity), true

	case "VideoSource.mimeType":
		if e.complexity.VideoSource.MimeType == nil {
			break
		}

		return e.complexity.VideoSource.MimeType(childComplexity), true

	case "VideoSource.url":
		if e.complexity.VideoSource.URL == nil {
			break
		}

		return e.complexity.VideoSource.URL(childComplexity), true

	case "VideoSource.width":
		if e.complexity.VideoSource.Width == nil {
			break
		}

		return e.complexity.VideoSource.Width(childComplexity), true

	case "Weight.unit":
		if e.complexity.Weight.Unit == nil {
			break
		}

		return e.complexity.Weight.Unit(childComplexity), true

	case "Weight.value":
		if e.complexity.Weight.Value == nil {
			break
		}

		return e.complexity.Weight.Value(childComplexity), true

	case "_Service.sdl":
		if e.complexity._Service.SDL == nil {
			break
		}

		return e.complexity._Service.SDL(childComplexity), true

	}
	return 0, false
}

func (e *executableSchema) Exec(ctx context.Context) graphql.ResponseHandler {
	rc := graphql.GetOperationContext(ctx)
	ec := executionContext{rc, e}
	inputUnmarshalMap := graphql.BuildUnmarshalerMap(
		ec.unmarshalInputContextualPricingContext,
		ec.unmarshalInputImageTransformInput,
		ec.unmarshalInputMailingAddressInput,
		ec.unmarshalInputMetafieldInput,
		ec.unmarshalInputPrivateMetafieldInput,
		ec.unmarshalInputPrivateMetafieldValueInput,
		ec.unmarshalInputRefundDutyInput,
		ec.unmarshalInputRefundLineItemInput,
		ec.unmarshalInputSEOInput,
	)
	first := true

	switch rc.Operation.Operation {
	case ast.Query:
		return func(ctx context.Context) *graphql.Response {
			if !first {
				return nil
			}
			first = false
			ctx = graphql.WithUnmarshalerMap(ctx, inputUnmarshalMap)
			data := ec._queryMiddleware(ctx, rc.Operation, func(ctx context.Context) (interface{}, error) {
				return ec._Query(ctx, rc.Operation.SelectionSet), nil
			})
			var buf bytes.Buffer
			data.MarshalGQL(&buf)

			return &graphql.Response{
				Data: buf.Bytes(),
			}
		}

	default:
		return graphql.OneShot(graphql.ErrorResponse(ctx, "unsupported GraphQL operation"))
	}
}

type executionContext struct {
	*graphql.OperationContext
	*executableSchema
}

func (ec *executionContext) introspectSchema() (*introspection.Schema, error) {
	if ec.DisableIntrospection {
		return nil, errors.New("introspection disabled")
	}
	return introspection.WrapSchema(parsedSchema), nil
}

func (ec *executionContext) introspectType(name string) (*introspection.Type, error) {
	if ec.DisableIntrospection {
		return nil, errors.New("introspection disabled")
	}
	return introspection.WrapTypeFromDef(parsedSchema, parsedSchema.Types[name]), nil
}

var sources = []*ast.Source{
	{Name: "../../../subgraph/order.tpl", Input: `# An order is a customer's request to purchase one or more products from a shop. You can retrieve and update orders using the Order object.
# Learn more about
# editing an existing order with the GraphQL Admin API.
#
# Only the last 60 days' worth of orders from a store are accessible from the Order object by default. If you want to access older orders,
# then you need to request access to all orders. If your app is granted
# access, then you can add the read_all_orders scope to your app along with read_orders or write_orders.
# Private apps are not affected by this change and are automatically granted the scope.
#
# Caution: Only use this data if it's required for your app's functionality.
# Shopify will restrict access to scopes for apps that don't have a legitimate use for the associated data.
type Order
    implements CommentEventSubject&HasEvents&HasLocalizationExtensions&HasMetafieldDefinitions&HasMetafields&LegacyInteroperability&Node
    @key(fields: "id") {

    # A list of sales agreements associated with the order.
    agreements(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        query: String
    ): SalesAgreementConnection!

    # A list of messages that appear on the order page in the Shopify admin.
    alerts: [ResourceAlert!]!

    # The application that created the order.
    app: OrderApp

    # The billing address of the customer.
    billingAddress: MailingAddress

    # Whether the billing address matches the shipping address.
    billingAddressMatchesShippingAddress: Boolean!

    # Whether the order can be manually marked as paid.
    canMarkAsPaid: Boolean!

    # Whether a customer email exists for the order.
    canNotifyCustomer: Boolean!

    # The reason provided when the order was canceled.
    # Returns null if the order wasn't canceled.
    cancelReason: OrderCancelReason

    # The date and time when the order was canceled.
    # Returns null if the order wasn't canceled.
    cancelledAt: DateTime

    # Whether payment for the order can be captured.
    capturable: Boolean!

    # The total order-level discount amount, before returns, in shop and presentment currencies.
    cartDiscountAmountSet: MoneyBag

    # Details about the channel that created the order.
    channelInformation: ChannelInformation

    # The IP address of the API client that created the order.
    clientIp: String

    # Whether the order is closed.
    closed: Boolean!

    # The date and time when the order was closed.
    # Returns null if the order is not closed.
    closedAt: DateTime

    # Whether inventory has been reserved for the order.
    confirmed: Boolean!

    # Date and time when the order was created in Shopify.
    createdAt: DateTime!

    # The shop currency when the order was placed.
    currencyCode: CurrencyCode!

    # The current order-level discount amount after all order updates, in shop and presentment currencies.
    currentCartDiscountAmountSet: MoneyBag!

    # The sum of the quantities for all line items that contribute to the order's current subtotal price.
    currentSubtotalLineItemsQuantity: Int!

    # The sum of the prices for all line items after discounts and returns, in shop and presentment currencies.
    # If taxesIncluded is true, then the subtotal also includes tax.
    currentSubtotalPriceSet: MoneyBag!

    # A list of all tax lines applied to line items on the order, after returns.
    # Tax line prices represent the total price for all tax lines with the same rate and title.
    currentTaxLines: [TaxLine!]!

    # The total amount discounted on the order after returns, in shop and presentment currencies.
    # This includes both order and line level discounts.
    currentTotalDiscountsSet: MoneyBag!

    # The total amount of duties after returns, in shop and presentment currencies.
    # Returns null if duties aren't applicable.
    currentTotalDutiesSet: MoneyBag

    # The total price of the order, after returns, in shop and presentment currencies.
    # This includes taxes and discounts.
    currentTotalPriceSet: MoneyBag!

    # The sum of the prices of all tax lines applied to line items on the order, after returns, in shop and presentment currencies.
    currentTotalTaxSet: MoneyBag!

    # The total weight of the order after returns, in grams.
    currentTotalWeight: UnsignedInt64!

    # A list of the custom attributes added to the order.
    customAttributes: [Attribute!]!

    # The customer that placed the order.
    customer: Customer

    # Whether the customer agreed to receive marketing materials.
    customerAcceptsMarketing: Boolean!

    # The customer's visits and interactions with the online store before placing the order.
    customerJourneySummary: CustomerJourneySummary

    # A two-letter or three-letter language code, optionally followed by a region modifier.
    customerLocale: String

    # A list of discounts that are applied to the order, not including order edits and refunds.
    discountApplications(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): DiscountApplicationConnection!

    # The discount code used for the order.
    discountCode: String

    # The discount codes used for the order.
    discountCodes: [String!]!

    # The primary address of the customer.
    # Returns null if neither the shipping address nor the billing address was provided.
    displayAddress: MailingAddress

    # The financial status of the order that can be shown to the merchant.
    # This field does not capture all the details of an order's financial state. It should only be used for display summary purposes.
    displayFinancialStatus: OrderDisplayFinancialStatus

    # The fulfillment status for the order that can be shown to the merchant.
    # This field does not capture all the details of an order's fulfillment state. It should only be used for display summary purposes.
    # For a more granular view of the fulfillment status, refer to the FulfillmentOrder object.
    displayFulfillmentStatus: OrderDisplayFulfillmentStatus!

    # A list of the disputes associated with the order.
    disputes: [OrderDisputeSummary!]!

    # Whether the order has had any edits applied.
    edited: Boolean!

    # The email address associated with the customer.
    email: String

    # Whether taxes on the order are estimated.
    # This field returns false when taxes on the order are finalized and aren't subject to any changes.
    estimatedTaxes: Boolean!

    # A list of events associated with the order.
    events(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: EventSortKeys = ID
        query: String
    ): EventConnection!

    # Whether there are line items that can be fulfilled.
    # This field returns false when the order has no fulfillable line items.
    # For a more granular view of the fulfillment status, refer to the FulfillmentOrder object.
    fulfillable: Boolean!

    # A list of fulfillment orders for the order.
    fulfillmentOrders(
        displayable: Boolean = false
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        query: String
    ): FulfillmentOrderConnection!

    # List of shipments for the order.
    fulfillments(first: Int): [Fulfillment!]!

    # Whether the order has been paid in full.
    fullyPaid: Boolean!

    # Whether the merchant added a timeline comment to the order.
    hasTimelineComment: Boolean!

    # A globally-unique identifier.
    id: ID!

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # A list of the order's line items.
    lineItems(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): LineItemConnection!

    # List of localization extensions for the resource.
    localizationExtensions(
        countryCodes: [CountryCode!]
        purposes: [LocalizationExtensionPurpose!]
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): LocalizationExtensionConnection!

    # Whether the order can be edited by the merchant. For example, canceled orders can’t be edited.
    merchantEditable: Boolean!

    # A list of reasons why the order can't be edited. For example, "Canceled orders can’t be edited".
    merchantEditableErrors: [String!]!

    # The application acting as the Merchant of Record for the order.
    merchantOfRecordApp: OrderApp

    # Returns a metafield by namespace and key that belongs to the resource.
    metafield(namespace: String!key: String!): Metafield

    # List of metafield definitions.
    metafieldDefinitions(
        namespace: String
        pinnedStatus: MetafieldDefinitionPinnedStatus = ANY
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: MetafieldDefinitionSortKeys = ID
        query: String
    ): MetafieldDefinitionConnection!

    # List of metafields that belong to the resource.
    metafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): MetafieldConnection!

    # The unique identifier for the order that appears on the order page in the Shopify admin and the order status page.
    # For example, "#1001", "EN1001", or "1001-A".
    # This value isn't unique across multiple stores.
    name: String!

    # The net payment for the order, based on the total amount received minus the total amount refunded, in shop and presentment currencies.
    netPaymentSet: MoneyBag!

    # A list of line items that can't be fulfilled.
    # For example, tips and fully refunded line items can't be fulfilled.
    # For a more granular view of the fulfillment status, refer to the FulfillmentOrder object.
    nonFulfillableLineItems(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): LineItemConnection!

    # The contents of the note associated with the order.
    note: String

    # The total amount of duties before returns, in shop and presentment currencies.
    # Returns null if duties aren't applicable.
    originalTotalDutiesSet: MoneyBag

    # The total price of the order at the time of order creation, in shop and presentment currencies.
    originalTotalPriceSet: MoneyBag!

    # The payment collection details for the order.
    paymentCollectionDetails: OrderPaymentCollectionDetails!

    # A list of the names of all payment gateways used for the order.
    # For example, "Shopify Payments" and "Cash on Delivery (COD)".
    paymentGatewayNames: [String!]!

    # The payment terms associated with the order.
    paymentTerms: PaymentTerms

    # The phone number associated with the customer.
    phone: String

    # The fulfillment location that was assigned when the order was created.
    # Use the FulfillmentOrder object for up to date fulfillment location information.
    physicalLocation: Location

    # The payment CurrencyCode of the customer for the order.
    presentmentCurrencyCode: CurrencyCode!

    # Returns a private metafield by namespace and key that belongs to the resource.
    privateMetafield(namespace: String!key: String!): PrivateMetafield

    # List of private metafields that belong to the resource.
    privateMetafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PrivateMetafieldConnection!

    # The date and time when the order was processed.
    # This date and time might not match the date and time when the order was created.
    processedAt: DateTime!

    # The publication that the order was created from.
    publication: Publication

    # The purchasing entity for the order.
    purchasingEntity: PurchasingEntity

    # The difference between the suggested and actual refund amount of all refunds that have been applied to the order. A positive value indicates a difference in the merchant's favor, and a negative value indicates a difference in the customer's favor.
    refundDiscrepancySet: MoneyBag!

    # Whether the order can be refunded.
    refundable: Boolean!

    # A list of refunds that have been applied to the order.
    refunds(first: Int): [Refund!]!

    # The URL of the source that the order originated from, if found in the domain registry.
    registeredSourceUrl: URL

    # Whether the order has shipping lines or at least one line item on the order that requires shipping.
    requiresShipping: Boolean!

    # Whether any line item on the order can be restocked.
    restockable: Boolean!

    # The fraud risk level of the order.
    riskLevel: OrderRiskLevel!

    # A list of risks associated with the order.
    risks(first: Int): [OrderRisk!]!

    # The mailing address of the customer.
    shippingAddress: MailingAddress

    # A summary of all shipping costs on the order.
    shippingLine: ShippingLine

    # A list of the order's shipping lines.
    shippingLines(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ShippingLineConnection!

    # A unique POS or third party order identifier.
    # For example, "1234-12-1000" or "111-98567-54". The receipt_number field is derived from this value for POS orders.
    sourceIdentifier: String

    # The sum of the quantities for all line items that contribute to the order's subtotal price.
    subtotalLineItemsQuantity: Int!

    # The sum of the prices for all line items after discounts and before returns, in shop and presentment currencies.
    # If taxesIncluded is true, then the subtotal also includes tax.
    subtotalPriceSet: MoneyBag

    # A suggested refund for the order.
    suggestedRefund(
        shippingAmount: Money
        refundShipping: Boolean
        refundLineItems: [RefundLineItemInput!]
        refundDuties: [RefundDutyInput!]
        suggestFullRefund: Boolean = false
    ): SuggestedRefund

    # A comma separated list of tags associated with the order. Updating tags overwrites
    # any existing tags that were previously added to the order. To add new tags without overwriting
    # existing tags, use the tagsAdd mutation.
    tags: [String!]!

    # A list of all tax lines applied to line items on the order, before returns.
    # Tax line prices represent the total price for all tax lines with the same rate and title.
    taxLines: [TaxLine!]!

    # Whether taxes are included in the subtotal price of the order.
    taxesIncluded: Boolean!

    # Whether the order is a test.
    # Test orders are made using the Shopify Bogus Gateway or a payment provider with test mode enabled.
    # A test order cannot be converted into a real order and vice versa.
    test: Boolean!

    # The authorized amount that is uncaptured or undercaptured, in shop and presentment currencies.
    # This amount isn't adjusted for returns.
    totalCapturableSet: MoneyBag!

    # The total amount discounted on the order before returns, in shop and presentment currencies.
    # This includes both order and line level discounts.
    totalDiscountsSet: MoneyBag

    # The total amount not yet transacted for the order, in shop and presentment currencies.
    # A positive value indicates a difference in the merchant's favor (payment from customer to merchant) and a negative value indicates a difference in the customer's favor (refund from merchant to customer).
    totalOutstandingSet: MoneyBag!

    # The total price of the order, before returns, in shop and presentment currencies.
    # This includes taxes and discounts.
    totalPriceSet: MoneyBag!

    # The total amount received from the customer before returns, in shop and presentment currencies.
    totalReceivedSet: MoneyBag!

    # The total amount that was refunded, in shop and presentment currencies.
    totalRefundedSet: MoneyBag!

    # The total amount of shipping that was refunded, in shop and presentment currencies.
    totalRefundedShippingSet: MoneyBag!

    # The total shipping amount before discounts and returns, in shop and presentment currencies.
    totalShippingPriceSet: MoneyBag!

    # The total tax amount before returns, in shop and presentment currencies.
    totalTaxSet: MoneyBag

    # The sum of all tip amounts for the order, in shop and presentment currencies.
    totalTipReceivedSet: MoneyBag!

    # The total weight of the order before returns, in grams.
    totalWeight: UnsignedInt64

    # A list of transactions associated with the order.
    transactions(
        first: Int
        capturable: Boolean
        manuallyResolvable: Boolean
    ): [OrderTransaction!]!

    # Whether no payments have been made for the order.
    unpaid: Boolean!

    # The date and time when the order was modified last.
    updatedAt: DateTime!
}

# An order that a merchant creates on behalf of a customer. Draft orders are useful for merchants that need to do the following tasks:
#
# Create new orders for sales made by phone, in person, by chat, or elsewhere. When a merchant accepts payment for a draft order, an order is created.
# Send invoices to customers to pay with a secure checkout link.
# Use custom items to represent additional costs or products that aren't displayed in a shop's inventory.
# Re-create orders manually from active sales channels.
# Sell products at discount or wholesale rates.
# Take pre-orders.
# Save an order as a draft and resume working on it later.
# For Draft orders in multiple currencies presentment_money is the source of truth for what a customer is going to be charged and shop_money is an estimate of what the merchant might receive in their local currency.
#
# Caution: Only use this data if it's required for your app's functionality. Shopify will restrict access to scopes for apps that don't have a legitimate use for the associated data.
type DraftOrder
    implements CommentEventSubject&HasEvents&HasLocalizationExtensions&HasMetafields&LegacyInteroperability&Navigable&Node
    @key(fields: "id") {

    # The order-level discount applied to the draft order.
    appliedDiscount: DraftOrderAppliedDiscount

    # The billing address of the customer.
    billingAddress: MailingAddress

    # Whether the billing address matches the shipping address.
    billingAddressMatchesShippingAddress: Boolean!

    # The date and time when the draft order converted to a new order,
    # and the draft order's status changed to Completed.
    completedAt: DateTime

    # The date and time when the draft order was created in Shopify.
    createdAt: DateTime!

    # The three letter code for the currency of the store at the time of the most recent update to the draft order.
    currencyCode: CurrencyCode!

    # The custom information added to the draft order on behalf of the customer.
    customAttributes: [Attribute!]!

    # The customer who will be sent an invoice for the draft order, if there is one.
    customer: Customer

    # A default cursor that returns the single next record, sorted ascending by ID.
    defaultCursor: String!

    # The email address of the customer, which is used to send notifications.
    email: String

    # The list of events associated with the draft order.
    events(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: EventSortKeys = ID
        query: String
    ): EventConnection!

    # Whether the merchant has added timeline comments to the draft order.
    hasTimelineComment: Boolean!

    # A globally-unique identifier.
    id: ID!

    # The subject defined for the draft invoice email template.
    invoiceEmailTemplateSubject: String!

    # The date and time when the invoice was last emailed to the customer.
    invoiceSentAt: DateTime

    # The link to the checkout, which is sent to the customer in the invoice email.
    invoiceUrl: URL

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # The list of the line items in the draft order.
    lineItems(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): DraftOrderLineItemConnection!

    # The subtotal of the line items and corresponding discounts. The subtotal doesn't include shipping charges, shipping discounts, taxes, or order discounts.
    lineItemsSubtotalPrice: MoneyBag!

    # List of localization extensions for the resource.
    localizationExtensions(
        countryCodes: [CountryCode!]
        purposes: [LocalizationExtensionPurpose!]
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): LocalizationExtensionConnection!

    # The name of the selected market.
    marketName: String!

    # The selected market region country code for the draft order.
    marketRegionCountryCode: CountryCode!

    # Returns a metafield by namespace and key that belongs to the resource.
    metafield(namespace: String!key: String!): Metafield

    # List of metafields that belong to the resource.
    metafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): MetafieldConnection!

    # The identifier for the draft order, which is unique within the store. For example, #D1223.
    name: String!

    # The text from an optional note attached to the draft order.
    note2: String

    # The order that was created from this draft order.
    order: Order

    # The associated payment terms for this draft order.
    paymentTerms: PaymentTerms

    # The phone number assigned to the draft order.
    phone: String

    # The payment currency of the customer for this draft order.
    presentmentCurrencyCode: CurrencyCode!

    # Returns a private metafield by namespace and key that belongs to the resource.
    privateMetafield(namespace: String!key: String!): PrivateMetafield

    # List of private metafields that belong to the resource.
    privateMetafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PrivateMetafieldConnection!

    # The purchasing entity for the draft order.
    purchasingEntity: PurchasingEntity

    # Whether the Draft Order is ready and can be completed. Draft Orders
    # might have asynchronous operations that can take time to finish.
    ready: Boolean!

    # The time after which inventory will automatically be restocked.
    reserveInventoryUntil: DateTime

    # The shipping address of the customer.
    shippingAddress: MailingAddress

    # The line item that contains the shipping costs.
    shippingLine: ShippingLine

    # Status of the draft order.
    status: DraftOrderStatus!

    # The subtotal of the line items and their discounts. The subtotal doesn't include shipping charges, shipping discounts, or taxes.
    subtotalPrice: Money!

    # A subtotal of the line items and corresponding discounts. The subtotal doesn't include shipping charges, shipping discounts, or taxes.
    subtotalPriceSet: MoneyBag!

    # A comma separated list of tags associated with the draft order. Updating tags overwrites
    # any existing tags that were previously added to the draft order. To add new tags without overwriting
    # existing tags, use the tagsAdd mutation.
    tags: [String!]!

    # Whether the draft order is tax exempt.
    taxExempt: Boolean!

    # Total amount of taxes charged for each line item and shipping line.
    taxLines: [TaxLine!]!

    # Whether the line item prices include taxes.
    taxesIncluded: Boolean!

    # The total discounts for this draft order.
    totalDiscountsSet: MoneyBag!

    # The total price of line items for this draft order.
    totalLineItemsPriceSet: MoneyBag!

    # The total amount of the draft order, including taxes, shipping charges, and discounts.
    totalPrice: Money!

    # The total amount of the draft order including taxes, shipping charges, and discounts.
    totalPriceSet: MoneyBag!

    # The total shipping charge for the draft order.
    totalShippingPrice: Money!

    # The total shipping charge for the draft order.
    totalShippingPriceSet: MoneyBag!

    # The total amount of taxes for the draft order.
    totalTax: Money!

    # The total amount of taxes for the draft order.
    totalTaxSet: MoneyBag!

    # The total weight in grams of the draft order.
    totalWeight: UnsignedInt64!

    # The date and time when the draft order was last changed.
    # The format is YYYY-MM-DD HH:mm:ss. For example, 2016-02-05 17:04:01.
    updatedAt: DateTime!

    # Whether the draft order will be visible to the customer on the self-serve portal.
    visibleToCustomer: Boolean!
}

extend type App @key(fields: "id") {
    id: ID! @external
}

extend type Market @key(fields: "id") {
    id: ID! @external
}

extend type Customer @key(fields: "id") {
    id: ID! @external
}

extend type FulfillmentService @key(fields: "id") {
    id: ID! @external
}

extend type MarketWebPresence @key(fields: "id") {
    id: ID! @external
}

extend type Product @key(fields: "id") {
   id: ID! @external
}

extend type ProductVariant @key(fields: "id") {
   id: ID! @external
}

extend type InventoryLevel @key(fields: "id") {
    id: ID! @external
}

extend type Collection @key(fields: "id") {
   id: ID! @external
}
`, BuiltIn: false},
	{Name: "../../../ext/alert.graphql", Input: `# An alert message that appears in the Shopify admin about a problem with a store resource, with 1 or more actions to take.
# For example, you could use an alert to indicate that you're not charging taxes on some product variants.
# They can optionally have a specific icon and be dismissed by merchants.
type ResourceAlert {
    # Buttons in the alert that link to related information.
    # For example, Edit variants.
    actions: [ResourceAlertAction!]!

    # The secondary text in the alert that includes further information or instructions about how to solve a problem.
    content: HTML!

    # Unique identifier that appears when an alert is manually closed by the merchant.
    # Most alerts cannot be manually closed.
    dismissibleHandle: String

    # An icon that is optionally displayed with the alert.
    icon: ResourceAlertIcon

    # Indication of how important the alert is.
    severity: ResourceAlertSeverity!

    # The primary text in the alert that includes information or describes the problem.
    title: String!
}

# An action associated to a resource alert, such as editing variants.
type ResourceAlertAction {
    # Whether the action appears as a button or as a link.
    primary: Boolean!

    # Resource for the action to show.
    show: String

    # The text for the button in the alert. For example, Edit variants.
    title: String!

    # The target URL that the button links to.
    url: URL!
}

# An alert message that appears in the Shopify admin about a problem with a store setting, with an action to take.
# For example, you could show an alert to ask the merchant to enter their billing information to activate Shopify Plus.
type ShopAlert {
    # The text for the button in the alert that links to related information. For example, Add credit card.
    action: ShopAlertAction!

    # A description of the alert and further information, such as whether the merchant will be charged.
    description: String!
}

# An action associated to a shop alert, such as adding a credit card.
type ShopAlertAction {
    # The text for the button in the alert. For example, Add credit card.
    title: String!

    # The target URL that the button links to.
    url: URL!
}
`, BuiltIn: false},
	{Name: "../../../ext/app.graphql", Input: `# The application that created the order.
type OrderApp {
    # The application icon.
    icon: Image!

    # The application ID.
    id: ID!

    # The name of the application.
    name: String!
}

# Requirements that must be met before an app can be installed.
type FailedRequirement {
    # Action to be taken to resolve a failed requirement, including URL link.
    action: NavigationItem

    # A concise set of copy strings to be displayed to merchants, to guide them in resolving problems your app
    # encounters when trying to make use of their Shop and its resources.
    message: String!
}

# A navigation item, holding basic link attributes.
type NavigationItem {
    # The unique identifier of the navigation item.
    id: String!

    # The name of the navigation item.
    title: String!

    # The URL of the page that the navigation item links to.
    url: URL!
}

# Reports the status of shops and their resources and displays this information
# within Shopify admin. AppFeedback is used to notify merchants about steps they need to take
# to set up an app on their store.
type AppFeedback {
    # The application associated to the feedback.
    app: App!

    # A link to where merchants can resolve errors.
    link: Link

    # The feedback message presented to the merchant.
    messages: [UserError!]!
}

# Represents an installed application on a shop.
type AppInstallation implements HasMetafields&Node {
    # The access scopes granted to the application by a merchant during installation.
    accessScopes: [AccessScope!]!

    # The active application subscriptions billed to the shop on a recurring basis.
    activeSubscriptions: [AppSubscription!]!

    # All subscriptions created for a shop.
    allSubscriptions(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: AppSubscriptionSortKeys = CREATED_AT
    ): AppSubscriptionConnection!

    # Application which is installed.
    app: App!

    # Credits that can be used towards future app purchases.
    credits(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: AppTransactionSortKeys = CREATED_AT
    ): AppCreditConnection!

    # A globally-unique identifier.
    id: ID!

    # The URL to launch the application.
    launchUrl: URL!

    # Returns a metafield by namespace and key that belongs to the resource.
    metafield(namespace: String!key: String!): Metafield

    # List of metafields that belong to the resource.
    metafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): MetafieldConnection!

    # One-time purchases to a shop.
    oneTimePurchases(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: AppTransactionSortKeys = CREATED_AT
    ): AppPurchaseOneTimeConnection!

    # Returns a private metafield by namespace and key that belongs to the resource.
    privateMetafield(namespace: String!key: String!): PrivateMetafield

    # List of private metafields that belong to the resource.
    privateMetafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PrivateMetafieldConnection!

    # The publication associated with the installed application.
    publication: Publication

    # The records that track the externally-captured revenue for the app. The records are used for revenue attribution purposes.
    revenueAttributionRecords(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: AppRevenueAttributionRecordSortKeys = CREATED_AT
    ): AppRevenueAttributionRecordConnection!

    # The URL to uninstall the application.
    uninstallUrl: URL
}

# Provides users access to services and/or features for a duration of time.
type AppSubscription implements Node {
    # The date and time when the app subscription was created.
    createdAt: DateTime!

    # The date and time when the current app subscription period ends. Returns null if the subscription isn't active.
    currentPeriodEnd: DateTime

    # A globally-unique identifier.
    id: ID!

    # The plans attached to the app subscription.
    lineItems: [AppSubscriptionLineItem!]!

    # The name of the app subscription.
    name: String!

    # The URL that the merchant is redirected to after approving the app subscription.
    returnUrl: URL!

    # The status of the app subscription.
    status: AppSubscriptionStatus!

    # Specifies whether the app subscription is a test transaction.
    test: Boolean!

    # The number of free trial days, starting at the subscription's creation date, by which billing is delayed.
    trialDays: Int!
}

# The plan attached to an app subscription.
type AppSubscriptionLineItem {
    # A globally-unique identifier.
    id: ID!

    # The pricing model for the app subscription.
    plan: AppPlanV2!

    # A list of the store's usage records for a usage pricing plan.
    usageRecords(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: AppUsageRecordSortKeys = CREATED_AT
    ): AppUsageRecordConnection!
}

# The app plan that the merchant is subscribed to.
type AppPlanV2 {
    # The plan billed to a shop on a recurring basis.
    pricingDetails: AppPricingDetails!
}

# A link to direct users to.
type Link implements HasPublishedTranslations {
    # A context-sensitive label for the link.
    label: String!

    # The translations associated with the resource.
    translations(locale: String!marketId: ID): [PublishedTranslation!]!

    # The URL that the link visits.
    url: URL!
}

# A publication is a group of products and collections that is published to an app.
type Publication implements Node {
    # The app associated with the publication.
    app: App!

    # The collection publications for the list of collections published to the publication.
    collectionPublicationsV3(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ResourcePublicationConnection!

    # The list of collections published to the publication.
    collections(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): CollectionConnection!

    # Whether the collection is available to the publication.
    hasCollection(id: ID!): Boolean!

    # A globally-unique identifier.
    id: ID!

    # Name of the publication.
    name: String!

    # The product publications for the list of products published to the publication.
    productPublicationsV3(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ResourcePublicationConnection!

    # The list of products published to the publication.
    products(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ProductConnection!

    # Whether the publication supports future publishing.
    supportsFuturePublishing: Boolean!
}

# App credits can be applied by the merchant towards future app purchases, subscriptions, or usage records in Shopify.
type AppCredit implements Node {
    # The amount that can be used towards future app purchases in Shopify.
    amount: MoneyV2!

    # The date and time when the app credit was created.
    createdAt: DateTime!

    # The description of the app credit.
    description: String!

    # A globally-unique identifier.
    id: ID!

    # Whether the app credit is a test transaction.
    test: Boolean!
}

# Services and features purchased once by a store.
type AppPurchaseOneTime implements AppPurchase&Node {
    # The date and time when the app purchase occurred.
    createdAt: DateTime!

    # A globally-unique identifier.
    id: ID!

    # The name of the app purchase.
    name: String!

    # The amount to be charged to the store for the app purchase.
    price: MoneyV2!

    # The status of the app purchase.
    status: AppPurchaseStatus!

    # Whether the app purchase is a test transaction.
    test: Boolean!
}

# Represents app revenue that was captured externally by the partner.
type AppRevenueAttributionRecord implements Node {
    # The financial amount captured in this attribution.
    amount: MoneyV2!

    # The timestamp when the financial amount was captured.
    capturedAt: DateTime!

    # The timestamp at which this revenue attribution was issued.
    createdAt: DateTime!

    # A globally-unique identifier.
    id: ID!

    # The unique value submitted during the creation of the app revenue attribution record.
    # For more information, refer to Idempotent requests.
    idempotencyKey: String!

    # Indicates whether this is a test submission.
    test: Boolean!

    # The type of revenue attribution.
    type: AppRevenueAttributionType!
}

# Store usage for app subscriptions with usage pricing.
type AppUsageRecord implements Node {
    # The date and time when the usage record was created.
    createdAt: DateTime!

    # The description of the app usage record.
    description: String!

    # A globally-unique identifier.
    id: ID!

    # The price of the usage record. The only permitted currency code is USD.
    price: MoneyV2!

    # Defines the usage pricing plan the merchant is subscribed to.
    subscriptionLineItem: AppSubscriptionLineItem!
}

# SEO information.
type SEO {
    # SEO Description.
    description: String

    # SEO Title.
    title: String
}

# SEO information.
input SEOInput {
    # SEO title of the product.
    title: String

    # SEO description of the product.
    description: String
}

# Represents feedback from apps about a resource, and the steps required to set up the apps on the shop.
type ResourceFeedback {
    # List of AppFeedback detailing issues regarding a resource.
    details: [AppFeedback!]!

    # Summary of resource feedback pertaining to the resource.
    summary: String!
}

# Represents a Subscription Contract.
type SubscriptionContract implements Node&SubscriptionContractBase {
    # The subscription app that the subscription contract is registered to.
    app: App

    # The URL of the subscription contract page on the subscription app.
    appAdminUrl: URL

    # The list of billing attempts associated with the subscription contract.
    billingAttempts(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SubscriptionBillingAttemptConnection!

    # The billing policy associated with the subscription contract.
    billingPolicy: SubscriptionBillingPolicy!

    # The date and time when the subscription contract was created.
    createdAt: DateTime!

    # The currency that's used for the subscription contract.
    currencyCode: CurrencyCode!

    # A list of the custom attributes to be added to the generated orders.
    customAttributes: [Attribute!]!

    # The customer to whom the subscription contract belongs.
    customer: Customer

    # The customer payment method that's used for the subscription contract.
    customerPaymentMethod(showRevoked: Boolean = false): CustomerPaymentMethod

    # The delivery method for each billing of the subscription contract.
    deliveryMethod: SubscriptionDeliveryMethod

    # The delivery policy associated with the subscription contract.
    deliveryPolicy: SubscriptionDeliveryPolicy!

    # The delivery price for each billing of the subscription contract.
    deliveryPrice: MoneyV2!

    # The list of subscription discounts associated with the subscription contract.
    discounts(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SubscriptionManualDiscountConnection!

    # A globally-unique identifier.
    id: ID!

    # The current status of the last payment.
    lastPaymentStatus: SubscriptionContractLastPaymentStatus

    # The number of lines associated with the subscription contract.
    lineCount: Int!

    # The list of subscription lines associated with the subscription contract.
    lines(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SubscriptionLineConnection!

    # The next billing date for the subscription contract.
    nextBillingDate: DateTime

    # The note field that will be applied to the generated orders.
    note: String

    # A list of the subscription contract's orders.
    orders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): OrderConnection!

    # The order from which this contract originated.
    originOrder: Order

    # The current status of the subscription contract.
    status: SubscriptionContractSubscriptionStatus!

    # The date and time when the subscription contract was updated.
    updatedAt: DateTime!
}

# A setting for a presentment currency.
type CurrencySetting {
    # The currency's ISO code.
    currencyCode: CurrencyCode!

    # The full name of the currency.
    currencyName: String!

    # Whether the currency is enabled or not.
    # An enabled currency setting is visible to buyers and allows orders to be generated with that currency as presentment.
    enabled: Boolean!

    # The date and time when the active exchange rate for the currency was last modified.
    # It can be the automatic rate's creation date, or the manual rate's last updated at date if active.
    rateUpdatedAt: DateTime
}

# A unique string that represents the address of a Shopify store on the Internet.
type Domain implements Node {
    # The host name of the domain. For example, example.com.
    host: String!

    # A globally-unique identifier.
    id: ID!

    # The localization of the domain, if the domain doesn't redirect.
    localization: DomainLocalization

    # The web presence of the domain.
    marketWebPresence: MarketWebPresence

    # Whether SSL is enabled.
    sslEnabled: Boolean!

    # The URL of the domain (for example, https://example.com).
    url: URL!
}

# The country and language settings assigned to a domain.
type DomainLocalization {
    # The ISO codes for the domain’s alternate locales. For example, ["en"].
    alternateLocales: [String!]!

    # The ISO code for the country assigned to the domain. For example, "CA" or "*" for a domain set to "Rest of world".
    country: String

    # The ISO code for the domain’s default locale. For example, "en".
    defaultLocale: String!
}

# A custom page on the Online Store.
type OnlineStorePage implements HasPublishedTranslations&Navigable&Node {
    # A default cursor that returns the single next record, sorted ascending by ID.
    defaultCursor: String!

    # A globally-unique identifier.
    id: ID!

    # The translations associated with the resource.
    translations(locale: String!marketId: ID): [PublishedTranslation!]!
}

# Automatic discount applications capture the intentions of a discount that was automatically applied.
type AutomaticDiscountApplication implements DiscountApplication {
    # The method by which the discount's value is applied to its entitled items.
    allocationMethod: DiscountApplicationAllocationMethod!

    # An ordered index that can be used to identify the discount application and indicate the precedence
    # of the discount application for calculations.
    index: Int!

    # How the discount amount is distributed on the discounted lines.
    targetSelection: DiscountApplicationTargetSelection!

    # Whether the discount is applied on line items or shipping lines.
    targetType: DiscountApplicationTargetType!

    # The title of the discount application.
    title: String!

    # The value of the discount application.
    value: PricingValue!
}

# Discount code applications capture the intentions of a discount code at
# he time that it is applied onto an order.
#
# Discount applications don't represent the actual final amount discounted on a line (line item or shipping line). The actual amount discounted on a line is represented by the DiscountAllocation object.
type DiscountCodeApplication implements DiscountApplication {
    # The method by which the discount's value is applied to its entitled items.
    allocationMethod: DiscountApplicationAllocationMethod!

    # The string identifying the discount code that was used at the time of application.
    code: String!

    # An ordered index that can be used to identify the discount application and indicate the precedence
    # of the discount application for calculations.
    index: Int!

    # How the discount amount is distributed on the discounted lines.
    targetSelection: DiscountApplicationTargetSelection!

    # Whether the discount is applied on line items or shipping lines.
    targetType: DiscountApplicationTargetType!

    # The value of the discount application.
    value: PricingValue!
}

# Manual discount applications capture the intentions of a discount that was manually created for an order.
#
# Discount applications don't represent the actual final amount discounted on a line (line item or shipping line).
# The actual amount discounted on a line is represented by the DiscountAllocation object.
type ManualDiscountApplication implements DiscountApplication {
    # The method by which the discount's value is applied to its entitled items.
    allocationMethod: DiscountApplicationAllocationMethod!

    # The description of the discount application.
    description: String

    # An ordered index that can be used to identify the discount application and indicate the precedence
    # of the discount application for calculations.
    index: Int!

    # How the discount amount is distributed on the discounted lines.
    targetSelection: DiscountApplicationTargetSelection!

    # Whether the discount is applied on line items or shipping lines.
    targetType: DiscountApplicationTargetType!

    # The title of the discount application.
    title: String!

    # The value of the discount application.
    value: PricingValue!
}

# Script discount applications capture the intentions of a discount that
# was created by a Shopify Script for an order's line item or shipping line.
#
# Discount applications don't represent the actual final amount discounted on a line (line item or shipping line).
# The actual amount discounted on a line is represented by the DiscountAllocation object.
type ScriptDiscountApplication implements DiscountApplication {
    # The method by which the discount's value is applied to its entitled items.
    allocationMethod: DiscountApplicationAllocationMethod!

    # An ordered index that can be used to identify the discount application and indicate the precedence
    # of the discount application for calculations.
    index: Int!

    # How the discount amount is distributed on the discounted lines.
    targetSelection: DiscountApplicationTargetSelection!

    # Whether the discount is applied on line items or shipping lines.
    targetType: DiscountApplicationTargetType!

    # The title of the application as defined by the Script.
    title: String!

    # The value of the discount application.
    value: PricingValue!
}

# An auto-generated type for paginating through multiple Sales.
type SaleConnection {
    # A list of edges.
    edges: [SaleEdge!]!

    # A list of the nodes contained in SaleEdge.
    nodes: [Sale!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Sale and a cursor during pagination.
type SaleEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SaleEdge.
    node: Sale!
}

# An auto-generated type for paginating through multiple AppSubscriptions.
type AppSubscriptionConnection {
    # A list of edges.
    edges: [AppSubscriptionEdge!]!

    # A list of the nodes contained in AppSubscriptionEdge.
    nodes: [AppSubscription!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one AppSubscription and a cursor during pagination.
type AppSubscriptionEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of AppSubscriptionEdge.
    node: AppSubscription!
}

# An auto-generated type for paginating through multiple AppCredits.
type AppCreditConnection {
    # A list of edges.
    edges: [AppCreditEdge!]!

    # A list of the nodes contained in AppCreditEdge.
    nodes: [AppCredit!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one AppCredit and a cursor during pagination.
type AppCreditEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of AppCreditEdge.
    node: AppCredit!
}

# An auto-generated type for paginating through multiple Apps.
type AppConnection {
    # A list of edges.
    edges: [AppEdge!]!

    # A list of the nodes contained in AppEdge.
    nodes: [App!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one App and a cursor during pagination.
type AppEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of AppEdge.
    node: App!
}

# An auto-generated type for paginating through multiple CurrencySettings.
type CurrencySettingConnection {
    # A list of edges.
    edges: [CurrencySettingEdge!]!

    # A list of the nodes contained in CurrencySettingEdge.
    nodes: [CurrencySetting!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CurrencySetting and a cursor during pagination.
type CurrencySettingEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CurrencySettingEdge.
    node: CurrencySetting!
}

# An auto-generated type for paginating through multiple SalesAgreements.
type SalesAgreementConnection {
    # A list of edges.
    edges: [SalesAgreementEdge!]!

    # A list of the nodes contained in SalesAgreementEdge.
    nodes: [SalesAgreement!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SalesAgreement and a cursor during pagination.
type SalesAgreementEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SalesAgreementEdge.
    node: SalesAgreement!
}

# An auto-generated type for paginating through multiple DiscountApplications.
type DiscountApplicationConnection {
    # A list of edges.
    edges: [DiscountApplicationEdge!]!

    # A list of the nodes contained in DiscountApplicationEdge.
    nodes: [DiscountApplication!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one DiscountApplication and a cursor during pagination.
type DiscountApplicationEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of DiscountApplicationEdge.
    node: DiscountApplication!
}
`, BuiltIn: false},
	{Name: "../../../ext/channel.graphql", Input: `# Contains the information for a given sales channel.
type ChannelInformation implements Node {
    # The app associated with the channel.
    app: App!

    # The channel definition associated with the channel.
    channelDefinition: ChannelDefinition

    # The unique identifier for the channel.
    channelId: ID!

    # A globally-unique identifier.
    id: ID!
}

# A channel definition represents channels surfaces on the platform.
# A channel definition can be a platform or a subsegment of it such as Facebook Home, Instagram Live, Instagram Shops, or WhatsApp chat.
type ChannelDefinition implements Node {
    # Name of the channel that this sub channel belongs to.
    channelName: String!

    # Unique string used as a public identifier for the channel definition.
    handle: String!

    # The unique identifier for the channel definition.
    id: ID!

    # Name of the sub channel (e.g. Online Store, Instagram Shopping, TikTok Live).
    subChannelName: String!

    # Icon displayed when showing the channel in admin.
    svgIcon: String
}

# Represents an object containing all information for channels available to a shop.
type AvailableChannelDefinitionsByChannel {
    # The channel definitions for channels installed on a shop.
    channelDefinitions: [ChannelDefinition!]!

    # The name of the channel.
    channelName: String!
}
`, BuiltIn: false},
	{Name: "../../../ext/comment.graphql", Input: `# Comment events are generated by staff members of a shop.
# They are created when a staff member adds a comment to the timeline of an order, draft order, customer, or transfer.
type CommentEvent implements Event&Node {
    # The name of the app that created the event.
    appTitle: String

    # The attachments associated with the comment event.
    attachments: [CommentEventAttachment!]!

    # Whether the event was created by an app.
    attributeToApp: Boolean!

    # Whether the event was caused by an admin user.
    attributeToUser: Boolean!

    # The name of the user that authored the comment event.
    author: StaffMember!

    # Whether the comment event can be deleted. If true, then the comment event can be deleted.
    canDelete: Boolean!

    # Whether the comment event can be edited. If true, then the comment event can be edited.
    canEdit: Boolean!

    # The date and time when the event was created.
    createdAt: DateTime!

    # Whether the event is critical.
    criticalAlert: Boolean!

    # Whether the comment event has been edited. If true, then the comment event has been edited.
    edited: Boolean!

    # The object reference associated with the comment event. For example, a product or discount).
    embed: CommentEventEmbed

    # A globally-unique identifier.
    id: ID!

    # Human readable text that describes the event.
    message: FormattedString!

    # The raw body of the comment event.
    rawMessage: String!

    # The parent subject to which the comment event belongs.
    subject: CommentEventSubject!
}

# A file attachment associated to a comment event.
type CommentEventAttachment {
    # The file extension of the comment event attachment, indicating the file format.
    fileExtension: String

    # A globally-unique identifier.
    id: ID!

    # The image attached to the comment event.
    image: Image

    # The filename of the comment event attachment.
    name: String!

    # The size of the attachment.
    size: Int!

    # The URL of the attachment.
    url: URL!
}
`, BuiltIn: false},
	{Name: "../../../ext/company.graphql", Input: `# Represents information about a company which is also a customer of the shop.
type Company implements CommentEventSubject&HasEvents&Navigable&Node {
    # The number of contacts that belong to the company.
    contactCount: Int!

    # The list of roles for the company contacts.
    contactRoles(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: CompanyContactRoleSortKeys = ID
    ): CompanyContactRoleConnection!

    # The list of contacts in the company.
    contacts(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: CompanyContactSortKeys = ID
        query: String
    ): CompanyContactConnection!

    # The date and time (ISO 8601 format) at which the company was created in Shopify.
    createdAt: DateTime!

    # The date and time (ISO 8601 format) at which the company became the customer.
    customerSince: DateTime!

    # A default cursor that returns the single next record, sorted ascending by ID.
    defaultCursor: String!

    # The role proposed by default for a contact at the company.
    defaultRole: CompanyContactRole

    # The list of the company's draft orders.
    draftOrders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: DraftOrderSortKeys = ID
        query: String
    ): DraftOrderConnection!

    # The paginated list of events associated with the host subject.
    events(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: EventSortKeys = ID
        query: String
    ): EventConnection!

    # A unique externally-supplied identifier for the company.
    externalId: String

    # Whether the merchant added a timeline comment to the company.
    hasTimelineComment: Boolean!

    # A globally-unique identifier.
    id: ID!

    # The lifetime duration of the company, since it became a customer of the shop. Examples: 2 days, 3 months, 1 year.
    lifetimeDuration: String!

    # The number of locations that belong to the company.
    locationCount: Int!

    # The list of locations in the company.
    locations(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: CompanyLocationSortKeys = ID
        query: String
    ): CompanyLocationConnection!

    # The main contact for the company.
    mainContact: CompanyContact

    # The name of the company.
    name: String!

    # A note about the company.
    note: String

    # The total number of orders placed for this company, across all its locations.
    orderCount: Int!

    # The list of the company's orders.
    orders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: OrderSortKeys = ID
    ): OrderConnection!

    # The total amount spent by this company, across all its locations.
    totalSpent: MoneyV2!

    # The date and time (ISO 8601 format) at which the company was last modified.
    updatedAt: DateTime!
}

# A person that acts on behalf of company associated to a customer.
type CompanyContact implements Node {
    # The company to which the contact belongs.
    company: Company!

    # The date and time (ISO 8601 format) at which the company contact was created at Shopify.
    createdAt: DateTime!

    # The customer associated to this contact.
    customer: Customer!

    # The list of draft orders for the company contact.
    draftOrders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: DraftOrderSortKeys = ID
        query: String
    ): DraftOrderConnection!

    # A globally-unique identifier.
    id: ID!

    # Whether the contact is the main contact of the company.
    isMainContact: Boolean!

    # The lifetime duration of the company contact, since its creation date on Shopify. Examples: 1 year, 2 months, 3 days.
    lifetimeDuration: String!

    # The company contact's locale (language).
    locale: String

    # The list of orders for the company contact.
    orders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: OrderSortKeys = ID
    ): OrderConnection!

    # The list of roles assigned to this company contact.
    roleAssignments(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: CompanyContactRoleAssignmentSortKeys = ID
        query: String
    ): CompanyContactRoleAssignmentConnection!

    # The company contact's job title.
    title: String

    # The date and time (ISO 8601 format) at which the company contact was last updated.
    updatedAt: DateTime!
}

# The role for a company contact.
type CompanyContactRole implements Node {
    # A globally-unique identifier.
    id: ID!

    # The name of a role.
    # For example, admin or buyer.
    name: String!

    # A note for the role.
    note: String
}

# The CompanyContactRoleAssignment describes the company and location associated to a company contact's role.
type CompanyContactRoleAssignment implements Node {
    # The company this role assignment belongs to.
    company: Company!

    # The company contact for whom this role is assigned.
    companyContact: CompanyContact!

    # The company location to which the role is assigned.
    companyLocation: CompanyLocation!

    # The date and time (ISO 8601 format) when the assignment record was created.
    createdAt: DateTime!

    # A globally-unique identifier.
    id: ID!

    # The role that is assigned to the company contact.
    role: CompanyContactRole!

    # The date and time (ISO 8601 format) when the assignment record was last updated.
    updatedAt: DateTime!
}

# A location or branch of a company that's a customer of the shop.
# Configuration of B2B relationship, for example prices lists and checkout settings, may be done for a location.
type CompanyLocation implements CommentEventSubject&HasEvents&Navigable&Node {
    # The address used as billing address for the location.
    billingAddress: CompanyAddress

    # The configuration for the buyer's B2B checkout.
    buyerExperienceConfiguration: BuyerExperienceConfiguration

    # The company that the company location belongs to.
    company: Company!

    # The date and time (ISO 8601 format) at which the company location was created in Shopify.
    createdAt: DateTime!

    # The location's currency based on the shipping address. If the shipping address is empty, then the value is the shop's primary market.
    currency: CurrencyCode!

    # A default cursor that returns the single next record, sorted ascending by ID.
    defaultCursor: String!

    # The list of draft orders for the company location.
    draftOrders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: DraftOrderSortKeys = ID
        query: String
    ): DraftOrderConnection!

    # The paginated list of events associated with the host subject.
    events(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: EventSortKeys = ID
        query: String
    ): EventConnection!

    # A unique externally-supplied identifier for the company location.
    externalId: String

    # Whether the merchant added a timeline comment to the company location.
    hasTimelineComment: Boolean!

    # A globally-unique identifier.
    id: ID!

    # The preferred locale of the company location.
    locale: String

    # The market that includes the location's shipping address. If the shipping address is empty, then the value is the shop's primary market.
    market: Market!

    # The name of the company location.
    name: String!

    # A note about the company location.
    note: String

    # The total number of orders placed for the location.
    orderCount: Int!

    # The list of orders for the company location.
    orders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: OrderSortKeys = ID
    ): OrderConnection!

    # The phone number of the company location.
    phone: String

    # The list of roles assigned to the company location.
    roleAssignments(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: CompanyContactRoleAssignmentSortKeys = ID
        query: String
    ): CompanyContactRoleAssignmentConnection!

    # The address used as shipping address for the location.
    shippingAddress: CompanyAddress

    # The list of tax exemptions applied to the location.
    taxExemptions: [TaxExemption!]!

    # The tax registration ID for the company location.
    taxRegistrationId: String

    # The total amount spent by the location.
    totalSpent: MoneyV2!

    # The date and time (ISO 8601 format) at which the company location was last modified.
    updatedAt: DateTime!
}

# Represents a billing or shipping address for a company location.
type CompanyAddress implements Node {
    # The first line of the address. Typically the street address or PO Box number.
    address1: String!

    # The second line of the address. Typically the number of the apartment, suite, or unit.
    address2: String

    # The name of the city, district, village, or town.
    city: String

    # The name of the company.
    companyName: String!

    # The name of the country.
    country: String

    # The two-letter code for the country of the address.
    # For example, US.
    countryCode: CountryCode!

    # The date and time (ISO 8601 format) at which the company address was created.
    #
    # formattedAddress(withName: Boolean = falsewithCompanyName: Boolean = true): [String!]!
    # The formatted version of the address.
    createdAt: DateTime!

    # A comma-separated list of the values for city, province, and country.
    formattedArea: String

    # A globally-unique identifier.
    id: ID!

    # A unique phone number for the customer.
    # Formatted using E.164 standard. For example, +16135551111.
    phone: String

    # The region of the address, such as the province, state, or district.
    province: String

    # The identity of the recipient e.g. 'Receiving Department'.
    recipient: String

    # The date and time (ISO 8601 format) at which the company address was last updated.
    updatedAt: DateTime!

    # The zip or postal code of the address.
    zip: String

    # The two-letter code for the region.
    # For example, ON.
    zoneCode: String
}

# Settings describing the behavior of checkout for a B2B buyer.
type BuyerExperienceConfiguration {
    # Whether to checkout to draft order for merchant review.
    checkoutToDraft: Boolean!

    # Whether a buyer must pay at checkout or they can also choose to pay
    # later using net terms.
    payNowOnly: Boolean!

    # Represents the merchant configured payment terms.
    paymentTermsTemplate: PaymentTermsTemplate
}

# Represents information about the purchasing company for the order or draft order.
type PurchasingCompany {
    # The company associated to the order or draft order.
    company: Company!

    # The company contact associated to the order or draft order.
    contact: CompanyContact

    # The company location associated to the order or draft order.
    location: CompanyLocation!
}

# An auto-generated type for paginating through multiple CompanyContactRoles.
type CompanyContactRoleConnection {
    # A list of edges.
    edges: [CompanyContactRoleEdge!]!

    # A list of the nodes contained in CompanyContactRoleEdge.
    nodes: [CompanyContactRole!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CompanyContactRole and a cursor during pagination.
type CompanyContactRoleEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CompanyContactRoleEdge.
    node: CompanyContactRole!
}

# An auto-generated type for paginating through multiple CompanyContacts.
type CompanyContactConnection {
    # A list of edges.
    edges: [CompanyContactEdge!]!

    # A list of the nodes contained in CompanyContactEdge.
    nodes: [CompanyContact!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CompanyContact and a cursor during pagination.
type CompanyContactEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CompanyContactEdge.
    node: CompanyContact!
}

# An auto-generated type for paginating through multiple CompanyLocations.
type CompanyLocationConnection {
    # A list of edges.
    edges: [CompanyLocationEdge!]!

    # A list of the nodes contained in CompanyLocationEdge.
    nodes: [CompanyLocation!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CompanyLocation and a cursor during pagination.
type CompanyLocationEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CompanyLocationEdge.
    node: CompanyLocation!
}

# An auto-generated type for paginating through multiple CompanyContactRoleAssignments.
type CompanyContactRoleAssignmentConnection {
    # A list of edges.
    edges: [CompanyContactRoleAssignmentEdge!]!

    # A list of the nodes contained in CompanyContactRoleAssignmentEdge.
    nodes: [CompanyContactRoleAssignment!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CompanyContactRoleAssignment and a cursor during pagination.
type CompanyContactRoleAssignmentEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CompanyContactRoleAssignmentEdge.
    node: CompanyContactRoleAssignment!
}
`, BuiltIn: false},
	{Name: "../../../ext/customer.graphql", Input: `# Represents the data about a staff member's Shopify account.
# Merchants can use staff member data to get more information about the staff members in their store.
type StaffMember implements Node {
    # Whether the staff member is active.
    active: Boolean!

    # The image used as the staff member's avatar in the Shopify admin.
    avatar(fallback: StaffMemberDefaultImage = DEFAULT): Image!

    # The staff member's email address.
    email: String!

    # Whether the staff member's account exists.
    exists: Boolean!

    # The staff member's first name.
    firstName: String

    # A globally-unique identifier.
    id: ID!

    # The staff member's initials, if available.
    initials: [String!]

    # Whether the staff member is the shop owner.
    isShopOwner: Boolean!

    # The staff member's last name.
    lastName: String

    # The staff member's preferred locale. Locale values use the format language or language-COUNTRY, where language is a two-letter language code, and COUNTRY is a two-letter country code. For example: en or en-US
    locale: String!

    # The staff member's full name.
    name: String!

    # The staff member's phone number.
    phone: String

    # The data used to customize the Shopify admin experience for the staff member.
    privateData: StaffMemberPrivateData!
}

# Represents the data used to customize the Shopify admin experience for a logged-in staff member.
type StaffMemberPrivateData {
    # The URL to the staff member's account settings page.
    accountSettingsUrl: URL!

    # The date and time when the staff member was created.
    createdAt: DateTime!
}

# The record of when a customer consented to receive marketing material by email.
type CustomerEmailMarketingConsentState {
    # The date and time at which the customer consented to receive marketing material by email.
    # The customer's consent state reflects the consent record with the most recent consent_updated_at date.
    # If no date is provided, then the date and time at which the consent information was sent is used.
    consentUpdatedAt: DateTime

    # The marketing subscription opt-in level, as described by the M3AAWG best practices guidelines,
    # that the customer gave when they consented to receive marketing material by email.
    marketingOptInLevel: CustomerMarketingOptInLevel

    # The current email marketing state for the customer.
    marketingState: CustomerEmailMarketingState!
}

# The record of when a customer consented to receive marketing material by SMS.
#
# The customer's consent state reflects the record with the most recent date when consent was updated.
type CustomerSmsMarketingConsentState {
    # The source from which the SMS marketing information for the customer was collected.
    consentCollectedFrom: CustomerConsentCollectedFrom

    # The date and time when the customer consented to receive marketing material by SMS.
    # If no date is provided, then the date and time when the consent information was sent is used.
    consentUpdatedAt: DateTime

    # The marketing subscription opt-in level that was set when the customer consented to receive marketing information.
    marketingOptInLevel: CustomerMarketingOptInLevel!

    # The current SMS marketing state for the customer.
    marketingState: CustomerSmsMarketingState!
}

# A customer's computed statistics.
type CustomerStatistics {
    # The predicted spend tier of a customer with a shop.
    predictedSpendTier: CustomerPredictedSpendTier
}

# Represents a customer's session visiting a shop's online store,
# including information about the marketing activity attributed to starting the session.
type CustomerVisit implements CustomerMoment&Node {
    # A globally-unique identifier.
    id: ID!

    # URL of the first page the customer landed on for the session.
    landingPage: URL

    # Landing page information with URL linked in HTML.
    # For example, the first page the customer visited was store.myshopify.com/products/1.
    landingPageHtml: HTML

    # Represent actions taken by an app, on behalf of a merchant,
    # to market Shopify resources such as products, collections, and discounts.
    marketingEvent: MarketingEvent

    # The date and time when the customer's session occurred.
    occurredAt: DateTime!

    # Marketing referral code from the link that the customer clicked to visit the store.
    # Supports the following URL attributes: ref, source, or r.
    # For example, if the URL is myshopifystore.com/products/slide?ref=j2tj1tn2, then this value is j2tj1tn2.
    referralCode: String

    # Referral information with URLs linked in HTML.
    referralInfoHtml: FormattedString!

    # Webpage where the customer clicked a link that sent them to the online store.
    # For example, https://randomblog.com/page1 or android-app://com.google.android.gm.
    referrerUrl: URL

    # Source from which the customer visited the store, such as a platform (Facebook, Google), email, direct,
    # a website domain, QR code, or unknown.
    source: String!

    # Describes the source explicitly for first or last session.
    sourceDescription: String

    # Type of marketing tactic.
    sourceType: MarketingTactic

    # A set of UTM parameters gathered from the URL parameters of the referrer.
    utmParameters: UTMParameters
}

# A customer's payment method.
type CustomerPaymentMethod implements Node {
    # The customer to whom the payment method belongs.
    customer: Customer

    # The ID of this payment method.
    id: ID!

    # The instrument for this payment method.
    instrument: CustomerPaymentInstrument

    # The time that the payment method was revoked.
    revokedAt: DateTime

    # The revocation reason for this payment method.
    revokedReason: CustomerPaymentMethodRevocationReason

    # List Subscription Contracts.
    subscriptionContracts(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SubscriptionContractConnection!
}

# Represents a customer's visiting activities on a shop's online store.
type CustomerJourneySummary {
    customerOrderIndex: Int
    # The position of the current order within the customer's order history. Test orders aren't included.

    # The number of days between the first session and the order creation date.
    # The first session represents the first session since the last order, or the first session within the 30 day attribution window, if more than 30 days have passed since the last order.
    daysToConversion: Int

    # The customer's first session going into the shop.
    firstVisit: CustomerVisit

    # The last session before an order is made.
    lastVisit: CustomerVisit

    # The events preceding a customer's order, such as shop sessions.
    moments(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): CustomerMomentConnection

    # The total number of customer moments associated with this order. Returns null if the order is still in the process of being attributed.
    momentsCount: Int

    # Whether the attributed sessions for the order have been created yet.
    ready: Boolean!
}

# Represents a card instrument for customer payment method.
type CustomerCreditCard {
    # The billing address of the card.
    billingAddress: CustomerCreditCardBillingAddress

    # The brand of the card.
    brand: String!

    # Whether the card is about to expire.
    expiresSoon: Boolean!

    # The expiry month of the card.
    expiryMonth: Int!

    # The expiry year of the card.
    expiryYear: Int!

    # The card's BIN number.
    firstDigits: String

    # The payment method can be revoked if there are no active subscription contracts.
    isRevocable: Boolean!

    # The last 4 digits of the card.
    lastDigits: String!

    # The masked card number with only the last 4 digits displayed.
    maskedNumber: String!

    # The name of the card holder.
    name: String!

    # The source of the card if coming from a wallet such as Apple Pay.
    source: String

    # The last 4 digits of the Device Account Number.
    virtualLastDigits: String
}

# The billing address of a credit card payment instrument.
type CustomerCreditCardBillingAddress {
    # The first line of the address. Typically the street address or PO Box number.
    address1: String

    # The name of the city, district, village, or town.
    city: String

    # The name of the country.
    country: String

    # The two-letter code for the country of the address.
    # For example, US.
    countryCode: CountryCode

    # The region of the address, such as the province, state, or district.
    province: String

    # The two-letter code for the region.
    # For example, ON.
    provinceCode: String

    # The zip or postal code of the address.
    zip: String
}

# Represents a PayPal instrument for customer payment method.
type CustomerPaypalBillingAgreement {
    # The billing address of this payment method.
    billingAddress: CustomerPaymentInstrumentBillingAddress

    # Whether the PayPal billing agreement is inactive.
    inactive: Boolean!

    # Whether the payment method can be revoked.The payment method can be revoked if there are no active subscription contracts.
    isRevocable: Boolean!

    # The customers's PayPal account email address.
    paypalAccountEmail: String
}

# The billing address of a payment instrument.
type CustomerPaymentInstrumentBillingAddress {
    # The first line of the address. Typically the street address or PO Box number.
    address1: String

    # The name of the city, district, village, or town.
    city: String

    # The name of the country.
    country: String

    # The two-letter code for the country of the address.
    # For example, US.
    countryCode: CountryCode

    # The name of the buyer of the address.
    name: String

    # The region of the address, such as the province, state, or district.
    province: String

    # The two-letter code for the region.
    # For example, ON.
    provinceCode: String

    # The zip or postal code of the address.
    zip: String
}

# Represents a Shop Pay card instrument for customer payment method.
type CustomerShopPayAgreement {
    # Whether the card is about to expire.
    expiresSoon: Boolean!

    # The expiry month of the card.
    expiryMonth: Int!

    # The expiry year of the card.
    expiryYear: Int!

    # Whether the Shop Pay billing agreement is inactive.
    inactive: Boolean!

    # The payment method can be revoked if there are no active subscription contracts.
    isRevocable: Boolean!

    # The last 4 digits of the card.
    lastDigits: String!

    # The masked card number with only the last 4 digits displayed.
    maskedNumber: String!

    # The name of the card holder.
    name: String!
}

# An auto-generated type for paginating through multiple CustomerMoments.
type CustomerMomentConnection {
    # A list of edges.
    edges: [CustomerMomentEdge!]!

    # A list of the nodes contained in CustomerMomentEdge.
    nodes: [CustomerMoment!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CustomerMoment and a cursor during pagination.
type CustomerMomentEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CustomerMomentEdge.
    node: CustomerMoment!
}

# An auto-generated type for paginating through multiple StaffMembers.
type StaffMemberConnection {
    # A list of edges.
    edges: [StaffMemberEdge!]!

    # A list of the nodes contained in StaffMemberEdge.
    nodes: [StaffMember!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one StaffMember and a cursor during pagination.
type StaffMemberEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of StaffMemberEdge.
    node: StaffMember!
}
`, BuiltIn: false},
	{Name: "../../../ext/delivery.graphql", Input: `# A participant defines carrier-calculated rates for shipping services
# with a possible merchant-defined fixed fee or a percentage-of-rate fee.
type DeliveryParticipant implements Node {
    # Whether to display new shipping services automatically to the customer when the service becomes available.
    adaptToNewServicesFlag: Boolean!

    # The carrier used for this participant.
    carrierService: DeliveryCarrierService!

    # The merchant-defined fixed fee for this participant.
    fixedFee: MoneyV2

    # A globally-unique identifier.
    id: ID!

    # The carrier-specific services offered by the participant, and whether each service is active.
    participantServices: [DeliveryParticipantService!]!

    # The merchant-defined percentage-of-rate fee for this participant.
    percentageOfRateFee: Float!
}

# Represents the shipping details that the customer chose for their order.
type ShippingLine {
    # A reference to the carrier service that provided the rate.
    # Present when the rate was computed by a third-party carrier service.
    carrierIdentifier: String

    # A reference to the shipping method.
    code: String

    # Whether the shipping line is custom or not.
    custom: Boolean!

    # The general classification of the delivery method.
    deliveryCategory: String

    # The discounts that have been allocated to the shipping line.
    discountAllocations: [DiscountAllocation!]!

    # The pre-tax shipping price with discounts applied.
    discountedPriceSet: MoneyBag!

    # A globally-unique identifier.
    id: ID

    # The pre-tax shipping price without any discounts applied.
    originalPriceSet: MoneyBag!

    # The phone number at the shipping address.
    phone: String

    # The fulfillment service requested for the shipping method.
    # Present if the shipping method requires processing by a third party fulfillment service.
    requestedFulfillmentService: FulfillmentService

    # A unique identifier for the shipping rate. The format can change without notice and is not meant to be shown to users.
    shippingRateHandle: String

    # Returns the rate source for the shipping line.
    source: String

    # The TaxLine objects connected to this shipping line.
    taxLines: [TaxLine!]!

    # Returns the title of the shipping line.
    title: String!
}

# A shipping profile. In Shopify, a shipping profile is a set of shipping rates scoped to a set of products or variants
# that can be shipped from selected locations to zones.
type DeliveryProfile implements Node {
    # The number of active shipping rates for the profile.
    activeMethodDefinitionsCount: Int!

    # Whether this is the default profile.
    default: Boolean!

    # A globally-unique identifier.
    id: ID!

    # Whether this shop has enabled legacy compatibility mode for delivery profiles.
    legacyMode: Boolean!

    # The number of locations without rates defined.
    locationsWithoutRatesCount: Int!

    # The name of the delivery profile.
    name: String!

    # The number of active origin locations for the profile.
    originLocationCount: Int!

    # How many product variants are in this profile.
    productVariantsCountV2: DeliveryProductVariantsCount!

    # The products and variants associated with this profile.
    profileItems(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): DeliveryProfileItemConnection!

    # The location groups and associated zones using this profile.
    profileLocationGroups: [DeliveryProfileLocationGroup!]!

    # Selling plan groups associated with the specified delivery profile.
    sellingPlanGroups(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SellingPlanGroupConnection!

    # List of locations that have not been assigned to a location group for this profile.
    unassignedLocations: [Location!]!

    # The number of countries with active rates to deliver to.
    zoneCountryCount: Int!
}

# A product and the subset of associated variants that are part of this delivery profile.
type DeliveryProfileItem implements Node {
    # A globally-unique identifier.
    id: ID!

    # A product associated with this profile.
    product: Product!

    # The product variants associated with this delivery profile.
    variants(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ProductVariantConnection!
}

# How many product variants are in a profile. This count is capped at 500.
type DeliveryProductVariantsCount {
    # Whether the count has reached the cap of 500.
    capped: Boolean!

    # The product variant count.
    count: Int!
}

# Links a location group with zones. Both are associated to a delivery profile.
type DeliveryProfileLocationGroup {
    # The countries already selected in any zone for the specified location group.
    countriesInAnyZone: [DeliveryCountryAndZone!]!

    # The collection of locations that make up the specified location group.
    locationGroup: DeliveryLocationGroup!

    # The applicable zones associated to the specified location group.
    locationGroupZones(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): DeliveryLocationGroupZoneConnection!
}

# A location group is a collection of locations. They share zones and delivery methods across delivery profiles.
type DeliveryLocationGroup implements Node {
    # A globally-unique identifier.
    id: ID!

    # A list of all locations that are part of this location group.
    locations(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: LocationSortKeys = NAME
        query: String
        includeLegacy: Boolean = false
        includeInactive: Boolean = false
    ): LocationConnection!
}

# Links a location group with a zone and the associated method definitions.
type DeliveryLocationGroupZone {
    # The number of method definitions for the zone.
    methodDefinitionCounts: DeliveryMethodDefinitionCounts!

    # The method definitions associated to a zone and location group.
    methodDefinitions(
        eligible: Boolean
        type: DeliveryMethodDefinitionType
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: MethodDefinitionSortKeys = ID
    ): DeliveryMethodDefinitionConnection!

    # The zone associated to a location group.
    zone: DeliveryZone!
}

# A zone is a group of countries that have the same shipping rates.
# Customers can order products from a store only if they choose a shipping destination that's included in one of the store's zones.
type DeliveryZone implements Node {
    # The list of countries within the zone.
    countries: [DeliveryCountry!]!

    # A globally-unique identifier.
    id: ID!

    # The name of the zone.
    name: String!
}

# The number of method definitions for a zone, separated into merchant-owned and participant definitions.
type DeliveryMethodDefinitionCounts {
    # The number of participant method definitions for the specified zone.
    participantDefinitionsCount: Int!

    # The number of merchant-defined method definitions for the specified zone.
    rateDefinitionsCount: Int!
}

# The country details and the associated shipping zone.
type DeliveryCountryAndZone {
    # The country details.
    country: DeliveryCountry!

    # The name of the shipping zone.
    zone: String!
}

# A country that is used to define a shipping zone.
type DeliveryCountry implements Node {
    # A two-letter country code in ISO 3166-1 alpha-2 standard.
    # It also includes a flag indicating whether the country should be
    # a part of the 'Rest Of World' shipping zone.
    code: DeliveryCountryCodeOrRestOfWorld!

    # A globally-unique identifier.
    id: ID!

    # The full name of the country.
    name: String!

    # The list of regions associated with this country.
    provinces: [DeliveryProvince!]!

    # The translated name of the country. The translation returned is based on the system's locale.
    translatedName: String!
}

# The country code and whether the country is a part of the 'Rest Of World' shipping zone.
type DeliveryCountryCodeOrRestOfWorld {
    # The country code in the ISO 3166-1 alpha-2 format.
    countryCode: CountryCode

    # Whether the country is a part of the 'Rest of World' shipping zone.
    restOfWorld: Boolean!
}

# A region that is used to define a shipping zone.
type DeliveryProvince implements Node {
    # The code of the region.
    code: String!

    # A globally-unique identifier.
    id: ID!

    # The full name of the region.
    name: String!

    # The translated name of the region. The translation returned is based on the system's locale.
    translatedName: String!
}

# A method definition contains the delivery rate and the conditions that must be met for the method to be applied.
type DeliveryMethodDefinition implements Node {
    # Whether this method definition is active.
    active: Boolean!

    # The description of the method definition.
    description: String

    # A globally-unique identifier.
    id: ID!

    # The method conditions that must pass for this method definition to be applied to an order.
    methodConditions: [DeliveryCondition!]!

    # The name of the method definition.
    name: String!

    # The provided rate for this method definition, from a rate definition or participant.
    rateProvider: DeliveryRateProvider!
}

# A condition that must pass for a delivery method definition to be applied to an order.
type DeliveryCondition implements Node {
    # The value (weight or price) that the condition field is compared to.
    conditionCriteria: DeliveryConditionCriteria!

    # The field to compare the criterion value against, using the operator.
    field: DeliveryConditionField!

    # A globally-unique identifier.
    id: ID!

    # The operator to compare the field and criterion value.
    operator: DeliveryConditionOperator!
}

# The delivery method used by a fulfillment order.
type DeliveryMethod implements Node {
    # A globally-unique identifier.
    id: ID!

    # The maximum date and time by which the delivery is expected to be completed.
    maxDeliveryDateTime: DateTime

    # The type of the delivery method.
    methodType: DeliveryMethodType!

    # The minimum date and time by which the delivery is expected to be completed.
    minDeliveryDateTime: DateTime
}

# The merchant-defined rate of the DeliveryMethodDefinition.
type DeliveryRateDefinition implements Node {
    # A globally-unique identifier.
    id: ID!

    # The price of this rate.
    price: MoneyV2!
}

# A local delivery method, which includes a mailing address and a local delivery option.
type SubscriptionDeliveryMethodLocalDelivery {
    # The address to deliver to.
    address: SubscriptionMailingAddress!

    # The details of the local delivery method to use.
    localDeliveryOption: SubscriptionDeliveryMethodLocalDeliveryOption!
}

# Represents a Mailing Address on a Subscription.
type SubscriptionMailingAddress {
    # The first line of the address. Typically the street address or PO Box number.
    address1: String

    # The second line of the address. Typically the number of the apartment, suite, or unit.
    address2: String

    # The name of the city, district, village, or town.
    city: String

    # The name of the customer's company or organization.
    company: String

    # The name of the country.
    country: String

    # The two-letter code for the country of the address.
    #
    # For example, US.
    countryCode: CountryCode

    # The first name of the customer.
    firstName: String

    # The last name of the customer.
    lastName: String

    # The full name of the customer, based on firstName and lastName.
    name: String

    # A unique phone number for the customer. Formatted using E.164 standard. For example, +16135551111.
    phone: String

    # The region of the address, such as the province, state, or district.
    province: String

    # The two-letter code for the region.
    #
    # For example, ON.
    provinceCode: String

    # The zip or postal code of the address.
    zip: String
}

# The selected delivery option on a subscription contract.
type SubscriptionDeliveryMethodLocalDeliveryOption {
    # A custom reference to the delivery method for use with automations.
    code: String

    # The details displayed to the customer to describe the local delivery option.
    description: String

    # The delivery instructions that the customer can provide to the merchant.
    instructions: String

    # The phone number that the customer provided to the merchant.
    # Formatted using E.164 standard. For example, +16135551111.
    phone: String!

    # The presentment title of the local delivery option.
    presentmentTitle: String

    # The title of the local delivery option.
    title: String
}

# A delivery method with a pickup option.
type SubscriptionDeliveryMethodPickup {
    # The details of the pickup delivery method to use.
    pickupOption: SubscriptionDeliveryMethodPickupOption!
}

# Represents the selected pickup option on a subscription contract.
type SubscriptionDeliveryMethodPickupOption {
    # A custom reference to the delivery method for use with automations.
    code: String

    # The details displayed to the customer to describe the pickup option.
    description: String

    # The location where the customer will pickup the merchandise.
    location: Location!

    # The presentment title of the pickup option.
    presentmentTitle: String

    # The title of the pickup option.
    title: String
}

# Represents a shipping delivery method: a mailing address and a shipping option.
type SubscriptionDeliveryMethodShipping {
    # The address to ship to.
    address: SubscriptionMailingAddress!

    # The details of the shipping method to use.
    shippingOption: SubscriptionDeliveryMethodShippingOption!
}

# Represents the selected shipping option on a subscription contract.
type SubscriptionDeliveryMethodShippingOption {
    # The carrier service of the shipping option.
    carrierService: DeliveryCarrierService

    # The code of the shipping option.
    code: String

    # The description of the shipping option.
    description: String

    # The presentment title of the shipping option.
    presentmentTitle: String

    # The title of the shipping option.
    title: String
}

# A shipping service provider or a carrier account.
type DeliveryCarrierService implements Node {
    # The list of services offered for given destinations.
    availableServicesForCountries(
        origins: [ID!]
        countryCodes: [CountryCode!]
        restOfWorld: Boolean!
    ): [DeliveryAvailableService!]!

    # The properly formatted name of the shipping service provider, ready to display.
    formattedName: String

    # The logo of the service provider.
    icon: Image!

    # A globally-unique identifier.
    id: ID!

    # The name of the shipping service provider.
    name: String
}

# A shipping service and a list of countries that the service is available for.
type DeliveryAvailableService {
    # The countries the service provider ships to.
    countries: DeliveryCountryCodesOrRestOfWorld!

    # The name of the service.
    name: String!
}

# The list of country codes and information whether the countries
# are a part of the 'Rest Of World' shipping zone.
type DeliveryCountryCodesOrRestOfWorld {
    # List of applicable country codes in the ISO 3166-1 alpha-2 format.
    countryCodes: [CountryCode!]!

    # Whether the countries are a part of the 'Rest of World' shipping zone.
    restOfWorld: Boolean!
}

# A mail service provided by the participant.
type DeliveryParticipantService {
    # Whether the service is active.
    active: Boolean!

    # The name of the service.
    name: String!
}

# An auto-generated type for paginating through multiple DeliveryProfileItems.
type DeliveryProfileItemConnection {
    # A list of edges.
    edges: [DeliveryProfileItemEdge!]!

    # A list of the nodes contained in DeliveryProfileItemEdge.
    nodes: [DeliveryProfileItem!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one DeliveryProfileItem and a cursor during pagination.
type DeliveryProfileItemEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of DeliveryProfileItemEdge.
    node: DeliveryProfileItem!
}

# An auto-generated type for paginating through multiple DeliveryLocationGroupZones.
type DeliveryLocationGroupZoneConnection {
    # A list of edges.
    edges: [DeliveryLocationGroupZoneEdge!]!

    # A list of the nodes contained in DeliveryLocationGroupZoneEdge.
    nodes: [DeliveryLocationGroupZone!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one DeliveryLocationGroupZone and a cursor during pagination.
type DeliveryLocationGroupZoneEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of DeliveryLocationGroupZoneEdge.
    node: DeliveryLocationGroupZone!
}

# An auto-generated type for paginating through multiple DeliveryMethodDefinitions.
type DeliveryMethodDefinitionConnection {
    # A list of edges.
    edges: [DeliveryMethodDefinitionEdge!]!

    # A list of the nodes contained in DeliveryMethodDefinitionEdge.
    nodes: [DeliveryMethodDefinition!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one DeliveryMethodDefinition and a cursor during pagination.
type DeliveryMethodDefinitionEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of DeliveryMethodDefinitionEdge.
    node: DeliveryMethodDefinition!
}
`, BuiltIn: false},
	{Name: "../../../ext/enum.graphql", Input: `# The set of valid sort keys for the Event query.
enum EventSortKeys {
    # Sort by ` + "`" + `the created_at` + "`" + ` value.
    CREATED_AT

    # Sort by the ` + "`" + `id` + "`" + ` value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# Possible metafield validation statuses.
enum MetafieldValidationStatus {
    # Any validation status (valid or invalid).
    ANY

    # Valid (according to definition).
    VALID

    # Invalid (according to definition).
    INVALID
}

# Possible types of a metafield's owner resource.
enum MetafieldOwnerType {
    # The Api Permission metafield owner type.
    API_PERMISSION

    # The Article metafield owner type.
    ARTICLE

    # The Blog metafield owner type.
    BLOG

    # The Collection metafield owner type.
    COLLECTION

    # The Customer metafield owner type.
    CUSTOMER

    # The Discount metafield owner type.
    DISCOUNT

    # The Draft Order metafield owner type.
    DRAFTORDER

    # The Location metafield owner type.
    LOCATION

    # The Order metafield owner type.
    ORDER

    # The Page metafield owner type.
    PAGE

    # The Product metafield owner type.
    PRODUCT

    # The Product Image metafield owner type.
    PRODUCTIMAGE

    # The Product Variant metafield owner type.
    PRODUCTVARIANT

    # The Shop metafield owner type.
    SHOP
}

# Possible metafield definition validation statuses.
enum MetafieldDefinitionValidationStatus {
    # All of this definition's metafields are valid.
    ALL_VALID

    # Asynchronous validation of this definition's metafields is in progress.
    IN_PROGRESS

    # Some of this definition's metafields are invalid.
    SOME_INVALID
}

# Supported private metafield value types.
enum PrivateMetafieldValueType {
    # A string metafield.
    STRING

    # An integer metafield.
    INTEGER

    # A JSON string metafield.
    JSON_STRING
}

# The part of the image that should remain after cropping.
enum CropRegion {
    # Keep the center of the image.
    CENTER

    # Keep the top of the image.
    TOP

    # Keep the bottom of the image.
    BOTTOM

    # Keep the left of the image.
    LEFT

    # Keep the right of the image.
    RIGHT
}

# List of supported image content types.
enum ImageContentType {
    # A PNG image.
    PNG

    # A JPG image.
    JPG

    # A WEBP image.
    WEBP
}

# The purpose of a localization extension.
enum LocalizationExtensionPurpose {
    # Extensions that are used for shipping purposes, for example, customs clearance.
    SHIPPING

    # Extensions that are used for taxes purposes, for example, invoicing.
    TAX
}

enum LocalizationExtensionKey {
    # Extension key 'tax_credential_br' for country BR.
    TAX_CREDENTIAL_BR

    # Extension key 'shipping_credential_br' for country BR.
    SHIPPING_CREDENTIAL_BR

    # Extension key 'shipping_credential_cn' for country CN.
    SHIPPING_CREDENTIAL_CN

    # Extension key 'tax_credential_it' for country IT.
    TAX_CREDENTIAL_IT

    # Extension key 'tax_email_it' for country IT.
    TAX_EMAIL_IT

    # Extension key 'shipping_credential_kr' for country KR.
    SHIPPING_CREDENTIAL_KR
}

# Represents the fallback avatar image for a staff member. This is used only if the staff member has no avatar image.
enum StaffMemberDefaultImage {
    # Returns a default avatar image for the staff member.
    DEFAULT

    # Returns a transparent avatar image for the staff member.
    TRANSPARENT

    # Returns a URL that returns a 404 error if the image is not present.
    NOT_FOUND
}

# Possible metafield definition pinned statuses.
enum MetafieldDefinitionPinnedStatus {
    # All metafield definitions.
    ANY

    # Only metafield definitions that are pinned.
    PINNED

    # Only metafield definitions that are not pinned.
    UNPINNED
}

# The set of valid sort keys for the MetafieldDefinition query.
enum MetafieldDefinitionSortKeys {
    # Sort by the id value.
    ID

    # Sort by the name value.
    NAME

    # Sort by the pinned_position value.
    PINNED_POSITION

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the CompanyContactRole query.
enum CompanyContactRoleSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the CompanyContact query.
enum CompanyContactSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the title value.
    TITLE

    # Sort by the company_id value.
    COMPANY_ID

    # Sort by the name value.
    NAME

    # Sort by the email value.
    EMAIL

    # Sort by the name_email value.
    NAME_EMAIL

    ID
    # Sort by the id value.

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the DraftOrder query.
enum DraftOrderSortKeys {
    # Sort by the number value.
    NUMBER

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the status value.
    STATUS

    # Sort by the total_price value.
    TOTAL_PRICE

    # Sort by the customer_name value.
    CUSTOMER_NAME

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the CompanyLocation query.
enum CompanyLocationSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the name value.
    NAME

    # Sort by the company_id value.
    COMPANY_ID

    # Sort by the company_and_location_name value.
    COMPANY_AND_LOCATION_NAME

    ID
    # Sort by the id value.

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the Order query.
enum OrderSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the customer_name value.
    CUSTOMER_NAME

    # Sort by the financial_status value.
    FINANCIAL_STATUS

    # Sort by the fulfillment_status value.
    FULFILLMENT_STATUS

    # Sort by the order_number value.
    ORDER_NUMBER

    # Sort by the processed_at value.
    PROCESSED_AT

    # Sort by the total_price value.
    TOTAL_PRICE

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the CompanyContactRoleAssignment query.
enum CompanyContactRoleAssignmentSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the location_name value.
    LOCATION_NAME

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The possible values for the marketing subscription opt-in level enabled at the time the customer consented to receive marketing information.
#
# The levels are defined by the M3AAWG best practices guideline document.
enum CustomerMarketingOptInLevel {
    # After providing their information, the customer receives marketing information without any
    # intermediate steps.
    SINGLE_OPT_IN

    # After providing their information, the customer receives a confirmation and is required to
    # perform a intermediate step before receiving marketing information.
    CONFIRMED_OPT_IN

    # The customer receives marketing information but how they were opted in is unknown.
    UNKNOWN
}

# The possible email marketing states for a customer.
enum CustomerEmailMarketingState {
    # The customer isn't subscribed to email marketing.
    NOT_SUBSCRIBED

    # The customer is in the process of subscribing to email marketing.
    PENDING

    # The customer is subscribed to email marketing.
    SUBSCRIBED

    # The customer isn't currently subscribed to email marketing but was previously subscribed.
    UNSUBSCRIBED

    # The customer's personal data is erased. This value is internally-set and read-only.
    REDACTED

    # The customer’s email address marketing state is invalid.
    INVALID
}

# The possible product subscription states for a customer, as defined by the customer's subscription contracts.
enum CustomerProductSubscriberStatus {
    # The customer has at least one active subscription contract.
    ACTIVE

    # The customer's last subscription contract was cancelled and there are no other active or paused
    # subscription contracts.
    CANCELLED

    # The customer's last subscription contract expired and there are no other active or paused
    # subscription contracts.
    EXPIRED

    # The customer's last subscription contract failed and there are no other active or paused
    # subscription contracts.
    FAILED

    # The customer has never had a subscription contract.
    NEVER_SUBSCRIBED

    # The customer has at least one paused subscription contract and there are no other active
    # subscription contracts.
    PAUSED
}

# The source that collected the customer's consent to receive marketing materials.
enum CustomerConsentCollectedFrom {
    # The customer consent was collected by Shopify.
    SHOPIFY

    # The customer consent was collected outside of Shopify.
    OTHER
}

# The valid SMS marketing states for a customer’s phone number.
enum CustomerSmsMarketingState {
    # The customer hasn't subscribed to SMS marketing.
    NOT_SUBSCRIBED

    # The customer is in the process of subscribing to SMS marketing.
    PENDING

    # The customer is subscribed to SMS marketing.
    SUBSCRIBED

    # The customer isn't currently subscribed to SMS marketing but was previously subscribed.
    UNSUBSCRIBED

    # The customer's personal data is erased. This value is internally-set and read-only.
    REDACTED
}

# The valid values for the state of a customer's account with a shop.
enum CustomerState {
    # The customer declined the email invite to create an account.
    DECLINED

    # The customer doesn't have an active account. Customer accounts can be disabled from the Shopify admin at any time.
    DISABLED

    # The customer has created an account.
    ENABLED

    # The customer has received an email invite to create an account.
    INVITED
}

# The valid tiers for the predicted spend of a customer with a shop.
enum CustomerPredictedSpendTier {
    # The customer's spend is higher than the 70th percentile of the shop's customer sales.
    HIGH

    # The customer's spend is between the 10th and 70th percentile of the shop's customer sales.
    MEDIUM

    # The customer's spend is lower than the 10th percentile of the shop's customer sales, including customers who didn't repurchase.
    LOW
}

# The valid statuses for a draft order.
enum DraftOrderStatus {
    # The draft order has been paid.
    COMPLETED

    # An invoice for the draft order has been sent to the customer.
    INVOICE_SENT

    # The draft order is open. It has not been paid, and an invoice hasn't been sent.
    OPEN
}

# The valid discount types that can be applied to a draft order.
enum DraftOrderAppliedDiscountType {
    # A fixed amount in the store's currency.
    FIXED_AMOUNT

    # A percentage of the order subtotal.
    PERCENTAGE
}

# The type of line (i.e. line item or shipping line) on an order that the discount is applicable towards.
enum DiscountApplicationTargetType {
    # The discount applies onto line items.
    LINE_ITEM

    # The discount applies onto shipping lines.
    SHIPPING_LINE
}

# The lines on the order to which the discount is applied, of the type defined by
# the discount application's targetType. For example, the value ENTITLED, combined with a targetType of
# LINE_ITEM, applies the discount on all line items that are entitled to the discount.
# The value ALL, combined with a targetType of SHIPPING_LINE, applies the discount on all shipping lines.
enum DiscountApplicationTargetSelection {
    # The discount is allocated onto all the lines.
    ALL

    # The discount is allocated onto only the lines that it's entitled for.
    ENTITLED

    # The discount is allocated onto explicitly chosen lines.
    EXPLICIT
}

# The method by which the discount's value is allocated onto its entitled lines.
enum DiscountApplicationAllocationMethod {
    # The value is spread across all entitled lines.
    ACROSS

    # The value is applied onto every entitled line.
    EACH
}

# The type of a fulfillment service.
enum FulfillmentServiceType {
    # Fulfillment by gift card.
    GIFT_CARD

    # Manual fulfillment by the merchant.
    MANUAL

    # Fullfillment by a third-party fulfillment service.
    THIRD_PARTY
}

# The valid values for the inventory policy of a product variant once it is out of stock.
enum ProductVariantInventoryPolicy {
    # Customers can't buy this product variant after it's out of stock.
    DENY

    # Customers can buy this product variant after it's out of stock.
    CONTINUE
}

# The set of valid sort keys for the Location query.
enum LocationSortKeys {
    # Sort by the name value.
    NAME

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The type of a payment terms or a payment terms template.
enum PaymentTermsType {
    # The payment terms or payment terms template is due on receipt.
    RECEIPT

    # The payment terms or payment terms template is a net type. It's due a number of days after issue.
    NET

    # The payment terms or payment terms template is a fixed type. It's due on a specified date.
    FIXED

    # The type of the payment terms or payment terms template is unknown.
    UNKNOWN
}

# The different types of method definitions to filter by.
enum DeliveryMethodDefinitionType {
    # A static merchant-defined rate.
    MERCHANT

    # A dynamic participant rate.
    PARTICIPANT
}

# The set of valid sort keys for the MethodDefinition query.
enum MethodDefinitionSortKeys {
    # Sort by the rate_provider_type value.
    RATE_PROVIDER_TYPE

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The field type that the condition will be applied to.
enum DeliveryConditionField {
    # The condition will check against the total weight of the order.
    TOTAL_WEIGHT

    # The condition will check against the total price of the order.
    TOTAL_PRICE
}

# The operator to use to determine if the condition passes.
enum DeliveryConditionOperator {
    # The condition will check whether the field is greater than or equal to the criterion.
    GREATER_THAN_OR_EQUAL_TO

    # The condition will check if the field is less than or equal to the criterion.
    LESS_THAN_OR_EQUAL_TO
}

# The category of the selling plan. For the OTHER category,
# you must fill out our request form,
# where we'll review your request for a new purchase option.
enum SellingPlanCategory {
    # The selling plan is for anything not in one of the other categories.
    OTHER

    # The selling plan is for pre-orders.
    PRE_ORDER

    # The selling plan is for subscriptions.
    SUBSCRIPTION

    # The selling plan is for try before you buy purchases.
    TRY_BEFORE_YOU_BUY
}

# When to reserve inventory for a selling plan.
enum SellingPlanReserve {
    # Reserve inventory when order is fulfilled.
    ON_FULFILLMENT

    # Reserve inventory at time of sale.
    ON_SALE
}

# The available icons for resource alerts.
enum ResourceAlertIcon {
    # A checkmark inside a circle.
    CHECKMARK_CIRCLE

    # A lowercase i inside a circle.
    INFORMATION_CIRCLE
}

# The possible severity levels for a resource alert.
enum ResourceAlertSeverity {
    # Indicates a neutral alert. For example, an accepted dispute.
    DEFAULT

    # Indicates an informative alert. For example, an escalated dispute.
    INFO

    # Indicates an informative alert. For example, a new dispute.
    WARNING

    # Indicates a success alert. For example, a winning a dispute.
    SUCCESS

    # Indicates a critical alert. For example, a blocked app.
    CRITICAL
}

# Represents the reason that the order is being canceled. Valid values are: customer, fraud, inventory, declined, other.
enum OrderCancelReason {
    # The customer wanted to cancel the order.
    CUSTOMER

    # The order was fraudulent.
    FRAUD

    # There was insufficient inventory.
    INVENTORY

    # Payment was declined.
    DECLINED

    # Some other reason not listed.
    OTHER
}

# Possible types of app developer.
enum AppDeveloperType {
    # Indicates the app developer is Shopify.
    SHOPIFY

    # Indicates the app developer is a Partner.
    PARTNER

    # Indicates the app developer works directly for a Merchant.
    MERCHANT

    # Indicates the app developer is unknown. It is not categorized as any of the other developer types.
    UNKNOWN
}

# The set of valid sort keys for the AppUsageRecord query.
enum AppUsageRecordSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The status of the app subscription.
enum AppSubscriptionStatus {
    # The app subscription is pending approval by the merchant.
    PENDING

    # The app subscription has been approved by the merchant. Active app subscriptions are billed to the shop.
    # After payment, partners receive payouts.
    ACTIVE

    # The app subscription was declined by the merchant. This is a terminal state.
    DECLINED

    # The app subscription wasn't approved by the merchant within two days of being created. This is a terminal state.
    EXPIRED

    # The app subscription is on hold due to non-payment. The subscription re-activates after payments resume.
    FROZEN

    # The app subscription was cancelled by the app. This could be caused by the app being uninstalled,
    # a new app subscription being activated, or a direct cancellation by the app. This is a terminal state.
    CANCELLED
}

# The public-facing category for an app.
enum AppPublicCategory {
    # The app's public category is private.
    PRIVATE

    # The app's public category is public.
    PUBLIC

    # The app's public category is custom.
    CUSTOM

    # The app's public category is other. An app is in this category if it's not classified under any of the other app types
    # (private, public, or custom).
    OTHER
}

# The set of valid sort keys for the AppSubscription query.
enum AppSubscriptionSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the AppTransaction query.
enum AppTransactionSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the AppRevenueAttributionRecord query.
enum AppRevenueAttributionRecordSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The approval status of the app purchase.
#
# The merchant is charged for the purchase immediately after approval, and the status changes to active.
# If the payment fails, then the app purchase remains pending.
#
# Purchases start as pending and can change to: active, declined, expired. After a purchase changes, it
# remains in that final state.
enum AppPurchaseStatus {
    # The app purchase was approved by the merchant and has been activated by the app.
    # Active app purchases are charged to the merchant and are paid out to the partner.
    ACTIVE

    # The app purchase was declined by the merchant.
    DECLINED

    # The app purchase was not accepted within two days of being created.
    EXPIRED

    # The app purchase is pending approval by the merchant.
    PENDING
}

# Represents the billing types of revenue attribution.
enum AppRevenueAttributionType {
    # App purchase related revenue collection.
    APPLICATION_PURCHASE

    # App subscription revenue collection.
    APPLICATION_SUBSCRIPTION

    # App usage-based revenue collection.
    APPLICATION_USAGE

    # Other app revenue collection type.
    OTHER
}

#  Specifies the sort order for the products in the collection.
enum CollectionSortOrder {
    # Alphabetically, in ascending order (A - Z).
    ALPHA_ASC

    # Alphabetically, in descending order (Z - A).
    ALPHA_DESC

    # By best-selling products.
    BEST_SELLING

    # By date created, in ascending order (oldest - newest).
    CREATED

    # By date created, in descending order (newest - oldest).
    CREATED_DESC

    # In the order set manually by the merchant.
    MANUAL

    # By price, in ascending order (lowest - highest).
    PRICE_ASC

    # By price, in descending order (highest - lowest).
    PRICE_DESC
}

# The set of valid sort keys for the ProductCollection query.
enum ProductCollectionSortKeys {
    # Sort by the title value.
    TITLE

    # Sort by the price value.
    PRICE

    # Sort by the best-selling value.
    BEST_SELLING

    # Sort by the created value.
    CREATED

    # Sort by the id value.
    ID

    # Sort by the manual value.
    MANUAL

    # Sort by the collection-default value.
    COLLECTION_DEFAULT

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# A standardized error code, independent of the payment provider.
enum OrderTransactionErrorCode {
    # The card number is incorrect.
    INCORRECT_NUMBER

    # The format of the card number is incorrect.
    INVALID_NUMBER

    # The format of the expiry date is incorrect.
    INVALID_EXPIRY_DATE

    # The format of the CVC is incorrect.
    INVALID_CVC

    # The card is expired.
    EXPIRED_CARD

    # The CVC does not match the card number.
    INCORRECT_CVC

    # The ZIP or postal code does not match the card number.
    INCORRECT_ZIP

    INCORRECT_ADDRESS
    # The address does not match the card number.

    # The entered PIN is incorrect.
    INCORRECT_PIN

    # The card was declined.
    CARD_DECLINED

    # There was an error while processing the payment.
    PROCESSING_ERROR

    # Call the card issuer.
    CALL_ISSUER

    # The card has been reported as lost or stolen, and the card issuer has requested that the merchant keep the card and call the number on the back.
    PICK_UP_CARD

    CONFIG_ERROR
    # There is an error in the gateway or merchant configuration.

    # A real card was used but the gateway was in test mode.
    TEST_MODE_LIVE_CARD

    # The gateway or merchant configuration doesn't support a feature, such as network tokenization.
    UNSUPPORTED_FEATURE

    # There was an unknown error with processing the payment.
    GENERIC_ERROR

    # The payment method is not available in the customer's country.
    INVALID_COUNTRY

    # The amount is either too high or too low for the provider.
    INVALID_AMOUNT

    # The payment method is momentarily unavailable.
    PAYMENT_METHOD_UNAVAILABLE

    # The payment method was invalid.
    AMAZON_PAYMENTS_INVALID_PAYMENT_METHOD

    # The maximum amount has been captured.
    AMAZON_PAYMENTS_MAX_AMOUNT_CHARGED

    # The maximum amount has been refunded.
    AMAZON_PAYMENTS_MAX_AMOUNT_REFUNDED

    # The maximum of 10 authorizations has been captured for an order.
    AMAZON_PAYMENTS_MAX_AUTHORIZATIONS_CAPTURED

    # The maximum of 10 refunds has been processed for an order.
    AMAZON_PAYMENTS_MAX_REFUNDS_PROCESSED

    # The order was canceled, which canceled all open authorizations.
    AMAZON_PAYMENTS_ORDER_REFERENCE_CANCELED

    # The order was not confirmed within three hours.
    AMAZON_PAYMENTS_STALE
}

# The different kinds of order transactions.
enum OrderTransactionKind {
    # An authorization and capture performed together in a single step.
    SALE

    # A transfer of the money that was reserved by an authorization.
    CAPTURE

    # An amount reserved against the cardholder's funding source.
    # Money does not change hands until the authorization is captured.
    AUTHORIZATION

    # A cancelation of an authorization transaction.
    VOID

    # A partial or full return of captured funds to the cardholder.
    # A refund can happen only after a capture is processed.
    REFUND

    # The money returned to the customer when they've paid too much during a cash transaction.
    CHANGE

    # An authorization for a payment taken with an EMV credit card reader.
    EMV_AUTHORIZATION

    # A suggested refund transaction that can be used to create a refund.
    SUGGESTED_REFUND
}

# The different states that an OrderTransaction can have.
enum OrderTransactionStatus {
    # The transaction succeeded.
    SUCCESS

    # The transaction failed.
    FAILURE

    # The transaction is pending.
    PENDING

    # There was an error while processing the transaction.
    ERROR

    # Awaiting a response.
    AWAITING_RESPONSE

    # The transaction status is unknown.
    UNKNOWN
}

# The available types of marketing event.
enum MarketingTactic {
    ABANDONED_CART
    # An abandoned cart recovery email.

    # An ad, such as a Facebook ad.
    AD

    # An affiliate link.
    AFFILIATE

    # A link.
    LINK

    # A loyalty program.
    LOYALTY

    # A messaging app, such as Facebook Messenger.
    MESSAGE

    # A newsletter.
    NEWSLETTER

    # A notification in the Shopify admin.
    NOTIFICATION

    # A blog post.
    POST

    # A retargeting ad.
    RETARGETING

    # A transactional email.
    TRANSACTIONAL

    # Search engine optimization.
    SEO

    # A direct visit to the online store.
    DIRECT

    # A popup on the online store.
    STOREFRONT_APP
}

# The available marketing channels for a marketing activity or event.
# A marketing channel is broad category of marketing, used for reporting aggregation.
enum MarketingChannel {
    # Paid search.
    SEARCH

    # Displayed ads.
    DISPLAY

    # Social media.
    SOCIAL

    # Email.
    EMAIL

    # Referral links.
    REFERRAL
}

# Specifies the kind of the suggested order transaction.
enum SuggestedOrderTransactionKind {
    # A suggested refund transaction for an order.
    SUGGESTED_REFUND
}

enum RefundLineItemRestockType {
    # The refund line item was returned. Use this when restocking line items that were fulfilled.
    RETURN

    # The refund line item was canceled. Use this when restocking unfulfilled line items.
    CANCEL

    # Deprecated.
    # The refund line item was restocked, without specifically being identified as a return or cancelation.
    # This value is not accepted when creating new refunds.
    LEGACY_RESTOCK

    # Refund line item was not restocked.
    NO_RESTOCK
}

# The reason a discount on a subscription draft was rejected.
enum SubscriptionDiscountRejectionReason {
    # Discount code is not found.
    NOT_FOUND

    # Discount does not apply to any of the given line items.
    NO_ENTITLED_LINE_ITEMS

    # Quantity of items does not qualify for the discount.
    QUANTITY_NOT_IN_RANGE

    # Purchase amount of items does not qualify for the discount.
    PURCHASE_NOT_IN_RANGE

    # Given customer does not qualify for the discount.
    CUSTOMER_NOT_ELIGIBLE

    # Discount usage limit has been reached.
    USAGE_LIMIT_REACHED

    # Customer usage limit has been reached.
    CUSTOMER_USAGE_LIMIT_REACHED

    # Discount is inactive.
    CURRENTLY_INACTIVE

    # No applicable shipping lines.
    NO_ENTITLED_SHIPPING_LINES

    # Purchase type does not qualify for the discount.
    INCOMPATIBLE_PURCHASE_TYPE

    # Internal error during discount code validation.
    INTERNAL_ERROR
}

# The revocation reason types for a customer payment method.
enum CustomerPaymentMethodRevocationReason {
    # The Authorize.net payment gateway is not enabled.
    AUTHORIZE_NET_GATEWAY_NOT_ENABLED

    # Authorize.net did not return any payment methods. Make sure that the correct Authorize.net account is linked.
    AUTHORIZE_NET_RETURNED_NO_PAYMENT_METHOD

    # The credit card failed to update.
    FAILED_TO_UPDATE_CREDIT_CARD

    # Failed to contact the Stripe API.
    STRIPE_API_AUTHENTICATION_ERROR

    # Invalid request. Failed to retrieve payment method from Stripe.
    STRIPE_API_INVALID_REQUEST_ERROR

    # The Stripe payment gateway is not enabled.
    STRIPE_GATEWAY_NOT_ENABLED

    # Stripe did not return any payment methods. Make sure that the correct Stripe account is linked.
    STRIPE_RETURNED_NO_PAYMENT_METHOD

    # The Stripe payment method type should be card.
    STRIPE_PAYMENT_METHOD_NOT_CARD

    # Failed to contact Braintree API.
    BRAINTREE_API_AUTHENTICATION_ERROR

    # The Braintree payment gateway is not enabled.
    BRAINTREE_GATEWAY_NOT_ENABLED

    # Braintree returned no payment methods. Make sure the correct Braintree account is linked.
    BRAINTREE_RETURNED_NO_PAYMENT_METHOD

    # The Braintree payment method type should be a credit card or Apple Pay card.
    BRAINTREE_PAYMENT_METHOD_NOT_CARD

    # The payment method was manually revoked.
    MANUALLY_REVOKED

    # The payment method was replaced with an existing payment method.
    # The associated contracts have been migrated to the other payment method.
    MERGED
}

# The possible status values of a subscription.
enum SubscriptionContractSubscriptionStatus {
    # The contract is active and continuing per its policies.
    ACTIVE

    # The contract is temporarily paused and is expected to resume in the future.
    PAUSED

    # The contract was ended by an unplanned customer action.
    CANCELLED

    # The contract has ended per the expected circumstances.
    # All billing and delivery cycles of the subscriptions were executed.
    EXPIRED

    # The contract ended because billing failed and no further billing attempts are expected.
    FAILED
}

# The possible status values of the last payment on a subscription contract.
enum SubscriptionContractLastPaymentStatus {
    # Successful subscription billing attempt.
    SUCCEEDED

    # Failed subscription billing attempt.
    FAILED
}

# Available customer tax exemptions.
enum TaxExemption {
    # This customer is exempt from specific taxes for holding a valid STATUS_CARD_EXEMPTION in Canada.
    CA_STATUS_CARD_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in British Columbia.
    CA_BC_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Manitoba.
    CA_MB_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Saskatchewan.
    CA_SK_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid DIPLOMAT_EXEMPTION in Canada.
    CA_DIPLOMAT_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid COMMERCIAL_FISHERY_EXEMPTION in British Columbia.
    CA_BC_COMMERCIAL_FISHERY_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid COMMERCIAL_FISHERY_EXEMPTION in Manitoba.
    CA_MB_COMMERCIAL_FISHERY_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid COMMERCIAL_FISHERY_EXEMPTION in Nova Scotia.
    CA_NS_COMMERCIAL_FISHERY_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid COMMERCIAL_FISHERY_EXEMPTION in Prince Edward Island.
    CA_PE_COMMERCIAL_FISHERY_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid COMMERCIAL_FISHERY_EXEMPTION in Saskatchewan.
    CA_SK_COMMERCIAL_FISHERY_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid PRODUCTION_AND_MACHINERY_EXEMPTION in British Columbia.
    CA_BC_PRODUCTION_AND_MACHINERY_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid PRODUCTION_AND_MACHINERY_EXEMPTION in Saskatchewan.
    CA_SK_PRODUCTION_AND_MACHINERY_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid SUB_CONTRACTOR_EXEMPTION in British Columbia.
    CA_BC_SUB_CONTRACTOR_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid SUB_CONTRACTOR_EXEMPTION in Saskatchewan.
    CA_SK_SUB_CONTRACTOR_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid CONTRACTOR_EXEMPTION in British Columbia.
    CA_BC_CONTRACTOR_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid CONTRACTOR_EXEMPTION in Saskatchewan.
    CA_SK_CONTRACTOR_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid PURCHASE_EXEMPTION in Ontario.
    CA_ON_PURCHASE_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid FARMER_EXEMPTION in Manitoba.
    CA_MB_FARMER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid FARMER_EXEMPTION in Nova Scotia.
    CA_NS_FARMER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid FARMER_EXEMPTION in Saskatchewan.
    CA_SK_FARMER_EXEMPTION

    # This customer is exempt from VAT for purchases within the EU that is shipping from outside of customer's country.
    EU_REVERSE_CHARGE_EXEMPTION_RULE

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Alabama.
    US_AL_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Alaska.
    US_AK_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Arizona.
    US_AZ_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Arkansas.
    US_AR_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in California.
    US_CA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Colorado.
    US_CO_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Connecticut.
    US_CT_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Delaware.
    US_DE_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Florida.
    US_FL_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Georgia.
    US_GA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Hawaii.
    US_HI_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Idaho.
    US_ID_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Illinois.
    US_IL_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Indiana.
    US_IN_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Iowa.
    US_IA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Kansas.
    US_KS_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Kentucky.
    US_KY_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Louisiana.
    US_LA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Maine.
    US_ME_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Maryland.
    US_MD_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Massachusetts.
    US_MA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Michigan.
    US_MI_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Minnesota.
    US_MN_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Mississippi.
    US_MS_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Missouri.
    US_MO_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Montana.
    US_MT_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Nebraska.
    US_NE_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Nevada.
    US_NV_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in New Hampshire.
    US_NH_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in New Jersey.
    US_NJ_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in New Mexico.
    US_NM_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in New York.
    US_NY_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in North Carolina.
    US_NC_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in North Dakota.
    US_ND_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Ohio.
    US_OH_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Oklahoma.
    US_OK_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Oregon.
    US_OR_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Pennsylvania.
    US_PA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Rhode Island.
    US_RI_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in South Carolina.
    US_SC_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in South Dakota.
    US_SD_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Tennessee.
    US_TN_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Texas.
    US_TX_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Utah.
    US_UT_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Vermont.
    US_VT_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Virginia.
    US_VA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Washington.
    US_WA_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in West Virginia.
    US_WV_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Wisconsin.
    US_WI_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Wyoming.
    US_WY_RESELLER_EXEMPTION

    # This customer is exempt from specific taxes for holding a valid RESELLER_EXEMPTION in Washington DC.
    US_DC_RESELLER_EXEMPTION
}

# Represents valid selling plan interval.
enum SellingPlanInterval {
    # Day interval.
    DAY

    # Week interval.
    WEEK

    # Month interval.
    MONTH

    # Year interval.
    YEAR
}

# Represents the anchor type.
enum SellingPlanAnchorType {
    # Which day of the week, between 1-7.
    WEEKDAY

    # Which day of the month, between 1-31.
    MONTHDAY

    # Which days of the month and year, month between 1-12, and day between 1-31.
    YEARDAY
}

# Represents a selling plan pricing policy adjustment type.
enum SellingPlanPricingPolicyAdjustmentType {
    # Percentage off adjustment.
    PERCENTAGE

    # Fixed amount off adjustment.
    FIXED_AMOUNT

    # Price of the policy.
    PRICE
}

# The type of line (line item or shipping line) on an order that the subscription discount is applicable towards.
enum DiscountTargetType {
    # The discount applies onto line items.
    LINE_ITEM

    # The discount applies onto shipping lines.
    SHIPPING_LINE
}

# The type of the subscription discount.
enum DiscountType {
    # Manual discount type.
    MANUAL

    # Code discount type.
    CODE_DISCOUNT
}

# The type of refund to perform for a particular refund duty.
enum RefundDutyRefundType {
    # The duty is proportionally refunded based on the quantity of the refunded line item.
    PROPORTIONAL

    # The duty is fully refunded.
    FULL
}

# The likelihood that an order is fraudulent.
enum OrderRiskLevel {
    # There is a low level of risk that this order is fraudulent.
    LOW

    # There is a medium level of risk that this order is fraudulent.
    MEDIUM

    # There is a high level of risk that this order is fraudulent.
    HIGH
}

# The set of valid sort keys for the FulfillmentEvent query.
enum FulfillmentEventSortKeys {
    # Sort by the happened_at value.
    HAPPENED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The display status of a fulfillment.
enum FulfillmentDisplayStatus {
    # Displayed as Attempted delivery.
    ATTEMPTED_DELIVERY

    # Displayed as Canceled.
    CANCELED

    # Displayed as Confirmed.
    CONFIRMED

    # Displayed as Delivered.
    DELIVERED

    # Displayed as Failure.
    FAILURE

    # Displayed as Fulfilled.
    FULFILLED

    # Displayed as In transit.
    IN_TRANSIT

    # Displayed as Label printed.
    LABEL_PRINTED

    # Displayed as Label purchased.
    LABEL_PURCHASED

    # Displayed as Label voided.
    LABEL_VOIDED

    # Displayed as Marked as fulfilled.
    MARKED_AS_FULFILLED

    # Displayed as Not delivered.
    NOT_DELIVERED

    # Displayed as Out for delivery.
    OUT_FOR_DELIVERY

    # Displayed as Ready for pickup.
    READY_FOR_PICKUP

    # Displayed as Picked up.
    PICKED_UP

    # Displayed as Submitted.
    SUBMITTED
}

# The status of a fulfillment.
enum FulfillmentStatus {
    # The fulfillment was completed successfully.
    SUCCESS

    # The fulfillment was canceled.
    CANCELLED

    # There was an error with the fulfillment request.
    ERROR

    # The fulfillment request failed.
    FAILURE
}

# The possible types for a dispute.
enum DisputeType {
    # The dispute has turned into a chargeback.
    CHARGEBACK

    # The dispute is in the inquiry phase.
    INQUIRY
}

# The possible statuses of a dispute.
enum DisputeStatus {
    NEEDS_RESPONSE
    UNDER_REVIEW
    CHARGE_REFUNDED
    ACCEPTED
    WON
    LOST
}

# Represents the order's current financial status.
enum OrderDisplayFinancialStatus {
    # Displayed as Pending.
    PENDING

    # Displayed as Authorized.
    AUTHORIZED

    # Displayed as Partially paid.
    PARTIALLY_PAID

    # Displayed as Partially refunded.
    PARTIALLY_REFUNDED

    # Displayed as Voided.
    VOIDED

    # Displayed as Paid.
    PAID

    # Displayed as Refunded.
    REFUNDED

    # Displayed as Expired.
    EXPIRED
}

# Represents the order's aggregated fulfillment status for display purposes.
enum OrderDisplayFulfillmentStatus {
    # Displayed as Unfulfilled. None of the items in the order have been fulfilled.
    UNFULFILLED

    # Displayed as Partially fulfilled. Some of the items in the order have been fulfilled.
    PARTIALLY_FULFILLED

    # Displayed as Fulfilled. All the items in the order have been fulfilled.
    FULFILLED

    # Displayed as Restocked. All the items in the order have been restocked. Replaced by the "UNFULFILLED" status.
    RESTOCKED

    # Displayed as Pending fulfillment. A request for fulfillment of some items awaits a response from the fulfillment service. Replaced by the "IN_PROGRESS" status.
    PENDING_FULFILLMENT

    # Displayed as Open. None of the items in the order have been fulfilled. Replaced by "UNFULFILLED" status.
    OPEN

    # Displayed as In progress.
    # Some of the items in the order have been fulfilled, or a request for fulfillment has been sent to the fulfillment service.
    IN_PROGRESS

    # Displayed as On hold. All of the unfulfilled items in this order are on hold.
    ON_HOLD

    # Displayed as Scheduled. All of the unfulfilled items in this order are scheduled for fulfillment at later time.
    SCHEDULED
}

# The possible order action types for a sales agreement.
enum OrderActionType {
    # An order with a purchase or charge.
    ORDER

    # An edit to the order.
    ORDER_EDIT

    # A refund on the order.
    REFUND

    # An unknown agreement action. Represents new actions that may be added in future versions.
    UNKNOWN
}

enum SaleActionType {
    # A purchase or charge.
    ORDER

    # A removal or return.
    RETURN

    # A change to the price, taxes, or discounts for a prior purchase.
    UPDATE

    # An unknown order action. Represents new actions that may be added in future versions.
    UNKNOWN
}

# The possible line types for a sale record.
# One of the possible order line types for a sale is an adjustment.
# Sales adjustments occur when a refund is issued for a line item that is either more or less than the total value of the line item.
# Examples are restocking fees and goodwill payments.
# When this happens, Shopify produces a sales agreement with sale records for each line item that is returned or refunded and an additional sale record for the adjustment (for example, a restocking fee).
# The sales records for the returned or refunded items represent the reversal of the original line item sale value.
# The additional adjustment sale record represents the difference between the original total value of all line items that were refunded, and the actual amount refunded.
enum SaleLineType {
    # A product purchased, returned or exchanged.
    PRODUCT

    # A tip added by the customer.
    TIP

    # A gift card.
    GIFT_CARD

    # A shipping cost.
    SHIPPING

    # A duty charge.
    DUTY

    # An unknown sale line. Represents new types that may be added in future versions.
    UNKNOWN

    # A sale adjustment.
    ADJUSTMENT
}

# The possible error codes associated with making billing attempts. The error codes supplement the
# error_message to provide consistent results and help with dunning management.
enum SubscriptionBillingAttemptErrorCode {
    # Payment method was not found.
    PAYMENT_METHOD_NOT_FOUND

    # Payment provider is not enabled.
    PAYMENT_PROVIDER_IS_NOT_ENABLED

    # Payment method is invalid. Please update or create a new payment method.
    INVALID_PAYMENT_METHOD

    # There was an unexpected error during the billing attempt.
    UNEXPECTED_ERROR

    # Payment method is expired.
    EXPIRED_PAYMENT_METHOD

    # Payment method was declined by processor.
    PAYMENT_METHOD_DECLINED

    # There was an error during the authentication.
    AUTHENTICATION_ERROR

    # Gateway is in test mode and attempted to bill a live payment method.
    TEST_MODE

    # Payment method was canceled by buyer.
    BUYER_CANCELED_PAYMENT_METHOD

    # Customer was not found.
    CUSTOMER_NOT_FOUND

    # Customer is invalid.
    CUSTOMER_INVALID

    # The shipping address is either missing or invalid.
    INVALID_SHIPPING_ADDRESS

    # The billing agreement ID or the transaction ID for the customer's payment method is invalid.
    INVALID_CUSTOMER_BILLING_AGREEMENT

    # A payment has already been made for this invoice.
    INVOICE_ALREADY_PAID

    # Payment method cannot be used with the current payment gateway test mode configuration.
    PAYMENT_METHOD_INCOMPATIBLE_WITH_GATEWAY_CONFIG

    # The amount is too small.
    AMOUNT_TOO_SMALL
}

# Possible method types that a delivery method can have.
enum DeliveryMethodType {
    # The order is shipped.
    SHIPPING

    # The order is picked up by the customer.
    PICK_UP

    # No delivery is needed.
    NONE

    # The order is delivered to a retail store.
    RETAIL

    # The order is delivered using a local delivery service.
    LOCAL
}

# The reason for a fulfillment hold.
enum FulfillmentHoldReason {
    # The fulfillment hold is applied because payment is pending.
    AWAITING_PAYMENT

    # The fulfillment hold is applied because of a high risk of fraud.
    HIGH_RISK_OF_FRAUD

    # The fulfillment hold is applied because of an incorrect address.
    INCORRECT_ADDRESS

    # The fulfillment hold is applied because inventory is out of stock.
    INVENTORY_OUT_OF_STOCK

    # The fulfillment hold is applied because of an unknown delivery date.
    UNKNOWN_DELIVERY_DATE

    # The fulfillment hold is applied for another reason.
    OTHER
}

# The kinds of request merchants can make to a fulfillment service.
enum FulfillmentOrderMerchantRequestKind {
    # The merchant requests fulfillment for an OPEN fulfillment order.
    FULFILLMENT_REQUEST

    # The merchant requests cancellation of an IN_PROGRESS fulfillment order.
    CANCELLATION_REQUEST
}

# The request status of a fulfillment order.
enum FulfillmentOrderRequestStatus {
    # The initial request status for the newly-created fulfillment orders. This is the only valid
    # request status for fulfillment orders that aren't assigned to a fulfillment service.
    UNSUBMITTED

    # The merchant requested fulfillment for this fulfillment order.
    SUBMITTED

    # The fulfillment service accepted the merchant's fulfillment request.
    ACCEPTED

    # The fulfillment service rejected the merchant's fulfillment request.
    REJECTED

    # The merchant requested a cancellation of the fulfillment request for this fulfillment order.
    CANCELLATION_REQUESTED

    # The fulfillment service accepted the merchant's fulfillment cancellation request.
    CANCELLATION_ACCEPTED

    # The fulfillment service rejected the merchant's fulfillment cancellation request.
    CANCELLATION_REJECTED

    # The fulfillment service closed the fulfillment order without completing it.
    CLOSED
}

# The status of a fulfillment order.
enum FulfillmentOrderStatus {
    # The fulfillment order is ready for fulfillment.
    OPEN

    # The fulfillment order is being processed.
    IN_PROGRESS

    # The fulfillment order has been cancelled by the merchant.
    CANCELLED

    # The fulfillment order cannot be completed as requested.
    INCOMPLETE

    # The fulfillment order has been completed and closed.
    CLOSED

    # The fulfillment order is deferred and will be ready for fulfillment after the date and time specified in fulfill_at.
    SCHEDULED

    # The fulfillment order is on hold. The fulfillment process can't be initiated until the hold on the fulfillment order is released.
    ON_HOLD
}

# The actions that can be taken on a fulfillment order.
enum FulfillmentOrderAction {
    # Creates a fulfillment for selected line items in the fulfillment order.
    # The corresponding mutation for this action is fulfillmentCreateV2.
    CREATE_FULFILLMENT

    # Sends a request for fulfilling selected line items in a fulfillment order to a fulfillment service.
    # The corresponding mutation for this action is fulfillmentOrderSubmitFulfillmentRequest.
    REQUEST_FULFILLMENT

    # Cancels a fulfillment order.
    # The corresponding mutation for this action is fulfillmentOrderCancel.
    CANCEL_FULFILLMENT_ORDER

    # Moves a fulfillment order.
    # The corresponding mutation for this action is fulfillmentOrderMove.
    MOVE

    # Sends a cancellation request to the fulfillment service of a fulfillment order.
    # The corresponding mutation for this action is fulfillmentOrderSubmitCancellationRequest.
    REQUEST_CANCELLATION

    # Marks the fulfillment order as open.
    # The corresponding mutation for this action is fulfillmentOrderOpen.
    MARK_AS_OPEN

    # Releases the fulfillment hold on the fulfillment order.
    # The corresponding mutation for this action is fulfillmentOrderReleaseHold.
    RELEASE_HOLD

    # Applies a fulfillment hold on an open fulfillment order.
    # The corresponding mutation for this action is fulfillmentOrderHold.
    HOLD

    # Opens an external URL to initiate the fulfillment process outside Shopify.
    # This action should be paired with FulfillmentOrderSupportedAction.externalUrl.
    EXTERNAL
}

# The status that describes a fulfillment or delivery event.
enum FulfillmentEventStatus {
    # A shipping label has been purchased.
    LABEL_PURCHASED

    # A purchased shipping label has been printed.
    LABEL_PRINTED

    # The fulfillment is ready to be picked up.
    READY_FOR_PICKUP

    # The fulfillment is confirmed. This is the default value when no other information is available.
    CONFIRMED

    # The fulfillment is in transit.
    IN_TRANSIT

    # The fulfillment is out for delivery.
    OUT_FOR_DELIVERY

    # A delivery was attempted.
    ATTEMPTED_DELIVERY

    # The fulfillment was successfully delivered.
    DELIVERED

    # The fulfillment request failed.
    FAILURE
}

# Represents a percentage price adjustment type.
enum PriceListAdjustmentType {
    # Percentage decrease type. Prices will have a lower value.
    PERCENTAGE_DECREASE

    # Percentage increase type. Prices will have a higher value.
    PERCENTAGE_INCREASE
}

# Represents the origin of a price, either fixed (defined on the price list)
# or relative (calculated using a price list adjustment configuration).
enum PriceListPriceOriginType {
    # The price is defined on the price list.
    FIXED

    # The price is relative to the adjustment type and value.
    RELATIVE
}

# The set of valid sort keys for the Collection query.
enum CollectionSortKeys {
    # Sort by the title value.
    TITLE

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the ProductImage query.
enum ProductImageSortKeys {
    # Sort by the created_at value.
    CREATED_AT

    # Sort by the position value.
    POSITION

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The set of valid sort keys for the ProductMedia query.
enum ProductMediaSortKeys {
    # Sort by the position value.
    POSITION

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The possible product statuses.
enum ProductStatus {
    # The product is ready to sell and can be published to sales channels and apps.
    # Products with an active status aren't automatically published to sales channels, such as the online store, or apps.
    # By default, existing products are set to active.
    ACTIVE

    # The product is no longer being sold and isn't available to customers on sales channels and apps.
    ARCHIVED

    # The product isn't ready to sell and is unavailable to customers on sales channels and apps.
    # By default, duplicated and unarchived products are set to draft.
    DRAFT
}

# The set of valid sort keys for the ProductVariant query.
enum ProductVariantSortKeys {
    # Sort by the title value.
    TITLE

    # Sort by the name value.
    NAME

    # Sort by the sku value.
    SKU

    # Sort by the inventory_quantity value.
    INVENTORY_QUANTITY

    # Sort by the inventory_management value.
    INVENTORY_MANAGEMENT

    # Sort by the inventory_levels.available value.
    INVENTORY_LEVELS_AVAILABLE

    # Sort by the inventory_policy value.
    INVENTORY_POLICY

    # Sort by the full_title value.
    FULL_TITLE

    # Sort by the popular value.
    POPULAR

    # Sort by the position value.
    POSITION

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# The possible content types for a media object.
enum MediaContentType {
    # A Shopify-hosted video.
    VIDEO

    # An externally hosted video.
    EXTERNAL_VIDEO

    # A 3d model.
    MODEL_3D

    # A Shopify-hosted image.
    IMAGE
}

# Error types for media.
enum MediaErrorCode {
    # Media error has occured for unknown reason.
    UNKNOWN

    # Media could not be processed because the signed URL was invalid.
    INVALID_SIGNED_URL

    # Media could not be processed because the image could not be downloaded.
    IMAGE_DOWNLOAD_FAILURE

    # Media could not be processed because the image could not be processed.
    IMAGE_PROCESSING_FAILURE

    # Media timed out because it is currently being modified by another operation.
    MEDIA_TIMEOUT_ERROR

    # Media could not be created because the external video could not be found.
    EXTERNAL_VIDEO_NOT_FOUND

    # Media could not be created because the external video is not listed or is private.
    EXTERNAL_VIDEO_UNLISTED

    # Media could not be created because the external video has an invalid aspect ratio.
    EXTERNAL_VIDEO_INVALID_ASPECT_RATIO

    # Media could not be created because embed permissions are disabled for this video.
    EXTERNAL_VIDEO_EMBED_DISABLED

    # Media could not be created because video is either not found or still transcoding.
    EXTERNAL_VIDEO_EMBED_NOT_FOUND_OR_TRANSCODING

    # File could not be processed because the source could not be downloaded.
    GENERIC_FILE_DOWNLOAD_FAILURE

    # File could not be created because the size is too large.
    GENERIC_FILE_INVALID_SIZE

    # Media could not be created because the metadata could not be read.
    VIDEO_METADATA_READ_ERROR

    # Media could not be created because it has an invalid file type.
    VIDEO_INVALID_FILETYPE_ERROR

    # Media could not be created because it does not meet the minimum width requirement.
    VIDEO_MIN_WIDTH_ERROR

    # Media could not be created because it does not meet the maximum width requirement.
    VIDEO_MAX_WIDTH_ERROR

    # Media could not be created because it does not meet the minimum height requirement.
    VIDEO_MIN_HEIGHT_ERROR

    # Media could not be created because it does not meet the maximum height requirement.
    VIDEO_MAX_HEIGHT_ERROR

    # Media could not be created because it does not meet the minimum duration requirement.
    VIDEO_MIN_DURATION_ERROR

    # Media could not be created because it does not meet the maximum duration requirement.
    VIDEO_MAX_DURATION_ERROR

    # Video failed validation.
    VIDEO_VALIDATION_ERROR

    # Model failed validation.
    MODEL3D_VALIDATION_ERROR

    # Media could not be created because the model's thumbnail generation failed.
    MODEL3D_THUMBNAIL_GENERATION_ERROR

    # Media could not be created because the model can't be converted to USDZ format.
    MODEL3D_GLB_TO_USDZ_CONVERSION_ERROR

    # Media could not be created because the model file failed processing.
    MODEL3D_GLB_OUTPUT_CREATION_ERROR

    # Media could not be created because the model file failed processing.
    MODEL3D_PROCESSING_FAILURE

    # Media could not be created because the image is an unsupported file type.
    UNSUPPORTED_IMAGE_FILE_TYPE

    # Media could not be created because the image size is too large.
    INVALID_IMAGE_FILE_SIZE

    # Media could not be created because the image has an invalid aspect ratio.
    INVALID_IMAGE_ASPECT_RATIO

    # Media could not be created because the image's resolution exceeds the max limit.
    INVALID_IMAGE_RESOLUTION

    # Media could not be created because the cumulative file storage limit would be exceeded.
    FILE_STORAGE_LIMIT_EXCEEDED
}

# Warning types for media.
enum MediaWarningCode {
    # 3D model physical size might be invalid.
    # The dimensions of your model are very small.
    # Consider reviewing your model to ensure they are correct.
    MODEL_SMALL_PHYSICAL_SIZE

    # 3D model physical size might be invalid.
    # The dimensions of your model are very large.
    # Consider reviewing your model to ensure they are correct.
    MODEL_LARGE_PHYSICAL_SIZE
}

# The possible statuses for a media preview image.
enum MediaPreviewImageStatus {
    # Preview image is uploaded but not yet processed.
    UPLOADED

    # Preview image is being processed.
    PROCESSING

    # Preview image is ready to be displayed.
    READY

    # Preview image processing has failed.
    FAILED
}

# The possible statuses for a media object.
enum MediaStatus {
    # Media has been uploaded but not yet processed.
    UPLOADED

    # Media is being processed.
    PROCESSING

    # Media is ready to be displayed.
    READY

    # Media processing has failed.
    FAILED
}

# The error types for a file.
enum FileErrorCode {
    # File error has occurred for an unknown reason.
    UNKNOWN

    # File could not be processed because the signed URL was invalid.
    INVALID_SIGNED_URL

    # File could not be processed because the image could not be downloaded.
    IMAGE_DOWNLOAD_FAILURE

    # File could not be processed because the image could not be processed.
    IMAGE_PROCESSING_FAILURE

    # File timed out because it is currently being modified by another operation.
    MEDIA_TIMEOUT_ERROR

    # File could not be created because the external video could not be found.
    EXTERNAL_VIDEO_NOT_FOUND

    # File could not be created because the external video is not listed or is private.
    EXTERNAL_VIDEO_UNLISTED

    # File could not be created because the external video has an invalid aspect ratio.
    EXTERNAL_VIDEO_INVALID_ASPECT_RATIO

    # File could not be created because embed permissions are disabled for this video.
    EXTERNAL_VIDEO_EMBED_DISABLED

    # File could not be created because video is either not found or still transcoding.
    EXTERNAL_VIDEO_EMBED_NOT_FOUND_OR_TRANSCODING

    # File could not be processed because the source could not be downloaded.
    GENERIC_FILE_DOWNLOAD_FAILURE

    # File could not be created because the size is too large.
    GENERIC_FILE_INVALID_SIZE

    # File could not be created because the metadata could not be read.
    VIDEO_METADATA_READ_ERROR

    # File could not be created because it has an invalid file type.
    VIDEO_INVALID_FILETYPE_ERROR

    # File could not be created because it does not meet the minimum width requirement.
    VIDEO_MIN_WIDTH_ERROR

    # File could not be created because it does not meet the maximum width requirement.
    VIDEO_MAX_WIDTH_ERROR

    # File could not be created because it does not meet the minimum height requirement.
    VIDEO_MIN_HEIGHT_ERROR

    # File could not be created because it does not meet the maximum height requirement.
    VIDEO_MAX_HEIGHT_ERROR

    # File could not be created because it does not meet the minimum duration requirement.
    VIDEO_MIN_DURATION_ERROR

    # File could not be created because it does not meet the maximum duration requirement.
    VIDEO_MAX_DURATION_ERROR

    # Video failed validation.
    VIDEO_VALIDATION_ERROR

    # Model failed validation.
    MODEL3D_VALIDATION_ERROR

    # File could not be created because the model's thumbnail generation failed.
    MODEL3D_THUMBNAIL_GENERATION_ERROR

    # File could not be created because the model can't be converted to USDZ format.
    MODEL3D_GLB_TO_USDZ_CONVERSION_ERROR

    # File could not be created because the model file failed processing.
    MODEL3D_GLB_OUTPUT_CREATION_ERROR

    # File could not be created because the model file failed processing.
    MODEL3D_PROCESSING_FAILURE

    # File could not be created because the image is an unsupported file type.
    UNSUPPORTED_IMAGE_FILE_TYPE

    # File could not be created because the image size is too large.
    INVALID_IMAGE_FILE_SIZE

    # File could not be created because the image has an invalid aspect ratio.
    INVALID_IMAGE_ASPECT_RATIO

    # File could not be created because the image's resolution exceeds the max limit.
    INVALID_IMAGE_RESOLUTION

    # File could not be created because the cumulative file storage limit would be exceeded.
    FILE_STORAGE_LIMIT_EXCEEDED
}

# The possible statuses for a file object.
enum FileStatus {
    # File has been uploaded but hasn't been processed.
    UPLOADED

    # File is being processed.
    PROCESSING

    # File is ready to be displayed.
    READY

    # File processing has failed.
    FAILED
}

# When to capture the payment for the remaining amount due.
enum SellingPlanRemainingBalanceChargeTrigger {
    # When there's no remaining balance to be charged after checkout.
    NO_REMAINING_BALANCE

    # At an exact time defined by the remaining_balance_charge_exact_time field.
    EXACT_TIME

    # After the duration defined by the remaining_balance_charge_time_after_checkout field.
    TIME_AFTER_CHECKOUT
}

# The checkout charge when the full amount isn't charged at checkout.
enum SellingPlanCheckoutChargeType {
    # The checkout charge is a percentage of the product or variant price.
    PERCENTAGE

    # The checkout charge is a fixed price amount.
    PRICE
}

# Describes what triggers fulfillment.
enum SellingPlanFulfillmentTrigger {
    # Use the anchor values to calculate fulfillment date.
    ANCHOR

    # As soon as possible.
    ASAP

    # At an exact time defined by the fulfillment_exact_time field.
    EXACT_TIME

    # Unknown. Usually to be determined in the future.
    UNKNOWN
}

# Possible intentions of a Delivery Policy.
enum SellingPlanFixedDeliveryPolicyIntent {
    # A merchant-centric delivery policy.
    # Mark this delivery policy to define when the merchant should start fulfillment.
    FULFILLMENT_BEGIN
}

# Whether the delivery policy is merchant or buyer-centric.
enum SellingPlanRecurringDeliveryPolicyIntent {
    # A merchant-centric delivery policy.
    # Mark this delivery policy to define when the merchant should start fulfillment.
    FULFILLMENT_BEGIN
}

# The fulfillment or delivery behavior of the first fulfillment when the orderis placed before the anchor.
enum SellingPlanFixedDeliveryPolicyPreAnchorBehavior {
    # Orders placed can be fulfilled / delivered immediately.
    # Orders placed inside a cutoff can be fulfilled / delivered at the next anchor.
    ASAP

    # Orders placed can be fulfilled / delivered at the next anchor date.
    # Orders placed inside a cutoff will skip the next anchor and can be fulfilled /
    # delivered at the following anchor.
    NEXT
}

# The fulfillment or delivery behaviors of the first fulfillment when the orderis placed before the anchor.
enum SellingPlanRecurringDeliveryPolicyPreAnchorBehavior {
    # The orders placed can be fulfilled or delivered immediately.
    # The orders placed inside a cutoff can be fulfilled or delivered at the next anchor.
    ASAP

    # The orders placed can be fulfilled or delivered at the next anchor date.
    # The orders placed inside a cutoff will skip the next anchor and can be fulfilled or
    # delivered at the following anchor.
    NEXT
}

# The frequency at which the shop is billed for an app subscription.
enum AppPricingInterval {
    # The app subscription bills the shop annually.
    ANNUAL

    # The app subscription bills the shop every 30 days.
    EVERY_30_DAYS
}

# The set of valid sort keys for the Product query.
enum ProductSortKeys {
    # Sort by the title value.
    TITLE

    # Sort by the product_type value.
    PRODUCT_TYPE

    # Sort by the vendor value.
    VENDOR

    # Sort by the inventory_total value.
    INVENTORY_TOTAL

    # Sort by the updated_at value.
    UPDATED_AT

    # Sort by the created_at value.
    CREATED_AT

    # Sort by the published_at value.
    PUBLISHED_AT

    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# Possible error codes that can be returned by ProductChangeStatusUserError.
enum ProductChangeStatusUserErrorCode {
    # Product could not be found.
    PRODUCT_NOT_FOUND
}

# The assigment status to be used to filter fulfillment orders.
enum FulfillmentOrderAssignmentStatus {
    # Fulfillment orders for which the merchant has requested cancellation of
    # the previously accepted fulfillment request.
    CANCELLATION_REQUESTED

    # Fulfillment orders for which the merchant has requested fulfillment.
    FULFILLMENT_REQUESTED

    # Fulfillment orders for which the merchant's fulfillment request has been accepted.
    # Any number of fulfillments can be created on these fulfillment orders
    # to completely fulfill the requested items.
    FULFILLMENT_ACCEPTED
}

# The set of valid sort keys for the FulfillmentOrder query.
enum FulfillmentOrderSortKeys {
    # Sort by the id value.
    ID

    # Sort by relevance to the search terms when the query parameter is specified on the connection.
    # Don't use this sort key when no search query is specified.
    RELEVANCE
}

# Represents the shop's customer account requirement preference.
enum ShopCustomerAccountsSetting {
    REQUIRED
    OPTIONAL
    DISABLED
}

# Possible sort of tags.
enum ShopTagSort {
    # Alphabetical sort.
    ALPHABETICAL

    # Popularity sort.
    POPULAR
}

# Digital wallet, such as Apple Pay, which can be used for accelerated checkouts.
enum DigitalWallet {
    # Apple Pay.
    APPLE_PAY

    # Android Pay.
    ANDROID_PAY

    # Google Pay.
    GOOGLE_PAY

    # Shopify Pay.
    SHOPIFY_PAY
}

# Specifies the type of resources to be returned from a search.
enum SearchResultType {
    CUSTOMER

    DRAFT_ORDER

    PRODUCT

    COLLECTION

    # A file.
    FILE

    ONLINE_STORE_PAGE

    ONLINE_STORE_BLOG

    ONLINE_STORE_ARTICLE

    # A URL redirect.
    URL_REDIRECT

    PRICE_RULE

    # A code discount redeem code.
    DISCOUNT_REDEEM_CODE

    ORDER
}

# Available shop policy types.
enum ShopPolicyType {
    # The refund policy.
    REFUND_POLICY

    # The shipping policy.
    SHIPPING_POLICY

    # The privacy policy.
    PRIVACY_POLICY

    # The terms of service.
    TERMS_OF_SERVICE

    # The terms of sale.
    TERMS_OF_SALE

    # The legal notice.
    LEGAL_NOTICE

    # The purchase options cancellation policy.
    SUBSCRIPTION_POLICY
}

# Possible branding of a shop.
# Branding can be used to define the look of a shop including its styling and logo in the Shopify Admin.
enum ShopBranding {
    # Shop has Shopify Gold branding.
    SHOPIFY_GOLD

    # Shop has Shopify Plus branding.
    SHOPIFY_PLUS

    # Shop has Rogers branding.
    ROGERS

    # Shop has Shopify branding.
    SHOPIFY
}

# Systems of weights and measures.
enum UnitSystem {
    # Imperial system of weights and measures.
    IMPERIAL_SYSTEM

    # Metric system of weights and measures.
    METRIC_SYSTEM
}

# Represents a valid PayPal Express subscriptions gateway status.
enum PaypalExpressSubscriptionsGatewayStatus {
    # The status is enabled.
    ENABLED

    # The status is disabled.
    DISABLED

    # The status is pending.
    PENDING
}

# Possible error codes that can be returned by MediaUserError.
enum MediaUserErrorCode {
    # The input value is invalid.
    INVALID

    # The input value is blank.
    BLANK

    # Video validation failed.
    VIDEO_VALIDATION_ERROR

    # Model validation failed.
    MODEL3D_VALIDATION_ERROR

    # Video creation throttle was exceeded.
    VIDEO_THROTTLE_EXCEEDED

    # Model3d creation throttle was exceeded.
    MODEL3D_THROTTLE_EXCEEDED

    # Exceeded the limit of media per product.
    PRODUCT_MEDIA_LIMIT_EXCEEDED

    # Exceeded the limit of media per shop.
    SHOP_MEDIA_LIMIT_EXCEEDED

    # Product does not exist.
    PRODUCT_DOES_NOT_EXIST

    # Media does not exist.
    MEDIA_DOES_NOT_EXIST

    # Media does not exist on the given product.
    MEDIA_DOES_NOT_EXIST_ON_PRODUCT

    # Only one mediaId is allowed per variant-media input pair.
    TOO_MANY_MEDIA_PER_INPUT_PAIR

    # Exceeded the maximum number of 100 variant-media pairs per mutation call.
    MAXIMUM_VARIANT_MEDIA_PAIRS_EXCEEDED

    # Invalid media type.
    INVALID_MEDIA_TYPE

    # Variant specified in more than one pair.
    PRODUCT_VARIANT_SPECIFIED_MULTIPLE_TIMES

    # Variant does not exist on the given product.
    PRODUCT_VARIANT_DOES_NOT_EXIST_ON_PRODUCT

    # Non-ready media are not supported.
    NON_READY_MEDIA

    # Product variant already has attached media.
    PRODUCT_VARIANT_ALREADY_HAS_MEDIA

    # The specified media is not attached to the specified variant.
    MEDIA_IS_NOT_ATTACHED_TO_VARIANT

    # Media cannot be modified. It is currently being modified by another operation.
    MEDIA_CANNOT_BE_MODIFIED
}

# Possible error codes that can be returned by SellingPlanGroupUserError.
enum SellingPlanGroupUserErrorCode {
    # The input value is blank.
    BLANK

    # The input value should be equal to the value allowed.
    EQUAL_TO

    # The input value should be greater than the minimum allowed value.
    GREATER_THAN

    # The input value should be greater than or equal to the minimum value allowed.
    GREATER_THAN_OR_EQUAL_TO

    # The input value isn't included in the list.
    INCLUSION

    # The input value is invalid.
    INVALID

    # The input value should be less than the maximum value allowed.
    LESS_THAN

    # The input value should be less than or equal to the maximum value allowed.
    LESS_THAN_OR_EQUAL_TO

    # The input value is not a number.
    NOT_A_NUMBER

    # The record with the ID used as the input value couldn't be found.
    NOT_FOUND

    # The input value needs to be blank.
    PRESENT

    # The input value is already taken.
    TAKEN

    # The input value is too big.
    TOO_BIG

    # The input value is too long.
    TOO_LONG

    # The input value is too short.
    TOO_SHORT

    # The input value is the wrong length.
    WRONG_LENGTH

    # Exceeded the selling plan limit (31).
    SELLING_PLAN_COUNT_UPPER_BOUND

    # Must include at least one selling plan.
    SELLING_PLAN_COUNT_LOWER_BOUND

    # Selling plan's billing policy max cycles must be greater than min cycles.
    SELLING_PLAN_MAX_CYCLES_MUST_BE_GREATER_THAN_MIN_CYCLES

    # Selling plan's billing and delivery policies anchors must be equal.
    SELLING_PLAN_BILLING_AND_DELIVERY_POLICY_ANCHORS_MUST_BE_EQUAL

    # Selling plan's billing cycle must be a multiple of delivery cycle.
    SELLING_PLAN_BILLING_CYCLE_MUST_BE_A_MULTIPLE_OF_DELIVERY_CYCLE

    # Selling plan's pricing policies must contain one fixed pricing policy.
    SELLING_PLAN_PRICING_POLICIES_MUST_CONTAIN_A_FIXED_PRICING_POLICY

    # Cannot define option2 on this selling plan as there's no label on the parent selling plan group.
    SELLING_PLAN_MISSING_OPTION2_LABEL_ON_PARENT_GROUP

    # Cannot define option3 on this selling plan as there's no label on the parent selling plan group.
    SELLING_PLAN_MISSING_OPTION3_LABEL_ON_PARENT_GROUP

    # Selling plan's option2 is required because option2 exists.
    SELLING_PLAN_OPTION2_REQUIRED_AS_DEFINED_ON_PARENT_GROUP

    # Selling plan's option3 is required because option3 exists.
    SELLING_PLAN_OPTION3_REQUIRED_AS_DEFINED_ON_PARENT_GROUP

    # Selling plans can't have more than 2 pricing policies.
    SELLING_PLAN_PRICING_POLICIES_LIMIT

    # The selling plan list provided contains 1 or more invalid IDs.
    RESOURCE_LIST_CONTAINS_INVALID_IDS

    # Product variant does not exist.
    PRODUCT_VARIANT_DOES_NOT_EXIST

    # Product does not exist.
    PRODUCT_DOES_NOT_EXIST

    # Selling plan group does not exist.
    GROUP_DOES_NOT_EXIST

    # Selling plan group could not be deleted.
    GROUP_COULD_NOT_BE_DELETED

    # Could not add the resource to the selling plan group.
    ERROR_ADDING_RESOURCE_TO_GROUP

    # Missing delivery policy.
    SELLING_PLAN_DELIVERY_POLICY_MISSING

    # Missing billing policy.
    SELLING_PLAN_BILLING_POLICY_MISSING

    # Selling plan does not exist.
    PLAN_DOES_NOT_EXIST

    # Selling plan ID must be specified to update.
    PLAN_ID_MUST_BE_SPECIFIED_TO_UPDATE

    # Only one billing policy type can be defined.
    ONLY_NEED_ONE_BILLING_POLICY_TYPE

    # Only one delivery policy type can be defined.
    ONLY_NEED_ONE_DELIVERY_POLICY_TYPE

    # Only one pricing policy type can be defined.
    ONLY_NEED_ONE_PRICING_POLICY_TYPE

    # Billing and delivery policy types must be the same.
    BILLING_AND_DELIVERY_POLICY_TYPES_MUST_BE_THE_SAME

    # Only one pricing policy adjustment value type can be defined.
    ONLY_NEED_ONE_PRICING_POLICY_VALUE

    # Pricing policy's adjustment value and adjustment type must match.
    PRICING_POLICY_ADJUSTMENT_VALUE_AND_TYPE_MUST_MATCH

    # Cannot have multiple selling plans with the same name.
    SELLING_PLAN_DUPLICATE_NAME

    # Cannot have multiple selling plans with the same options.
    SELLING_PLAN_DUPLICATE_OPTIONS

    # A fixed selling plan can have at most one pricing policy.
    SELLING_PLAN_FIXED_PRICING_POLICIES_LIMIT

    # A fixed billing policy's remaining_balance_charge_exact_time can't be blank when the remaining_balance_charge_trigger is EXACT_TIME.
    REMAINING_BALANCE_CHARGE_EXACT_TIME_REQUIRED

    # A fixed billing policy's checkout charge value and type must match.
    CHECKOUT_CHARGE_VALUE_AND_TYPE_MUST_MATCH

    # A fixed billing policy's checkout charge can have at most one value.
    ONLY_NEED_ONE_CHECKOUT_CHARGE_VALUE

    # A fixed billing policy's remaining_balance_charge_exact_time must not be present when the remaining_balance_charge_trigger isn't EXACT_TIME.
    REMAINING_BALANCE_CHARGE_EXACT_TIME_NOT_ALLOWED

    # A fixed billing policy's remaining_balance_charge_time_after_checkout must be present and greater than zero when the remaining_balance_charge_trigger is TIME_AFTER_CHECKOUT.
    REMAINING_BALANCE_CHARGE_TIME_AFTER_CHECKOUT_MUST_BE_GREATER_THAN_ZERO

    # A fixed billing policy's remaining_balance_charge_trigger must be NO_REMAINING_BALANCE when the checkout_charge_type is PERCENTAGE and checkout_charge_value is 100.
    REMAINING_BALANCE_CHARGE_TRIGGER_ON_FULL_CHECKOUT

    # A fixed billing policy's remaining_balance_charge_trigger can't be NO_REMAINING_BALANCE when the checkout_charge_type is PERCENTAGE and checkout_charge_value is less than 100.
    REMAINING_BALANCE_CHARGE_TRIGGER_NO_REMAINING_BALANCE_ON_PARTIAL_PERCENTAGE_CHECKOUT_CHARGE

    # A fixed billing policy's remaining_balance_charge_trigger can't be NO_REMAINING_BALANCE when the checkout_charge_type is PRICE.
    REMAINING_BALANCE_CHARGE_TRIGGER_NO_REMAINING_BALANCE_ON_PRICE_CHECKOUT_CHARGE

    # A fixed billing policy's fulfillment_exact_time can't be blank when the fulfillment_trigger is EXACT_TIME.
    FULFILLMENT_EXACT_TIME_REQUIRED

    # A fixed billing policy's fulfillment_exact_time must not be present when the fulfillment_trigger isn't EXACT_TIME.
    FULFILLMENT_EXACT_TIME_NOT_ALLOWED

    # A fixed delivery policy's anchors must not be present when the fulfillment_trigger isn't ANCHOR.
    SELLING_PLAN_ANCHORS_NOT_ALLOWED

    # A fixed delivery policy's anchors must be present when the fulfillment_trigger is ANCHOR.
    SELLING_PLAN_ANCHORS_REQUIRED

    # A selling plan can't have both fixed and recurring billing policies.
    ONLY_ONE_OF_FIXED_OR_RECURRING_BILLING

    # A selling plan can't have both fixed and recurring delivery policies.
    ONLY_ONE_OF_FIXED_OR_RECURRING_DELIVERY
}

# Possible error codes that can be returned by ProductVariantsBulkCreateUserError.
enum ProductVariantsBulkCreateUserErrorCode {
    # Product does not exist.
    PRODUCT_DOES_NOT_EXIST

    # On create, this key cannot be used.
    NO_KEY_ON_CREATE

    # Variant already exists.
    VARIANT_ALREADY_EXISTS

    # Variant price must be greater than or equal to zero.
    GREATER_THAN_OR_EQUAL_TO

    # Variant options are not enough.
    NEED_TO_ADD_OPTION_VALUES

    # Variant options are more than the product options.
    OPTION_VALUES_FOR_NUMBER_OF_UNKNOWN_OPTIONS

    # Inventory locations cannot exceed the allowed resource limit or 10.
    TOO_MANY_INVENTORY_LOCATIONS

    # You reached the limit of available SKUs in your current plan.
    SUBSCRIPTION_VIOLATION

    # Variant options already exist. Please change the variant option(s).
    VARIANT_ALREADY_EXISTS_CHANGE_OPTION_VALUE

    # Quantity could not be set. The location was not found.
    TRACKED_VARIANT_LOCATION_NOT_FOUND

    # Input must be for this product.
    MUST_BE_FOR_THIS_PRODUCT

    # Input is not defined for this shop.
    NOT_DEFINED_FOR_SHOP

    # Invalid input detected.
    INVALID

    # Price cannot take a negative value.
    NEGATIVE_PRICE_VALUE
}

# Possible error codes that can be returned by ProductVariantsBulkDeleteUserError.
enum ProductVariantsBulkDeleteUserErrorCode {
    # Product does not exist.
    PRODUCT_DOES_NOT_EXIST

    # Cannot delete default variant.
    CANNOT_DELETE_LAST_VARIANT

    # The variant does not exist.
    AT_LEAST_ONE_VARIANT_DOES_NOT_BELONG_TO_THE_PRODUCT
}

# Possible error codes that can be returned by ProductVariantsBulkReorderUserError.
enum ProductVariantsBulkReorderUserErrorCode {
    # Product does not exist.
    PRODUCT_DOES_NOT_EXIST

    # Product variant does not exist.
    MISSING_VARIANT

    # Product variant position cannot be zero or negative number.
    INVALID_POSITION

    # Product variant IDs must be unique.
    DUPLICATED_VARIANT_ID
}

# Possible error codes that can be returned by ProductVariantsBulkUpdateUserError.
enum ProductVariantsBulkUpdateUserErrorCode {
    # Product does not exist.
    PRODUCT_DOES_NOT_EXIST

    # Product variant is missing ID attribute.
    PRODUCT_VARIANT_ID_MISSING

    # Product variant does not exist.
    PRODUCT_VARIANT_DOES_NOT_EXIST

    # Inventory quantities cannot be updated with variants API.
    NO_INVENTORY_QUANTITIES_ON_VARIANTS_UPDATE

    # The variant already exists.
    VARIANT_ALREADY_EXISTS

    # The price of the variant must be greater than or equal to zero.
    GREATER_THAN_OR_EQUAL_TO

    # Variant options are not enough.
    NEED_TO_ADD_OPTION_VALUES

    # Variant options are more than the product options.
    OPTION_VALUES_FOR_NUMBER_OF_UNKNOWN_OPTIONS

    # You reached the limit of available SKUs in your current plan.
    SUBSCRIPTION_VIOLATION

    # Inventory quantities cannot be provided during update.
    NO_INVENTORY_QUANTITES_DURING_UPDATE

    # Price cannot take a negative value.
    NEGATIVE_PRICE_VALUE
}

# The state of the resource feedback.
enum ResourceFeedbackState {
    # No action required from merchant.
    ACCEPTED

    # The merchant needs to resolve an issue with the resource.
    REQUIRES_ACTION
}

# ISO 639-1 language codes supported by Shopify.
enum LanguageCode {
    # Afrikaans
    AF

    # Akan
    AK

    # Amharic
    AM

    # Arabic
    AR

    # Assamese
    AS

    # Azerbaijani
    AZ

    # Belarusian
    BE

    # Bulgarian
    BG

    # Bambara
    BM

    # Bangla
    BN

    # Tibetan
    BO

    # Breton
    BR

    # Bosnian
    BS

    # Catalan
    CA

    # Chechen
    CE

    # Czech
    CS

    # Church Slavic
    CU

    # Welsh
    CY

    # Danish
    DA

    # German
    DE

    # Dzongkha
    DZ

    # Ewe
    EE

    # Greek
    EL

    # English
    EN

    # Esperanto
    EO

    # Spanish
    ES

    # Estonian
    ET

    # Basque
    EU

    # Persian
    FA

    # Fulah
    FF

    # Finnish
    FI

    # Faroese
    FO

    # French
    FR

    # Western Frisian
    FY

    # Irish
    GA

    # Scottish Gaelic
    GD

    # Galician
    GL

    # Gujarati
    GU

    # Manx
    GV

    # Hausa
    HA

    # Hebrew
    HE

    # Hindi
    HI

    # Croatian
    HR

    # Hungarian
    HU

    # Armenian
    HY

    # Interlingua
    IA

    # Indonesian
    ID

    # Igbo
    IG

    # Sichuan Yi
    II

    # Icelandic
    IS

    # Italian
    IT

    # Japanese
    JA

    # Javanese
    JV

    # Georgian.
    KA

    # Kikuyu.
    KI

    # Kazakh.
    KK

    # Kalaallisut.
    KL

    # Khmer.
    KM

    # Kannada.
    KN

    # Korean.
    KO

    # Kashmiri.
    KS

    # Kurdish.
    KU

    # Cornish.
    KW

    # Kyrgyz.
    KY

    # Luxembourgish.
    LB

    # Ganda.
    LG

    # Lingala.
    LN

    # Lao.
    LO

    # Lithuanian.
    LT

    # Luba-Katanga.
    LU

    # Latvian.
    LV

    # Malagasy.
    MG

    # Māori.
    MI

    # Macedonian.
    MK

    # Malayalam.
    ML

    # Mongolian.
    MN

    # Marathi.
    MR

    # Malay.
    MS

    # Maltese.
    MT

    # Burmese.
    MY

    # Norwegian (Bokmål).
    NB

    # North Ndebele.
    ND

    # Nepali.
    NE

    # Dutch.
    NL

    # Norwegian Nynorsk.
    NN

    # Norwegian.
    NO

    # Oromo.
    OM

    # Odia.
    OR

    # Ossetic.
    OS

    # Punjabi.
    PA

    # Polish.
    PL

    # Pashto.
    PS

    # Portuguese (Brazil).
    PT_BR

    # Portuguese (Portugal).
    PT_PT

    QU
    # Quechua.

    # Romansh.
    RM

    # Rundi.
    RN

    # Romanian.
    RO

    # Russian.
    RU

    # Kinyarwanda.
    RW

    # Sindhi.
    SD

    # Northern Sami.
    SE

    # Sango.
    SG

    # Sinhala.
    SI

    # Slovak.
    SK

    # Slovenian.
    SL

    # Shona.
    SN

    # Somali.
    SO

    # Albanian.
    SQ

    # Serbian.
    SR

    # Sundanese.
    SU

    # Swedish.
    SV

    # Swahili.
    SW

    # Tamil.
    TA

    # Telugu.
    TE

    # Tajik.
    TG

    # Thai.
    TH

    # Tigrinya.
    TI

    # Turkmen.
    TK

    # Tongan.
    TO

    # Turkish.
    TR

    # Tatar.
    TT

    # Uyghur.
    UG

    # Ukrainian.
    UK

    # Urdu.
    UR

    # Uzbek.
    UZ

    # Vietnamese.
    VI

    # Wolof.
    WO

    # Xhosa.
    XH

    # Yiddish.
    YI

    # Yoruba.
    YO

    # Chinese (Simplified).
    ZH_CN

    # Chinese (Traditional).
    ZH_TW

    # Zulu.
    ZU

    # Chinese.
    ZH

    # Portuguese.
    PT

    # Volapük.
    VO
}

# The code designating a country/region, which generally follows ISO 3166-1 alpha-2 guidelines.
# If a territory doesn't have a country code value in the CountryCode enum, then it might be considered a subdivision
# of another country. For example, the territories associated with Spain are represented by the country code ES,
# and the territories associated with the United States of America are represented by the country code US.
enum CountryCode {
    # Afghanistan.
    AF

    # Åland Islands.
    AX

    # Albania.
    AL

    # Algeria.
    DZ

    # Andorra.
    AD

    # Angola.
    AO

    # Anguilla.
    AI

    # Antigua & Barbuda.
    AG

    # Argentina.
    AR

    # Armenia.
    AM

    # Aruba.
    AW

    # Ascension Island.
    AC

    # Australia.
    AU

    # Austria.
    AT

    # Azerbaijan.
    AZ

    # Bahamas.
    BS

    # Bahrain.
    BH

    # Bangladesh.
    BD

    # Barbados.
    BB

    # Belarus.
    BY

    # Belgium.
    BE

    # Belize.
    BZ

    # Benin.
    BJ

    # Bermuda.
    BM

    # Bhutan.
    BT

    # Bolivia.
    BO

    # Bosnia & Herzegovina.
    BA

    # Botswana.
    BW

    # Bouvet Island.
    BV

    # Brazil.
    BR

    # British Indian Ocean Territory.
    IO

    # Brunei.
    BN

    # Bulgaria.
    BG

    # Burkina Faso.
    BF

    # Burundi.
    BI

    # Cambodia.
    KH

    # Canada.
    CA

    # Cape Verde.
    CV

    # Caribbean Netherlands.
    BQ

    # Cayman Islands.
    KY

    # Central African Republic.
    CF

    # Chad.
    TD

    # Chile.
    CL

    # China.
    CN

    # Christmas Island.
    CX

    # Cocos (Keeling) Islands.
    CC

    # Colombia.
    CO

    # Comoros.
    KM

    # Congo - Brazzaville.
    CG

    # Congo - Kinshasa.
    CD

    # Cook Islands.
    CK

    # Costa Rica.
    CR

    # Croatia.
    HR

    # Cuba.
    CU

    # Curaçao.
    CW

    # Cyprus.
    CY

    # Czechia.
    CZ

    # Côte d’Ivoire.
    CI

    # Denmark.
    DK

    # Djibouti.
    DJ

    # Dominica.
    DM

    # Dominican Republic.
    DO

    # Ecuador.
    EC

    # Egypt.
    EG

    # El Salvador.
    SV

    # Equatorial Guinea.
    GQ

    # Eritrea.
    ER

    # Estonia.
    EE

    # Eswatini.
    SZ

    # Ethiopia.
    ET

    # Falkland Islands.
    FK

    # Faroe Islands.
    FO

    # Fiji.
    FJ

    # Finland.
    FI

    # France.
    FR

    # French Guiana.
    GF

    # French Polynesia.
    PF

    # French Southern Territories.
    TF

    # Gabon.
    GA

    # Gambia.
    GM

    # Georgia.
    GE

    # Germany.
    DE

    # Ghana.
    GH

    # Gibraltar.
    GI

    # Greece.
    GR

    # Greenland.
    GL

    # Grenada.
    GD

    # Guadeloupe.
    GP

    # Guatemala.
    GT

    # Guernsey.
    GG

    # Guinea.
    GN

    # Guinea-Bissau.
    GW

    # Guyana.
    GY

    # Haiti.
    HT

    # Heard & McDonald Islands.
    HM

    # Vatican City.
    VA

    # Honduras.
    HN

    # Hong Kong SAR.
    HK

    # Hungary.
    HU

    # Iceland.
    IS

    # India.
    IN

    # Indonesia.
    ID

    # Iran.
    IR

    # Iraq.
    IQ

    # Ireland.
    IE

    # Isle of Man.
    IM

    # Israel.
    IL

    # Italy.
    IT

    # Jamaica.
    JM

    # Japan.
    JP

    # Jersey.
    JE

    # Jordan.
    JO

    # Kazakhstan.
    KZ

    # Kenya.
    KE

    # Kiribati.
    KI

    # North Korea.
    KP

    # Kosovo.
    XK

    # Kuwait.
    KW

    # Kyrgyzstan.
    KG

    # Laos.
    LA

    # Latvia.
    LV

    # Lebanon.
    LB

    # Lesotho.
    LS

    # Liberia.
    LR

    # Libya.
    LY

    # Liechtenstein.
    LI

    # Lithuania.
    LT

    # Luxembourg.
    LU

    # Macao SAR.
    MO

    # Madagascar.
    MG

    # Malawi.
    MW

    # Malaysia.
    MY

    # Maldives.
    MV

    # Mali.
    ML

    # Malta.
    MT

    # Martinique.
    MQ

    # Mauritania.
    MR

    # Mauritius.
    MU

    # Mayotte.
    YT

    # Mexico.
    MX

    # Moldova.
    MD

    # Monaco.
    MC

    # Mongolia.
    MN

    # Montenegro.
    ME

    # Montserrat.
    MS

    # Morocco.
    MA

    # Mozambique.
    MZ

    # Myanmar (Burma).
    MM

    # Namibia.
    NA

    # Nauru.
    NR

    # Nepal.
    NP

    # Netherlands.
    NL

    # Netherlands Antilles.
    AN

    # New Caledonia.
    NC

    # New Zealand.
    NZ

    # Nicaragua.
    NI

    # Niger.
    NE

    # Nigeria.
    NG

    # Niue.
    NU

    # Norfolk Island.
    NF

    # North Macedonia.
    MK

    # Norway.
    NO

    # Oman.
    OM

    # Pakistan.
    PK

    # Palestinian Territories.
    PS

    # Panama.
    PA

    # Papua New Guinea.
    PG

    # Paraguay.
    PY

    # Peru.
    PE

    # Philippines.
    PH

    # Pitcairn Islands.
    PN

    # Poland.
    PL

    # Portugal.
    PT

    # Qatar.
    QA

    # Cameroon.
    CM

    # Réunion.
    RE

    # Romania.
    RO

    # Russia.
    RU

    # Rwanda.
    RW

    # St. Barthélemy.
    BL

    # St. Helena.
    SH

    # St. Kitts & Nevis.
    KN

    # St. Lucia.
    LC

    # St. Martin.
    MF

    # St. Pierre & Miquelon.
    PM

    # Samoa.
    WS

    # San Marino.
    SM

    # São Tomé & Príncipe.
    ST

    # Saudi Arabia.
    SA

    # Senegal.
    SN

    # Serbia.
    RS

    # Seychelles.
    SC

    # Sierra Leone.
    SL

    # Singapore.
    SG

    # Sint Maarten.
    SX

    # Slovakia.
    SK

    # Slovenia.
    SI

    # Solomon Islands.
    SB

    # Somalia.
    SO

    # South Africa.
    ZA

    # South Georgia & South Sandwich Islands.
    GS

    # South Korea.
    KR

    # South Sudan.
    SS

    # Spain.
    ES

    # Sri Lanka.
    LK

    # St. Vincent & Grenadines.
    VC

    # Sudan.
    SD

    # Suriname.
    SR

    # Svalbard & Jan Mayen.
    SJ

    # Sweden.
    SE

    # Switzerland.
    CH

    # Syria.
    SY

    # Taiwan.
    TW

    # Tajikistan.
    TJ

    # Tanzania.
    TZ

    # Thailand.
    TH

    # Timor-Leste.
    TL

    # Togo.
    TG

    # Tokelau.
    TK

    # Tonga.
    TO

    # Trinidad & Tobago.
    TT

    # Tristan da Cunha.
    TA

    # Tunisia.
    TN

    # Turkey.
    TR

    # Turkmenistan.
    TM

    # Turks & Caicos Islands.
    TC

    # Tuvalu.
    TV

    # Uganda.
    UG

    # Ukraine.
    UA

    # United Arab Emirates.
    AE

    # United Kingdom.
    GB

    # United States.
    US

    # U.S. Outlying Islands.
    UM

    # Uruguay.
    UY

    # Uzbekistan.
    UZ

    # Vanuatu.
    VU

    # Venezuela.
    VE

    # Vietnam.
    VN

    # British Virgin Islands.
    VG

    # Wallis & Futuna.
    WF

    # Western Sahara.
    EH

    # Yemen.
    YE

    # Zambia.
    ZM

    # Zimbabwe.
    ZW

    # Unknown Region.
    ZZ
}

# The three-letter currency codes that represent the world currencies used in stores. These include standard ISO 4217 codes, legacy codes, and non-standard codes.
enum CurrencyCode {
    # United Arab Emirates Dirham (AED).
    AED

    # Afghan Afghani (AFN).
    AFN

    # Albanian Lek (ALL).
    ALL

    # Armenian Dram (AMD).
    AMD

    # Netherlands Antillean Guilder.
    ANG

    # Angolan Kwanza (AOA).
    AOA

    # Argentine Pesos (ARS).
    ARS

    # Australian Dollars (AUD).
    AUD

    # Aruban Florin (AWG).
    AWG

    # Azerbaijani Manat (AZN).
    AZN

    # Bosnia and Herzegovina Convertible Mark (BAM).
    BAM

    # Barbadian Dollar (BBD).
    BBD

    # Bangladesh Taka (BDT).
    BDT

    # Bulgarian Lev (BGN).
    BGN

    # Bahraini Dinar (BHD).
    BHD

    # Burundian Franc (BIF).
    BIF

    # Bermudian Dollar (BMD).
    BMD

    # Brunei Dollar (BND).
    BND

    # Bolivian Boliviano (BOB).
    BOB

    # Brazilian Real (BRL).
    BRL

    # Bahamian Dollar (BSD).
    BSD

    # Bhutanese Ngultrum (BTN).
    BTN

    # Botswana Pula (BWP).
    BWP

    # Belarusian Ruble (BYN).
    BYN

    # Belize Dollar (BZD).
    BZD

    # Canadian Dollars (CAD).
    CAD

    # Congolese franc (CDF).
    CDF

    # Swiss Francs (CHF).
    CHF

    # Chilean Peso (CLP).
    CLP

    # Chinese Yuan Renminbi (CNY).
    CNY

    # Colombian Peso (COP).
    COP

    # Costa Rican Colones (CRC).
    CRC

    # Cape Verdean escudo (CVE).
    CVE

    # Czech Koruny (CZK).
    CZK

    # Djiboutian Franc (DJF).
    DJF

    # Danish Kroner (DKK).
    DKK

    # Dominican Peso (DOP).
    DOP

    # Algerian Dinar (DZD).
    DZD

    # Egyptian Pound (EGP).
    EGP

    # Eritrean Nakfa (ERN).
    ERN

    # Ethiopian Birr (ETB).
    ETB

    # Euro (EUR).
    EUR

    # Fijian Dollars (FJD).
    FJD

    # Falkland Islands Pounds (FKP).
    FKP

    # United Kingdom Pounds (GBP).
    GBP

    # Georgian Lari (GEL).
    GEL

    # Ghanaian Cedi (GHS).
    GHS

    # Gibraltar Pounds (GIP).
    GIP

    # Gambian Dalasi (GMD).
    GMD

    # Guinean Franc (GNF).
    GNF

    # Guatemalan Quetzal (GTQ).
    GTQ

    # Guyanese Dollar (GYD).
    GYD

    # Hong Kong Dollars (HKD).
    HKD

    # Honduran Lempira (HNL).
    HNL

    # Croatian Kuna (HRK).
    HRK

    # Haitian Gourde (HTG).
    HTG

    # Hungarian Forint (HUF).
    HUF

    # Indonesian Rupiah (IDR).
    IDR

    # Israeli New Shekel (NIS).
    ILS

    # Indian Rupees (INR).
    INR

    # Iraqi Dinar (IQD).
    IQD

    # Iranian Rial (IRR).
    IRR

    # Icelandic Kronur (ISK).
    ISK

    # Jersey Pound.
    JEP

    # Jamaican Dollars (JMD).
    JMD

    # Jordanian Dinar (JOD).
    JOD

    # Japanese Yen (JPY).
    JPY

    # Kenyan Shilling (KES).
    KES

    # Kyrgyzstani Som (KGS).
    KGS

    # Cambodian Riel.
    KHR

    # Kiribati Dollar (KID).
    KID

    # Comorian Franc (KMF).
    KMF

    # South Korean Won (KRW).
    KRW

    # Kuwaiti Dinar (KWD).
    KWD

    # Cayman Dollars (KYD).
    KYD

    # Kazakhstani Tenge (KZT).
    KZT

    # Laotian Kip (LAK).
    LAK

    # Lebanese Pounds (LBP).
    LBP

    # Sri Lankan Rupees (LKR).
    LKR

    # Liberian Dollar (LRD).
    LRD

    # Lesotho Loti (LSL).
    LSL

    # Lithuanian Litai (LTL).
    LTL

    # Latvian Lati (LVL).
    LVL

    # Libyan Dinar (LYD).
    LYD

    # Moroccan Dirham.
    MAD

    # Moldovan Leu (MDL).
    MDL

    # Malagasy Ariary (MGA).
    MGA

    # Macedonia Denar (MKD).
    MKD

    # Burmese Kyat (MMK).
    MMK

    # Mongolian Tugrik.
    MNT

    # Macanese Pataca (MOP).
    MOP

    # Mauritanian Ouguiya (MRU).
    MRU

    # Mauritian Rupee (MUR).
    MUR

    # Maldivian Rufiyaa (MVR).
    MVR

    # Malawian Kwacha (MWK).
    MWK

    # Mexican Pesos (MXN).
    MXN

    # Malaysian Ringgits (MYR).
    MYR

    # Mozambican Metical.
    MZN

    # Namibian Dollar.
    NAD

    # Nigerian Naira (NGN).
    NGN

    # Nicaraguan Córdoba (NIO).
    NIO

    # Norwegian Kroner (NOK).
    NOK

    # Nepalese Rupee (NPR).
    NPR

    # New Zealand Dollars (NZD).
    NZD

    # Omani Rial (OMR).
    OMR

    # Panamian Balboa (PAB).
    PAB

    # Peruvian Nuevo Sol (PEN).
    PEN

    # Papua New Guinean Kina (PGK).
    PGK

    # Philippine Peso (PHP).
    PHP

    # Pakistani Rupee (PKR).
    PKR

    # Polish Zlotych (PLN).
    PLN

    # Paraguayan Guarani (PYG).
    PYG

    # Qatari Rial (QAR).
    QAR

    # Romanian Lei (RON).
    RON

    # Serbian dinar (RSD).
    RSD

    # Russian Rubles (RUB).
    RUB

    # Rwandan Franc (RWF).
    RWF

    # Saudi Riyal (SAR).
    SAR

    # Solomon Islands Dollar (SBD).
    SBD

    # Seychellois Rupee (SCR).
    SCR

    # Sudanese Pound (SDG).
    SDG

    # Swedish Kronor (SEK).
    SEK

    # Singapore Dollars (SGD).
    SGD

    # Saint Helena Pounds (SHP).
    SHP

    # Sierra Leonean Leone (SLL).
    SLL

    # Somali Shilling (SOS).
    SOS

    # Surinamese Dollar (SRD).
    SRD

    # South Sudanese Pound (SSP).
    SSP

    # Sao Tome And Principe Dobra (STN).
    STN

    # Syrian Pound (SYP).
    SYP

    # Swazi Lilangeni (SZL).
    SZL

    # Thai baht (THB).
    THB

    # Tajikistani Somoni (TJS).
    TJS

    # Turkmenistani Manat (TMT).
    TMT

    # Tunisian Dinar (TND).
    TND

    # Tongan Pa'anga (TOP).
    TOP

    # Turkish Lira (TRY).
    TRY

    # Trinidad and Tobago Dollars (TTD).
    TTD

    # Taiwan Dollars (TWD).
    TWD

    # Tanzanian Shilling (TZS).
    TZS

    # Ukrainian Hryvnia (UAH).
    UAH

    # Ugandan Shilling (UGX).
    UGX

    # United States Dollars (USD).
    USD

    # Uruguayan Pesos (UYU).
    UYU

    # Uzbekistan som (UZS).
    UZS

    # Venezuelan Bolivares (VED).
    VED

    # Venezuelan Bolivares (VES).
    VES

    # Vietnamese đồng (VND).
    VND

    # Vanuatu Vatu (VUV).
    VUV

    # Samoan Tala (WST).
    WST

    # Central African CFA Franc (XAF).
    XAF

    # East Caribbean Dollar (XCD).
    XCD

    # West African CFA franc (XOF).
    XOF

    # CFP Franc (XPF).
    XPF

    # Unrecognized currency.
    XXX

    # Yemeni Rial (YER).
    YER

    # South African Rand (ZAR).
    ZAR

    # Zambian Kwacha (ZMW).
    ZMW

    # Belarusian Ruble (BYR).
    BYR @deprecated
}

# Units of measurement for weight.
enum WeightUnit {
    # 1 kilogram equals 1000 grams.
    KILOGRAMS

    # Metric system unit of mass.
    GRAMS

    # 1 pound equals 16 ounces.
    POUNDS

    # Imperial system unit of mass.
    OUNCES
}
`, BuiltIn: false},
	{Name: "../../../ext/error.graphql", Input: `# Represents an error in the input of a mutation.
type UserError implements DisplayableError {
    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# A file error. This typically occurs when there is an issue with the file itself causing it to fail validation.
# Check the file before attempting to upload again.
type FileError {
    # Code representing the type of error.
    code: FileErrorCode!

    # Additional details regarding the error.
    details: String

    # Translated error message.
    message: String!
}

# Represents a media error. This typically occurs when there is an issue with the media itself causing it to fail validation.
# Check the media before attempting to upload again.
type MediaError {
    # Code representing the type of error.
    code: MediaErrorCode!

    # Additional details regarding the error.
    details: String

    # Translated error message.
    message: String!
}

# Represents an error that happens during execution of a Media query or mutation.
type MediaUserError implements DisplayableError {
    # The error code.
    code: MediaUserErrorCode

    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# Represents a media warning. This occurs when there is a non-blocking concern regarding your media.
# Consider reviewing your media to ensure it is correct and its parameters are as expected.
type MediaWarning {
    # The code representing the type of warning.
    code: MediaWarningCode!

    # Translated warning message.
    message: String
}

# An error that occurs during the execution of ProductChangeStatus.
type ProductChangeStatusUserError implements DisplayableError {
    # The error code.
    code: ProductChangeStatusUserErrorCode

    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# Represents a selling plan group custom error.
type SellingPlanGroupUserError implements DisplayableError {
    # The error code.
    code: SellingPlanGroupUserErrorCode

    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# Error codes for failed product variant bulk create mutations.
type ProductVariantsBulkCreateUserError implements DisplayableError {
    # The error code.
    code: ProductVariantsBulkCreateUserErrorCode

    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# Error codes for failed bulk variant delete mutations.
type ProductVariantsBulkDeleteUserError implements DisplayableError {
    # The error code.
    code: ProductVariantsBulkDeleteUserErrorCode

    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# Error codes for failed bulk product variants reorder operation.
type ProductVariantsBulkReorderUserError implements DisplayableError {
    # The error code.
    code: ProductVariantsBulkReorderUserErrorCode

    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# Error codes for failed variant bulk update mutations.
type ProductVariantsBulkUpdateUserError implements DisplayableError {
    # The error code.
    code: ProductVariantsBulkUpdateUserErrorCode

    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}
`, BuiltIn: false},
	{Name: "../../../ext/event.graphql", Input: `# Basic events chronicle resource activities such as the creation of an article, the fulfillment of an order, or
# the addition of a product.
type BasicEvent implements Event&Node {
    # The name of the app that created the event.
    appTitle: String

    # Whether the event was created by an app.
    attributeToApp: Boolean!

    # Whether the event was caused by an admin user.
    attributeToUser: Boolean!

    # The date and time when the event was created.
    createdAt: DateTime!

    # Whether the event is critical.
    criticalAlert: Boolean!

    # A globally-unique identifier.
    id: ID!

    # Human readable text that describes the event.
    message: FormattedString!
}

# An auto-generated type for paginating through multiple Events.
type EventConnection {
    # A list of edges.
    edges: [EventEdge!]!

    # A list of the nodes contained in EventEdge.
    nodes: [Event!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Event and a cursor during pagination.
type EventEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of EventEdge.
    node: Event!
}
`, BuiltIn: false},
	{Name: "../../../ext/fulfillment.graphql", Input: `# Represents a fulfillment. In Shopify, a fulfillment represents a shipment of one or more items in an order.
# When an order has been completely fulfilled, it means that all the items that are included in the order have been sent to the customer.
# There can be more than one fulfillment for an order.
type Fulfillment implements LegacyInteroperability&Node {
    # The date and time when the fulfillment was created.
    createdAt: DateTime!

    # The date that this fulfillment was delivered.
    deliveredAt: DateTime

    # Human readable display status for this fulfillment.
    displayStatus: FulfillmentDisplayStatus

    # The estimated date that this fulfillment will arrive.
    estimatedDeliveryAt: DateTime

    # The history of events associated with this fulfillment.
    events(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: FulfillmentEventSortKeys = HAPPENED_AT
    ): FulfillmentEventConnection!

    # List of the fulfillment's line items.
    fulfillmentLineItems(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): FulfillmentLineItemConnection!

    # A paginated list of fulfillment orders for the fulfillment.
    fulfillmentOrders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): FulfillmentOrderConnection!

    # A globally-unique identifier.
    id: ID!

    # The date and time when the fulfillment went into transit.
    inTransitAt: DateTime

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # The location that the fulfillment was processed at.
    location: Location

    # Human readable reference identifier for this fulfillment.
    name: String!

    # The order for which the fulfillment was created.
    order: Order!

    # The address at which the fulfillment occurred.
    # Typically this is the address of the warehouse or fulfillment center.
    originAddress: FulfillmentOriginAddress

    # Whether any of the line items in the fulfillment require shipping.
    requiresShipping: Boolean!

    # Fulfillment service associated with the fulfillment.
    service: FulfillmentService

    # The status of the fulfillment.
    status: FulfillmentStatus!

    # Sum of all line item quantities for the fulfillment.
    totalQuantity: Int!

    # Tracking information associated with the fulfillment,
    # such as the tracking company, tracking number, and tracking URL.
    trackingInfo(first: Int): [FulfillmentTrackingInfo!]!

    # The date and time when the fulfillment was last modified.
    updatedAt: DateTime!
}

# Represents the tracking information for a fulfillment.
type FulfillmentTrackingInfo {
    # The name of the tracking company.
    company: String

    # The tracking number of the fulfillment.
    number: String

    # The URLs to track the fulfillment.
    url: URL
}

# Represents a fulfillment order. In Shopify, a fulfillment order represents a group of one or more items
# in an order that are to be fulfilled from the same location. There can be more than one fulfillment order
# for an order at a given location. Fulfillment orders are created automatically when an order is created.
# To learn how to build a fulfillment app, refer to Fulfillment apps.
type FulfillmentOrder implements Node {
    # The fulfillment order's assigned location. This is the location where the fulfillment is expected to happen.
    #
    # The fulfillment order's assigned location might change in the following cases:
    #
    # The fulfillment order has been entirely moved to a new location. For example, the fulfillmentOrderMove mutation has been called, and you see the original fulfillment order in the movedFulfillmentOrder field within the mutation's response.
    # Work on the fulfillment order has not yet begun, which means that the fulfillment order has the
    # OPEN,
    # SCHEDULED, or
    # ON_HOLD
    # status, and the shop's location properties might be undergoing edits (for example, in the Shopify admin).
    assignedLocation: FulfillmentOrderAssignedLocation!

    # Delivery method of this fulfillment order.
    deliveryMethod: DeliveryMethod

    # The destination where the items should be sent.
    destination: FulfillmentOrderDestination

    # The date and time at which the fulfillment order will be fulfillable.
    # When this date and time is reached, the scheduled fulfillment order is automatically transitioned to open.
    # For example, the fulfill_at date for a subscription order might be the 1st of each month, a pre-order fulfill_at date would be nil, and a standard order fulfill_at date would be the order creation date.
    fulfillAt: DateTime

    # The latest date and time by which all items in the fulfillment order need to be fulfilled.
    fulfillBy: DateTime

    # The fulfillment holds applied on the fulfillment order.
    fulfillmentHolds: [FulfillmentHold!]!

    # A list of fulfillments for the fulfillment order.
    fulfillments(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): FulfillmentConnection!

    # A globally-unique identifier.
    id: ID!

    # The duties delivery method of this fulfillment order.
    internationalDuties: FulfillmentOrderInternationalDuties

    # A list of the fulfillment order's line items.
    lineItems(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): FulfillmentOrderLineItemConnection!

    # A list of locations that the fulfillment order can potentially move to.
    locationsForMove(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): FulfillmentOrderLocationForMoveConnection!

    # A list of requests sent by the merchant to the fulfillment service for this fulfillment order.
    merchantRequests(
        kind: FulfillmentOrderMerchantRequestKind
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): FulfillmentOrderMerchantRequestConnection!

    # The order that's associated with the fulfillment order.
    order: Order!

    # The request status of the fulfillment order.
    requestStatus: FulfillmentOrderRequestStatus!

    # The status of the fulfillment order.
    status: FulfillmentOrderStatus!

    # The actions that can be performed on this fulfillment order.
    supportedActions: [FulfillmentOrderSupportedAction!]!
}

# The fulfillment order's assigned location. This is the location where the fulfillment is expected to happen.
#
# The fulfillment order's assigned location might change in the following cases:
#
# The fulfillment order has been entirely moved to a new location. For example, the fulfillmentOrderMove mutation has been called, and you see the original fulfillment order in the movedFulfillmentOrder field within the mutation's response.
#
# Work on the fulfillment order has not yet begun, which means that the fulfillment order has the
# OPEN,
# SCHEDULED, or
# ON_HOLD
# status, and the shop's location properties might be undergoing edits (for example, in the Shopify admin).
#
# If the fulfillmentOrderMove mutation has moved the fulfillment order's line items to a new location,
# but hasn't moved the fulfillment order instance itself, then the original fulfillment order's assigned location
# doesn't change.
# This happens if the fulfillment order is being split during the move, or if all line items can be moved
# to an existing fulfillment order at a new location.
#
# Once the fulfillment order has been taken into work or canceled,
# which means that the fulfillment order has the
# IN_PROGRESS,
# CLOSED,
# CANCELLED, or
# INCOMPLETE
# status, FulfillmentOrderAssignedLocation acts as a snapshot of the shop's location content.
# Up-to-date shop's location data may be queried through location connection.
type FulfillmentOrderAssignedLocation {
    # The first line of the address for the location.
    address1: String

    # The second line of the address for the location.
    address2: String

    # The city of the location.
    city: String

    # The two-letter country code of the location.
    countryCode: CountryCode!

    # The location where the fulfillment is expected to happen. This value might be different from
    # FulfillmentOrderAssignedLocation if the location's attributes were updated
    # after the fulfillment order was taken into work of canceled.
    location: Location

    # The name of the location.
    name: String!

    # The phone number of the location.
    phone: String

    # The province of the location.
    province: String

    # The ZIP code of the location.
    zip: String
}

# Represents the goods available to be shipped to a customer.
# It holds essential information about the goods, including SKU and whether it is tracked.
type InventoryItem implements LegacyInteroperability&Node {
    # The ISO 3166-1 alpha-2 country code of where the item originated from.
    countryCodeOfOrigin: CountryCode

    # A list of country specific harmonized system codes.
    countryHarmonizedSystemCodes(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): CountryHarmonizedSystemCodeConnection!

    # The date and time when the inventory item was created.
    createdAt: DateTime!

    # The number of inventory items that share the same SKU with this item.
    duplicateSkuCount: Int!

    # The harmonized system code of the item.
    harmonizedSystemCode: String

    # A globally-unique identifier.
    id: ID!

    # The URL that points to the inventory history for the item.
    inventoryHistoryUrl: URL

    # The inventory item's quantities at the specified location.
    inventoryLevel(locationId: ID!): InventoryLevel

    # A list of the inventory item's quantities for each location that the inventory item can be stocked at.
    inventoryLevels(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        query: String
    ): InventoryLevelConnection!

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # The number of locations where this inventory item is stocked.
    locationsCount: Int!

    # The ISO 3166-2 alpha-2 province code of where the item originated from.
    provinceCodeOfOrigin: String

    # Whether the inventory item requires shipping.
    requiresShipping: Boolean!

    # Inventory item SKU.
    sku: String

    # Whether inventory levels are tracked for the item.
    tracked: Boolean!

    # Whether the value of the tracked field for the inventory item can be changed.
    trackedEditable: EditableProperty!

    # Unit cost associated with the inventory item.
    unitCost: MoneyV2

    # The date and time when the inventory item was updated.
    updatedAt: DateTime!

    # The variant that owns this inventory item.
    variant: ProductVariant!
}

# The address at which the fulfillment occurred.
# Typically this is the address of the warehouse or fulfillment center.
type FulfillmentOriginAddress {
    # The street address of the fulfillment location.
    address1: String

    # The second line of the address. Typically the number of the apartment, suite, or unit.
    address2: String

    # The city in which the fulfillment location is located.
    city: String

    # The country code of the fulfillment location.
    countryCode: String!

    # The province code of the fulfillment location.
    provinceCode: String

    # The zip code of the fulfillment location.
    zip: String
}

# Represents the destination where the items should be sent upon fulfillment.
type FulfillmentOrderDestination implements Node {
    # The first line of the address of the destination.
    address1: String

    # The second line of the address of the destination.
    address2: String

    # The city of the destination.
    city: String

    # The company of the destination.
    company: String

    # The two-letter country code of the destination.
    countryCode: CountryCode

    # The email of the customer at the destination.
    email: String

    # The first name of the customer at the destination.
    firstName: String

    # A globally-unique identifier.
    id: ID!

    # The last name of the customer at the destination.
    lastName: String

    # The phone number of the customer at the destination.
    phone: String

    # The province of the destination.
    province: String

    # The ZIP code of the destination.
    zip: String
}

# A fulfillment hold currently applied on a fulfillment order.
type FulfillmentHold {
    # The reason for the fulfillment hold.
    reason: FulfillmentHoldReason!

    # Additional information about the fulfillment hold reason.
    reasonNotes: String
}

# The international duties relevant to a fulfillment order.
type FulfillmentOrderInternationalDuties {
    # The method of duties payment. Example values: DDP, DAP.
    incoterm: String!
}

# One of the actions that the fulfillment order supports in its current state.
type FulfillmentOrderSupportedAction {
    # The action value.
    action: FulfillmentOrderAction!

    # The external URL to be used to initiate the fulfillment process outside Shopify.
    # Applicable only when the action value is EXTERNAL.
    externalUrl: URL
}

# The fulfillment event that describes the fulfilllment status at a particular time.
type FulfillmentEvent implements Node {
    # The time at which this fulfillment event happened.
    happenedAt: DateTime!

    # A globally-unique identifier.
    id: ID!

    # The status of this fulfillment event.
    status: FulfillmentEventStatus!
}

# Represents a line item from an order that's included in a fulfillment.
type FulfillmentLineItem implements Node {
    # The total price after discounts are applied in shop and presentment currencies.
    discountedTotalSet: MoneyBag!

    # A globally-unique identifier.
    id: ID!

    # The associated order's line item.
    lineItem: LineItem!

    # The total price before discounts are applied in shop and presentment currencies.
    originalTotalSet: MoneyBag!

    # Number of line items in the fulfillment.
    quantity: Int
}

# Associates an order line item with quantities requiring fulfillment from the respective fulfillment order.
type FulfillmentOrderLineItem implements Node {
    # A globally-unique identifier.
    id: ID!

    # The associated order line item.
    lineItem: LineItem!

    # The number of units remaining to be fulfilled.
    remainingQuantity: Int!

    # The total number of units to be fulfilled.
    totalQuantity: Int!

    # Warning messages for a fulfillment order line item.
    warnings: [FulfillmentOrderLineItemWarning!]!
}

# A fulfillment order line item warning. For example, a warning about why a fulfillment request was rejected.
type FulfillmentOrderLineItemWarning {
    # The description of warning.
    description: String

    # The title of warning.
    title: String
}

# A location that a fulfillment order can potentially move to.
type FulfillmentOrderLocationForMove {
    # The location being considered as the fulfillment order's new assigned location.
    location: Location!

    # A human-readable string with the reason why the fulfillment order, or some of its line items, can't be
    # moved to the location.
    message: String

    # Whether the fulfillment order can be moved to the location.
    movable: Boolean!
}

# Represents a request made by the merchant to a fulfillment service for a fulfillment order.
type FulfillmentOrderMerchantRequest implements Node {
    # A globally-unique identifier.
    id: ID!

    # The kind of request made.
    kind: FulfillmentOrderMerchantRequestKind!

    # The optional message that the merchant included in the request.
    message: String

    # Additional options requested by the merchant. These depend on the kind of the request.
    # For example, for a FULFILLMENT_REQUEST, one option is notify_customer, which indicates whether the
    # merchant intends to notify the customer upon fulfillment. The fulfillment service can then set
    # notifyCustomer when making calls to FulfillmentCreateV2.
    requestOptions: JSON

    # The response from the fulfillment service.
    responseData: JSON

    # The timestamp when the request was made.
    sentAt: DateTime!
}

# An auto-generated type for paginating through multiple FulfillmentEvents.
type FulfillmentEventConnection {
    # A list of edges.
    edges: [FulfillmentEventEdge!]!

    # A list of the nodes contained in FulfillmentEventEdge.
    nodes: [FulfillmentEvent!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one FulfillmentEvent and a cursor during pagination.
type FulfillmentEventEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of FulfillmentEventEdge.
    node: FulfillmentEvent!
}

# An auto-generated type for paginating through multiple FulfillmentLineItems.
type FulfillmentLineItemConnection {
    # A list of edges.
    edges: [FulfillmentLineItemEdge!]!

    # A list of the nodes contained in FulfillmentLineItemEdge.
    nodes: [FulfillmentLineItem!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one FulfillmentLineItem and a cursor during pagination.
type FulfillmentLineItemEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of FulfillmentLineItemEdge.
    node: FulfillmentLineItem!
}

# An auto-generated type for paginating through multiple FulfillmentOrders.
type FulfillmentOrderConnection {
    # A list of edges.
    edges: [FulfillmentOrderEdge!]!

    # A list of the nodes contained in FulfillmentOrderEdge.
    nodes: [FulfillmentOrder!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one FulfillmentOrder and a cursor during pagination.
type FulfillmentOrderEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of FulfillmentOrderEdge.
    node: FulfillmentOrder!
}

# An auto-generated type for paginating through multiple Fulfillments.
type FulfillmentConnection {
    # A list of edges.
    edges: [FulfillmentEdge!]!

    # A list of the nodes contained in FulfillmentEdge.
    nodes: [Fulfillment!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Fulfillment and a cursor during pagination.
type FulfillmentEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of FulfillmentEdge.
    node: Fulfillment!
}

# An auto-generated type for paginating through multiple FulfillmentOrderLineItems.
type FulfillmentOrderLineItemConnection {
    # A list of edges.
    edges: [FulfillmentOrderLineItemEdge!]!

    # A list of the nodes contained in FulfillmentOrderLineItemEdge.
    nodes: [FulfillmentOrderLineItem!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one FulfillmentOrderLineItem and a cursor during pagination.
type FulfillmentOrderLineItemEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of FulfillmentOrderLineItemEdge.
    node: FulfillmentOrderLineItem!
}

# An auto-generated type for paginating through multiple FulfillmentOrderLocationForMoves.
type FulfillmentOrderLocationForMoveConnection {
    # A list of edges.
    edges: [FulfillmentOrderLocationForMoveEdge!]!

    # A list of the nodes contained in FulfillmentOrderLocationForMoveEdge.
    nodes: [FulfillmentOrderLocationForMove!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one FulfillmentOrderLocationForMove and a cursor during pagination.
type FulfillmentOrderLocationForMoveEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of FulfillmentOrderLocationForMoveEdge.
    node: FulfillmentOrderLocationForMove!
}

# An auto-generated type for paginating through multiple FulfillmentOrderMerchantRequests.
type FulfillmentOrderMerchantRequestConnection {
    # A list of edges.
    edges: [FulfillmentOrderMerchantRequestEdge!]!

    # A list of the nodes contained in FulfillmentOrderMerchantRequestEdge.
    nodes: [FulfillmentOrderMerchantRequest!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one FulfillmentOrderMerchantRequest and a cursor during pagination.
type FulfillmentOrderMerchantRequestEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of FulfillmentOrderMerchantRequestEdge.
    node: FulfillmentOrderMerchantRequest!
}
`, BuiltIn: false},
	{Name: "../../../ext/gqlgen.graphql", Input: `directive @goModel(
    model: String
    models: [String!]
) on OBJECT | INPUT_OBJECT | SCALAR | ENUM | INTERFACE | UNION

directive @goField(
    forceResolver: Boolean
    name: String
) on INPUT_FIELD_DEFINITION | FIELD_DEFINITION

directive @goTag(
    key: String!
    value: String
) on INPUT_FIELD_DEFINITION | FIELD_DEFINITION
`, BuiltIn: false},
	{Name: "../../../ext/in_context.graphql", Input: `directive @inContext(
    language: LanguageCode,
    country: CountryCode
) on QUERY | MUTATION | OBJECT
`, BuiltIn: false},
	{Name: "../../../ext/interface.graphql", Input: `# An object with an ID field to support global identification, in accordance with the
# Relay specification.
# This interface is used by the node
# and nodes queries.
interface Node {
    # A globally-unique identifier.
    id: ID!
}

# The subject line of a comment event.
interface CommentEventSubject {
    # A globally-unique identifier.
    id: ID!

    # Whether the timeline subject has a timeline comment. If true, then a timeline comment exists.
    hasTimelineComment: Boolean!
}

# Represents an object that has a list of events.
interface HasEvents {
    # The paginated list of events associated with the host subject.
    events(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: EventSortKeys = ID
        query: String
    ): EventConnection!
}

# Events chronicle resource activities such as the creation of an article, the fulfillment of an order, or the
# addition of a product.
interface Event {
    # The name of the app that created the event.
    appTitle: String

    # Whether the event was created by an app.
    attributeToApp: Boolean!

    # Whether the event was caused by an admin user.
    attributeToUser: Boolean!

    # The date and time when the event was created.
    createdAt: DateTime!

    # Whether the event is critical.
    criticalAlert: Boolean!

    # A globally-unique identifier.
    id: ID!

    # Human readable text that describes the event.
    message: FormattedString!
}

# Represents information about the metafields associated to the specified resource.
interface HasMetafields {
    # Returns a metafield by namespace and key that belongs to the resource.
    metafield(namespace: String!key: String!): Metafield

    # List of metafields that belong to the resource.
    metafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): MetafieldConnection!

    # Returns a private metafield by namespace and key that belongs to the resource.
    privateMetafield(namespace: String!key: String!): PrivateMetafield

    # List of private metafields that belong to the resource.
    privateMetafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PrivateMetafieldConnection!
}

# Interoperability metadata for types that directly correspond to a REST Admin API resource.
# For example, on the Product type, LegacyInteroperability returns metadata for the corresponding Product object in the REST Admin API.
interface LegacyInteroperability {
    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!
}

# Localization extensions associated with the specified resource. For example, the tax id for government invoice.
interface HasLocalizationExtensions {
    # List of localization extensions for the resource.
    localizationExtensions(
        countryCodes: [CountryCode!]
        purposes: [LocalizationExtensionPurpose!]
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): LocalizationExtensionConnection!
}

# Resources that metafield definitions can be applied to.
interface HasMetafieldDefinitions {
    # List of metafield definitions.
    metafieldDefinitions(
        namespace: String
        pinnedStatus: MetafieldDefinitionPinnedStatus = ANY
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: MetafieldDefinitionSortKeys = ID
        query: String
    ): MetafieldDefinitionConnection!
}

# A default cursor that you can use in queries to paginate your results. Each edge in a connection can
# return a cursor, which is a reference to the edge's position in the connection. You can use an edge's cursor as
# the starting point to retrieve the nodes before or after it in a connection.
#
# To learn more about using cursor-based pagination, refer to
# Paginating results with GraphQL.
interface Navigable {
    # A default cursor that returns the single next record, sorted ascending by ID.
    defaultCursor: String!
}

# Discount applications capture the intentions of a discount source at
# the time of application on an order's line items or shipping lines.
#
# Discount applications don't represent the actual final amount discounted on a line (line item or shipping line). The actual amount discounted on a line is represented by the DiscountAllocation object.
interface DiscountApplication {
    # The method by which the discount's value is applied to its entitled items.
    allocationMethod: DiscountApplicationAllocationMethod!

    # An ordered index that can be used to identify the discount application and indicate the precedence
    # of the discount application for calculations.
    index: Int!

    # How the discount amount is distributed on the discounted lines.
    targetSelection: DiscountApplicationTargetSelection!

    # Whether the discount is applied on line items or shipping lines.
    targetType: DiscountApplicationTargetType!

    # The value of the discount application.
    value: PricingValue!
}

# Published translations associated with the resource.
interface HasPublishedTranslations {
    # The translations associated with the resource.
    translations(locale: String!marketId: ID): [PublishedTranslation!]!
}

# Represents an error in the input of a mutation.
interface DisplayableError {
    # The path to the input field that caused the error.
    field: [String!]

    # The error message.
    message: String!
}

# Services and features purchased once by the store.
interface AppPurchase {
    # The date and time when the app purchase occurred.
    createdAt: DateTime!

    # The name of the app purchase.
    name: String!

    # The amount to be charged to the store for the app purchase.
    price: MoneyV2!

    # The status of the app purchase.
    status: AppPurchaseStatus!

    # Whether the app purchase is a test transaction.
    test: Boolean!
}

# Represents a resource that can be published to a channel.
# A publishable resource can be either a Product or Collection.
interface Publishable {
    # The number of publications a resource is published to without feedback errors.
    availablePublicationCount: Int!

    # The number of publications a resource is published on.
    publicationCount(onlyPublished: Boolean = true): Int!

    # Check to see whether the resource is published to the calling app's publication.
    publishedOnCurrentPublication: Boolean!

    # Check to see whether the resource is published to a given publication.
    publishedOnPublication(publicationId: ID!): Boolean!

    # The list of resources that are published to a publication.
    resourcePublications(
        onlyPublished: Boolean = true
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ResourcePublicationConnection!

    # The list of resources that are either published or staged to be published to a publication.
    resourcePublicationsV2(
        onlyPublished: Boolean = true
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ResourcePublicationV2Connection!

    # The list of publications that the resource is not published to.
    unpublishedPublications(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PublicationConnection!
}

# Represents a session preceding an order, often used for building a timeline of events leading to an order.
interface CustomerMoment {
    # The date and time when the customer's session occurred.
    occurredAt: DateTime!
}

# Represents subscription contract common fields.
interface SubscriptionContractBase {
    # The subscription app that the subscription contract is registered to.
    app: App

    # The URL of the subscription contract page on the subscription app.
    appAdminUrl: URL

    # The currency that's used for the subscription contract.
    currencyCode: CurrencyCode!

    # A list of the custom attributes to be added to the generated orders.
    customAttributes: [Attribute!]!

    # The customer to whom the subscription contract belongs.
    customer: Customer

    # The customer payment method that's used for the subscription contract.
    customerPaymentMethod(showRevoked: Boolean = false): CustomerPaymentMethod

    # The delivery method for each billing of the subscription contract.
    deliveryMethod: SubscriptionDeliveryMethod

    # The delivery price for each billing of the subscription contract.
    deliveryPrice: MoneyV2!

    # The list of subscription discounts associated with the subscription contract.
    discounts(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SubscriptionManualDiscountConnection!

    # The number of lines associated with the subscription contract.
    lineCount: Int!

    # The list of subscription lines associated with the subscription contract.
    lines(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SubscriptionLineConnection!

    # The note field that will be applied to the generated orders.
    note: String

    # A list of the subscription contract's orders.
    orders(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): OrderConnection!

    # The date and time when the subscription contract was updated.
    updatedAt: DateTime!
}

# A contract between a merchant and a customer to do business.
# Shopify creates a sales agreement whenever an order is placed, edited, or refunded.
# A sales agreement has one or more sales records, which provide itemized details about the initial agreement or subsequent changes made to the order.
# For example, when a customer places an order, Shopify creates the order, generates a sales agreement, and records a sale for each line item purchased in the order.
# A sale record is specific to a type of order line. Order lines can represent different things such as a purchased product, a tip added by a customer, shipping costs collected at checkout, and more.
interface SalesAgreement {
    # The application that created the agreement.
    app: App

    # The date and time at which the agreement occured.
    happenedAt: DateTime!

    # The unique identifier for the agreement.
    id: ID!

    # The reason the agremeent was created.
    reason: OrderActionType!

    # The sales associated with the agreement.
    sales(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SaleConnection!

    # The staff member associated with the agreement.
    user: StaffMember
}

# An individual sale record associated with a sales agreement.
# Every money value in an order's sales data is represented in the currency's smallest unit.
# When amounts are divided across multiple line items, such as taxes or order discounts, the amounts might not divide evenly across all of the line items on the order.
# To address this, the remaining currency units that couldn't be divided evenly are allocated one at a time, starting with the first line item, until they are all accounted for.
# In aggregate, the values sum up correctly. In isolation, one line item might have a different tax or discount amount than another line item of the same price, before taxes and discounts.
# This is because the amount could not be divided evenly across the items. The allocation of currency units across line items is immutable.
# After they are allocated, currency units are never reallocated or redistributed among the line items.
interface Sale {
    # The type of order action that the sale represents.
    actionType: SaleActionType!

    # The unique identifier for the sale.
    id: ID!

    # The line type assocated with the sale.
    lineType: SaleLineType!

    # The number of units either ordered or intended to be returned.
    quantity: Int

    # All individual taxes associated with the sale.
    taxes: [SaleTax!]!

    # The total sale amount after taxes and discounts.
    totalAmount: MoneyBag!

    # The total discounts allocated to the sale after taxes.
    totalDiscountAmountAfterTaxes: MoneyBag!

    # The total discounts allocated to the sale before taxes.
    totalDiscountAmountBeforeTaxes: MoneyBag!

    # The total amount of taxes for the sale.
    totalTaxAmount: MoneyBag!
}

# A geographic region which comprises a market.
interface MarketRegion {
    # A globally-unique identifier.
    id: ID!

    # The name of the region.
    name: String!
}

# Online Store preview URL of the object.
interface OnlineStorePreviewable {
    # The online store preview URL.
    onlineStorePreviewUrl: URL
}

# Represents a media interface.
interface Media {
    # A word or phrase to share the nature or contents of a media.
    alt: String

    # The media content type.
    mediaContentType: MediaContentType!

    # Any errors which have occurred on the media.
    mediaErrors: [MediaError!]!

    # The warnings attached to the media.
    mediaWarnings: [MediaWarning!]!

    # The preview image for the media.
    preview: MediaPreviewImage

    # Current status of the media.
    status: MediaStatus!
}

# A file interface.
interface File {
    # A word or phrase to describe the contents or the function of a file.
    alt: String

    # The date and time (ISO 8601 format) when the file was created.
    createdAt: DateTime!

    # Any errors that have occurred on the file.
    fileErrors: [FileError!]!

    # The status of the file.
    fileStatus: FileStatus!

    # The preview image for the media.
    preview: MediaPreviewImage
}

# Represents selling plan pricing policy common fields.
interface SellingPlanPricingPolicyBase {
    # The price adjustment type.
    adjustmentType: SellingPlanPricingPolicyAdjustmentType!

    # The price adjustment value.
    adjustmentValue: SellingPlanPricingPolicyAdjustmentValue!
}
`, BuiltIn: false},
	{Name: "../../../ext/localization.graphql", Input: `# Represents the value captured by a localization extension. Localization extensions are additional fields required by certain countries on international orders.
# For example, some countries require additional fields for customs information or tax identification numbers.
type LocalizationExtension {
    # Country ISO 3166-1 alpha-2 code.
    countryCode: CountryCode!

    # The localized extension keys that are allowed.
    key: LocalizationExtensionKey!

    # The purpose of this localization extension.
    purpose: LocalizationExtensionPurpose!

    # The localized extension title.
    title: String!

    # The value of the field.
    value: String!
}

# An auto-generated type for paginating through multiple LocalizationExtensions.
type LocalizationExtensionConnection {
    # A list of edges.
    edges: [LocalizationExtensionEdge!]!

    # A list of the nodes contained in LocalizationExtensionEdge.
    nodes: [LocalizationExtension!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one LocalizationExtension and a cursor during pagination.
type LocalizationExtensionEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of LocalizationExtensionEdge.
    node: LocalizationExtension!
}
`, BuiltIn: false},
	{Name: "../../../ext/location.graphql", Input: `# Represents the location where the physical good resides.
type Location implements HasMetafieldDefinitions&HasMetafields&LegacyInteroperability&Node {
    # Whether this location can be reactivated.
    activatable: Boolean!

    # The address of this location.
    address: LocationAddress!

    # Whether the location address has been verified.
    addressVerified: Boolean!

    # Whether this location can be deactivated.
    deactivatable: Boolean!

    # The date and time (ISO 8601 format) that the location was deactivated at.
    # For example, 3:30 pm on September 7, 2019 in the time zone of UTC (Universal Time Coordinated) is represented as "2019-09-07T15:50:00Z".
    deactivatedAt: String

    # Whether this location can be deleted.
    deletable: Boolean!

    # Name of the service provider that fulfills from this location.
    fulfillmentService: FulfillmentService

    # Whether this location can fulfill online orders.
    fulfillsOnlineOrders: Boolean!

    # Whether this location has active inventory.
    hasActiveInventory: Boolean!

    # Whether this location has orders that need to be fulfilled.
    hasUnfulfilledOrders: Boolean!

    # A globally-unique identifier.
    id: ID!

    # The quantities of an inventory item at this location.
    inventoryLevel(inventoryItemId: ID!): InventoryLevel

    # A list of the quantities of the inventory items that can be stocked at this location.
    inventoryLevels(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        query: String
    ): InventoryLevelConnection!

    # Whether the location is active.
    isActive: Boolean!

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # Returns a metafield by namespace and key that belongs to the resource.
    metafield(namespace: String!key: String!): Metafield

    # List of metafield definitions.
    metafieldDefinitions(
        namespace: String
        pinnedStatus: MetafieldDefinitionPinnedStatus = ANY
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
        sortKey: MetafieldDefinitionSortKeys = ID
        query: String
    ): MetafieldDefinitionConnection!

    # List of metafields that belong to the resource.
    metafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): MetafieldConnection!

    # The name of the location.
    name: String!

    # Returns a private metafield by namespace and key that belongs to the resource.
    privateMetafield(namespace: String!key: String!): PrivateMetafield

    # List of private metafields that belong to the resource.
    privateMetafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PrivateMetafieldConnection!

    # Whether this location is used for calculating shipping rates. In multi-origin shipping mode, this flag is ignored.
    shipsInventory: Boolean!

    # List of suggested addresses for this location (empty if none).
    suggestedAddresses: [LocationSuggestedAddress!]!
}

# Represents a suggested address for a location.
type LocationSuggestedAddress {
    # The first line of the suggested address.
    address1: String

    # The second line of the suggested address.
    address2: String

    # The city of the suggested address.
    city: String

    # The country of the suggested address.
    country: String

    # The country code of the suggested address.
    countryCode: CountryCode

    # A formatted version of the suggested address.
    formatted: [String!]!

    # The province of the suggested address.
    province: String

    # The code for the province, state, or district of the suggested address.
    provinceCode: String

    # The ZIP code of the suggested address.
    zip: String
}

# Represents the address of a location.
type LocationAddress {
    # The first line of the address for the location.
    address1: String

    # The second line of the address for the location.
    address2: String

    # The city of the location.
    city: String

    # The country of the location.
    country: String

    # The country code of the location.
    countryCode: String

    # A formatted version of the address for the location.
    formatted: [String!]!

    # The latitude coordinates of the location.
    latitude: Float

    # The longitude coordinates of the location.
    longitude: Float

    # The phone number of the location.
    phone: String

    # The province of the location.
    province: String

    # The code for the province, state, or district of the address of the location.
    provinceCode: String

    # The ZIP code of the location.
    zip: String
}

# The country-specific harmonized system code and ISO country code for an inventory item.
type CountryHarmonizedSystemCode {
    # The ISO 3166-1 alpha-2 country code for the country that issued the specified harmonized system code.
    countryCode: CountryCode!

    # The country-specific harmonized system code. These are usually longer than 6 digits.
    harmonizedSystemCode: String!
}

# An auto-generated type for paginating through multiple Locations.
type LocationConnection {
    # A list of edges.
    edges: [LocationEdge!]!

    # A list of the nodes contained in LocationEdge.
    nodes: [Location!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Location and a cursor during pagination.
type LocationEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of LocationEdge.
    node: Location!
}

# An auto-generated type for paginating through multiple CountryHarmonizedSystemCodes.
type CountryHarmonizedSystemCodeConnection {
    # A list of edges.
    edges: [CountryHarmonizedSystemCodeEdge!]!

    # A list of the nodes contained in CountryHarmonizedSystemCodeEdge.
    nodes: [CountryHarmonizedSystemCode!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CountryHarmonizedSystemCode and a cursor during pagination.
type CountryHarmonizedSystemCodeEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CountryHarmonizedSystemCodeEdge.
    node: CountryHarmonizedSystemCode!
}

# An auto-generated type for paginating through multiple MarketRegions.
type MarketRegionConnection {
    # A list of edges.
    edges: [MarketRegionEdge!]!

    # A list of the nodes contained in MarketRegionEdge.
    nodes: [MarketRegion!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one MarketRegion and a cursor during pagination.
type MarketRegionEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of MarketRegionEdge.
    node: MarketRegion!
}
`, BuiltIn: false},
	{Name: "../../../ext/mail.graphql", Input: `# Represents a customer mailing address.
#
# For example, a customer's default address and an order's billing address are both mailling addresses.
type MailingAddress implements Node {
    # The first line of the address. Typically the street address or PO Box number.
    address1: String

    # The second line of the address. Typically the number of the apartment, suite, or unit.
    address2: String

    # The name of the city, district, village, or town.
    city: String

    # The name of the customer's company or organization.
    company: String

    # Whether the address coordinates are valid.
    coordinatesValidated: Boolean!

    # The name of the country.
    country: String

    # The two-letter code for the country of the address.
    #
    # For example, US.
    countryCodeV2: CountryCode

    # The first name of the customer.
    #
    # formatted(withName: Boolean = false withCompany: Boolean = true): [String!]!
    # A formatted version of the address, customized by the provided arguments.
    firstName: String

    # A comma-separated list of the values for city, province, and country.
    formattedArea: String

    # A globally-unique identifier.
    id: ID!

    # The last name of the customer.
    lastName: String

    # The latitude coordinate of the customer address.
    latitude: Float

    # The longitude coordinate of the customer address.
    longitude: Float

    # The full name of the customer, based on firstName and lastName.
    name: String

    # A unique phone number for the customer.
    #
    # Formatted using E.164 standard. For example, +16135551111.
    phone: String

    # The region of the address, such as the province, state, or district.
    province: String

    # The two-letter code for the region.
    #
    # For example, ON.
    provinceCode: String

    # The zip or postal code of the address.
    zip: String
}

# The fields used to create or update a mailing address.
input MailingAddressInput {
    # The first line of the address. Typically the street address or PO Box number.
    address1: String

    # The second line of the address. Typically the number of the apartment, suite, or unit.
    address2: String

    # The name of the city, district, village, or town.
    city: String

    # The name of the customer's company or organization.
    company: String

    # The two-letter code for the country of the address.
    countryCode: CountryCode

    # The first name of the customer.
    firstName: String

    # The last name of the customer.
    lastName: String

    # A unique phone number for the customer.
    #
    # Formatted using E.164 standard. For example, +16135551111.
    phone: String

    # The code for the region of the address, such as the province, state, or district.
    # For example QC for Quebec, Canada.
    provinceCode: String

    # The zip or postal code of the address.
    zip: String
}
`, BuiltIn: false},
	{Name: "../../../ext/market.graphql", Input: `# A market's currency settings.
type MarketCurrencySettings {
    # The currency which this market's prices are defined in, and the
    # currency which its customers must use if local currencies are disabled.
    baseCurrency: CurrencySetting!

    # Whether or not local currencies are enabled. If enabled, then prices will
    # be converted to give each customer the best experience based on their
    # region. If disabled, then all customers in this market will see prices
    # in the market's base currency.
    localCurrencies: Boolean!
}

# The URL for the homepage of the online store in the context of a particular market and a particular locale.
type MarketWebPresenceRootUrl {
    # The locale that the storefront loads in.
    locale: String!

    # The URL.
    url: URL!
}
`, BuiltIn: false},
	{Name: "../../../ext/marketing.graphql", Input: `# Represents actions that market a merchant's store or products.
type MarketingEvent implements LegacyInteroperability&Node {
    # The app that the marketing event is attributed to.
    app: App!

    # The marketing channel used by the marketing event.
    channel: MarketingChannel

    # A human-readable description of the marketing event.
    description: String

    # The date and time when the marketing event ended.
    endedAt: DateTime

    # A globally-unique identifier.
    id: ID!

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # The URL where the marketing event can be managed.
    manageUrl: URL

    # The URL where the marketing event can be previewed.
    previewUrl: URL

    # An optional ID that helps Shopify validate engagement data.
    remoteId: String

    # The date and time when the marketing event is scheduled to end.
    scheduledToEndAt: DateTime

    # Where the MarketingEvent occurred and what kind of content was used.
    # Because utmSource and utmMedium are often used interchangeably, this is
    # based on a combination of marketingChannel, referringDomain, and type to
    # provide a consistent representation for any given piece of marketing
    # regardless of the app that created it.
    sourceAndMedium: String!

    # The date and time when the marketing event started.
    startedAt: DateTime!

    # The marketing event type.
    type: MarketingTactic!

    # The name of the marketing campaign.
    utmCampaign: String

    # The medium that the marketing campaign is using. Example values: cpc, banner.
    utmMedium: String

    # The referrer of the marketing event. Example values: google, newsletter.
    utmSource: String
}

# Represents a set of UTM parameters.
type UTMParameters {
    # The name of a marketing campaign.
    campaign: String

    # Identifies specific content in a marketing campaign.
    # Used to differentiate between similar content or links in a marketing campaign to determine which is the most effective.
    content: String

    # The medium of a marketing campaign, such as a banner or email newsletter.
    medium: String

    # The source of traffic to the merchant's store, such as Google or an email newsletter.
    source: String

    # Paid search terms used by a marketing campaign.
    term: String
}
`, BuiltIn: false},
	{Name: "../../../ext/media.graphql", Input: `# Represents the preview image for a media.
type MediaPreviewImage {
    # The preview image for the media. Returns null until status is READY.
    image: Image

    # Current status of the preview image.
    status: MediaPreviewImageStatus!
}

# Represents an image resource.
type Image implements HasMetafields {
    # A word or phrase to share the nature or contents of an image.
    altText: String

    # The original height of the image in pixels. Returns null if the image is not hosted by Shopify.
    height: Int

    # A unique identifier for the image.
    id: ID

    # Returns a metafield by namespace and key that belongs to the resource.
    metafield(namespace: String!key: String!): Metafield

    # List of metafields that belong to the resource.
    metafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): MetafieldConnection!

    # Returns a private metafield by namespace and key that belongs to the resource.
    privateMetafield(namespace: String!key: String!): PrivateMetafield

    # List of private metafields that belong to the resource.
    privateMetafields(
        namespace: String
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PrivateMetafieldConnection!

    # The location of the image as a URL.
    #
    # If no transform options are specified, then the original image will be preserved including any pre-applied transforms.
    # All transformation options are considered "best-effort". Any transformation that the original image type doesn't support will be ignored.
    # If you need multiple variations of the same image, then you can use GraphQL aliases.
    url(transform: ImageTransformInput): URL!

    # The original width of the image in pixels. Returns null if the image is not hosted by Shopify.
    width: Int
}

# The available options for transforming an image.
#
# All transformation options are considered best effort. Any transformation that the original image type doesn't support will be ignored.
input ImageTransformInput {
    # The region of the image to remain after cropping.
    # Must be used in conjunction with the maxWidth and/or maxHeight fields, where the maxWidth and maxHeight aren't equal.
    # The crop argument should coincide with the smaller value. A smaller maxWidth indicates a LEFT or RIGHT crop, while
    # a smaller maxHeight indicates a TOP or BOTTOM crop. For example, { maxWidth: 5, maxHeight: 10, crop: LEFT } will result
    # in an image with a width of 5 and height of 10, where the right side of the image is removed.
    crop: CropRegion

    # Image width in pixels between 1 and 5760.
    maxWidth: Int

    # Image height in pixels between 1 and 5760.
    maxHeight: Int

    # Image size multiplier for high-resolution retina displays. Must be within 1..3.
    scale: Int = 1

    # Convert the source image into the preferred content type.
    # Supported conversions: .svg to .png, any file type to .jpg, and any file type to .webp.
    preferredContentType: ImageContentType
}

# Represents any file other than HTML.
type GenericFile implements File&Node {
    #A word or phrase to describe the contents or the function of a file.
    alt: String

    # The date and time (ISO 8601 format) when the file was created.
    createdAt: DateTime!

    # Any errors that have occurred on the file.
    fileErrors: [FileError!]!

    # The status of the file.
    fileStatus: FileStatus!

    # A globally-unique identifier.
    id: ID!

    # The generic file's MIME type.
    mimeType: String

    # The generic file's size in bytes.
    originalFileSize: Int

    # The preview image for the media.
    preview: MediaPreviewImage

    # The generic file's URL.
    url: URL
}

type MediaImage implements File&Media&Node {
    # A word or phrase to share the nature or contents of a media.
    alt: String

    # The date and time (ISO 8601 format) when the file was created.
    createdAt: DateTime!

    # Any errors that have occurred on the file.
    fileErrors: [FileError!]!

    # The status of the file.
    fileStatus: FileStatus!

    # A globally-unique identifier.
    id: ID!

    # The image for the media. Returns null until status is READY.
    image: Image

    # The media content type.
    mediaContentType: MediaContentType!

    # Any errors which have occurred on the media.
    mediaErrors: [MediaError!]!

    # The warnings attached to the media.
    mediaWarnings: [MediaWarning!]!

    # The MIME type of the image.
    mimeType: String

    # The original source of the image.
    originalSource: MediaImageOriginalSource

    # The preview image for the media.
    preview: MediaPreviewImage

    # Current status of the media.
    status: MediaStatus!
}

# The original source for an image.
type MediaImageOriginalSource {
    # The size of the original file in bytes.
    fileSize: Int
}

# Represents a Shopify hosted video.
type Video implements File&Media&Node {
    # A word or phrase to share the nature or contents of a media.
    alt: String

    # The date and time (ISO 8601 format) when the file was created.
    createdAt: DateTime!

    # The video's duration in milliseconds. This value is null unless the video's status field is
    # READY.
    duration: Int

    # Any errors that have occurred on the file.
    fileErrors: [FileError!]!

    # The status of the file.
    fileStatus: FileStatus!

    # The video's filename.
    filename: String!

    # A globally-unique identifier.
    id: ID!

    # The media content type.
    mediaContentType: MediaContentType!

    # Any errors which have occurred on the media.
    mediaErrors: [MediaError!]!

    # The warnings attached to the media.
    mediaWarnings: [MediaWarning!]!

    # The video's original source. This value is null unless the video's status field is
    # READY.
    originalSource: VideoSource

    # The preview image for the media.
    preview: MediaPreviewImage

    # The video's sources. This value is empty unless the video's status field is
    # READY.
    sources: [VideoSource!]!

    # Current status of the media.
    status: MediaStatus!
}

# Represents a source for a Shopify hosted video.
#
# Types of sources include the original video, lower resolution versions of the original video,
# and an m3u8 playlist file.
#
# Only videos with a status field
# of READY have sources.
type VideoSource {
    # The video source's file size in bytes.
    fileSize: Int

    # The video source's file format extension.
    format: String!

    # The video source's height.
    height: Int!

    # The video source's MIME type.
    mimeType: String!

    # The video source's URL.
    url: String!

    # The video source's width.
    width: Int!
}
`, BuiltIn: false},
	{Name: "../../../ext/meta.graphql", Input: `# Metafields enable you to attach additional information to a Shopify resource, such as a Product or a Collection.
# For more information about where you can attach metafields refer to HasMetafields.
# Some examples of the data that metafields enable you to store are specifications, size charts, downloadable documents, release dates, images, or part numbers.
# Metafields are identified by an owner resource, namespace, and key. and store a value along with type information for that value.
type Metafield implements LegacyInteroperability&Node{
    # The date and time when the metafield was created.
    createdAt: DateTime!

    # The optional, associated metafield definition that maps to this metafield's namespace and key pair.
    definition: MetafieldDefinition

    # The description of the metafield.
    description: String

    # A globally-unique identifier.
    id: ID!

    # The unique identifier for the metafield in its namespace.
    key: String!

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # A container for a group of metafields.
    # Grouping metafields within a namespace prevents your metafields from conflicting with other metafields that have the same key name.
    namespace: String!

    # The resource that the metafield is attached to.
    owner: HasMetafields!

    # The resource that the metafield is attached to.
    ownerType: MetafieldOwnerType!

    # Returns a reference object if the metafield definition's type is a resource reference.
    reference: MetafieldReference

    # A list of reference objects if the metafield's type is a resource reference list.
    references(
        first: Int
        after: String
        last: Int
        before: String
    ): MetafieldReferenceConnection

    # The type of data that the metafield stores in the value field.
    # See the list of supported types.
    type: String!

    # The date and time when the metafield was updated.
    updatedAt: DateTime!

    # The data to store in the metafield. The data is always stored as a string, regardless of the metafield's type.
    value: String!
}

# Metafield definitions enable you to define additional validation constraints for metafields, and enable the
# merchant to edit metafield values in context.
type MetafieldDefinition implements Node {
    # The description of a metafield definition.
    description: String

    # A globally-unique identifier.
    id: ID!

    # The key name used to identify a metafield definition within a namespace.
    key: String!

    # The list of metafields associated with a metafield definition.
    metafields(
        validationStatus: MetafieldValidationStatus = ANY
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): MetafieldConnection!

    # The count of metafields under a metafield definition.
    metafieldsCount(validationStatus: MetafieldValidationStatus): Int!

    # The human-readable name for the metafield definition.
    name: String!

    # The namespace of the metafield definition. You can use a namespace to group related metafields.
    namespace: String!

    # The resource type that the metafield definition is attached to. For example, Product or Collection.
    ownerType: MetafieldOwnerType!

    # The position of the metafield definition in the pinned list.
    pinnedPosition: Int

    # The standard metafield definition template associated with a metafield definition.
    standardTemplate: StandardMetafieldDefinitionTemplate

    # The type of data that the metafield will store.
    type: MetafieldDefinitionType!

    # The validation status for the existing metafields within a metafield definition.
    validationStatus: MetafieldDefinitionValidationStatus!

    # A list of validation options for
    # the metafield. For example, for a metafield with the type date, you can set a minimum date validation, so
    # that the metafield will only store dates after the specific minimum date.
    validations: [MetafieldDefinitionValidation!]!

    # Whether metafields for the metafield definition are visible using the Storefront API.
    visibleToStorefrontApi: Boolean!
}

# Standard metafield definition templates provide preset configurations to create metafield definitions.
# Each template has a specific namespace and key that we've reserved to have specific meanings for common use cases.
#
# Refer to the list of standard metafield definitions.
type StandardMetafieldDefinitionTemplate implements Node {
    # The description of the standard metafield definition.
    description: String

    # A globally-unique identifier.
    id: ID!

    # The key owned by the definition after the definition has been activated.
    key: String!

    # The human-readable name for the standard metafield definition.
    name: String!

    # The namespace owned by the definition after the definition has been activated.
    namespace: String!

    # The list of resource types that the standard metafield definition can be applied to.
    ownerTypes: [MetafieldOwnerType!]!

    # The associated metafield definition type that the metafield stores.
    type: MetafieldDefinitionType!

    # The configured validations for the standard metafield definition.
    validations: [MetafieldDefinitionValidation!]!

    # Whether metafields for the definition are by default visible using the Storefront API.
    visibleToStorefrontApi: Boolean!
}

# A metafield definition type provides basic foundation and validation for a metafield.
type MetafieldDefinitionType {
    # The category associated with the metafield definition type.
    category: String!

    # The name of the type for the metafield definition.
    # See the list of supported types.
    name: String!

    # The supported validations for a metafield definition type.
    supportedValidations: [MetafieldDefinitionSupportedValidation!]!

    # Whether metafields without a definition can be migrated to a definition of this type.
    supportsDefinitionMigrations: Boolean!
}

# The type and name for the optional validation configuration of a metafield.
#
# For example, a supported validation might consist of a max name and a number_integer type.
# This validation can then be used to enforce a maximum character length for a single_line_text_field metafield.
type MetafieldDefinitionSupportedValidation {
    # The name of the metafield definition validation.
    name: String!

    # The type of input for the validation.
    type: String!
}

# A configured metafield definition validation.
#
# For example, for a metafield definition of number_integer type, you can set a validation with the name max
# and a value of 15. This validation will ensure that the value of the metafield is a number less than or equal to 15.
#
# Refer to the list of supported validations.
type MetafieldDefinitionValidation {
    # The validation name.
    name: String!

    # The name for the metafield type of this validation.
    type: String!

    # The validation value.
    value: String
}

# Private metafields represent custom metadata that is attached to a resource.
# Private metafields are accessible only by the application that created them and only from the GraphQL Admin API.
#
# An application can create a maximum of 10 private metafields per shop resource.
type PrivateMetafield implements Node {
    # The date and time when the private metafield was created.
    createdAt: DateTime!

    # The id of the private metafield.
    id: ID!

    # The key name of the private metafield.
    key: String!

    # The namespace of the private metafield.
    namespace: String!

    # The date and time when the private metafield was updated.
    updatedAt: DateTime!

    # The value of a private metafield.
    value: String!

    # Represents the private metafield value type.
    valueType: PrivateMetafieldValueType!
}

# The input fields for a private metafield.
input PrivateMetafieldInput {
    # The resource that owns the metafield. If the field is blank, then the Shop resource owns the metafield.
    owner: ID

    # The namespace of the private metafield.
    namespace: String!

    # The key of the private metafield.
    key: String!

    # The value and valueType of the private metafield, wrapped in a ValueInput object.
    valueInput: PrivateMetafieldValueInput!
}

# The value input contains the value and value type of the private metafield.
input PrivateMetafieldValueInput {
    # The value of a private metafield.
    value: String!

    # Represents the private metafield value type.
    valueType: PrivateMetafieldValueType!
}

# The input fields to use to create or update a metafield through a mutation on the owning resource.
# An alternative way to create or update a metafield is by using the metafieldsSet mutation.
input MetafieldInput {
    # The description of the metafield.
    description: String

    # The unique ID of the metafield. You don't include an ID when you create a metafield because the metafield ID
    # is created automatically. The ID is required when you update a metafield.
    id: ID

    # The namespace for a metafield. The namespace is required when you create a metafield and is optional when you
    # update a metafield.
    namespace: String

    # The key name of the metafield. Required when creating but optional when updating.
    key: String

    # The value of a metafield.
    value: String

    # The metafield's type. The metafield type is required
    # when you create a metafield and is optional when you update a metafield.
    type: String
}

# An auto-generated type for paginating through multiple Metafields.
type MetafieldConnection {
    # A list of edges.
    edges: [MetafieldEdge!]!

    # A list of the nodes contained in MetafieldEdge.
    nodes: [Metafield!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Metafield and a cursor during pagination.
type MetafieldEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of MetafieldEdge.
    node: Metafield!
}

# An auto-generated type for paginating through multiple MetafieldDefinitions.
type MetafieldDefinitionConnection {
    # A list of edges.
    edges: [MetafieldDefinitionEdge!]!

    # A list of the nodes contained in MetafieldDefinitionEdge.
    nodes: [MetafieldDefinition!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one MetafieldDefinition and a cursor during pagination.
type MetafieldDefinitionEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of MetafieldDefinitionEdge.
    node: MetafieldDefinition!
}

# An auto-generated type for paginating through multiple PrivateMetafields.
type PrivateMetafieldConnection {
    # A list of edges.
    edges: [PrivateMetafieldEdge!]!

    # A list of the nodes contained in PrivateMetafieldEdge.
    nodes: [PrivateMetafield!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one PrivateMetafield and a cursor during pagination.
type PrivateMetafieldEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of PrivateMetafieldEdge.
    node: PrivateMetafield!
}

# An auto-generated type for paginating through multiple MetafieldReferences.
type MetafieldReferenceConnection {
    # A list of edges.
    edges: [MetafieldReferenceEdge!]!

    # A list of the nodes contained in MetafieldReferenceEdge.
    nodes: [MetafieldReference]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one MetafieldReference and a cursor during pagination.
type MetafieldReferenceEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of MetafieldReferenceEdge.
    node: MetafieldReference
}
`, BuiltIn: false},
	{Name: "../../../ext/money.graphql", Input: `# A monetary value with currency.
type MoneyV2 {
    # Decimal money amount.
    amount: Decimal!

    # Currency of the money.
    currencyCode: CurrencyCode!
}

# A collection of monetary values in their respective currencies. Typically used in the context of multi-currency pricing and transactions,
# when an amount in the shop's currency is converted to the customer's currency of choice (the presentment currency).
type MoneyBag {
    # Amount in presentment currency.
    presentmentMoney: MoneyV2!

    # Amount in shop currency.
    shopMoney: MoneyV2!
}

# Represents a price list, including information about related prices and eligibility rules.
# You can use price lists to specify either fixed prices or adjusted relative prices that
# override initial product variant prices. Price lists are applied to customers
# using context rules, which determine price list eligibility.
#
# For more information on price lists, refer to
# Support different pricing models.
type PriceList implements Node {
    # A set of facts about the customer, used to determine price list eligibility.
    contextRule: PriceListContextRule

    # The currency for fixed prices associated with this price list.
    currency: CurrencyCode!

    # A globally-unique identifier.
    id: ID!

    # The unique name of the price list, used as a human-readable identifier.
    name: String!

    # Relative adjustments to other prices.
    parent: PriceListParent

    # A list of prices associated with the price list.
    prices(
        originType: PriceListPriceOriginType
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PriceListPriceConnection!
}

# One type of value given to a customer when a discount is applied to an order.
# The application of a discount with this value gives the customer the specified percentage off a specified item.
type PricingPercentageValue {
    # The percentage value of the object.
    # This is a number between -100 (free) and 0 (no discount).
    percentage: Float!
}

# Represents information about pricing for a product variant
# as defined on a price list, such as the price, compare at price, and origin type.
# You can use a PriceListPrice to specify a fixed price for a specific product variant.
type PriceListPrice {
    # The compare-at price of the product variant on this price list.
    compareAtPrice: MoneyV2

    # The origin of a price, either fixed (defined on the price list) or relative (calculated using a price list adjustment configuration).
    originType: PriceListPriceOriginType!

    # The price of the product variant on this price list.
    price: MoneyV2!

    # The product variant associated with this price.
    variant: ProductVariant!
}

# Facts about the customer that was used to determine the price list eligibility.
# For example, if the PriceListContextRule is for a US market, then the price list will be eligible to all customers in the US.
# For more information on price lists, refer to
# Support different pricing models.
type PriceListContextRule {
    # A list of two letter country codes that determines price list eligibility.
    countries: [CountryCode!]!

    # The associated market.
    market: Market
}

# Represents relative adjustments from one price list to other prices.
# You can use a PriceListParent to specify an adjusted relative price using a percentage-based
# adjustment. Adjusted prices work in conjunction with exchange rules and rounding.
#
# Adjustment types
# support both percentage increases and decreases.
type PriceListParent {
    # A price list adjustment.
    adjustment: PriceListAdjustment!
}

# The type and value of a price list adjustment.
#
# For more information on price lists, refer to
# Support different pricing models.
type PriceListAdjustment {
    # The type of price adjustment, such as percentage increase or decrease.
    type: PriceListAdjustmentType!

    # The value of price adjustment, where positive numbers reduce the prices and negative numbers increase them.
    value: Float!
}

# Represents a single tax applied to the associated line item.
type TaxLine {
    # Whether the channel that submitted the tax line is liable for remitting. A value of null indicates unknown liability for this tax line.
    channelLiable: Boolean

    # The amount of tax, in shop and presentment currencies, after discounts and before returns.
    priceSet: MoneyBag!

    # The proportion of the line item price that the tax represents as a decimal.
    rate: Float

    # The proportion of the line item price that the tax represents as a percentage.
    ratePercentage: Float

    # The name of the tax.
    title: String!
}

# An amount that's allocated to a line based on an associated discount application.
type DiscountAllocation {
    # The money amount that's allocated to a line based on the associated discount application in shop and presentment currencies.
    allocatedAmountSet: MoneyBag!

    # The discount application that the allocated amount originated from.
    discountApplication: DiscountApplication!
}

# The pricing information about a subscription app.
# The object contains an interval (the frequency at which the shop is billed for an app subscription) and
# a price (the amount to be charged to the subscribing shop at each interval).
type AppRecurringPricing {
    # The discount applied to the subscription for a given number of billing intervals.
    discount: AppSubscriptionDiscount

    # The frequency at which the subscribing shop is billed for an app subscription.
    interval: AppPricingInterval!

    # The amount and currency to be charged to the subscribing shop every billing interval.
    price: MoneyV2!
}

# Discount applied to the recurring pricing portion of a subscription.
type AppSubscriptionDiscount {
    # The total number of billing intervals to which the discount will be applied.
    # The discount will be applied to an indefinite number of billing intervals if this value is blank.
    durationLimitInIntervals: Int

    # The price of the subscription after the discount is applied.
    priceAfterDiscount: MoneyV2!

    # The remaining number of billing intervals to which the discount will be applied.
    remainingDurationInIntervals: Int

    # The value of the discount applied every billing interval.
    value: AppSubscriptionDiscountValue!
}

# Defines a usage pricing model for the app subscription.
# These charges are variable based on how much the merchant uses the app.
type AppUsagePricing {
    # The total usage records for interval.
    balanceUsed: MoneyV2!

    # The capped amount prevents the merchant from being charged for any usage over that amount during a billing period.
    # This prevents billing from exceeding a maximum threshold over the duration of the billing period.
    # For the merchant to continue using the app after exceeding a capped amount, they would need to agree to a new usage charge.
    cappedAmount: MoneyV2!

    # The frequency with which the app usage records are billed.
    interval: AppPricingInterval!

    # The terms and conditions for app usage pricing.
    # Must be present in order to create usage charges.
    # The terms are presented to the merchant when they approve an app's usage charges.
    terms: String!
}

# The fixed amount value of a discount.
type AppSubscriptionDiscountAmount {
    # The fixed amount value of a discount.
    amount: MoneyV2!
}

# The percentage value of a discount.
type AppSubscriptionDiscountPercentage {
    # The percentage value of a discount.
    percentage: Float!
}

# The percentage value of a selling plan pricing policy percentage type.
type SellingPlanPricingPolicyPercentageValue {
    # The percentage value.
    percentage: Float!
}

# Represents an applied code discount.
type SubscriptionAppliedCodeDiscount {
    # The unique identifier.
    id: ID!

    # The redeem code of the discount that applies on the subscription.
    redeemCode: String!

    # The reason that the discount on the subscription draft is rejected.
    rejectionReason: SubscriptionDiscountRejectionReason
}

# The value of the discount and how it will be applied.
type SubscriptionDiscountFixedAmountValue {
    # The fixed amount value of the discount.
    amount: MoneyV2!

    # Whether the amount is applied per item.
    appliesOnEachItem: Boolean!
}

# The percentage value of the discount.
type SubscriptionDiscountPercentageValue {
    # The percentage value of the discount.
    percentage: Int!
}

# Represents a credit card payment instrument.
type VaultCreditCard {
    # The billing address of the card.
    billingAddress: CustomerCreditCardBillingAddress

    # The brand for the card.
    brand: String!

    # Whether the card has been expired.
    expired: Boolean!

    # The expiry month of the card.
    expiryMonth: Int!

    # The expiry year of the card.
    expiryYear: Int!

    # The last four digits for the card.
    lastDigits: String!

    # The name of the card holder.
    name: String!
}

# Represents a paypal billing agreement payment instrument.
type VaultPaypalBillingAgreement {
    # Whether the paypal billing agreement is inactive.
    inactive: Boolean!

    # The paypal account name.
    name: String!

    # The paypal account email address.
    paypalAccountEmail: String!
}

# An auto-generated type for paginating through multiple PriceListPrices.
type PriceListPriceConnection {
    # A list of edges.
    edges: [PriceListPriceEdge!]!

    # A list of the nodes contained in PriceListPriceEdge.
    nodes: [PriceListPrice!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one PriceListPrice and a cursor during pagination.
type PriceListPriceEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of PriceListPriceEdge.
    node: PriceListPrice!
}
`, BuiltIn: false},
	{Name: "../../../ext/order.graphql", Input: `# The order-level discount applied to a draft order.
type DraftOrderAppliedDiscount {
    # The amount of money discounted, with values shown in both shop currency and presentment currency.
    amountSet: MoneyBag!

    # Amount of money discounted.
    amountV2: MoneyV2!

    # Description of the order-level discount.
    description: String!

    # Name of the order-level discount.
    title: String

    # The order level discount amount. If valueType is "percentage",
    # then value is the percentage discount.
    value: Float!

    # Type of the order-level discount.
    valueType: DraftOrderAppliedDiscountType!
}

# A line item included in a draft order.
type DraftOrderLineItem implements Node {
    # The discount that will be applied to the line item or the overall order.
    appliedDiscount: DraftOrderAppliedDiscount

    # Whether the line item is a custom line item (true) or a product variant line item (false).
    custom: Boolean!

    # A list of attributes that represent custom features or special requests.
    customAttributes: [Attribute!]!

    # Additional information (metafields) about the line item with the associated types.
    customAttributesV2: [TypedAttribute!]!

    # The line item price after discounts are applied.
    discountedTotal: Money!

    # The line item price after discounts are applied.
    discountedTotalSet: MoneyBag!

    # The discountedTotal divided by quantity, resulting in the value of the discount per unit.
    discountedUnitPrice: Money!

    # The discountedTotal divided by quantity, resulting in the value of the discount per unit.
    discountedUnitPriceSet: MoneyBag!

    # Name of the service provider who fulfilled the order.
    #
    # Valid values are either manual or the name of the provider.
    # For example, amazon, shipwire.
    #
    # Deleted fulfillment services will return null.
    fulfillmentService: FulfillmentService

    # A globally-unique identifier.
    id: ID!

    # The image associated with the draft order line item.
    image: Image

    # Whether the line item is a gift card.
    isGiftCard: Boolean!

    # The name of the product.
    name: String!

    # The total price (without discounts) of the line item, based on the original unit price of the variant x quantity.
    originalTotal: Money!

    # The total price (without discounts) of the line item,based on the original unit price of the variant x quantity.
    originalTotalSet: MoneyBag!

    # The variant price without any discounts applied.
    originalUnitPrice: Money!

    # The variant price without any discounts applied.
    originalUnitPriceSet: MoneyBag!

    # The product corresponding to the line item’s product variant.
    product: Product

    # The number of product variants that are requested in the draft order.
    quantity: Int!

    # Whether physical shipping is required for the variant.
    requiresShipping: Boolean!

    # The SKU number of the product variant.
    sku: String

    # A list of tax line objects, each of which details the total taxes applicable to the order.
    taxLines: [TaxLine!]!

    # Whether the variant is taxable.
    taxable: Boolean!

    # The title of the product or variant. This field only applies to custom line items.
    title: String!

    # The total value of the discount that is applied to the line item.
    totalDiscount: Money!

    # The total value of the discount that is applied to the line item.
    totalDiscountSet: MoneyBag!

    # The associated variant for the line item.
    variant: ProductVariant

    # The name of the variant.
    variantTitle: String

    # The name of the vendor who created the product variant.
    vendor: String

    # The weight unit and value for a draft order line item.
    weight: Weight
}

# Represents the payment schedule for a single payment defined in the payment terms.
type PaymentSchedule implements Node {
    # Amount owed for this payment schedule.
    amount: MoneyV2!

    # Date and time when the payment schedule is paid or fulfilled.
    completedAt: DateTime

    # Date and time when the payment schedule is due.
    dueAt: DateTime

    # A globally-unique identifier.
    id: ID!

    # Date and time when the invoice is sent.
    issuedAt: DateTime
}

# Represents the payment terms for an order or draft order.
type PaymentTerms implements Node {
    # Duration of payment terms in days based on the payment terms template used to create the payment terms.
    dueInDays: Int

    # A globally-unique identifier.
    id: ID!

    # Whether the payment terms have overdue payment schedules.
    overdue: Boolean!

    # List of schedules for the payment terms.
    paymentSchedules(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): PaymentScheduleConnection!

    # The name of the payment terms template used to create the payment terms.
    paymentTermsName: String!

    # The payment terms template type used to create the payment terms.
    paymentTermsType: PaymentTermsType!

    # The payment terms name, translated into the shop admin's preferred language.
    translatedName: String!
}

# Represents a selling method (for example, "Subscribe and save" or "Pre-paid"). Selling plan groups
# and associated records (selling plans and policies) are deleted 48 hours after a merchant
# uninstalls their subscriptions app. We recommend backing up these records if you need to restore them later.
type SellingPlanGroup implements Node {
    # The identifier for app, exposed in Liquid and product JSON.
    appId: String

    # Whether the given product is directly associated to the selling plan group.
    appliesToProduct(productId: ID!): Boolean!

    # Whether the given product variant is directly associated to the selling plan group.
    appliesToProductVariant(productVariantId: ID!): Boolean!

    # Whether any of the product variants of the given product are associated to the selling plan group.
    appliesToProductVariants(productId: ID!): Boolean!

    # The date and time when the selling plan group was created.
    createdAt: DateTime!

    # The merchant-facing description of the selling plan group.
    description: String

    # A globally-unique identifier.
    id: ID!

    # The merchant-facing label of the selling plan group.
    merchantCode: String!

    # The buyer-facing label of the selling plan group.
    name: String!

    # The values of all options available on the selling plan group. Selling plans are grouped together in Liquid when they are created by the same app, and have the same selling_plan_group.name and selling_plan_group.options values.
    options: [String!]!

    # The relative position of the selling plan group for display.
    position: Int

    # A count of products associated to the selling plan group.
    productCount: Int!

    # A count of product variants associated to the selling plan group.
    productVariantCount(productId: ID): Int!

    # Product variants associated to the selling plan group.
    productVariants(
        productId: ID
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ProductVariantConnection!

    # Products associated to the selling plan group.
    products(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): ProductConnection!

    # Selling plans associated to the selling plan group.
    sellingPlans(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SellingPlanConnection!

    # A summary of the policies associated to the selling plan group.
    summary: String
}

# Represents how a product can be sold and purchased. Selling plans and associated records (selling plan groups
# and policies) are deleted 48 hours after a merchant uninstalls their subscriptions app. We recommend backing
# up these records if you need to restore them later.
#
# For more information on selling plans, refer to
# Creating and managing selling plans.
type SellingPlan implements Node {
    # A selling plan policy which describes the recurring billing details.
    billingPolicy: SellingPlanBillingPolicy!

    # The category used to classify the selling plan for reporting purposes.
    category: SellingPlanCategory

    # The date and time when the selling plan was created.
    createdAt: DateTime!

    # A selling plan policy which describes the delivery details.
    deliveryPolicy: SellingPlanDeliveryPolicy!

    # Buyer facing string which describes the selling plan commitment.
    description: String

    # A globally-unique identifier.
    id: ID!

    # When to reserve inventory for a selling plan.
    inventoryPolicy: SellingPlanInventoryPolicy

    # A customer-facing description of the selling plan.
    #
    # If your store supports multiple currencies, then don't include country-specific pricing content,
    # such as "Buy monthly, get 10$ CAD off". This field won't be converted to reflect different currencies.
    name: String!

    # The values of all options available on the selling plan.
    # Selling plans are grouped together in Liquid when they are created by the same app,
    # and have the same selling_plan_group.name and selling_plan_group.options values.
    options: [String!]!

    # Relative position of the selling plan for display. A lower position will be displayed before a higher position.
    position: Int

    # Selling plan pricing details.
    pricingPolicies: [SellingPlanPricingPolicy!]!
}

# The selling plan inventory policy.
type SellingPlanInventoryPolicy {
    # When to reserve inventory for the order.
    reserve: SellingPlanReserve!
}

# A payment transaction in the context of an order.
type OrderTransaction implements Node {
    # The masked account number associated with the payment method.
    accountNumber: String

    # The amount and currency of the transaction in shop and presentment currencies.
    amountSet: MoneyBag!

    authorizationCode: String
    # Authorization code associated with the transaction.

    # The time when the authorization expires. This field is available only to stores on a Shopify Plus plan and is populated only for Shopify Payments authorizations.
    authorizationExpiresAt: DateTime

    # Date and time when the transaction was created.
    createdAt: DateTime!

    # A standardized error code, independent of the payment provider.
    errorCode: OrderTransactionErrorCode

    # The transaction fees charged on the order transaction. Only present for Shopify Payments transactions.
    fees: [TransactionFee!]!

    # The human-readable payment gateway name used to process the transaction.
    formattedGateway: String

    # The payment gateway used to process the transaction.
    gateway: String

    # A globally-unique identifier.
    id: ID!

    # The kind of transaction.
    kind: OrderTransactionKind!

    # Whether the transaction can be manually captured.
    manuallyCapturable: Boolean!

    # Specifies the available amount with currency to refund on the gateway.
    # This value is only available for transactions of type SuggestedRefund.
    maximumRefundableV2: MoneyV2

    # The associated order.
    order: Order

    # The associated parent transaction, for example the authorization of a capture.
    parentTransaction: OrderTransaction

    # The payment icon to display for the transaction.
    paymentIcon: Image

    # Date and time when the transaction was processed.
    processedAt: DateTime

    # The transaction receipt that the payment gateway attaches to the transaction.
    # The value of this field depends on which payment gateway processed the transaction.
    receiptJson: JSON

    # The settlement currency.
    settlementCurrency: CurrencyCode

    # The rate used when converting the transaction amount to settlement currency.
    settlementCurrencyRate: Decimal

    # Contains all Shopify Payments information related to an order transaction.
    # This field is available only to stores on a Shopify Plus plan.
    shopifyPaymentsSet: ShopifyPaymentsTransactionSet

    # The status of this transaction.
    status: OrderTransactionStatus!

    # Whether the transaction is a test transaction.
    test: Boolean!

    # Specifies the available amount with currency to capture on the gateway in shop and presentment currencies.
    # Only available when an amount is capturable or manually mark as paid.
    totalUnsettledSet: MoneyBag

    # Staff member who was logged into the Shopify POS device when the transaction was processed.
    user: StaffMember
}

# Transaction fee related to an order transaction.
type TransactionFee implements Node {
    # Amount of the fee.
    amount: MoneyV2!

    # Flat rate charge for a transaction.
    flatFee: MoneyV2!

    # Name of the credit card flat fee.
    flatFeeName: String

    # A globally-unique identifier.
    id: ID!

    # Percentage charge.
    rate: Decimal!

    # Name of the credit card rate.
    rateName: String

    # Tax amount charged on the fee.
    taxAmount: MoneyV2!

    # Name of the type of fee.
    type: String!
}

# Presents all Shopify Payments specific information related to an order transaction.
type ShopifyPaymentsTransactionSet {
    # Contains all fields related to an extended authorization.
    extendedAuthorizationSet: ShopifyPaymentsExtendedAuthorization

    # Contains all fields related to a refund.
    refundSet: ShopifyPaymentsRefundSet
}

# Presents all Shopify Payments specific information related to an order refund.
type ShopifyPaymentsRefundSet {
    # The acquirer reference number (ARN) code generated for Visa/Mastercard transactions.
    acquirerReferenceNumber: String
}

# Presents all Shopify Payments information related to an extended authorization.
type ShopifyPaymentsExtendedAuthorization {
    # The time after which the extended authorization expires.
    # After the expiry, the merchant is unable to capture the payment.
    extendedAuthorizationExpiresAt: DateTime!

    # The time after which capture will incur an additional fee.
    standardAuthorizationExpiresAt: DateTime!
}

# Represents a refund suggested by Shopify based on the items being reimbursed.
# You can then use the suggested refund object to generate an actual refund.
type SuggestedRefund {
    # The total monetary value to be refunded in shop and presentment currencies.
    amountSet: MoneyBag!

    # The sum of all the discounted prices of the line items being refunded.
    discountedSubtotalSet: MoneyBag!

    # The total monetary value available to refund in shop and presentment currencies.
    maximumRefundableSet: MoneyBag!

    # A list of duties to be refunded from the order.
    refundDuties: [RefundDuty!]!

    # A list of line items to be refunded, along with restock instructions.
    refundLineItems: [RefundLineItem!]!

    # The shipping costs to be refunded from the order.
    shipping: ShippingRefund!

    # The sum of all the prices of the line items being refunded in shop and presentment currencies.
    subtotalSet: MoneyBag!

    # A list of suggested order transactions.
    suggestedTransactions: [SuggestedOrderTransaction!]!

    # The total cart discount amount that was applied to all line items in this refund.
    totalCartDiscountAmountSet: MoneyBag!

    # The sum of all the duties being refunded from the order in shop and presentment currencies. The value must be positive.
    totalDutiesSet: MoneyBag!

    # The sum of the taxes being refunded from the order in shop and presentment currencies. The value must be positive.
    totalTaxSet: MoneyBag!
}

# A suggested transaction. Suggested transaction are usually used in the context of refunds
# and exchanges.
type SuggestedOrderTransaction {
    # The masked account number associated with the payment method.
    accountNumber: String

    # The amount and currency of the suggested order transaction in shop and presentment currencies.
    amountSet: MoneyBag!

    # The human-readable payment gateway name suggested to process the transaction.
    formattedGateway: String

    # The suggested payment gateway used to process the transaction.
    gateway: String

    # Specifies the kind of the suggested order transaction.
    kind: SuggestedOrderTransactionKind!

    # Specifies the available amount to refund on the gateway in shop and presentment currencies. Only available within SuggestedRefund.
    maximumRefundableSet: MoneyBag

    # The associated parent transaction, for example the authorization of a capture.
    parentTransaction: OrderTransaction
}

# Represents the shipping costs refunded on the Refund.
type ShippingRefund {
    # The monetary value of the shipping fees to be refunded in shop and presentment currencies.
    amountSet: MoneyBag!

    # The maximum amount of shipping fees currently refundable in shop and presentment currencies.
    maximumRefundableSet: MoneyBag!

    # The monetary value of the tax allocated to shipping fees to be refunded in shop and presentment currencies.
    taxSet: MoneyBag!
}

# A line item that's included in a refund.
type RefundLineItem {
    # The LineItem resource associated to the refunded line item.
    lineItem: LineItem!

    # The inventory restock location.
    location: Location

    # The price of a refunded line item in shop and presentment currencies.
    priceSet: MoneyBag!

    # The quantity of a refunded line item.
    quantity: Int!

    # The type of restock for the refunded line item.
    restockType: RefundLineItemRestockType!

    # Whether the refunded line item was restocked. Not applicable in the context of a SuggestedRefund.
    restocked: Boolean!

    # The subtotal price of a refunded line item in shop and presentment currencies.
    subtotalSet: MoneyBag!

    # The total tax charged on a refunded line item in shop and presentment currencies.
    totalTaxSet: MoneyBag!
}

type LineItem implements Node {
    # The subscription contract associated with this line item.
    contract: SubscriptionContract

    # The line item's quantity, minus the removed quantity.
    currentQuantity: Int!

    # A list of attributes that represent custom features or special requests.
    customAttributes: [Attribute!]!

    # The discounts that have been allocated onto the line item by discount applications.
    discountAllocations: [DiscountAllocation!]!

    # The total line price after discounts are applied, in shop and presentment currencies.
    discountedTotalSet: MoneyBag!

    # The approximate split price of a line item unit, in shop and presentment currencies.
    # This value doesn't include discounts applied to the entire order.
    discountedUnitPriceSet: MoneyBag!

    # The duties associated with the line item.
    duties: [Duty!]!

    # A globally-unique identifier.
    id: ID!

    # The image associated to the line item's variant.
    image: Image

    # Whether the line item can be edited or not.
    merchantEditable: Boolean!

    # The name of the product.
    name: String!

    # The total number of units that can't be fulfilled.
    # For example, if items have been refunded, or the item is not something that can be fulfilled,
    # like a tip.Please see the FulfillmentOrder object for more fulfillment details.
    nonFulfillableQuantity: Int!

    # The total price in shop and presentment currencies, without discounts applied.
    # This value is based on the unit price of the variant x quantity.
    originalTotalSet: MoneyBag!

    # The variant unit price without discounts applied, in shop and presentment currencies.
    originalUnitPriceSet: MoneyBag!

    # The Product object associated with this line item's variant.
    product: Product

    # The number of variant units ordered.
    quantity: Int!

    # The line item's quantity, minus the removed quantity.
    refundableQuantity: Int!

    # Whether physical shipping is required for the variant.
    requiresShipping: Boolean!

    # Whether the line item can be restocked.
    restockable: Boolean!

    # The selling plan details associated with the line item.
    sellingPlan: LineItemSellingPlan

    sku: String
    # The variant SKU number.

    # Staff attributed to the initial sale of the line item.
    staffMember: StaffMember

    # The taxes charged for this line item.
    taxLines(first: Int): [TaxLine!]!

    # Whether the variant is taxable.
    taxable: Boolean!

    # The title of the product.
    title: String!

    # The total amount of the discount that's allocated to the line item, in the shop and presentment currencies.
    # This field must be explicitly set using draft orders, Shopify scripts, or the API.
    totalDiscountSet: MoneyBag!

    # The total discounted value of unfulfilled units, in shop and presentment currencies.
    unfulfilledDiscountedTotalSet: MoneyBag!

    # The total price, without any discounts applied.
    # This value is based on the unit price of the variant x quantity of all unfulfilled units, in shop and presentment currencies.
    unfulfilledOriginalTotalSet: MoneyBag!

    # The number of units not yet fulfilled.
    unfulfilledQuantity: Int!

    # The Variant object associated with this line item.
    variant: ProductVariant

    # The name of the variant.
    variantTitle: String

    # The name of the vendor who made the variant.
    vendor: String
}

# Custom subscription discount.
type SubscriptionManualDiscount {
    # Entitled line items used to apply the subscription discount on.
    entitledLines: SubscriptionDiscountEntitledLines!

    # The unique identifier.
    id: ID!

    # The maximum number of times the subscription discount will be applied on orders.
    recurringCycleLimit: Int

    # The reason that the discount on the subscription draft is rejected.
    rejectionReason: SubscriptionDiscountRejectionReason

    # Type of line the discount applies on.
    targetType: DiscountTargetType!

    # The title associated with the subscription discount.
    title: String

    # The type of the subscription discount.
    type: DiscountType!

    # The number of times the discount was applied.
    usageCount: Int!

    # The value of the subscription discount.
    value: SubscriptionDiscountValue!
}

# Represents the subscription lines the discount applies on.
type SubscriptionDiscountEntitledLines {
    # Specify whether the subscription discount will apply on all subscription lines.
    all: Boolean!

    # The list of subscription lines associated with the subscription discount.
    lines(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): SubscriptionLineConnection!
}

# Represents a Subscription Line.
type SubscriptionLine {
    # The price per unit for the subscription line in the contract's currency.
    currentPrice: MoneyV2!

    # List of custom attributes associated to the line item.
    customAttributes: [Attribute!]!

    # Discount allocations.
    discountAllocations: [SubscriptionDiscountAllocation!]!

    # The unique identifier.
    id: ID!

    # Total line price including all discounts.
    lineDiscountedPrice: MoneyV2!

    # Describe the price changes of the line over time.
    pricingPolicy: SubscriptionPricingPolicy

    # The product id associated with the subscription line.
    productId: ID

    # The quantity of the unit selected for the subscription line.
    quantity: Int!

    # Whether physical shipping is required for the variant.
    requiresShipping: Boolean!

    # The selling plan ID associated to the line.
    #
    # Indicates which selling plan was used to create this
    # contract line initially. The selling plan ID is also used to
    # find the associated delivery profile.
    #
    # The subscription contract, subscription line, or selling plan might have
    # changed. As a result, the selling plan's attributes might not
    # match the information on the contract.
    sellingPlanId: ID

    # The selling plan name associated to the line. This name describes
    # the order line items created from this subscription line
    # for both merchants and customers.
    #
    # The value can be different from the selling plan's name, because both
    # the selling plan's name and the subscription line's selling_plan_name
    # attribute can be updated independently.
    sellingPlanName: String

    # Variant SKU number of the item associated with the subscription line.
    sku: String

    # Whether the variant is taxable.
    taxable: Boolean!

    # Product title of the item associated with the subscription line.
    title: String!

    # The product variant id associated with the subscription line.
    variantId: ID

    # The image associated with the line item's variant or product.
    variantImage: Image

    # Product variant title of the item associated with the subscription line.
    variantTitle: String
}

# Represents a Subscription Delivery Policy.
type SubscriptionDeliveryPolicy {
    # The specific anchor dates upon which the delivery interval calculations should be made.
    anchors: [SellingPlanAnchor!]!

    # The kind of interval that is associated with this schedule (e.g. Monthly, Weekly, etc).
    interval: SellingPlanInterval!

    # The number of delivery intervals between deliveries.
    intervalCount: Int!
}

# Represents a Subscription Billing Policy.
type SubscriptionBillingPolicy {
    # Specific anchor dates upon which the billing interval calculations should be made.
    anchors: [SellingPlanAnchor!]!

    # The kind of interval that is associated with this schedule (e.g. Monthly, Weekly, etc).
    interval: SellingPlanInterval!

    # The number of billing intervals between invoices.
    intervalCount: Int!

    # Maximum amount of cycles after which the subscription ends.
    maxCycles: Int

    # Minimum amount of cycles required in the subscription.
    minCycles: Int
}

# Represents a selling plan policy anchor.
type SellingPlanAnchor {
    # The cutoff day for the anchor.
    #
    # If type is WEEKDAY, then the value must be between 1-7. Shopify interprets
    # the days of the week according to ISO 8601, where 1 is Monday.
    #
    # If type is MONTHDAY, then the value must be between 1-31.
    #
    # If type is YEARDAY, then the value must be null.
    cutoffDay: Int

    # The day of the anchor.
    #
    # If type is WEEKDAY, then the value must be between 1-7. Shopify interprets
    # the days of the week according to ISO 8601, where 1 is Monday.
    #
    # If type is not WEEKDAY, then the value must be between 1-31.
    day: Int!

    # The month of the anchor. If type is different than YEARDAY, then the value must
    # be null or between 1-12.
    month: Int

    # Represents the anchor type, it can be one one of WEEKDAY, MONTHDAY, YEARDAY.
    type: SellingPlanAnchorType!
}

# Represents a Subscription Line Pricing Policy.
type SubscriptionPricingPolicy {
    # The base price per unit for the subscription line in the contract's currency.
    basePrice: MoneyV2!

    # The adjustments per cycle for the subscription line.
    cycleDiscounts: [SubscriptionCyclePriceAdjustment!]!
}

# Represents a Subscription Line Pricing Cycle Adjustment.
type SubscriptionCyclePriceAdjustment {
    # Price adjustment type.
    adjustmentType: SellingPlanPricingPolicyAdjustmentType!

    # Price adjustment value.
    adjustmentValue: SellingPlanPricingPolicyAdjustmentValue!

    # The number of cycles required before this pricing policy applies.
    afterCycle: Int!

    # The computed price after the adjustments applied.
    computedPrice: MoneyV2!
}

# Represents what a particular discount reduces from a line price.
type SubscriptionDiscountAllocation {
    # Allocation amount.
    amount: MoneyV2!

    # Discount that created the allocation.
    discount: SubscriptionDiscount!
}

# Represents the selling plan for a line item.
type LineItemSellingPlan {
    # The name of the selling plan for display purposes.
    name: String!

    # The ID of the selling plan associated with the line item.
    sellingPlanId: ID
}

type Duty implements Node {
    # The ISO 3166-1 alpha-2 country code of the country of origin used in calculating the duty.
    countryCodeOfOrigin: CountryCode

    # The harmonized system code of the item used in calculating the duty.
    harmonizedSystemCode: String

    # A globally-unique identifier.
    id: ID!

    # The amount of the duty.
    price: MoneyBag!

    # A list of taxes charged on the duty.
    taxLines: [TaxLine!]!
}

# Represents a refunded duty.
type RefundDuty {
    # The amount of a refunded duty in shop and presentment currencies.
    amountSet: MoneyBag!

    # The duty associated with this refunded duty.
    originalDuty: Duty
}

# The record of the line items and transactions that were refunded to a customer,
# along with restocking instructions for refunded line items.
type Refund implements LegacyInteroperability&Node {
    # The date and time when the refund was created.
    createdAt: DateTime

    # A list of the refunded duties as part of this refund.
    duties: [RefundDuty!]

    # A globally-unique identifier.
    id: ID!

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # The optional note associated with the refund.
    note: String

    # The order associated with the refund.
    order: Order!

    # The RefundLineItem resources attached to the refund.
    refundLineItems(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): RefundLineItemConnection!

    # The staff member who created the refund.
    staffMember: StaffMember

    # The total amount across all transactions for the refund, in shop and presentment currencies.
    totalRefundedSet: MoneyBag!

    # The transactions associated with the refund.
    transactions(
        first: Int
        after: String
        last: Int
        before: String
        reverse: Boolean = false
    ): OrderTransactionConnection!

    # The date and time when the refund was updated.
    updatedAt: DateTime!
}

# Represents a fraud check on an order.
type OrderRisk {
    # Whether the risk level is shown in the Shopify admin.
    # If false, then this order risk is ignored when Shopify determines the overall risk level for the order.
    display: Boolean!

    # The likelihood that an order is fraudulent, based on this order risk.
    #
    # The level can be set by Shopify risk analysis or by an app.
    level: OrderRiskLevel

    # The risk message that's shown to the merchant in the Shopify admin.
    message: String
}

# The payment collection details for an order that requires additional payment following an edit to the order.
type OrderPaymentCollectionDetails {
    # The URL to use for collecting an additional payment on the order.
    additionalPaymentCollectionUrl: URL

    # The list of vaulted payment methods for the order with their permissions.
    vaultedPaymentMethods: [PaymentMandate!]
}

# A payment instrument and the permission
# the owner of the instrument gives to the merchant to debit it.
type PaymentMandate implements Node {
    # The unique identifier of a payment mandate.
    id: ID!

    # The outputs details of the payment instrument.
    paymentInstrument: PaymentInstrument!
}

# The fields required to reimburse duties on a refund.
input RefundDutyInput {
    # The ID of the duty in the refund.
    dutyId: ID!

    # The type of refund for this duty.
    refundType: RefundDutyRefundType
}

# The fields required to reimburse line items on a refund.
input RefundLineItemInput {
    # The ID of the line item in the refund.
    lineItemId: ID!

    # The quantity of the associated line item to be refunded.
    quantity: Int!

    # The type of restock for this line item.
    restockType: RefundLineItemRestockType

    # The intended location for restocking. If the restockType is set to NO_RESTOCK, then this value is empty.` + "`" + `
    locationId: ID
}

# A summary of the important details for a dispute on an order.
type OrderDisputeSummary implements Node {
    # A globally-unique identifier.
    id: ID!

    # The type that the dispute was initiated as.
    initiatedAs: DisputeType!

    # The current status of the dispute.
    status: DisputeStatus!
}

# The tax allocated to a sale from a single tax line.
type SaleTax {
    # The portion of the total tax amount on the related sale that comes from the associated tax line.
    amount: MoneyBag!

    # The unique identifier for the sale tax.
    id: ID!

    # The tax line associated with the sale.
    taxLine: TaxLine!
}

# A record of an execution of the subscription billing process. Billing attempts use
#idempotency keys to avoid duplicate order creation. A successful billing attempt
#will create an order.
type SubscriptionBillingAttempt implements Node {
    # The date and time when the billing attempt was completed.
    completedAt: DateTime

    # The date and time when the billing attempt was created.
    createdAt: DateTime!

    # A code corresponding to a payment error during processing.
    errorCode: SubscriptionBillingAttemptErrorCode

    # A message describing a payment error during processing.
    errorMessage: String

    # A globally-unique identifier.
    id: ID!

    # A unique key generated by the client to avoid duplicate payments.
    idempotencyKey: String!

    # The URL where the customer needs to be redirected so they can complete the 3D Secure payment flow.
    nextActionUrl: URL

    # The result of this billing attempt if completed successfully.
    order: Order

    # The date and time used to calculate fulfillment intervals for a billing attempt that
    # successfully completed after the current anchor date. To prevent fulfillment from being
    # pushed to the next anchor date, this field can override the billing attempt date.
    originTime: DateTime

    # Whether the billing attempt is still processing.
    ready: Boolean!

    # The subscription contract.
    subscriptionContract: SubscriptionContract!
}

# Represents the payment terms template object.
type PaymentTermsTemplate implements Node {
    # The description of the payment terms template.
    description: String!

    # The number of days between the issued date and due date if this is the net type of payment terms.
    dueInDays: Int

    # A globally-unique identifier.
    id: ID!

    # The name of the payment terms template.
    name: String!

    # The type of the payment terms template.
    paymentTermsType: PaymentTermsType!

    # The translated payment terms template name.
    translatedName: String!
}

# The fixed selling plan billing policy.
type SellingPlanFixedBillingPolicy {
    # The checkout charge when the full amount isn't charged at checkout.
    checkoutCharge: SellingPlanCheckoutCharge!

    # The exact time when to capture the full payment.
    remainingBalanceChargeExactTime: DateTime

    # The period after remaining_balance_charge_trigger, before capturing the full payment.
    # Expressed as an ISO8601 duration.
    remainingBalanceChargeTimeAfterCheckout: String

    # When to capture payment for amount due.
    remainingBalanceChargeTrigger: SellingPlanRemainingBalanceChargeTrigger!
}

# The amount charged at checkout when the full amount isn't charged at checkout.
type SellingPlanCheckoutCharge {
    # The charge type for the checkout charge.
    type: SellingPlanCheckoutChargeType!

    # The charge value for the checkout charge.
    value: SellingPlanCheckoutChargeValue!
}

# Represents a recurring selling plan billing policy.
type SellingPlanRecurringBillingPolicy {
    # Specific anchor dates upon which the billing interval calculations should be made.
    anchors: [SellingPlanAnchor!]!

    # The date and time when the selling plan billing policy was created.
    createdAt: DateTime!

    # The billing frequency, it can be either: day, week, month or year.
    interval: SellingPlanInterval!

    # The number of intervals between billings.
    intervalCount: Int!

    # Maximum number of billing iterations.
    maxCycles: Int

    # Minimum number of billing iterations.
    minCycles: Int
}

# Represents a fixed selling plan delivery policy.
type SellingPlanFixedDeliveryPolicy {
    # The specific anchor dates upon which the delivery interval calculations should be made.
    anchors: [SellingPlanAnchor!]!

    # A buffer period for orders to be included in next fulfillment anchor.
    cutoff: Int

    # The date and time when the fulfillment should trigger.
    fulfillmentExactTime: DateTime

    # What triggers the fulfillment. The value must be one of ANCHOR, ASAP, EXACT_TIME, or UNKNOWN.
    fulfillmentTrigger: SellingPlanFulfillmentTrigger!

    # Whether the delivery policy is merchant or buyer-centric.
    # Buyer-centric delivery policies state the time when the buyer will receive the goods.
    # Merchant-centric delivery policies state the time when the fulfillment should be started.
    # Currently, only merchant-centric delivery policies are supported.
    intent: SellingPlanFixedDeliveryPolicyIntent!

    # The fulfillment or delivery behavior of the first fulfillment when the order is placed before the anchor.
    # The default value for this field is ASAP.
    preAnchorBehavior: SellingPlanFixedDeliveryPolicyPreAnchorBehavior!
}

# Represents a recurring selling plan delivery policy.
type SellingPlanRecurringDeliveryPolicy {
    # The specific anchor dates upon which the delivery interval calculations should be made.
    anchors: [SellingPlanAnchor!]!

    # The date and time when the selling plan delivery policy was created.
    createdAt: DateTime!

    # A buffer period for orders to be included in a cycle.
    cutoff: Int

    # Whether the delivery policy is merchant or buyer-centric.
    # Buyer-centric delivery policies state the time when the buyer will receive the goods.
    # Merchant-centric delivery policies state the time when the fulfillment should be started.
    # Currently, only merchant-centric delivery policies are supported.
    intent: SellingPlanRecurringDeliveryPolicyIntent!

    # The delivery frequency, it can be either: day, week, month or year.
    interval: SellingPlanInterval!

    # The number of intervals between deliveries.
    intervalCount: Int!

    # The fulfillment or delivery behavior of the first fulfillment when the order is placed before the anchor.
    # The default value for this field is ASAP.
    preAnchorBehavior: SellingPlanRecurringDeliveryPolicyPreAnchorBehavior!
}

# The percentage value of the price used for checkout charge.
type SellingPlanCheckoutChargePercentageValue {
    # The percentage value of the price used for checkout charge.
    percentage: Float!
}

# Represents a fixed selling plan pricing policy.
type SellingPlanFixedPricingPolicy implements SellingPlanPricingPolicyBase {
    # The price adjustment type.
    adjustmentType: SellingPlanPricingPolicyAdjustmentType!

    # The price adjustment value.
    adjustmentValue: SellingPlanPricingPolicyAdjustmentValue!

    # The date and time when the fixed selling plan pricing policy was created.
    createdAt: DateTime!
}

# Represents a recurring selling plan pricing policy.
type SellingPlanRecurringPricingPolicy implements SellingPlanPricingPolicyBase {
    # The price adjustment type.
    adjustmentType: SellingPlanPricingPolicyAdjustmentType!

    # The price adjustment value.
    adjustmentValue: SellingPlanPricingPolicyAdjustmentValue!

    # Cycle after which this pricing policy applies.
    afterCycle: Int

    # The date and time when the recurring selling plan pricing policy was created.
    createdAt: DateTime!
}

# An auto-generated type for paginating through multiple Orders.
type OrderConnection {
    # A list of edges.
    edges: [OrderEdge!]!

    # A list of the nodes contained in OrderEdge.
    nodes: [Order!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Order and a cursor during pagination.
type OrderEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of OrderEdge.
    node: Order!
}

# An auto-generated type for paginating through multiple CustomerPaymentMethods.
type CustomerPaymentMethodConnection {
    # A list of edges.
    edges: [CustomerPaymentMethodEdge!]!

    # A list of the nodes contained in CustomerPaymentMethodEdge.
    nodes: [CustomerPaymentMethod!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one CustomerPaymentMethod and a cursor during pagination.
type CustomerPaymentMethodEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CustomerPaymentMethodEdge.
    node: CustomerPaymentMethod!
}

# An auto-generated type for paginating through multiple SubscriptionContracts.
type SubscriptionContractConnection {
    # A list of edges.
    edges: [SubscriptionContractEdge!]!

    # A list of the nodes contained in SubscriptionContractEdge.
    nodes: [SubscriptionContract!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SubscriptionContract and a cursor during pagination.
type SubscriptionContractEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SubscriptionContractEdge.
    node: SubscriptionContract!
}

# An auto-generated type for paginating through multiple SubscriptionManualDiscounts.
type SubscriptionManualDiscountConnection {
    # A list of edges.
    edges: [SubscriptionManualDiscountEdge!]!

    # A list of the nodes contained in SubscriptionManualDiscountEdge.
    nodes: [SubscriptionManualDiscount!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SubscriptionManualDiscount and a cursor during pagination.
type SubscriptionManualDiscountEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SubscriptionManualDiscountEdge.
    node: SubscriptionManualDiscount!
}

# An auto-generated type for paginating through multiple SubscriptionLines.
type SubscriptionLineConnection {
    # A list of edges.
    edges: [SubscriptionLineEdge!]!

    # A list of the nodes contained in SubscriptionLineEdge.
    nodes: [SubscriptionLine!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SubscriptionLine and a cursor during pagination.
type SubscriptionLineEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SubscriptionLineEdge.
    node: SubscriptionLine!
}

# An auto-generated type for paginating through multiple AppPurchaseOneTimes.
type AppPurchaseOneTimeConnection {
    # A list of edges.
    edges: [AppPurchaseOneTimeEdge!]!

    # A list of the nodes contained in AppPurchaseOneTimeEdge.
    nodes: [AppPurchaseOneTime!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one AppPurchaseOneTime and a cursor during pagination.
type AppPurchaseOneTimeEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of AppPurchaseOneTimeEdge.
    node: AppPurchaseOneTime!
}

# An auto-generated type for paginating through multiple SubscriptionBillingAttempts.
type SubscriptionBillingAttemptConnection {
    # A list of edges.
    edges: [SubscriptionBillingAttemptEdge!]!

    # A list of the nodes contained in SubscriptionBillingAttemptEdge.
    nodes: [SubscriptionBillingAttempt!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SubscriptionBillingAttempt and a cursor during pagination.
type SubscriptionBillingAttemptEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SubscriptionBillingAttemptEdge.
    node: SubscriptionBillingAttempt!
}

# An auto-generated type for paginating through multiple DraftOrders.
type DraftOrderConnection {
    # A list of edges.
    edges: [DraftOrderEdge!]!

    # A list of the nodes contained in DraftOrderEdge.
    nodes: [DraftOrder!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one DraftOrder and a cursor during pagination.
type DraftOrderEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of DraftOrderEdge.
    node: DraftOrder!
}

# An auto-generated type for paginating through multiple PaymentSchedules.
type PaymentScheduleConnection {
    # A list of edges.
    edges: [PaymentScheduleEdge!]!

    # A list of the nodes contained in PaymentScheduleEdge.
    nodes: [PaymentSchedule!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one PaymentSchedule and a cursor during pagination.
type PaymentScheduleEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of PaymentScheduleEdge.
    node: PaymentSchedule!
}

# An auto-generated type for paginating through multiple SellingPlans.
type SellingPlanConnection {
    # A list of edges.
    edges: [SellingPlanEdge!]!

    # A list of the nodes contained in SellingPlanEdge.
    nodes: [SellingPlan!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SellingPlan and a cursor during pagination.
type SellingPlanEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SellingPlanEdge.
    node: SellingPlan!
}

# An auto-generated type for paginating through multiple RefundLineItems.
type RefundLineItemConnection {
    # A list of edges.
    edges: [RefundLineItemEdge!]!

    # A list of the nodes contained in RefundLineItemEdge.
    nodes: [RefundLineItem!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one RefundLineItem and a cursor during pagination.
type RefundLineItemEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of RefundLineItemEdge.
    node: RefundLineItem!
}

# An auto-generated type for paginating through multiple OrderTransactions.
type OrderTransactionConnection {
    # A list of edges.
    edges: [OrderTransactionEdge!]!

    # A list of the nodes contained in OrderTransactionEdge.
    nodes: [OrderTransaction!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one OrderTransaction and a cursor during pagination.
type OrderTransactionEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of OrderTransactionEdge.
    node: OrderTransaction!
}

# An auto-generated type for paginating through multiple SellingPlanGroups.
type SellingPlanGroupConnection {
    # A list of edges.
    edges: [SellingPlanGroupEdge!]!

    # A list of the nodes contained in SellingPlanGroupEdge.
    nodes: [SellingPlanGroup!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SellingPlanGroup and a cursor during pagination.
type SellingPlanGroupEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SellingPlanGroupEdge.
    node: SellingPlanGroup!
}

# An auto-generated type for paginating through multiple LineItems.
type LineItemConnection {
    # A list of edges.
    edges: [LineItemEdge!]!

    # A list of the nodes contained in LineItemEdge.
    nodes: [LineItem!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one LineItem and a cursor during pagination.
type LineItemEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of LineItemEdge.
    node: LineItem!
}

# An auto-generated type for paginating through multiple ShippingLines.
type ShippingLineConnection {
    # A list of edges.
    edges: [ShippingLineEdge!]!

    # A list of the nodes contained in ShippingLineEdge.
    nodes: [ShippingLine!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one ShippingLine and a cursor during pagination.
type ShippingLineEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of ShippingLineEdge.
    node: ShippingLine!
}

# An auto-generated type for paginating through multiple DraftOrderLineItems.
type DraftOrderLineItemConnection {
    # A list of edges.
    edges: [DraftOrderLineItemEdge!]!

    # A list of the nodes contained in DraftOrderLineItemEdge.
    nodes: [DraftOrderLineItem!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one DraftOrderLineItem and a cursor during pagination.
type DraftOrderLineItemEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of DraftOrderLineItemEdge.
    node: DraftOrderLineItem!
}
`, BuiltIn: false},
	{Name: "../../../ext/page.graphql", Input: `# Returns information about pagination in a connection, in accordance with the
# Relay specification.
type PageInfo {
    # The cursor corresponding to the last node in edges.
    endCursor: String

    # Whether there are more pages to fetch following the current page.
    hasNextPage: Boolean!

    # Whether there are any pages prior to the current page.
    hasPreviousPage: Boolean!

    # The cursor corresponding to the first node in edges.
    startCursor: String
}
`, BuiltIn: false},
	{Name: "../../../ext/product.graphql", Input: `# The details of a specific product category within the Shopify product taxonomy.
type ProductCategory {
    # The product taxonomy node associated with the product category.
    productTaxonomyNode: ProductTaxonomyNode
}

# Properties used by customers to select a product variant.
# Products can have multiple options, like different sizes or colors.
type SelectedOption {
    # The product option’s name.
    name: String!

    # The product option’s value.
    value: String!
}

# The price of a product variant in a specific country.
# Prices vary between countries.
type ProductVariantContextualPricing {
    # The final compare-at price after all adjustments are applied.
    compareAtPrice: MoneyV2

    # The final price after all adjustments are applied.
    price: MoneyV2!
}

# The context data that determines the pricing of a variant.
input ContextualPricingContext {
    # The country code used to fetch country-specific prices.
    country: CountryCode

    # The CompanyLocation ID used to fetch company location specific prices.
    companyLocationId: ID
}

# The set of rules that are used to determine which products are included in the collection.
type CollectionRuleSet {
    # Whether products must match any or all of the rules to be included in the collection.
    # If true, then products must match at least one of the rules to be included in the collection.
    # If false, then products must match all of the rules to be included in the collection.
    appliedDisjunctively: Boolean!

    # The rules used to assign products to the collection.
    rules: [CollectionRule!]!
}

# The set of rules that are used to determine which products are included in the collection.
type CollectionRule {
    # Whether products must match any or all of the rules to be included in the collection.
    # If true, then products must match at least one of the rules to be included in the collection.
    # If false, then products must match all of the rules to be included in the collection.
    appliedDisjunctively: Boolean!

    # The rules used to assign products to the collection.
    rules: [CollectionRule!]!
}

# The price of a product in a specific country.
# Prices vary between countries.
type ProductContextualPricing {
    # The pricing of the variant with the highest price in the given context.
    maxVariantPricing: ProductVariantContextualPricing

    # The pricing of the variant with the lowest price in the given context.
    minVariantPricing: ProductVariantContextualPricing

    # The price range of the product with prices formatted as decimals.
    priceRange: ProductPriceRangeV2!
}

# The price range of the product.
type ProductPriceRangeV2 {
    # The highest variant's price.
    maxVariantPrice: MoneyV2!

    # The lowest variant's price.
    minVariantPrice: MoneyV2!
}

# Represents a Shopify product taxonomy node.
type ProductTaxonomyNode implements Node {
    # The full name of the product taxonomy node.
    # For example, Animals & Pet Supplies > Pet Supplies > Dog Supplies > Dog Beds.
    fullName: String!

    # The ID of the product taxonomy node.
    id: ID!

    # Whether the node is a leaf node.
    isLeaf: Boolean!

    # Whether the node is a root node.
    isRoot: Boolean!

    # The name of the product taxonomy node. For example, Dog Beds.
    name: String!
}

# An auto-generated type for paginating through multiple InventoryLevels.
type InventoryLevelConnection {
    # A list of edges.
    edges: [InventoryLevelEdge!]!

    # A list of the nodes contained in InventoryLevelEdge.
    nodes: [InventoryLevel!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one InventoryLevel and a cursor during pagination.
type InventoryLevelEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of InventoryLevelEdge.
    node: InventoryLevel!
}

# An auto-generated type for paginating through multiple Products.
type ProductConnection {
    # A list of edges.
    edges: [ProductEdge!]!

    # A list of the nodes contained in ProductEdge.
    nodes: [Product!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Product and a cursor during pagination.
type ProductEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of ProductEdge.
    node: Product!
}

# An auto-generated type for paginating through multiple Collections.
type CollectionConnection {
    # A list of edges.
    edges: [CollectionEdge!]!

    # A list of the nodes contained in CollectionEdge.
    nodes: [Collection!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Collection and a cursor during pagination.
type CollectionEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of CollectionEdge.
    node: Collection!
}

# An auto-generated type for paginating through multiple ProductVariants.
type ProductVariantConnection {
    # A list of edges.
    edges: [ProductVariantEdge!]!

    # A list of the nodes contained in ProductVariantEdge.
    nodes: [ProductVariant!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one ProductVariant and a cursor during pagination.
type ProductVariantEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of ProductVariantEdge.
    node: ProductVariant!
}

# An auto-generated type for paginating through multiple SavedSearches.
type SavedSearchConnection {
    # A list of edges.
    edges: [SavedSearchEdge!]!

    # A list of the nodes contained in SavedSearchEdge.
    nodes: [SavedSearch!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SavedSearch and a cursor during pagination.
type SavedSearchEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SavedSearchEdge.
    node: SavedSearch!
}

# An auto-generated type for paginating through multiple Images.
type ImageConnection {
    # A list of edges.
    edges: [ImageEdge!]!

    # A list of the nodes contained in ImageEdge.
    nodes: [Image!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Image and a cursor during pagination.
type ImageEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of ImageEdge.
    node: Image!
}

# An auto-generated type for paginating through multiple Media.
type MediaConnection {
    # A list of edges.
    edges: [MediaEdge!]!

    # A list of the nodes contained in MediaEdge.
    nodes: [Media!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Media and a cursor during pagination.
type MediaEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of MediaEdge.
    node: Media!
}
`, BuiltIn: false},
	{Name: "../../../ext/property.graphql", Input: `# The attribute editable information.
type EditableProperty {
    # Whether the attribute is locked for editing.
    locked: Boolean!

    # The reason the attribute is locked for editing.
    reason: FormattedString
}

# Represents a generic custom attribute.
type Attribute {
    # Key or name of the attribute.
    key: String!

    # Value of the attribute.
    value: String
}

# Represents a typed custom attribute.
type TypedAttribute {
    # Key or name of the attribute.
    key: String!

    # Value of the attribute.
    value: String!
}

# A weight, which includes a numeric value and a unit of measurement.
type Weight {
    # The unit of measurement for value.
    unit: WeightUnit!

    # The weight value using the unit system specified with unit.
    value: Float!
}

# An auto-generated type for paginating through a list of Strings.
type StringConnection {
    # A list of edges.
    edges: [StringEdge!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one String and a cursor during pagination.
type StringEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of StringEdge.
    node: String!
}
`, BuiltIn: false},
	{Name: "../../../ext/publication.graphql", Input: `# A resource publication represents information about the publication of a resource.
# An instance of ResourcePublication, unlike ResourcePublicationV2, can be neither published or scheduled to be published.
#
# See ResourcePublicationV2 for more context.
type ResourcePublication {
    # Whether the resource publication is published. Also returns true if the resource publication is scheduled to be published.
    # If false, then the resource publication is neither published nor scheduled to be published.
    isPublished: Boolean!

    # The publication the resource publication is published to.
    publication: Publication!

    # The date that the resource publication was or is going to be published to the publication.
    publishDate: DateTime!

    # The resource published to the publication.
    publishable: Publishable!
}

# A resource publication represents information about the publication of a resource.
# Unlike ResourcePublication, an instance of ResourcePublicationV2 can't be unpublished. It must either be published or scheduled to be published.
#
# See ResourcePublication for more context.
type ResourcePublicationV2 {
    # Whether the resource publication is published. If true, then the resource publication is published to the publication.
    # If false, then the resource publication is staged to be published to the publication.
    isPublished: Boolean!

    # The publication the resource publication is published to.
    publication: Publication!

    # The date that the resource publication was or is going to be published to the publication.
    publishDate: DateTime

    # The resource published to the publication.
    publishable: Publishable!
}

# An auto-generated type for paginating through multiple ResourcePublications.
type ResourcePublicationConnection {
    # A list of edges.
    edges: [ResourcePublicationEdge!]!

    # A list of the nodes contained in ResourcePublicationEdge.
    nodes: [ResourcePublication!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one ResourcePublication and a cursor during pagination.
type ResourcePublicationEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of ResourcePublicationEdge.
    node: ResourcePublication!
}

# An auto-generated type for paginating through multiple ResourcePublicationV2s.
type ResourcePublicationV2Connection {
    # A list of edges.
    edges: [ResourcePublicationV2Edge!]!

    # A list of the nodes contained in ResourcePublicationV2Edge.
    nodes: [ResourcePublicationV2!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one ResourcePublicationV2 and a cursor during pagination.
type ResourcePublicationV2Edge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of ResourcePublicationV2Edge.
    node: ResourcePublicationV2!
}

# An auto-generated type for paginating through multiple Publications.
type PublicationConnection {
    # A list of edges.
    edges: [PublicationEdge!]!

    # A list of the nodes contained in PublicationEdge.
    nodes: [Publication!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one Publication and a cursor during pagination.
type PublicationEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of PublicationEdge.
    node: Publication!
}
`, BuiltIn: false},
	{Name: "../../../ext/rbac.graphql", Input: `# The permission required to access a Shopify Admin API or Storefront API resource for a shop.
# Merchants grant access scopes that are requested by applications.
type AccessScope {
    # A description of the actions that the access scope allows an app to perform.
    description: String!

    # A readable string that represents the access scope. The string usually follows the format {action}_{resource}.
    # {action} is read or write, and {resource} is the resource that the action can be performed on.
    # {action} and {resource} are separated by an underscore. For example, read_orders or write_products.
    handle: String!
}

# An auto-generated type for paginating through multiple StorefrontAccessTokens.
type StorefrontAccessTokenConnection {
    # A list of edges.
    edges: [StorefrontAccessTokenEdge!]!

    # A list of the nodes contained in StorefrontAccessTokenEdge.
    nodes: [StorefrontAccessToken!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one StorefrontAccessToken and a cursor during pagination.
type StorefrontAccessTokenEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of StorefrontAccessTokenEdge.
    node: StorefrontAccessToken!
}

# A token that's used to delegate unauthenticated access scopes to clients that need to access
# the unauthenticated Storefront API. An app can have a maximum of 100 active storefront access
# tokens for each shop.
type StorefrontAccessToken implements Node {
    # List of permissions associated with the token.
    accessScopes: [AccessScope!]!

    # The issued public access token.
    accessToken: String!

    # The date and time when the public access token was created.
    createdAt: DateTime!

    # A globally-unique identifier.
    id: ID!

    # An arbitrary title for each token determined by the developer, used for reference purposes.
    title: String!

    # The date and time when the storefront access token was updated.
    updatedAt: DateTime!
}
`, BuiltIn: false},
	{Name: "../../../ext/scalar.graphql", Input: `# Represents an ISO 8601-encoded date and time string.
# For example, 3:50 pm on September 7, 2019 in the time zone of UTC (Coordinated Universal Time) is
# represented as "2019-09-07T15:50:00Z".
scalar DateTime

# Represents an RFC 3986 and
# RFC 3987-compliant URI string.
#
# For example, "https://johns-apparel.myshopify.com" is a valid URL. It includes a scheme (https) and a host
# (johns-apparel.myshopify.com).
scalar URL

# An unsigned 64-bit integer. Represents whole numeric values between 0 and 2^64 - 1 encoded as a string of base-10 digits.
#
# Example value: "50".
scalar UnsignedInt64

# A string containing a strict subset of HTML code. Non-allowed tags will be stripped out.
# Allowed tags:
#
# a (allowed attributes: href, target)
# b
# br
# em
# i
# strong
# u
# Use HTML instead if you need to
# include other HTML tags.
# Example value: "Your current domain is <strong>johns-apparel.myshopify.com</strong>."
scalar FormattedString

# A signed decimal number, which supports arbitrary precision and is serialized as a string.
#
# Example values: "29.99", "29.999".
scalar Decimal

# A monetary value string without a currency symbol or code. Example value: "100.57".
scalar Money

# A string containing HTML code. Refer to the HTML spec for a complete list of HTML elements.
#
# Example value: "<p>Grey cotton knit sweater.</p>".
scalar HTML

# A JSON object.
#
# Example value:
# {   "product": {     "id": "gid://shopify/Product/1346443542550",     "title": "White T-shirt",     "options": [{       "name": "Size",       "values": ["M", "L"]     }]   } }
scalar JSON
`, BuiltIn: false},
	{Name: "../../../ext/shop.graphql", Input: `# The list of all the countries from the combined shipping zones for the shop.
type CountriesInShippingZones {
    # The list of all the countries from all the combined shipping zones.
    countryCodes: [CountryCode!]!

    # Whether 'Rest of World' has been defined in any of the shipping zones.
    includeRestOfWorld: Boolean!
}

# Currency formats configured for the merchant. These formats are available to use within Liquid.
type CurrencyFormats {
    # Money without currency in HTML.
    moneyFormat: FormattedString!

    # Money without currency in emails.
    moneyInEmailsFormat: String!

    # Money with currency in HTML.
    moneyWithCurrencyFormat: FormattedString!

    # Money with currency in emails.
    moneyWithCurrencyInEmailsFormat: String!
}

# Represents the feature set available to the shop.
# Most fields specify whether a feature is enabled for a shop, and some fields return information
# related to specific features.
type ShopFeatures {
    # Whether a shop has access to Avalara AvaTax.
    avalaraAvatax: Boolean!

    # The branding of the shop, which influences its look and feel in the Shopify admin.
    branding: ShopBranding!

    # Whether a shop's online store can have CAPTCHA protection.
    captcha: Boolean!

    # Whether a shop's online store can have CAPTCHA protection for domains not managed by Shopify.
    captchaExternalDomains: Boolean!

    # Whether a shop has access to the Google Analytics dynamic remarketing feature.
    dynamicRemarketing: Boolean!

    # Whether a shop can be migrated to use Shopify subscriptions.
    eligibleForSubscriptionMigration: Boolean!

    # Whether a shop is configured properly to sell subscriptions.
    eligibleForSubscriptions: Boolean!

    # Whether a shop can create gift cards.
    giftCards: Boolean!

    # Whether a shop displays Harmonized System codes on products. This is used for customs when shipping
    # internationally.
    harmonizedSystemCode: Boolean!

    # Whether a shop can enable international domains.
    internationalDomains: Boolean!

    # Whether a shop can enable international price overrides.
    internationalPriceOverrides: Boolean!

    # Whether a shop can enable international price rules.
    internationalPriceRules: Boolean!

    # Whether a shop has enabled a legacy subscription gateway to handle older subscriptions.
    legacySubscriptionGatewayEnabled: Boolean!

    # Whether to show the Live View metrics in the Shopify admin. Live view is hidden from merchants that are on a trial
    # or don't have a storefront.
    liveView: Boolean!

    # Whether a shop has access to the onboarding visual.
    onboardingVisual: Boolean!

    # Whether a shop is configured to sell subscriptions with PayPal Express.
    paypalExpressSubscriptionGatewayStatus: PaypalExpressSubscriptionsGatewayStatus!

    # Whether a shop has access to all reporting features.
    reports: Boolean!

    # Whether a shop has ever had subscription products.
    sellsSubscriptions: Boolean!

    # Whether to show metrics in the Shopify admin. Metrics are hidden for new merchants until they become meaningful.
    showMetrics: Boolean!

    # Whether a shop has an online store.
    storefront: Boolean!

    # Whether a shop is using Shopify Balance.
    usingShopifyBalance: Boolean!
}

# The total number of pending orders on a shop if less then a maximum, or that maximum.
# The atMax field indicates when this maximum has been reached.
type LimitedPendingOrderCount {
    # This is set when the number of pending orders has reached the maximum.
    atMax: Boolean!

    # The number of pendings orders on the shop.
    # Limited to a maximum of 10000.
    count: Int!
}

# Merchant approval for accelerated onboarding to channel integration apps.
type MerchantApprovalSignals {
    # Whether the shop's Shopify Payments account identity is verified.
    # Returns false if the identity is unverified or if the shop doesn't have a Shopify Payments account.
    identityVerified: Boolean!

    # Whether Shopify has pre-verified the merchant's business for onboarding to channel integration apps.
    # Returns false if the shop is not marked for verification.
    verifiedByShopify: Boolean!
}

# Settings related to payments.
type PaymentSettings {
    # List of the digital wallets which the shop supports.
    supportedDigitalWallets: [DigitalWallet!]!
}

# The billing plan of the shop.
type ShopPlan {
    # The name of the shop's billing plan.
    displayName: String!

    # Whether the shop is a partner development shop for testing purposes.
    partnerDevelopment: Boolean!

    # Whether the shop has a Shopify Plus subscription.
    shopifyPlus: Boolean!
}

# Policy that a merchant has configured for their store, such as their refund or privacy policy.
type ShopPolicy implements HasPublishedTranslations&Node {
    # The text of the policy. The maximum size is 512kb.
    body: HTML!

    # A globally-unique identifier.
    id: ID!

    # The translations associated with the resource.
    translations(locale: String! marketId: ID): [PublishedTranslation!]!

    # The shop policy type.
    type: ShopPolicyType!

    # The public URL of the policy.
    url: URL!
}

# Resource limits of a shop.
type ShopResourceLimits {
    # Maximum number of locations allowed.
    locationLimit: Int!

    # Maximum number of product options allowed.
    maxProductOptions: Int!

    # The maximum number of variants allowed per product.
    maxProductVariants: Int!

    # Whether the shop has reached the limit of the number of URL redirects it can make for resources.
    redirectLimitReached: Boolean!

    # The maximum number of variants allowed per shop.
    # If the shop has unlimited SKUs, then the quantity used cannot be retrieved.
    skuResourceLimits: ResourceLimit!
}

# A resource limit represents the limits that the resource has.
type ResourceLimit {
    # Whether the resource is available.
    available: Boolean!

    # Quantity available. If null the quantity available is unlimited.
    quantityAvailable: Int

    # Quantity limit of the resource. If null the quantity is unlimited.
    quantityLimit: Int

    # Quantity used of the resource. If null the quantity used cannot be retrieved.
    quantityUsed: Int
}

# Represents an individual result returned from a search.
type SearchResult {
    # Returns the search result description text.
    description: String

    # Returns the Image resource presented to accompany a search result.
    image: Image

    # Returns the ID of the resource returned in the search result.
    reference: Node!

    # Returns the resource title.
    title: String!

    # Returns the absolute URL to the resource in the search result.
    url: URL!
}

# A list of search filters along with their specific options in value and label pair for filtering.
type SearchFilterOptions {
    # A list of options that can be use to filter product availability.
    productAvailability: [FilterOption!]!
}

# A saved search is a representation of a search query saved in the admin.
type SavedSearch implements LegacyInteroperability&Node {
    # The filters of a saved search.
    filters: [SearchFilter!]!

    # A globally-unique identifier.
    id: ID!

    # The ID of the corresponding resource in the REST Admin API.
    legacyResourceId: UnsignedInt64!

    # The name of a saved search.
    name: String!

    # The query string of a saved search. This includes search terms and filters.
    query: String!

    # The type of resource this saved search is searching in.
    resourceType: SearchResultType!

    # The search terms of a saved search.
    searchTerms: String!
}

# A filter in a search query represented by a key value pair.
type SearchFilter {
    # The key of the search filter.
    key: String!

    # The value of the search filter.
    value: String!
}

# A filter option is one possible value in a search filter.
type FilterOption {
    # The filter option's label for display purposes.
    label: String!

    # The filter option's value.
    value: String!
}

# An auto-generated type for paginating through multiple AppRevenueAttributionRecords.
type AppRevenueAttributionRecordConnection {
    # A list of edges.
    edges: [AppRevenueAttributionRecordEdge!]!

    # A list of the nodes contained in AppRevenueAttributionRecordEdge.
    nodes: [AppRevenueAttributionRecord!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one AppRevenueAttributionRecord and a cursor during pagination.
type AppRevenueAttributionRecordEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of AppRevenueAttributionRecordEdge.
    node: AppRevenueAttributionRecord!
}

# An auto-generated type for paginating through multiple AppUsageRecords.
type AppUsageRecordConnection {
    # A list of edges.
    edges: [AppUsageRecordEdge!]!

    # A list of the nodes contained in AppUsageRecordEdge.
    nodes: [AppUsageRecord!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one AppUsageRecord and a cursor during pagination.
type AppUsageRecordEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of AppUsageRecordEdge.
    node: AppUsageRecord!
}

# The connection type for SearchResult.
type SearchResultConnection {
    # A list of edges.
    edges: [SearchResultEdge!]!

    # Information to aid in pagination.
    pageInfo: PageInfo!
}

# An auto-generated type which holds one SearchResult and a cursor during pagination.
type SearchResultEdge {
    # A cursor for use in pagination.
    cursor: String!

    # The item at the end of SearchResultEdge.
    node: SearchResult!
}
`, BuiltIn: false},
	{Name: "../../../ext/translation.graphql", Input: `# Published translation of a field of a resource.
type PublishedTranslation {
    # The resource field that is being translated.
    key: String!

    # The locale of this translation.
    locale: String!

    # The ID of the market that the translation is specific to. Null value means the translation is available in any market.
    marketId: ID

    # The translation value.
    value: String
}
`, BuiltIn: false},
	{Name: "../../../ext/union.graphql", Input: `# The main embed of a comment event.
union CommentEventEmbed = Customer | DraftOrder | Order | Product | ProductVariant

union MetafieldReference = Collection | GenericFile | MediaImage | OnlineStorePage | Product | ProductVariant | Video

union PricingValue = MoneyV2 | PricingPercentageValue

# A rate provided by a merchant-defined rate or a participant.
union DeliveryRateProvider = DeliveryParticipant | DeliveryRateDefinition

# The value (weight or price) that the condition field is compared to.
union DeliveryConditionCriteria = MoneyV2 | Weight

# Represents information about the purchasing entity for the order or draft order.
union PurchasingEntity = Customer | PurchasingCompany

# Represents the billing frequency associated to the selling plan (for example, bill every week, or bill every three months).
# The selling plan billing policy and associated records (selling plan groups, selling plans, pricing policies, and delivery policy)
# are deleted 48 hours after a merchant uninstalls their subscriptions app.
# We recommend backing up these records if you need to restore them later.
union SellingPlanBillingPolicy = SellingPlanFixedBillingPolicy | SellingPlanRecurringBillingPolicy

# Represents the delivery frequency associated to the selling plan (for example, deliver every month, or deliver every other week).
# The selling plan delivery policy and associated records (selling plan groups, selling plans, pricing policies, and billing policy)
# are deleted 48 hours after a merchant uninstalls their subscriptions app.
# We recommend backing up these records if you need to restore them later.
union SellingPlanDeliveryPolicy = SellingPlanFixedDeliveryPolicy | SellingPlanRecurringDeliveryPolicy

# The portion of the price to be charged at checkout.
union SellingPlanCheckoutChargeValue = MoneyV2 | SellingPlanCheckoutChargePercentageValue

# Represents the type of pricing associated to the selling plan (for example, a $10 or 20% discount that is set
# for a limited period or that is fixed for the duration of the subscription). Selling plan pricing policies and
# associated records (selling plan groups, selling plans, billing policy, and delivery policy)
# are deleted 48 hours after a merchant uninstalls their subscriptions app.
# We recommend backing up these records if you need to restore them later.
union SellingPlanPricingPolicy = SellingPlanFixedPricingPolicy | SellingPlanRecurringPricingPolicy

# The information about the price that's charged to a shop every plan period.
# The concrete type can be AppRecurringPricing for recurring billing or AppUsagePricing for usage-based billing.
union AppPricingDetails = AppRecurringPricing | AppUsagePricing

# The value of the discount.
union AppSubscriptionDiscountValue = AppSubscriptionDiscountAmount | AppSubscriptionDiscountPercentage

# All possible instruments for CustomerPaymentMethods.
union CustomerPaymentInstrument = CustomerCreditCard | CustomerPaypalBillingAgreement | CustomerShopPayAgreement

# Describes the delivery method to use to get the physical goods to the customer.
union SubscriptionDeliveryMethod = SubscriptionDeliveryMethodLocalDelivery | SubscriptionDeliveryMethodPickup | SubscriptionDeliveryMethodShipping

# Represents a selling plan pricing policy adjustment value type.
union SellingPlanPricingPolicyAdjustmentValue = MoneyV2 | SellingPlanPricingPolicyPercentageValue

# Subscription draft discount types.
union SubscriptionDiscount = SubscriptionAppliedCodeDiscount | SubscriptionManualDiscount

# The value of the discount and how it will be applied.
union SubscriptionDiscountValue = SubscriptionDiscountFixedAmountValue | SubscriptionDiscountPercentageValue

# All possible instrument outputs for Payment Mandates.
union PaymentInstrument = VaultCreditCard | VaultPaypalBillingAgreement
`, BuiltIn: false},
	{Name: "../../../federation/directives.graphql", Input: `
	scalar _Any
	scalar _FieldSet

	directive @external on FIELD_DEFINITION
	directive @requires(fields: _FieldSet!) on FIELD_DEFINITION
	directive @provides(fields: _FieldSet!) on FIELD_DEFINITION
	directive @extends on OBJECT | INTERFACE

	directive @key(fields: _FieldSet!, resolvable: Boolean = true) repeatable on OBJECT | INTERFACE
	directive @link(import: [String!], url: String!) repeatable on SCHEMA
	directive @shareable on OBJECT | FIELD_DEFINITION
	directive @tag(name: String!) repeatable on FIELD_DEFINITION | INTERFACE | OBJECT | UNION | ARGUMENT_DEFINITION | SCALAR | ENUM | ENUM_VALUE | INPUT_OBJECT | INPUT_FIELD_DEFINITION
	directive @override(from: String!) on FIELD_DEFINITION
	directive @inaccessible on SCALAR | OBJECT | FIELD_DEFINITION | ARGUMENT_DEFINITION | INTERFACE | UNION | ENUM | ENUM_VALUE | INPUT_OBJECT | INPUT_FIELD_DEFINITION
`, BuiltIn: true},
	{Name: "../../../federation/entity.graphql", Input: `
# a union of all types that use the @key directive
union _Entity = App | Collection | Customer | DraftOrder | FulfillmentService | InventoryLevel | Market | MarketWebPresence | Order | Product | ProductVariant

# fake type to build resolver interfaces for users to implement
type Entity {
		findDraftOrderByID(id: ID!,): DraftOrder!
	findOrderByID(id: ID!,): Order!

}

type _Service {
  sdl: String
}

extend type Query {
  _entities(representations: [_Any!]!): [_Entity]!
  _service: _Service!
}
`, BuiltIn: true},
}
var parsedSchema = gqlparser.MustLoadSchema(sources...)

// endregion ************************** generated!.gotpl **************************

// region    ***************************** args.gotpl *****************************

func (ec *executionContext) dir_inContext_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *LanguageCode
	if tmp, ok := rawArgs["language"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("language"))
		arg0, err = ec.unmarshalOLanguageCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLanguageCode(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["language"] = arg0
	var arg1 *CountryCode
	if tmp, ok := rawArgs["country"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("country"))
		arg1, err = ec.unmarshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["country"] = arg1
	return args, nil
}

func (ec *executionContext) field_AppInstallation_allSubscriptions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *AppSubscriptionSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOAppSubscriptionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_AppInstallation_credits_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *AppTransactionSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOAppTransactionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppTransactionSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_AppInstallation_metafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_AppInstallation_metafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_AppInstallation_oneTimePurchases_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *AppTransactionSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOAppTransactionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppTransactionSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_AppInstallation_privateMetafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_AppInstallation_privateMetafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_AppInstallation_revenueAttributionRecords_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *AppRevenueAttributionRecordSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOAppRevenueAttributionRecordSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_AppSubscriptionLineItem_usageRecords_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *AppUsageRecordSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOAppUsageRecordSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_CompanyContact_draftOrders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *DraftOrderSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalODraftOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_CompanyContact_orders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *OrderSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_CompanyContact_roleAssignments_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *CompanyContactRoleAssignmentSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOCompanyContactRoleAssignmentSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_CompanyLocation_draftOrders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *DraftOrderSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalODraftOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_CompanyLocation_events_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *EventSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_CompanyLocation_orders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *OrderSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_CompanyLocation_roleAssignments_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *CompanyContactRoleAssignmentSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOCompanyContactRoleAssignmentSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_Company_contactRoles_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *CompanyContactRoleSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOCompanyContactRoleSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_Company_contacts_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *CompanyContactSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOCompanyContactSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_Company_draftOrders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *DraftOrderSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalODraftOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_Company_events_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *EventSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_Company_locations_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *CompanyLocationSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOCompanyLocationSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_Company_orders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *OrderSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_CustomerJourneySummary_moments_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_CustomerPaymentMethod_subscriptionContracts_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_DeliveryCarrierService_availableServicesForCountries_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 []string
	if tmp, ok := rawArgs["origins"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("origins"))
		arg0, err = ec.unmarshalOID2ᚕstringᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["origins"] = arg0
	var arg1 []CountryCode
	if tmp, ok := rawArgs["countryCodes"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("countryCodes"))
		arg1, err = ec.unmarshalOCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["countryCodes"] = arg1
	var arg2 bool
	if tmp, ok := rawArgs["restOfWorld"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("restOfWorld"))
		arg2, err = ec.unmarshalNBoolean2bool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["restOfWorld"] = arg2
	return args, nil
}

func (ec *executionContext) field_DeliveryLocationGroupZone_methodDefinitions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *bool
	if tmp, ok := rawArgs["eligible"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("eligible"))
		arg0, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["eligible"] = arg0
	var arg1 *DeliveryMethodDefinitionType
	if tmp, ok := rawArgs["type"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("type"))
		arg1, err = ec.unmarshalODeliveryMethodDefinitionType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionType(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["type"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg3
	var arg4 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg4, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg5
	var arg6 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg6, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg6
	var arg7 *MethodDefinitionSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg7, err = ec.unmarshalOMethodDefinitionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMethodDefinitionSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg7
	return args, nil
}

func (ec *executionContext) field_DeliveryLocationGroup_locations_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *LocationSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOLocationSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	var arg7 *bool
	if tmp, ok := rawArgs["includeLegacy"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("includeLegacy"))
		arg7, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["includeLegacy"] = arg7
	var arg8 *bool
	if tmp, ok := rawArgs["includeInactive"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("includeInactive"))
		arg8, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["includeInactive"] = arg8
	return args, nil
}

func (ec *executionContext) field_DeliveryProfileItem_variants_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_DeliveryProfileLocationGroup_locationGroupZones_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_DeliveryProfile_profileItems_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_DeliveryProfile_sellingPlanGroups_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_DraftOrder_events_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *EventSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_DraftOrder_lineItems_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_DraftOrder_localizationExtensions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 []CountryCode
	if tmp, ok := rawArgs["countryCodes"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("countryCodes"))
		arg0, err = ec.unmarshalOCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["countryCodes"] = arg0
	var arg1 []LocalizationExtensionPurpose
	if tmp, ok := rawArgs["purposes"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("purposes"))
		arg1, err = ec.unmarshalOLocalizationExtensionPurpose2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurposeᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["purposes"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg3
	var arg4 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg4, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg5
	var arg6 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg6, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg6
	return args, nil
}

func (ec *executionContext) field_DraftOrder_metafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_DraftOrder_metafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_DraftOrder_privateMetafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_DraftOrder_privateMetafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Entity_findDraftOrderByID_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["id"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("id"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["id"] = arg0
	return args, nil
}

func (ec *executionContext) field_Entity_findOrderByID_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["id"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("id"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["id"] = arg0
	return args, nil
}

func (ec *executionContext) field_FulfillmentOrder_fulfillments_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_FulfillmentOrder_lineItems_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_FulfillmentOrder_locationsForMove_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_FulfillmentOrder_merchantRequests_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *FulfillmentOrderMerchantRequestKind
	if tmp, ok := rawArgs["kind"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("kind"))
		arg0, err = ec.unmarshalOFulfillmentOrderMerchantRequestKind2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestKind(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["kind"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Fulfillment_events_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *FulfillmentEventSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOFulfillmentEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	return args, nil
}

func (ec *executionContext) field_Fulfillment_fulfillmentLineItems_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Fulfillment_fulfillmentOrders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Fulfillment_trackingInfo_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	return args, nil
}

func (ec *executionContext) field_Image_metafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_Image_metafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Image_privateMetafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_Image_privateMetafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Image_url_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *ImageTransformInput
	if tmp, ok := rawArgs["transform"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("transform"))
		arg0, err = ec.unmarshalOImageTransformInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageTransformInput(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["transform"] = arg0
	return args, nil
}

func (ec *executionContext) field_InventoryItem_countryHarmonizedSystemCodes_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_InventoryItem_inventoryLevel_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["locationId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("locationId"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["locationId"] = arg0
	return args, nil
}

func (ec *executionContext) field_InventoryItem_inventoryLevels_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg5
	return args, nil
}

func (ec *executionContext) field_LineItem_taxLines_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	return args, nil
}

func (ec *executionContext) field_Link_translations_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["locale"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("locale"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["locale"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["marketId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("marketId"))
		arg1, err = ec.unmarshalOID2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["marketId"] = arg1
	return args, nil
}

func (ec *executionContext) field_Location_inventoryLevel_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["inventoryItemId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("inventoryItemId"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["inventoryItemId"] = arg0
	return args, nil
}

func (ec *executionContext) field_Location_inventoryLevels_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg5
	return args, nil
}

func (ec *executionContext) field_Location_metafieldDefinitions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *MetafieldDefinitionPinnedStatus
	if tmp, ok := rawArgs["pinnedStatus"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("pinnedStatus"))
		arg1, err = ec.unmarshalOMetafieldDefinitionPinnedStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionPinnedStatus(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["pinnedStatus"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg3
	var arg4 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg4, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg5
	var arg6 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg6, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg6
	var arg7 *MetafieldDefinitionSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg7, err = ec.unmarshalOMetafieldDefinitionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg7
	var arg8 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg8, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg8
	return args, nil
}

func (ec *executionContext) field_Location_metafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_Location_metafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Location_privateMetafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_Location_privateMetafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_MetafieldDefinition_metafieldsCount_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *MetafieldValidationStatus
	if tmp, ok := rawArgs["validationStatus"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("validationStatus"))
		arg0, err = ec.unmarshalOMetafieldValidationStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldValidationStatus(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["validationStatus"] = arg0
	return args, nil
}

func (ec *executionContext) field_MetafieldDefinition_metafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *MetafieldValidationStatus
	if tmp, ok := rawArgs["validationStatus"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("validationStatus"))
		arg0, err = ec.unmarshalOMetafieldValidationStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldValidationStatus(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["validationStatus"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Metafield_references_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	return args, nil
}

func (ec *executionContext) field_OnlineStorePage_translations_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["locale"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("locale"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["locale"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["marketId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("marketId"))
		arg1, err = ec.unmarshalOID2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["marketId"] = arg1
	return args, nil
}

func (ec *executionContext) field_Order_agreements_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg5
	return args, nil
}

func (ec *executionContext) field_Order_discountApplications_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Order_events_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	var arg5 *EventSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg5, err = ec.unmarshalOEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_Order_fulfillmentOrders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *bool
	if tmp, ok := rawArgs["displayable"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("displayable"))
		arg0, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["displayable"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	var arg6 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg6, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg6
	return args, nil
}

func (ec *executionContext) field_Order_fulfillments_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	return args, nil
}

func (ec *executionContext) field_Order_lineItems_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Order_localizationExtensions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 []CountryCode
	if tmp, ok := rawArgs["countryCodes"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("countryCodes"))
		arg0, err = ec.unmarshalOCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["countryCodes"] = arg0
	var arg1 []LocalizationExtensionPurpose
	if tmp, ok := rawArgs["purposes"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("purposes"))
		arg1, err = ec.unmarshalOLocalizationExtensionPurpose2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurposeᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["purposes"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg3
	var arg4 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg4, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg5
	var arg6 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg6, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg6
	return args, nil
}

func (ec *executionContext) field_Order_metafieldDefinitions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *MetafieldDefinitionPinnedStatus
	if tmp, ok := rawArgs["pinnedStatus"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("pinnedStatus"))
		arg1, err = ec.unmarshalOMetafieldDefinitionPinnedStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionPinnedStatus(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["pinnedStatus"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg3
	var arg4 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg4, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg4
	var arg5 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg5, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg5
	var arg6 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg6, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg6
	var arg7 *MetafieldDefinitionSortKeys
	if tmp, ok := rawArgs["sortKey"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("sortKey"))
		arg7, err = ec.unmarshalOMetafieldDefinitionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSortKeys(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["sortKey"] = arg7
	var arg8 *string
	if tmp, ok := rawArgs["query"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("query"))
		arg8, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["query"] = arg8
	return args, nil
}

func (ec *executionContext) field_Order_metafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_Order_metafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Order_nonFulfillableLineItems_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Order_privateMetafield_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 string
	if tmp, ok := rawArgs["key"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
		arg1, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["key"] = arg1
	return args, nil
}

func (ec *executionContext) field_Order_privateMetafields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["namespace"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
		arg0, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["namespace"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Order_refunds_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	return args, nil
}

func (ec *executionContext) field_Order_risks_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	return args, nil
}

func (ec *executionContext) field_Order_shippingLines_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Order_suggestedRefund_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["shippingAmount"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("shippingAmount"))
		arg0, err = ec.unmarshalOMoney2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["shippingAmount"] = arg0
	var arg1 *bool
	if tmp, ok := rawArgs["refundShipping"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("refundShipping"))
		arg1, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["refundShipping"] = arg1
	var arg2 []*RefundLineItemInput
	if tmp, ok := rawArgs["refundLineItems"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("refundLineItems"))
		arg2, err = ec.unmarshalORefundLineItemInput2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemInputᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["refundLineItems"] = arg2
	var arg3 []*RefundDutyInput
	if tmp, ok := rawArgs["refundDuties"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("refundDuties"))
		arg3, err = ec.unmarshalORefundDutyInput2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyInputᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["refundDuties"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["suggestFullRefund"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("suggestFullRefund"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["suggestFullRefund"] = arg4
	return args, nil
}

func (ec *executionContext) field_Order_transactions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *bool
	if tmp, ok := rawArgs["capturable"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("capturable"))
		arg1, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["capturable"] = arg1
	var arg2 *bool
	if tmp, ok := rawArgs["manuallyResolvable"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("manuallyResolvable"))
		arg2, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["manuallyResolvable"] = arg2
	return args, nil
}

func (ec *executionContext) field_PaymentTerms_paymentSchedules_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_PriceList_prices_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *PriceListPriceOriginType
	if tmp, ok := rawArgs["originType"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("originType"))
		arg0, err = ec.unmarshalOPriceListPriceOriginType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceOriginType(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["originType"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_Publication_collectionPublicationsV3_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Publication_collections_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Publication_hasCollection_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["id"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("id"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["id"] = arg0
	return args, nil
}

func (ec *executionContext) field_Publication_productPublicationsV3_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Publication_products_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Query___type_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["name"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("name"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["name"] = arg0
	return args, nil
}

func (ec *executionContext) field_Query__entities_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 []map[string]interface{}
	if tmp, ok := rawArgs["representations"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("representations"))
		arg0, err = ec.unmarshalN_Any2ᚕmapᚄ(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["representations"] = arg0
	return args, nil
}

func (ec *executionContext) field_Refund_refundLineItems_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_Refund_transactions_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_SellingPlanGroup_appliesToProductVariant_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["productVariantId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("productVariantId"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["productVariantId"] = arg0
	return args, nil
}

func (ec *executionContext) field_SellingPlanGroup_appliesToProductVariants_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["productId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("productId"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["productId"] = arg0
	return args, nil
}

func (ec *executionContext) field_SellingPlanGroup_appliesToProduct_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["productId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("productId"))
		arg0, err = ec.unmarshalNID2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["productId"] = arg0
	return args, nil
}

func (ec *executionContext) field_SellingPlanGroup_productVariantCount_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["productId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("productId"))
		arg0, err = ec.unmarshalOID2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["productId"] = arg0
	return args, nil
}

func (ec *executionContext) field_SellingPlanGroup_productVariants_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *string
	if tmp, ok := rawArgs["productId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("productId"))
		arg0, err = ec.unmarshalOID2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["productId"] = arg0
	var arg1 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg1, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg1
	var arg2 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg2, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg2
	var arg3 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg3, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg3
	var arg4 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg4, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg4
	var arg5 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg5, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg5
	return args, nil
}

func (ec *executionContext) field_SellingPlanGroup_products_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_SellingPlanGroup_sellingPlans_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_ShopPolicy_translations_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 string
	if tmp, ok := rawArgs["locale"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("locale"))
		arg0, err = ec.unmarshalNString2string(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["locale"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["marketId"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("marketId"))
		arg1, err = ec.unmarshalOID2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["marketId"] = arg1
	return args, nil
}

func (ec *executionContext) field_StaffMember_avatar_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *StaffMemberDefaultImage
	if tmp, ok := rawArgs["fallback"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("fallback"))
		arg0, err = ec.unmarshalOStaffMemberDefaultImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberDefaultImage(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["fallback"] = arg0
	return args, nil
}

func (ec *executionContext) field_SubscriptionContract_billingAttempts_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_SubscriptionContract_customerPaymentMethod_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *bool
	if tmp, ok := rawArgs["showRevoked"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("showRevoked"))
		arg0, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["showRevoked"] = arg0
	return args, nil
}

func (ec *executionContext) field_SubscriptionContract_discounts_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_SubscriptionContract_lines_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_SubscriptionContract_orders_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field_SubscriptionDiscountEntitledLines_lines_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 *int
	if tmp, ok := rawArgs["first"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("first"))
		arg0, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["first"] = arg0
	var arg1 *string
	if tmp, ok := rawArgs["after"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("after"))
		arg1, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["after"] = arg1
	var arg2 *int
	if tmp, ok := rawArgs["last"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("last"))
		arg2, err = ec.unmarshalOInt2ᚖint(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["last"] = arg2
	var arg3 *string
	if tmp, ok := rawArgs["before"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("before"))
		arg3, err = ec.unmarshalOString2ᚖstring(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["before"] = arg3
	var arg4 *bool
	if tmp, ok := rawArgs["reverse"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("reverse"))
		arg4, err = ec.unmarshalOBoolean2ᚖbool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["reverse"] = arg4
	return args, nil
}

func (ec *executionContext) field___Type_enumValues_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 bool
	if tmp, ok := rawArgs["includeDeprecated"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("includeDeprecated"))
		arg0, err = ec.unmarshalOBoolean2bool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["includeDeprecated"] = arg0
	return args, nil
}

func (ec *executionContext) field___Type_fields_args(ctx context.Context, rawArgs map[string]interface{}) (map[string]interface{}, error) {
	var err error
	args := map[string]interface{}{}
	var arg0 bool
	if tmp, ok := rawArgs["includeDeprecated"]; ok {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("includeDeprecated"))
		arg0, err = ec.unmarshalOBoolean2bool(ctx, tmp)
		if err != nil {
			return nil, err
		}
	}
	args["includeDeprecated"] = arg0
	return args, nil
}

// endregion ***************************** args.gotpl *****************************

// region    ************************** directives.gotpl **************************

func (ec *executionContext) _queryMiddleware(ctx context.Context, obj *ast.OperationDefinition, next func(ctx context.Context) (interface{}, error)) graphql.Marshaler {

	for _, d := range obj.Directives {
		switch d.Name {
		case "inContext":
			rawArgs := d.ArgumentMap(ec.Variables)
			args, err := ec.dir_inContext_args(ctx, rawArgs)
			if err != nil {
				ec.Error(ctx, err)
				return graphql.Null
			}
			n := next
			next = func(ctx context.Context) (interface{}, error) {
				if ec.directives.InContext == nil {
					return nil, errors.New("directive inContext is not implemented")
				}
				return ec.directives.InContext(ctx, obj, n, args["language"].(*LanguageCode), args["country"].(*CountryCode))
			}
		}
	}
	tmp, err := next(ctx)
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if data, ok := tmp.(graphql.Marshaler); ok {
		return data
	}
	ec.Errorf(ctx, `unexpected type %T from directive, should be graphql.Marshaler`, tmp)
	return graphql.Null

}

func (ec *executionContext) _mutationMiddleware(ctx context.Context, obj *ast.OperationDefinition, next func(ctx context.Context) (interface{}, error)) graphql.Marshaler {

	for _, d := range obj.Directives {
		switch d.Name {
		case "inContext":
			rawArgs := d.ArgumentMap(ec.Variables)
			args, err := ec.dir_inContext_args(ctx, rawArgs)
			if err != nil {
				ec.Error(ctx, err)
				return graphql.Null
			}
			n := next
			next = func(ctx context.Context) (interface{}, error) {
				if ec.directives.InContext == nil {
					return nil, errors.New("directive inContext is not implemented")
				}
				return ec.directives.InContext(ctx, obj, n, args["language"].(*LanguageCode), args["country"].(*CountryCode))
			}
		}
	}
	tmp, err := next(ctx)
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if data, ok := tmp.(graphql.Marshaler); ok {
		return data
	}
	ec.Errorf(ctx, `unexpected type %T from directive, should be graphql.Marshaler`, tmp)
	return graphql.Null

}

// endregion ************************** directives.gotpl **************************

// region    **************************** field.gotpl *****************************

func (ec *executionContext) _AccessScope_description(ctx context.Context, field graphql.CollectedField, obj *AccessScope) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AccessScope_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AccessScope_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AccessScope",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AccessScope_handle(ctx context.Context, field graphql.CollectedField, obj *AccessScope) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AccessScope_handle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Handle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AccessScope_handle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AccessScope",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _App_id(ctx context.Context, field graphql.CollectedField, obj *App) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_App_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_App_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "App",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppConnection_edges(ctx context.Context, field graphql.CollectedField, obj *AppConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppEdge)
	fc.Result = res
	return ec.marshalNAppEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_AppEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_AppEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *AppConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*App)
	fc.Result = res
	return ec.marshalNApp2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *AppConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCredit_amount(ctx context.Context, field graphql.CollectedField, obj *AppCredit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCredit_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCredit_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCredit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCredit_createdAt(ctx context.Context, field graphql.CollectedField, obj *AppCredit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCredit_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCredit_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCredit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCredit_description(ctx context.Context, field graphql.CollectedField, obj *AppCredit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCredit_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCredit_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCredit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCredit_id(ctx context.Context, field graphql.CollectedField, obj *AppCredit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCredit_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCredit_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCredit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCredit_test(ctx context.Context, field graphql.CollectedField, obj *AppCredit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCredit_test(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Test, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCredit_test(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCredit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCreditConnection_edges(ctx context.Context, field graphql.CollectedField, obj *AppCreditConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCreditConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppCreditEdge)
	fc.Result = res
	return ec.marshalNAppCreditEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCreditConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCreditConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_AppCreditEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_AppCreditEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppCreditEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCreditConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *AppCreditConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCreditConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppCredit)
	fc.Result = res
	return ec.marshalNAppCredit2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCreditConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCreditConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_AppCredit_amount(ctx, field)
			case "createdAt":
				return ec.fieldContext_AppCredit_createdAt(ctx, field)
			case "description":
				return ec.fieldContext_AppCredit_description(ctx, field)
			case "id":
				return ec.fieldContext_AppCredit_id(ctx, field)
			case "test":
				return ec.fieldContext_AppCredit_test(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppCredit", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCreditConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *AppCreditConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCreditConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCreditConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCreditConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCreditEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *AppCreditEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCreditEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCreditEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCreditEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppCreditEdge_node(ctx context.Context, field graphql.CollectedField, obj *AppCreditEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppCreditEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppCredit)
	fc.Result = res
	return ec.marshalNAppCredit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCredit(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppCreditEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppCreditEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_AppCredit_amount(ctx, field)
			case "createdAt":
				return ec.fieldContext_AppCredit_createdAt(ctx, field)
			case "description":
				return ec.fieldContext_AppCredit_description(ctx, field)
			case "id":
				return ec.fieldContext_AppCredit_id(ctx, field)
			case "test":
				return ec.fieldContext_AppCredit_test(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppCredit", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *AppEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppEdge_node(ctx context.Context, field graphql.CollectedField, obj *AppEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*App)
	fc.Result = res
	return ec.marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppFeedback_app(ctx context.Context, field graphql.CollectedField, obj *AppFeedback) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppFeedback_app(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.App, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*App)
	fc.Result = res
	return ec.marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppFeedback_app(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppFeedback",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppFeedback_link(ctx context.Context, field graphql.CollectedField, obj *AppFeedback) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppFeedback_link(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Link, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Link)
	fc.Result = res
	return ec.marshalOLink2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLink(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppFeedback_link(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppFeedback",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "label":
				return ec.fieldContext_Link_label(ctx, field)
			case "translations":
				return ec.fieldContext_Link_translations(ctx, field)
			case "url":
				return ec.fieldContext_Link_url(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Link", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppFeedback_messages(ctx context.Context, field graphql.CollectedField, obj *AppFeedback) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppFeedback_messages(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Messages, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*UserError)
	fc.Result = res
	return ec.marshalNUserError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐUserErrorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppFeedback_messages(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppFeedback",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "field":
				return ec.fieldContext_UserError_field(ctx, field)
			case "message":
				return ec.fieldContext_UserError_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type UserError", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_accessScopes(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_accessScopes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AccessScopes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AccessScope)
	fc.Result = res
	return ec.marshalNAccessScope2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAccessScopeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_accessScopes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_AccessScope_description(ctx, field)
			case "handle":
				return ec.fieldContext_AccessScope_handle(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AccessScope", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_activeSubscriptions(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_activeSubscriptions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ActiveSubscriptions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppSubscription)
	fc.Result = res
	return ec.marshalNAppSubscription2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_activeSubscriptions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_AppSubscription_createdAt(ctx, field)
			case "currentPeriodEnd":
				return ec.fieldContext_AppSubscription_currentPeriodEnd(ctx, field)
			case "id":
				return ec.fieldContext_AppSubscription_id(ctx, field)
			case "lineItems":
				return ec.fieldContext_AppSubscription_lineItems(ctx, field)
			case "name":
				return ec.fieldContext_AppSubscription_name(ctx, field)
			case "returnUrl":
				return ec.fieldContext_AppSubscription_returnUrl(ctx, field)
			case "status":
				return ec.fieldContext_AppSubscription_status(ctx, field)
			case "test":
				return ec.fieldContext_AppSubscription_test(ctx, field)
			case "trialDays":
				return ec.fieldContext_AppSubscription_trialDays(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscription", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_allSubscriptions(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_allSubscriptions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AllSubscriptions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppSubscriptionConnection)
	fc.Result = res
	return ec.marshalNAppSubscriptionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_allSubscriptions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_AppSubscriptionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_AppSubscriptionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_AppSubscriptionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscriptionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_allSubscriptions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_app(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_app(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.App, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*App)
	fc.Result = res
	return ec.marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_app(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_credits(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_credits(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Credits, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppCreditConnection)
	fc.Result = res
	return ec.marshalNAppCreditConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_credits(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_AppCreditConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_AppCreditConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_AppCreditConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppCreditConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_credits_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_id(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_launchUrl(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_launchUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LaunchURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_launchUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_metafield(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_metafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Metafield)
	fc.Result = res
	return ec.marshalOMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_metafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Metafield_createdAt(ctx, field)
			case "definition":
				return ec.fieldContext_Metafield_definition(ctx, field)
			case "description":
				return ec.fieldContext_Metafield_description(ctx, field)
			case "id":
				return ec.fieldContext_Metafield_id(ctx, field)
			case "key":
				return ec.fieldContext_Metafield_key(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Metafield_legacyResourceId(ctx, field)
			case "namespace":
				return ec.fieldContext_Metafield_namespace(ctx, field)
			case "owner":
				return ec.fieldContext_Metafield_owner(ctx, field)
			case "ownerType":
				return ec.fieldContext_Metafield_ownerType(ctx, field)
			case "reference":
				return ec.fieldContext_Metafield_reference(ctx, field)
			case "references":
				return ec.fieldContext_Metafield_references(ctx, field)
			case "type":
				return ec.fieldContext_Metafield_type(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Metafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_Metafield_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Metafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_metafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_metafields(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_metafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldConnection)
	fc.Result = res
	return ec.marshalNMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_metafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_metafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_oneTimePurchases(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_oneTimePurchases(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OneTimePurchases, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppPurchaseOneTimeConnection)
	fc.Result = res
	return ec.marshalNAppPurchaseOneTimeConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_oneTimePurchases(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_AppPurchaseOneTimeConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_AppPurchaseOneTimeConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_AppPurchaseOneTimeConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppPurchaseOneTimeConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_oneTimePurchases_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_privateMetafield(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_privateMetafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafield)
	fc.Result = res
	return ec.marshalOPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_privateMetafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_PrivateMetafield_id(ctx, field)
			case "key":
				return ec.fieldContext_PrivateMetafield_key(ctx, field)
			case "namespace":
				return ec.fieldContext_PrivateMetafield_namespace(ctx, field)
			case "updatedAt":
				return ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_PrivateMetafield_value(ctx, field)
			case "valueType":
				return ec.fieldContext_PrivateMetafield_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_privateMetafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_privateMetafields(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_privateMetafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafieldConnection)
	fc.Result = res
	return ec.marshalNPrivateMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_privateMetafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_PrivateMetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_PrivateMetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_PrivateMetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_privateMetafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_publication(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_publication(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Publication, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Publication)
	fc.Result = res
	return ec.marshalOPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_publication(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_Publication_app(ctx, field)
			case "collectionPublicationsV3":
				return ec.fieldContext_Publication_collectionPublicationsV3(ctx, field)
			case "collections":
				return ec.fieldContext_Publication_collections(ctx, field)
			case "hasCollection":
				return ec.fieldContext_Publication_hasCollection(ctx, field)
			case "id":
				return ec.fieldContext_Publication_id(ctx, field)
			case "name":
				return ec.fieldContext_Publication_name(ctx, field)
			case "productPublicationsV3":
				return ec.fieldContext_Publication_productPublicationsV3(ctx, field)
			case "products":
				return ec.fieldContext_Publication_products(ctx, field)
			case "supportsFuturePublishing":
				return ec.fieldContext_Publication_supportsFuturePublishing(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Publication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_revenueAttributionRecords(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_revenueAttributionRecords(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RevenueAttributionRecords, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppRevenueAttributionRecordConnection)
	fc.Result = res
	return ec.marshalNAppRevenueAttributionRecordConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_revenueAttributionRecords(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_AppRevenueAttributionRecordConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_AppRevenueAttributionRecordConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_AppRevenueAttributionRecordConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppRevenueAttributionRecordConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppInstallation_revenueAttributionRecords_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppInstallation_uninstallUrl(ctx context.Context, field graphql.CollectedField, obj *AppInstallation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppInstallation_uninstallUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UninstallURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppInstallation_uninstallUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppInstallation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPlanV2_pricingDetails(ctx context.Context, field graphql.CollectedField, obj *AppPlanV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPlanV2_pricingDetails(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PricingDetails, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(AppPricingDetails)
	fc.Result = res
	return ec.marshalNAppPricingDetails2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPricingDetails(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPlanV2_pricingDetails(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPlanV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type AppPricingDetails does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTime_createdAt(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTime) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTime_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTime_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTime",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTime_id(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTime) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTime_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTime_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTime",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTime_name(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTime) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTime_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTime_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTime",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTime_price(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTime) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTime_price(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Price, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTime_price(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTime",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTime_status(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTime) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTime_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(AppPurchaseStatus)
	fc.Result = res
	return ec.marshalNAppPurchaseStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTime_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTime",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type AppPurchaseStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTime_test(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTime) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTime_test(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Test, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTime_test(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTime",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTimeConnection_edges(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTimeConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTimeConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppPurchaseOneTimeEdge)
	fc.Result = res
	return ec.marshalNAppPurchaseOneTimeEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTimeConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTimeConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_AppPurchaseOneTimeEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_AppPurchaseOneTimeEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppPurchaseOneTimeEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTimeConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTimeConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTimeConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppPurchaseOneTime)
	fc.Result = res
	return ec.marshalNAppPurchaseOneTime2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTimeConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTimeConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_AppPurchaseOneTime_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_AppPurchaseOneTime_id(ctx, field)
			case "name":
				return ec.fieldContext_AppPurchaseOneTime_name(ctx, field)
			case "price":
				return ec.fieldContext_AppPurchaseOneTime_price(ctx, field)
			case "status":
				return ec.fieldContext_AppPurchaseOneTime_status(ctx, field)
			case "test":
				return ec.fieldContext_AppPurchaseOneTime_test(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppPurchaseOneTime", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTimeConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTimeConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTimeConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTimeConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTimeConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTimeEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTimeEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTimeEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTimeEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTimeEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppPurchaseOneTimeEdge_node(ctx context.Context, field graphql.CollectedField, obj *AppPurchaseOneTimeEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppPurchaseOneTimeEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppPurchaseOneTime)
	fc.Result = res
	return ec.marshalNAppPurchaseOneTime2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTime(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppPurchaseOneTimeEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppPurchaseOneTimeEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_AppPurchaseOneTime_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_AppPurchaseOneTime_id(ctx, field)
			case "name":
				return ec.fieldContext_AppPurchaseOneTime_name(ctx, field)
			case "price":
				return ec.fieldContext_AppPurchaseOneTime_price(ctx, field)
			case "status":
				return ec.fieldContext_AppPurchaseOneTime_status(ctx, field)
			case "test":
				return ec.fieldContext_AppPurchaseOneTime_test(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppPurchaseOneTime", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRecurringPricing_discount(ctx context.Context, field graphql.CollectedField, obj *AppRecurringPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRecurringPricing_discount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Discount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*AppSubscriptionDiscount)
	fc.Result = res
	return ec.marshalOAppSubscriptionDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionDiscount(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRecurringPricing_discount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRecurringPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "durationLimitInIntervals":
				return ec.fieldContext_AppSubscriptionDiscount_durationLimitInIntervals(ctx, field)
			case "priceAfterDiscount":
				return ec.fieldContext_AppSubscriptionDiscount_priceAfterDiscount(ctx, field)
			case "remainingDurationInIntervals":
				return ec.fieldContext_AppSubscriptionDiscount_remainingDurationInIntervals(ctx, field)
			case "value":
				return ec.fieldContext_AppSubscriptionDiscount_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscriptionDiscount", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRecurringPricing_interval(ctx context.Context, field graphql.CollectedField, obj *AppRecurringPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRecurringPricing_interval(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Interval, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(AppPricingInterval)
	fc.Result = res
	return ec.marshalNAppPricingInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPricingInterval(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRecurringPricing_interval(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRecurringPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type AppPricingInterval does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRecurringPricing_price(ctx context.Context, field graphql.CollectedField, obj *AppRecurringPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRecurringPricing_price(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Price, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRecurringPricing_price(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRecurringPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecord_amount(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecord_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecord_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecord_capturedAt(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecord_capturedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CapturedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecord_capturedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecord_createdAt(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecord_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecord_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecord_id(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecord_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecord_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecord_idempotencyKey(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecord_idempotencyKey(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IdempotencyKey, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecord_idempotencyKey(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecord_test(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecord_test(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Test, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecord_test(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecord_type(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecord_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(AppRevenueAttributionType)
	fc.Result = res
	return ec.marshalNAppRevenueAttributionType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecord_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type AppRevenueAttributionType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecordConnection_edges(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecordConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecordConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppRevenueAttributionRecordEdge)
	fc.Result = res
	return ec.marshalNAppRevenueAttributionRecordEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecordConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecordConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_AppRevenueAttributionRecordEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_AppRevenueAttributionRecordEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppRevenueAttributionRecordEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecordConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecordConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecordConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppRevenueAttributionRecord)
	fc.Result = res
	return ec.marshalNAppRevenueAttributionRecord2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecordConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecordConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_AppRevenueAttributionRecord_amount(ctx, field)
			case "capturedAt":
				return ec.fieldContext_AppRevenueAttributionRecord_capturedAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_AppRevenueAttributionRecord_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_AppRevenueAttributionRecord_id(ctx, field)
			case "idempotencyKey":
				return ec.fieldContext_AppRevenueAttributionRecord_idempotencyKey(ctx, field)
			case "test":
				return ec.fieldContext_AppRevenueAttributionRecord_test(ctx, field)
			case "type":
				return ec.fieldContext_AppRevenueAttributionRecord_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppRevenueAttributionRecord", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecordConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecordConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecordConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecordConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecordConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecordEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecordEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecordEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecordEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecordEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppRevenueAttributionRecordEdge_node(ctx context.Context, field graphql.CollectedField, obj *AppRevenueAttributionRecordEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppRevenueAttributionRecordEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppRevenueAttributionRecord)
	fc.Result = res
	return ec.marshalNAppRevenueAttributionRecord2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecord(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppRevenueAttributionRecordEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppRevenueAttributionRecordEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_AppRevenueAttributionRecord_amount(ctx, field)
			case "capturedAt":
				return ec.fieldContext_AppRevenueAttributionRecord_capturedAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_AppRevenueAttributionRecord_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_AppRevenueAttributionRecord_id(ctx, field)
			case "idempotencyKey":
				return ec.fieldContext_AppRevenueAttributionRecord_idempotencyKey(ctx, field)
			case "test":
				return ec.fieldContext_AppRevenueAttributionRecord_test(ctx, field)
			case "type":
				return ec.fieldContext_AppRevenueAttributionRecord_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppRevenueAttributionRecord", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_createdAt(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_currentPeriodEnd(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_currentPeriodEnd(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentPeriodEnd, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_currentPeriodEnd(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_id(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_lineItems(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_lineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppSubscriptionLineItem)
	fc.Result = res
	return ec.marshalNAppSubscriptionLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionLineItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_lineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_AppSubscriptionLineItem_id(ctx, field)
			case "plan":
				return ec.fieldContext_AppSubscriptionLineItem_plan(ctx, field)
			case "usageRecords":
				return ec.fieldContext_AppSubscriptionLineItem_usageRecords(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscriptionLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_name(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_returnUrl(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_returnUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ReturnURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_returnUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_status(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(AppSubscriptionStatus)
	fc.Result = res
	return ec.marshalNAppSubscriptionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type AppSubscriptionStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_test(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_test(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Test, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_test(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscription_trialDays(ctx context.Context, field graphql.CollectedField, obj *AppSubscription) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscription_trialDays(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TrialDays, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscription_trialDays(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscription",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionConnection_edges(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppSubscriptionEdge)
	fc.Result = res
	return ec.marshalNAppSubscriptionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_AppSubscriptionEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_AppSubscriptionEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscriptionEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppSubscription)
	fc.Result = res
	return ec.marshalNAppSubscription2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_AppSubscription_createdAt(ctx, field)
			case "currentPeriodEnd":
				return ec.fieldContext_AppSubscription_currentPeriodEnd(ctx, field)
			case "id":
				return ec.fieldContext_AppSubscription_id(ctx, field)
			case "lineItems":
				return ec.fieldContext_AppSubscription_lineItems(ctx, field)
			case "name":
				return ec.fieldContext_AppSubscription_name(ctx, field)
			case "returnUrl":
				return ec.fieldContext_AppSubscription_returnUrl(ctx, field)
			case "status":
				return ec.fieldContext_AppSubscription_status(ctx, field)
			case "test":
				return ec.fieldContext_AppSubscription_test(ctx, field)
			case "trialDays":
				return ec.fieldContext_AppSubscription_trialDays(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscription", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionDiscount_durationLimitInIntervals(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionDiscount_durationLimitInIntervals(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DurationLimitInIntervals, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionDiscount_durationLimitInIntervals(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionDiscount_priceAfterDiscount(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionDiscount_priceAfterDiscount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PriceAfterDiscount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionDiscount_priceAfterDiscount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionDiscount_remainingDurationInIntervals(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionDiscount_remainingDurationInIntervals(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RemainingDurationInIntervals, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionDiscount_remainingDurationInIntervals(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionDiscount_value(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionDiscount_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(AppSubscriptionDiscountValue)
	fc.Result = res
	return ec.marshalNAppSubscriptionDiscountValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionDiscountValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionDiscount_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type AppSubscriptionDiscountValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionDiscountAmount_amount(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionDiscountAmount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionDiscountAmount_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionDiscountAmount_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionDiscountAmount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionDiscountPercentage_percentage(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionDiscountPercentage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionDiscountPercentage_percentage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Percentage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionDiscountPercentage_percentage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionDiscountPercentage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionEdge_node(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppSubscription)
	fc.Result = res
	return ec.marshalNAppSubscription2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscription(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_AppSubscription_createdAt(ctx, field)
			case "currentPeriodEnd":
				return ec.fieldContext_AppSubscription_currentPeriodEnd(ctx, field)
			case "id":
				return ec.fieldContext_AppSubscription_id(ctx, field)
			case "lineItems":
				return ec.fieldContext_AppSubscription_lineItems(ctx, field)
			case "name":
				return ec.fieldContext_AppSubscription_name(ctx, field)
			case "returnUrl":
				return ec.fieldContext_AppSubscription_returnUrl(ctx, field)
			case "status":
				return ec.fieldContext_AppSubscription_status(ctx, field)
			case "test":
				return ec.fieldContext_AppSubscription_test(ctx, field)
			case "trialDays":
				return ec.fieldContext_AppSubscription_trialDays(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscription", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionLineItem_id(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionLineItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionLineItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionLineItem_plan(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionLineItem_plan(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Plan, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppPlanV2)
	fc.Result = res
	return ec.marshalNAppPlanV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPlanV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionLineItem_plan(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "pricingDetails":
				return ec.fieldContext_AppPlanV2_pricingDetails(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppPlanV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppSubscriptionLineItem_usageRecords(ctx context.Context, field graphql.CollectedField, obj *AppSubscriptionLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppSubscriptionLineItem_usageRecords(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UsageRecords, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppUsageRecordConnection)
	fc.Result = res
	return ec.marshalNAppUsageRecordConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppSubscriptionLineItem_usageRecords(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppSubscriptionLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_AppUsageRecordConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_AppUsageRecordConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_AppUsageRecordConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppUsageRecordConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_AppSubscriptionLineItem_usageRecords_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _AppUsagePricing_balanceUsed(ctx context.Context, field graphql.CollectedField, obj *AppUsagePricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsagePricing_balanceUsed(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BalanceUsed, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsagePricing_balanceUsed(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsagePricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsagePricing_cappedAmount(ctx context.Context, field graphql.CollectedField, obj *AppUsagePricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsagePricing_cappedAmount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CappedAmount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsagePricing_cappedAmount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsagePricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsagePricing_interval(ctx context.Context, field graphql.CollectedField, obj *AppUsagePricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsagePricing_interval(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Interval, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(AppPricingInterval)
	fc.Result = res
	return ec.marshalNAppPricingInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPricingInterval(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsagePricing_interval(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsagePricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type AppPricingInterval does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsagePricing_terms(ctx context.Context, field graphql.CollectedField, obj *AppUsagePricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsagePricing_terms(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Terms, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsagePricing_terms(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsagePricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecord_createdAt(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecord_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecord_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecord_description(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecord_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecord_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecord_id(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecord_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecord_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecord_price(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecord_price(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Price, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecord_price(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecord_subscriptionLineItem(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecord) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecord_subscriptionLineItem(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubscriptionLineItem, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppSubscriptionLineItem)
	fc.Result = res
	return ec.marshalNAppSubscriptionLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecord_subscriptionLineItem(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecord",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_AppSubscriptionLineItem_id(ctx, field)
			case "plan":
				return ec.fieldContext_AppSubscriptionLineItem_plan(ctx, field)
			case "usageRecords":
				return ec.fieldContext_AppSubscriptionLineItem_usageRecords(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppSubscriptionLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecordConnection_edges(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecordConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecordConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppUsageRecordEdge)
	fc.Result = res
	return ec.marshalNAppUsageRecordEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecordConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecordConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_AppUsageRecordEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_AppUsageRecordEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppUsageRecordEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecordConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecordConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecordConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppUsageRecord)
	fc.Result = res
	return ec.marshalNAppUsageRecord2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecordConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecordConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_AppUsageRecord_createdAt(ctx, field)
			case "description":
				return ec.fieldContext_AppUsageRecord_description(ctx, field)
			case "id":
				return ec.fieldContext_AppUsageRecord_id(ctx, field)
			case "price":
				return ec.fieldContext_AppUsageRecord_price(ctx, field)
			case "subscriptionLineItem":
				return ec.fieldContext_AppUsageRecord_subscriptionLineItem(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppUsageRecord", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecordConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecordConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecordConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecordConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecordConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecordEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecordEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecordEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecordEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecordEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AppUsageRecordEdge_node(ctx context.Context, field graphql.CollectedField, obj *AppUsageRecordEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AppUsageRecordEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*AppUsageRecord)
	fc.Result = res
	return ec.marshalNAppUsageRecord2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecord(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AppUsageRecordEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AppUsageRecordEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_AppUsageRecord_createdAt(ctx, field)
			case "description":
				return ec.fieldContext_AppUsageRecord_description(ctx, field)
			case "id":
				return ec.fieldContext_AppUsageRecord_id(ctx, field)
			case "price":
				return ec.fieldContext_AppUsageRecord_price(ctx, field)
			case "subscriptionLineItem":
				return ec.fieldContext_AppUsageRecord_subscriptionLineItem(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppUsageRecord", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Attribute_key(ctx context.Context, field graphql.CollectedField, obj *Attribute) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Attribute_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Attribute_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Attribute",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Attribute_value(ctx context.Context, field graphql.CollectedField, obj *Attribute) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Attribute_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Attribute_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Attribute",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AutomaticDiscountApplication_allocationMethod(ctx context.Context, field graphql.CollectedField, obj *AutomaticDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AutomaticDiscountApplication_allocationMethod(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AllocationMethod, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationAllocationMethod)
	fc.Result = res
	return ec.marshalNDiscountApplicationAllocationMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationAllocationMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AutomaticDiscountApplication_allocationMethod(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AutomaticDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationAllocationMethod does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AutomaticDiscountApplication_index(ctx context.Context, field graphql.CollectedField, obj *AutomaticDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AutomaticDiscountApplication_index(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Index, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AutomaticDiscountApplication_index(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AutomaticDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AutomaticDiscountApplication_targetSelection(ctx context.Context, field graphql.CollectedField, obj *AutomaticDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AutomaticDiscountApplication_targetSelection(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetSelection, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetSelection)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetSelection2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetSelection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AutomaticDiscountApplication_targetSelection(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AutomaticDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetSelection does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AutomaticDiscountApplication_targetType(ctx context.Context, field graphql.CollectedField, obj *AutomaticDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AutomaticDiscountApplication_targetType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetType)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AutomaticDiscountApplication_targetType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AutomaticDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AutomaticDiscountApplication_title(ctx context.Context, field graphql.CollectedField, obj *AutomaticDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AutomaticDiscountApplication_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AutomaticDiscountApplication_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AutomaticDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AutomaticDiscountApplication_value(ctx context.Context, field graphql.CollectedField, obj *AutomaticDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AutomaticDiscountApplication_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PricingValue)
	fc.Result = res
	return ec.marshalNPricingValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPricingValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AutomaticDiscountApplication_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AutomaticDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PricingValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _AvailableChannelDefinitionsByChannel_channelDefinitions(ctx context.Context, field graphql.CollectedField, obj *AvailableChannelDefinitionsByChannel) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AvailableChannelDefinitionsByChannel_channelDefinitions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ChannelDefinitions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ChannelDefinition)
	fc.Result = res
	return ec.marshalNChannelDefinition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelDefinitionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AvailableChannelDefinitionsByChannel_channelDefinitions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AvailableChannelDefinitionsByChannel",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelName":
				return ec.fieldContext_ChannelDefinition_channelName(ctx, field)
			case "handle":
				return ec.fieldContext_ChannelDefinition_handle(ctx, field)
			case "id":
				return ec.fieldContext_ChannelDefinition_id(ctx, field)
			case "subChannelName":
				return ec.fieldContext_ChannelDefinition_subChannelName(ctx, field)
			case "svgIcon":
				return ec.fieldContext_ChannelDefinition_svgIcon(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ChannelDefinition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _AvailableChannelDefinitionsByChannel_channelName(ctx context.Context, field graphql.CollectedField, obj *AvailableChannelDefinitionsByChannel) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_AvailableChannelDefinitionsByChannel_channelName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ChannelName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_AvailableChannelDefinitionsByChannel_channelName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "AvailableChannelDefinitionsByChannel",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BasicEvent_appTitle(ctx context.Context, field graphql.CollectedField, obj *BasicEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BasicEvent_appTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BasicEvent_appTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BasicEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BasicEvent_attributeToApp(ctx context.Context, field graphql.CollectedField, obj *BasicEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BasicEvent_attributeToApp(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AttributeToApp, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BasicEvent_attributeToApp(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BasicEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BasicEvent_attributeToUser(ctx context.Context, field graphql.CollectedField, obj *BasicEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BasicEvent_attributeToUser(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AttributeToUser, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BasicEvent_attributeToUser(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BasicEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BasicEvent_createdAt(ctx context.Context, field graphql.CollectedField, obj *BasicEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BasicEvent_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BasicEvent_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BasicEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BasicEvent_criticalAlert(ctx context.Context, field graphql.CollectedField, obj *BasicEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BasicEvent_criticalAlert(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CriticalAlert, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BasicEvent_criticalAlert(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BasicEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BasicEvent_id(ctx context.Context, field graphql.CollectedField, obj *BasicEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BasicEvent_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BasicEvent_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BasicEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BasicEvent_message(ctx context.Context, field graphql.CollectedField, obj *BasicEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BasicEvent_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNFormattedString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BasicEvent_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BasicEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FormattedString does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BuyerExperienceConfiguration_checkoutToDraft(ctx context.Context, field graphql.CollectedField, obj *BuyerExperienceConfiguration) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BuyerExperienceConfiguration_checkoutToDraft(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CheckoutToDraft, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BuyerExperienceConfiguration_checkoutToDraft(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BuyerExperienceConfiguration",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BuyerExperienceConfiguration_payNowOnly(ctx context.Context, field graphql.CollectedField, obj *BuyerExperienceConfiguration) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BuyerExperienceConfiguration_payNowOnly(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PayNowOnly, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BuyerExperienceConfiguration_payNowOnly(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BuyerExperienceConfiguration",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _BuyerExperienceConfiguration_paymentTermsTemplate(ctx context.Context, field graphql.CollectedField, obj *BuyerExperienceConfiguration) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_BuyerExperienceConfiguration_paymentTermsTemplate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentTermsTemplate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PaymentTermsTemplate)
	fc.Result = res
	return ec.marshalOPaymentTermsTemplate2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTermsTemplate(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_BuyerExperienceConfiguration_paymentTermsTemplate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "BuyerExperienceConfiguration",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_PaymentTermsTemplate_description(ctx, field)
			case "dueInDays":
				return ec.fieldContext_PaymentTermsTemplate_dueInDays(ctx, field)
			case "id":
				return ec.fieldContext_PaymentTermsTemplate_id(ctx, field)
			case "name":
				return ec.fieldContext_PaymentTermsTemplate_name(ctx, field)
			case "paymentTermsType":
				return ec.fieldContext_PaymentTermsTemplate_paymentTermsType(ctx, field)
			case "translatedName":
				return ec.fieldContext_PaymentTermsTemplate_translatedName(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentTermsTemplate", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelDefinition_channelName(ctx context.Context, field graphql.CollectedField, obj *ChannelDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelDefinition_channelName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ChannelName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelDefinition_channelName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelDefinition_handle(ctx context.Context, field graphql.CollectedField, obj *ChannelDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelDefinition_handle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Handle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelDefinition_handle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelDefinition_id(ctx context.Context, field graphql.CollectedField, obj *ChannelDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelDefinition_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelDefinition_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelDefinition_subChannelName(ctx context.Context, field graphql.CollectedField, obj *ChannelDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelDefinition_subChannelName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubChannelName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelDefinition_subChannelName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelDefinition_svgIcon(ctx context.Context, field graphql.CollectedField, obj *ChannelDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelDefinition_svgIcon(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SVGIcon, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelDefinition_svgIcon(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelInformation_app(ctx context.Context, field graphql.CollectedField, obj *ChannelInformation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelInformation_app(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.App, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*App)
	fc.Result = res
	return ec.marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelInformation_app(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelInformation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelInformation_channelDefinition(ctx context.Context, field graphql.CollectedField, obj *ChannelInformation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelInformation_channelDefinition(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ChannelDefinition, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ChannelDefinition)
	fc.Result = res
	return ec.marshalOChannelDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelDefinition(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelInformation_channelDefinition(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelInformation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelName":
				return ec.fieldContext_ChannelDefinition_channelName(ctx, field)
			case "handle":
				return ec.fieldContext_ChannelDefinition_handle(ctx, field)
			case "id":
				return ec.fieldContext_ChannelDefinition_id(ctx, field)
			case "subChannelName":
				return ec.fieldContext_ChannelDefinition_subChannelName(ctx, field)
			case "svgIcon":
				return ec.fieldContext_ChannelDefinition_svgIcon(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ChannelDefinition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelInformation_channelId(ctx context.Context, field graphql.CollectedField, obj *ChannelInformation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelInformation_channelId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ChannelID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelInformation_channelId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelInformation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ChannelInformation_id(ctx context.Context, field graphql.CollectedField, obj *ChannelInformation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ChannelInformation_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ChannelInformation_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ChannelInformation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Collection_id(ctx context.Context, field graphql.CollectedField, obj *Collection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Collection_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Collection_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Collection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CollectionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CollectionEdge)
	fc.Result = res
	return ec.marshalNCollectionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CollectionEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CollectionEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CollectionEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CollectionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Collection)
	fc.Result = res
	return ec.marshalNCollection2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Collection_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Collection", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CollectionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CollectionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionEdge_node(ctx context.Context, field graphql.CollectedField, obj *CollectionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Collection)
	fc.Result = res
	return ec.marshalNCollection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Collection_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Collection", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionRule_appliedDisjunctively(ctx context.Context, field graphql.CollectedField, obj *CollectionRule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionRule_appliedDisjunctively(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliedDisjunctively, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionRule_appliedDisjunctively(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionRule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionRule_rules(ctx context.Context, field graphql.CollectedField, obj *CollectionRule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionRule_rules(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Rules, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CollectionRule)
	fc.Result = res
	return ec.marshalNCollectionRule2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionRuleᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionRule_rules(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionRule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appliedDisjunctively":
				return ec.fieldContext_CollectionRule_appliedDisjunctively(ctx, field)
			case "rules":
				return ec.fieldContext_CollectionRule_rules(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CollectionRule", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionRuleSet_appliedDisjunctively(ctx context.Context, field graphql.CollectedField, obj *CollectionRuleSet) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionRuleSet_appliedDisjunctively(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliedDisjunctively, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionRuleSet_appliedDisjunctively(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionRuleSet",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CollectionRuleSet_rules(ctx context.Context, field graphql.CollectedField, obj *CollectionRuleSet) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CollectionRuleSet_rules(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Rules, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CollectionRule)
	fc.Result = res
	return ec.marshalNCollectionRule2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionRuleᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CollectionRuleSet_rules(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CollectionRuleSet",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appliedDisjunctively":
				return ec.fieldContext_CollectionRule_appliedDisjunctively(ctx, field)
			case "rules":
				return ec.fieldContext_CollectionRule_rules(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CollectionRule", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_appTitle(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_appTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_appTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_attachments(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_attachments(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Attachments, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CommentEventAttachment)
	fc.Result = res
	return ec.marshalNCommentEventAttachment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventAttachmentᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_attachments(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "fileExtension":
				return ec.fieldContext_CommentEventAttachment_fileExtension(ctx, field)
			case "id":
				return ec.fieldContext_CommentEventAttachment_id(ctx, field)
			case "image":
				return ec.fieldContext_CommentEventAttachment_image(ctx, field)
			case "name":
				return ec.fieldContext_CommentEventAttachment_name(ctx, field)
			case "size":
				return ec.fieldContext_CommentEventAttachment_size(ctx, field)
			case "url":
				return ec.fieldContext_CommentEventAttachment_url(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CommentEventAttachment", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_attributeToApp(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_attributeToApp(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AttributeToApp, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_attributeToApp(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_attributeToUser(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_attributeToUser(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AttributeToUser, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_attributeToUser(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_author(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_author(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Author, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*StaffMember)
	fc.Result = res
	return ec.marshalNStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_author(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_StaffMember_active(ctx, field)
			case "avatar":
				return ec.fieldContext_StaffMember_avatar(ctx, field)
			case "email":
				return ec.fieldContext_StaffMember_email(ctx, field)
			case "exists":
				return ec.fieldContext_StaffMember_exists(ctx, field)
			case "firstName":
				return ec.fieldContext_StaffMember_firstName(ctx, field)
			case "id":
				return ec.fieldContext_StaffMember_id(ctx, field)
			case "initials":
				return ec.fieldContext_StaffMember_initials(ctx, field)
			case "isShopOwner":
				return ec.fieldContext_StaffMember_isShopOwner(ctx, field)
			case "lastName":
				return ec.fieldContext_StaffMember_lastName(ctx, field)
			case "locale":
				return ec.fieldContext_StaffMember_locale(ctx, field)
			case "name":
				return ec.fieldContext_StaffMember_name(ctx, field)
			case "phone":
				return ec.fieldContext_StaffMember_phone(ctx, field)
			case "privateData":
				return ec.fieldContext_StaffMember_privateData(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMember", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_canDelete(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_canDelete(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CanDelete, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_canDelete(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_canEdit(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_canEdit(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CanEdit, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_canEdit(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_createdAt(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_criticalAlert(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_criticalAlert(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CriticalAlert, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_criticalAlert(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_edited(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_edited(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edited, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_edited(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_embed(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_embed(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Embed, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(CommentEventEmbed)
	fc.Result = res
	return ec.marshalOCommentEventEmbed2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventEmbed(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_embed(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CommentEventEmbed does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_id(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_message(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNFormattedString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FormattedString does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_rawMessage(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_rawMessage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RawMessage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_rawMessage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEvent_subject(ctx context.Context, field graphql.CollectedField, obj *CommentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEvent_subject(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Subject, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CommentEventSubject)
	fc.Result = res
	return ec.marshalNCommentEventSubject2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventSubject(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEvent_subject(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEventAttachment_fileExtension(ctx context.Context, field graphql.CollectedField, obj *CommentEventAttachment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEventAttachment_fileExtension(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileExtension, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEventAttachment_fileExtension(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEventAttachment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEventAttachment_id(ctx context.Context, field graphql.CollectedField, obj *CommentEventAttachment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEventAttachment_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEventAttachment_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEventAttachment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEventAttachment_image(ctx context.Context, field graphql.CollectedField, obj *CommentEventAttachment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEventAttachment_image(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Image, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEventAttachment_image(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEventAttachment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEventAttachment_name(ctx context.Context, field graphql.CollectedField, obj *CommentEventAttachment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEventAttachment_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEventAttachment_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEventAttachment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEventAttachment_size(ctx context.Context, field graphql.CollectedField, obj *CommentEventAttachment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEventAttachment_size(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Size, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEventAttachment_size(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEventAttachment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CommentEventAttachment_url(ctx context.Context, field graphql.CollectedField, obj *CommentEventAttachment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CommentEventAttachment_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CommentEventAttachment_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CommentEventAttachment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_contactCount(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_contactCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ContactCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_contactCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_contactRoles(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_contactRoles(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ContactRoles, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContactRoleConnection)
	fc.Result = res
	return ec.marshalNCompanyContactRoleConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_contactRoles(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CompanyContactRoleConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CompanyContactRoleConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CompanyContactRoleConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRoleConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Company_contactRoles_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Company_contacts(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_contacts(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Contacts, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContactConnection)
	fc.Result = res
	return ec.marshalNCompanyContactConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_contacts(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CompanyContactConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CompanyContactConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CompanyContactConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Company_contacts_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Company_createdAt(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_customerSince(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_customerSince(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomerSince, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_customerSince(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_defaultCursor(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_defaultCursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DefaultCursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_defaultCursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_defaultRole(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_defaultRole(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DefaultRole, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CompanyContactRole)
	fc.Result = res
	return ec.marshalOCompanyContactRole2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRole(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_defaultRole(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_CompanyContactRole_id(ctx, field)
			case "name":
				return ec.fieldContext_CompanyContactRole_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyContactRole_note(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRole", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_draftOrders(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_draftOrders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DraftOrders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DraftOrderConnection)
	fc.Result = res
	return ec.marshalNDraftOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_draftOrders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DraftOrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DraftOrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DraftOrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Company_draftOrders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Company_events(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_events(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Events, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*EventConnection)
	fc.Result = res
	return ec.marshalNEventConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_events(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_EventConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_EventConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_EventConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type EventConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Company_events_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Company_externalId(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_externalId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExternalID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_externalId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_hasTimelineComment(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_hasTimelineComment(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasTimelineComment, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_hasTimelineComment(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_id(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_lifetimeDuration(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_lifetimeDuration(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LifetimeDuration, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_lifetimeDuration(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_locationCount(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_locationCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocationCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_locationCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_locations(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_locations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyLocationConnection)
	fc.Result = res
	return ec.marshalNCompanyLocationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_locations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CompanyLocationConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CompanyLocationConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CompanyLocationConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyLocationConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Company_locations_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Company_mainContact(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_mainContact(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MainContact, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CompanyContact)
	fc.Result = res
	return ec.marshalOCompanyContact2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContact(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_mainContact(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_CompanyContact_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyContact_createdAt(ctx, field)
			case "customer":
				return ec.fieldContext_CompanyContact_customer(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyContact_draftOrders(ctx, field)
			case "id":
				return ec.fieldContext_CompanyContact_id(ctx, field)
			case "isMainContact":
				return ec.fieldContext_CompanyContact_isMainContact(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_CompanyContact_lifetimeDuration(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyContact_locale(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyContact_orders(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyContact_roleAssignments(ctx, field)
			case "title":
				return ec.fieldContext_CompanyContact_title(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyContact_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContact", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_name(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_note(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_note(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Note, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_note(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_orderCount(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_orderCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OrderCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_orderCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_orders(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_orders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Orders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*OrderConnection)
	fc.Result = res
	return ec.marshalNOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_orders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_OrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_OrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_OrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Company_orders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Company_totalSpent(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_totalSpent(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalSpent, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_totalSpent(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Company_updatedAt(ctx context.Context, field graphql.CollectedField, obj *Company) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Company_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Company_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Company",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_address1(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_address2(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_city(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_companyName(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_companyName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompanyName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_companyName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_country(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_countryCode(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_createdAt(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_formattedArea(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_formattedArea(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FormattedArea, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_formattedArea(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_id(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_phone(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_province(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_recipient(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_recipient(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Recipient, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_recipient(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_updatedAt(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_zip(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyAddress_zoneCode(ctx context.Context, field graphql.CollectedField, obj *CompanyAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyAddress_zoneCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ZoneCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyAddress_zoneCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_company(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Company)
	fc.Result = res
	return ec.marshalNCompany2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompany(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contactCount":
				return ec.fieldContext_Company_contactCount(ctx, field)
			case "contactRoles":
				return ec.fieldContext_Company_contactRoles(ctx, field)
			case "contacts":
				return ec.fieldContext_Company_contacts(ctx, field)
			case "createdAt":
				return ec.fieldContext_Company_createdAt(ctx, field)
			case "customerSince":
				return ec.fieldContext_Company_customerSince(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_Company_defaultCursor(ctx, field)
			case "defaultRole":
				return ec.fieldContext_Company_defaultRole(ctx, field)
			case "draftOrders":
				return ec.fieldContext_Company_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_Company_events(ctx, field)
			case "externalId":
				return ec.fieldContext_Company_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Company_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Company_id(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_Company_lifetimeDuration(ctx, field)
			case "locationCount":
				return ec.fieldContext_Company_locationCount(ctx, field)
			case "locations":
				return ec.fieldContext_Company_locations(ctx, field)
			case "mainContact":
				return ec.fieldContext_Company_mainContact(ctx, field)
			case "name":
				return ec.fieldContext_Company_name(ctx, field)
			case "note":
				return ec.fieldContext_Company_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_Company_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_Company_orders(ctx, field)
			case "totalSpent":
				return ec.fieldContext_Company_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Company_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Company", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_createdAt(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_customer(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_customer(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Customer, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Customer)
	fc.Result = res
	return ec.marshalNCustomer2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomer(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_customer(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Customer_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Customer", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_draftOrders(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_draftOrders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DraftOrders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DraftOrderConnection)
	fc.Result = res
	return ec.marshalNDraftOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_draftOrders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DraftOrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DraftOrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DraftOrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CompanyContact_draftOrders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_id(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_isMainContact(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_isMainContact(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsMainContact, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_isMainContact(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_lifetimeDuration(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_lifetimeDuration(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LifetimeDuration, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_lifetimeDuration(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_locale(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_locale(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locale, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_locale(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_orders(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_orders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Orders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*OrderConnection)
	fc.Result = res
	return ec.marshalNOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_orders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_OrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_OrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_OrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CompanyContact_orders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_roleAssignments(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_roleAssignments(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RoleAssignments, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContactRoleAssignmentConnection)
	fc.Result = res
	return ec.marshalNCompanyContactRoleAssignmentConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_roleAssignments(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CompanyContactRoleAssignmentConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CompanyContactRoleAssignmentConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CompanyContactRoleAssignmentConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRoleAssignmentConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CompanyContact_roleAssignments_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_title(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContact_updatedAt(ctx context.Context, field graphql.CollectedField, obj *CompanyContact) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContact_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContact_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContact",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CompanyContactConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyContactEdge)
	fc.Result = res
	return ec.marshalNCompanyContactEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CompanyContactEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CompanyContactEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CompanyContactConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyContact)
	fc.Result = res
	return ec.marshalNCompanyContact2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_CompanyContact_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyContact_createdAt(ctx, field)
			case "customer":
				return ec.fieldContext_CompanyContact_customer(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyContact_draftOrders(ctx, field)
			case "id":
				return ec.fieldContext_CompanyContact_id(ctx, field)
			case "isMainContact":
				return ec.fieldContext_CompanyContact_isMainContact(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_CompanyContact_lifetimeDuration(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyContact_locale(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyContact_orders(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyContact_roleAssignments(ctx, field)
			case "title":
				return ec.fieldContext_CompanyContact_title(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyContact_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContact", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CompanyContactConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CompanyContactEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactEdge_node(ctx context.Context, field graphql.CollectedField, obj *CompanyContactEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContact)
	fc.Result = res
	return ec.marshalNCompanyContact2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContact(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_CompanyContact_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyContact_createdAt(ctx, field)
			case "customer":
				return ec.fieldContext_CompanyContact_customer(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyContact_draftOrders(ctx, field)
			case "id":
				return ec.fieldContext_CompanyContact_id(ctx, field)
			case "isMainContact":
				return ec.fieldContext_CompanyContact_isMainContact(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_CompanyContact_lifetimeDuration(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyContact_locale(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyContact_orders(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyContact_roleAssignments(ctx, field)
			case "title":
				return ec.fieldContext_CompanyContact_title(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyContact_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContact", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRole_id(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRole) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRole_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRole_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRole",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRole_name(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRole) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRole_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRole_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRole",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRole_note(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRole) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRole_note(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Note, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRole_note(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRole",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignment_company(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignment_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Company)
	fc.Result = res
	return ec.marshalNCompany2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompany(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignment_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contactCount":
				return ec.fieldContext_Company_contactCount(ctx, field)
			case "contactRoles":
				return ec.fieldContext_Company_contactRoles(ctx, field)
			case "contacts":
				return ec.fieldContext_Company_contacts(ctx, field)
			case "createdAt":
				return ec.fieldContext_Company_createdAt(ctx, field)
			case "customerSince":
				return ec.fieldContext_Company_customerSince(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_Company_defaultCursor(ctx, field)
			case "defaultRole":
				return ec.fieldContext_Company_defaultRole(ctx, field)
			case "draftOrders":
				return ec.fieldContext_Company_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_Company_events(ctx, field)
			case "externalId":
				return ec.fieldContext_Company_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Company_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Company_id(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_Company_lifetimeDuration(ctx, field)
			case "locationCount":
				return ec.fieldContext_Company_locationCount(ctx, field)
			case "locations":
				return ec.fieldContext_Company_locations(ctx, field)
			case "mainContact":
				return ec.fieldContext_Company_mainContact(ctx, field)
			case "name":
				return ec.fieldContext_Company_name(ctx, field)
			case "note":
				return ec.fieldContext_Company_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_Company_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_Company_orders(ctx, field)
			case "totalSpent":
				return ec.fieldContext_Company_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Company_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Company", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignment_companyContact(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignment_companyContact(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompanyContact, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContact)
	fc.Result = res
	return ec.marshalNCompanyContact2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContact(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignment_companyContact(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_CompanyContact_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyContact_createdAt(ctx, field)
			case "customer":
				return ec.fieldContext_CompanyContact_customer(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyContact_draftOrders(ctx, field)
			case "id":
				return ec.fieldContext_CompanyContact_id(ctx, field)
			case "isMainContact":
				return ec.fieldContext_CompanyContact_isMainContact(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_CompanyContact_lifetimeDuration(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyContact_locale(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyContact_orders(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyContact_roleAssignments(ctx, field)
			case "title":
				return ec.fieldContext_CompanyContact_title(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyContact_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContact", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignment_companyLocation(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignment_companyLocation(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompanyLocation, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyLocation)
	fc.Result = res
	return ec.marshalNCompanyLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignment_companyLocation(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "billingAddress":
				return ec.fieldContext_CompanyLocation_billingAddress(ctx, field)
			case "buyerExperienceConfiguration":
				return ec.fieldContext_CompanyLocation_buyerExperienceConfiguration(ctx, field)
			case "company":
				return ec.fieldContext_CompanyLocation_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyLocation_createdAt(ctx, field)
			case "currency":
				return ec.fieldContext_CompanyLocation_currency(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_CompanyLocation_defaultCursor(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyLocation_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_CompanyLocation_events(ctx, field)
			case "externalId":
				return ec.fieldContext_CompanyLocation_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_CompanyLocation_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_CompanyLocation_id(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyLocation_locale(ctx, field)
			case "market":
				return ec.fieldContext_CompanyLocation_market(ctx, field)
			case "name":
				return ec.fieldContext_CompanyLocation_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyLocation_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_CompanyLocation_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyLocation_orders(ctx, field)
			case "phone":
				return ec.fieldContext_CompanyLocation_phone(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyLocation_roleAssignments(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_CompanyLocation_shippingAddress(ctx, field)
			case "taxExemptions":
				return ec.fieldContext_CompanyLocation_taxExemptions(ctx, field)
			case "taxRegistrationId":
				return ec.fieldContext_CompanyLocation_taxRegistrationId(ctx, field)
			case "totalSpent":
				return ec.fieldContext_CompanyLocation_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyLocation_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyLocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignment_createdAt(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignment_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignment_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignment_id(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignment_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignment_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignment_role(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignment_role(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Role, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContactRole)
	fc.Result = res
	return ec.marshalNCompanyContactRole2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRole(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignment_role(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_CompanyContactRole_id(ctx, field)
			case "name":
				return ec.fieldContext_CompanyContactRole_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyContactRole_note(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRole", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignment_updatedAt(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignment_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignment_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignmentConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignmentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignmentConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyContactRoleAssignmentEdge)
	fc.Result = res
	return ec.marshalNCompanyContactRoleAssignmentEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignmentConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignmentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CompanyContactRoleAssignmentEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CompanyContactRoleAssignmentEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRoleAssignmentEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignmentConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignmentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignmentConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyContactRoleAssignment)
	fc.Result = res
	return ec.marshalNCompanyContactRoleAssignment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignmentConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignmentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_CompanyContactRoleAssignment_company(ctx, field)
			case "companyContact":
				return ec.fieldContext_CompanyContactRoleAssignment_companyContact(ctx, field)
			case "companyLocation":
				return ec.fieldContext_CompanyContactRoleAssignment_companyLocation(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyContactRoleAssignment_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_CompanyContactRoleAssignment_id(ctx, field)
			case "role":
				return ec.fieldContext_CompanyContactRoleAssignment_role(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyContactRoleAssignment_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRoleAssignment", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignmentConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignmentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignmentConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignmentConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignmentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignmentEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignmentEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignmentEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignmentEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignmentEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleAssignmentEdge_node(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleAssignmentEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleAssignmentEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContactRoleAssignment)
	fc.Result = res
	return ec.marshalNCompanyContactRoleAssignment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignment(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleAssignmentEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleAssignmentEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_CompanyContactRoleAssignment_company(ctx, field)
			case "companyContact":
				return ec.fieldContext_CompanyContactRoleAssignment_companyContact(ctx, field)
			case "companyLocation":
				return ec.fieldContext_CompanyContactRoleAssignment_companyLocation(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyContactRoleAssignment_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_CompanyContactRoleAssignment_id(ctx, field)
			case "role":
				return ec.fieldContext_CompanyContactRoleAssignment_role(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyContactRoleAssignment_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRoleAssignment", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyContactRoleEdge)
	fc.Result = res
	return ec.marshalNCompanyContactRoleEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CompanyContactRoleEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CompanyContactRoleEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRoleEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyContactRole)
	fc.Result = res
	return ec.marshalNCompanyContactRole2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_CompanyContactRole_id(ctx, field)
			case "name":
				return ec.fieldContext_CompanyContactRole_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyContactRole_note(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRole", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyContactRoleEdge_node(ctx context.Context, field graphql.CollectedField, obj *CompanyContactRoleEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyContactRoleEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContactRole)
	fc.Result = res
	return ec.marshalNCompanyContactRole2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRole(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyContactRoleEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyContactRoleEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_CompanyContactRole_id(ctx, field)
			case "name":
				return ec.fieldContext_CompanyContactRole_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyContactRole_note(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRole", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_billingAddress(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_billingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CompanyAddress)
	fc.Result = res
	return ec.marshalOCompanyAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_billingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_CompanyAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_CompanyAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_CompanyAddress_city(ctx, field)
			case "companyName":
				return ec.fieldContext_CompanyAddress_companyName(ctx, field)
			case "country":
				return ec.fieldContext_CompanyAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_CompanyAddress_countryCode(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyAddress_createdAt(ctx, field)
			case "formattedArea":
				return ec.fieldContext_CompanyAddress_formattedArea(ctx, field)
			case "id":
				return ec.fieldContext_CompanyAddress_id(ctx, field)
			case "phone":
				return ec.fieldContext_CompanyAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_CompanyAddress_province(ctx, field)
			case "recipient":
				return ec.fieldContext_CompanyAddress_recipient(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyAddress_updatedAt(ctx, field)
			case "zip":
				return ec.fieldContext_CompanyAddress_zip(ctx, field)
			case "zoneCode":
				return ec.fieldContext_CompanyAddress_zoneCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_buyerExperienceConfiguration(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_buyerExperienceConfiguration(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BuyerExperienceConfiguration, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*BuyerExperienceConfiguration)
	fc.Result = res
	return ec.marshalOBuyerExperienceConfiguration2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐBuyerExperienceConfiguration(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_buyerExperienceConfiguration(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "checkoutToDraft":
				return ec.fieldContext_BuyerExperienceConfiguration_checkoutToDraft(ctx, field)
			case "payNowOnly":
				return ec.fieldContext_BuyerExperienceConfiguration_payNowOnly(ctx, field)
			case "paymentTermsTemplate":
				return ec.fieldContext_BuyerExperienceConfiguration_paymentTermsTemplate(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type BuyerExperienceConfiguration", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_company(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Company)
	fc.Result = res
	return ec.marshalNCompany2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompany(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contactCount":
				return ec.fieldContext_Company_contactCount(ctx, field)
			case "contactRoles":
				return ec.fieldContext_Company_contactRoles(ctx, field)
			case "contacts":
				return ec.fieldContext_Company_contacts(ctx, field)
			case "createdAt":
				return ec.fieldContext_Company_createdAt(ctx, field)
			case "customerSince":
				return ec.fieldContext_Company_customerSince(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_Company_defaultCursor(ctx, field)
			case "defaultRole":
				return ec.fieldContext_Company_defaultRole(ctx, field)
			case "draftOrders":
				return ec.fieldContext_Company_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_Company_events(ctx, field)
			case "externalId":
				return ec.fieldContext_Company_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Company_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Company_id(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_Company_lifetimeDuration(ctx, field)
			case "locationCount":
				return ec.fieldContext_Company_locationCount(ctx, field)
			case "locations":
				return ec.fieldContext_Company_locations(ctx, field)
			case "mainContact":
				return ec.fieldContext_Company_mainContact(ctx, field)
			case "name":
				return ec.fieldContext_Company_name(ctx, field)
			case "note":
				return ec.fieldContext_Company_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_Company_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_Company_orders(ctx, field)
			case "totalSpent":
				return ec.fieldContext_Company_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Company_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Company", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_createdAt(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_currency(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_currency(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Currency, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_currency(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_defaultCursor(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_defaultCursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DefaultCursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_defaultCursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_draftOrders(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_draftOrders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DraftOrders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DraftOrderConnection)
	fc.Result = res
	return ec.marshalNDraftOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_draftOrders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DraftOrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DraftOrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DraftOrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CompanyLocation_draftOrders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_events(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_events(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Events, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*EventConnection)
	fc.Result = res
	return ec.marshalNEventConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_events(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_EventConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_EventConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_EventConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type EventConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CompanyLocation_events_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_externalId(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_externalId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExternalID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_externalId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_hasTimelineComment(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_hasTimelineComment(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasTimelineComment, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_hasTimelineComment(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_id(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_locale(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_locale(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locale, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_locale(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_market(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_market(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Market, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Market)
	fc.Result = res
	return ec.marshalNMarket2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarket(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_market(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Market_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Market", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_name(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_note(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_note(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Note, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_note(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_orderCount(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_orderCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OrderCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_orderCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_orders(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_orders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Orders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*OrderConnection)
	fc.Result = res
	return ec.marshalNOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_orders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_OrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_OrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_OrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CompanyLocation_orders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_phone(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_roleAssignments(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_roleAssignments(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RoleAssignments, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyContactRoleAssignmentConnection)
	fc.Result = res
	return ec.marshalNCompanyContactRoleAssignmentConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_roleAssignments(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CompanyContactRoleAssignmentConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CompanyContactRoleAssignmentConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CompanyContactRoleAssignmentConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContactRoleAssignmentConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CompanyLocation_roleAssignments_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_shippingAddress(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_shippingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CompanyAddress)
	fc.Result = res
	return ec.marshalOCompanyAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_shippingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_CompanyAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_CompanyAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_CompanyAddress_city(ctx, field)
			case "companyName":
				return ec.fieldContext_CompanyAddress_companyName(ctx, field)
			case "country":
				return ec.fieldContext_CompanyAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_CompanyAddress_countryCode(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyAddress_createdAt(ctx, field)
			case "formattedArea":
				return ec.fieldContext_CompanyAddress_formattedArea(ctx, field)
			case "id":
				return ec.fieldContext_CompanyAddress_id(ctx, field)
			case "phone":
				return ec.fieldContext_CompanyAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_CompanyAddress_province(ctx, field)
			case "recipient":
				return ec.fieldContext_CompanyAddress_recipient(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyAddress_updatedAt(ctx, field)
			case "zip":
				return ec.fieldContext_CompanyAddress_zip(ctx, field)
			case "zoneCode":
				return ec.fieldContext_CompanyAddress_zoneCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_taxExemptions(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_taxExemptions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxExemptions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]TaxExemption)
	fc.Result = res
	return ec.marshalNTaxExemption2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxExemptionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_taxExemptions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type TaxExemption does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_taxRegistrationId(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_taxRegistrationId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxRegistrationID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_taxRegistrationId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_totalSpent(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_totalSpent(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalSpent, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_totalSpent(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocation_updatedAt(ctx context.Context, field graphql.CollectedField, obj *CompanyLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocation_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocation_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocationConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CompanyLocationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocationConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyLocationEdge)
	fc.Result = res
	return ec.marshalNCompanyLocationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocationConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CompanyLocationEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CompanyLocationEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyLocationEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocationConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CompanyLocationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocationConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CompanyLocation)
	fc.Result = res
	return ec.marshalNCompanyLocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocationConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "billingAddress":
				return ec.fieldContext_CompanyLocation_billingAddress(ctx, field)
			case "buyerExperienceConfiguration":
				return ec.fieldContext_CompanyLocation_buyerExperienceConfiguration(ctx, field)
			case "company":
				return ec.fieldContext_CompanyLocation_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyLocation_createdAt(ctx, field)
			case "currency":
				return ec.fieldContext_CompanyLocation_currency(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_CompanyLocation_defaultCursor(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyLocation_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_CompanyLocation_events(ctx, field)
			case "externalId":
				return ec.fieldContext_CompanyLocation_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_CompanyLocation_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_CompanyLocation_id(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyLocation_locale(ctx, field)
			case "market":
				return ec.fieldContext_CompanyLocation_market(ctx, field)
			case "name":
				return ec.fieldContext_CompanyLocation_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyLocation_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_CompanyLocation_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyLocation_orders(ctx, field)
			case "phone":
				return ec.fieldContext_CompanyLocation_phone(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyLocation_roleAssignments(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_CompanyLocation_shippingAddress(ctx, field)
			case "taxExemptions":
				return ec.fieldContext_CompanyLocation_taxExemptions(ctx, field)
			case "taxRegistrationId":
				return ec.fieldContext_CompanyLocation_taxRegistrationId(ctx, field)
			case "totalSpent":
				return ec.fieldContext_CompanyLocation_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyLocation_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyLocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocationConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CompanyLocationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocationConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocationConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocationEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CompanyLocationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocationEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocationEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CompanyLocationEdge_node(ctx context.Context, field graphql.CollectedField, obj *CompanyLocationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CompanyLocationEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyLocation)
	fc.Result = res
	return ec.marshalNCompanyLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CompanyLocationEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CompanyLocationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "billingAddress":
				return ec.fieldContext_CompanyLocation_billingAddress(ctx, field)
			case "buyerExperienceConfiguration":
				return ec.fieldContext_CompanyLocation_buyerExperienceConfiguration(ctx, field)
			case "company":
				return ec.fieldContext_CompanyLocation_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyLocation_createdAt(ctx, field)
			case "currency":
				return ec.fieldContext_CompanyLocation_currency(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_CompanyLocation_defaultCursor(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyLocation_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_CompanyLocation_events(ctx, field)
			case "externalId":
				return ec.fieldContext_CompanyLocation_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_CompanyLocation_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_CompanyLocation_id(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyLocation_locale(ctx, field)
			case "market":
				return ec.fieldContext_CompanyLocation_market(ctx, field)
			case "name":
				return ec.fieldContext_CompanyLocation_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyLocation_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_CompanyLocation_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyLocation_orders(ctx, field)
			case "phone":
				return ec.fieldContext_CompanyLocation_phone(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyLocation_roleAssignments(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_CompanyLocation_shippingAddress(ctx, field)
			case "taxExemptions":
				return ec.fieldContext_CompanyLocation_taxExemptions(ctx, field)
			case "taxRegistrationId":
				return ec.fieldContext_CompanyLocation_taxRegistrationId(ctx, field)
			case "totalSpent":
				return ec.fieldContext_CompanyLocation_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyLocation_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyLocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountriesInShippingZones_countryCodes(ctx context.Context, field graphql.CollectedField, obj *CountriesInShippingZones) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountriesInShippingZones_countryCodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountriesInShippingZones_countryCodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountriesInShippingZones",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountriesInShippingZones_includeRestOfWorld(ctx context.Context, field graphql.CollectedField, obj *CountriesInShippingZones) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountriesInShippingZones_includeRestOfWorld(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IncludeRestOfWorld, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountriesInShippingZones_includeRestOfWorld(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountriesInShippingZones",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountryHarmonizedSystemCode_countryCode(ctx context.Context, field graphql.CollectedField, obj *CountryHarmonizedSystemCode) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountryHarmonizedSystemCode_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountryHarmonizedSystemCode_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountryHarmonizedSystemCode",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountryHarmonizedSystemCode_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField, obj *CountryHarmonizedSystemCode) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountryHarmonizedSystemCode_harmonizedSystemCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HarmonizedSystemCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountryHarmonizedSystemCode_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountryHarmonizedSystemCode",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountryHarmonizedSystemCodeConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CountryHarmonizedSystemCodeConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountryHarmonizedSystemCodeConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CountryHarmonizedSystemCodeEdge)
	fc.Result = res
	return ec.marshalNCountryHarmonizedSystemCodeEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountryHarmonizedSystemCodeConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountryHarmonizedSystemCodeConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CountryHarmonizedSystemCodeEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CountryHarmonizedSystemCodeEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CountryHarmonizedSystemCodeEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountryHarmonizedSystemCodeConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CountryHarmonizedSystemCodeConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountryHarmonizedSystemCodeConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CountryHarmonizedSystemCode)
	fc.Result = res
	return ec.marshalNCountryHarmonizedSystemCode2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountryHarmonizedSystemCodeConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountryHarmonizedSystemCodeConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCode":
				return ec.fieldContext_CountryHarmonizedSystemCode_countryCode(ctx, field)
			case "harmonizedSystemCode":
				return ec.fieldContext_CountryHarmonizedSystemCode_harmonizedSystemCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CountryHarmonizedSystemCode", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountryHarmonizedSystemCodeConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CountryHarmonizedSystemCodeConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountryHarmonizedSystemCodeConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountryHarmonizedSystemCodeConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountryHarmonizedSystemCodeConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountryHarmonizedSystemCodeEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CountryHarmonizedSystemCodeEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountryHarmonizedSystemCodeEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountryHarmonizedSystemCodeEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountryHarmonizedSystemCodeEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CountryHarmonizedSystemCodeEdge_node(ctx context.Context, field graphql.CollectedField, obj *CountryHarmonizedSystemCodeEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CountryHarmonizedSystemCodeEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CountryHarmonizedSystemCode)
	fc.Result = res
	return ec.marshalNCountryHarmonizedSystemCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CountryHarmonizedSystemCodeEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CountryHarmonizedSystemCodeEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCode":
				return ec.fieldContext_CountryHarmonizedSystemCode_countryCode(ctx, field)
			case "harmonizedSystemCode":
				return ec.fieldContext_CountryHarmonizedSystemCode_harmonizedSystemCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CountryHarmonizedSystemCode", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencyFormats_moneyFormat(ctx context.Context, field graphql.CollectedField, obj *CurrencyFormats) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencyFormats_moneyFormat(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MoneyFormat, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNFormattedString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencyFormats_moneyFormat(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencyFormats",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FormattedString does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencyFormats_moneyInEmailsFormat(ctx context.Context, field graphql.CollectedField, obj *CurrencyFormats) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencyFormats_moneyInEmailsFormat(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MoneyInEmailsFormat, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencyFormats_moneyInEmailsFormat(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencyFormats",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencyFormats_moneyWithCurrencyFormat(ctx context.Context, field graphql.CollectedField, obj *CurrencyFormats) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencyFormats_moneyWithCurrencyFormat(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MoneyWithCurrencyFormat, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNFormattedString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencyFormats_moneyWithCurrencyFormat(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencyFormats",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FormattedString does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencyFormats_moneyWithCurrencyInEmailsFormat(ctx context.Context, field graphql.CollectedField, obj *CurrencyFormats) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencyFormats_moneyWithCurrencyInEmailsFormat(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MoneyWithCurrencyInEmailsFormat, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencyFormats_moneyWithCurrencyInEmailsFormat(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencyFormats",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySetting_currencyCode(ctx context.Context, field graphql.CollectedField, obj *CurrencySetting) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySetting_currencyCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrencyCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySetting_currencyCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySetting",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySetting_currencyName(ctx context.Context, field graphql.CollectedField, obj *CurrencySetting) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySetting_currencyName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrencyName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySetting_currencyName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySetting",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySetting_enabled(ctx context.Context, field graphql.CollectedField, obj *CurrencySetting) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySetting_enabled(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Enabled, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySetting_enabled(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySetting",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySetting_rateUpdatedAt(ctx context.Context, field graphql.CollectedField, obj *CurrencySetting) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySetting_rateUpdatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RateUpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySetting_rateUpdatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySetting",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySettingConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CurrencySettingConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySettingConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CurrencySettingEdge)
	fc.Result = res
	return ec.marshalNCurrencySettingEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySettingEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySettingConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySettingConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CurrencySettingEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CurrencySettingEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CurrencySettingEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySettingConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CurrencySettingConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySettingConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CurrencySetting)
	fc.Result = res
	return ec.marshalNCurrencySetting2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySettingᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySettingConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySettingConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "currencyCode":
				return ec.fieldContext_CurrencySetting_currencyCode(ctx, field)
			case "currencyName":
				return ec.fieldContext_CurrencySetting_currencyName(ctx, field)
			case "enabled":
				return ec.fieldContext_CurrencySetting_enabled(ctx, field)
			case "rateUpdatedAt":
				return ec.fieldContext_CurrencySetting_rateUpdatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CurrencySetting", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySettingConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CurrencySettingConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySettingConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySettingConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySettingConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySettingEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CurrencySettingEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySettingEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySettingEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySettingEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CurrencySettingEdge_node(ctx context.Context, field graphql.CollectedField, obj *CurrencySettingEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CurrencySettingEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CurrencySetting)
	fc.Result = res
	return ec.marshalNCurrencySetting2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySetting(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CurrencySettingEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CurrencySettingEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "currencyCode":
				return ec.fieldContext_CurrencySetting_currencyCode(ctx, field)
			case "currencyName":
				return ec.fieldContext_CurrencySetting_currencyName(ctx, field)
			case "enabled":
				return ec.fieldContext_CurrencySetting_enabled(ctx, field)
			case "rateUpdatedAt":
				return ec.fieldContext_CurrencySetting_rateUpdatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CurrencySetting", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Customer_id(ctx context.Context, field graphql.CollectedField, obj *Customer) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Customer_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Customer_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Customer",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_billingAddress(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_billingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerCreditCardBillingAddress)
	fc.Result = res
	return ec.marshalOCustomerCreditCardBillingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerCreditCardBillingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_billingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_CustomerCreditCardBillingAddress_address1(ctx, field)
			case "city":
				return ec.fieldContext_CustomerCreditCardBillingAddress_city(ctx, field)
			case "country":
				return ec.fieldContext_CustomerCreditCardBillingAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_CustomerCreditCardBillingAddress_countryCode(ctx, field)
			case "province":
				return ec.fieldContext_CustomerCreditCardBillingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_CustomerCreditCardBillingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_CustomerCreditCardBillingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerCreditCardBillingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_brand(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_brand(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Brand, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_brand(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_expiresSoon(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_expiresSoon(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiresSoon, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_expiresSoon(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_expiryMonth(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_expiryMonth(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiryMonth, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_expiryMonth(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_expiryYear(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_expiryYear(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiryYear, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_expiryYear(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_firstDigits(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_firstDigits(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FirstDigits, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_firstDigits(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_isRevocable(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_isRevocable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsRevocable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_isRevocable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_lastDigits(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_lastDigits(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastDigits, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_lastDigits(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_maskedNumber(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_maskedNumber(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaskedNumber, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_maskedNumber(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_name(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_source(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_source(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Source, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_source(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCard_virtualLastDigits(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCard_virtualLastDigits(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VirtualLastDigits, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCard_virtualLastDigits(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCardBillingAddress_address1(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCardBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCardBillingAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCardBillingAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCardBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCardBillingAddress_city(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCardBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCardBillingAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCardBillingAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCardBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCardBillingAddress_country(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCardBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCardBillingAddress_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCardBillingAddress_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCardBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCardBillingAddress_countryCode(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCardBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCardBillingAddress_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCardBillingAddress_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCardBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCardBillingAddress_province(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCardBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCardBillingAddress_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCardBillingAddress_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCardBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCardBillingAddress_provinceCode(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCardBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCardBillingAddress_provinceCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCardBillingAddress_provinceCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCardBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerCreditCardBillingAddress_zip(ctx context.Context, field graphql.CollectedField, obj *CustomerCreditCardBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerCreditCardBillingAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerCreditCardBillingAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerCreditCardBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerEmailMarketingConsentState_consentUpdatedAt(ctx context.Context, field graphql.CollectedField, obj *CustomerEmailMarketingConsentState) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerEmailMarketingConsentState_consentUpdatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ConsentUpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerEmailMarketingConsentState_consentUpdatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerEmailMarketingConsentState",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerEmailMarketingConsentState_marketingOptInLevel(ctx context.Context, field graphql.CollectedField, obj *CustomerEmailMarketingConsentState) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerEmailMarketingConsentState_marketingOptInLevel(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketingOptInLevel, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerMarketingOptInLevel)
	fc.Result = res
	return ec.marshalOCustomerMarketingOptInLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMarketingOptInLevel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerEmailMarketingConsentState_marketingOptInLevel(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerEmailMarketingConsentState",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerMarketingOptInLevel does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerEmailMarketingConsentState_marketingState(ctx context.Context, field graphql.CollectedField, obj *CustomerEmailMarketingConsentState) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerEmailMarketingConsentState_marketingState(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketingState, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CustomerEmailMarketingState)
	fc.Result = res
	return ec.marshalNCustomerEmailMarketingState2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerEmailMarketingState(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerEmailMarketingConsentState_marketingState(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerEmailMarketingConsentState",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerEmailMarketingState does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerJourneySummary_customerOrderIndex(ctx context.Context, field graphql.CollectedField, obj *CustomerJourneySummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerJourneySummary_customerOrderIndex(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomerOrderIndex, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerJourneySummary_customerOrderIndex(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerJourneySummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerJourneySummary_daysToConversion(ctx context.Context, field graphql.CollectedField, obj *CustomerJourneySummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerJourneySummary_daysToConversion(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DaysToConversion, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerJourneySummary_daysToConversion(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerJourneySummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerJourneySummary_firstVisit(ctx context.Context, field graphql.CollectedField, obj *CustomerJourneySummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerJourneySummary_firstVisit(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FirstVisit, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerVisit)
	fc.Result = res
	return ec.marshalOCustomerVisit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerVisit(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerJourneySummary_firstVisit(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerJourneySummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_CustomerVisit_id(ctx, field)
			case "landingPage":
				return ec.fieldContext_CustomerVisit_landingPage(ctx, field)
			case "landingPageHtml":
				return ec.fieldContext_CustomerVisit_landingPageHtml(ctx, field)
			case "marketingEvent":
				return ec.fieldContext_CustomerVisit_marketingEvent(ctx, field)
			case "occurredAt":
				return ec.fieldContext_CustomerVisit_occurredAt(ctx, field)
			case "referralCode":
				return ec.fieldContext_CustomerVisit_referralCode(ctx, field)
			case "referralInfoHtml":
				return ec.fieldContext_CustomerVisit_referralInfoHtml(ctx, field)
			case "referrerUrl":
				return ec.fieldContext_CustomerVisit_referrerUrl(ctx, field)
			case "source":
				return ec.fieldContext_CustomerVisit_source(ctx, field)
			case "sourceDescription":
				return ec.fieldContext_CustomerVisit_sourceDescription(ctx, field)
			case "sourceType":
				return ec.fieldContext_CustomerVisit_sourceType(ctx, field)
			case "utmParameters":
				return ec.fieldContext_CustomerVisit_utmParameters(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerVisit", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerJourneySummary_lastVisit(ctx context.Context, field graphql.CollectedField, obj *CustomerJourneySummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerJourneySummary_lastVisit(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastVisit, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerVisit)
	fc.Result = res
	return ec.marshalOCustomerVisit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerVisit(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerJourneySummary_lastVisit(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerJourneySummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_CustomerVisit_id(ctx, field)
			case "landingPage":
				return ec.fieldContext_CustomerVisit_landingPage(ctx, field)
			case "landingPageHtml":
				return ec.fieldContext_CustomerVisit_landingPageHtml(ctx, field)
			case "marketingEvent":
				return ec.fieldContext_CustomerVisit_marketingEvent(ctx, field)
			case "occurredAt":
				return ec.fieldContext_CustomerVisit_occurredAt(ctx, field)
			case "referralCode":
				return ec.fieldContext_CustomerVisit_referralCode(ctx, field)
			case "referralInfoHtml":
				return ec.fieldContext_CustomerVisit_referralInfoHtml(ctx, field)
			case "referrerUrl":
				return ec.fieldContext_CustomerVisit_referrerUrl(ctx, field)
			case "source":
				return ec.fieldContext_CustomerVisit_source(ctx, field)
			case "sourceDescription":
				return ec.fieldContext_CustomerVisit_sourceDescription(ctx, field)
			case "sourceType":
				return ec.fieldContext_CustomerVisit_sourceType(ctx, field)
			case "utmParameters":
				return ec.fieldContext_CustomerVisit_utmParameters(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerVisit", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerJourneySummary_moments(ctx context.Context, field graphql.CollectedField, obj *CustomerJourneySummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerJourneySummary_moments(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Moments, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerMomentConnection)
	fc.Result = res
	return ec.marshalOCustomerMomentConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerJourneySummary_moments(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerJourneySummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CustomerMomentConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CustomerMomentConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CustomerMomentConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerMomentConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CustomerJourneySummary_moments_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CustomerJourneySummary_momentsCount(ctx context.Context, field graphql.CollectedField, obj *CustomerJourneySummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerJourneySummary_momentsCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MomentsCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerJourneySummary_momentsCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerJourneySummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerJourneySummary_ready(ctx context.Context, field graphql.CollectedField, obj *CustomerJourneySummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerJourneySummary_ready(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Ready, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerJourneySummary_ready(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerJourneySummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerMomentConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CustomerMomentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerMomentConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CustomerMomentEdge)
	fc.Result = res
	return ec.marshalNCustomerMomentEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerMomentConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerMomentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CustomerMomentEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CustomerMomentEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerMomentEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerMomentConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CustomerMomentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerMomentConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]CustomerMoment)
	fc.Result = res
	return ec.marshalNCustomerMoment2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerMomentConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerMomentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerMomentConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CustomerMomentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerMomentConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerMomentConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerMomentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerMomentEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CustomerMomentEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerMomentEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerMomentEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerMomentEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerMomentEdge_node(ctx context.Context, field graphql.CollectedField, obj *CustomerMomentEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerMomentEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CustomerMoment)
	fc.Result = res
	return ec.marshalNCustomerMoment2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMoment(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerMomentEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerMomentEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_address1(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_city(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_country(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_countryCode(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_name(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_province(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_provinceCode(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_provinceCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_provinceCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress_zip(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentInstrumentBillingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentInstrumentBillingAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentInstrumentBillingAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentInstrumentBillingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethod_customer(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethod_customer(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Customer, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Customer)
	fc.Result = res
	return ec.marshalOCustomer2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomer(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethod_customer(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Customer_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Customer", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethod_id(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethod_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethod_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethod_instrument(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethod_instrument(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Instrument, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(CustomerPaymentInstrument)
	fc.Result = res
	return ec.marshalOCustomerPaymentInstrument2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentInstrument(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethod_instrument(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerPaymentInstrument does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethod_revokedAt(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethod_revokedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RevokedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethod_revokedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethod_revokedReason(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethod_revokedReason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RevokedReason, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerPaymentMethodRevocationReason)
	fc.Result = res
	return ec.marshalOCustomerPaymentMethodRevocationReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodRevocationReason(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethod_revokedReason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerPaymentMethodRevocationReason does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethod_subscriptionContracts(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethod_subscriptionContracts(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubscriptionContracts, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionContractConnection)
	fc.Result = res
	return ec.marshalNSubscriptionContractConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethod_subscriptionContracts(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SubscriptionContractConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SubscriptionContractConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SubscriptionContractConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionContractConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_CustomerPaymentMethod_subscriptionContracts_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethodConnection_edges(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethodConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethodConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CustomerPaymentMethodEdge)
	fc.Result = res
	return ec.marshalNCustomerPaymentMethodEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethodConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethodConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_CustomerPaymentMethodEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_CustomerPaymentMethodEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerPaymentMethodEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethodConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethodConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethodConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*CustomerPaymentMethod)
	fc.Result = res
	return ec.marshalNCustomerPaymentMethod2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethodConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethodConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "customer":
				return ec.fieldContext_CustomerPaymentMethod_customer(ctx, field)
			case "id":
				return ec.fieldContext_CustomerPaymentMethod_id(ctx, field)
			case "instrument":
				return ec.fieldContext_CustomerPaymentMethod_instrument(ctx, field)
			case "revokedAt":
				return ec.fieldContext_CustomerPaymentMethod_revokedAt(ctx, field)
			case "revokedReason":
				return ec.fieldContext_CustomerPaymentMethod_revokedReason(ctx, field)
			case "subscriptionContracts":
				return ec.fieldContext_CustomerPaymentMethod_subscriptionContracts(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerPaymentMethod", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethodConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethodConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethodConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethodConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethodConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethodEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethodEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethodEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethodEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethodEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaymentMethodEdge_node(ctx context.Context, field graphql.CollectedField, obj *CustomerPaymentMethodEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaymentMethodEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CustomerPaymentMethod)
	fc.Result = res
	return ec.marshalNCustomerPaymentMethod2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaymentMethodEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaymentMethodEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "customer":
				return ec.fieldContext_CustomerPaymentMethod_customer(ctx, field)
			case "id":
				return ec.fieldContext_CustomerPaymentMethod_id(ctx, field)
			case "instrument":
				return ec.fieldContext_CustomerPaymentMethod_instrument(ctx, field)
			case "revokedAt":
				return ec.fieldContext_CustomerPaymentMethod_revokedAt(ctx, field)
			case "revokedReason":
				return ec.fieldContext_CustomerPaymentMethod_revokedReason(ctx, field)
			case "subscriptionContracts":
				return ec.fieldContext_CustomerPaymentMethod_subscriptionContracts(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerPaymentMethod", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaypalBillingAgreement_billingAddress(ctx context.Context, field graphql.CollectedField, obj *CustomerPaypalBillingAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaypalBillingAgreement_billingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerPaymentInstrumentBillingAddress)
	fc.Result = res
	return ec.marshalOCustomerPaymentInstrumentBillingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentInstrumentBillingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaypalBillingAgreement_billingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaypalBillingAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_address1(ctx, field)
			case "city":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_city(ctx, field)
			case "country":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_countryCode(ctx, field)
			case "name":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_name(ctx, field)
			case "province":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_CustomerPaymentInstrumentBillingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerPaymentInstrumentBillingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaypalBillingAgreement_inactive(ctx context.Context, field graphql.CollectedField, obj *CustomerPaypalBillingAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaypalBillingAgreement_inactive(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Inactive, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaypalBillingAgreement_inactive(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaypalBillingAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaypalBillingAgreement_isRevocable(ctx context.Context, field graphql.CollectedField, obj *CustomerPaypalBillingAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaypalBillingAgreement_isRevocable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsRevocable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaypalBillingAgreement_isRevocable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaypalBillingAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerPaypalBillingAgreement_paypalAccountEmail(ctx context.Context, field graphql.CollectedField, obj *CustomerPaypalBillingAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerPaypalBillingAgreement_paypalAccountEmail(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaypalAccountEmail, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerPaypalBillingAgreement_paypalAccountEmail(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerPaypalBillingAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_expiresSoon(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_expiresSoon(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiresSoon, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_expiresSoon(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_expiryMonth(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_expiryMonth(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiryMonth, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_expiryMonth(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_expiryYear(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_expiryYear(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiryYear, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_expiryYear(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_inactive(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_inactive(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Inactive, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_inactive(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_isRevocable(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_isRevocable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsRevocable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_isRevocable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_lastDigits(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_lastDigits(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastDigits, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_lastDigits(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_maskedNumber(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_maskedNumber(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaskedNumber, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_maskedNumber(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerShopPayAgreement_name(ctx context.Context, field graphql.CollectedField, obj *CustomerShopPayAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerShopPayAgreement_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerShopPayAgreement_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerShopPayAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerSmsMarketingConsentState_consentCollectedFrom(ctx context.Context, field graphql.CollectedField, obj *CustomerSmsMarketingConsentState) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerSmsMarketingConsentState_consentCollectedFrom(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ConsentCollectedFrom, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerConsentCollectedFrom)
	fc.Result = res
	return ec.marshalOCustomerConsentCollectedFrom2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerConsentCollectedFrom(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerSmsMarketingConsentState_consentCollectedFrom(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerSmsMarketingConsentState",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerConsentCollectedFrom does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerSmsMarketingConsentState_consentUpdatedAt(ctx context.Context, field graphql.CollectedField, obj *CustomerSmsMarketingConsentState) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerSmsMarketingConsentState_consentUpdatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ConsentUpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerSmsMarketingConsentState_consentUpdatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerSmsMarketingConsentState",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerSmsMarketingConsentState_marketingOptInLevel(ctx context.Context, field graphql.CollectedField, obj *CustomerSmsMarketingConsentState) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerSmsMarketingConsentState_marketingOptInLevel(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketingOptInLevel, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CustomerMarketingOptInLevel)
	fc.Result = res
	return ec.marshalNCustomerMarketingOptInLevel2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMarketingOptInLevel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerSmsMarketingConsentState_marketingOptInLevel(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerSmsMarketingConsentState",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerMarketingOptInLevel does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerSmsMarketingConsentState_marketingState(ctx context.Context, field graphql.CollectedField, obj *CustomerSmsMarketingConsentState) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerSmsMarketingConsentState_marketingState(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketingState, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CustomerSmsMarketingState)
	fc.Result = res
	return ec.marshalNCustomerSmsMarketingState2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerSmsMarketingState(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerSmsMarketingConsentState_marketingState(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerSmsMarketingConsentState",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerSmsMarketingState does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerStatistics_predictedSpendTier(ctx context.Context, field graphql.CollectedField, obj *CustomerStatistics) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerStatistics_predictedSpendTier(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PredictedSpendTier, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerPredictedSpendTier)
	fc.Result = res
	return ec.marshalOCustomerPredictedSpendTier2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPredictedSpendTier(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerStatistics_predictedSpendTier(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerStatistics",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CustomerPredictedSpendTier does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_id(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_landingPage(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_landingPage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LandingPage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_landingPage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_landingPageHtml(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_landingPageHtml(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LandingPageHTML, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOHTML2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_landingPageHtml(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type HTML does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_marketingEvent(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_marketingEvent(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketingEvent, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MarketingEvent)
	fc.Result = res
	return ec.marshalOMarketingEvent2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingEvent(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_marketingEvent(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_MarketingEvent_app(ctx, field)
			case "channel":
				return ec.fieldContext_MarketingEvent_channel(ctx, field)
			case "description":
				return ec.fieldContext_MarketingEvent_description(ctx, field)
			case "endedAt":
				return ec.fieldContext_MarketingEvent_endedAt(ctx, field)
			case "id":
				return ec.fieldContext_MarketingEvent_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_MarketingEvent_legacyResourceId(ctx, field)
			case "manageUrl":
				return ec.fieldContext_MarketingEvent_manageUrl(ctx, field)
			case "previewUrl":
				return ec.fieldContext_MarketingEvent_previewUrl(ctx, field)
			case "remoteId":
				return ec.fieldContext_MarketingEvent_remoteId(ctx, field)
			case "scheduledToEndAt":
				return ec.fieldContext_MarketingEvent_scheduledToEndAt(ctx, field)
			case "sourceAndMedium":
				return ec.fieldContext_MarketingEvent_sourceAndMedium(ctx, field)
			case "startedAt":
				return ec.fieldContext_MarketingEvent_startedAt(ctx, field)
			case "type":
				return ec.fieldContext_MarketingEvent_type(ctx, field)
			case "utmCampaign":
				return ec.fieldContext_MarketingEvent_utmCampaign(ctx, field)
			case "utmMedium":
				return ec.fieldContext_MarketingEvent_utmMedium(ctx, field)
			case "utmSource":
				return ec.fieldContext_MarketingEvent_utmSource(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MarketingEvent", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_occurredAt(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_occurredAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OccurredAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_occurredAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_referralCode(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_referralCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ReferralCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_referralCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_referralInfoHtml(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_referralInfoHtml(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ReferralInfoHTML, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNFormattedString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_referralInfoHtml(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FormattedString does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_referrerUrl(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_referrerUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ReferrerURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_referrerUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_source(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_source(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Source, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_source(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_sourceDescription(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_sourceDescription(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SourceDescription, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_sourceDescription(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_sourceType(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_sourceType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SourceType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MarketingTactic)
	fc.Result = res
	return ec.marshalOMarketingTactic2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingTactic(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_sourceType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MarketingTactic does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _CustomerVisit_utmParameters(ctx context.Context, field graphql.CollectedField, obj *CustomerVisit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_CustomerVisit_utmParameters(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UtmParameters, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*UTMParameters)
	fc.Result = res
	return ec.marshalOUTMParameters2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐUTMParameters(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_CustomerVisit_utmParameters(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "CustomerVisit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "campaign":
				return ec.fieldContext_UTMParameters_campaign(ctx, field)
			case "content":
				return ec.fieldContext_UTMParameters_content(ctx, field)
			case "medium":
				return ec.fieldContext_UTMParameters_medium(ctx, field)
			case "source":
				return ec.fieldContext_UTMParameters_source(ctx, field)
			case "term":
				return ec.fieldContext_UTMParameters_term(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type UTMParameters", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryAvailableService_countries(ctx context.Context, field graphql.CollectedField, obj *DeliveryAvailableService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryAvailableService_countries(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Countries, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryCountryCodesOrRestOfWorld)
	fc.Result = res
	return ec.marshalNDeliveryCountryCodesOrRestOfWorld2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryCodesOrRestOfWorld(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryAvailableService_countries(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryAvailableService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCodes":
				return ec.fieldContext_DeliveryCountryCodesOrRestOfWorld_countryCodes(ctx, field)
			case "restOfWorld":
				return ec.fieldContext_DeliveryCountryCodesOrRestOfWorld_restOfWorld(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCountryCodesOrRestOfWorld", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryAvailableService_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryAvailableService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryAvailableService_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryAvailableService_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryAvailableService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCarrierService_availableServicesForCountries(ctx context.Context, field graphql.CollectedField, obj *DeliveryCarrierService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCarrierService_availableServicesForCountries(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AvailableServicesForCountries, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryAvailableService)
	fc.Result = res
	return ec.marshalNDeliveryAvailableService2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryAvailableServiceᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCarrierService_availableServicesForCountries(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCarrierService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countries":
				return ec.fieldContext_DeliveryAvailableService_countries(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryAvailableService_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryAvailableService", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DeliveryCarrierService_availableServicesForCountries_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCarrierService_formattedName(ctx context.Context, field graphql.CollectedField, obj *DeliveryCarrierService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCarrierService_formattedName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FormattedName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCarrierService_formattedName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCarrierService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCarrierService_icon(ctx context.Context, field graphql.CollectedField, obj *DeliveryCarrierService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCarrierService_icon(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Icon, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalNImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCarrierService_icon(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCarrierService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCarrierService_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryCarrierService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCarrierService_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCarrierService_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCarrierService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCarrierService_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryCarrierService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCarrierService_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCarrierService_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCarrierService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCondition_conditionCriteria(ctx context.Context, field graphql.CollectedField, obj *DeliveryCondition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCondition_conditionCriteria(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ConditionCriteria, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DeliveryConditionCriteria)
	fc.Result = res
	return ec.marshalNDeliveryConditionCriteria2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionCriteria(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCondition_conditionCriteria(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCondition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DeliveryConditionCriteria does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCondition_field(ctx context.Context, field graphql.CollectedField, obj *DeliveryCondition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCondition_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DeliveryConditionField)
	fc.Result = res
	return ec.marshalNDeliveryConditionField2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionField(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCondition_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCondition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DeliveryConditionField does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCondition_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryCondition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCondition_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCondition_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCondition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCondition_operator(ctx context.Context, field graphql.CollectedField, obj *DeliveryCondition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCondition_operator(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Operator, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DeliveryConditionOperator)
	fc.Result = res
	return ec.marshalNDeliveryConditionOperator2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionOperator(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCondition_operator(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCondition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DeliveryConditionOperator does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountry_code(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountry) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountry_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryCountryCodeOrRestOfWorld)
	fc.Result = res
	return ec.marshalNDeliveryCountryCodeOrRestOfWorld2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryCodeOrRestOfWorld(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountry_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountry",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCode":
				return ec.fieldContext_DeliveryCountryCodeOrRestOfWorld_countryCode(ctx, field)
			case "restOfWorld":
				return ec.fieldContext_DeliveryCountryCodeOrRestOfWorld_restOfWorld(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCountryCodeOrRestOfWorld", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountry_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountry) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountry_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountry_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountry",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountry_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountry) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountry_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountry_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountry",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountry_provinces(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountry) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountry_provinces(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Provinces, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryProvince)
	fc.Result = res
	return ec.marshalNDeliveryProvince2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProvinceᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountry_provinces(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountry",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_DeliveryProvince_code(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryProvince_id(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryProvince_name(ctx, field)
			case "translatedName":
				return ec.fieldContext_DeliveryProvince_translatedName(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryProvince", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountry_translatedName(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountry) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountry_translatedName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TranslatedName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountry_translatedName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountry",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountryAndZone_country(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountryAndZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountryAndZone_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryCountry)
	fc.Result = res
	return ec.marshalNDeliveryCountry2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountry(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountryAndZone_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountryAndZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_DeliveryCountry_code(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryCountry_id(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryCountry_name(ctx, field)
			case "provinces":
				return ec.fieldContext_DeliveryCountry_provinces(ctx, field)
			case "translatedName":
				return ec.fieldContext_DeliveryCountry_translatedName(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCountry", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountryAndZone_zone(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountryAndZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountryAndZone_zone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountryAndZone_zone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountryAndZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountryCodeOrRestOfWorld_countryCode(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountryCodeOrRestOfWorld) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountryCodeOrRestOfWorld_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountryCodeOrRestOfWorld_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountryCodeOrRestOfWorld",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountryCodeOrRestOfWorld_restOfWorld(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountryCodeOrRestOfWorld) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountryCodeOrRestOfWorld_restOfWorld(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RestOfWorld, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountryCodeOrRestOfWorld_restOfWorld(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountryCodeOrRestOfWorld",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountryCodesOrRestOfWorld_countryCodes(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountryCodesOrRestOfWorld) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountryCodesOrRestOfWorld_countryCodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountryCodesOrRestOfWorld_countryCodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountryCodesOrRestOfWorld",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryCountryCodesOrRestOfWorld_restOfWorld(ctx context.Context, field graphql.CollectedField, obj *DeliveryCountryCodesOrRestOfWorld) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryCountryCodesOrRestOfWorld_restOfWorld(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RestOfWorld, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryCountryCodesOrRestOfWorld_restOfWorld(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryCountryCodesOrRestOfWorld",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroup_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroup_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroup_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroup_locations(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroup_locations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LocationConnection)
	fc.Result = res
	return ec.marshalNLocationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroup_locations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_LocationConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_LocationConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_LocationConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocationConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DeliveryLocationGroup_locations_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZone_methodDefinitionCounts(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZone_methodDefinitionCounts(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MethodDefinitionCounts, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryMethodDefinitionCounts)
	fc.Result = res
	return ec.marshalNDeliveryMethodDefinitionCounts2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionCounts(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZone_methodDefinitionCounts(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "participantDefinitionsCount":
				return ec.fieldContext_DeliveryMethodDefinitionCounts_participantDefinitionsCount(ctx, field)
			case "rateDefinitionsCount":
				return ec.fieldContext_DeliveryMethodDefinitionCounts_rateDefinitionsCount(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryMethodDefinitionCounts", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZone_methodDefinitions(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZone_methodDefinitions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MethodDefinitions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryMethodDefinitionConnection)
	fc.Result = res
	return ec.marshalNDeliveryMethodDefinitionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZone_methodDefinitions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DeliveryMethodDefinitionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DeliveryMethodDefinitionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DeliveryMethodDefinitionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryMethodDefinitionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DeliveryLocationGroupZone_methodDefinitions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZone_zone(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZone_zone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryZone)
	fc.Result = res
	return ec.marshalNDeliveryZone2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryZone(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZone_zone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countries":
				return ec.fieldContext_DeliveryZone_countries(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryZone_id(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryZone_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryZone", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZoneConnection_edges(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZoneConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZoneConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryLocationGroupZoneEdge)
	fc.Result = res
	return ec.marshalNDeliveryLocationGroupZoneEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZoneConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZoneConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_DeliveryLocationGroupZoneEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_DeliveryLocationGroupZoneEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryLocationGroupZoneEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZoneConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZoneConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZoneConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryLocationGroupZone)
	fc.Result = res
	return ec.marshalNDeliveryLocationGroupZone2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZoneConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZoneConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "methodDefinitionCounts":
				return ec.fieldContext_DeliveryLocationGroupZone_methodDefinitionCounts(ctx, field)
			case "methodDefinitions":
				return ec.fieldContext_DeliveryLocationGroupZone_methodDefinitions(ctx, field)
			case "zone":
				return ec.fieldContext_DeliveryLocationGroupZone_zone(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryLocationGroupZone", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZoneConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZoneConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZoneConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZoneConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZoneConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZoneEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZoneEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZoneEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZoneEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZoneEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryLocationGroupZoneEdge_node(ctx context.Context, field graphql.CollectedField, obj *DeliveryLocationGroupZoneEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryLocationGroupZoneEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryLocationGroupZone)
	fc.Result = res
	return ec.marshalNDeliveryLocationGroupZone2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZone(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryLocationGroupZoneEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryLocationGroupZoneEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "methodDefinitionCounts":
				return ec.fieldContext_DeliveryLocationGroupZone_methodDefinitionCounts(ctx, field)
			case "methodDefinitions":
				return ec.fieldContext_DeliveryLocationGroupZone_methodDefinitions(ctx, field)
			case "zone":
				return ec.fieldContext_DeliveryLocationGroupZone_zone(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryLocationGroupZone", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethod_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethod_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethod_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethod_maxDeliveryDateTime(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethod_maxDeliveryDateTime(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaxDeliveryDateTime, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethod_maxDeliveryDateTime(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethod_methodType(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethod_methodType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MethodType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DeliveryMethodType)
	fc.Result = res
	return ec.marshalNDeliveryMethodType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethod_methodType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DeliveryMethodType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethod_minDeliveryDateTime(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethod) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethod_minDeliveryDateTime(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MinDeliveryDateTime, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethod_minDeliveryDateTime(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethod",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinition_active(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinition_active(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Active, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinition_active(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinition_description(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinition_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinition_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinition_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinition_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinition_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinition_methodConditions(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinition_methodConditions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MethodConditions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryCondition)
	fc.Result = res
	return ec.marshalNDeliveryCondition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinition_methodConditions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "conditionCriteria":
				return ec.fieldContext_DeliveryCondition_conditionCriteria(ctx, field)
			case "field":
				return ec.fieldContext_DeliveryCondition_field(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryCondition_id(ctx, field)
			case "operator":
				return ec.fieldContext_DeliveryCondition_operator(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCondition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinition_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinition_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinition_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinition_rateProvider(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinition_rateProvider(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RateProvider, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DeliveryRateProvider)
	fc.Result = res
	return ec.marshalNDeliveryRateProvider2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryRateProvider(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinition_rateProvider(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DeliveryRateProvider does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinitionConnection_edges(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinitionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinitionConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryMethodDefinitionEdge)
	fc.Result = res
	return ec.marshalNDeliveryMethodDefinitionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinitionConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinitionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_DeliveryMethodDefinitionEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_DeliveryMethodDefinitionEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryMethodDefinitionEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinitionConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinitionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinitionConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryMethodDefinition)
	fc.Result = res
	return ec.marshalNDeliveryMethodDefinition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinitionConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinitionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_DeliveryMethodDefinition_active(ctx, field)
			case "description":
				return ec.fieldContext_DeliveryMethodDefinition_description(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryMethodDefinition_id(ctx, field)
			case "methodConditions":
				return ec.fieldContext_DeliveryMethodDefinition_methodConditions(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryMethodDefinition_name(ctx, field)
			case "rateProvider":
				return ec.fieldContext_DeliveryMethodDefinition_rateProvider(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryMethodDefinition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinitionConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinitionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinitionConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinitionConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinitionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinitionCounts_participantDefinitionsCount(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinitionCounts) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinitionCounts_participantDefinitionsCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ParticipantDefinitionsCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinitionCounts_participantDefinitionsCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinitionCounts",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinitionCounts_rateDefinitionsCount(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinitionCounts) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinitionCounts_rateDefinitionsCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RateDefinitionsCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinitionCounts_rateDefinitionsCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinitionCounts",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinitionEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinitionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinitionEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinitionEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinitionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryMethodDefinitionEdge_node(ctx context.Context, field graphql.CollectedField, obj *DeliveryMethodDefinitionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryMethodDefinitionEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryMethodDefinition)
	fc.Result = res
	return ec.marshalNDeliveryMethodDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinition(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryMethodDefinitionEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryMethodDefinitionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_DeliveryMethodDefinition_active(ctx, field)
			case "description":
				return ec.fieldContext_DeliveryMethodDefinition_description(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryMethodDefinition_id(ctx, field)
			case "methodConditions":
				return ec.fieldContext_DeliveryMethodDefinition_methodConditions(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryMethodDefinition_name(ctx, field)
			case "rateProvider":
				return ec.fieldContext_DeliveryMethodDefinition_rateProvider(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryMethodDefinition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipant_adaptToNewServicesFlag(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipant) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipant_adaptToNewServicesFlag(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdaptToNewServicesFlag, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipant_adaptToNewServicesFlag(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipant",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipant_carrierService(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipant) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipant_carrierService(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CarrierService, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryCarrierService)
	fc.Result = res
	return ec.marshalNDeliveryCarrierService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCarrierService(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipant_carrierService(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipant",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "availableServicesForCountries":
				return ec.fieldContext_DeliveryCarrierService_availableServicesForCountries(ctx, field)
			case "formattedName":
				return ec.fieldContext_DeliveryCarrierService_formattedName(ctx, field)
			case "icon":
				return ec.fieldContext_DeliveryCarrierService_icon(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryCarrierService_id(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryCarrierService_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCarrierService", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipant_fixedFee(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipant) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipant_fixedFee(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FixedFee, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalOMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipant_fixedFee(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipant",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipant_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipant) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipant_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipant_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipant",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipant_participantServices(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipant) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipant_participantServices(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ParticipantServices, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryParticipantService)
	fc.Result = res
	return ec.marshalNDeliveryParticipantService2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryParticipantServiceᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipant_participantServices(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipant",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_DeliveryParticipantService_active(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryParticipantService_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryParticipantService", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipant_percentageOfRateFee(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipant) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipant_percentageOfRateFee(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PercentageOfRateFee, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipant_percentageOfRateFee(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipant",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipantService_active(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipantService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipantService_active(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Active, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipantService_active(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipantService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryParticipantService_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryParticipantService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryParticipantService_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryParticipantService_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryParticipantService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProductVariantsCount_capped(ctx context.Context, field graphql.CollectedField, obj *DeliveryProductVariantsCount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProductVariantsCount_capped(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Capped, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProductVariantsCount_capped(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProductVariantsCount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProductVariantsCount_count(ctx context.Context, field graphql.CollectedField, obj *DeliveryProductVariantsCount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProductVariantsCount_count(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Count, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProductVariantsCount_count(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProductVariantsCount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_activeMethodDefinitionsCount(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_activeMethodDefinitionsCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ActiveMethodDefinitionsCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_activeMethodDefinitionsCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_default(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_default(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Default, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_default(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_legacyMode(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_legacyMode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyMode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_legacyMode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_locationsWithoutRatesCount(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_locationsWithoutRatesCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocationsWithoutRatesCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_locationsWithoutRatesCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_originLocationCount(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_originLocationCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginLocationCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_originLocationCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_productVariantsCountV2(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_productVariantsCountV2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductVariantsCountV2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryProductVariantsCount)
	fc.Result = res
	return ec.marshalNDeliveryProductVariantsCount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProductVariantsCount(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_productVariantsCountV2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "capped":
				return ec.fieldContext_DeliveryProductVariantsCount_capped(ctx, field)
			case "count":
				return ec.fieldContext_DeliveryProductVariantsCount_count(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryProductVariantsCount", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_profileItems(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_profileItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProfileItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryProfileItemConnection)
	fc.Result = res
	return ec.marshalNDeliveryProfileItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_profileItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DeliveryProfileItemConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DeliveryProfileItemConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DeliveryProfileItemConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryProfileItemConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DeliveryProfile_profileItems_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_profileLocationGroups(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_profileLocationGroups(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProfileLocationGroups, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryProfileLocationGroup)
	fc.Result = res
	return ec.marshalNDeliveryProfileLocationGroup2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileLocationGroupᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_profileLocationGroups(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countriesInAnyZone":
				return ec.fieldContext_DeliveryProfileLocationGroup_countriesInAnyZone(ctx, field)
			case "locationGroup":
				return ec.fieldContext_DeliveryProfileLocationGroup_locationGroup(ctx, field)
			case "locationGroupZones":
				return ec.fieldContext_DeliveryProfileLocationGroup_locationGroupZones(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryProfileLocationGroup", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_sellingPlanGroups(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_sellingPlanGroups(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SellingPlanGroups, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SellingPlanGroupConnection)
	fc.Result = res
	return ec.marshalNSellingPlanGroupConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_sellingPlanGroups(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SellingPlanGroupConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SellingPlanGroupConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SellingPlanGroupConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanGroupConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DeliveryProfile_sellingPlanGroups_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_unassignedLocations(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_unassignedLocations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UnassignedLocations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Location)
	fc.Result = res
	return ec.marshalNLocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_unassignedLocations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfile_zoneCountryCount(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfile_zoneCountryCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ZoneCountryCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfile_zoneCountryCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItem_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItem_product(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItem_product(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Product, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Product)
	fc.Result = res
	return ec.marshalNProduct2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProduct(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItem_product(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Product_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Product", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItem_variants(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItem_variants(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Variants, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductVariantConnection)
	fc.Result = res
	return ec.marshalNProductVariantConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItem_variants(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_ProductVariantConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_ProductVariantConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_ProductVariantConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariantConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DeliveryProfileItem_variants_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItemConnection_edges(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItemConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryProfileItemEdge)
	fc.Result = res
	return ec.marshalNDeliveryProfileItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItemConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_DeliveryProfileItemEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_DeliveryProfileItemEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryProfileItemEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItemConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItemConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryProfileItem)
	fc.Result = res
	return ec.marshalNDeliveryProfileItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItemConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_DeliveryProfileItem_id(ctx, field)
			case "product":
				return ec.fieldContext_DeliveryProfileItem_product(ctx, field)
			case "variants":
				return ec.fieldContext_DeliveryProfileItem_variants(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryProfileItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItemConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItemEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItemEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItemEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileItemEdge_node(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileItemEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryProfileItem)
	fc.Result = res
	return ec.marshalNDeliveryProfileItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileItemEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_DeliveryProfileItem_id(ctx, field)
			case "product":
				return ec.fieldContext_DeliveryProfileItem_product(ctx, field)
			case "variants":
				return ec.fieldContext_DeliveryProfileItem_variants(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryProfileItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileLocationGroup_countriesInAnyZone(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileLocationGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileLocationGroup_countriesInAnyZone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountriesInAnyZone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryCountryAndZone)
	fc.Result = res
	return ec.marshalNDeliveryCountryAndZone2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryAndZoneᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileLocationGroup_countriesInAnyZone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileLocationGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "country":
				return ec.fieldContext_DeliveryCountryAndZone_country(ctx, field)
			case "zone":
				return ec.fieldContext_DeliveryCountryAndZone_zone(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCountryAndZone", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileLocationGroup_locationGroup(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileLocationGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileLocationGroup_locationGroup(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocationGroup, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryLocationGroup)
	fc.Result = res
	return ec.marshalNDeliveryLocationGroup2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroup(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileLocationGroup_locationGroup(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileLocationGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_DeliveryLocationGroup_id(ctx, field)
			case "locations":
				return ec.fieldContext_DeliveryLocationGroup_locations(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryLocationGroup", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProfileLocationGroup_locationGroupZones(ctx context.Context, field graphql.CollectedField, obj *DeliveryProfileLocationGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProfileLocationGroup_locationGroupZones(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocationGroupZones, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DeliveryLocationGroupZoneConnection)
	fc.Result = res
	return ec.marshalNDeliveryLocationGroupZoneConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProfileLocationGroup_locationGroupZones(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProfileLocationGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DeliveryLocationGroupZoneConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DeliveryLocationGroupZoneConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DeliveryLocationGroupZoneConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryLocationGroupZoneConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DeliveryProfileLocationGroup_locationGroupZones_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProvince_code(ctx context.Context, field graphql.CollectedField, obj *DeliveryProvince) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProvince_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProvince_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProvince",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProvince_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryProvince) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProvince_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProvince_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProvince",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProvince_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryProvince) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProvince_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProvince_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProvince",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryProvince_translatedName(ctx context.Context, field graphql.CollectedField, obj *DeliveryProvince) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryProvince_translatedName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TranslatedName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryProvince_translatedName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryProvince",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryRateDefinition_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryRateDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryRateDefinition_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryRateDefinition_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryRateDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryRateDefinition_price(ctx context.Context, field graphql.CollectedField, obj *DeliveryRateDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryRateDefinition_price(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Price, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryRateDefinition_price(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryRateDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryZone_countries(ctx context.Context, field graphql.CollectedField, obj *DeliveryZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryZone_countries(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Countries, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DeliveryCountry)
	fc.Result = res
	return ec.marshalNDeliveryCountry2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryZone_countries(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_DeliveryCountry_code(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryCountry_id(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryCountry_name(ctx, field)
			case "provinces":
				return ec.fieldContext_DeliveryCountry_provinces(ctx, field)
			case "translatedName":
				return ec.fieldContext_DeliveryCountry_translatedName(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCountry", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryZone_id(ctx context.Context, field graphql.CollectedField, obj *DeliveryZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryZone_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryZone_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DeliveryZone_name(ctx context.Context, field graphql.CollectedField, obj *DeliveryZone) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DeliveryZone_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DeliveryZone_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DeliveryZone",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountAllocation_allocatedAmountSet(ctx context.Context, field graphql.CollectedField, obj *DiscountAllocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountAllocation_allocatedAmountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AllocatedAmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountAllocation_allocatedAmountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountAllocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountAllocation_discountApplication(ctx context.Context, field graphql.CollectedField, obj *DiscountAllocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountAllocation_discountApplication(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountApplication, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplication)
	fc.Result = res
	return ec.marshalNDiscountApplication2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountAllocation_discountApplication(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountAllocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountApplicationConnection_edges(ctx context.Context, field graphql.CollectedField, obj *DiscountApplicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountApplicationConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DiscountApplicationEdge)
	fc.Result = res
	return ec.marshalNDiscountApplicationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountApplicationConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountApplicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_DiscountApplicationEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_DiscountApplicationEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DiscountApplicationEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountApplicationConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *DiscountApplicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountApplicationConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]DiscountApplication)
	fc.Result = res
	return ec.marshalNDiscountApplication2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountApplicationConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountApplicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountApplicationConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *DiscountApplicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountApplicationConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountApplicationConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountApplicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountApplicationEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *DiscountApplicationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountApplicationEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountApplicationEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountApplicationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountApplicationEdge_node(ctx context.Context, field graphql.CollectedField, obj *DiscountApplicationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountApplicationEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplication)
	fc.Result = res
	return ec.marshalNDiscountApplication2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountApplicationEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountApplicationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountCodeApplication_allocationMethod(ctx context.Context, field graphql.CollectedField, obj *DiscountCodeApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountCodeApplication_allocationMethod(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AllocationMethod, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationAllocationMethod)
	fc.Result = res
	return ec.marshalNDiscountApplicationAllocationMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationAllocationMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountCodeApplication_allocationMethod(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountCodeApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationAllocationMethod does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountCodeApplication_code(ctx context.Context, field graphql.CollectedField, obj *DiscountCodeApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountCodeApplication_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountCodeApplication_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountCodeApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountCodeApplication_index(ctx context.Context, field graphql.CollectedField, obj *DiscountCodeApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountCodeApplication_index(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Index, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountCodeApplication_index(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountCodeApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountCodeApplication_targetSelection(ctx context.Context, field graphql.CollectedField, obj *DiscountCodeApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountCodeApplication_targetSelection(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetSelection, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetSelection)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetSelection2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetSelection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountCodeApplication_targetSelection(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountCodeApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetSelection does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountCodeApplication_targetType(ctx context.Context, field graphql.CollectedField, obj *DiscountCodeApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountCodeApplication_targetType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetType)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountCodeApplication_targetType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountCodeApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DiscountCodeApplication_value(ctx context.Context, field graphql.CollectedField, obj *DiscountCodeApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DiscountCodeApplication_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PricingValue)
	fc.Result = res
	return ec.marshalNPricingValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPricingValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DiscountCodeApplication_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DiscountCodeApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PricingValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Domain_host(ctx context.Context, field graphql.CollectedField, obj *Domain) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Domain_host(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Host, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Domain_host(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Domain",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Domain_id(ctx context.Context, field graphql.CollectedField, obj *Domain) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Domain_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Domain_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Domain",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Domain_localization(ctx context.Context, field graphql.CollectedField, obj *Domain) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Domain_localization(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Localization, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*DomainLocalization)
	fc.Result = res
	return ec.marshalODomainLocalization2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDomainLocalization(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Domain_localization(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Domain",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "alternateLocales":
				return ec.fieldContext_DomainLocalization_alternateLocales(ctx, field)
			case "country":
				return ec.fieldContext_DomainLocalization_country(ctx, field)
			case "defaultLocale":
				return ec.fieldContext_DomainLocalization_defaultLocale(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DomainLocalization", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Domain_marketWebPresence(ctx context.Context, field graphql.CollectedField, obj *Domain) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Domain_marketWebPresence(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketWebPresence, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MarketWebPresence)
	fc.Result = res
	return ec.marshalOMarketWebPresence2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketWebPresence(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Domain_marketWebPresence(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Domain",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_MarketWebPresence_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MarketWebPresence", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Domain_sslEnabled(ctx context.Context, field graphql.CollectedField, obj *Domain) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Domain_sslEnabled(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SslEnabled, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Domain_sslEnabled(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Domain",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Domain_url(ctx context.Context, field graphql.CollectedField, obj *Domain) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Domain_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Domain_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Domain",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DomainLocalization_alternateLocales(ctx context.Context, field graphql.CollectedField, obj *DomainLocalization) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DomainLocalization_alternateLocales(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AlternateLocales, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DomainLocalization_alternateLocales(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DomainLocalization",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DomainLocalization_country(ctx context.Context, field graphql.CollectedField, obj *DomainLocalization) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DomainLocalization_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DomainLocalization_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DomainLocalization",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DomainLocalization_defaultLocale(ctx context.Context, field graphql.CollectedField, obj *DomainLocalization) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DomainLocalization_defaultLocale(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DefaultLocale, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DomainLocalization_defaultLocale(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DomainLocalization",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_appliedDiscount(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_appliedDiscount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliedDiscount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*DraftOrderAppliedDiscount)
	fc.Result = res
	return ec.marshalODraftOrderAppliedDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderAppliedDiscount(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_appliedDiscount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amountSet":
				return ec.fieldContext_DraftOrderAppliedDiscount_amountSet(ctx, field)
			case "amountV2":
				return ec.fieldContext_DraftOrderAppliedDiscount_amountV2(ctx, field)
			case "description":
				return ec.fieldContext_DraftOrderAppliedDiscount_description(ctx, field)
			case "title":
				return ec.fieldContext_DraftOrderAppliedDiscount_title(ctx, field)
			case "value":
				return ec.fieldContext_DraftOrderAppliedDiscount_value(ctx, field)
			case "valueType":
				return ec.fieldContext_DraftOrderAppliedDiscount_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderAppliedDiscount", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_billingAddress(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_billingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MailingAddress)
	fc.Result = res
	return ec.marshalOMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMailingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_billingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_MailingAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_MailingAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_MailingAddress_city(ctx, field)
			case "company":
				return ec.fieldContext_MailingAddress_company(ctx, field)
			case "coordinatesValidated":
				return ec.fieldContext_MailingAddress_coordinatesValidated(ctx, field)
			case "country":
				return ec.fieldContext_MailingAddress_country(ctx, field)
			case "countryCodeV2":
				return ec.fieldContext_MailingAddress_countryCodeV2(ctx, field)
			case "firstName":
				return ec.fieldContext_MailingAddress_firstName(ctx, field)
			case "formattedArea":
				return ec.fieldContext_MailingAddress_formattedArea(ctx, field)
			case "id":
				return ec.fieldContext_MailingAddress_id(ctx, field)
			case "lastName":
				return ec.fieldContext_MailingAddress_lastName(ctx, field)
			case "latitude":
				return ec.fieldContext_MailingAddress_latitude(ctx, field)
			case "longitude":
				return ec.fieldContext_MailingAddress_longitude(ctx, field)
			case "name":
				return ec.fieldContext_MailingAddress_name(ctx, field)
			case "phone":
				return ec.fieldContext_MailingAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_MailingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_MailingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_MailingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MailingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_billingAddressMatchesShippingAddress(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_billingAddressMatchesShippingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddressMatchesShippingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_billingAddressMatchesShippingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_completedAt(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_completedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompletedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_completedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_createdAt(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_currencyCode(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_currencyCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrencyCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_currencyCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_customAttributes(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_customAttributes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomAttributes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Attribute)
	fc.Result = res
	return ec.marshalNAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttributeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_customAttributes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_Attribute_key(ctx, field)
			case "value":
				return ec.fieldContext_Attribute_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Attribute", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_customer(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_customer(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Customer, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Customer)
	fc.Result = res
	return ec.marshalOCustomer2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomer(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_customer(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Customer_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Customer", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_defaultCursor(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_defaultCursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DefaultCursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_defaultCursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_email(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_email(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Email, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_email(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_events(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_events(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Events, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*EventConnection)
	fc.Result = res
	return ec.marshalNEventConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_events(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_EventConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_EventConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_EventConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type EventConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DraftOrder_events_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_hasTimelineComment(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_hasTimelineComment(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasTimelineComment, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_hasTimelineComment(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_id(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_invoiceEmailTemplateSubject(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_invoiceEmailTemplateSubject(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InvoiceEmailTemplateSubject, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_invoiceEmailTemplateSubject(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_invoiceSentAt(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_invoiceSentAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InvoiceSentAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_invoiceSentAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_invoiceUrl(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_invoiceUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InvoiceURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_invoiceUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_lineItems(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_lineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DraftOrderLineItemConnection)
	fc.Result = res
	return ec.marshalNDraftOrderLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_lineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DraftOrderLineItemConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DraftOrderLineItemConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DraftOrderLineItemConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderLineItemConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DraftOrder_lineItems_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_lineItemsSubtotalPrice(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_lineItemsSubtotalPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItemsSubtotalPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_lineItemsSubtotalPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_localizationExtensions(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_localizationExtensions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocalizationExtensions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LocalizationExtensionConnection)
	fc.Result = res
	return ec.marshalNLocalizationExtensionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_localizationExtensions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_LocalizationExtensionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_LocalizationExtensionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_LocalizationExtensionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocalizationExtensionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DraftOrder_localizationExtensions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_marketName(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_marketName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_marketName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_marketRegionCountryCode(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_marketRegionCountryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketRegionCountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_marketRegionCountryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_metafield(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_metafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Metafield)
	fc.Result = res
	return ec.marshalOMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_metafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Metafield_createdAt(ctx, field)
			case "definition":
				return ec.fieldContext_Metafield_definition(ctx, field)
			case "description":
				return ec.fieldContext_Metafield_description(ctx, field)
			case "id":
				return ec.fieldContext_Metafield_id(ctx, field)
			case "key":
				return ec.fieldContext_Metafield_key(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Metafield_legacyResourceId(ctx, field)
			case "namespace":
				return ec.fieldContext_Metafield_namespace(ctx, field)
			case "owner":
				return ec.fieldContext_Metafield_owner(ctx, field)
			case "ownerType":
				return ec.fieldContext_Metafield_ownerType(ctx, field)
			case "reference":
				return ec.fieldContext_Metafield_reference(ctx, field)
			case "references":
				return ec.fieldContext_Metafield_references(ctx, field)
			case "type":
				return ec.fieldContext_Metafield_type(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Metafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_Metafield_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Metafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DraftOrder_metafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_metafields(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_metafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldConnection)
	fc.Result = res
	return ec.marshalNMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_metafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DraftOrder_metafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_name(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_note2(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_note2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Note2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_note2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_order(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_order(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Order, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalOOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_order(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_paymentTerms(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_paymentTerms(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentTerms, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PaymentTerms)
	fc.Result = res
	return ec.marshalOPaymentTerms2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTerms(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_paymentTerms(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "dueInDays":
				return ec.fieldContext_PaymentTerms_dueInDays(ctx, field)
			case "id":
				return ec.fieldContext_PaymentTerms_id(ctx, field)
			case "overdue":
				return ec.fieldContext_PaymentTerms_overdue(ctx, field)
			case "paymentSchedules":
				return ec.fieldContext_PaymentTerms_paymentSchedules(ctx, field)
			case "paymentTermsName":
				return ec.fieldContext_PaymentTerms_paymentTermsName(ctx, field)
			case "paymentTermsType":
				return ec.fieldContext_PaymentTerms_paymentTermsType(ctx, field)
			case "translatedName":
				return ec.fieldContext_PaymentTerms_translatedName(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentTerms", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_phone(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_presentmentCurrencyCode(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_presentmentCurrencyCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PresentmentCurrencyCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_presentmentCurrencyCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_privateMetafield(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_privateMetafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafield)
	fc.Result = res
	return ec.marshalOPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_privateMetafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_PrivateMetafield_id(ctx, field)
			case "key":
				return ec.fieldContext_PrivateMetafield_key(ctx, field)
			case "namespace":
				return ec.fieldContext_PrivateMetafield_namespace(ctx, field)
			case "updatedAt":
				return ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_PrivateMetafield_value(ctx, field)
			case "valueType":
				return ec.fieldContext_PrivateMetafield_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DraftOrder_privateMetafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_privateMetafields(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_privateMetafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafieldConnection)
	fc.Result = res
	return ec.marshalNPrivateMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_privateMetafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_PrivateMetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_PrivateMetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_PrivateMetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_DraftOrder_privateMetafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_purchasingEntity(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_purchasingEntity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PurchasingEntity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(PurchasingEntity)
	fc.Result = res
	return ec.marshalOPurchasingEntity2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPurchasingEntity(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_purchasingEntity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PurchasingEntity does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_ready(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_ready(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Ready, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_ready(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_reserveInventoryUntil(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_reserveInventoryUntil(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ReserveInventoryUntil, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_reserveInventoryUntil(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_shippingAddress(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_shippingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MailingAddress)
	fc.Result = res
	return ec.marshalOMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMailingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_shippingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_MailingAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_MailingAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_MailingAddress_city(ctx, field)
			case "company":
				return ec.fieldContext_MailingAddress_company(ctx, field)
			case "coordinatesValidated":
				return ec.fieldContext_MailingAddress_coordinatesValidated(ctx, field)
			case "country":
				return ec.fieldContext_MailingAddress_country(ctx, field)
			case "countryCodeV2":
				return ec.fieldContext_MailingAddress_countryCodeV2(ctx, field)
			case "firstName":
				return ec.fieldContext_MailingAddress_firstName(ctx, field)
			case "formattedArea":
				return ec.fieldContext_MailingAddress_formattedArea(ctx, field)
			case "id":
				return ec.fieldContext_MailingAddress_id(ctx, field)
			case "lastName":
				return ec.fieldContext_MailingAddress_lastName(ctx, field)
			case "latitude":
				return ec.fieldContext_MailingAddress_latitude(ctx, field)
			case "longitude":
				return ec.fieldContext_MailingAddress_longitude(ctx, field)
			case "name":
				return ec.fieldContext_MailingAddress_name(ctx, field)
			case "phone":
				return ec.fieldContext_MailingAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_MailingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_MailingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_MailingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MailingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_shippingLine(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_shippingLine(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingLine, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ShippingLine)
	fc.Result = res
	return ec.marshalOShippingLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLine(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_shippingLine(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "carrierIdentifier":
				return ec.fieldContext_ShippingLine_carrierIdentifier(ctx, field)
			case "code":
				return ec.fieldContext_ShippingLine_code(ctx, field)
			case "custom":
				return ec.fieldContext_ShippingLine_custom(ctx, field)
			case "deliveryCategory":
				return ec.fieldContext_ShippingLine_deliveryCategory(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_ShippingLine_discountAllocations(ctx, field)
			case "discountedPriceSet":
				return ec.fieldContext_ShippingLine_discountedPriceSet(ctx, field)
			case "id":
				return ec.fieldContext_ShippingLine_id(ctx, field)
			case "originalPriceSet":
				return ec.fieldContext_ShippingLine_originalPriceSet(ctx, field)
			case "phone":
				return ec.fieldContext_ShippingLine_phone(ctx, field)
			case "requestedFulfillmentService":
				return ec.fieldContext_ShippingLine_requestedFulfillmentService(ctx, field)
			case "shippingRateHandle":
				return ec.fieldContext_ShippingLine_shippingRateHandle(ctx, field)
			case "source":
				return ec.fieldContext_ShippingLine_source(ctx, field)
			case "taxLines":
				return ec.fieldContext_ShippingLine_taxLines(ctx, field)
			case "title":
				return ec.fieldContext_ShippingLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShippingLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_status(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DraftOrderStatus)
	fc.Result = res
	return ec.marshalNDraftOrderStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DraftOrderStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_subtotalPrice(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_subtotalPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubtotalPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_subtotalPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_subtotalPriceSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_subtotalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubtotalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_subtotalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_tags(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_tags(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Tags, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_tags(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_taxExempt(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_taxExempt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxExempt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_taxExempt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_taxLines(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_taxLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_taxLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_taxesIncluded(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_taxesIncluded(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxesIncluded, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_taxesIncluded(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalDiscountsSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalDiscountsSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalDiscountsSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalDiscountsSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalLineItemsPriceSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalLineItemsPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalLineItemsPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalLineItemsPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalPrice(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalPriceSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalShippingPrice(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalShippingPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalShippingPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalShippingPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalShippingPriceSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalShippingPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalShippingPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalShippingPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalTax(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalTax(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalTax, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalTax(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalTaxSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalTaxSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalTaxSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalTaxSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_totalWeight(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_totalWeight(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalWeight, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_totalWeight(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_updatedAt(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrder_visibleToCustomer(ctx context.Context, field graphql.CollectedField, obj *DraftOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrder_visibleToCustomer(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VisibleToCustomer, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrder_visibleToCustomer(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderAppliedDiscount_amountSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrderAppliedDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderAppliedDiscount_amountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderAppliedDiscount_amountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderAppliedDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderAppliedDiscount_amountV2(ctx context.Context, field graphql.CollectedField, obj *DraftOrderAppliedDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderAppliedDiscount_amountV2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AmountV2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderAppliedDiscount_amountV2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderAppliedDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderAppliedDiscount_description(ctx context.Context, field graphql.CollectedField, obj *DraftOrderAppliedDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderAppliedDiscount_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderAppliedDiscount_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderAppliedDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderAppliedDiscount_title(ctx context.Context, field graphql.CollectedField, obj *DraftOrderAppliedDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderAppliedDiscount_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderAppliedDiscount_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderAppliedDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderAppliedDiscount_value(ctx context.Context, field graphql.CollectedField, obj *DraftOrderAppliedDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderAppliedDiscount_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderAppliedDiscount_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderAppliedDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderAppliedDiscount_valueType(ctx context.Context, field graphql.CollectedField, obj *DraftOrderAppliedDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderAppliedDiscount_valueType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ValueType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DraftOrderAppliedDiscountType)
	fc.Result = res
	return ec.marshalNDraftOrderAppliedDiscountType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderAppliedDiscountType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderAppliedDiscount_valueType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderAppliedDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DraftOrderAppliedDiscountType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderConnection_edges(ctx context.Context, field graphql.CollectedField, obj *DraftOrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DraftOrderEdge)
	fc.Result = res
	return ec.marshalNDraftOrderEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_DraftOrderEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_DraftOrderEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *DraftOrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DraftOrder)
	fc.Result = res
	return ec.marshalNDraftOrder2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appliedDiscount":
				return ec.fieldContext_DraftOrder_appliedDiscount(ctx, field)
			case "billingAddress":
				return ec.fieldContext_DraftOrder_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_DraftOrder_billingAddressMatchesShippingAddress(ctx, field)
			case "completedAt":
				return ec.fieldContext_DraftOrder_completedAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_DraftOrder_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_DraftOrder_currencyCode(ctx, field)
			case "customAttributes":
				return ec.fieldContext_DraftOrder_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_DraftOrder_customer(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_DraftOrder_defaultCursor(ctx, field)
			case "email":
				return ec.fieldContext_DraftOrder_email(ctx, field)
			case "events":
				return ec.fieldContext_DraftOrder_events(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_DraftOrder_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_DraftOrder_id(ctx, field)
			case "invoiceEmailTemplateSubject":
				return ec.fieldContext_DraftOrder_invoiceEmailTemplateSubject(ctx, field)
			case "invoiceSentAt":
				return ec.fieldContext_DraftOrder_invoiceSentAt(ctx, field)
			case "invoiceUrl":
				return ec.fieldContext_DraftOrder_invoiceUrl(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_DraftOrder_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_DraftOrder_lineItems(ctx, field)
			case "lineItemsSubtotalPrice":
				return ec.fieldContext_DraftOrder_lineItemsSubtotalPrice(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_DraftOrder_localizationExtensions(ctx, field)
			case "marketName":
				return ec.fieldContext_DraftOrder_marketName(ctx, field)
			case "marketRegionCountryCode":
				return ec.fieldContext_DraftOrder_marketRegionCountryCode(ctx, field)
			case "metafield":
				return ec.fieldContext_DraftOrder_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_DraftOrder_metafields(ctx, field)
			case "name":
				return ec.fieldContext_DraftOrder_name(ctx, field)
			case "note2":
				return ec.fieldContext_DraftOrder_note2(ctx, field)
			case "order":
				return ec.fieldContext_DraftOrder_order(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_DraftOrder_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_DraftOrder_phone(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_DraftOrder_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_DraftOrder_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_DraftOrder_privateMetafields(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_DraftOrder_purchasingEntity(ctx, field)
			case "ready":
				return ec.fieldContext_DraftOrder_ready(ctx, field)
			case "reserveInventoryUntil":
				return ec.fieldContext_DraftOrder_reserveInventoryUntil(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_DraftOrder_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_DraftOrder_shippingLine(ctx, field)
			case "status":
				return ec.fieldContext_DraftOrder_status(ctx, field)
			case "subtotalPrice":
				return ec.fieldContext_DraftOrder_subtotalPrice(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_DraftOrder_subtotalPriceSet(ctx, field)
			case "tags":
				return ec.fieldContext_DraftOrder_tags(ctx, field)
			case "taxExempt":
				return ec.fieldContext_DraftOrder_taxExempt(ctx, field)
			case "taxLines":
				return ec.fieldContext_DraftOrder_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_DraftOrder_taxesIncluded(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_DraftOrder_totalDiscountsSet(ctx, field)
			case "totalLineItemsPriceSet":
				return ec.fieldContext_DraftOrder_totalLineItemsPriceSet(ctx, field)
			case "totalPrice":
				return ec.fieldContext_DraftOrder_totalPrice(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_DraftOrder_totalPriceSet(ctx, field)
			case "totalShippingPrice":
				return ec.fieldContext_DraftOrder_totalShippingPrice(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_DraftOrder_totalShippingPriceSet(ctx, field)
			case "totalTax":
				return ec.fieldContext_DraftOrder_totalTax(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_DraftOrder_totalTaxSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_DraftOrder_totalWeight(ctx, field)
			case "updatedAt":
				return ec.fieldContext_DraftOrder_updatedAt(ctx, field)
			case "visibleToCustomer":
				return ec.fieldContext_DraftOrder_visibleToCustomer(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrder", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *DraftOrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *DraftOrderEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderEdge_node(ctx context.Context, field graphql.CollectedField, obj *DraftOrderEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DraftOrder)
	fc.Result = res
	return ec.marshalNDraftOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appliedDiscount":
				return ec.fieldContext_DraftOrder_appliedDiscount(ctx, field)
			case "billingAddress":
				return ec.fieldContext_DraftOrder_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_DraftOrder_billingAddressMatchesShippingAddress(ctx, field)
			case "completedAt":
				return ec.fieldContext_DraftOrder_completedAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_DraftOrder_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_DraftOrder_currencyCode(ctx, field)
			case "customAttributes":
				return ec.fieldContext_DraftOrder_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_DraftOrder_customer(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_DraftOrder_defaultCursor(ctx, field)
			case "email":
				return ec.fieldContext_DraftOrder_email(ctx, field)
			case "events":
				return ec.fieldContext_DraftOrder_events(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_DraftOrder_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_DraftOrder_id(ctx, field)
			case "invoiceEmailTemplateSubject":
				return ec.fieldContext_DraftOrder_invoiceEmailTemplateSubject(ctx, field)
			case "invoiceSentAt":
				return ec.fieldContext_DraftOrder_invoiceSentAt(ctx, field)
			case "invoiceUrl":
				return ec.fieldContext_DraftOrder_invoiceUrl(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_DraftOrder_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_DraftOrder_lineItems(ctx, field)
			case "lineItemsSubtotalPrice":
				return ec.fieldContext_DraftOrder_lineItemsSubtotalPrice(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_DraftOrder_localizationExtensions(ctx, field)
			case "marketName":
				return ec.fieldContext_DraftOrder_marketName(ctx, field)
			case "marketRegionCountryCode":
				return ec.fieldContext_DraftOrder_marketRegionCountryCode(ctx, field)
			case "metafield":
				return ec.fieldContext_DraftOrder_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_DraftOrder_metafields(ctx, field)
			case "name":
				return ec.fieldContext_DraftOrder_name(ctx, field)
			case "note2":
				return ec.fieldContext_DraftOrder_note2(ctx, field)
			case "order":
				return ec.fieldContext_DraftOrder_order(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_DraftOrder_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_DraftOrder_phone(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_DraftOrder_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_DraftOrder_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_DraftOrder_privateMetafields(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_DraftOrder_purchasingEntity(ctx, field)
			case "ready":
				return ec.fieldContext_DraftOrder_ready(ctx, field)
			case "reserveInventoryUntil":
				return ec.fieldContext_DraftOrder_reserveInventoryUntil(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_DraftOrder_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_DraftOrder_shippingLine(ctx, field)
			case "status":
				return ec.fieldContext_DraftOrder_status(ctx, field)
			case "subtotalPrice":
				return ec.fieldContext_DraftOrder_subtotalPrice(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_DraftOrder_subtotalPriceSet(ctx, field)
			case "tags":
				return ec.fieldContext_DraftOrder_tags(ctx, field)
			case "taxExempt":
				return ec.fieldContext_DraftOrder_taxExempt(ctx, field)
			case "taxLines":
				return ec.fieldContext_DraftOrder_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_DraftOrder_taxesIncluded(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_DraftOrder_totalDiscountsSet(ctx, field)
			case "totalLineItemsPriceSet":
				return ec.fieldContext_DraftOrder_totalLineItemsPriceSet(ctx, field)
			case "totalPrice":
				return ec.fieldContext_DraftOrder_totalPrice(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_DraftOrder_totalPriceSet(ctx, field)
			case "totalShippingPrice":
				return ec.fieldContext_DraftOrder_totalShippingPrice(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_DraftOrder_totalShippingPriceSet(ctx, field)
			case "totalTax":
				return ec.fieldContext_DraftOrder_totalTax(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_DraftOrder_totalTaxSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_DraftOrder_totalWeight(ctx, field)
			case "updatedAt":
				return ec.fieldContext_DraftOrder_updatedAt(ctx, field)
			case "visibleToCustomer":
				return ec.fieldContext_DraftOrder_visibleToCustomer(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrder", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_appliedDiscount(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_appliedDiscount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliedDiscount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*DraftOrderAppliedDiscount)
	fc.Result = res
	return ec.marshalODraftOrderAppliedDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderAppliedDiscount(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_appliedDiscount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amountSet":
				return ec.fieldContext_DraftOrderAppliedDiscount_amountSet(ctx, field)
			case "amountV2":
				return ec.fieldContext_DraftOrderAppliedDiscount_amountV2(ctx, field)
			case "description":
				return ec.fieldContext_DraftOrderAppliedDiscount_description(ctx, field)
			case "title":
				return ec.fieldContext_DraftOrderAppliedDiscount_title(ctx, field)
			case "value":
				return ec.fieldContext_DraftOrderAppliedDiscount_value(ctx, field)
			case "valueType":
				return ec.fieldContext_DraftOrderAppliedDiscount_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderAppliedDiscount", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_custom(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_custom(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Custom, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_custom(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_customAttributes(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_customAttributes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomAttributes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Attribute)
	fc.Result = res
	return ec.marshalNAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttributeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_customAttributes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_Attribute_key(ctx, field)
			case "value":
				return ec.fieldContext_Attribute_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Attribute", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_customAttributesV2(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_customAttributesV2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomAttributesV2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TypedAttribute)
	fc.Result = res
	return ec.marshalNTypedAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTypedAttributeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_customAttributesV2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_TypedAttribute_key(ctx, field)
			case "value":
				return ec.fieldContext_TypedAttribute_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TypedAttribute", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_discountedTotal(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_discountedTotal(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedTotal, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_discountedTotal(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_discountedTotalSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_discountedTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_discountedTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_discountedUnitPrice(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_discountedUnitPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedUnitPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_discountedUnitPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_discountedUnitPriceSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_discountedUnitPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedUnitPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_discountedUnitPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_fulfillmentService(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_fulfillmentService(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentService, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentService)
	fc.Result = res
	return ec.marshalOFulfillmentService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentService(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_fulfillmentService(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentService_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentService", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_id(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_image(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_image(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Image, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_image(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_isGiftCard(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_isGiftCard(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsGiftCard, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_isGiftCard(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_name(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_originalTotal(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_originalTotal(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalTotal, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_originalTotal(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_originalTotalSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_originalTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_originalTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_originalUnitPrice(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_originalUnitPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalUnitPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_originalUnitPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_originalUnitPriceSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_originalUnitPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalUnitPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_originalUnitPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_product(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_product(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Product, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Product)
	fc.Result = res
	return ec.marshalOProduct2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProduct(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_product(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Product_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Product", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_quantity(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_quantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Quantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_quantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_requiresShipping(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_requiresShipping(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequiresShipping, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_requiresShipping(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_sku(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_sku(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Sku, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_sku(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_taxLines(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_taxLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_taxLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_taxable(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_taxable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Taxable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_taxable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_title(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_totalDiscount(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_totalDiscount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalDiscount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNMoney2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_totalDiscount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Money does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_totalDiscountSet(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_totalDiscountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalDiscountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_totalDiscountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_variant(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_variant(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Variant, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariant)
	fc.Result = res
	return ec.marshalOProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_variant(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_ProductVariant_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariant", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_variantTitle(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_variantTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VariantTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_variantTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_vendor(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_vendor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Vendor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_vendor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItem_weight(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItem_weight(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Weight, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Weight)
	fc.Result = res
	return ec.marshalOWeight2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐWeight(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItem_weight(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "unit":
				return ec.fieldContext_Weight_unit(ctx, field)
			case "value":
				return ec.fieldContext_Weight_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Weight", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItemConnection_edges(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItemConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DraftOrderLineItemEdge)
	fc.Result = res
	return ec.marshalNDraftOrderLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItemConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_DraftOrderLineItemEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_DraftOrderLineItemEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderLineItemEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItemConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DraftOrderLineItem)
	fc.Result = res
	return ec.marshalNDraftOrderLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appliedDiscount":
				return ec.fieldContext_DraftOrderLineItem_appliedDiscount(ctx, field)
			case "custom":
				return ec.fieldContext_DraftOrderLineItem_custom(ctx, field)
			case "customAttributes":
				return ec.fieldContext_DraftOrderLineItem_customAttributes(ctx, field)
			case "customAttributesV2":
				return ec.fieldContext_DraftOrderLineItem_customAttributesV2(ctx, field)
			case "discountedTotal":
				return ec.fieldContext_DraftOrderLineItem_discountedTotal(ctx, field)
			case "discountedTotalSet":
				return ec.fieldContext_DraftOrderLineItem_discountedTotalSet(ctx, field)
			case "discountedUnitPrice":
				return ec.fieldContext_DraftOrderLineItem_discountedUnitPrice(ctx, field)
			case "discountedUnitPriceSet":
				return ec.fieldContext_DraftOrderLineItem_discountedUnitPriceSet(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_DraftOrderLineItem_fulfillmentService(ctx, field)
			case "id":
				return ec.fieldContext_DraftOrderLineItem_id(ctx, field)
			case "image":
				return ec.fieldContext_DraftOrderLineItem_image(ctx, field)
			case "isGiftCard":
				return ec.fieldContext_DraftOrderLineItem_isGiftCard(ctx, field)
			case "name":
				return ec.fieldContext_DraftOrderLineItem_name(ctx, field)
			case "originalTotal":
				return ec.fieldContext_DraftOrderLineItem_originalTotal(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_DraftOrderLineItem_originalTotalSet(ctx, field)
			case "originalUnitPrice":
				return ec.fieldContext_DraftOrderLineItem_originalUnitPrice(ctx, field)
			case "originalUnitPriceSet":
				return ec.fieldContext_DraftOrderLineItem_originalUnitPriceSet(ctx, field)
			case "product":
				return ec.fieldContext_DraftOrderLineItem_product(ctx, field)
			case "quantity":
				return ec.fieldContext_DraftOrderLineItem_quantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_DraftOrderLineItem_requiresShipping(ctx, field)
			case "sku":
				return ec.fieldContext_DraftOrderLineItem_sku(ctx, field)
			case "taxLines":
				return ec.fieldContext_DraftOrderLineItem_taxLines(ctx, field)
			case "taxable":
				return ec.fieldContext_DraftOrderLineItem_taxable(ctx, field)
			case "title":
				return ec.fieldContext_DraftOrderLineItem_title(ctx, field)
			case "totalDiscount":
				return ec.fieldContext_DraftOrderLineItem_totalDiscount(ctx, field)
			case "totalDiscountSet":
				return ec.fieldContext_DraftOrderLineItem_totalDiscountSet(ctx, field)
			case "variant":
				return ec.fieldContext_DraftOrderLineItem_variant(ctx, field)
			case "variantTitle":
				return ec.fieldContext_DraftOrderLineItem_variantTitle(ctx, field)
			case "vendor":
				return ec.fieldContext_DraftOrderLineItem_vendor(ctx, field)
			case "weight":
				return ec.fieldContext_DraftOrderLineItem_weight(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItemConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItemEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _DraftOrderLineItemEdge_node(ctx context.Context, field graphql.CollectedField, obj *DraftOrderLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_DraftOrderLineItemEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DraftOrderLineItem)
	fc.Result = res
	return ec.marshalNDraftOrderLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_DraftOrderLineItemEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "DraftOrderLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appliedDiscount":
				return ec.fieldContext_DraftOrderLineItem_appliedDiscount(ctx, field)
			case "custom":
				return ec.fieldContext_DraftOrderLineItem_custom(ctx, field)
			case "customAttributes":
				return ec.fieldContext_DraftOrderLineItem_customAttributes(ctx, field)
			case "customAttributesV2":
				return ec.fieldContext_DraftOrderLineItem_customAttributesV2(ctx, field)
			case "discountedTotal":
				return ec.fieldContext_DraftOrderLineItem_discountedTotal(ctx, field)
			case "discountedTotalSet":
				return ec.fieldContext_DraftOrderLineItem_discountedTotalSet(ctx, field)
			case "discountedUnitPrice":
				return ec.fieldContext_DraftOrderLineItem_discountedUnitPrice(ctx, field)
			case "discountedUnitPriceSet":
				return ec.fieldContext_DraftOrderLineItem_discountedUnitPriceSet(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_DraftOrderLineItem_fulfillmentService(ctx, field)
			case "id":
				return ec.fieldContext_DraftOrderLineItem_id(ctx, field)
			case "image":
				return ec.fieldContext_DraftOrderLineItem_image(ctx, field)
			case "isGiftCard":
				return ec.fieldContext_DraftOrderLineItem_isGiftCard(ctx, field)
			case "name":
				return ec.fieldContext_DraftOrderLineItem_name(ctx, field)
			case "originalTotal":
				return ec.fieldContext_DraftOrderLineItem_originalTotal(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_DraftOrderLineItem_originalTotalSet(ctx, field)
			case "originalUnitPrice":
				return ec.fieldContext_DraftOrderLineItem_originalUnitPrice(ctx, field)
			case "originalUnitPriceSet":
				return ec.fieldContext_DraftOrderLineItem_originalUnitPriceSet(ctx, field)
			case "product":
				return ec.fieldContext_DraftOrderLineItem_product(ctx, field)
			case "quantity":
				return ec.fieldContext_DraftOrderLineItem_quantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_DraftOrderLineItem_requiresShipping(ctx, field)
			case "sku":
				return ec.fieldContext_DraftOrderLineItem_sku(ctx, field)
			case "taxLines":
				return ec.fieldContext_DraftOrderLineItem_taxLines(ctx, field)
			case "taxable":
				return ec.fieldContext_DraftOrderLineItem_taxable(ctx, field)
			case "title":
				return ec.fieldContext_DraftOrderLineItem_title(ctx, field)
			case "totalDiscount":
				return ec.fieldContext_DraftOrderLineItem_totalDiscount(ctx, field)
			case "totalDiscountSet":
				return ec.fieldContext_DraftOrderLineItem_totalDiscountSet(ctx, field)
			case "variant":
				return ec.fieldContext_DraftOrderLineItem_variant(ctx, field)
			case "variantTitle":
				return ec.fieldContext_DraftOrderLineItem_variantTitle(ctx, field)
			case "vendor":
				return ec.fieldContext_DraftOrderLineItem_vendor(ctx, field)
			case "weight":
				return ec.fieldContext_DraftOrderLineItem_weight(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrderLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Duty_countryCodeOfOrigin(ctx context.Context, field graphql.CollectedField, obj *Duty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Duty_countryCodeOfOrigin(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCodeOfOrigin, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Duty_countryCodeOfOrigin(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Duty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Duty_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField, obj *Duty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Duty_harmonizedSystemCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HarmonizedSystemCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Duty_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Duty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Duty_id(ctx context.Context, field graphql.CollectedField, obj *Duty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Duty_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Duty_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Duty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Duty_price(ctx context.Context, field graphql.CollectedField, obj *Duty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Duty_price(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Price, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Duty_price(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Duty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Duty_taxLines(ctx context.Context, field graphql.CollectedField, obj *Duty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Duty_taxLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Duty_taxLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Duty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _EditableProperty_locked(ctx context.Context, field graphql.CollectedField, obj *EditableProperty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_EditableProperty_locked(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locked, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_EditableProperty_locked(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "EditableProperty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _EditableProperty_reason(ctx context.Context, field graphql.CollectedField, obj *EditableProperty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_EditableProperty_reason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Reason, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOFormattedString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_EditableProperty_reason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "EditableProperty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FormattedString does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Entity_findDraftOrderByID(ctx context.Context, field graphql.CollectedField) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Entity_findDraftOrderByID(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return ec.resolvers.Entity().FindDraftOrderByID(rctx, fc.Args["id"].(string))
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DraftOrder)
	fc.Result = res
	return ec.marshalNDraftOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Entity_findDraftOrderByID(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Entity",
		Field:      field,
		IsMethod:   true,
		IsResolver: true,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appliedDiscount":
				return ec.fieldContext_DraftOrder_appliedDiscount(ctx, field)
			case "billingAddress":
				return ec.fieldContext_DraftOrder_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_DraftOrder_billingAddressMatchesShippingAddress(ctx, field)
			case "completedAt":
				return ec.fieldContext_DraftOrder_completedAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_DraftOrder_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_DraftOrder_currencyCode(ctx, field)
			case "customAttributes":
				return ec.fieldContext_DraftOrder_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_DraftOrder_customer(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_DraftOrder_defaultCursor(ctx, field)
			case "email":
				return ec.fieldContext_DraftOrder_email(ctx, field)
			case "events":
				return ec.fieldContext_DraftOrder_events(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_DraftOrder_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_DraftOrder_id(ctx, field)
			case "invoiceEmailTemplateSubject":
				return ec.fieldContext_DraftOrder_invoiceEmailTemplateSubject(ctx, field)
			case "invoiceSentAt":
				return ec.fieldContext_DraftOrder_invoiceSentAt(ctx, field)
			case "invoiceUrl":
				return ec.fieldContext_DraftOrder_invoiceUrl(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_DraftOrder_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_DraftOrder_lineItems(ctx, field)
			case "lineItemsSubtotalPrice":
				return ec.fieldContext_DraftOrder_lineItemsSubtotalPrice(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_DraftOrder_localizationExtensions(ctx, field)
			case "marketName":
				return ec.fieldContext_DraftOrder_marketName(ctx, field)
			case "marketRegionCountryCode":
				return ec.fieldContext_DraftOrder_marketRegionCountryCode(ctx, field)
			case "metafield":
				return ec.fieldContext_DraftOrder_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_DraftOrder_metafields(ctx, field)
			case "name":
				return ec.fieldContext_DraftOrder_name(ctx, field)
			case "note2":
				return ec.fieldContext_DraftOrder_note2(ctx, field)
			case "order":
				return ec.fieldContext_DraftOrder_order(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_DraftOrder_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_DraftOrder_phone(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_DraftOrder_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_DraftOrder_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_DraftOrder_privateMetafields(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_DraftOrder_purchasingEntity(ctx, field)
			case "ready":
				return ec.fieldContext_DraftOrder_ready(ctx, field)
			case "reserveInventoryUntil":
				return ec.fieldContext_DraftOrder_reserveInventoryUntil(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_DraftOrder_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_DraftOrder_shippingLine(ctx, field)
			case "status":
				return ec.fieldContext_DraftOrder_status(ctx, field)
			case "subtotalPrice":
				return ec.fieldContext_DraftOrder_subtotalPrice(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_DraftOrder_subtotalPriceSet(ctx, field)
			case "tags":
				return ec.fieldContext_DraftOrder_tags(ctx, field)
			case "taxExempt":
				return ec.fieldContext_DraftOrder_taxExempt(ctx, field)
			case "taxLines":
				return ec.fieldContext_DraftOrder_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_DraftOrder_taxesIncluded(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_DraftOrder_totalDiscountsSet(ctx, field)
			case "totalLineItemsPriceSet":
				return ec.fieldContext_DraftOrder_totalLineItemsPriceSet(ctx, field)
			case "totalPrice":
				return ec.fieldContext_DraftOrder_totalPrice(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_DraftOrder_totalPriceSet(ctx, field)
			case "totalShippingPrice":
				return ec.fieldContext_DraftOrder_totalShippingPrice(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_DraftOrder_totalShippingPriceSet(ctx, field)
			case "totalTax":
				return ec.fieldContext_DraftOrder_totalTax(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_DraftOrder_totalTaxSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_DraftOrder_totalWeight(ctx, field)
			case "updatedAt":
				return ec.fieldContext_DraftOrder_updatedAt(ctx, field)
			case "visibleToCustomer":
				return ec.fieldContext_DraftOrder_visibleToCustomer(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DraftOrder", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Entity_findDraftOrderByID_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Entity_findOrderByID(ctx context.Context, field graphql.CollectedField) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Entity_findOrderByID(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return ec.resolvers.Entity().FindOrderByID(rctx, fc.Args["id"].(string))
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalNOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Entity_findOrderByID(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Entity",
		Field:      field,
		IsMethod:   true,
		IsResolver: true,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Entity_findOrderByID_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _EventConnection_edges(ctx context.Context, field graphql.CollectedField, obj *EventConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_EventConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*EventEdge)
	fc.Result = res
	return ec.marshalNEventEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_EventConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "EventConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_EventEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_EventEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type EventEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _EventConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *EventConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_EventConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]Event)
	fc.Result = res
	return ec.marshalNEvent2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_EventConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "EventConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _EventConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *EventConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_EventConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_EventConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "EventConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _EventEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *EventEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_EventEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_EventEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "EventEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _EventEdge_node(ctx context.Context, field graphql.CollectedField, obj *EventEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_EventEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(Event)
	fc.Result = res
	return ec.marshalNEvent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEvent(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_EventEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "EventEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FailedRequirement_action(ctx context.Context, field graphql.CollectedField, obj *FailedRequirement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FailedRequirement_action(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Action, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*NavigationItem)
	fc.Result = res
	return ec.marshalONavigationItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐNavigationItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FailedRequirement_action(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FailedRequirement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_NavigationItem_id(ctx, field)
			case "title":
				return ec.fieldContext_NavigationItem_title(ctx, field)
			case "url":
				return ec.fieldContext_NavigationItem_url(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type NavigationItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FailedRequirement_message(ctx context.Context, field graphql.CollectedField, obj *FailedRequirement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FailedRequirement_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FailedRequirement_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FailedRequirement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FileError_code(ctx context.Context, field graphql.CollectedField, obj *FileError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FileError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FileErrorCode)
	fc.Result = res
	return ec.marshalNFileErrorCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FileError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FileError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FileErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FileError_details(ctx context.Context, field graphql.CollectedField, obj *FileError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FileError_details(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Details, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FileError_details(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FileError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FileError_message(ctx context.Context, field graphql.CollectedField, obj *FileError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FileError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FileError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FileError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FilterOption_label(ctx context.Context, field graphql.CollectedField, obj *FilterOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FilterOption_label(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Label, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FilterOption_label(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FilterOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FilterOption_value(ctx context.Context, field graphql.CollectedField, obj *FilterOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FilterOption_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FilterOption_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FilterOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_createdAt(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_deliveredAt(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_deliveredAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeliveredAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_deliveredAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_displayStatus(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_displayStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DisplayStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentDisplayStatus)
	fc.Result = res
	return ec.marshalOFulfillmentDisplayStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentDisplayStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_displayStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentDisplayStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_estimatedDeliveryAt(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_estimatedDeliveryAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EstimatedDeliveryAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_estimatedDeliveryAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_events(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_events(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Events, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentEventConnection)
	fc.Result = res
	return ec.marshalNFulfillmentEventConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_events(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentEventConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentEventConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentEventConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentEventConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Fulfillment_events_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_fulfillmentLineItems(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_fulfillmentLineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentLineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentLineItemConnection)
	fc.Result = res
	return ec.marshalNFulfillmentLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_fulfillmentLineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentLineItemConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentLineItemConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentLineItemConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentLineItemConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Fulfillment_fulfillmentLineItems_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_fulfillmentOrders(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_fulfillmentOrders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentOrders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderConnection)
	fc.Result = res
	return ec.marshalNFulfillmentOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_fulfillmentOrders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentOrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentOrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentOrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Fulfillment_fulfillmentOrders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_id(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_inTransitAt(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_inTransitAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InTransitAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_inTransitAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_location(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_location(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Location, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Location)
	fc.Result = res
	return ec.marshalOLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_location(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_name(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_order(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_order(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Order, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalNOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_order(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_originAddress(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_originAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOriginAddress)
	fc.Result = res
	return ec.marshalOFulfillmentOriginAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOriginAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_originAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_FulfillmentOriginAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_FulfillmentOriginAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_FulfillmentOriginAddress_city(ctx, field)
			case "countryCode":
				return ec.fieldContext_FulfillmentOriginAddress_countryCode(ctx, field)
			case "provinceCode":
				return ec.fieldContext_FulfillmentOriginAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_FulfillmentOriginAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOriginAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_requiresShipping(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_requiresShipping(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequiresShipping, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_requiresShipping(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_service(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_service(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Service, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentService)
	fc.Result = res
	return ec.marshalOFulfillmentService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentService(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_service(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentService_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentService", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_status(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FulfillmentStatus)
	fc.Result = res
	return ec.marshalNFulfillmentStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_totalQuantity(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_totalQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_totalQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_trackingInfo(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_trackingInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TrackingInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentTrackingInfo)
	fc.Result = res
	return ec.marshalNFulfillmentTrackingInfo2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentTrackingInfoᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_trackingInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_FulfillmentTrackingInfo_company(ctx, field)
			case "number":
				return ec.fieldContext_FulfillmentTrackingInfo_number(ctx, field)
			case "url":
				return ec.fieldContext_FulfillmentTrackingInfo_url(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentTrackingInfo", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Fulfillment_trackingInfo_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Fulfillment_updatedAt(ctx context.Context, field graphql.CollectedField, obj *Fulfillment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Fulfillment_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Fulfillment_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Fulfillment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentConnection_edges(ctx context.Context, field graphql.CollectedField, obj *FulfillmentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentEdge)
	fc.Result = res
	return ec.marshalNFulfillmentEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_FulfillmentEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_FulfillmentEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Fulfillment)
	fc.Result = res
	return ec.marshalNFulfillment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Fulfillment_createdAt(ctx, field)
			case "deliveredAt":
				return ec.fieldContext_Fulfillment_deliveredAt(ctx, field)
			case "displayStatus":
				return ec.fieldContext_Fulfillment_displayStatus(ctx, field)
			case "estimatedDeliveryAt":
				return ec.fieldContext_Fulfillment_estimatedDeliveryAt(ctx, field)
			case "events":
				return ec.fieldContext_Fulfillment_events(ctx, field)
			case "fulfillmentLineItems":
				return ec.fieldContext_Fulfillment_fulfillmentLineItems(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Fulfillment_fulfillmentOrders(ctx, field)
			case "id":
				return ec.fieldContext_Fulfillment_id(ctx, field)
			case "inTransitAt":
				return ec.fieldContext_Fulfillment_inTransitAt(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Fulfillment_legacyResourceId(ctx, field)
			case "location":
				return ec.fieldContext_Fulfillment_location(ctx, field)
			case "name":
				return ec.fieldContext_Fulfillment_name(ctx, field)
			case "order":
				return ec.fieldContext_Fulfillment_order(ctx, field)
			case "originAddress":
				return ec.fieldContext_Fulfillment_originAddress(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Fulfillment_requiresShipping(ctx, field)
			case "service":
				return ec.fieldContext_Fulfillment_service(ctx, field)
			case "status":
				return ec.fieldContext_Fulfillment_status(ctx, field)
			case "totalQuantity":
				return ec.fieldContext_Fulfillment_totalQuantity(ctx, field)
			case "trackingInfo":
				return ec.fieldContext_Fulfillment_trackingInfo(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Fulfillment_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Fulfillment", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *FulfillmentConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEdge_node(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Fulfillment)
	fc.Result = res
	return ec.marshalNFulfillment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillment(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Fulfillment_createdAt(ctx, field)
			case "deliveredAt":
				return ec.fieldContext_Fulfillment_deliveredAt(ctx, field)
			case "displayStatus":
				return ec.fieldContext_Fulfillment_displayStatus(ctx, field)
			case "estimatedDeliveryAt":
				return ec.fieldContext_Fulfillment_estimatedDeliveryAt(ctx, field)
			case "events":
				return ec.fieldContext_Fulfillment_events(ctx, field)
			case "fulfillmentLineItems":
				return ec.fieldContext_Fulfillment_fulfillmentLineItems(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Fulfillment_fulfillmentOrders(ctx, field)
			case "id":
				return ec.fieldContext_Fulfillment_id(ctx, field)
			case "inTransitAt":
				return ec.fieldContext_Fulfillment_inTransitAt(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Fulfillment_legacyResourceId(ctx, field)
			case "location":
				return ec.fieldContext_Fulfillment_location(ctx, field)
			case "name":
				return ec.fieldContext_Fulfillment_name(ctx, field)
			case "order":
				return ec.fieldContext_Fulfillment_order(ctx, field)
			case "originAddress":
				return ec.fieldContext_Fulfillment_originAddress(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Fulfillment_requiresShipping(ctx, field)
			case "service":
				return ec.fieldContext_Fulfillment_service(ctx, field)
			case "status":
				return ec.fieldContext_Fulfillment_status(ctx, field)
			case "totalQuantity":
				return ec.fieldContext_Fulfillment_totalQuantity(ctx, field)
			case "trackingInfo":
				return ec.fieldContext_Fulfillment_trackingInfo(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Fulfillment_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Fulfillment", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEvent_happenedAt(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEvent_happenedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HappenedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEvent_happenedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEvent_id(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEvent_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEvent_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEvent_status(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEvent_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FulfillmentEventStatus)
	fc.Result = res
	return ec.marshalNFulfillmentEventStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEvent_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentEventStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEventConnection_edges(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEventConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEventConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentEventEdge)
	fc.Result = res
	return ec.marshalNFulfillmentEventEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEventConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEventConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_FulfillmentEventEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_FulfillmentEventEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentEventEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEventConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEventConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEventConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentEvent)
	fc.Result = res
	return ec.marshalNFulfillmentEvent2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEventConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEventConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "happenedAt":
				return ec.fieldContext_FulfillmentEvent_happenedAt(ctx, field)
			case "id":
				return ec.fieldContext_FulfillmentEvent_id(ctx, field)
			case "status":
				return ec.fieldContext_FulfillmentEvent_status(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentEvent", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEventConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEventConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEventConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEventConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEventConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEventEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEventEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEventEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEventEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEventEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentEventEdge_node(ctx context.Context, field graphql.CollectedField, obj *FulfillmentEventEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentEventEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentEvent)
	fc.Result = res
	return ec.marshalNFulfillmentEvent2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEvent(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentEventEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentEventEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "happenedAt":
				return ec.fieldContext_FulfillmentEvent_happenedAt(ctx, field)
			case "id":
				return ec.fieldContext_FulfillmentEvent_id(ctx, field)
			case "status":
				return ec.fieldContext_FulfillmentEvent_status(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentEvent", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentHold_reason(ctx context.Context, field graphql.CollectedField, obj *FulfillmentHold) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentHold_reason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Reason, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FulfillmentHoldReason)
	fc.Result = res
	return ec.marshalNFulfillmentHoldReason2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentHoldReason(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentHold_reason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentHold",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentHoldReason does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentHold_reasonNotes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentHold) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentHold_reasonNotes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ReasonNotes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentHold_reasonNotes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentHold",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItem_discountedTotalSet(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItem_discountedTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItem_discountedTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItem_id(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItem_lineItem(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItem_lineItem(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItem, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LineItem)
	fc.Result = res
	return ec.marshalNLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItem_lineItem(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contract":
				return ec.fieldContext_LineItem_contract(ctx, field)
			case "currentQuantity":
				return ec.fieldContext_LineItem_currentQuantity(ctx, field)
			case "customAttributes":
				return ec.fieldContext_LineItem_customAttributes(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_LineItem_discountAllocations(ctx, field)
			case "discountedTotalSet":
				return ec.fieldContext_LineItem_discountedTotalSet(ctx, field)
			case "discountedUnitPriceSet":
				return ec.fieldContext_LineItem_discountedUnitPriceSet(ctx, field)
			case "duties":
				return ec.fieldContext_LineItem_duties(ctx, field)
			case "id":
				return ec.fieldContext_LineItem_id(ctx, field)
			case "image":
				return ec.fieldContext_LineItem_image(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_LineItem_merchantEditable(ctx, field)
			case "name":
				return ec.fieldContext_LineItem_name(ctx, field)
			case "nonFulfillableQuantity":
				return ec.fieldContext_LineItem_nonFulfillableQuantity(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_LineItem_originalTotalSet(ctx, field)
			case "originalUnitPriceSet":
				return ec.fieldContext_LineItem_originalUnitPriceSet(ctx, field)
			case "product":
				return ec.fieldContext_LineItem_product(ctx, field)
			case "quantity":
				return ec.fieldContext_LineItem_quantity(ctx, field)
			case "refundableQuantity":
				return ec.fieldContext_LineItem_refundableQuantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_LineItem_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_LineItem_restockable(ctx, field)
			case "sellingPlan":
				return ec.fieldContext_LineItem_sellingPlan(ctx, field)
			case "sku":
				return ec.fieldContext_LineItem_sku(ctx, field)
			case "staffMember":
				return ec.fieldContext_LineItem_staffMember(ctx, field)
			case "taxLines":
				return ec.fieldContext_LineItem_taxLines(ctx, field)
			case "taxable":
				return ec.fieldContext_LineItem_taxable(ctx, field)
			case "title":
				return ec.fieldContext_LineItem_title(ctx, field)
			case "totalDiscountSet":
				return ec.fieldContext_LineItem_totalDiscountSet(ctx, field)
			case "unfulfilledDiscountedTotalSet":
				return ec.fieldContext_LineItem_unfulfilledDiscountedTotalSet(ctx, field)
			case "unfulfilledOriginalTotalSet":
				return ec.fieldContext_LineItem_unfulfilledOriginalTotalSet(ctx, field)
			case "unfulfilledQuantity":
				return ec.fieldContext_LineItem_unfulfilledQuantity(ctx, field)
			case "variant":
				return ec.fieldContext_LineItem_variant(ctx, field)
			case "variantTitle":
				return ec.fieldContext_LineItem_variantTitle(ctx, field)
			case "vendor":
				return ec.fieldContext_LineItem_vendor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItem_originalTotalSet(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItem_originalTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItem_originalTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItem_quantity(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItem_quantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Quantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItem_quantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItemConnection_edges(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItemConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentLineItemEdge)
	fc.Result = res
	return ec.marshalNFulfillmentLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItemConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_FulfillmentLineItemEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_FulfillmentLineItemEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentLineItemEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItemConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentLineItem)
	fc.Result = res
	return ec.marshalNFulfillmentLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "discountedTotalSet":
				return ec.fieldContext_FulfillmentLineItem_discountedTotalSet(ctx, field)
			case "id":
				return ec.fieldContext_FulfillmentLineItem_id(ctx, field)
			case "lineItem":
				return ec.fieldContext_FulfillmentLineItem_lineItem(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_FulfillmentLineItem_originalTotalSet(ctx, field)
			case "quantity":
				return ec.fieldContext_FulfillmentLineItem_quantity(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItemConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItemEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentLineItemEdge_node(ctx context.Context, field graphql.CollectedField, obj *FulfillmentLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentLineItemEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentLineItem)
	fc.Result = res
	return ec.marshalNFulfillmentLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentLineItemEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "discountedTotalSet":
				return ec.fieldContext_FulfillmentLineItem_discountedTotalSet(ctx, field)
			case "id":
				return ec.fieldContext_FulfillmentLineItem_id(ctx, field)
			case "lineItem":
				return ec.fieldContext_FulfillmentLineItem_lineItem(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_FulfillmentLineItem_originalTotalSet(ctx, field)
			case "quantity":
				return ec.fieldContext_FulfillmentLineItem_quantity(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_assignedLocation(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_assignedLocation(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AssignedLocation, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderAssignedLocation)
	fc.Result = res
	return ec.marshalNFulfillmentOrderAssignedLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderAssignedLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_assignedLocation(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_address1(ctx, field)
			case "address2":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_address2(ctx, field)
			case "city":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_city(ctx, field)
			case "countryCode":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_countryCode(ctx, field)
			case "location":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_location(ctx, field)
			case "name":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_name(ctx, field)
			case "phone":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_phone(ctx, field)
			case "province":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_province(ctx, field)
			case "zip":
				return ec.fieldContext_FulfillmentOrderAssignedLocation_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderAssignedLocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_deliveryMethod(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_deliveryMethod(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeliveryMethod, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*DeliveryMethod)
	fc.Result = res
	return ec.marshalODeliveryMethod2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_deliveryMethod(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_DeliveryMethod_id(ctx, field)
			case "maxDeliveryDateTime":
				return ec.fieldContext_DeliveryMethod_maxDeliveryDateTime(ctx, field)
			case "methodType":
				return ec.fieldContext_DeliveryMethod_methodType(ctx, field)
			case "minDeliveryDateTime":
				return ec.fieldContext_DeliveryMethod_minDeliveryDateTime(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryMethod", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_destination(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_destination(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Destination, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderDestination)
	fc.Result = res
	return ec.marshalOFulfillmentOrderDestination2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderDestination(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_destination(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_FulfillmentOrderDestination_address1(ctx, field)
			case "address2":
				return ec.fieldContext_FulfillmentOrderDestination_address2(ctx, field)
			case "city":
				return ec.fieldContext_FulfillmentOrderDestination_city(ctx, field)
			case "company":
				return ec.fieldContext_FulfillmentOrderDestination_company(ctx, field)
			case "countryCode":
				return ec.fieldContext_FulfillmentOrderDestination_countryCode(ctx, field)
			case "email":
				return ec.fieldContext_FulfillmentOrderDestination_email(ctx, field)
			case "firstName":
				return ec.fieldContext_FulfillmentOrderDestination_firstName(ctx, field)
			case "id":
				return ec.fieldContext_FulfillmentOrderDestination_id(ctx, field)
			case "lastName":
				return ec.fieldContext_FulfillmentOrderDestination_lastName(ctx, field)
			case "phone":
				return ec.fieldContext_FulfillmentOrderDestination_phone(ctx, field)
			case "province":
				return ec.fieldContext_FulfillmentOrderDestination_province(ctx, field)
			case "zip":
				return ec.fieldContext_FulfillmentOrderDestination_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderDestination", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_fulfillAt(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_fulfillAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_fulfillAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_fulfillBy(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_fulfillBy(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillBy, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_fulfillBy(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_fulfillmentHolds(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_fulfillmentHolds(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentHolds, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentHold)
	fc.Result = res
	return ec.marshalNFulfillmentHold2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentHoldᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_fulfillmentHolds(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "reason":
				return ec.fieldContext_FulfillmentHold_reason(ctx, field)
			case "reasonNotes":
				return ec.fieldContext_FulfillmentHold_reasonNotes(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentHold", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_fulfillments(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_fulfillments(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Fulfillments, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentConnection)
	fc.Result = res
	return ec.marshalNFulfillmentConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_fulfillments(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_FulfillmentOrder_fulfillments_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_id(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_internationalDuties(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_internationalDuties(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InternationalDuties, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderInternationalDuties)
	fc.Result = res
	return ec.marshalOFulfillmentOrderInternationalDuties2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderInternationalDuties(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_internationalDuties(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "incoterm":
				return ec.fieldContext_FulfillmentOrderInternationalDuties_incoterm(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderInternationalDuties", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_lineItems(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_lineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderLineItemConnection)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_lineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentOrderLineItemConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentOrderLineItemConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentOrderLineItemConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLineItemConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_FulfillmentOrder_lineItems_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_locationsForMove(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_locationsForMove(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocationsForMove, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderLocationForMoveConnection)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLocationForMoveConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_locationsForMove(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentOrderLocationForMoveConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentOrderLocationForMoveConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentOrderLocationForMoveConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLocationForMoveConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_FulfillmentOrder_locationsForMove_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_merchantRequests(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_merchantRequests(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MerchantRequests, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderMerchantRequestConnection)
	fc.Result = res
	return ec.marshalNFulfillmentOrderMerchantRequestConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_merchantRequests(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentOrderMerchantRequestConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentOrderMerchantRequestConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentOrderMerchantRequestConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderMerchantRequestConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_FulfillmentOrder_merchantRequests_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_order(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_order(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Order, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalNOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_order(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_requestStatus(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_requestStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequestStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FulfillmentOrderRequestStatus)
	fc.Result = res
	return ec.marshalNFulfillmentOrderRequestStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderRequestStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_requestStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentOrderRequestStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_status(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FulfillmentOrderStatus)
	fc.Result = res
	return ec.marshalNFulfillmentOrderStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentOrderStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrder_supportedActions(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrder) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrder_supportedActions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SupportedActions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderSupportedAction)
	fc.Result = res
	return ec.marshalNFulfillmentOrderSupportedAction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderSupportedActionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrder_supportedActions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrder",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "action":
				return ec.fieldContext_FulfillmentOrderSupportedAction_action(ctx, field)
			case "externalUrl":
				return ec.fieldContext_FulfillmentOrderSupportedAction_externalUrl(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderSupportedAction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_address1(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_address2(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_city(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_countryCode(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_location(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_location(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Location, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Location)
	fc.Result = res
	return ec.marshalOLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_location(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_name(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_phone(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_province(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderAssignedLocation_zip(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderAssignedLocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderAssignedLocation_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderAssignedLocation_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderAssignedLocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderConnection_edges(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderEdge)
	fc.Result = res
	return ec.marshalNFulfillmentOrderEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_FulfillmentOrderEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_FulfillmentOrderEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrder)
	fc.Result = res
	return ec.marshalNFulfillmentOrder2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "assignedLocation":
				return ec.fieldContext_FulfillmentOrder_assignedLocation(ctx, field)
			case "deliveryMethod":
				return ec.fieldContext_FulfillmentOrder_deliveryMethod(ctx, field)
			case "destination":
				return ec.fieldContext_FulfillmentOrder_destination(ctx, field)
			case "fulfillAt":
				return ec.fieldContext_FulfillmentOrder_fulfillAt(ctx, field)
			case "fulfillBy":
				return ec.fieldContext_FulfillmentOrder_fulfillBy(ctx, field)
			case "fulfillmentHolds":
				return ec.fieldContext_FulfillmentOrder_fulfillmentHolds(ctx, field)
			case "fulfillments":
				return ec.fieldContext_FulfillmentOrder_fulfillments(ctx, field)
			case "id":
				return ec.fieldContext_FulfillmentOrder_id(ctx, field)
			case "internationalDuties":
				return ec.fieldContext_FulfillmentOrder_internationalDuties(ctx, field)
			case "lineItems":
				return ec.fieldContext_FulfillmentOrder_lineItems(ctx, field)
			case "locationsForMove":
				return ec.fieldContext_FulfillmentOrder_locationsForMove(ctx, field)
			case "merchantRequests":
				return ec.fieldContext_FulfillmentOrder_merchantRequests(ctx, field)
			case "order":
				return ec.fieldContext_FulfillmentOrder_order(ctx, field)
			case "requestStatus":
				return ec.fieldContext_FulfillmentOrder_requestStatus(ctx, field)
			case "status":
				return ec.fieldContext_FulfillmentOrder_status(ctx, field)
			case "supportedActions":
				return ec.fieldContext_FulfillmentOrder_supportedActions(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrder", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_address1(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_address2(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_city(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_company(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_countryCode(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_email(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_email(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Email, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_email(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_firstName(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_firstName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FirstName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_firstName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_id(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_lastName(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_lastName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_lastName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_phone(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_province(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderDestination_zip(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderDestination) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderDestination_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderDestination_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderDestination",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderEdge_node(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrder)
	fc.Result = res
	return ec.marshalNFulfillmentOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "assignedLocation":
				return ec.fieldContext_FulfillmentOrder_assignedLocation(ctx, field)
			case "deliveryMethod":
				return ec.fieldContext_FulfillmentOrder_deliveryMethod(ctx, field)
			case "destination":
				return ec.fieldContext_FulfillmentOrder_destination(ctx, field)
			case "fulfillAt":
				return ec.fieldContext_FulfillmentOrder_fulfillAt(ctx, field)
			case "fulfillBy":
				return ec.fieldContext_FulfillmentOrder_fulfillBy(ctx, field)
			case "fulfillmentHolds":
				return ec.fieldContext_FulfillmentOrder_fulfillmentHolds(ctx, field)
			case "fulfillments":
				return ec.fieldContext_FulfillmentOrder_fulfillments(ctx, field)
			case "id":
				return ec.fieldContext_FulfillmentOrder_id(ctx, field)
			case "internationalDuties":
				return ec.fieldContext_FulfillmentOrder_internationalDuties(ctx, field)
			case "lineItems":
				return ec.fieldContext_FulfillmentOrder_lineItems(ctx, field)
			case "locationsForMove":
				return ec.fieldContext_FulfillmentOrder_locationsForMove(ctx, field)
			case "merchantRequests":
				return ec.fieldContext_FulfillmentOrder_merchantRequests(ctx, field)
			case "order":
				return ec.fieldContext_FulfillmentOrder_order(ctx, field)
			case "requestStatus":
				return ec.fieldContext_FulfillmentOrder_requestStatus(ctx, field)
			case "status":
				return ec.fieldContext_FulfillmentOrder_status(ctx, field)
			case "supportedActions":
				return ec.fieldContext_FulfillmentOrder_supportedActions(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrder", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderInternationalDuties_incoterm(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderInternationalDuties) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderInternationalDuties_incoterm(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Incoterm, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderInternationalDuties_incoterm(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderInternationalDuties",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItem_id(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItem_lineItem(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItem_lineItem(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItem, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LineItem)
	fc.Result = res
	return ec.marshalNLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItem_lineItem(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contract":
				return ec.fieldContext_LineItem_contract(ctx, field)
			case "currentQuantity":
				return ec.fieldContext_LineItem_currentQuantity(ctx, field)
			case "customAttributes":
				return ec.fieldContext_LineItem_customAttributes(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_LineItem_discountAllocations(ctx, field)
			case "discountedTotalSet":
				return ec.fieldContext_LineItem_discountedTotalSet(ctx, field)
			case "discountedUnitPriceSet":
				return ec.fieldContext_LineItem_discountedUnitPriceSet(ctx, field)
			case "duties":
				return ec.fieldContext_LineItem_duties(ctx, field)
			case "id":
				return ec.fieldContext_LineItem_id(ctx, field)
			case "image":
				return ec.fieldContext_LineItem_image(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_LineItem_merchantEditable(ctx, field)
			case "name":
				return ec.fieldContext_LineItem_name(ctx, field)
			case "nonFulfillableQuantity":
				return ec.fieldContext_LineItem_nonFulfillableQuantity(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_LineItem_originalTotalSet(ctx, field)
			case "originalUnitPriceSet":
				return ec.fieldContext_LineItem_originalUnitPriceSet(ctx, field)
			case "product":
				return ec.fieldContext_LineItem_product(ctx, field)
			case "quantity":
				return ec.fieldContext_LineItem_quantity(ctx, field)
			case "refundableQuantity":
				return ec.fieldContext_LineItem_refundableQuantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_LineItem_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_LineItem_restockable(ctx, field)
			case "sellingPlan":
				return ec.fieldContext_LineItem_sellingPlan(ctx, field)
			case "sku":
				return ec.fieldContext_LineItem_sku(ctx, field)
			case "staffMember":
				return ec.fieldContext_LineItem_staffMember(ctx, field)
			case "taxLines":
				return ec.fieldContext_LineItem_taxLines(ctx, field)
			case "taxable":
				return ec.fieldContext_LineItem_taxable(ctx, field)
			case "title":
				return ec.fieldContext_LineItem_title(ctx, field)
			case "totalDiscountSet":
				return ec.fieldContext_LineItem_totalDiscountSet(ctx, field)
			case "unfulfilledDiscountedTotalSet":
				return ec.fieldContext_LineItem_unfulfilledDiscountedTotalSet(ctx, field)
			case "unfulfilledOriginalTotalSet":
				return ec.fieldContext_LineItem_unfulfilledOriginalTotalSet(ctx, field)
			case "unfulfilledQuantity":
				return ec.fieldContext_LineItem_unfulfilledQuantity(ctx, field)
			case "variant":
				return ec.fieldContext_LineItem_variant(ctx, field)
			case "variantTitle":
				return ec.fieldContext_LineItem_variantTitle(ctx, field)
			case "vendor":
				return ec.fieldContext_LineItem_vendor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItem_remainingQuantity(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItem_remainingQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RemainingQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItem_remainingQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItem_totalQuantity(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItem_totalQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItem_totalQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItem_warnings(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItem_warnings(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Warnings, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderLineItemWarning)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLineItemWarning2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemWarningᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItem_warnings(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_FulfillmentOrderLineItemWarning_description(ctx, field)
			case "title":
				return ec.fieldContext_FulfillmentOrderLineItemWarning_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLineItemWarning", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItemConnection_edges(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItemConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderLineItemEdge)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItemConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_FulfillmentOrderLineItemEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_FulfillmentOrderLineItemEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLineItemEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItemConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderLineItem)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentOrderLineItem_id(ctx, field)
			case "lineItem":
				return ec.fieldContext_FulfillmentOrderLineItem_lineItem(ctx, field)
			case "remainingQuantity":
				return ec.fieldContext_FulfillmentOrderLineItem_remainingQuantity(ctx, field)
			case "totalQuantity":
				return ec.fieldContext_FulfillmentOrderLineItem_totalQuantity(ctx, field)
			case "warnings":
				return ec.fieldContext_FulfillmentOrderLineItem_warnings(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItemConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItemEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItemEdge_node(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItemEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderLineItem)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItemEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentOrderLineItem_id(ctx, field)
			case "lineItem":
				return ec.fieldContext_FulfillmentOrderLineItem_lineItem(ctx, field)
			case "remainingQuantity":
				return ec.fieldContext_FulfillmentOrderLineItem_remainingQuantity(ctx, field)
			case "totalQuantity":
				return ec.fieldContext_FulfillmentOrderLineItem_totalQuantity(ctx, field)
			case "warnings":
				return ec.fieldContext_FulfillmentOrderLineItem_warnings(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItemWarning_description(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItemWarning) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItemWarning_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItemWarning_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItemWarning",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLineItemWarning_title(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLineItemWarning) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLineItemWarning_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLineItemWarning_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLineItemWarning",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMove_location(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMove) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMove_location(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Location, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Location)
	fc.Result = res
	return ec.marshalNLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMove_location(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMove",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMove_message(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMove) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMove_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMove_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMove",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMove_movable(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMove) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMove_movable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Movable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMove_movable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMove",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMoveConnection_edges(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMoveConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMoveConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderLocationForMoveEdge)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLocationForMoveEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMoveConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMoveConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_FulfillmentOrderLocationForMoveEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_FulfillmentOrderLocationForMoveEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLocationForMoveEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMoveConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMoveConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMoveConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderLocationForMove)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLocationForMove2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMoveConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMoveConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "location":
				return ec.fieldContext_FulfillmentOrderLocationForMove_location(ctx, field)
			case "message":
				return ec.fieldContext_FulfillmentOrderLocationForMove_message(ctx, field)
			case "movable":
				return ec.fieldContext_FulfillmentOrderLocationForMove_movable(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLocationForMove", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMoveConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMoveConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMoveConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMoveConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMoveConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMoveEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMoveEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMoveEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMoveEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMoveEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderLocationForMoveEdge_node(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderLocationForMoveEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderLocationForMoveEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderLocationForMove)
	fc.Result = res
	return ec.marshalNFulfillmentOrderLocationForMove2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMove(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderLocationForMoveEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderLocationForMoveEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "location":
				return ec.fieldContext_FulfillmentOrderLocationForMove_location(ctx, field)
			case "message":
				return ec.fieldContext_FulfillmentOrderLocationForMove_message(ctx, field)
			case "movable":
				return ec.fieldContext_FulfillmentOrderLocationForMove_movable(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderLocationForMove", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequest_id(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequest) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequest_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequest_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequest",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequest_kind(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequest) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequest_kind(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Kind, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FulfillmentOrderMerchantRequestKind)
	fc.Result = res
	return ec.marshalNFulfillmentOrderMerchantRequestKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestKind(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequest_kind(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequest",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentOrderMerchantRequestKind does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequest_message(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequest) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequest_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequest_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequest",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequest_requestOptions(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequest) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequest_requestOptions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequestOptions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOJSON2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequest_requestOptions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequest",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type JSON does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequest_responseData(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequest) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequest_responseData(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ResponseData, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOJSON2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequest_responseData(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequest",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type JSON does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequest_sentAt(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequest) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequest_sentAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SentAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequest_sentAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequest",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequestConnection_edges(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequestConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequestConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderMerchantRequestEdge)
	fc.Result = res
	return ec.marshalNFulfillmentOrderMerchantRequestEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequestConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequestConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_FulfillmentOrderMerchantRequestEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_FulfillmentOrderMerchantRequestEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderMerchantRequestEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequestConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequestConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequestConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FulfillmentOrderMerchantRequest)
	fc.Result = res
	return ec.marshalNFulfillmentOrderMerchantRequest2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequestConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequestConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_id(ctx, field)
			case "kind":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_kind(ctx, field)
			case "message":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_message(ctx, field)
			case "requestOptions":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_requestOptions(ctx, field)
			case "responseData":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_responseData(ctx, field)
			case "sentAt":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_sentAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderMerchantRequest", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequestConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequestConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequestConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequestConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequestConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequestEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequestEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequestEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequestEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequestEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderMerchantRequestEdge_node(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderMerchantRequestEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderMerchantRequestEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderMerchantRequest)
	fc.Result = res
	return ec.marshalNFulfillmentOrderMerchantRequest2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequest(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderMerchantRequestEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderMerchantRequestEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_id(ctx, field)
			case "kind":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_kind(ctx, field)
			case "message":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_message(ctx, field)
			case "requestOptions":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_requestOptions(ctx, field)
			case "responseData":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_responseData(ctx, field)
			case "sentAt":
				return ec.fieldContext_FulfillmentOrderMerchantRequest_sentAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderMerchantRequest", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderSupportedAction_action(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderSupportedAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderSupportedAction_action(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Action, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FulfillmentOrderAction)
	fc.Result = res
	return ec.marshalNFulfillmentOrderAction2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderAction(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderSupportedAction_action(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderSupportedAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FulfillmentOrderAction does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOrderSupportedAction_externalUrl(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOrderSupportedAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOrderSupportedAction_externalUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExternalURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOrderSupportedAction_externalUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOrderSupportedAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOriginAddress_address1(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOriginAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOriginAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOriginAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOriginAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOriginAddress_address2(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOriginAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOriginAddress_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOriginAddress_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOriginAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOriginAddress_city(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOriginAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOriginAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOriginAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOriginAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOriginAddress_countryCode(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOriginAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOriginAddress_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOriginAddress_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOriginAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOriginAddress_provinceCode(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOriginAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOriginAddress_provinceCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOriginAddress_provinceCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOriginAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentOriginAddress_zip(ctx context.Context, field graphql.CollectedField, obj *FulfillmentOriginAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentOriginAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentOriginAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentOriginAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentService_id(ctx context.Context, field graphql.CollectedField, obj *FulfillmentService) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentService_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentService_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentService",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentTrackingInfo_company(ctx context.Context, field graphql.CollectedField, obj *FulfillmentTrackingInfo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentTrackingInfo_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentTrackingInfo_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentTrackingInfo",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentTrackingInfo_number(ctx context.Context, field graphql.CollectedField, obj *FulfillmentTrackingInfo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentTrackingInfo_number(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Number, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentTrackingInfo_number(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentTrackingInfo",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _FulfillmentTrackingInfo_url(ctx context.Context, field graphql.CollectedField, obj *FulfillmentTrackingInfo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_FulfillmentTrackingInfo_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_FulfillmentTrackingInfo_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "FulfillmentTrackingInfo",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_alt(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_alt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Alt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_alt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_createdAt(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_fileErrors(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_fileErrors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileErrors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FileError)
	fc.Result = res
	return ec.marshalNFileError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileErrorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_fileErrors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_FileError_code(ctx, field)
			case "details":
				return ec.fieldContext_FileError_details(ctx, field)
			case "message":
				return ec.fieldContext_FileError_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FileError", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_fileStatus(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_fileStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FileStatus)
	fc.Result = res
	return ec.marshalNFileStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_fileStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FileStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_id(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_mimeType(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_mimeType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MimeType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_mimeType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_originalFileSize(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_originalFileSize(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalFileSize, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_originalFileSize(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_preview(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_preview(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Preview, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MediaPreviewImage)
	fc.Result = res
	return ec.marshalOMediaPreviewImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaPreviewImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_preview(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "image":
				return ec.fieldContext_MediaPreviewImage_image(ctx, field)
			case "status":
				return ec.fieldContext_MediaPreviewImage_status(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaPreviewImage", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _GenericFile_url(ctx context.Context, field graphql.CollectedField, obj *GenericFile) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_GenericFile_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_GenericFile_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "GenericFile",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Image_altText(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_altText(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AltText, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_altText(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Image_height(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_height(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Height, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_height(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Image_id(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOID2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Image_metafield(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_metafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Metafield)
	fc.Result = res
	return ec.marshalOMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_metafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Metafield_createdAt(ctx, field)
			case "definition":
				return ec.fieldContext_Metafield_definition(ctx, field)
			case "description":
				return ec.fieldContext_Metafield_description(ctx, field)
			case "id":
				return ec.fieldContext_Metafield_id(ctx, field)
			case "key":
				return ec.fieldContext_Metafield_key(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Metafield_legacyResourceId(ctx, field)
			case "namespace":
				return ec.fieldContext_Metafield_namespace(ctx, field)
			case "owner":
				return ec.fieldContext_Metafield_owner(ctx, field)
			case "ownerType":
				return ec.fieldContext_Metafield_ownerType(ctx, field)
			case "reference":
				return ec.fieldContext_Metafield_reference(ctx, field)
			case "references":
				return ec.fieldContext_Metafield_references(ctx, field)
			case "type":
				return ec.fieldContext_Metafield_type(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Metafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_Metafield_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Metafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Image_metafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Image_metafields(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_metafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldConnection)
	fc.Result = res
	return ec.marshalNMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_metafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Image_metafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Image_privateMetafield(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_privateMetafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafield)
	fc.Result = res
	return ec.marshalOPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_privateMetafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_PrivateMetafield_id(ctx, field)
			case "key":
				return ec.fieldContext_PrivateMetafield_key(ctx, field)
			case "namespace":
				return ec.fieldContext_PrivateMetafield_namespace(ctx, field)
			case "updatedAt":
				return ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_PrivateMetafield_value(ctx, field)
			case "valueType":
				return ec.fieldContext_PrivateMetafield_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Image_privateMetafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Image_privateMetafields(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_privateMetafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafieldConnection)
	fc.Result = res
	return ec.marshalNPrivateMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_privateMetafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_PrivateMetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_PrivateMetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_PrivateMetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Image_privateMetafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Image_url(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Image_url_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Image_width(ctx context.Context, field graphql.CollectedField, obj *Image) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Image_width(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Width, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Image_width(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Image",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ImageConnection_edges(ctx context.Context, field graphql.CollectedField, obj *ImageConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ImageConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ImageEdge)
	fc.Result = res
	return ec.marshalNImageEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ImageConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ImageConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_ImageEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_ImageEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ImageEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ImageConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *ImageConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ImageConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Image)
	fc.Result = res
	return ec.marshalNImage2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ImageConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ImageConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ImageConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *ImageConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ImageConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ImageConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ImageConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ImageEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *ImageEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ImageEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ImageEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ImageEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ImageEdge_node(ctx context.Context, field graphql.CollectedField, obj *ImageEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ImageEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalNImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ImageEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ImageEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_countryCodeOfOrigin(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_countryCodeOfOrigin(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCodeOfOrigin, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_countryCodeOfOrigin(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_countryHarmonizedSystemCodes(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_countryHarmonizedSystemCodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryHarmonizedSystemCodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CountryHarmonizedSystemCodeConnection)
	fc.Result = res
	return ec.marshalNCountryHarmonizedSystemCodeConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_countryHarmonizedSystemCodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CountryHarmonizedSystemCodeConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CountryHarmonizedSystemCodeConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CountryHarmonizedSystemCodeConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CountryHarmonizedSystemCodeConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_InventoryItem_countryHarmonizedSystemCodes_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_createdAt(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_duplicateSkuCount(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_duplicateSkuCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DuplicateSkuCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_duplicateSkuCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_harmonizedSystemCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HarmonizedSystemCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_id(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_inventoryHistoryUrl(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_inventoryHistoryUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InventoryHistoryURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_inventoryHistoryUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_inventoryLevel(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_inventoryLevel(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InventoryLevel, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*InventoryLevel)
	fc.Result = res
	return ec.marshalOInventoryLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_inventoryLevel(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_InventoryLevel_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type InventoryLevel", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_InventoryItem_inventoryLevel_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_inventoryLevels(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_inventoryLevels(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InventoryLevels, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*InventoryLevelConnection)
	fc.Result = res
	return ec.marshalNInventoryLevelConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_inventoryLevels(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_InventoryLevelConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_InventoryLevelConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_InventoryLevelConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type InventoryLevelConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_InventoryItem_inventoryLevels_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_locationsCount(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_locationsCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocationsCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_locationsCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_provinceCodeOfOrigin(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_provinceCodeOfOrigin(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCodeOfOrigin, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_provinceCodeOfOrigin(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_requiresShipping(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_requiresShipping(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequiresShipping, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_requiresShipping(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_sku(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_sku(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Sku, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_sku(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_tracked(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_tracked(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Tracked, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_tracked(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_trackedEditable(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_trackedEditable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TrackedEditable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*EditableProperty)
	fc.Result = res
	return ec.marshalNEditableProperty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEditableProperty(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_trackedEditable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "locked":
				return ec.fieldContext_EditableProperty_locked(ctx, field)
			case "reason":
				return ec.fieldContext_EditableProperty_reason(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type EditableProperty", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_unitCost(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_unitCost(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UnitCost, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalOMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_unitCost(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_updatedAt(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryItem_variant(ctx context.Context, field graphql.CollectedField, obj *InventoryItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryItem_variant(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Variant, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductVariant)
	fc.Result = res
	return ec.marshalNProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryItem_variant(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_ProductVariant_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariant", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryLevel_id(ctx context.Context, field graphql.CollectedField, obj *InventoryLevel) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryLevel_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryLevel_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryLevel",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryLevelConnection_edges(ctx context.Context, field graphql.CollectedField, obj *InventoryLevelConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryLevelConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*InventoryLevelEdge)
	fc.Result = res
	return ec.marshalNInventoryLevelEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryLevelConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryLevelConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_InventoryLevelEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_InventoryLevelEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type InventoryLevelEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryLevelConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *InventoryLevelConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryLevelConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*InventoryLevel)
	fc.Result = res
	return ec.marshalNInventoryLevel2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryLevelConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryLevelConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_InventoryLevel_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type InventoryLevel", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryLevelConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *InventoryLevelConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryLevelConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryLevelConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryLevelConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryLevelEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *InventoryLevelEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryLevelEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryLevelEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryLevelEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _InventoryLevelEdge_node(ctx context.Context, field graphql.CollectedField, obj *InventoryLevelEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_InventoryLevelEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*InventoryLevel)
	fc.Result = res
	return ec.marshalNInventoryLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_InventoryLevelEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "InventoryLevelEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_InventoryLevel_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type InventoryLevel", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LimitedPendingOrderCount_atMax(ctx context.Context, field graphql.CollectedField, obj *LimitedPendingOrderCount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LimitedPendingOrderCount_atMax(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AtMax, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LimitedPendingOrderCount_atMax(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LimitedPendingOrderCount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LimitedPendingOrderCount_count(ctx context.Context, field graphql.CollectedField, obj *LimitedPendingOrderCount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LimitedPendingOrderCount_count(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Count, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LimitedPendingOrderCount_count(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LimitedPendingOrderCount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_contract(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_contract(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Contract, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SubscriptionContract)
	fc.Result = res
	return ec.marshalOSubscriptionContract2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContract(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_contract(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_SubscriptionContract_app(ctx, field)
			case "appAdminUrl":
				return ec.fieldContext_SubscriptionContract_appAdminUrl(ctx, field)
			case "billingAttempts":
				return ec.fieldContext_SubscriptionContract_billingAttempts(ctx, field)
			case "billingPolicy":
				return ec.fieldContext_SubscriptionContract_billingPolicy(ctx, field)
			case "createdAt":
				return ec.fieldContext_SubscriptionContract_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_SubscriptionContract_currencyCode(ctx, field)
			case "customAttributes":
				return ec.fieldContext_SubscriptionContract_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_SubscriptionContract_customer(ctx, field)
			case "customerPaymentMethod":
				return ec.fieldContext_SubscriptionContract_customerPaymentMethod(ctx, field)
			case "deliveryMethod":
				return ec.fieldContext_SubscriptionContract_deliveryMethod(ctx, field)
			case "deliveryPolicy":
				return ec.fieldContext_SubscriptionContract_deliveryPolicy(ctx, field)
			case "deliveryPrice":
				return ec.fieldContext_SubscriptionContract_deliveryPrice(ctx, field)
			case "discounts":
				return ec.fieldContext_SubscriptionContract_discounts(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionContract_id(ctx, field)
			case "lastPaymentStatus":
				return ec.fieldContext_SubscriptionContract_lastPaymentStatus(ctx, field)
			case "lineCount":
				return ec.fieldContext_SubscriptionContract_lineCount(ctx, field)
			case "lines":
				return ec.fieldContext_SubscriptionContract_lines(ctx, field)
			case "nextBillingDate":
				return ec.fieldContext_SubscriptionContract_nextBillingDate(ctx, field)
			case "note":
				return ec.fieldContext_SubscriptionContract_note(ctx, field)
			case "orders":
				return ec.fieldContext_SubscriptionContract_orders(ctx, field)
			case "originOrder":
				return ec.fieldContext_SubscriptionContract_originOrder(ctx, field)
			case "status":
				return ec.fieldContext_SubscriptionContract_status(ctx, field)
			case "updatedAt":
				return ec.fieldContext_SubscriptionContract_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionContract", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_currentQuantity(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_currentQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_currentQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_customAttributes(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_customAttributes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomAttributes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Attribute)
	fc.Result = res
	return ec.marshalNAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttributeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_customAttributes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_Attribute_key(ctx, field)
			case "value":
				return ec.fieldContext_Attribute_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Attribute", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_discountAllocations(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_discountAllocations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountAllocations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DiscountAllocation)
	fc.Result = res
	return ec.marshalNDiscountAllocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountAllocationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_discountAllocations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "allocatedAmountSet":
				return ec.fieldContext_DiscountAllocation_allocatedAmountSet(ctx, field)
			case "discountApplication":
				return ec.fieldContext_DiscountAllocation_discountApplication(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DiscountAllocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_discountedTotalSet(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_discountedTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_discountedTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_discountedUnitPriceSet(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_discountedUnitPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedUnitPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_discountedUnitPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_duties(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_duties(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Duties, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Duty)
	fc.Result = res
	return ec.marshalNDuty2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDutyᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_duties(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCodeOfOrigin":
				return ec.fieldContext_Duty_countryCodeOfOrigin(ctx, field)
			case "harmonizedSystemCode":
				return ec.fieldContext_Duty_harmonizedSystemCode(ctx, field)
			case "id":
				return ec.fieldContext_Duty_id(ctx, field)
			case "price":
				return ec.fieldContext_Duty_price(ctx, field)
			case "taxLines":
				return ec.fieldContext_Duty_taxLines(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Duty", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_id(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_image(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_image(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Image, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_image(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_merchantEditable(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_merchantEditable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MerchantEditable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_merchantEditable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_name(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_nonFulfillableQuantity(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_nonFulfillableQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.NonFulfillableQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_nonFulfillableQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_originalTotalSet(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_originalTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_originalTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_originalUnitPriceSet(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_originalUnitPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalUnitPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_originalUnitPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_product(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_product(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Product, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Product)
	fc.Result = res
	return ec.marshalOProduct2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProduct(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_product(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Product_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Product", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_quantity(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_quantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Quantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_quantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_refundableQuantity(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_refundableQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RefundableQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_refundableQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_requiresShipping(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_requiresShipping(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequiresShipping, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_requiresShipping(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_restockable(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_restockable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Restockable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_restockable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_sellingPlan(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_sellingPlan(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SellingPlan, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*LineItemSellingPlan)
	fc.Result = res
	return ec.marshalOLineItemSellingPlan2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemSellingPlan(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_sellingPlan(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext_LineItemSellingPlan_name(ctx, field)
			case "sellingPlanId":
				return ec.fieldContext_LineItemSellingPlan_sellingPlanId(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItemSellingPlan", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_sku(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_sku(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Sku, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_sku(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_staffMember(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_staffMember(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.StaffMember, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*StaffMember)
	fc.Result = res
	return ec.marshalOStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_staffMember(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_StaffMember_active(ctx, field)
			case "avatar":
				return ec.fieldContext_StaffMember_avatar(ctx, field)
			case "email":
				return ec.fieldContext_StaffMember_email(ctx, field)
			case "exists":
				return ec.fieldContext_StaffMember_exists(ctx, field)
			case "firstName":
				return ec.fieldContext_StaffMember_firstName(ctx, field)
			case "id":
				return ec.fieldContext_StaffMember_id(ctx, field)
			case "initials":
				return ec.fieldContext_StaffMember_initials(ctx, field)
			case "isShopOwner":
				return ec.fieldContext_StaffMember_isShopOwner(ctx, field)
			case "lastName":
				return ec.fieldContext_StaffMember_lastName(ctx, field)
			case "locale":
				return ec.fieldContext_StaffMember_locale(ctx, field)
			case "name":
				return ec.fieldContext_StaffMember_name(ctx, field)
			case "phone":
				return ec.fieldContext_StaffMember_phone(ctx, field)
			case "privateData":
				return ec.fieldContext_StaffMember_privateData(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMember", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_taxLines(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_taxLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_taxLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_LineItem_taxLines_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_taxable(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_taxable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Taxable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_taxable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_title(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_totalDiscountSet(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_totalDiscountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalDiscountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_totalDiscountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_unfulfilledDiscountedTotalSet(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_unfulfilledDiscountedTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UnfulfilledDiscountedTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_unfulfilledDiscountedTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_unfulfilledOriginalTotalSet(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_unfulfilledOriginalTotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UnfulfilledOriginalTotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_unfulfilledOriginalTotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_unfulfilledQuantity(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_unfulfilledQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UnfulfilledQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_unfulfilledQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_variant(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_variant(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Variant, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariant)
	fc.Result = res
	return ec.marshalOProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_variant(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_ProductVariant_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariant", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_variantTitle(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_variantTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VariantTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_variantTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItem_vendor(ctx context.Context, field graphql.CollectedField, obj *LineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItem_vendor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Vendor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItem_vendor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItemConnection_edges(ctx context.Context, field graphql.CollectedField, obj *LineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItemConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*LineItemEdge)
	fc.Result = res
	return ec.marshalNLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItemConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_LineItemEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_LineItemEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItemEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItemConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *LineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItemConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*LineItem)
	fc.Result = res
	return ec.marshalNLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItemConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contract":
				return ec.fieldContext_LineItem_contract(ctx, field)
			case "currentQuantity":
				return ec.fieldContext_LineItem_currentQuantity(ctx, field)
			case "customAttributes":
				return ec.fieldContext_LineItem_customAttributes(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_LineItem_discountAllocations(ctx, field)
			case "discountedTotalSet":
				return ec.fieldContext_LineItem_discountedTotalSet(ctx, field)
			case "discountedUnitPriceSet":
				return ec.fieldContext_LineItem_discountedUnitPriceSet(ctx, field)
			case "duties":
				return ec.fieldContext_LineItem_duties(ctx, field)
			case "id":
				return ec.fieldContext_LineItem_id(ctx, field)
			case "image":
				return ec.fieldContext_LineItem_image(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_LineItem_merchantEditable(ctx, field)
			case "name":
				return ec.fieldContext_LineItem_name(ctx, field)
			case "nonFulfillableQuantity":
				return ec.fieldContext_LineItem_nonFulfillableQuantity(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_LineItem_originalTotalSet(ctx, field)
			case "originalUnitPriceSet":
				return ec.fieldContext_LineItem_originalUnitPriceSet(ctx, field)
			case "product":
				return ec.fieldContext_LineItem_product(ctx, field)
			case "quantity":
				return ec.fieldContext_LineItem_quantity(ctx, field)
			case "refundableQuantity":
				return ec.fieldContext_LineItem_refundableQuantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_LineItem_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_LineItem_restockable(ctx, field)
			case "sellingPlan":
				return ec.fieldContext_LineItem_sellingPlan(ctx, field)
			case "sku":
				return ec.fieldContext_LineItem_sku(ctx, field)
			case "staffMember":
				return ec.fieldContext_LineItem_staffMember(ctx, field)
			case "taxLines":
				return ec.fieldContext_LineItem_taxLines(ctx, field)
			case "taxable":
				return ec.fieldContext_LineItem_taxable(ctx, field)
			case "title":
				return ec.fieldContext_LineItem_title(ctx, field)
			case "totalDiscountSet":
				return ec.fieldContext_LineItem_totalDiscountSet(ctx, field)
			case "unfulfilledDiscountedTotalSet":
				return ec.fieldContext_LineItem_unfulfilledDiscountedTotalSet(ctx, field)
			case "unfulfilledOriginalTotalSet":
				return ec.fieldContext_LineItem_unfulfilledOriginalTotalSet(ctx, field)
			case "unfulfilledQuantity":
				return ec.fieldContext_LineItem_unfulfilledQuantity(ctx, field)
			case "variant":
				return ec.fieldContext_LineItem_variant(ctx, field)
			case "variantTitle":
				return ec.fieldContext_LineItem_variantTitle(ctx, field)
			case "vendor":
				return ec.fieldContext_LineItem_vendor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *LineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItemConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItemEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *LineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItemEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItemEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItemEdge_node(ctx context.Context, field graphql.CollectedField, obj *LineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItemEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LineItem)
	fc.Result = res
	return ec.marshalNLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItemEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contract":
				return ec.fieldContext_LineItem_contract(ctx, field)
			case "currentQuantity":
				return ec.fieldContext_LineItem_currentQuantity(ctx, field)
			case "customAttributes":
				return ec.fieldContext_LineItem_customAttributes(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_LineItem_discountAllocations(ctx, field)
			case "discountedTotalSet":
				return ec.fieldContext_LineItem_discountedTotalSet(ctx, field)
			case "discountedUnitPriceSet":
				return ec.fieldContext_LineItem_discountedUnitPriceSet(ctx, field)
			case "duties":
				return ec.fieldContext_LineItem_duties(ctx, field)
			case "id":
				return ec.fieldContext_LineItem_id(ctx, field)
			case "image":
				return ec.fieldContext_LineItem_image(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_LineItem_merchantEditable(ctx, field)
			case "name":
				return ec.fieldContext_LineItem_name(ctx, field)
			case "nonFulfillableQuantity":
				return ec.fieldContext_LineItem_nonFulfillableQuantity(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_LineItem_originalTotalSet(ctx, field)
			case "originalUnitPriceSet":
				return ec.fieldContext_LineItem_originalUnitPriceSet(ctx, field)
			case "product":
				return ec.fieldContext_LineItem_product(ctx, field)
			case "quantity":
				return ec.fieldContext_LineItem_quantity(ctx, field)
			case "refundableQuantity":
				return ec.fieldContext_LineItem_refundableQuantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_LineItem_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_LineItem_restockable(ctx, field)
			case "sellingPlan":
				return ec.fieldContext_LineItem_sellingPlan(ctx, field)
			case "sku":
				return ec.fieldContext_LineItem_sku(ctx, field)
			case "staffMember":
				return ec.fieldContext_LineItem_staffMember(ctx, field)
			case "taxLines":
				return ec.fieldContext_LineItem_taxLines(ctx, field)
			case "taxable":
				return ec.fieldContext_LineItem_taxable(ctx, field)
			case "title":
				return ec.fieldContext_LineItem_title(ctx, field)
			case "totalDiscountSet":
				return ec.fieldContext_LineItem_totalDiscountSet(ctx, field)
			case "unfulfilledDiscountedTotalSet":
				return ec.fieldContext_LineItem_unfulfilledDiscountedTotalSet(ctx, field)
			case "unfulfilledOriginalTotalSet":
				return ec.fieldContext_LineItem_unfulfilledOriginalTotalSet(ctx, field)
			case "unfulfilledQuantity":
				return ec.fieldContext_LineItem_unfulfilledQuantity(ctx, field)
			case "variant":
				return ec.fieldContext_LineItem_variant(ctx, field)
			case "variantTitle":
				return ec.fieldContext_LineItem_variantTitle(ctx, field)
			case "vendor":
				return ec.fieldContext_LineItem_vendor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItemSellingPlan_name(ctx context.Context, field graphql.CollectedField, obj *LineItemSellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItemSellingPlan_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItemSellingPlan_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItemSellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LineItemSellingPlan_sellingPlanId(ctx context.Context, field graphql.CollectedField, obj *LineItemSellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LineItemSellingPlan_sellingPlanId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SellingPlanID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOID2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LineItemSellingPlan_sellingPlanId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LineItemSellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Link_label(ctx context.Context, field graphql.CollectedField, obj *Link) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Link_label(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Label, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Link_label(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Link",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Link_translations(ctx context.Context, field graphql.CollectedField, obj *Link) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Link_translations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Translations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PublishedTranslation)
	fc.Result = res
	return ec.marshalNPublishedTranslation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishedTranslationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Link_translations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Link",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_PublishedTranslation_key(ctx, field)
			case "locale":
				return ec.fieldContext_PublishedTranslation_locale(ctx, field)
			case "marketId":
				return ec.fieldContext_PublishedTranslation_marketId(ctx, field)
			case "value":
				return ec.fieldContext_PublishedTranslation_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PublishedTranslation", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Link_translations_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Link_url(ctx context.Context, field graphql.CollectedField, obj *Link) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Link_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Link_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Link",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtension_countryCode(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtension) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtension_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtension_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtension",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtension_key(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtension) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtension_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(LocalizationExtensionKey)
	fc.Result = res
	return ec.marshalNLocalizationExtensionKey2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionKey(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtension_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtension",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type LocalizationExtensionKey does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtension_purpose(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtension) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtension_purpose(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Purpose, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(LocalizationExtensionPurpose)
	fc.Result = res
	return ec.marshalNLocalizationExtensionPurpose2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurpose(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtension_purpose(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtension",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type LocalizationExtensionPurpose does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtension_title(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtension) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtension_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtension_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtension",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtension_value(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtension) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtension_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtension_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtension",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtensionConnection_edges(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtensionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtensionConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*LocalizationExtensionEdge)
	fc.Result = res
	return ec.marshalNLocalizationExtensionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtensionConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtensionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_LocalizationExtensionEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_LocalizationExtensionEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocalizationExtensionEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtensionConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtensionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtensionConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*LocalizationExtension)
	fc.Result = res
	return ec.marshalNLocalizationExtension2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtensionConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtensionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCode":
				return ec.fieldContext_LocalizationExtension_countryCode(ctx, field)
			case "key":
				return ec.fieldContext_LocalizationExtension_key(ctx, field)
			case "purpose":
				return ec.fieldContext_LocalizationExtension_purpose(ctx, field)
			case "title":
				return ec.fieldContext_LocalizationExtension_title(ctx, field)
			case "value":
				return ec.fieldContext_LocalizationExtension_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocalizationExtension", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtensionConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtensionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtensionConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtensionConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtensionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtensionEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtensionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtensionEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtensionEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtensionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocalizationExtensionEdge_node(ctx context.Context, field graphql.CollectedField, obj *LocalizationExtensionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocalizationExtensionEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LocalizationExtension)
	fc.Result = res
	return ec.marshalNLocalizationExtension2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtension(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocalizationExtensionEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocalizationExtensionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCode":
				return ec.fieldContext_LocalizationExtension_countryCode(ctx, field)
			case "key":
				return ec.fieldContext_LocalizationExtension_key(ctx, field)
			case "purpose":
				return ec.fieldContext_LocalizationExtension_purpose(ctx, field)
			case "title":
				return ec.fieldContext_LocalizationExtension_title(ctx, field)
			case "value":
				return ec.fieldContext_LocalizationExtension_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocalizationExtension", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_activatable(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_activatable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Activatable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_activatable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_address(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_address(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LocationAddress)
	fc.Result = res
	return ec.marshalNLocationAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_address(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_LocationAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_LocationAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_LocationAddress_city(ctx, field)
			case "country":
				return ec.fieldContext_LocationAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_LocationAddress_countryCode(ctx, field)
			case "formatted":
				return ec.fieldContext_LocationAddress_formatted(ctx, field)
			case "latitude":
				return ec.fieldContext_LocationAddress_latitude(ctx, field)
			case "longitude":
				return ec.fieldContext_LocationAddress_longitude(ctx, field)
			case "phone":
				return ec.fieldContext_LocationAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_LocationAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_LocationAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_LocationAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocationAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_addressVerified(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_addressVerified(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AddressVerified, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_addressVerified(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_deactivatable(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_deactivatable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Deactivatable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_deactivatable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_deactivatedAt(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_deactivatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeactivatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_deactivatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_deletable(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_deletable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Deletable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_deletable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_fulfillmentService(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_fulfillmentService(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentService, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentService)
	fc.Result = res
	return ec.marshalOFulfillmentService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentService(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_fulfillmentService(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentService_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentService", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_fulfillsOnlineOrders(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillsOnlineOrders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_fulfillsOnlineOrders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_hasActiveInventory(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_hasActiveInventory(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasActiveInventory, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_hasActiveInventory(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_hasUnfulfilledOrders(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasUnfulfilledOrders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_hasUnfulfilledOrders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_id(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_inventoryLevel(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_inventoryLevel(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InventoryLevel, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*InventoryLevel)
	fc.Result = res
	return ec.marshalOInventoryLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_inventoryLevel(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_InventoryLevel_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type InventoryLevel", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Location_inventoryLevel_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Location_inventoryLevels(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_inventoryLevels(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InventoryLevels, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*InventoryLevelConnection)
	fc.Result = res
	return ec.marshalNInventoryLevelConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_inventoryLevels(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_InventoryLevelConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_InventoryLevelConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_InventoryLevelConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type InventoryLevelConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Location_inventoryLevels_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Location_isActive(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_isActive(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsActive, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_isActive(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_metafield(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_metafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Metafield)
	fc.Result = res
	return ec.marshalOMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_metafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Metafield_createdAt(ctx, field)
			case "definition":
				return ec.fieldContext_Metafield_definition(ctx, field)
			case "description":
				return ec.fieldContext_Metafield_description(ctx, field)
			case "id":
				return ec.fieldContext_Metafield_id(ctx, field)
			case "key":
				return ec.fieldContext_Metafield_key(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Metafield_legacyResourceId(ctx, field)
			case "namespace":
				return ec.fieldContext_Metafield_namespace(ctx, field)
			case "owner":
				return ec.fieldContext_Metafield_owner(ctx, field)
			case "ownerType":
				return ec.fieldContext_Metafield_ownerType(ctx, field)
			case "reference":
				return ec.fieldContext_Metafield_reference(ctx, field)
			case "references":
				return ec.fieldContext_Metafield_references(ctx, field)
			case "type":
				return ec.fieldContext_Metafield_type(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Metafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_Metafield_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Metafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Location_metafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Location_metafieldDefinitions(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_metafieldDefinitions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MetafieldDefinitions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldDefinitionConnection)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_metafieldDefinitions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldDefinitionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldDefinitionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldDefinitionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Location_metafieldDefinitions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Location_metafields(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_metafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldConnection)
	fc.Result = res
	return ec.marshalNMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_metafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Location_metafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Location_name(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_privateMetafield(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_privateMetafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafield)
	fc.Result = res
	return ec.marshalOPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_privateMetafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_PrivateMetafield_id(ctx, field)
			case "key":
				return ec.fieldContext_PrivateMetafield_key(ctx, field)
			case "namespace":
				return ec.fieldContext_PrivateMetafield_namespace(ctx, field)
			case "updatedAt":
				return ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_PrivateMetafield_value(ctx, field)
			case "valueType":
				return ec.fieldContext_PrivateMetafield_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Location_privateMetafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Location_privateMetafields(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_privateMetafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafieldConnection)
	fc.Result = res
	return ec.marshalNPrivateMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_privateMetafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_PrivateMetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_PrivateMetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_PrivateMetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Location_privateMetafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Location_shipsInventory(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_shipsInventory(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShipsInventory, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_shipsInventory(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Location_suggestedAddresses(ctx context.Context, field graphql.CollectedField, obj *Location) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Location_suggestedAddresses(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SuggestedAddresses, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*LocationSuggestedAddress)
	fc.Result = res
	return ec.marshalNLocationSuggestedAddress2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationSuggestedAddressᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Location_suggestedAddresses(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Location",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_LocationSuggestedAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_LocationSuggestedAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_LocationSuggestedAddress_city(ctx, field)
			case "country":
				return ec.fieldContext_LocationSuggestedAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_LocationSuggestedAddress_countryCode(ctx, field)
			case "formatted":
				return ec.fieldContext_LocationSuggestedAddress_formatted(ctx, field)
			case "province":
				return ec.fieldContext_LocationSuggestedAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_LocationSuggestedAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_LocationSuggestedAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocationSuggestedAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_address1(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_address2(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_city(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_country(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_countryCode(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_formatted(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_formatted(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Formatted, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_formatted(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_latitude(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_latitude(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Latitude, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*float64)
	fc.Result = res
	return ec.marshalOFloat2ᚖfloat64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_latitude(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_longitude(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_longitude(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Longitude, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*float64)
	fc.Result = res
	return ec.marshalOFloat2ᚖfloat64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_longitude(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_phone(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_province(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_provinceCode(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_provinceCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_provinceCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationAddress_zip(ctx context.Context, field graphql.CollectedField, obj *LocationAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationConnection_edges(ctx context.Context, field graphql.CollectedField, obj *LocationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*LocationEdge)
	fc.Result = res
	return ec.marshalNLocationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_LocationEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_LocationEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocationEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *LocationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Location)
	fc.Result = res
	return ec.marshalNLocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *LocationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *LocationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationEdge_node(ctx context.Context, field graphql.CollectedField, obj *LocationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Location)
	fc.Result = res
	return ec.marshalNLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_address1(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_address2(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_city(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_country(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_countryCode(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_formatted(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_formatted(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Formatted, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_formatted(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_province(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_provinceCode(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_provinceCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_provinceCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _LocationSuggestedAddress_zip(ctx context.Context, field graphql.CollectedField, obj *LocationSuggestedAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_LocationSuggestedAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_LocationSuggestedAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "LocationSuggestedAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_address1(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_address2(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_city(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_company(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_coordinatesValidated(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_coordinatesValidated(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CoordinatesValidated, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_coordinatesValidated(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_country(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_countryCodeV2(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_countryCodeV2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCodeV2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_countryCodeV2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_firstName(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_firstName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FirstName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_firstName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_formattedArea(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_formattedArea(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FormattedArea, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_formattedArea(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_id(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_lastName(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_lastName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_lastName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_latitude(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_latitude(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Latitude, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*float64)
	fc.Result = res
	return ec.marshalOFloat2ᚖfloat64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_latitude(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_longitude(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_longitude(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Longitude, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*float64)
	fc.Result = res
	return ec.marshalOFloat2ᚖfloat64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_longitude(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_name(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_phone(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_province(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_provinceCode(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_provinceCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_provinceCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MailingAddress_zip(ctx context.Context, field graphql.CollectedField, obj *MailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MailingAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MailingAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ManualDiscountApplication_allocationMethod(ctx context.Context, field graphql.CollectedField, obj *ManualDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ManualDiscountApplication_allocationMethod(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AllocationMethod, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationAllocationMethod)
	fc.Result = res
	return ec.marshalNDiscountApplicationAllocationMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationAllocationMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ManualDiscountApplication_allocationMethod(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ManualDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationAllocationMethod does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ManualDiscountApplication_description(ctx context.Context, field graphql.CollectedField, obj *ManualDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ManualDiscountApplication_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ManualDiscountApplication_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ManualDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ManualDiscountApplication_index(ctx context.Context, field graphql.CollectedField, obj *ManualDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ManualDiscountApplication_index(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Index, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ManualDiscountApplication_index(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ManualDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ManualDiscountApplication_targetSelection(ctx context.Context, field graphql.CollectedField, obj *ManualDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ManualDiscountApplication_targetSelection(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetSelection, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetSelection)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetSelection2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetSelection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ManualDiscountApplication_targetSelection(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ManualDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetSelection does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ManualDiscountApplication_targetType(ctx context.Context, field graphql.CollectedField, obj *ManualDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ManualDiscountApplication_targetType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetType)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ManualDiscountApplication_targetType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ManualDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ManualDiscountApplication_title(ctx context.Context, field graphql.CollectedField, obj *ManualDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ManualDiscountApplication_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ManualDiscountApplication_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ManualDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ManualDiscountApplication_value(ctx context.Context, field graphql.CollectedField, obj *ManualDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ManualDiscountApplication_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PricingValue)
	fc.Result = res
	return ec.marshalNPricingValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPricingValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ManualDiscountApplication_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ManualDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PricingValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Market_id(ctx context.Context, field graphql.CollectedField, obj *Market) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Market_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Market_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Market",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketCurrencySettings_baseCurrency(ctx context.Context, field graphql.CollectedField, obj *MarketCurrencySettings) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketCurrencySettings_baseCurrency(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BaseCurrency, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CurrencySetting)
	fc.Result = res
	return ec.marshalNCurrencySetting2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySetting(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketCurrencySettings_baseCurrency(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketCurrencySettings",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "currencyCode":
				return ec.fieldContext_CurrencySetting_currencyCode(ctx, field)
			case "currencyName":
				return ec.fieldContext_CurrencySetting_currencyName(ctx, field)
			case "enabled":
				return ec.fieldContext_CurrencySetting_enabled(ctx, field)
			case "rateUpdatedAt":
				return ec.fieldContext_CurrencySetting_rateUpdatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CurrencySetting", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketCurrencySettings_localCurrencies(ctx context.Context, field graphql.CollectedField, obj *MarketCurrencySettings) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketCurrencySettings_localCurrencies(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocalCurrencies, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketCurrencySettings_localCurrencies(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketCurrencySettings",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketRegionConnection_edges(ctx context.Context, field graphql.CollectedField, obj *MarketRegionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketRegionConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MarketRegionEdge)
	fc.Result = res
	return ec.marshalNMarketRegionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegionEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketRegionConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketRegionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_MarketRegionEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_MarketRegionEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MarketRegionEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketRegionConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *MarketRegionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketRegionConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]MarketRegion)
	fc.Result = res
	return ec.marshalNMarketRegion2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketRegionConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketRegionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketRegionConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *MarketRegionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketRegionConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketRegionConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketRegionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketRegionEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *MarketRegionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketRegionEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketRegionEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketRegionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketRegionEdge_node(ctx context.Context, field graphql.CollectedField, obj *MarketRegionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketRegionEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MarketRegion)
	fc.Result = res
	return ec.marshalNMarketRegion2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegion(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketRegionEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketRegionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketWebPresence_id(ctx context.Context, field graphql.CollectedField, obj *MarketWebPresence) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketWebPresence_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketWebPresence_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketWebPresence",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketWebPresenceRootUrl_locale(ctx context.Context, field graphql.CollectedField, obj *MarketWebPresenceRootURL) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketWebPresenceRootUrl_locale(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locale, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketWebPresenceRootUrl_locale(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketWebPresenceRootUrl",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketWebPresenceRootUrl_url(ctx context.Context, field graphql.CollectedField, obj *MarketWebPresenceRootURL) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketWebPresenceRootUrl_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketWebPresenceRootUrl_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketWebPresenceRootUrl",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_app(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_app(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.App, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*App)
	fc.Result = res
	return ec.marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_app(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_channel(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_channel(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Channel, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MarketingChannel)
	fc.Result = res
	return ec.marshalOMarketingChannel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingChannel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_channel(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MarketingChannel does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_description(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_endedAt(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_endedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EndedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_endedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_id(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_manageUrl(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_manageUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ManageURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_manageUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_previewUrl(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_previewUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PreviewURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_previewUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_remoteId(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_remoteId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RemoteID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_remoteId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_scheduledToEndAt(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_scheduledToEndAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ScheduledToEndAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_scheduledToEndAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_sourceAndMedium(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_sourceAndMedium(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SourceAndMedium, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_sourceAndMedium(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_startedAt(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_startedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.StartedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_startedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_type(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MarketingTactic)
	fc.Result = res
	return ec.marshalNMarketingTactic2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingTactic(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MarketingTactic does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_utmCampaign(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_utmCampaign(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UtmCampaign, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_utmCampaign(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_utmMedium(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_utmMedium(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UtmMedium, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_utmMedium(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MarketingEvent_utmSource(ctx context.Context, field graphql.CollectedField, obj *MarketingEvent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MarketingEvent_utmSource(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UtmSource, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MarketingEvent_utmSource(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MarketingEvent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaConnection_edges(ctx context.Context, field graphql.CollectedField, obj *MediaConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MediaEdge)
	fc.Result = res
	return ec.marshalNMediaEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_MediaEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_MediaEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *MediaConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]Media)
	fc.Result = res
	return ec.marshalNMedia2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *MediaConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *MediaEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaEdge_node(ctx context.Context, field graphql.CollectedField, obj *MediaEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(Media)
	fc.Result = res
	return ec.marshalNMedia2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMedia(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaError_code(ctx context.Context, field graphql.CollectedField, obj *MediaError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MediaErrorCode)
	fc.Result = res
	return ec.marshalNMediaErrorCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaError_details(ctx context.Context, field graphql.CollectedField, obj *MediaError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaError_details(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Details, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaError_details(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaError_message(ctx context.Context, field graphql.CollectedField, obj *MediaError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_alt(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_alt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Alt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_alt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_createdAt(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_fileErrors(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_fileErrors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileErrors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FileError)
	fc.Result = res
	return ec.marshalNFileError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileErrorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_fileErrors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_FileError_code(ctx, field)
			case "details":
				return ec.fieldContext_FileError_details(ctx, field)
			case "message":
				return ec.fieldContext_FileError_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FileError", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_fileStatus(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_fileStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FileStatus)
	fc.Result = res
	return ec.marshalNFileStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_fileStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FileStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_id(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_image(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_image(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Image, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_image(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_mediaContentType(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_mediaContentType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MediaContentType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MediaContentType)
	fc.Result = res
	return ec.marshalNMediaContentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaContentType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_mediaContentType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaContentType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_mediaErrors(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_mediaErrors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MediaErrors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MediaError)
	fc.Result = res
	return ec.marshalNMediaError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaErrorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_mediaErrors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_MediaError_code(ctx, field)
			case "details":
				return ec.fieldContext_MediaError_details(ctx, field)
			case "message":
				return ec.fieldContext_MediaError_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaError", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_mediaWarnings(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_mediaWarnings(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MediaWarnings, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MediaWarning)
	fc.Result = res
	return ec.marshalNMediaWarning2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarningᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_mediaWarnings(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_MediaWarning_code(ctx, field)
			case "message":
				return ec.fieldContext_MediaWarning_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaWarning", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_mimeType(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_mimeType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MimeType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_mimeType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_originalSource(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_originalSource(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalSource, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MediaImageOriginalSource)
	fc.Result = res
	return ec.marshalOMediaImageOriginalSource2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaImageOriginalSource(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_originalSource(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "fileSize":
				return ec.fieldContext_MediaImageOriginalSource_fileSize(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaImageOriginalSource", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_preview(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_preview(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Preview, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MediaPreviewImage)
	fc.Result = res
	return ec.marshalOMediaPreviewImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaPreviewImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_preview(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "image":
				return ec.fieldContext_MediaPreviewImage_image(ctx, field)
			case "status":
				return ec.fieldContext_MediaPreviewImage_status(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaPreviewImage", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImage_status(ctx context.Context, field graphql.CollectedField, obj *MediaImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImage_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MediaStatus)
	fc.Result = res
	return ec.marshalNMediaStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImage_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaImageOriginalSource_fileSize(ctx context.Context, field graphql.CollectedField, obj *MediaImageOriginalSource) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaImageOriginalSource_fileSize(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileSize, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaImageOriginalSource_fileSize(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaImageOriginalSource",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaPreviewImage_image(ctx context.Context, field graphql.CollectedField, obj *MediaPreviewImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaPreviewImage_image(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Image, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaPreviewImage_image(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaPreviewImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaPreviewImage_status(ctx context.Context, field graphql.CollectedField, obj *MediaPreviewImage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaPreviewImage_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MediaPreviewImageStatus)
	fc.Result = res
	return ec.marshalNMediaPreviewImageStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaPreviewImageStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaPreviewImage_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaPreviewImage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaPreviewImageStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaUserError_code(ctx context.Context, field graphql.CollectedField, obj *MediaUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaUserError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MediaUserErrorCode)
	fc.Result = res
	return ec.marshalOMediaUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaUserErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaUserError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaUserErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaUserError_field(ctx context.Context, field graphql.CollectedField, obj *MediaUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaUserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaUserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaUserError_message(ctx context.Context, field graphql.CollectedField, obj *MediaUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaUserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaUserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaWarning_code(ctx context.Context, field graphql.CollectedField, obj *MediaWarning) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaWarning_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MediaWarningCode)
	fc.Result = res
	return ec.marshalNMediaWarningCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarningCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaWarning_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaWarning",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaWarningCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MediaWarning_message(ctx context.Context, field graphql.CollectedField, obj *MediaWarning) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MediaWarning_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MediaWarning_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MediaWarning",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MerchantApprovalSignals_identityVerified(ctx context.Context, field graphql.CollectedField, obj *MerchantApprovalSignals) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MerchantApprovalSignals_identityVerified(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IdentityVerified, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MerchantApprovalSignals_identityVerified(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MerchantApprovalSignals",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MerchantApprovalSignals_verifiedByShopify(ctx context.Context, field graphql.CollectedField, obj *MerchantApprovalSignals) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MerchantApprovalSignals_verifiedByShopify(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VerifiedByShopify, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MerchantApprovalSignals_verifiedByShopify(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MerchantApprovalSignals",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_createdAt(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_definition(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_definition(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Definition, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MetafieldDefinition)
	fc.Result = res
	return ec.marshalOMetafieldDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinition(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_definition(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_MetafieldDefinition_description(ctx, field)
			case "id":
				return ec.fieldContext_MetafieldDefinition_id(ctx, field)
			case "key":
				return ec.fieldContext_MetafieldDefinition_key(ctx, field)
			case "metafields":
				return ec.fieldContext_MetafieldDefinition_metafields(ctx, field)
			case "metafieldsCount":
				return ec.fieldContext_MetafieldDefinition_metafieldsCount(ctx, field)
			case "name":
				return ec.fieldContext_MetafieldDefinition_name(ctx, field)
			case "namespace":
				return ec.fieldContext_MetafieldDefinition_namespace(ctx, field)
			case "ownerType":
				return ec.fieldContext_MetafieldDefinition_ownerType(ctx, field)
			case "pinnedPosition":
				return ec.fieldContext_MetafieldDefinition_pinnedPosition(ctx, field)
			case "standardTemplate":
				return ec.fieldContext_MetafieldDefinition_standardTemplate(ctx, field)
			case "type":
				return ec.fieldContext_MetafieldDefinition_type(ctx, field)
			case "validationStatus":
				return ec.fieldContext_MetafieldDefinition_validationStatus(ctx, field)
			case "validations":
				return ec.fieldContext_MetafieldDefinition_validations(ctx, field)
			case "visibleToStorefrontApi":
				return ec.fieldContext_MetafieldDefinition_visibleToStorefrontApi(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_description(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_id(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_key(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_namespace(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_namespace(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Namespace, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_namespace(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_owner(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_owner(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Owner, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(HasMetafields)
	fc.Result = res
	return ec.marshalNHasMetafields2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐHasMetafields(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_owner(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_ownerType(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_ownerType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OwnerType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MetafieldOwnerType)
	fc.Result = res
	return ec.marshalNMetafieldOwnerType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_ownerType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MetafieldOwnerType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_reference(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_reference(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Reference, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(MetafieldReference)
	fc.Result = res
	return ec.marshalOMetafieldReference2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReference(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_reference(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MetafieldReference does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_references(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_references(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.References, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MetafieldReferenceConnection)
	fc.Result = res
	return ec.marshalOMetafieldReferenceConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReferenceConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_references(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldReferenceConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldReferenceConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldReferenceConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldReferenceConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Metafield_references_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_type(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_updatedAt(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Metafield_value(ctx context.Context, field graphql.CollectedField, obj *Metafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Metafield_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Metafield_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Metafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldConnection_edges(ctx context.Context, field graphql.CollectedField, obj *MetafieldConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MetafieldEdge)
	fc.Result = res
	return ec.marshalNMetafieldEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_MetafieldEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_MetafieldEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *MetafieldConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Metafield)
	fc.Result = res
	return ec.marshalNMetafield2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Metafield_createdAt(ctx, field)
			case "definition":
				return ec.fieldContext_Metafield_definition(ctx, field)
			case "description":
				return ec.fieldContext_Metafield_description(ctx, field)
			case "id":
				return ec.fieldContext_Metafield_id(ctx, field)
			case "key":
				return ec.fieldContext_Metafield_key(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Metafield_legacyResourceId(ctx, field)
			case "namespace":
				return ec.fieldContext_Metafield_namespace(ctx, field)
			case "owner":
				return ec.fieldContext_Metafield_owner(ctx, field)
			case "ownerType":
				return ec.fieldContext_Metafield_ownerType(ctx, field)
			case "reference":
				return ec.fieldContext_Metafield_reference(ctx, field)
			case "references":
				return ec.fieldContext_Metafield_references(ctx, field)
			case "type":
				return ec.fieldContext_Metafield_type(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Metafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_Metafield_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Metafield", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *MetafieldConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_description(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_id(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_key(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_metafields(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_metafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldConnection)
	fc.Result = res
	return ec.marshalNMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_metafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_MetafieldDefinition_metafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_metafieldsCount(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_metafieldsCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MetafieldsCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_metafieldsCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_MetafieldDefinition_metafieldsCount_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_name(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_namespace(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_namespace(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Namespace, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_namespace(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_ownerType(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_ownerType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OwnerType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MetafieldOwnerType)
	fc.Result = res
	return ec.marshalNMetafieldOwnerType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_ownerType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MetafieldOwnerType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_pinnedPosition(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_pinnedPosition(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PinnedPosition, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_pinnedPosition(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_standardTemplate(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_standardTemplate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.StandardTemplate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*StandardMetafieldDefinitionTemplate)
	fc.Result = res
	return ec.marshalOStandardMetafieldDefinitionTemplate2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStandardMetafieldDefinitionTemplate(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_standardTemplate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_description(ctx, field)
			case "id":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_id(ctx, field)
			case "key":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_key(ctx, field)
			case "name":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_name(ctx, field)
			case "namespace":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_namespace(ctx, field)
			case "ownerTypes":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_ownerTypes(ctx, field)
			case "type":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_type(ctx, field)
			case "validations":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_validations(ctx, field)
			case "visibleToStorefrontApi":
				return ec.fieldContext_StandardMetafieldDefinitionTemplate_visibleToStorefrontApi(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StandardMetafieldDefinitionTemplate", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_type(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldDefinitionType)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "category":
				return ec.fieldContext_MetafieldDefinitionType_category(ctx, field)
			case "name":
				return ec.fieldContext_MetafieldDefinitionType_name(ctx, field)
			case "supportedValidations":
				return ec.fieldContext_MetafieldDefinitionType_supportedValidations(ctx, field)
			case "supportsDefinitionMigrations":
				return ec.fieldContext_MetafieldDefinitionType_supportsDefinitionMigrations(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionType", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_validationStatus(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_validationStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ValidationStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MetafieldDefinitionValidationStatus)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionValidationStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidationStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_validationStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MetafieldDefinitionValidationStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_validations(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_validations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Validations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MetafieldDefinitionValidation)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionValidation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_validations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext_MetafieldDefinitionValidation_name(ctx, field)
			case "type":
				return ec.fieldContext_MetafieldDefinitionValidation_type(ctx, field)
			case "value":
				return ec.fieldContext_MetafieldDefinitionValidation_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionValidation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinition_visibleToStorefrontApi(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinition) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinition_visibleToStorefrontApi(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VisibleToStorefrontAPI, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinition_visibleToStorefrontApi(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinition",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionConnection_edges(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MetafieldDefinitionEdge)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_MetafieldDefinitionEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_MetafieldDefinitionEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MetafieldDefinition)
	fc.Result = res
	return ec.marshalNMetafieldDefinition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_MetafieldDefinition_description(ctx, field)
			case "id":
				return ec.fieldContext_MetafieldDefinition_id(ctx, field)
			case "key":
				return ec.fieldContext_MetafieldDefinition_key(ctx, field)
			case "metafields":
				return ec.fieldContext_MetafieldDefinition_metafields(ctx, field)
			case "metafieldsCount":
				return ec.fieldContext_MetafieldDefinition_metafieldsCount(ctx, field)
			case "name":
				return ec.fieldContext_MetafieldDefinition_name(ctx, field)
			case "namespace":
				return ec.fieldContext_MetafieldDefinition_namespace(ctx, field)
			case "ownerType":
				return ec.fieldContext_MetafieldDefinition_ownerType(ctx, field)
			case "pinnedPosition":
				return ec.fieldContext_MetafieldDefinition_pinnedPosition(ctx, field)
			case "standardTemplate":
				return ec.fieldContext_MetafieldDefinition_standardTemplate(ctx, field)
			case "type":
				return ec.fieldContext_MetafieldDefinition_type(ctx, field)
			case "validationStatus":
				return ec.fieldContext_MetafieldDefinition_validationStatus(ctx, field)
			case "validations":
				return ec.fieldContext_MetafieldDefinition_validations(ctx, field)
			case "visibleToStorefrontApi":
				return ec.fieldContext_MetafieldDefinition_visibleToStorefrontApi(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionEdge_node(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldDefinition)
	fc.Result = res
	return ec.marshalNMetafieldDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinition(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_MetafieldDefinition_description(ctx, field)
			case "id":
				return ec.fieldContext_MetafieldDefinition_id(ctx, field)
			case "key":
				return ec.fieldContext_MetafieldDefinition_key(ctx, field)
			case "metafields":
				return ec.fieldContext_MetafieldDefinition_metafields(ctx, field)
			case "metafieldsCount":
				return ec.fieldContext_MetafieldDefinition_metafieldsCount(ctx, field)
			case "name":
				return ec.fieldContext_MetafieldDefinition_name(ctx, field)
			case "namespace":
				return ec.fieldContext_MetafieldDefinition_namespace(ctx, field)
			case "ownerType":
				return ec.fieldContext_MetafieldDefinition_ownerType(ctx, field)
			case "pinnedPosition":
				return ec.fieldContext_MetafieldDefinition_pinnedPosition(ctx, field)
			case "standardTemplate":
				return ec.fieldContext_MetafieldDefinition_standardTemplate(ctx, field)
			case "type":
				return ec.fieldContext_MetafieldDefinition_type(ctx, field)
			case "validationStatus":
				return ec.fieldContext_MetafieldDefinition_validationStatus(ctx, field)
			case "validations":
				return ec.fieldContext_MetafieldDefinition_validations(ctx, field)
			case "visibleToStorefrontApi":
				return ec.fieldContext_MetafieldDefinition_visibleToStorefrontApi(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinition", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionSupportedValidation_name(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionSupportedValidation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionSupportedValidation_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionSupportedValidation_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionSupportedValidation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionSupportedValidation_type(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionSupportedValidation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionSupportedValidation_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionSupportedValidation_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionSupportedValidation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionType_category(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionType) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionType_category(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Category, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionType_category(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionType",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionType_name(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionType) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionType_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionType_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionType",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionType_supportedValidations(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionType) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionType_supportedValidations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SupportedValidations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MetafieldDefinitionSupportedValidation)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionSupportedValidation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSupportedValidationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionType_supportedValidations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionType",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext_MetafieldDefinitionSupportedValidation_name(ctx, field)
			case "type":
				return ec.fieldContext_MetafieldDefinitionSupportedValidation_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionSupportedValidation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionType_supportsDefinitionMigrations(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionType) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionType_supportsDefinitionMigrations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SupportsDefinitionMigrations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionType_supportsDefinitionMigrations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionType",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionValidation_name(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionValidation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionValidation_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionValidation_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionValidation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionValidation_type(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionValidation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionValidation_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionValidation_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionValidation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldDefinitionValidation_value(ctx context.Context, field graphql.CollectedField, obj *MetafieldDefinitionValidation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldDefinitionValidation_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldDefinitionValidation_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldDefinitionValidation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *MetafieldEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldEdge_node(ctx context.Context, field graphql.CollectedField, obj *MetafieldEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Metafield)
	fc.Result = res
	return ec.marshalNMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Metafield_createdAt(ctx, field)
			case "definition":
				return ec.fieldContext_Metafield_definition(ctx, field)
			case "description":
				return ec.fieldContext_Metafield_description(ctx, field)
			case "id":
				return ec.fieldContext_Metafield_id(ctx, field)
			case "key":
				return ec.fieldContext_Metafield_key(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Metafield_legacyResourceId(ctx, field)
			case "namespace":
				return ec.fieldContext_Metafield_namespace(ctx, field)
			case "owner":
				return ec.fieldContext_Metafield_owner(ctx, field)
			case "ownerType":
				return ec.fieldContext_Metafield_ownerType(ctx, field)
			case "reference":
				return ec.fieldContext_Metafield_reference(ctx, field)
			case "references":
				return ec.fieldContext_Metafield_references(ctx, field)
			case "type":
				return ec.fieldContext_Metafield_type(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Metafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_Metafield_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Metafield", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldReferenceConnection_edges(ctx context.Context, field graphql.CollectedField, obj *MetafieldReferenceConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldReferenceConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MetafieldReferenceEdge)
	fc.Result = res
	return ec.marshalNMetafieldReferenceEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReferenceEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldReferenceConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldReferenceConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_MetafieldReferenceEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_MetafieldReferenceEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldReferenceEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldReferenceConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *MetafieldReferenceConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldReferenceConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]MetafieldReference)
	fc.Result = res
	return ec.marshalNMetafieldReference2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReference(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldReferenceConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldReferenceConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MetafieldReference does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldReferenceConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *MetafieldReferenceConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldReferenceConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldReferenceConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldReferenceConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldReferenceEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *MetafieldReferenceEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldReferenceEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldReferenceEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldReferenceEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MetafieldReferenceEdge_node(ctx context.Context, field graphql.CollectedField, obj *MetafieldReferenceEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MetafieldReferenceEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(MetafieldReference)
	fc.Result = res
	return ec.marshalOMetafieldReference2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReference(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MetafieldReferenceEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MetafieldReferenceEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MetafieldReference does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MoneyBag_presentmentMoney(ctx context.Context, field graphql.CollectedField, obj *MoneyBag) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PresentmentMoney, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MoneyBag_presentmentMoney(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MoneyBag",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MoneyBag_shopMoney(ctx context.Context, field graphql.CollectedField, obj *MoneyBag) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MoneyBag_shopMoney(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShopMoney, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MoneyBag_shopMoney(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MoneyBag",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _MoneyV2_amount(ctx context.Context, field graphql.CollectedField, obj *MoneyV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MoneyV2_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDecimal2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MoneyV2_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MoneyV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Decimal does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _MoneyV2_currencyCode(ctx context.Context, field graphql.CollectedField, obj *MoneyV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_MoneyV2_currencyCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrencyCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_MoneyV2_currencyCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "MoneyV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _NavigationItem_id(ctx context.Context, field graphql.CollectedField, obj *NavigationItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_NavigationItem_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_NavigationItem_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "NavigationItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _NavigationItem_title(ctx context.Context, field graphql.CollectedField, obj *NavigationItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_NavigationItem_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_NavigationItem_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "NavigationItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _NavigationItem_url(ctx context.Context, field graphql.CollectedField, obj *NavigationItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_NavigationItem_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_NavigationItem_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "NavigationItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OnlineStorePage_defaultCursor(ctx context.Context, field graphql.CollectedField, obj *OnlineStorePage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OnlineStorePage_defaultCursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DefaultCursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OnlineStorePage_defaultCursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OnlineStorePage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OnlineStorePage_id(ctx context.Context, field graphql.CollectedField, obj *OnlineStorePage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OnlineStorePage_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OnlineStorePage_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OnlineStorePage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OnlineStorePage_translations(ctx context.Context, field graphql.CollectedField, obj *OnlineStorePage) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OnlineStorePage_translations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Translations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PublishedTranslation)
	fc.Result = res
	return ec.marshalNPublishedTranslation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishedTranslationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OnlineStorePage_translations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OnlineStorePage",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_PublishedTranslation_key(ctx, field)
			case "locale":
				return ec.fieldContext_PublishedTranslation_locale(ctx, field)
			case "marketId":
				return ec.fieldContext_PublishedTranslation_marketId(ctx, field)
			case "value":
				return ec.fieldContext_PublishedTranslation_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PublishedTranslation", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_OnlineStorePage_translations_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_agreements(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_agreements(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Agreements, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SalesAgreementConnection)
	fc.Result = res
	return ec.marshalNSalesAgreementConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_agreements(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SalesAgreementConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SalesAgreementConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SalesAgreementConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SalesAgreementConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_agreements_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_alerts(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_alerts(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Alerts, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ResourceAlert)
	fc.Result = res
	return ec.marshalNResourceAlert2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_alerts(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "actions":
				return ec.fieldContext_ResourceAlert_actions(ctx, field)
			case "content":
				return ec.fieldContext_ResourceAlert_content(ctx, field)
			case "dismissibleHandle":
				return ec.fieldContext_ResourceAlert_dismissibleHandle(ctx, field)
			case "icon":
				return ec.fieldContext_ResourceAlert_icon(ctx, field)
			case "severity":
				return ec.fieldContext_ResourceAlert_severity(ctx, field)
			case "title":
				return ec.fieldContext_ResourceAlert_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourceAlert", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_app(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_app(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.App, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderApp)
	fc.Result = res
	return ec.marshalOOrderApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_app(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "icon":
				return ec.fieldContext_OrderApp_icon(ctx, field)
			case "id":
				return ec.fieldContext_OrderApp_id(ctx, field)
			case "name":
				return ec.fieldContext_OrderApp_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderApp", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_billingAddress(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_billingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MailingAddress)
	fc.Result = res
	return ec.marshalOMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMailingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_billingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_MailingAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_MailingAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_MailingAddress_city(ctx, field)
			case "company":
				return ec.fieldContext_MailingAddress_company(ctx, field)
			case "coordinatesValidated":
				return ec.fieldContext_MailingAddress_coordinatesValidated(ctx, field)
			case "country":
				return ec.fieldContext_MailingAddress_country(ctx, field)
			case "countryCodeV2":
				return ec.fieldContext_MailingAddress_countryCodeV2(ctx, field)
			case "firstName":
				return ec.fieldContext_MailingAddress_firstName(ctx, field)
			case "formattedArea":
				return ec.fieldContext_MailingAddress_formattedArea(ctx, field)
			case "id":
				return ec.fieldContext_MailingAddress_id(ctx, field)
			case "lastName":
				return ec.fieldContext_MailingAddress_lastName(ctx, field)
			case "latitude":
				return ec.fieldContext_MailingAddress_latitude(ctx, field)
			case "longitude":
				return ec.fieldContext_MailingAddress_longitude(ctx, field)
			case "name":
				return ec.fieldContext_MailingAddress_name(ctx, field)
			case "phone":
				return ec.fieldContext_MailingAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_MailingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_MailingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_MailingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MailingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_billingAddressMatchesShippingAddress(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddressMatchesShippingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_billingAddressMatchesShippingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_canMarkAsPaid(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_canMarkAsPaid(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CanMarkAsPaid, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_canMarkAsPaid(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_canNotifyCustomer(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_canNotifyCustomer(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CanNotifyCustomer, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_canNotifyCustomer(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_cancelReason(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_cancelReason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CancelReason, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderCancelReason)
	fc.Result = res
	return ec.marshalOOrderCancelReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderCancelReason(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_cancelReason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderCancelReason does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_cancelledAt(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_cancelledAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CancelledAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_cancelledAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_capturable(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_capturable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Capturable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_capturable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_cartDiscountAmountSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CartDiscountAmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_cartDiscountAmountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_channelInformation(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_channelInformation(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ChannelInformation, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ChannelInformation)
	fc.Result = res
	return ec.marshalOChannelInformation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelInformation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_channelInformation(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_ChannelInformation_app(ctx, field)
			case "channelDefinition":
				return ec.fieldContext_ChannelInformation_channelDefinition(ctx, field)
			case "channelId":
				return ec.fieldContext_ChannelInformation_channelId(ctx, field)
			case "id":
				return ec.fieldContext_ChannelInformation_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ChannelInformation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_clientIp(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_clientIp(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ClientIP, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_clientIp(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_closed(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_closed(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Closed, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_closed(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_closedAt(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_closedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ClosedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_closedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_confirmed(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_confirmed(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Confirmed, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_confirmed(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_createdAt(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currencyCode(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currencyCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrencyCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currencyCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentCartDiscountAmountSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentCartDiscountAmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentCartDiscountAmountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentSubtotalLineItemsQuantity(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentSubtotalLineItemsQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentSubtotalLineItemsQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentSubtotalPriceSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentSubtotalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentSubtotalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentTaxLines(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentTaxLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentTaxLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentTaxLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentTotalDiscountsSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentTotalDiscountsSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentTotalDiscountsSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentTotalDutiesSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentTotalDutiesSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentTotalDutiesSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentTotalPriceSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentTotalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentTotalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentTotalTaxSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentTotalTaxSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentTotalTaxSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_currentTotalWeight(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_currentTotalWeight(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentTotalWeight, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_currentTotalWeight(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_customAttributes(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_customAttributes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomAttributes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Attribute)
	fc.Result = res
	return ec.marshalNAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttributeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_customAttributes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_Attribute_key(ctx, field)
			case "value":
				return ec.fieldContext_Attribute_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Attribute", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_customer(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_customer(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Customer, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Customer)
	fc.Result = res
	return ec.marshalOCustomer2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomer(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_customer(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Customer_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Customer", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_customerAcceptsMarketing(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomerAcceptsMarketing, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_customerAcceptsMarketing(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_customerJourneySummary(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_customerJourneySummary(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomerJourneySummary, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerJourneySummary)
	fc.Result = res
	return ec.marshalOCustomerJourneySummary2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerJourneySummary(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_customerJourneySummary(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "customerOrderIndex":
				return ec.fieldContext_CustomerJourneySummary_customerOrderIndex(ctx, field)
			case "daysToConversion":
				return ec.fieldContext_CustomerJourneySummary_daysToConversion(ctx, field)
			case "firstVisit":
				return ec.fieldContext_CustomerJourneySummary_firstVisit(ctx, field)
			case "lastVisit":
				return ec.fieldContext_CustomerJourneySummary_lastVisit(ctx, field)
			case "moments":
				return ec.fieldContext_CustomerJourneySummary_moments(ctx, field)
			case "momentsCount":
				return ec.fieldContext_CustomerJourneySummary_momentsCount(ctx, field)
			case "ready":
				return ec.fieldContext_CustomerJourneySummary_ready(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerJourneySummary", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_customerLocale(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_customerLocale(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomerLocale, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_customerLocale(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_discountApplications(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_discountApplications(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountApplications, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*DiscountApplicationConnection)
	fc.Result = res
	return ec.marshalNDiscountApplicationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_discountApplications(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_DiscountApplicationConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_DiscountApplicationConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_DiscountApplicationConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DiscountApplicationConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_discountApplications_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_discountCode(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_discountCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_discountCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_discountCodes(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_discountCodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountCodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_discountCodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_displayAddress(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_displayAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DisplayAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MailingAddress)
	fc.Result = res
	return ec.marshalOMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMailingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_displayAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_MailingAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_MailingAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_MailingAddress_city(ctx, field)
			case "company":
				return ec.fieldContext_MailingAddress_company(ctx, field)
			case "coordinatesValidated":
				return ec.fieldContext_MailingAddress_coordinatesValidated(ctx, field)
			case "country":
				return ec.fieldContext_MailingAddress_country(ctx, field)
			case "countryCodeV2":
				return ec.fieldContext_MailingAddress_countryCodeV2(ctx, field)
			case "firstName":
				return ec.fieldContext_MailingAddress_firstName(ctx, field)
			case "formattedArea":
				return ec.fieldContext_MailingAddress_formattedArea(ctx, field)
			case "id":
				return ec.fieldContext_MailingAddress_id(ctx, field)
			case "lastName":
				return ec.fieldContext_MailingAddress_lastName(ctx, field)
			case "latitude":
				return ec.fieldContext_MailingAddress_latitude(ctx, field)
			case "longitude":
				return ec.fieldContext_MailingAddress_longitude(ctx, field)
			case "name":
				return ec.fieldContext_MailingAddress_name(ctx, field)
			case "phone":
				return ec.fieldContext_MailingAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_MailingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_MailingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_MailingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MailingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_displayFinancialStatus(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_displayFinancialStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DisplayFinancialStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderDisplayFinancialStatus)
	fc.Result = res
	return ec.marshalOOrderDisplayFinancialStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisplayFinancialStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_displayFinancialStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderDisplayFinancialStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_displayFulfillmentStatus(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DisplayFulfillmentStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(OrderDisplayFulfillmentStatus)
	fc.Result = res
	return ec.marshalNOrderDisplayFulfillmentStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisplayFulfillmentStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_displayFulfillmentStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderDisplayFulfillmentStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_disputes(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_disputes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Disputes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*OrderDisputeSummary)
	fc.Result = res
	return ec.marshalNOrderDisputeSummary2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisputeSummaryᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_disputes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_OrderDisputeSummary_id(ctx, field)
			case "initiatedAs":
				return ec.fieldContext_OrderDisputeSummary_initiatedAs(ctx, field)
			case "status":
				return ec.fieldContext_OrderDisputeSummary_status(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderDisputeSummary", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_edited(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_edited(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edited, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_edited(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_email(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_email(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Email, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_email(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_estimatedTaxes(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_estimatedTaxes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EstimatedTaxes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_estimatedTaxes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_events(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_events(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Events, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*EventConnection)
	fc.Result = res
	return ec.marshalNEventConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_events(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_EventConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_EventConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_EventConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type EventConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_events_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_fulfillable(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_fulfillable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Fulfillable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_fulfillable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_fulfillmentOrders(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_fulfillmentOrders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentOrders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*FulfillmentOrderConnection)
	fc.Result = res
	return ec.marshalNFulfillmentOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_fulfillmentOrders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_FulfillmentOrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_FulfillmentOrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_FulfillmentOrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentOrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_fulfillmentOrders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_fulfillments(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_fulfillments(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Fulfillments, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Fulfillment)
	fc.Result = res
	return ec.marshalNFulfillment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_fulfillments(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Fulfillment_createdAt(ctx, field)
			case "deliveredAt":
				return ec.fieldContext_Fulfillment_deliveredAt(ctx, field)
			case "displayStatus":
				return ec.fieldContext_Fulfillment_displayStatus(ctx, field)
			case "estimatedDeliveryAt":
				return ec.fieldContext_Fulfillment_estimatedDeliveryAt(ctx, field)
			case "events":
				return ec.fieldContext_Fulfillment_events(ctx, field)
			case "fulfillmentLineItems":
				return ec.fieldContext_Fulfillment_fulfillmentLineItems(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Fulfillment_fulfillmentOrders(ctx, field)
			case "id":
				return ec.fieldContext_Fulfillment_id(ctx, field)
			case "inTransitAt":
				return ec.fieldContext_Fulfillment_inTransitAt(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Fulfillment_legacyResourceId(ctx, field)
			case "location":
				return ec.fieldContext_Fulfillment_location(ctx, field)
			case "name":
				return ec.fieldContext_Fulfillment_name(ctx, field)
			case "order":
				return ec.fieldContext_Fulfillment_order(ctx, field)
			case "originAddress":
				return ec.fieldContext_Fulfillment_originAddress(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Fulfillment_requiresShipping(ctx, field)
			case "service":
				return ec.fieldContext_Fulfillment_service(ctx, field)
			case "status":
				return ec.fieldContext_Fulfillment_status(ctx, field)
			case "totalQuantity":
				return ec.fieldContext_Fulfillment_totalQuantity(ctx, field)
			case "trackingInfo":
				return ec.fieldContext_Fulfillment_trackingInfo(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Fulfillment_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Fulfillment", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_fulfillments_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_fullyPaid(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_fullyPaid(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FullyPaid, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_fullyPaid(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_hasTimelineComment(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_hasTimelineComment(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasTimelineComment, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_hasTimelineComment(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_id(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_lineItems(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_lineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LineItemConnection)
	fc.Result = res
	return ec.marshalNLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_lineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_LineItemConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_LineItemConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_LineItemConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItemConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_lineItems_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_localizationExtensions(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_localizationExtensions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocalizationExtensions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LocalizationExtensionConnection)
	fc.Result = res
	return ec.marshalNLocalizationExtensionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_localizationExtensions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_LocalizationExtensionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_LocalizationExtensionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_LocalizationExtensionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LocalizationExtensionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_localizationExtensions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_merchantEditable(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_merchantEditable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MerchantEditable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_merchantEditable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_merchantEditableErrors(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_merchantEditableErrors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MerchantEditableErrors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_merchantEditableErrors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_merchantOfRecordApp(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MerchantOfRecordApp, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderApp)
	fc.Result = res
	return ec.marshalOOrderApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_merchantOfRecordApp(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "icon":
				return ec.fieldContext_OrderApp_icon(ctx, field)
			case "id":
				return ec.fieldContext_OrderApp_id(ctx, field)
			case "name":
				return ec.fieldContext_OrderApp_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderApp", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_metafield(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_metafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Metafield)
	fc.Result = res
	return ec.marshalOMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_metafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Metafield_createdAt(ctx, field)
			case "definition":
				return ec.fieldContext_Metafield_definition(ctx, field)
			case "description":
				return ec.fieldContext_Metafield_description(ctx, field)
			case "id":
				return ec.fieldContext_Metafield_id(ctx, field)
			case "key":
				return ec.fieldContext_Metafield_key(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Metafield_legacyResourceId(ctx, field)
			case "namespace":
				return ec.fieldContext_Metafield_namespace(ctx, field)
			case "owner":
				return ec.fieldContext_Metafield_owner(ctx, field)
			case "ownerType":
				return ec.fieldContext_Metafield_ownerType(ctx, field)
			case "reference":
				return ec.fieldContext_Metafield_reference(ctx, field)
			case "references":
				return ec.fieldContext_Metafield_references(ctx, field)
			case "type":
				return ec.fieldContext_Metafield_type(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Metafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_Metafield_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Metafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_metafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_metafieldDefinitions(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_metafieldDefinitions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MetafieldDefinitions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldDefinitionConnection)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_metafieldDefinitions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldDefinitionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldDefinitionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldDefinitionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_metafieldDefinitions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_metafields(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_metafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Metafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldConnection)
	fc.Result = res
	return ec.marshalNMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_metafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_MetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_MetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_MetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_metafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_name(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_netPaymentSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_netPaymentSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.NetPaymentSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_netPaymentSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_nonFulfillableLineItems(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.NonFulfillableLineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LineItemConnection)
	fc.Result = res
	return ec.marshalNLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_nonFulfillableLineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_LineItemConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_LineItemConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_LineItemConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItemConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_nonFulfillableLineItems_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_note(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_note(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Note, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_note(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_originalTotalDutiesSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalTotalDutiesSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_originalTotalDutiesSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_originalTotalPriceSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalTotalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_originalTotalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_paymentCollectionDetails(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentCollectionDetails, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*OrderPaymentCollectionDetails)
	fc.Result = res
	return ec.marshalNOrderPaymentCollectionDetails2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderPaymentCollectionDetails(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_paymentCollectionDetails(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "additionalPaymentCollectionUrl":
				return ec.fieldContext_OrderPaymentCollectionDetails_additionalPaymentCollectionUrl(ctx, field)
			case "vaultedPaymentMethods":
				return ec.fieldContext_OrderPaymentCollectionDetails_vaultedPaymentMethods(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderPaymentCollectionDetails", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_paymentGatewayNames(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_paymentGatewayNames(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentGatewayNames, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_paymentGatewayNames(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_paymentTerms(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_paymentTerms(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentTerms, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PaymentTerms)
	fc.Result = res
	return ec.marshalOPaymentTerms2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTerms(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_paymentTerms(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "dueInDays":
				return ec.fieldContext_PaymentTerms_dueInDays(ctx, field)
			case "id":
				return ec.fieldContext_PaymentTerms_id(ctx, field)
			case "overdue":
				return ec.fieldContext_PaymentTerms_overdue(ctx, field)
			case "paymentSchedules":
				return ec.fieldContext_PaymentTerms_paymentSchedules(ctx, field)
			case "paymentTermsName":
				return ec.fieldContext_PaymentTerms_paymentTermsName(ctx, field)
			case "paymentTermsType":
				return ec.fieldContext_PaymentTerms_paymentTermsType(ctx, field)
			case "translatedName":
				return ec.fieldContext_PaymentTerms_translatedName(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentTerms", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_phone(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_physicalLocation(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_physicalLocation(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PhysicalLocation, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Location)
	fc.Result = res
	return ec.marshalOLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_physicalLocation(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_presentmentCurrencyCode(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PresentmentCurrencyCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_presentmentCurrencyCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_privateMetafield(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_privateMetafield(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafield, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafield)
	fc.Result = res
	return ec.marshalOPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_privateMetafield(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_PrivateMetafield_id(ctx, field)
			case "key":
				return ec.fieldContext_PrivateMetafield_key(ctx, field)
			case "namespace":
				return ec.fieldContext_PrivateMetafield_namespace(ctx, field)
			case "updatedAt":
				return ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_PrivateMetafield_value(ctx, field)
			case "valueType":
				return ec.fieldContext_PrivateMetafield_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafield", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_privateMetafield_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_privateMetafields(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_privateMetafields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateMetafields, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafieldConnection)
	fc.Result = res
	return ec.marshalNPrivateMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_privateMetafields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_PrivateMetafieldConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_PrivateMetafieldConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_PrivateMetafieldConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafieldConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_privateMetafields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_processedAt(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_processedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProcessedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_processedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_publication(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_publication(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Publication, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Publication)
	fc.Result = res
	return ec.marshalOPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_publication(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_Publication_app(ctx, field)
			case "collectionPublicationsV3":
				return ec.fieldContext_Publication_collectionPublicationsV3(ctx, field)
			case "collections":
				return ec.fieldContext_Publication_collections(ctx, field)
			case "hasCollection":
				return ec.fieldContext_Publication_hasCollection(ctx, field)
			case "id":
				return ec.fieldContext_Publication_id(ctx, field)
			case "name":
				return ec.fieldContext_Publication_name(ctx, field)
			case "productPublicationsV3":
				return ec.fieldContext_Publication_productPublicationsV3(ctx, field)
			case "products":
				return ec.fieldContext_Publication_products(ctx, field)
			case "supportsFuturePublishing":
				return ec.fieldContext_Publication_supportsFuturePublishing(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Publication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_purchasingEntity(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_purchasingEntity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PurchasingEntity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(PurchasingEntity)
	fc.Result = res
	return ec.marshalOPurchasingEntity2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPurchasingEntity(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_purchasingEntity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PurchasingEntity does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_refundDiscrepancySet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RefundDiscrepancySet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_refundDiscrepancySet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_refundable(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_refundable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Refundable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_refundable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_refunds(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_refunds(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Refunds, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Refund)
	fc.Result = res
	return ec.marshalNRefund2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_refunds(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_Refund_createdAt(ctx, field)
			case "duties":
				return ec.fieldContext_Refund_duties(ctx, field)
			case "id":
				return ec.fieldContext_Refund_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Refund_legacyResourceId(ctx, field)
			case "note":
				return ec.fieldContext_Refund_note(ctx, field)
			case "order":
				return ec.fieldContext_Refund_order(ctx, field)
			case "refundLineItems":
				return ec.fieldContext_Refund_refundLineItems(ctx, field)
			case "staffMember":
				return ec.fieldContext_Refund_staffMember(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Refund_totalRefundedSet(ctx, field)
			case "transactions":
				return ec.fieldContext_Refund_transactions(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Refund_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Refund", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_refunds_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_registeredSourceUrl(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_registeredSourceUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RegisteredSourceURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_registeredSourceUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_requiresShipping(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_requiresShipping(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequiresShipping, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_requiresShipping(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_restockable(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_restockable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Restockable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_restockable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_riskLevel(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_riskLevel(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RiskLevel, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(OrderRiskLevel)
	fc.Result = res
	return ec.marshalNOrderRiskLevel2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskLevel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_riskLevel(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderRiskLevel does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_risks(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_risks(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Risks, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*OrderRisk)
	fc.Result = res
	return ec.marshalNOrderRisk2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_risks(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "display":
				return ec.fieldContext_OrderRisk_display(ctx, field)
			case "level":
				return ec.fieldContext_OrderRisk_level(ctx, field)
			case "message":
				return ec.fieldContext_OrderRisk_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderRisk", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_risks_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_shippingAddress(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_shippingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MailingAddress)
	fc.Result = res
	return ec.marshalOMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMailingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_shippingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_MailingAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_MailingAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_MailingAddress_city(ctx, field)
			case "company":
				return ec.fieldContext_MailingAddress_company(ctx, field)
			case "coordinatesValidated":
				return ec.fieldContext_MailingAddress_coordinatesValidated(ctx, field)
			case "country":
				return ec.fieldContext_MailingAddress_country(ctx, field)
			case "countryCodeV2":
				return ec.fieldContext_MailingAddress_countryCodeV2(ctx, field)
			case "firstName":
				return ec.fieldContext_MailingAddress_firstName(ctx, field)
			case "formattedArea":
				return ec.fieldContext_MailingAddress_formattedArea(ctx, field)
			case "id":
				return ec.fieldContext_MailingAddress_id(ctx, field)
			case "lastName":
				return ec.fieldContext_MailingAddress_lastName(ctx, field)
			case "latitude":
				return ec.fieldContext_MailingAddress_latitude(ctx, field)
			case "longitude":
				return ec.fieldContext_MailingAddress_longitude(ctx, field)
			case "name":
				return ec.fieldContext_MailingAddress_name(ctx, field)
			case "phone":
				return ec.fieldContext_MailingAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_MailingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_MailingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_MailingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MailingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_shippingLine(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_shippingLine(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingLine, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ShippingLine)
	fc.Result = res
	return ec.marshalOShippingLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLine(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_shippingLine(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "carrierIdentifier":
				return ec.fieldContext_ShippingLine_carrierIdentifier(ctx, field)
			case "code":
				return ec.fieldContext_ShippingLine_code(ctx, field)
			case "custom":
				return ec.fieldContext_ShippingLine_custom(ctx, field)
			case "deliveryCategory":
				return ec.fieldContext_ShippingLine_deliveryCategory(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_ShippingLine_discountAllocations(ctx, field)
			case "discountedPriceSet":
				return ec.fieldContext_ShippingLine_discountedPriceSet(ctx, field)
			case "id":
				return ec.fieldContext_ShippingLine_id(ctx, field)
			case "originalPriceSet":
				return ec.fieldContext_ShippingLine_originalPriceSet(ctx, field)
			case "phone":
				return ec.fieldContext_ShippingLine_phone(ctx, field)
			case "requestedFulfillmentService":
				return ec.fieldContext_ShippingLine_requestedFulfillmentService(ctx, field)
			case "shippingRateHandle":
				return ec.fieldContext_ShippingLine_shippingRateHandle(ctx, field)
			case "source":
				return ec.fieldContext_ShippingLine_source(ctx, field)
			case "taxLines":
				return ec.fieldContext_ShippingLine_taxLines(ctx, field)
			case "title":
				return ec.fieldContext_ShippingLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShippingLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_shippingLines(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_shippingLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ShippingLineConnection)
	fc.Result = res
	return ec.marshalNShippingLineConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_shippingLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_ShippingLineConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_ShippingLineConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_ShippingLineConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShippingLineConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_shippingLines_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_sourceIdentifier(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_sourceIdentifier(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SourceIdentifier, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_sourceIdentifier(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_subtotalLineItemsQuantity(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubtotalLineItemsQuantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_subtotalLineItemsQuantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_subtotalPriceSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_subtotalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubtotalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_subtotalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_suggestedRefund(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_suggestedRefund(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SuggestedRefund, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SuggestedRefund)
	fc.Result = res
	return ec.marshalOSuggestedRefund2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedRefund(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_suggestedRefund(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amountSet":
				return ec.fieldContext_SuggestedRefund_amountSet(ctx, field)
			case "discountedSubtotalSet":
				return ec.fieldContext_SuggestedRefund_discountedSubtotalSet(ctx, field)
			case "maximumRefundableSet":
				return ec.fieldContext_SuggestedRefund_maximumRefundableSet(ctx, field)
			case "refundDuties":
				return ec.fieldContext_SuggestedRefund_refundDuties(ctx, field)
			case "refundLineItems":
				return ec.fieldContext_SuggestedRefund_refundLineItems(ctx, field)
			case "shipping":
				return ec.fieldContext_SuggestedRefund_shipping(ctx, field)
			case "subtotalSet":
				return ec.fieldContext_SuggestedRefund_subtotalSet(ctx, field)
			case "suggestedTransactions":
				return ec.fieldContext_SuggestedRefund_suggestedTransactions(ctx, field)
			case "totalCartDiscountAmountSet":
				return ec.fieldContext_SuggestedRefund_totalCartDiscountAmountSet(ctx, field)
			case "totalDutiesSet":
				return ec.fieldContext_SuggestedRefund_totalDutiesSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_SuggestedRefund_totalTaxSet(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SuggestedRefund", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_suggestedRefund_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_tags(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_tags(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Tags, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_tags(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_taxLines(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_taxLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_taxLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_taxesIncluded(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_taxesIncluded(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxesIncluded, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_taxesIncluded(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_test(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_test(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Test, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_test(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalCapturableSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalCapturableSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalCapturableSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalCapturableSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalDiscountsSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalDiscountsSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalDiscountsSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalDiscountsSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalOutstandingSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalOutstandingSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalOutstandingSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalOutstandingSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalPriceSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalReceivedSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalReceivedSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalReceivedSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalReceivedSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalRefundedSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalRefundedSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalRefundedSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalRefundedSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalRefundedShippingSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalRefundedShippingSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalRefundedShippingSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalShippingPriceSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalShippingPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalShippingPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalTaxSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalTaxSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalTaxSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalTaxSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalTipReceivedSet(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalTipReceivedSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalTipReceivedSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_totalWeight(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_totalWeight(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalWeight, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOUnsignedInt642ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_totalWeight(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_transactions(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_transactions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Transactions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*OrderTransaction)
	fc.Result = res
	return ec.marshalNOrderTransaction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_transactions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accountNumber":
				return ec.fieldContext_OrderTransaction_accountNumber(ctx, field)
			case "amountSet":
				return ec.fieldContext_OrderTransaction_amountSet(ctx, field)
			case "authorizationCode":
				return ec.fieldContext_OrderTransaction_authorizationCode(ctx, field)
			case "authorizationExpiresAt":
				return ec.fieldContext_OrderTransaction_authorizationExpiresAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_OrderTransaction_createdAt(ctx, field)
			case "errorCode":
				return ec.fieldContext_OrderTransaction_errorCode(ctx, field)
			case "fees":
				return ec.fieldContext_OrderTransaction_fees(ctx, field)
			case "formattedGateway":
				return ec.fieldContext_OrderTransaction_formattedGateway(ctx, field)
			case "gateway":
				return ec.fieldContext_OrderTransaction_gateway(ctx, field)
			case "id":
				return ec.fieldContext_OrderTransaction_id(ctx, field)
			case "kind":
				return ec.fieldContext_OrderTransaction_kind(ctx, field)
			case "manuallyCapturable":
				return ec.fieldContext_OrderTransaction_manuallyCapturable(ctx, field)
			case "maximumRefundableV2":
				return ec.fieldContext_OrderTransaction_maximumRefundableV2(ctx, field)
			case "order":
				return ec.fieldContext_OrderTransaction_order(ctx, field)
			case "parentTransaction":
				return ec.fieldContext_OrderTransaction_parentTransaction(ctx, field)
			case "paymentIcon":
				return ec.fieldContext_OrderTransaction_paymentIcon(ctx, field)
			case "processedAt":
				return ec.fieldContext_OrderTransaction_processedAt(ctx, field)
			case "receiptJson":
				return ec.fieldContext_OrderTransaction_receiptJson(ctx, field)
			case "settlementCurrency":
				return ec.fieldContext_OrderTransaction_settlementCurrency(ctx, field)
			case "settlementCurrencyRate":
				return ec.fieldContext_OrderTransaction_settlementCurrencyRate(ctx, field)
			case "shopifyPaymentsSet":
				return ec.fieldContext_OrderTransaction_shopifyPaymentsSet(ctx, field)
			case "status":
				return ec.fieldContext_OrderTransaction_status(ctx, field)
			case "test":
				return ec.fieldContext_OrderTransaction_test(ctx, field)
			case "totalUnsettledSet":
				return ec.fieldContext_OrderTransaction_totalUnsettledSet(ctx, field)
			case "user":
				return ec.fieldContext_OrderTransaction_user(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderTransaction", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Order_transactions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Order_unpaid(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_unpaid(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Unpaid, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_unpaid(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Order_updatedAt(ctx context.Context, field graphql.CollectedField, obj *Order) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Order_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Order_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Order",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderApp_icon(ctx context.Context, field graphql.CollectedField, obj *OrderApp) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderApp_icon(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Icon, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalNImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderApp_icon(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderApp",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderApp_id(ctx context.Context, field graphql.CollectedField, obj *OrderApp) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderApp_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderApp_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderApp",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderApp_name(ctx context.Context, field graphql.CollectedField, obj *OrderApp) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderApp_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderApp_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderApp",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderConnection_edges(ctx context.Context, field graphql.CollectedField, obj *OrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*OrderEdge)
	fc.Result = res
	return ec.marshalNOrderEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_OrderEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_OrderEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *OrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Order)
	fc.Result = res
	return ec.marshalNOrder2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *OrderConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderDisputeSummary_id(ctx context.Context, field graphql.CollectedField, obj *OrderDisputeSummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderDisputeSummary_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderDisputeSummary_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderDisputeSummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderDisputeSummary_initiatedAs(ctx context.Context, field graphql.CollectedField, obj *OrderDisputeSummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderDisputeSummary_initiatedAs(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InitiatedAs, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DisputeType)
	fc.Result = res
	return ec.marshalNDisputeType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDisputeType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderDisputeSummary_initiatedAs(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderDisputeSummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DisputeType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderDisputeSummary_status(ctx context.Context, field graphql.CollectedField, obj *OrderDisputeSummary) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderDisputeSummary_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DisputeStatus)
	fc.Result = res
	return ec.marshalNDisputeStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDisputeStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderDisputeSummary_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderDisputeSummary",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DisputeStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *OrderEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderEdge_node(ctx context.Context, field graphql.CollectedField, obj *OrderEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalNOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderPaymentCollectionDetails_additionalPaymentCollectionUrl(ctx context.Context, field graphql.CollectedField, obj *OrderPaymentCollectionDetails) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderPaymentCollectionDetails_additionalPaymentCollectionUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdditionalPaymentCollectionURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderPaymentCollectionDetails_additionalPaymentCollectionUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderPaymentCollectionDetails",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderPaymentCollectionDetails_vaultedPaymentMethods(ctx context.Context, field graphql.CollectedField, obj *OrderPaymentCollectionDetails) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderPaymentCollectionDetails_vaultedPaymentMethods(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VaultedPaymentMethods, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]*PaymentMandate)
	fc.Result = res
	return ec.marshalOPaymentMandate2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentMandateᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderPaymentCollectionDetails_vaultedPaymentMethods(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderPaymentCollectionDetails",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_PaymentMandate_id(ctx, field)
			case "paymentInstrument":
				return ec.fieldContext_PaymentMandate_paymentInstrument(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentMandate", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderRisk_display(ctx context.Context, field graphql.CollectedField, obj *OrderRisk) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderRisk_display(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Display, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderRisk_display(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderRisk",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderRisk_level(ctx context.Context, field graphql.CollectedField, obj *OrderRisk) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderRisk_level(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Level, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderRiskLevel)
	fc.Result = res
	return ec.marshalOOrderRiskLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskLevel(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderRisk_level(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderRisk",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderRiskLevel does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderRisk_message(ctx context.Context, field graphql.CollectedField, obj *OrderRisk) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderRisk_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderRisk_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderRisk",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_accountNumber(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_accountNumber(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AccountNumber, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_accountNumber(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_amountSet(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_amountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_amountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_authorizationCode(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_authorizationCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AuthorizationCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_authorizationCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_authorizationExpiresAt(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_authorizationExpiresAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AuthorizationExpiresAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_authorizationExpiresAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_createdAt(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_errorCode(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_errorCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ErrorCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderTransactionErrorCode)
	fc.Result = res
	return ec.marshalOOrderTransactionErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_errorCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderTransactionErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_fees(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_fees(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Fees, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TransactionFee)
	fc.Result = res
	return ec.marshalNTransactionFee2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTransactionFeeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_fees(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_TransactionFee_amount(ctx, field)
			case "flatFee":
				return ec.fieldContext_TransactionFee_flatFee(ctx, field)
			case "flatFeeName":
				return ec.fieldContext_TransactionFee_flatFeeName(ctx, field)
			case "id":
				return ec.fieldContext_TransactionFee_id(ctx, field)
			case "rate":
				return ec.fieldContext_TransactionFee_rate(ctx, field)
			case "rateName":
				return ec.fieldContext_TransactionFee_rateName(ctx, field)
			case "taxAmount":
				return ec.fieldContext_TransactionFee_taxAmount(ctx, field)
			case "type":
				return ec.fieldContext_TransactionFee_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TransactionFee", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_formattedGateway(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_formattedGateway(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FormattedGateway, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_formattedGateway(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_gateway(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_gateway(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Gateway, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_gateway(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_id(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_kind(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_kind(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Kind, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(OrderTransactionKind)
	fc.Result = res
	return ec.marshalNOrderTransactionKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionKind(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_kind(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderTransactionKind does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_manuallyCapturable(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_manuallyCapturable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ManuallyCapturable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_manuallyCapturable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_maximumRefundableV2(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_maximumRefundableV2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaximumRefundableV2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalOMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_maximumRefundableV2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_order(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_order(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Order, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalOOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_order(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_parentTransaction(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_parentTransaction(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ParentTransaction, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderTransaction)
	fc.Result = res
	return ec.marshalOOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransaction(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_parentTransaction(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accountNumber":
				return ec.fieldContext_OrderTransaction_accountNumber(ctx, field)
			case "amountSet":
				return ec.fieldContext_OrderTransaction_amountSet(ctx, field)
			case "authorizationCode":
				return ec.fieldContext_OrderTransaction_authorizationCode(ctx, field)
			case "authorizationExpiresAt":
				return ec.fieldContext_OrderTransaction_authorizationExpiresAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_OrderTransaction_createdAt(ctx, field)
			case "errorCode":
				return ec.fieldContext_OrderTransaction_errorCode(ctx, field)
			case "fees":
				return ec.fieldContext_OrderTransaction_fees(ctx, field)
			case "formattedGateway":
				return ec.fieldContext_OrderTransaction_formattedGateway(ctx, field)
			case "gateway":
				return ec.fieldContext_OrderTransaction_gateway(ctx, field)
			case "id":
				return ec.fieldContext_OrderTransaction_id(ctx, field)
			case "kind":
				return ec.fieldContext_OrderTransaction_kind(ctx, field)
			case "manuallyCapturable":
				return ec.fieldContext_OrderTransaction_manuallyCapturable(ctx, field)
			case "maximumRefundableV2":
				return ec.fieldContext_OrderTransaction_maximumRefundableV2(ctx, field)
			case "order":
				return ec.fieldContext_OrderTransaction_order(ctx, field)
			case "parentTransaction":
				return ec.fieldContext_OrderTransaction_parentTransaction(ctx, field)
			case "paymentIcon":
				return ec.fieldContext_OrderTransaction_paymentIcon(ctx, field)
			case "processedAt":
				return ec.fieldContext_OrderTransaction_processedAt(ctx, field)
			case "receiptJson":
				return ec.fieldContext_OrderTransaction_receiptJson(ctx, field)
			case "settlementCurrency":
				return ec.fieldContext_OrderTransaction_settlementCurrency(ctx, field)
			case "settlementCurrencyRate":
				return ec.fieldContext_OrderTransaction_settlementCurrencyRate(ctx, field)
			case "shopifyPaymentsSet":
				return ec.fieldContext_OrderTransaction_shopifyPaymentsSet(ctx, field)
			case "status":
				return ec.fieldContext_OrderTransaction_status(ctx, field)
			case "test":
				return ec.fieldContext_OrderTransaction_test(ctx, field)
			case "totalUnsettledSet":
				return ec.fieldContext_OrderTransaction_totalUnsettledSet(ctx, field)
			case "user":
				return ec.fieldContext_OrderTransaction_user(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderTransaction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_paymentIcon(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_paymentIcon(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentIcon, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_paymentIcon(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_processedAt(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_processedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProcessedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_processedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_receiptJson(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_receiptJson(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ReceiptJSON, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOJSON2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_receiptJson(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type JSON does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_settlementCurrency(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_settlementCurrency(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SettlementCurrency, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CurrencyCode)
	fc.Result = res
	return ec.marshalOCurrencyCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_settlementCurrency(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_settlementCurrencyRate(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_settlementCurrencyRate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SettlementCurrencyRate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODecimal2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_settlementCurrencyRate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Decimal does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_shopifyPaymentsSet(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_shopifyPaymentsSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShopifyPaymentsSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ShopifyPaymentsTransactionSet)
	fc.Result = res
	return ec.marshalOShopifyPaymentsTransactionSet2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopifyPaymentsTransactionSet(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_shopifyPaymentsSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "extendedAuthorizationSet":
				return ec.fieldContext_ShopifyPaymentsTransactionSet_extendedAuthorizationSet(ctx, field)
			case "refundSet":
				return ec.fieldContext_ShopifyPaymentsTransactionSet_refundSet(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShopifyPaymentsTransactionSet", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_status(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(OrderTransactionStatus)
	fc.Result = res
	return ec.marshalNOrderTransactionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type OrderTransactionStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_test(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_test(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Test, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_test(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_totalUnsettledSet(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_totalUnsettledSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalUnsettledSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_totalUnsettledSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransaction_user(ctx context.Context, field graphql.CollectedField, obj *OrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransaction_user(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.User, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*StaffMember)
	fc.Result = res
	return ec.marshalOStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransaction_user(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_StaffMember_active(ctx, field)
			case "avatar":
				return ec.fieldContext_StaffMember_avatar(ctx, field)
			case "email":
				return ec.fieldContext_StaffMember_email(ctx, field)
			case "exists":
				return ec.fieldContext_StaffMember_exists(ctx, field)
			case "firstName":
				return ec.fieldContext_StaffMember_firstName(ctx, field)
			case "id":
				return ec.fieldContext_StaffMember_id(ctx, field)
			case "initials":
				return ec.fieldContext_StaffMember_initials(ctx, field)
			case "isShopOwner":
				return ec.fieldContext_StaffMember_isShopOwner(ctx, field)
			case "lastName":
				return ec.fieldContext_StaffMember_lastName(ctx, field)
			case "locale":
				return ec.fieldContext_StaffMember_locale(ctx, field)
			case "name":
				return ec.fieldContext_StaffMember_name(ctx, field)
			case "phone":
				return ec.fieldContext_StaffMember_phone(ctx, field)
			case "privateData":
				return ec.fieldContext_StaffMember_privateData(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMember", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransactionConnection_edges(ctx context.Context, field graphql.CollectedField, obj *OrderTransactionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransactionConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*OrderTransactionEdge)
	fc.Result = res
	return ec.marshalNOrderTransactionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransactionConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransactionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_OrderTransactionEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_OrderTransactionEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderTransactionEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransactionConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *OrderTransactionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransactionConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*OrderTransaction)
	fc.Result = res
	return ec.marshalNOrderTransaction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransactionConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransactionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accountNumber":
				return ec.fieldContext_OrderTransaction_accountNumber(ctx, field)
			case "amountSet":
				return ec.fieldContext_OrderTransaction_amountSet(ctx, field)
			case "authorizationCode":
				return ec.fieldContext_OrderTransaction_authorizationCode(ctx, field)
			case "authorizationExpiresAt":
				return ec.fieldContext_OrderTransaction_authorizationExpiresAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_OrderTransaction_createdAt(ctx, field)
			case "errorCode":
				return ec.fieldContext_OrderTransaction_errorCode(ctx, field)
			case "fees":
				return ec.fieldContext_OrderTransaction_fees(ctx, field)
			case "formattedGateway":
				return ec.fieldContext_OrderTransaction_formattedGateway(ctx, field)
			case "gateway":
				return ec.fieldContext_OrderTransaction_gateway(ctx, field)
			case "id":
				return ec.fieldContext_OrderTransaction_id(ctx, field)
			case "kind":
				return ec.fieldContext_OrderTransaction_kind(ctx, field)
			case "manuallyCapturable":
				return ec.fieldContext_OrderTransaction_manuallyCapturable(ctx, field)
			case "maximumRefundableV2":
				return ec.fieldContext_OrderTransaction_maximumRefundableV2(ctx, field)
			case "order":
				return ec.fieldContext_OrderTransaction_order(ctx, field)
			case "parentTransaction":
				return ec.fieldContext_OrderTransaction_parentTransaction(ctx, field)
			case "paymentIcon":
				return ec.fieldContext_OrderTransaction_paymentIcon(ctx, field)
			case "processedAt":
				return ec.fieldContext_OrderTransaction_processedAt(ctx, field)
			case "receiptJson":
				return ec.fieldContext_OrderTransaction_receiptJson(ctx, field)
			case "settlementCurrency":
				return ec.fieldContext_OrderTransaction_settlementCurrency(ctx, field)
			case "settlementCurrencyRate":
				return ec.fieldContext_OrderTransaction_settlementCurrencyRate(ctx, field)
			case "shopifyPaymentsSet":
				return ec.fieldContext_OrderTransaction_shopifyPaymentsSet(ctx, field)
			case "status":
				return ec.fieldContext_OrderTransaction_status(ctx, field)
			case "test":
				return ec.fieldContext_OrderTransaction_test(ctx, field)
			case "totalUnsettledSet":
				return ec.fieldContext_OrderTransaction_totalUnsettledSet(ctx, field)
			case "user":
				return ec.fieldContext_OrderTransaction_user(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderTransaction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransactionConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *OrderTransactionConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransactionConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransactionConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransactionConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransactionEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *OrderTransactionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransactionEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransactionEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransactionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _OrderTransactionEdge_node(ctx context.Context, field graphql.CollectedField, obj *OrderTransactionEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_OrderTransactionEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*OrderTransaction)
	fc.Result = res
	return ec.marshalNOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransaction(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_OrderTransactionEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "OrderTransactionEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accountNumber":
				return ec.fieldContext_OrderTransaction_accountNumber(ctx, field)
			case "amountSet":
				return ec.fieldContext_OrderTransaction_amountSet(ctx, field)
			case "authorizationCode":
				return ec.fieldContext_OrderTransaction_authorizationCode(ctx, field)
			case "authorizationExpiresAt":
				return ec.fieldContext_OrderTransaction_authorizationExpiresAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_OrderTransaction_createdAt(ctx, field)
			case "errorCode":
				return ec.fieldContext_OrderTransaction_errorCode(ctx, field)
			case "fees":
				return ec.fieldContext_OrderTransaction_fees(ctx, field)
			case "formattedGateway":
				return ec.fieldContext_OrderTransaction_formattedGateway(ctx, field)
			case "gateway":
				return ec.fieldContext_OrderTransaction_gateway(ctx, field)
			case "id":
				return ec.fieldContext_OrderTransaction_id(ctx, field)
			case "kind":
				return ec.fieldContext_OrderTransaction_kind(ctx, field)
			case "manuallyCapturable":
				return ec.fieldContext_OrderTransaction_manuallyCapturable(ctx, field)
			case "maximumRefundableV2":
				return ec.fieldContext_OrderTransaction_maximumRefundableV2(ctx, field)
			case "order":
				return ec.fieldContext_OrderTransaction_order(ctx, field)
			case "parentTransaction":
				return ec.fieldContext_OrderTransaction_parentTransaction(ctx, field)
			case "paymentIcon":
				return ec.fieldContext_OrderTransaction_paymentIcon(ctx, field)
			case "processedAt":
				return ec.fieldContext_OrderTransaction_processedAt(ctx, field)
			case "receiptJson":
				return ec.fieldContext_OrderTransaction_receiptJson(ctx, field)
			case "settlementCurrency":
				return ec.fieldContext_OrderTransaction_settlementCurrency(ctx, field)
			case "settlementCurrencyRate":
				return ec.fieldContext_OrderTransaction_settlementCurrencyRate(ctx, field)
			case "shopifyPaymentsSet":
				return ec.fieldContext_OrderTransaction_shopifyPaymentsSet(ctx, field)
			case "status":
				return ec.fieldContext_OrderTransaction_status(ctx, field)
			case "test":
				return ec.fieldContext_OrderTransaction_test(ctx, field)
			case "totalUnsettledSet":
				return ec.fieldContext_OrderTransaction_totalUnsettledSet(ctx, field)
			case "user":
				return ec.fieldContext_OrderTransaction_user(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderTransaction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PageInfo_endCursor(ctx context.Context, field graphql.CollectedField, obj *PageInfo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PageInfo_endCursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EndCursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PageInfo_endCursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PageInfo",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PageInfo_hasNextPage(ctx context.Context, field graphql.CollectedField, obj *PageInfo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PageInfo_hasNextPage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasNextPage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PageInfo_hasNextPage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PageInfo",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PageInfo_hasPreviousPage(ctx context.Context, field graphql.CollectedField, obj *PageInfo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasPreviousPage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PageInfo_hasPreviousPage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PageInfo",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PageInfo_startCursor(ctx context.Context, field graphql.CollectedField, obj *PageInfo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PageInfo_startCursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.StartCursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PageInfo_startCursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PageInfo",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentMandate_id(ctx context.Context, field graphql.CollectedField, obj *PaymentMandate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentMandate_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentMandate_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentMandate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentMandate_paymentInstrument(ctx context.Context, field graphql.CollectedField, obj *PaymentMandate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentMandate_paymentInstrument(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentInstrument, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PaymentInstrument)
	fc.Result = res
	return ec.marshalNPaymentInstrument2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentInstrument(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentMandate_paymentInstrument(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentMandate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PaymentInstrument does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentSchedule_amount(ctx context.Context, field graphql.CollectedField, obj *PaymentSchedule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentSchedule_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentSchedule_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentSchedule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentSchedule_completedAt(ctx context.Context, field graphql.CollectedField, obj *PaymentSchedule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentSchedule_completedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompletedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentSchedule_completedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentSchedule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentSchedule_dueAt(ctx context.Context, field graphql.CollectedField, obj *PaymentSchedule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentSchedule_dueAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DueAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentSchedule_dueAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentSchedule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentSchedule_id(ctx context.Context, field graphql.CollectedField, obj *PaymentSchedule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentSchedule_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentSchedule_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentSchedule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentSchedule_issuedAt(ctx context.Context, field graphql.CollectedField, obj *PaymentSchedule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentSchedule_issuedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IssuedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentSchedule_issuedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentSchedule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentScheduleConnection_edges(ctx context.Context, field graphql.CollectedField, obj *PaymentScheduleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentScheduleConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PaymentScheduleEdge)
	fc.Result = res
	return ec.marshalNPaymentScheduleEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentScheduleConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentScheduleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_PaymentScheduleEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_PaymentScheduleEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentScheduleEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentScheduleConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *PaymentScheduleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentScheduleConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PaymentSchedule)
	fc.Result = res
	return ec.marshalNPaymentSchedule2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentScheduleConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentScheduleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_PaymentSchedule_amount(ctx, field)
			case "completedAt":
				return ec.fieldContext_PaymentSchedule_completedAt(ctx, field)
			case "dueAt":
				return ec.fieldContext_PaymentSchedule_dueAt(ctx, field)
			case "id":
				return ec.fieldContext_PaymentSchedule_id(ctx, field)
			case "issuedAt":
				return ec.fieldContext_PaymentSchedule_issuedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentSchedule", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentScheduleConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *PaymentScheduleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentScheduleConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentScheduleConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentScheduleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentScheduleEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *PaymentScheduleEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentScheduleEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentScheduleEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentScheduleEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentScheduleEdge_node(ctx context.Context, field graphql.CollectedField, obj *PaymentScheduleEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentScheduleEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PaymentSchedule)
	fc.Result = res
	return ec.marshalNPaymentSchedule2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentSchedule(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentScheduleEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentScheduleEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_PaymentSchedule_amount(ctx, field)
			case "completedAt":
				return ec.fieldContext_PaymentSchedule_completedAt(ctx, field)
			case "dueAt":
				return ec.fieldContext_PaymentSchedule_dueAt(ctx, field)
			case "id":
				return ec.fieldContext_PaymentSchedule_id(ctx, field)
			case "issuedAt":
				return ec.fieldContext_PaymentSchedule_issuedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentSchedule", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentSettings_supportedDigitalWallets(ctx context.Context, field graphql.CollectedField, obj *PaymentSettings) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentSettings_supportedDigitalWallets(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SupportedDigitalWallets, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]DigitalWallet)
	fc.Result = res
	return ec.marshalNDigitalWallet2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDigitalWalletᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentSettings_supportedDigitalWallets(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentSettings",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DigitalWallet does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTerms_dueInDays(ctx context.Context, field graphql.CollectedField, obj *PaymentTerms) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTerms_dueInDays(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DueInDays, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTerms_dueInDays(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTerms",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTerms_id(ctx context.Context, field graphql.CollectedField, obj *PaymentTerms) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTerms_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTerms_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTerms",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTerms_overdue(ctx context.Context, field graphql.CollectedField, obj *PaymentTerms) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTerms_overdue(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Overdue, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTerms_overdue(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTerms",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTerms_paymentSchedules(ctx context.Context, field graphql.CollectedField, obj *PaymentTerms) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTerms_paymentSchedules(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentSchedules, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PaymentScheduleConnection)
	fc.Result = res
	return ec.marshalNPaymentScheduleConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTerms_paymentSchedules(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTerms",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_PaymentScheduleConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_PaymentScheduleConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_PaymentScheduleConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PaymentScheduleConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_PaymentTerms_paymentSchedules_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTerms_paymentTermsName(ctx context.Context, field graphql.CollectedField, obj *PaymentTerms) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTerms_paymentTermsName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentTermsName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTerms_paymentTermsName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTerms",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTerms_paymentTermsType(ctx context.Context, field graphql.CollectedField, obj *PaymentTerms) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTerms_paymentTermsType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentTermsType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PaymentTermsType)
	fc.Result = res
	return ec.marshalNPaymentTermsType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTermsType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTerms_paymentTermsType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTerms",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PaymentTermsType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTerms_translatedName(ctx context.Context, field graphql.CollectedField, obj *PaymentTerms) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTerms_translatedName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TranslatedName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTerms_translatedName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTerms",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTermsTemplate_description(ctx context.Context, field graphql.CollectedField, obj *PaymentTermsTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTermsTemplate_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTermsTemplate_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTermsTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTermsTemplate_dueInDays(ctx context.Context, field graphql.CollectedField, obj *PaymentTermsTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTermsTemplate_dueInDays(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DueInDays, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTermsTemplate_dueInDays(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTermsTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTermsTemplate_id(ctx context.Context, field graphql.CollectedField, obj *PaymentTermsTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTermsTemplate_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTermsTemplate_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTermsTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTermsTemplate_name(ctx context.Context, field graphql.CollectedField, obj *PaymentTermsTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTermsTemplate_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTermsTemplate_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTermsTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTermsTemplate_paymentTermsType(ctx context.Context, field graphql.CollectedField, obj *PaymentTermsTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTermsTemplate_paymentTermsType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaymentTermsType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PaymentTermsType)
	fc.Result = res
	return ec.marshalNPaymentTermsType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTermsType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTermsTemplate_paymentTermsType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTermsTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PaymentTermsType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PaymentTermsTemplate_translatedName(ctx context.Context, field graphql.CollectedField, obj *PaymentTermsTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PaymentTermsTemplate_translatedName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TranslatedName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PaymentTermsTemplate_translatedName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PaymentTermsTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceList_contextRule(ctx context.Context, field graphql.CollectedField, obj *PriceList) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceList_contextRule(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ContextRule, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PriceListContextRule)
	fc.Result = res
	return ec.marshalOPriceListContextRule2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListContextRule(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceList_contextRule(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceList",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countries":
				return ec.fieldContext_PriceListContextRule_countries(ctx, field)
			case "market":
				return ec.fieldContext_PriceListContextRule_market(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PriceListContextRule", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceList_currency(ctx context.Context, field graphql.CollectedField, obj *PriceList) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceList_currency(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Currency, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceList_currency(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceList",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceList_id(ctx context.Context, field graphql.CollectedField, obj *PriceList) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceList_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceList_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceList",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceList_name(ctx context.Context, field graphql.CollectedField, obj *PriceList) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceList_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceList_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceList",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceList_parent(ctx context.Context, field graphql.CollectedField, obj *PriceList) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceList_parent(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Parent, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*PriceListParent)
	fc.Result = res
	return ec.marshalOPriceListParent2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListParent(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceList_parent(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceList",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "adjustment":
				return ec.fieldContext_PriceListParent_adjustment(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PriceListParent", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceList_prices(ctx context.Context, field graphql.CollectedField, obj *PriceList) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceList_prices(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Prices, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PriceListPriceConnection)
	fc.Result = res
	return ec.marshalNPriceListPriceConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceList_prices(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceList",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_PriceListPriceConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_PriceListPriceConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_PriceListPriceConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PriceListPriceConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_PriceList_prices_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _PriceListAdjustment_type(ctx context.Context, field graphql.CollectedField, obj *PriceListAdjustment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListAdjustment_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PriceListAdjustmentType)
	fc.Result = res
	return ec.marshalNPriceListAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListAdjustmentType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListAdjustment_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListAdjustment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PriceListAdjustmentType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListAdjustment_value(ctx context.Context, field graphql.CollectedField, obj *PriceListAdjustment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListAdjustment_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListAdjustment_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListAdjustment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListContextRule_countries(ctx context.Context, field graphql.CollectedField, obj *PriceListContextRule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListContextRule_countries(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Countries, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]CountryCode)
	fc.Result = res
	return ec.marshalNCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListContextRule_countries(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListContextRule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListContextRule_market(ctx context.Context, field graphql.CollectedField, obj *PriceListContextRule) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListContextRule_market(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Market, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Market)
	fc.Result = res
	return ec.marshalOMarket2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarket(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListContextRule_market(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListContextRule",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Market_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Market", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListParent_adjustment(ctx context.Context, field graphql.CollectedField, obj *PriceListParent) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListParent_adjustment(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Adjustment, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PriceListAdjustment)
	fc.Result = res
	return ec.marshalNPriceListAdjustment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListAdjustment(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListParent_adjustment(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListParent",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "type":
				return ec.fieldContext_PriceListAdjustment_type(ctx, field)
			case "value":
				return ec.fieldContext_PriceListAdjustment_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PriceListAdjustment", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPrice_compareAtPrice(ctx context.Context, field graphql.CollectedField, obj *PriceListPrice) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPrice_compareAtPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompareAtPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalOMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPrice_compareAtPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPrice",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPrice_originType(ctx context.Context, field graphql.CollectedField, obj *PriceListPrice) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPrice_originType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PriceListPriceOriginType)
	fc.Result = res
	return ec.marshalNPriceListPriceOriginType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceOriginType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPrice_originType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPrice",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PriceListPriceOriginType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPrice_price(ctx context.Context, field graphql.CollectedField, obj *PriceListPrice) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPrice_price(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Price, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPrice_price(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPrice",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPrice_variant(ctx context.Context, field graphql.CollectedField, obj *PriceListPrice) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPrice_variant(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Variant, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductVariant)
	fc.Result = res
	return ec.marshalNProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPrice_variant(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPrice",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_ProductVariant_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariant", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPriceConnection_edges(ctx context.Context, field graphql.CollectedField, obj *PriceListPriceConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPriceConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PriceListPriceEdge)
	fc.Result = res
	return ec.marshalNPriceListPriceEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPriceConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPriceConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_PriceListPriceEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_PriceListPriceEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PriceListPriceEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPriceConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *PriceListPriceConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPriceConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PriceListPrice)
	fc.Result = res
	return ec.marshalNPriceListPrice2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPriceConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPriceConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "compareAtPrice":
				return ec.fieldContext_PriceListPrice_compareAtPrice(ctx, field)
			case "originType":
				return ec.fieldContext_PriceListPrice_originType(ctx, field)
			case "price":
				return ec.fieldContext_PriceListPrice_price(ctx, field)
			case "variant":
				return ec.fieldContext_PriceListPrice_variant(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PriceListPrice", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPriceConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *PriceListPriceConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPriceConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPriceConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPriceConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPriceEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *PriceListPriceEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPriceEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPriceEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPriceEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PriceListPriceEdge_node(ctx context.Context, field graphql.CollectedField, obj *PriceListPriceEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PriceListPriceEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PriceListPrice)
	fc.Result = res
	return ec.marshalNPriceListPrice2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPrice(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PriceListPriceEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PriceListPriceEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "compareAtPrice":
				return ec.fieldContext_PriceListPrice_compareAtPrice(ctx, field)
			case "originType":
				return ec.fieldContext_PriceListPrice_originType(ctx, field)
			case "price":
				return ec.fieldContext_PriceListPrice_price(ctx, field)
			case "variant":
				return ec.fieldContext_PriceListPrice_variant(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PriceListPrice", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PricingPercentageValue_percentage(ctx context.Context, field graphql.CollectedField, obj *PricingPercentageValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PricingPercentageValue_percentage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Percentage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PricingPercentageValue_percentage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PricingPercentageValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafield_createdAt(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafield_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafield_id(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafield_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafield_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafield_key(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafield_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafield_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafield_namespace(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafield_namespace(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Namespace, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafield_namespace(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafield_updatedAt(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafield_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafield_value(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafield_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafield_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafield_valueType(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafield) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafield_valueType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ValueType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PrivateMetafieldValueType)
	fc.Result = res
	return ec.marshalNPrivateMetafieldValueType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldValueType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafield_valueType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafield",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PrivateMetafieldValueType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafieldConnection_edges(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafieldConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafieldConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PrivateMetafieldEdge)
	fc.Result = res
	return ec.marshalNPrivateMetafieldEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafieldConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafieldConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_PrivateMetafieldEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_PrivateMetafieldEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafieldEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafieldConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafieldConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafieldConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PrivateMetafield)
	fc.Result = res
	return ec.marshalNPrivateMetafield2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafieldConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafieldConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_PrivateMetafield_id(ctx, field)
			case "key":
				return ec.fieldContext_PrivateMetafield_key(ctx, field)
			case "namespace":
				return ec.fieldContext_PrivateMetafield_namespace(ctx, field)
			case "updatedAt":
				return ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_PrivateMetafield_value(ctx, field)
			case "valueType":
				return ec.fieldContext_PrivateMetafield_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafield", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafieldConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafieldConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafieldConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafieldConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafieldConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafieldEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafieldEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafieldEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafieldEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafieldEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PrivateMetafieldEdge_node(ctx context.Context, field graphql.CollectedField, obj *PrivateMetafieldEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PrivateMetafieldEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PrivateMetafield)
	fc.Result = res
	return ec.marshalNPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PrivateMetafieldEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PrivateMetafieldEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "createdAt":
				return ec.fieldContext_PrivateMetafield_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_PrivateMetafield_id(ctx, field)
			case "key":
				return ec.fieldContext_PrivateMetafield_key(ctx, field)
			case "namespace":
				return ec.fieldContext_PrivateMetafield_namespace(ctx, field)
			case "updatedAt":
				return ec.fieldContext_PrivateMetafield_updatedAt(ctx, field)
			case "value":
				return ec.fieldContext_PrivateMetafield_value(ctx, field)
			case "valueType":
				return ec.fieldContext_PrivateMetafield_valueType(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PrivateMetafield", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Product_id(ctx context.Context, field graphql.CollectedField, obj *Product) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Product_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Product_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Product",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductCategory_productTaxonomyNode(ctx context.Context, field graphql.CollectedField, obj *ProductCategory) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductCategory_productTaxonomyNode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductTaxonomyNode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductTaxonomyNode)
	fc.Result = res
	return ec.marshalOProductTaxonomyNode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductTaxonomyNode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductCategory_productTaxonomyNode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductCategory",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "fullName":
				return ec.fieldContext_ProductTaxonomyNode_fullName(ctx, field)
			case "id":
				return ec.fieldContext_ProductTaxonomyNode_id(ctx, field)
			case "isLeaf":
				return ec.fieldContext_ProductTaxonomyNode_isLeaf(ctx, field)
			case "isRoot":
				return ec.fieldContext_ProductTaxonomyNode_isRoot(ctx, field)
			case "name":
				return ec.fieldContext_ProductTaxonomyNode_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductTaxonomyNode", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductChangeStatusUserError_code(ctx context.Context, field graphql.CollectedField, obj *ProductChangeStatusUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductChangeStatusUserError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductChangeStatusUserErrorCode)
	fc.Result = res
	return ec.marshalOProductChangeStatusUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductChangeStatusUserErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductChangeStatusUserError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductChangeStatusUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ProductChangeStatusUserErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductChangeStatusUserError_field(ctx context.Context, field graphql.CollectedField, obj *ProductChangeStatusUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductChangeStatusUserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductChangeStatusUserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductChangeStatusUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductChangeStatusUserError_message(ctx context.Context, field graphql.CollectedField, obj *ProductChangeStatusUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductChangeStatusUserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductChangeStatusUserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductChangeStatusUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductConnection_edges(ctx context.Context, field graphql.CollectedField, obj *ProductConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ProductEdge)
	fc.Result = res
	return ec.marshalNProductEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_ProductEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_ProductEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *ProductConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Product)
	fc.Result = res
	return ec.marshalNProduct2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Product_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Product", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *ProductConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductContextualPricing_maxVariantPricing(ctx context.Context, field graphql.CollectedField, obj *ProductContextualPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductContextualPricing_maxVariantPricing(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaxVariantPricing, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariantContextualPricing)
	fc.Result = res
	return ec.marshalOProductVariantContextualPricing2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantContextualPricing(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductContextualPricing_maxVariantPricing(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductContextualPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "compareAtPrice":
				return ec.fieldContext_ProductVariantContextualPricing_compareAtPrice(ctx, field)
			case "price":
				return ec.fieldContext_ProductVariantContextualPricing_price(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariantContextualPricing", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductContextualPricing_minVariantPricing(ctx context.Context, field graphql.CollectedField, obj *ProductContextualPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductContextualPricing_minVariantPricing(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MinVariantPricing, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariantContextualPricing)
	fc.Result = res
	return ec.marshalOProductVariantContextualPricing2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantContextualPricing(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductContextualPricing_minVariantPricing(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductContextualPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "compareAtPrice":
				return ec.fieldContext_ProductVariantContextualPricing_compareAtPrice(ctx, field)
			case "price":
				return ec.fieldContext_ProductVariantContextualPricing_price(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariantContextualPricing", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductContextualPricing_priceRange(ctx context.Context, field graphql.CollectedField, obj *ProductContextualPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductContextualPricing_priceRange(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PriceRange, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductPriceRangeV2)
	fc.Result = res
	return ec.marshalNProductPriceRangeV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductPriceRangeV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductContextualPricing_priceRange(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductContextualPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "maxVariantPrice":
				return ec.fieldContext_ProductPriceRangeV2_maxVariantPrice(ctx, field)
			case "minVariantPrice":
				return ec.fieldContext_ProductPriceRangeV2_minVariantPrice(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductPriceRangeV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *ProductEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductEdge_node(ctx context.Context, field graphql.CollectedField, obj *ProductEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Product)
	fc.Result = res
	return ec.marshalNProduct2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProduct(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Product_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Product", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductPriceRangeV2_maxVariantPrice(ctx context.Context, field graphql.CollectedField, obj *ProductPriceRangeV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductPriceRangeV2_maxVariantPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaxVariantPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductPriceRangeV2_maxVariantPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductPriceRangeV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductPriceRangeV2_minVariantPrice(ctx context.Context, field graphql.CollectedField, obj *ProductPriceRangeV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductPriceRangeV2_minVariantPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MinVariantPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductPriceRangeV2_minVariantPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductPriceRangeV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductTaxonomyNode_fullName(ctx context.Context, field graphql.CollectedField, obj *ProductTaxonomyNode) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductTaxonomyNode_fullName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FullName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductTaxonomyNode_fullName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductTaxonomyNode",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductTaxonomyNode_id(ctx context.Context, field graphql.CollectedField, obj *ProductTaxonomyNode) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductTaxonomyNode_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductTaxonomyNode_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductTaxonomyNode",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductTaxonomyNode_isLeaf(ctx context.Context, field graphql.CollectedField, obj *ProductTaxonomyNode) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductTaxonomyNode_isLeaf(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsLeaf, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductTaxonomyNode_isLeaf(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductTaxonomyNode",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductTaxonomyNode_isRoot(ctx context.Context, field graphql.CollectedField, obj *ProductTaxonomyNode) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductTaxonomyNode_isRoot(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsRoot, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductTaxonomyNode_isRoot(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductTaxonomyNode",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductTaxonomyNode_name(ctx context.Context, field graphql.CollectedField, obj *ProductTaxonomyNode) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductTaxonomyNode_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductTaxonomyNode_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductTaxonomyNode",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariant_id(ctx context.Context, field graphql.CollectedField, obj *ProductVariant) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariant_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariant_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariant",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantConnection_edges(ctx context.Context, field graphql.CollectedField, obj *ProductVariantConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ProductVariantEdge)
	fc.Result = res
	return ec.marshalNProductVariantEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_ProductVariantEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_ProductVariantEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariantEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *ProductVariantConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ProductVariant)
	fc.Result = res
	return ec.marshalNProductVariant2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_ProductVariant_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariant", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *ProductVariantConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantContextualPricing_compareAtPrice(ctx context.Context, field graphql.CollectedField, obj *ProductVariantContextualPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantContextualPricing_compareAtPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompareAtPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalOMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantContextualPricing_compareAtPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantContextualPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantContextualPricing_price(ctx context.Context, field graphql.CollectedField, obj *ProductVariantContextualPricing) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantContextualPricing_price(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Price, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantContextualPricing_price(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantContextualPricing",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *ProductVariantEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantEdge_node(ctx context.Context, field graphql.CollectedField, obj *ProductVariantEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductVariant)
	fc.Result = res
	return ec.marshalNProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_ProductVariant_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariant", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkCreateUserError_code(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkCreateUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkCreateUserError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariantsBulkCreateUserErrorCode)
	fc.Result = res
	return ec.marshalOProductVariantsBulkCreateUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkCreateUserErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkCreateUserError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkCreateUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ProductVariantsBulkCreateUserErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkCreateUserError_field(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkCreateUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkCreateUserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkCreateUserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkCreateUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkCreateUserError_message(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkCreateUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkCreateUserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkCreateUserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkCreateUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkDeleteUserError_code(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkDeleteUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkDeleteUserError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariantsBulkDeleteUserErrorCode)
	fc.Result = res
	return ec.marshalOProductVariantsBulkDeleteUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkDeleteUserErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkDeleteUserError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkDeleteUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ProductVariantsBulkDeleteUserErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkDeleteUserError_field(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkDeleteUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkDeleteUserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkDeleteUserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkDeleteUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkDeleteUserError_message(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkDeleteUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkDeleteUserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkDeleteUserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkDeleteUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkReorderUserError_code(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkReorderUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkReorderUserError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariantsBulkReorderUserErrorCode)
	fc.Result = res
	return ec.marshalOProductVariantsBulkReorderUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkReorderUserErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkReorderUserError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkReorderUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ProductVariantsBulkReorderUserErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkReorderUserError_field(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkReorderUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkReorderUserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkReorderUserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkReorderUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkReorderUserError_message(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkReorderUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkReorderUserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkReorderUserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkReorderUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkUpdateUserError_code(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkUpdateUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkUpdateUserError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ProductVariantsBulkUpdateUserErrorCode)
	fc.Result = res
	return ec.marshalOProductVariantsBulkUpdateUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkUpdateUserErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkUpdateUserError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkUpdateUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ProductVariantsBulkUpdateUserErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkUpdateUserError_field(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkUpdateUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkUpdateUserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkUpdateUserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkUpdateUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ProductVariantsBulkUpdateUserError_message(ctx context.Context, field graphql.CollectedField, obj *ProductVariantsBulkUpdateUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ProductVariantsBulkUpdateUserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ProductVariantsBulkUpdateUserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ProductVariantsBulkUpdateUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Publication_app(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_app(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.App, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*App)
	fc.Result = res
	return ec.marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_app(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Publication_collectionPublicationsV3(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_collectionPublicationsV3(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CollectionPublicationsV3, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ResourcePublicationConnection)
	fc.Result = res
	return ec.marshalNResourcePublicationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_collectionPublicationsV3(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_ResourcePublicationConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_ResourcePublicationConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_ResourcePublicationConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublicationConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Publication_collectionPublicationsV3_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Publication_collections(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_collections(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Collections, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CollectionConnection)
	fc.Result = res
	return ec.marshalNCollectionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_collections(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_CollectionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_CollectionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_CollectionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CollectionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Publication_collections_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Publication_hasCollection(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_hasCollection(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HasCollection, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_hasCollection(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Publication_hasCollection_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Publication_id(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Publication_name(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Publication_productPublicationsV3(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_productPublicationsV3(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductPublicationsV3, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ResourcePublicationConnection)
	fc.Result = res
	return ec.marshalNResourcePublicationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_productPublicationsV3(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_ResourcePublicationConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_ResourcePublicationConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_ResourcePublicationConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublicationConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Publication_productPublicationsV3_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Publication_products(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_products(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Products, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductConnection)
	fc.Result = res
	return ec.marshalNProductConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_products(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_ProductConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_ProductConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_ProductConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Publication_products_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Publication_supportsFuturePublishing(ctx context.Context, field graphql.CollectedField, obj *Publication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Publication_supportsFuturePublishing(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SupportsFuturePublishing, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Publication_supportsFuturePublishing(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Publication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublicationConnection_edges(ctx context.Context, field graphql.CollectedField, obj *PublicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublicationConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PublicationEdge)
	fc.Result = res
	return ec.marshalNPublicationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublicationEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublicationConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_PublicationEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_PublicationEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PublicationEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublicationConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *PublicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublicationConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Publication)
	fc.Result = res
	return ec.marshalNPublication2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublicationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublicationConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_Publication_app(ctx, field)
			case "collectionPublicationsV3":
				return ec.fieldContext_Publication_collectionPublicationsV3(ctx, field)
			case "collections":
				return ec.fieldContext_Publication_collections(ctx, field)
			case "hasCollection":
				return ec.fieldContext_Publication_hasCollection(ctx, field)
			case "id":
				return ec.fieldContext_Publication_id(ctx, field)
			case "name":
				return ec.fieldContext_Publication_name(ctx, field)
			case "productPublicationsV3":
				return ec.fieldContext_Publication_productPublicationsV3(ctx, field)
			case "products":
				return ec.fieldContext_Publication_products(ctx, field)
			case "supportsFuturePublishing":
				return ec.fieldContext_Publication_supportsFuturePublishing(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Publication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublicationConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *PublicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublicationConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublicationConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublicationEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *PublicationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublicationEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublicationEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublicationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublicationEdge_node(ctx context.Context, field graphql.CollectedField, obj *PublicationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublicationEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Publication)
	fc.Result = res
	return ec.marshalNPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublicationEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublicationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_Publication_app(ctx, field)
			case "collectionPublicationsV3":
				return ec.fieldContext_Publication_collectionPublicationsV3(ctx, field)
			case "collections":
				return ec.fieldContext_Publication_collections(ctx, field)
			case "hasCollection":
				return ec.fieldContext_Publication_hasCollection(ctx, field)
			case "id":
				return ec.fieldContext_Publication_id(ctx, field)
			case "name":
				return ec.fieldContext_Publication_name(ctx, field)
			case "productPublicationsV3":
				return ec.fieldContext_Publication_productPublicationsV3(ctx, field)
			case "products":
				return ec.fieldContext_Publication_products(ctx, field)
			case "supportsFuturePublishing":
				return ec.fieldContext_Publication_supportsFuturePublishing(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Publication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublishedTranslation_key(ctx context.Context, field graphql.CollectedField, obj *PublishedTranslation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublishedTranslation_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublishedTranslation_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublishedTranslation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublishedTranslation_locale(ctx context.Context, field graphql.CollectedField, obj *PublishedTranslation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublishedTranslation_locale(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locale, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublishedTranslation_locale(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublishedTranslation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublishedTranslation_marketId(ctx context.Context, field graphql.CollectedField, obj *PublishedTranslation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublishedTranslation_marketId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MarketID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOID2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublishedTranslation_marketId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublishedTranslation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PublishedTranslation_value(ctx context.Context, field graphql.CollectedField, obj *PublishedTranslation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PublishedTranslation_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PublishedTranslation_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PublishedTranslation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _PurchasingCompany_company(ctx context.Context, field graphql.CollectedField, obj *PurchasingCompany) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PurchasingCompany_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Company)
	fc.Result = res
	return ec.marshalNCompany2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompany(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PurchasingCompany_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PurchasingCompany",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contactCount":
				return ec.fieldContext_Company_contactCount(ctx, field)
			case "contactRoles":
				return ec.fieldContext_Company_contactRoles(ctx, field)
			case "contacts":
				return ec.fieldContext_Company_contacts(ctx, field)
			case "createdAt":
				return ec.fieldContext_Company_createdAt(ctx, field)
			case "customerSince":
				return ec.fieldContext_Company_customerSince(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_Company_defaultCursor(ctx, field)
			case "defaultRole":
				return ec.fieldContext_Company_defaultRole(ctx, field)
			case "draftOrders":
				return ec.fieldContext_Company_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_Company_events(ctx, field)
			case "externalId":
				return ec.fieldContext_Company_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Company_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Company_id(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_Company_lifetimeDuration(ctx, field)
			case "locationCount":
				return ec.fieldContext_Company_locationCount(ctx, field)
			case "locations":
				return ec.fieldContext_Company_locations(ctx, field)
			case "mainContact":
				return ec.fieldContext_Company_mainContact(ctx, field)
			case "name":
				return ec.fieldContext_Company_name(ctx, field)
			case "note":
				return ec.fieldContext_Company_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_Company_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_Company_orders(ctx, field)
			case "totalSpent":
				return ec.fieldContext_Company_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Company_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Company", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PurchasingCompany_contact(ctx context.Context, field graphql.CollectedField, obj *PurchasingCompany) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PurchasingCompany_contact(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Contact, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CompanyContact)
	fc.Result = res
	return ec.marshalOCompanyContact2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContact(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PurchasingCompany_contact(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PurchasingCompany",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "company":
				return ec.fieldContext_CompanyContact_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyContact_createdAt(ctx, field)
			case "customer":
				return ec.fieldContext_CompanyContact_customer(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyContact_draftOrders(ctx, field)
			case "id":
				return ec.fieldContext_CompanyContact_id(ctx, field)
			case "isMainContact":
				return ec.fieldContext_CompanyContact_isMainContact(ctx, field)
			case "lifetimeDuration":
				return ec.fieldContext_CompanyContact_lifetimeDuration(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyContact_locale(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyContact_orders(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyContact_roleAssignments(ctx, field)
			case "title":
				return ec.fieldContext_CompanyContact_title(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyContact_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyContact", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _PurchasingCompany_location(ctx context.Context, field graphql.CollectedField, obj *PurchasingCompany) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_PurchasingCompany_location(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Location, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*CompanyLocation)
	fc.Result = res
	return ec.marshalNCompanyLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_PurchasingCompany_location(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "PurchasingCompany",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "billingAddress":
				return ec.fieldContext_CompanyLocation_billingAddress(ctx, field)
			case "buyerExperienceConfiguration":
				return ec.fieldContext_CompanyLocation_buyerExperienceConfiguration(ctx, field)
			case "company":
				return ec.fieldContext_CompanyLocation_company(ctx, field)
			case "createdAt":
				return ec.fieldContext_CompanyLocation_createdAt(ctx, field)
			case "currency":
				return ec.fieldContext_CompanyLocation_currency(ctx, field)
			case "defaultCursor":
				return ec.fieldContext_CompanyLocation_defaultCursor(ctx, field)
			case "draftOrders":
				return ec.fieldContext_CompanyLocation_draftOrders(ctx, field)
			case "events":
				return ec.fieldContext_CompanyLocation_events(ctx, field)
			case "externalId":
				return ec.fieldContext_CompanyLocation_externalId(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_CompanyLocation_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_CompanyLocation_id(ctx, field)
			case "locale":
				return ec.fieldContext_CompanyLocation_locale(ctx, field)
			case "market":
				return ec.fieldContext_CompanyLocation_market(ctx, field)
			case "name":
				return ec.fieldContext_CompanyLocation_name(ctx, field)
			case "note":
				return ec.fieldContext_CompanyLocation_note(ctx, field)
			case "orderCount":
				return ec.fieldContext_CompanyLocation_orderCount(ctx, field)
			case "orders":
				return ec.fieldContext_CompanyLocation_orders(ctx, field)
			case "phone":
				return ec.fieldContext_CompanyLocation_phone(ctx, field)
			case "roleAssignments":
				return ec.fieldContext_CompanyLocation_roleAssignments(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_CompanyLocation_shippingAddress(ctx, field)
			case "taxExemptions":
				return ec.fieldContext_CompanyLocation_taxExemptions(ctx, field)
			case "taxRegistrationId":
				return ec.fieldContext_CompanyLocation_taxRegistrationId(ctx, field)
			case "totalSpent":
				return ec.fieldContext_CompanyLocation_totalSpent(ctx, field)
			case "updatedAt":
				return ec.fieldContext_CompanyLocation_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CompanyLocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Query__entities(ctx context.Context, field graphql.CollectedField) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Query__entities(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return ec.__resolve_entities(ctx, fc.Args["representations"].([]map[string]interface{})), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]fedruntime.Entity)
	fc.Result = res
	return ec.marshalN_Entity2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋpluginᚋfederationᚋfedruntimeᚐEntity(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Query__entities(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Query",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type _Entity does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Query__entities_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Query__service(ctx context.Context, field graphql.CollectedField) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Query__service(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return ec.__resolve__service(ctx)
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(fedruntime.Service)
	fc.Result = res
	return ec.marshalN_Service2githubᚗcomᚋ99designsᚋgqlgenᚋpluginᚋfederationᚋfedruntimeᚐService(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Query__service(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Query",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "sdl":
				return ec.fieldContext__Service_sdl(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type _Service", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Query___type(ctx context.Context, field graphql.CollectedField) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Query___type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return ec.introspectType(fc.Args["name"].(string))
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*introspection.Type)
	fc.Result = res
	return ec.marshalO__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Query___type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Query",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Query___type_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Query___schema(ctx context.Context, field graphql.CollectedField) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Query___schema(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return ec.introspectSchema()
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*introspection.Schema)
	fc.Result = res
	return ec.marshalO__Schema2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐSchema(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Query___schema(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Query",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext___Schema_description(ctx, field)
			case "types":
				return ec.fieldContext___Schema_types(ctx, field)
			case "queryType":
				return ec.fieldContext___Schema_queryType(ctx, field)
			case "mutationType":
				return ec.fieldContext___Schema_mutationType(ctx, field)
			case "subscriptionType":
				return ec.fieldContext___Schema_subscriptionType(ctx, field)
			case "directives":
				return ec.fieldContext___Schema_directives(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Schema", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_createdAt(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_duties(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_duties(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Duties, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]*RefundDuty)
	fc.Result = res
	return ec.marshalORefundDuty2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_duties(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amountSet":
				return ec.fieldContext_RefundDuty_amountSet(ctx, field)
			case "originalDuty":
				return ec.fieldContext_RefundDuty_originalDuty(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type RefundDuty", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_id(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_note(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_note(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Note, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_note(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_order(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_order(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Order, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalNOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_order(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_refundLineItems(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_refundLineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RefundLineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*RefundLineItemConnection)
	fc.Result = res
	return ec.marshalNRefundLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_refundLineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_RefundLineItemConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_RefundLineItemConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_RefundLineItemConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type RefundLineItemConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Refund_refundLineItems_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Refund_staffMember(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_staffMember(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.StaffMember, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*StaffMember)
	fc.Result = res
	return ec.marshalOStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_staffMember(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_StaffMember_active(ctx, field)
			case "avatar":
				return ec.fieldContext_StaffMember_avatar(ctx, field)
			case "email":
				return ec.fieldContext_StaffMember_email(ctx, field)
			case "exists":
				return ec.fieldContext_StaffMember_exists(ctx, field)
			case "firstName":
				return ec.fieldContext_StaffMember_firstName(ctx, field)
			case "id":
				return ec.fieldContext_StaffMember_id(ctx, field)
			case "initials":
				return ec.fieldContext_StaffMember_initials(ctx, field)
			case "isShopOwner":
				return ec.fieldContext_StaffMember_isShopOwner(ctx, field)
			case "lastName":
				return ec.fieldContext_StaffMember_lastName(ctx, field)
			case "locale":
				return ec.fieldContext_StaffMember_locale(ctx, field)
			case "name":
				return ec.fieldContext_StaffMember_name(ctx, field)
			case "phone":
				return ec.fieldContext_StaffMember_phone(ctx, field)
			case "privateData":
				return ec.fieldContext_StaffMember_privateData(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMember", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_totalRefundedSet(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_totalRefundedSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalRefundedSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_totalRefundedSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Refund_transactions(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_transactions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Transactions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*OrderTransactionConnection)
	fc.Result = res
	return ec.marshalNOrderTransactionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_transactions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_OrderTransactionConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_OrderTransactionConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_OrderTransactionConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderTransactionConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_Refund_transactions_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _Refund_updatedAt(ctx context.Context, field graphql.CollectedField, obj *Refund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Refund_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Refund_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Refund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundDuty_amountSet(ctx context.Context, field graphql.CollectedField, obj *RefundDuty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundDuty_amountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundDuty_amountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundDuty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundDuty_originalDuty(ctx context.Context, field graphql.CollectedField, obj *RefundDuty) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundDuty_originalDuty(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalDuty, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Duty)
	fc.Result = res
	return ec.marshalODuty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDuty(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundDuty_originalDuty(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundDuty",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "countryCodeOfOrigin":
				return ec.fieldContext_Duty_countryCodeOfOrigin(ctx, field)
			case "harmonizedSystemCode":
				return ec.fieldContext_Duty_harmonizedSystemCode(ctx, field)
			case "id":
				return ec.fieldContext_Duty_id(ctx, field)
			case "price":
				return ec.fieldContext_Duty_price(ctx, field)
			case "taxLines":
				return ec.fieldContext_Duty_taxLines(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Duty", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_lineItem(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_lineItem(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineItem, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*LineItem)
	fc.Result = res
	return ec.marshalNLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_lineItem(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "contract":
				return ec.fieldContext_LineItem_contract(ctx, field)
			case "currentQuantity":
				return ec.fieldContext_LineItem_currentQuantity(ctx, field)
			case "customAttributes":
				return ec.fieldContext_LineItem_customAttributes(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_LineItem_discountAllocations(ctx, field)
			case "discountedTotalSet":
				return ec.fieldContext_LineItem_discountedTotalSet(ctx, field)
			case "discountedUnitPriceSet":
				return ec.fieldContext_LineItem_discountedUnitPriceSet(ctx, field)
			case "duties":
				return ec.fieldContext_LineItem_duties(ctx, field)
			case "id":
				return ec.fieldContext_LineItem_id(ctx, field)
			case "image":
				return ec.fieldContext_LineItem_image(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_LineItem_merchantEditable(ctx, field)
			case "name":
				return ec.fieldContext_LineItem_name(ctx, field)
			case "nonFulfillableQuantity":
				return ec.fieldContext_LineItem_nonFulfillableQuantity(ctx, field)
			case "originalTotalSet":
				return ec.fieldContext_LineItem_originalTotalSet(ctx, field)
			case "originalUnitPriceSet":
				return ec.fieldContext_LineItem_originalUnitPriceSet(ctx, field)
			case "product":
				return ec.fieldContext_LineItem_product(ctx, field)
			case "quantity":
				return ec.fieldContext_LineItem_quantity(ctx, field)
			case "refundableQuantity":
				return ec.fieldContext_LineItem_refundableQuantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_LineItem_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_LineItem_restockable(ctx, field)
			case "sellingPlan":
				return ec.fieldContext_LineItem_sellingPlan(ctx, field)
			case "sku":
				return ec.fieldContext_LineItem_sku(ctx, field)
			case "staffMember":
				return ec.fieldContext_LineItem_staffMember(ctx, field)
			case "taxLines":
				return ec.fieldContext_LineItem_taxLines(ctx, field)
			case "taxable":
				return ec.fieldContext_LineItem_taxable(ctx, field)
			case "title":
				return ec.fieldContext_LineItem_title(ctx, field)
			case "totalDiscountSet":
				return ec.fieldContext_LineItem_totalDiscountSet(ctx, field)
			case "unfulfilledDiscountedTotalSet":
				return ec.fieldContext_LineItem_unfulfilledDiscountedTotalSet(ctx, field)
			case "unfulfilledOriginalTotalSet":
				return ec.fieldContext_LineItem_unfulfilledOriginalTotalSet(ctx, field)
			case "unfulfilledQuantity":
				return ec.fieldContext_LineItem_unfulfilledQuantity(ctx, field)
			case "variant":
				return ec.fieldContext_LineItem_variant(ctx, field)
			case "variantTitle":
				return ec.fieldContext_LineItem_variantTitle(ctx, field)
			case "vendor":
				return ec.fieldContext_LineItem_vendor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type LineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_location(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_location(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Location, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Location)
	fc.Result = res
	return ec.marshalOLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_location(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_priceSet(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_priceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_priceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_quantity(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_quantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Quantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_quantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_restockType(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_restockType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RestockType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(RefundLineItemRestockType)
	fc.Result = res
	return ec.marshalNRefundLineItemRestockType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemRestockType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_restockType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type RefundLineItemRestockType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_restocked(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_restocked(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Restocked, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_restocked(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_subtotalSet(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_subtotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubtotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_subtotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItem_totalTaxSet(ctx context.Context, field graphql.CollectedField, obj *RefundLineItem) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItem_totalTaxSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalTaxSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItem_totalTaxSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItem",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItemConnection_edges(ctx context.Context, field graphql.CollectedField, obj *RefundLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItemConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*RefundLineItemEdge)
	fc.Result = res
	return ec.marshalNRefundLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItemConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_RefundLineItemEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_RefundLineItemEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type RefundLineItemEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *RefundLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItemConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*RefundLineItem)
	fc.Result = res
	return ec.marshalNRefundLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItemConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "lineItem":
				return ec.fieldContext_RefundLineItem_lineItem(ctx, field)
			case "location":
				return ec.fieldContext_RefundLineItem_location(ctx, field)
			case "priceSet":
				return ec.fieldContext_RefundLineItem_priceSet(ctx, field)
			case "quantity":
				return ec.fieldContext_RefundLineItem_quantity(ctx, field)
			case "restockType":
				return ec.fieldContext_RefundLineItem_restockType(ctx, field)
			case "restocked":
				return ec.fieldContext_RefundLineItem_restocked(ctx, field)
			case "subtotalSet":
				return ec.fieldContext_RefundLineItem_subtotalSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_RefundLineItem_totalTaxSet(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type RefundLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *RefundLineItemConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItemConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItemConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItemConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *RefundLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItemEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItemEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _RefundLineItemEdge_node(ctx context.Context, field graphql.CollectedField, obj *RefundLineItemEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_RefundLineItemEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*RefundLineItem)
	fc.Result = res
	return ec.marshalNRefundLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItem(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_RefundLineItemEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "RefundLineItemEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "lineItem":
				return ec.fieldContext_RefundLineItem_lineItem(ctx, field)
			case "location":
				return ec.fieldContext_RefundLineItem_location(ctx, field)
			case "priceSet":
				return ec.fieldContext_RefundLineItem_priceSet(ctx, field)
			case "quantity":
				return ec.fieldContext_RefundLineItem_quantity(ctx, field)
			case "restockType":
				return ec.fieldContext_RefundLineItem_restockType(ctx, field)
			case "restocked":
				return ec.fieldContext_RefundLineItem_restocked(ctx, field)
			case "subtotalSet":
				return ec.fieldContext_RefundLineItem_subtotalSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_RefundLineItem_totalTaxSet(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type RefundLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlert_actions(ctx context.Context, field graphql.CollectedField, obj *ResourceAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlert_actions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Actions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ResourceAlertAction)
	fc.Result = res
	return ec.marshalNResourceAlertAction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertActionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlert_actions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "primary":
				return ec.fieldContext_ResourceAlertAction_primary(ctx, field)
			case "show":
				return ec.fieldContext_ResourceAlertAction_show(ctx, field)
			case "title":
				return ec.fieldContext_ResourceAlertAction_title(ctx, field)
			case "url":
				return ec.fieldContext_ResourceAlertAction_url(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourceAlertAction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlert_content(ctx context.Context, field graphql.CollectedField, obj *ResourceAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlert_content(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Content, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNHTML2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlert_content(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type HTML does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlert_dismissibleHandle(ctx context.Context, field graphql.CollectedField, obj *ResourceAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlert_dismissibleHandle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DismissibleHandle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlert_dismissibleHandle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlert_icon(ctx context.Context, field graphql.CollectedField, obj *ResourceAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlert_icon(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Icon, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ResourceAlertIcon)
	fc.Result = res
	return ec.marshalOResourceAlertIcon2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertIcon(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlert_icon(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ResourceAlertIcon does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlert_severity(ctx context.Context, field graphql.CollectedField, obj *ResourceAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlert_severity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Severity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(ResourceAlertSeverity)
	fc.Result = res
	return ec.marshalNResourceAlertSeverity2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertSeverity(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlert_severity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ResourceAlertSeverity does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlert_title(ctx context.Context, field graphql.CollectedField, obj *ResourceAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlert_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlert_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlertAction_primary(ctx context.Context, field graphql.CollectedField, obj *ResourceAlertAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlertAction_primary(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Primary, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlertAction_primary(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlertAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlertAction_show(ctx context.Context, field graphql.CollectedField, obj *ResourceAlertAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlertAction_show(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Show, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlertAction_show(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlertAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlertAction_title(ctx context.Context, field graphql.CollectedField, obj *ResourceAlertAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlertAction_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlertAction_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlertAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceAlertAction_url(ctx context.Context, field graphql.CollectedField, obj *ResourceAlertAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceAlertAction_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceAlertAction_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceAlertAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceFeedback_details(ctx context.Context, field graphql.CollectedField, obj *ResourceFeedback) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceFeedback_details(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Details, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AppFeedback)
	fc.Result = res
	return ec.marshalNAppFeedback2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppFeedbackᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceFeedback_details(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceFeedback",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_AppFeedback_app(ctx, field)
			case "link":
				return ec.fieldContext_AppFeedback_link(ctx, field)
			case "messages":
				return ec.fieldContext_AppFeedback_messages(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AppFeedback", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceFeedback_summary(ctx context.Context, field graphql.CollectedField, obj *ResourceFeedback) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceFeedback_summary(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Summary, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceFeedback_summary(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceFeedback",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceLimit_available(ctx context.Context, field graphql.CollectedField, obj *ResourceLimit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceLimit_available(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Available, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceLimit_available(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceLimit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceLimit_quantityAvailable(ctx context.Context, field graphql.CollectedField, obj *ResourceLimit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceLimit_quantityAvailable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.QuantityAvailable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceLimit_quantityAvailable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceLimit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceLimit_quantityLimit(ctx context.Context, field graphql.CollectedField, obj *ResourceLimit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceLimit_quantityLimit(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.QuantityLimit, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceLimit_quantityLimit(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceLimit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourceLimit_quantityUsed(ctx context.Context, field graphql.CollectedField, obj *ResourceLimit) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourceLimit_quantityUsed(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.QuantityUsed, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourceLimit_quantityUsed(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourceLimit",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublication_isPublished(ctx context.Context, field graphql.CollectedField, obj *ResourcePublication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublication_isPublished(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsPublished, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublication_isPublished(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublication_publication(ctx context.Context, field graphql.CollectedField, obj *ResourcePublication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublication_publication(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Publication, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Publication)
	fc.Result = res
	return ec.marshalNPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublication_publication(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_Publication_app(ctx, field)
			case "collectionPublicationsV3":
				return ec.fieldContext_Publication_collectionPublicationsV3(ctx, field)
			case "collections":
				return ec.fieldContext_Publication_collections(ctx, field)
			case "hasCollection":
				return ec.fieldContext_Publication_hasCollection(ctx, field)
			case "id":
				return ec.fieldContext_Publication_id(ctx, field)
			case "name":
				return ec.fieldContext_Publication_name(ctx, field)
			case "productPublicationsV3":
				return ec.fieldContext_Publication_productPublicationsV3(ctx, field)
			case "products":
				return ec.fieldContext_Publication_products(ctx, field)
			case "supportsFuturePublishing":
				return ec.fieldContext_Publication_supportsFuturePublishing(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Publication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublication_publishDate(ctx context.Context, field graphql.CollectedField, obj *ResourcePublication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublication_publishDate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PublishDate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublication_publishDate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublication_publishable(ctx context.Context, field graphql.CollectedField, obj *ResourcePublication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublication_publishable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Publishable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(Publishable)
	fc.Result = res
	return ec.marshalNPublishable2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishable(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublication_publishable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationConnection_edges(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ResourcePublicationEdge)
	fc.Result = res
	return ec.marshalNResourcePublicationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_ResourcePublicationEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_ResourcePublicationEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublicationEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ResourcePublication)
	fc.Result = res
	return ec.marshalNResourcePublication2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "isPublished":
				return ec.fieldContext_ResourcePublication_isPublished(ctx, field)
			case "publication":
				return ec.fieldContext_ResourcePublication_publication(ctx, field)
			case "publishDate":
				return ec.fieldContext_ResourcePublication_publishDate(ctx, field)
			case "publishable":
				return ec.fieldContext_ResourcePublication_publishable(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationEdge_node(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ResourcePublication)
	fc.Result = res
	return ec.marshalNResourcePublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "isPublished":
				return ec.fieldContext_ResourcePublication_isPublished(ctx, field)
			case "publication":
				return ec.fieldContext_ResourcePublication_publication(ctx, field)
			case "publishDate":
				return ec.fieldContext_ResourcePublication_publishDate(ctx, field)
			case "publishable":
				return ec.fieldContext_ResourcePublication_publishable(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2_isPublished(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2_isPublished(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsPublished, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2_isPublished(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2_publication(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2_publication(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Publication, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Publication)
	fc.Result = res
	return ec.marshalNPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2_publication(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_Publication_app(ctx, field)
			case "collectionPublicationsV3":
				return ec.fieldContext_Publication_collectionPublicationsV3(ctx, field)
			case "collections":
				return ec.fieldContext_Publication_collections(ctx, field)
			case "hasCollection":
				return ec.fieldContext_Publication_hasCollection(ctx, field)
			case "id":
				return ec.fieldContext_Publication_id(ctx, field)
			case "name":
				return ec.fieldContext_Publication_name(ctx, field)
			case "productPublicationsV3":
				return ec.fieldContext_Publication_productPublicationsV3(ctx, field)
			case "products":
				return ec.fieldContext_Publication_products(ctx, field)
			case "supportsFuturePublishing":
				return ec.fieldContext_Publication_supportsFuturePublishing(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Publication", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2_publishDate(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2_publishDate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PublishDate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2_publishDate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2_publishable(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2_publishable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Publishable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(Publishable)
	fc.Result = res
	return ec.marshalNPublishable2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishable(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2_publishable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2Connection_edges(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2Connection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2Connection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ResourcePublicationV2Edge)
	fc.Result = res
	return ec.marshalNResourcePublicationV2Edge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2Edgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2Connection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2Connection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_ResourcePublicationV2Edge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_ResourcePublicationV2Edge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublicationV2Edge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2Connection_nodes(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2Connection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2Connection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ResourcePublicationV2)
	fc.Result = res
	return ec.marshalNResourcePublicationV22ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2ᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2Connection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2Connection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "isPublished":
				return ec.fieldContext_ResourcePublicationV2_isPublished(ctx, field)
			case "publication":
				return ec.fieldContext_ResourcePublicationV2_publication(ctx, field)
			case "publishDate":
				return ec.fieldContext_ResourcePublicationV2_publishDate(ctx, field)
			case "publishable":
				return ec.fieldContext_ResourcePublicationV2_publishable(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublicationV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2Connection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2Connection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2Connection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2Connection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2Connection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2Edge_cursor(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2Edge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2Edge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2Edge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2Edge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ResourcePublicationV2Edge_node(ctx context.Context, field graphql.CollectedField, obj *ResourcePublicationV2Edge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ResourcePublicationV2Edge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ResourcePublicationV2)
	fc.Result = res
	return ec.marshalNResourcePublicationV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ResourcePublicationV2Edge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ResourcePublicationV2Edge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "isPublished":
				return ec.fieldContext_ResourcePublicationV2_isPublished(ctx, field)
			case "publication":
				return ec.fieldContext_ResourcePublicationV2_publication(ctx, field)
			case "publishDate":
				return ec.fieldContext_ResourcePublicationV2_publishDate(ctx, field)
			case "publishable":
				return ec.fieldContext_ResourcePublicationV2_publishable(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourcePublicationV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SEO_description(ctx context.Context, field graphql.CollectedField, obj *Seo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SEO_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SEO_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SEO",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SEO_title(ctx context.Context, field graphql.CollectedField, obj *Seo) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SEO_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SEO_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SEO",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SaleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SaleEdge)
	fc.Result = res
	return ec.marshalNSaleEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSaleEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SaleEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SaleEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SaleEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SaleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]Sale)
	fc.Result = res
	return ec.marshalNSale2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSaleᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SaleConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SaleEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleEdge_node(ctx context.Context, field graphql.CollectedField, obj *SaleEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(Sale)
	fc.Result = res
	return ec.marshalNSale2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSale(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleTax_amount(ctx context.Context, field graphql.CollectedField, obj *SaleTax) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleTax_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleTax_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleTax",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleTax_id(ctx context.Context, field graphql.CollectedField, obj *SaleTax) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleTax_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleTax_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleTax",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SaleTax_taxLine(ctx context.Context, field graphql.CollectedField, obj *SaleTax) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SaleTax_taxLine(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxLine, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLine(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SaleTax_taxLine(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SaleTax",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SalesAgreementConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SalesAgreementConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SalesAgreementConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SalesAgreementEdge)
	fc.Result = res
	return ec.marshalNSalesAgreementEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SalesAgreementConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SalesAgreementConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SalesAgreementEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SalesAgreementEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SalesAgreementEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SalesAgreementConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SalesAgreementConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SalesAgreementConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]SalesAgreement)
	fc.Result = res
	return ec.marshalNSalesAgreement2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SalesAgreementConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SalesAgreementConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SalesAgreementConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SalesAgreementConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SalesAgreementConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SalesAgreementConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SalesAgreementConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SalesAgreementEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SalesAgreementEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SalesAgreementEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SalesAgreementEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SalesAgreementEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SalesAgreementEdge_node(ctx context.Context, field graphql.CollectedField, obj *SalesAgreementEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SalesAgreementEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SalesAgreement)
	fc.Result = res
	return ec.marshalNSalesAgreement2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreement(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SalesAgreementEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SalesAgreementEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearch_filters(ctx context.Context, field graphql.CollectedField, obj *SavedSearch) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearch_filters(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Filters, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SearchFilter)
	fc.Result = res
	return ec.marshalNSearchFilter2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchFilterᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearch_filters(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearch",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_SearchFilter_key(ctx, field)
			case "value":
				return ec.fieldContext_SearchFilter_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SearchFilter", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearch_id(ctx context.Context, field graphql.CollectedField, obj *SavedSearch) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearch_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearch_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearch",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearch_legacyResourceId(ctx context.Context, field graphql.CollectedField, obj *SavedSearch) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearch_legacyResourceId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacyResourceID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNUnsignedInt642string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearch_legacyResourceId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearch",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type UnsignedInt64 does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearch_name(ctx context.Context, field graphql.CollectedField, obj *SavedSearch) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearch_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearch_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearch",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearch_query(ctx context.Context, field graphql.CollectedField, obj *SavedSearch) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearch_query(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Query, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearch_query(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearch",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearch_resourceType(ctx context.Context, field graphql.CollectedField, obj *SavedSearch) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearch_resourceType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ResourceType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SearchResultType)
	fc.Result = res
	return ec.marshalNSearchResultType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResultType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearch_resourceType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearch",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SearchResultType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearch_searchTerms(ctx context.Context, field graphql.CollectedField, obj *SavedSearch) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearch_searchTerms(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SearchTerms, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearch_searchTerms(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearch",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearchConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SavedSearchConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearchConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SavedSearchEdge)
	fc.Result = res
	return ec.marshalNSavedSearchEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearchEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearchConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearchConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SavedSearchEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SavedSearchEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SavedSearchEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearchConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SavedSearchConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearchConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SavedSearch)
	fc.Result = res
	return ec.marshalNSavedSearch2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearchᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearchConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearchConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "filters":
				return ec.fieldContext_SavedSearch_filters(ctx, field)
			case "id":
				return ec.fieldContext_SavedSearch_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_SavedSearch_legacyResourceId(ctx, field)
			case "name":
				return ec.fieldContext_SavedSearch_name(ctx, field)
			case "query":
				return ec.fieldContext_SavedSearch_query(ctx, field)
			case "resourceType":
				return ec.fieldContext_SavedSearch_resourceType(ctx, field)
			case "searchTerms":
				return ec.fieldContext_SavedSearch_searchTerms(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SavedSearch", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearchConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SavedSearchConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearchConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearchConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearchConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearchEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SavedSearchEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearchEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearchEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearchEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SavedSearchEdge_node(ctx context.Context, field graphql.CollectedField, obj *SavedSearchEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SavedSearchEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SavedSearch)
	fc.Result = res
	return ec.marshalNSavedSearch2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearch(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SavedSearchEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SavedSearchEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "filters":
				return ec.fieldContext_SavedSearch_filters(ctx, field)
			case "id":
				return ec.fieldContext_SavedSearch_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_SavedSearch_legacyResourceId(ctx, field)
			case "name":
				return ec.fieldContext_SavedSearch_name(ctx, field)
			case "query":
				return ec.fieldContext_SavedSearch_query(ctx, field)
			case "resourceType":
				return ec.fieldContext_SavedSearch_resourceType(ctx, field)
			case "searchTerms":
				return ec.fieldContext_SavedSearch_searchTerms(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SavedSearch", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ScriptDiscountApplication_allocationMethod(ctx context.Context, field graphql.CollectedField, obj *ScriptDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ScriptDiscountApplication_allocationMethod(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AllocationMethod, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationAllocationMethod)
	fc.Result = res
	return ec.marshalNDiscountApplicationAllocationMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationAllocationMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ScriptDiscountApplication_allocationMethod(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ScriptDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationAllocationMethod does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ScriptDiscountApplication_index(ctx context.Context, field graphql.CollectedField, obj *ScriptDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ScriptDiscountApplication_index(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Index, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ScriptDiscountApplication_index(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ScriptDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ScriptDiscountApplication_targetSelection(ctx context.Context, field graphql.CollectedField, obj *ScriptDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ScriptDiscountApplication_targetSelection(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetSelection, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetSelection)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetSelection2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetSelection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ScriptDiscountApplication_targetSelection(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ScriptDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetSelection does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ScriptDiscountApplication_targetType(ctx context.Context, field graphql.CollectedField, obj *ScriptDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ScriptDiscountApplication_targetType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountApplicationTargetType)
	fc.Result = res
	return ec.marshalNDiscountApplicationTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ScriptDiscountApplication_targetType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ScriptDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountApplicationTargetType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ScriptDiscountApplication_title(ctx context.Context, field graphql.CollectedField, obj *ScriptDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ScriptDiscountApplication_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ScriptDiscountApplication_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ScriptDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ScriptDiscountApplication_value(ctx context.Context, field graphql.CollectedField, obj *ScriptDiscountApplication) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ScriptDiscountApplication_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PricingValue)
	fc.Result = res
	return ec.marshalNPricingValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPricingValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ScriptDiscountApplication_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ScriptDiscountApplication",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PricingValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchFilter_key(ctx context.Context, field graphql.CollectedField, obj *SearchFilter) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchFilter_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchFilter_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchFilter",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchFilter_value(ctx context.Context, field graphql.CollectedField, obj *SearchFilter) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchFilter_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchFilter_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchFilter",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchFilterOptions_productAvailability(ctx context.Context, field graphql.CollectedField, obj *SearchFilterOptions) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchFilterOptions_productAvailability(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductAvailability, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FilterOption)
	fc.Result = res
	return ec.marshalNFilterOption2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFilterOptionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchFilterOptions_productAvailability(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchFilterOptions",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "label":
				return ec.fieldContext_FilterOption_label(ctx, field)
			case "value":
				return ec.fieldContext_FilterOption_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FilterOption", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResult_description(ctx context.Context, field graphql.CollectedField, obj *SearchResult) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResult_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResult_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResult",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResult_image(ctx context.Context, field graphql.CollectedField, obj *SearchResult) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResult_image(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Image, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResult_image(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResult",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResult_reference(ctx context.Context, field graphql.CollectedField, obj *SearchResult) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResult_reference(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Reference, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(Node)
	fc.Result = res
	return ec.marshalNNode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐNode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResult_reference(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResult",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("FieldContext.Child cannot be called on type INTERFACE")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResult_title(ctx context.Context, field graphql.CollectedField, obj *SearchResult) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResult_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResult_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResult",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResult_url(ctx context.Context, field graphql.CollectedField, obj *SearchResult) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResult_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResult_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResult",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResultConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SearchResultConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResultConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SearchResultEdge)
	fc.Result = res
	return ec.marshalNSearchResultEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResultEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResultConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResultConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SearchResultEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SearchResultEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SearchResultEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResultConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SearchResultConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResultConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResultConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResultConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResultEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SearchResultEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResultEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResultEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResultEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SearchResultEdge_node(ctx context.Context, field graphql.CollectedField, obj *SearchResultEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SearchResultEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SearchResult)
	fc.Result = res
	return ec.marshalNSearchResult2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResult(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SearchResultEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SearchResultEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_SearchResult_description(ctx, field)
			case "image":
				return ec.fieldContext_SearchResult_image(ctx, field)
			case "reference":
				return ec.fieldContext_SearchResult_reference(ctx, field)
			case "title":
				return ec.fieldContext_SearchResult_title(ctx, field)
			case "url":
				return ec.fieldContext_SearchResult_url(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SearchResult", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SelectedOption_name(ctx context.Context, field graphql.CollectedField, obj *SelectedOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SelectedOption_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SelectedOption_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SelectedOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SelectedOption_value(ctx context.Context, field graphql.CollectedField, obj *SelectedOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SelectedOption_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SelectedOption_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SelectedOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_billingPolicy(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_billingPolicy(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingPolicy, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanBillingPolicy)
	fc.Result = res
	return ec.marshalNSellingPlanBillingPolicy2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanBillingPolicy(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_billingPolicy(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanBillingPolicy does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_category(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_category(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Category, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SellingPlanCategory)
	fc.Result = res
	return ec.marshalOSellingPlanCategory2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCategory(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_category(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanCategory does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_createdAt(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_deliveryPolicy(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_deliveryPolicy(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeliveryPolicy, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanDeliveryPolicy)
	fc.Result = res
	return ec.marshalNSellingPlanDeliveryPolicy2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanDeliveryPolicy(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_deliveryPolicy(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanDeliveryPolicy does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_description(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_id(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_inventoryPolicy(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_inventoryPolicy(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InventoryPolicy, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SellingPlanInventoryPolicy)
	fc.Result = res
	return ec.marshalOSellingPlanInventoryPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInventoryPolicy(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_inventoryPolicy(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "reserve":
				return ec.fieldContext_SellingPlanInventoryPolicy_reserve(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanInventoryPolicy", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_name(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_options(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_options(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Options, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_options(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_position(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_position(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Position, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_position(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlan_pricingPolicies(ctx context.Context, field graphql.CollectedField, obj *SellingPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlan_pricingPolicies(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PricingPolicies, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]SellingPlanPricingPolicy)
	fc.Result = res
	return ec.marshalNSellingPlanPricingPolicy2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlan_pricingPolicies(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanPricingPolicy does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanAnchor_cutoffDay(ctx context.Context, field graphql.CollectedField, obj *SellingPlanAnchor) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanAnchor_cutoffDay(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CutoffDay, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanAnchor_cutoffDay(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanAnchor",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanAnchor_day(ctx context.Context, field graphql.CollectedField, obj *SellingPlanAnchor) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanAnchor_day(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Day, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanAnchor_day(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanAnchor",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanAnchor_month(ctx context.Context, field graphql.CollectedField, obj *SellingPlanAnchor) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanAnchor_month(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Month, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanAnchor_month(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanAnchor",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanAnchor_type(ctx context.Context, field graphql.CollectedField, obj *SellingPlanAnchor) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanAnchor_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanAnchorType)
	fc.Result = res
	return ec.marshalNSellingPlanAnchorType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanAnchor_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanAnchor",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanAnchorType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanCheckoutCharge_type(ctx context.Context, field graphql.CollectedField, obj *SellingPlanCheckoutCharge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanCheckoutCharge_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanCheckoutChargeType)
	fc.Result = res
	return ec.marshalNSellingPlanCheckoutChargeType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCheckoutChargeType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanCheckoutCharge_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanCheckoutCharge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanCheckoutChargeType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanCheckoutCharge_value(ctx context.Context, field graphql.CollectedField, obj *SellingPlanCheckoutCharge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanCheckoutCharge_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanCheckoutChargeValue)
	fc.Result = res
	return ec.marshalNSellingPlanCheckoutChargeValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCheckoutChargeValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanCheckoutCharge_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanCheckoutCharge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanCheckoutChargeValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanCheckoutChargePercentageValue_percentage(ctx context.Context, field graphql.CollectedField, obj *SellingPlanCheckoutChargePercentageValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanCheckoutChargePercentageValue_percentage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Percentage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanCheckoutChargePercentageValue_percentage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanCheckoutChargePercentageValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SellingPlanConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanEdge)
	fc.Result = res
	return ec.marshalNSellingPlanEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SellingPlanEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SellingPlanEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SellingPlanConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlan)
	fc.Result = res
	return ec.marshalNSellingPlan2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "billingPolicy":
				return ec.fieldContext_SellingPlan_billingPolicy(ctx, field)
			case "category":
				return ec.fieldContext_SellingPlan_category(ctx, field)
			case "createdAt":
				return ec.fieldContext_SellingPlan_createdAt(ctx, field)
			case "deliveryPolicy":
				return ec.fieldContext_SellingPlan_deliveryPolicy(ctx, field)
			case "description":
				return ec.fieldContext_SellingPlan_description(ctx, field)
			case "id":
				return ec.fieldContext_SellingPlan_id(ctx, field)
			case "inventoryPolicy":
				return ec.fieldContext_SellingPlan_inventoryPolicy(ctx, field)
			case "name":
				return ec.fieldContext_SellingPlan_name(ctx, field)
			case "options":
				return ec.fieldContext_SellingPlan_options(ctx, field)
			case "position":
				return ec.fieldContext_SellingPlan_position(ctx, field)
			case "pricingPolicies":
				return ec.fieldContext_SellingPlan_pricingPolicies(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlan", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SellingPlanConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SellingPlanEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanEdge_node(ctx context.Context, field graphql.CollectedField, obj *SellingPlanEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SellingPlan)
	fc.Result = res
	return ec.marshalNSellingPlan2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlan(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "billingPolicy":
				return ec.fieldContext_SellingPlan_billingPolicy(ctx, field)
			case "category":
				return ec.fieldContext_SellingPlan_category(ctx, field)
			case "createdAt":
				return ec.fieldContext_SellingPlan_createdAt(ctx, field)
			case "deliveryPolicy":
				return ec.fieldContext_SellingPlan_deliveryPolicy(ctx, field)
			case "description":
				return ec.fieldContext_SellingPlan_description(ctx, field)
			case "id":
				return ec.fieldContext_SellingPlan_id(ctx, field)
			case "inventoryPolicy":
				return ec.fieldContext_SellingPlan_inventoryPolicy(ctx, field)
			case "name":
				return ec.fieldContext_SellingPlan_name(ctx, field)
			case "options":
				return ec.fieldContext_SellingPlan_options(ctx, field)
			case "position":
				return ec.fieldContext_SellingPlan_position(ctx, field)
			case "pricingPolicies":
				return ec.fieldContext_SellingPlan_pricingPolicies(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlan", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedBillingPolicy_checkoutCharge(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedBillingPolicy_checkoutCharge(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CheckoutCharge, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SellingPlanCheckoutCharge)
	fc.Result = res
	return ec.marshalNSellingPlanCheckoutCharge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCheckoutCharge(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedBillingPolicy_checkoutCharge(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "type":
				return ec.fieldContext_SellingPlanCheckoutCharge_type(ctx, field)
			case "value":
				return ec.fieldContext_SellingPlanCheckoutCharge_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanCheckoutCharge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedBillingPolicy_remainingBalanceChargeExactTime(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedBillingPolicy_remainingBalanceChargeExactTime(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RemainingBalanceChargeExactTime, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedBillingPolicy_remainingBalanceChargeExactTime(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedBillingPolicy_remainingBalanceChargeTimeAfterCheckout(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedBillingPolicy_remainingBalanceChargeTimeAfterCheckout(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RemainingBalanceChargeTimeAfterCheckout, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedBillingPolicy_remainingBalanceChargeTimeAfterCheckout(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedBillingPolicy_remainingBalanceChargeTrigger(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedBillingPolicy_remainingBalanceChargeTrigger(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RemainingBalanceChargeTrigger, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanRemainingBalanceChargeTrigger)
	fc.Result = res
	return ec.marshalNSellingPlanRemainingBalanceChargeTrigger2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRemainingBalanceChargeTrigger(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedBillingPolicy_remainingBalanceChargeTrigger(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanRemainingBalanceChargeTrigger does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedDeliveryPolicy_anchors(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedDeliveryPolicy_anchors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Anchors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanAnchor)
	fc.Result = res
	return ec.marshalNSellingPlanAnchor2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedDeliveryPolicy_anchors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cutoffDay":
				return ec.fieldContext_SellingPlanAnchor_cutoffDay(ctx, field)
			case "day":
				return ec.fieldContext_SellingPlanAnchor_day(ctx, field)
			case "month":
				return ec.fieldContext_SellingPlanAnchor_month(ctx, field)
			case "type":
				return ec.fieldContext_SellingPlanAnchor_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanAnchor", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedDeliveryPolicy_cutoff(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedDeliveryPolicy_cutoff(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cutoff, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedDeliveryPolicy_cutoff(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedDeliveryPolicy_fulfillmentExactTime(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedDeliveryPolicy_fulfillmentExactTime(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentExactTime, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedDeliveryPolicy_fulfillmentExactTime(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedDeliveryPolicy_fulfillmentTrigger(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedDeliveryPolicy_fulfillmentTrigger(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FulfillmentTrigger, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanFulfillmentTrigger)
	fc.Result = res
	return ec.marshalNSellingPlanFulfillmentTrigger2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFulfillmentTrigger(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedDeliveryPolicy_fulfillmentTrigger(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanFulfillmentTrigger does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedDeliveryPolicy_intent(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedDeliveryPolicy_intent(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Intent, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanFixedDeliveryPolicyIntent)
	fc.Result = res
	return ec.marshalNSellingPlanFixedDeliveryPolicyIntent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFixedDeliveryPolicyIntent(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedDeliveryPolicy_intent(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanFixedDeliveryPolicyIntent does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedDeliveryPolicy_preAnchorBehavior(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedDeliveryPolicy_preAnchorBehavior(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PreAnchorBehavior, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanFixedDeliveryPolicyPreAnchorBehavior)
	fc.Result = res
	return ec.marshalNSellingPlanFixedDeliveryPolicyPreAnchorBehavior2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFixedDeliveryPolicyPreAnchorBehavior(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedDeliveryPolicy_preAnchorBehavior(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanFixedDeliveryPolicyPreAnchorBehavior does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedPricingPolicy_adjustmentType(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedPricingPolicy_adjustmentType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdjustmentType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanPricingPolicyAdjustmentType)
	fc.Result = res
	return ec.marshalNSellingPlanPricingPolicyAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedPricingPolicy_adjustmentType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanPricingPolicyAdjustmentType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedPricingPolicy_adjustmentValue(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedPricingPolicy_adjustmentValue(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdjustmentValue, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanPricingPolicyAdjustmentValue)
	fc.Result = res
	return ec.marshalNSellingPlanPricingPolicyAdjustmentValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedPricingPolicy_adjustmentValue(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanPricingPolicyAdjustmentValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanFixedPricingPolicy_createdAt(ctx context.Context, field graphql.CollectedField, obj *SellingPlanFixedPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanFixedPricingPolicy_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanFixedPricingPolicy_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanFixedPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_appId(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_appId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_appId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_appliesToProduct(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_appliesToProduct(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliesToProduct, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_appliesToProduct(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SellingPlanGroup_appliesToProduct_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_appliesToProductVariant(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_appliesToProductVariant(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliesToProductVariant, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_appliesToProductVariant(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SellingPlanGroup_appliesToProductVariant_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_appliesToProductVariants(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_appliesToProductVariants(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliesToProductVariants, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_appliesToProductVariants(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SellingPlanGroup_appliesToProductVariants_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_createdAt(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_description(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_id(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_merchantCode(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_merchantCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MerchantCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_merchantCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_name(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_options(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_options(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Options, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalNString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_options(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_position(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_position(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Position, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_position(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_productCount(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_productCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_productCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_productVariantCount(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_productVariantCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductVariantCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_productVariantCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SellingPlanGroup_productVariantCount_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_productVariants(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_productVariants(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductVariants, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductVariantConnection)
	fc.Result = res
	return ec.marshalNProductVariantConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_productVariants(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_ProductVariantConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_ProductVariantConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_ProductVariantConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductVariantConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SellingPlanGroup_productVariants_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_products(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_products(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Products, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ProductConnection)
	fc.Result = res
	return ec.marshalNProductConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_products(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_ProductConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_ProductConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_ProductConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ProductConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SellingPlanGroup_products_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_sellingPlans(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_sellingPlans(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SellingPlans, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SellingPlanConnection)
	fc.Result = res
	return ec.marshalNSellingPlanConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_sellingPlans(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SellingPlanConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SellingPlanConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SellingPlanConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SellingPlanGroup_sellingPlans_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroup_summary(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroup_summary(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Summary, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroup_summary(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanGroupEdge)
	fc.Result = res
	return ec.marshalNSellingPlanGroupEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SellingPlanGroupEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SellingPlanGroupEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanGroupEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanGroup)
	fc.Result = res
	return ec.marshalNSellingPlanGroup2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appId":
				return ec.fieldContext_SellingPlanGroup_appId(ctx, field)
			case "appliesToProduct":
				return ec.fieldContext_SellingPlanGroup_appliesToProduct(ctx, field)
			case "appliesToProductVariant":
				return ec.fieldContext_SellingPlanGroup_appliesToProductVariant(ctx, field)
			case "appliesToProductVariants":
				return ec.fieldContext_SellingPlanGroup_appliesToProductVariants(ctx, field)
			case "createdAt":
				return ec.fieldContext_SellingPlanGroup_createdAt(ctx, field)
			case "description":
				return ec.fieldContext_SellingPlanGroup_description(ctx, field)
			case "id":
				return ec.fieldContext_SellingPlanGroup_id(ctx, field)
			case "merchantCode":
				return ec.fieldContext_SellingPlanGroup_merchantCode(ctx, field)
			case "name":
				return ec.fieldContext_SellingPlanGroup_name(ctx, field)
			case "options":
				return ec.fieldContext_SellingPlanGroup_options(ctx, field)
			case "position":
				return ec.fieldContext_SellingPlanGroup_position(ctx, field)
			case "productCount":
				return ec.fieldContext_SellingPlanGroup_productCount(ctx, field)
			case "productVariantCount":
				return ec.fieldContext_SellingPlanGroup_productVariantCount(ctx, field)
			case "productVariants":
				return ec.fieldContext_SellingPlanGroup_productVariants(ctx, field)
			case "products":
				return ec.fieldContext_SellingPlanGroup_products(ctx, field)
			case "sellingPlans":
				return ec.fieldContext_SellingPlanGroup_sellingPlans(ctx, field)
			case "summary":
				return ec.fieldContext_SellingPlanGroup_summary(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanGroup", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupEdge_node(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SellingPlanGroup)
	fc.Result = res
	return ec.marshalNSellingPlanGroup2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroup(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "appId":
				return ec.fieldContext_SellingPlanGroup_appId(ctx, field)
			case "appliesToProduct":
				return ec.fieldContext_SellingPlanGroup_appliesToProduct(ctx, field)
			case "appliesToProductVariant":
				return ec.fieldContext_SellingPlanGroup_appliesToProductVariant(ctx, field)
			case "appliesToProductVariants":
				return ec.fieldContext_SellingPlanGroup_appliesToProductVariants(ctx, field)
			case "createdAt":
				return ec.fieldContext_SellingPlanGroup_createdAt(ctx, field)
			case "description":
				return ec.fieldContext_SellingPlanGroup_description(ctx, field)
			case "id":
				return ec.fieldContext_SellingPlanGroup_id(ctx, field)
			case "merchantCode":
				return ec.fieldContext_SellingPlanGroup_merchantCode(ctx, field)
			case "name":
				return ec.fieldContext_SellingPlanGroup_name(ctx, field)
			case "options":
				return ec.fieldContext_SellingPlanGroup_options(ctx, field)
			case "position":
				return ec.fieldContext_SellingPlanGroup_position(ctx, field)
			case "productCount":
				return ec.fieldContext_SellingPlanGroup_productCount(ctx, field)
			case "productVariantCount":
				return ec.fieldContext_SellingPlanGroup_productVariantCount(ctx, field)
			case "productVariants":
				return ec.fieldContext_SellingPlanGroup_productVariants(ctx, field)
			case "products":
				return ec.fieldContext_SellingPlanGroup_products(ctx, field)
			case "sellingPlans":
				return ec.fieldContext_SellingPlanGroup_sellingPlans(ctx, field)
			case "summary":
				return ec.fieldContext_SellingPlanGroup_summary(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanGroup", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupUserError_code(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupUserError_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SellingPlanGroupUserErrorCode)
	fc.Result = res
	return ec.marshalOSellingPlanGroupUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupUserErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupUserError_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanGroupUserErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupUserError_field(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupUserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupUserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanGroupUserError_message(ctx context.Context, field graphql.CollectedField, obj *SellingPlanGroupUserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanGroupUserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanGroupUserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanGroupUserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanInventoryPolicy_reserve(ctx context.Context, field graphql.CollectedField, obj *SellingPlanInventoryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanInventoryPolicy_reserve(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Reserve, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanReserve)
	fc.Result = res
	return ec.marshalNSellingPlanReserve2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanReserve(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanInventoryPolicy_reserve(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanInventoryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanReserve does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanPricingPolicyPercentageValue_percentage(ctx context.Context, field graphql.CollectedField, obj *SellingPlanPricingPolicyPercentageValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanPricingPolicyPercentageValue_percentage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Percentage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanPricingPolicyPercentageValue_percentage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanPricingPolicyPercentageValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringBillingPolicy_anchors(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringBillingPolicy_anchors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Anchors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanAnchor)
	fc.Result = res
	return ec.marshalNSellingPlanAnchor2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringBillingPolicy_anchors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cutoffDay":
				return ec.fieldContext_SellingPlanAnchor_cutoffDay(ctx, field)
			case "day":
				return ec.fieldContext_SellingPlanAnchor_day(ctx, field)
			case "month":
				return ec.fieldContext_SellingPlanAnchor_month(ctx, field)
			case "type":
				return ec.fieldContext_SellingPlanAnchor_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanAnchor", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringBillingPolicy_createdAt(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringBillingPolicy_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringBillingPolicy_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringBillingPolicy_interval(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringBillingPolicy_interval(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Interval, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanInterval)
	fc.Result = res
	return ec.marshalNSellingPlanInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInterval(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringBillingPolicy_interval(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanInterval does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringBillingPolicy_intervalCount(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringBillingPolicy_intervalCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IntervalCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringBillingPolicy_intervalCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringBillingPolicy_maxCycles(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringBillingPolicy_maxCycles(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaxCycles, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringBillingPolicy_maxCycles(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringBillingPolicy_minCycles(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringBillingPolicy_minCycles(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MinCycles, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringBillingPolicy_minCycles(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy_anchors(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringDeliveryPolicy_anchors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Anchors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanAnchor)
	fc.Result = res
	return ec.marshalNSellingPlanAnchor2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringDeliveryPolicy_anchors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cutoffDay":
				return ec.fieldContext_SellingPlanAnchor_cutoffDay(ctx, field)
			case "day":
				return ec.fieldContext_SellingPlanAnchor_day(ctx, field)
			case "month":
				return ec.fieldContext_SellingPlanAnchor_month(ctx, field)
			case "type":
				return ec.fieldContext_SellingPlanAnchor_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanAnchor", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy_createdAt(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringDeliveryPolicy_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringDeliveryPolicy_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy_cutoff(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringDeliveryPolicy_cutoff(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cutoff, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringDeliveryPolicy_cutoff(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy_intent(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringDeliveryPolicy_intent(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Intent, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanRecurringDeliveryPolicyIntent)
	fc.Result = res
	return ec.marshalNSellingPlanRecurringDeliveryPolicyIntent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRecurringDeliveryPolicyIntent(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringDeliveryPolicy_intent(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanRecurringDeliveryPolicyIntent does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy_interval(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringDeliveryPolicy_interval(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Interval, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanInterval)
	fc.Result = res
	return ec.marshalNSellingPlanInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInterval(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringDeliveryPolicy_interval(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanInterval does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy_intervalCount(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringDeliveryPolicy_intervalCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IntervalCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringDeliveryPolicy_intervalCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy_preAnchorBehavior(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringDeliveryPolicy_preAnchorBehavior(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PreAnchorBehavior, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanRecurringDeliveryPolicyPreAnchorBehavior)
	fc.Result = res
	return ec.marshalNSellingPlanRecurringDeliveryPolicyPreAnchorBehavior2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRecurringDeliveryPolicyPreAnchorBehavior(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringDeliveryPolicy_preAnchorBehavior(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanRecurringDeliveryPolicyPreAnchorBehavior does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringPricingPolicy_adjustmentType(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringPricingPolicy_adjustmentType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdjustmentType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanPricingPolicyAdjustmentType)
	fc.Result = res
	return ec.marshalNSellingPlanPricingPolicyAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringPricingPolicy_adjustmentType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanPricingPolicyAdjustmentType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringPricingPolicy_adjustmentValue(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringPricingPolicy_adjustmentValue(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdjustmentValue, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanPricingPolicyAdjustmentValue)
	fc.Result = res
	return ec.marshalNSellingPlanPricingPolicyAdjustmentValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringPricingPolicy_adjustmentValue(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanPricingPolicyAdjustmentValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringPricingPolicy_afterCycle(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringPricingPolicy_afterCycle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AfterCycle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringPricingPolicy_afterCycle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SellingPlanRecurringPricingPolicy_createdAt(ctx context.Context, field graphql.CollectedField, obj *SellingPlanRecurringPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SellingPlanRecurringPricingPolicy_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SellingPlanRecurringPricingPolicy_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SellingPlanRecurringPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_carrierIdentifier(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_carrierIdentifier(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CarrierIdentifier, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_carrierIdentifier(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_code(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_custom(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_custom(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Custom, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_custom(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_deliveryCategory(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_deliveryCategory(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeliveryCategory, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_deliveryCategory(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_discountAllocations(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_discountAllocations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountAllocations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*DiscountAllocation)
	fc.Result = res
	return ec.marshalNDiscountAllocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountAllocationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_discountAllocations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "allocatedAmountSet":
				return ec.fieldContext_DiscountAllocation_allocatedAmountSet(ctx, field)
			case "discountApplication":
				return ec.fieldContext_DiscountAllocation_discountApplication(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DiscountAllocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_discountedPriceSet(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_discountedPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_discountedPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_id(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOID2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_originalPriceSet(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_originalPriceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalPriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_originalPriceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_phone(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_requestedFulfillmentService(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_requestedFulfillmentService(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequestedFulfillmentService, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*FulfillmentService)
	fc.Result = res
	return ec.marshalOFulfillmentService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentService(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_requestedFulfillmentService(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_FulfillmentService_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FulfillmentService", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_shippingRateHandle(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_shippingRateHandle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingRateHandle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_shippingRateHandle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_source(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_source(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Source, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_source(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_taxLines(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_taxLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*TaxLine)
	fc.Result = res
	return ec.marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_taxLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "channelLiable":
				return ec.fieldContext_TaxLine_channelLiable(ctx, field)
			case "priceSet":
				return ec.fieldContext_TaxLine_priceSet(ctx, field)
			case "rate":
				return ec.fieldContext_TaxLine_rate(ctx, field)
			case "ratePercentage":
				return ec.fieldContext_TaxLine_ratePercentage(ctx, field)
			case "title":
				return ec.fieldContext_TaxLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type TaxLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLine_title(ctx context.Context, field graphql.CollectedField, obj *ShippingLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLine_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLine_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLineConnection_edges(ctx context.Context, field graphql.CollectedField, obj *ShippingLineConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLineConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ShippingLineEdge)
	fc.Result = res
	return ec.marshalNShippingLineEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLineConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLineConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_ShippingLineEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_ShippingLineEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShippingLineEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLineConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *ShippingLineConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLineConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*ShippingLine)
	fc.Result = res
	return ec.marshalNShippingLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLineConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLineConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "carrierIdentifier":
				return ec.fieldContext_ShippingLine_carrierIdentifier(ctx, field)
			case "code":
				return ec.fieldContext_ShippingLine_code(ctx, field)
			case "custom":
				return ec.fieldContext_ShippingLine_custom(ctx, field)
			case "deliveryCategory":
				return ec.fieldContext_ShippingLine_deliveryCategory(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_ShippingLine_discountAllocations(ctx, field)
			case "discountedPriceSet":
				return ec.fieldContext_ShippingLine_discountedPriceSet(ctx, field)
			case "id":
				return ec.fieldContext_ShippingLine_id(ctx, field)
			case "originalPriceSet":
				return ec.fieldContext_ShippingLine_originalPriceSet(ctx, field)
			case "phone":
				return ec.fieldContext_ShippingLine_phone(ctx, field)
			case "requestedFulfillmentService":
				return ec.fieldContext_ShippingLine_requestedFulfillmentService(ctx, field)
			case "shippingRateHandle":
				return ec.fieldContext_ShippingLine_shippingRateHandle(ctx, field)
			case "source":
				return ec.fieldContext_ShippingLine_source(ctx, field)
			case "taxLines":
				return ec.fieldContext_ShippingLine_taxLines(ctx, field)
			case "title":
				return ec.fieldContext_ShippingLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShippingLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLineConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *ShippingLineConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLineConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLineConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLineConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLineEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *ShippingLineEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLineEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLineEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLineEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingLineEdge_node(ctx context.Context, field graphql.CollectedField, obj *ShippingLineEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingLineEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ShippingLine)
	fc.Result = res
	return ec.marshalNShippingLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLine(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingLineEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingLineEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "carrierIdentifier":
				return ec.fieldContext_ShippingLine_carrierIdentifier(ctx, field)
			case "code":
				return ec.fieldContext_ShippingLine_code(ctx, field)
			case "custom":
				return ec.fieldContext_ShippingLine_custom(ctx, field)
			case "deliveryCategory":
				return ec.fieldContext_ShippingLine_deliveryCategory(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_ShippingLine_discountAllocations(ctx, field)
			case "discountedPriceSet":
				return ec.fieldContext_ShippingLine_discountedPriceSet(ctx, field)
			case "id":
				return ec.fieldContext_ShippingLine_id(ctx, field)
			case "originalPriceSet":
				return ec.fieldContext_ShippingLine_originalPriceSet(ctx, field)
			case "phone":
				return ec.fieldContext_ShippingLine_phone(ctx, field)
			case "requestedFulfillmentService":
				return ec.fieldContext_ShippingLine_requestedFulfillmentService(ctx, field)
			case "shippingRateHandle":
				return ec.fieldContext_ShippingLine_shippingRateHandle(ctx, field)
			case "source":
				return ec.fieldContext_ShippingLine_source(ctx, field)
			case "taxLines":
				return ec.fieldContext_ShippingLine_taxLines(ctx, field)
			case "title":
				return ec.fieldContext_ShippingLine_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShippingLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingRefund_amountSet(ctx context.Context, field graphql.CollectedField, obj *ShippingRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingRefund_amountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingRefund_amountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingRefund_maximumRefundableSet(ctx context.Context, field graphql.CollectedField, obj *ShippingRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingRefund_maximumRefundableSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaximumRefundableSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingRefund_maximumRefundableSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShippingRefund_taxSet(ctx context.Context, field graphql.CollectedField, obj *ShippingRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShippingRefund_taxSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShippingRefund_taxSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShippingRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopAlert_action(ctx context.Context, field graphql.CollectedField, obj *ShopAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopAlert_action(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Action, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ShopAlertAction)
	fc.Result = res
	return ec.marshalNShopAlertAction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopAlertAction(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopAlert_action(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "title":
				return ec.fieldContext_ShopAlertAction_title(ctx, field)
			case "url":
				return ec.fieldContext_ShopAlertAction_url(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShopAlertAction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopAlert_description(ctx context.Context, field graphql.CollectedField, obj *ShopAlert) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopAlert_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopAlert_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopAlert",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopAlertAction_title(ctx context.Context, field graphql.CollectedField, obj *ShopAlertAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopAlertAction_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopAlertAction_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopAlertAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopAlertAction_url(ctx context.Context, field graphql.CollectedField, obj *ShopAlertAction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopAlertAction_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopAlertAction_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopAlertAction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_avalaraAvatax(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_avalaraAvatax(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AvalaraAvatax, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_avalaraAvatax(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_branding(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_branding(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Branding, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(ShopBranding)
	fc.Result = res
	return ec.marshalNShopBranding2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopBranding(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_branding(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ShopBranding does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_captcha(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_captcha(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Captcha, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_captcha(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_captchaExternalDomains(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_captchaExternalDomains(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CaptchaExternalDomains, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_captchaExternalDomains(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_dynamicRemarketing(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_dynamicRemarketing(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DynamicRemarketing, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_dynamicRemarketing(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_eligibleForSubscriptionMigration(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_eligibleForSubscriptionMigration(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EligibleForSubscriptionMigration, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_eligibleForSubscriptionMigration(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_eligibleForSubscriptions(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_eligibleForSubscriptions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EligibleForSubscriptions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_eligibleForSubscriptions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_giftCards(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_giftCards(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.GiftCards, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_giftCards(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_harmonizedSystemCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.HarmonizedSystemCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_harmonizedSystemCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_internationalDomains(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_internationalDomains(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InternationalDomains, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_internationalDomains(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_internationalPriceOverrides(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_internationalPriceOverrides(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InternationalPriceOverrides, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_internationalPriceOverrides(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_internationalPriceRules(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_internationalPriceRules(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InternationalPriceRules, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_internationalPriceRules(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_legacySubscriptionGatewayEnabled(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_legacySubscriptionGatewayEnabled(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LegacySubscriptionGatewayEnabled, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_legacySubscriptionGatewayEnabled(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_liveView(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_liveView(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LiveView, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_liveView(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_onboardingVisual(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_onboardingVisual(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OnboardingVisual, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_onboardingVisual(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_paypalExpressSubscriptionGatewayStatus(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_paypalExpressSubscriptionGatewayStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaypalExpressSubscriptionGatewayStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(PaypalExpressSubscriptionsGatewayStatus)
	fc.Result = res
	return ec.marshalNPaypalExpressSubscriptionsGatewayStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaypalExpressSubscriptionsGatewayStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_paypalExpressSubscriptionGatewayStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type PaypalExpressSubscriptionsGatewayStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_reports(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_reports(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Reports, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_reports(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_sellsSubscriptions(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_sellsSubscriptions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SellsSubscriptions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_sellsSubscriptions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_showMetrics(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_showMetrics(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShowMetrics, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_showMetrics(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_storefront(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_storefront(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Storefront, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_storefront(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopFeatures_usingShopifyBalance(ctx context.Context, field graphql.CollectedField, obj *ShopFeatures) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopFeatures_usingShopifyBalance(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UsingShopifyBalance, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopFeatures_usingShopifyBalance(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopFeatures",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopPlan_displayName(ctx context.Context, field graphql.CollectedField, obj *ShopPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPlan_displayName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DisplayName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPlan_displayName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopPlan_partnerDevelopment(ctx context.Context, field graphql.CollectedField, obj *ShopPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPlan_partnerDevelopment(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PartnerDevelopment, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPlan_partnerDevelopment(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopPlan_shopifyPlus(ctx context.Context, field graphql.CollectedField, obj *ShopPlan) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPlan_shopifyPlus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShopifyPlus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPlan_shopifyPlus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPlan",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopPolicy_body(ctx context.Context, field graphql.CollectedField, obj *ShopPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPolicy_body(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Body, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNHTML2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPolicy_body(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type HTML does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopPolicy_id(ctx context.Context, field graphql.CollectedField, obj *ShopPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPolicy_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPolicy_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopPolicy_translations(ctx context.Context, field graphql.CollectedField, obj *ShopPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPolicy_translations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Translations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*PublishedTranslation)
	fc.Result = res
	return ec.marshalNPublishedTranslation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishedTranslationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPolicy_translations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_PublishedTranslation_key(ctx, field)
			case "locale":
				return ec.fieldContext_PublishedTranslation_locale(ctx, field)
			case "marketId":
				return ec.fieldContext_PublishedTranslation_marketId(ctx, field)
			case "value":
				return ec.fieldContext_PublishedTranslation_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PublishedTranslation", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_ShopPolicy_translations_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _ShopPolicy_type(ctx context.Context, field graphql.CollectedField, obj *ShopPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPolicy_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(ShopPolicyType)
	fc.Result = res
	return ec.marshalNShopPolicyType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopPolicyType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPolicy_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ShopPolicyType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopPolicy_url(ctx context.Context, field graphql.CollectedField, obj *ShopPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopPolicy_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopPolicy_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopResourceLimits_locationLimit(ctx context.Context, field graphql.CollectedField, obj *ShopResourceLimits) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopResourceLimits_locationLimit(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocationLimit, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopResourceLimits_locationLimit(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopResourceLimits",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopResourceLimits_maxProductOptions(ctx context.Context, field graphql.CollectedField, obj *ShopResourceLimits) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopResourceLimits_maxProductOptions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaxProductOptions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopResourceLimits_maxProductOptions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopResourceLimits",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopResourceLimits_maxProductVariants(ctx context.Context, field graphql.CollectedField, obj *ShopResourceLimits) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopResourceLimits_maxProductVariants(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaxProductVariants, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopResourceLimits_maxProductVariants(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopResourceLimits",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopResourceLimits_redirectLimitReached(ctx context.Context, field graphql.CollectedField, obj *ShopResourceLimits) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopResourceLimits_redirectLimitReached(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RedirectLimitReached, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopResourceLimits_redirectLimitReached(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopResourceLimits",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopResourceLimits_skuResourceLimits(ctx context.Context, field graphql.CollectedField, obj *ShopResourceLimits) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopResourceLimits_skuResourceLimits(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SkuResourceLimits, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ResourceLimit)
	fc.Result = res
	return ec.marshalNResourceLimit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceLimit(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopResourceLimits_skuResourceLimits(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopResourceLimits",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "available":
				return ec.fieldContext_ResourceLimit_available(ctx, field)
			case "quantityAvailable":
				return ec.fieldContext_ResourceLimit_quantityAvailable(ctx, field)
			case "quantityLimit":
				return ec.fieldContext_ResourceLimit_quantityLimit(ctx, field)
			case "quantityUsed":
				return ec.fieldContext_ResourceLimit_quantityUsed(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ResourceLimit", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopifyPaymentsExtendedAuthorization_extendedAuthorizationExpiresAt(ctx context.Context, field graphql.CollectedField, obj *ShopifyPaymentsExtendedAuthorization) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopifyPaymentsExtendedAuthorization_extendedAuthorizationExpiresAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExtendedAuthorizationExpiresAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopifyPaymentsExtendedAuthorization_extendedAuthorizationExpiresAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopifyPaymentsExtendedAuthorization",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopifyPaymentsExtendedAuthorization_standardAuthorizationExpiresAt(ctx context.Context, field graphql.CollectedField, obj *ShopifyPaymentsExtendedAuthorization) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopifyPaymentsExtendedAuthorization_standardAuthorizationExpiresAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.StandardAuthorizationExpiresAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopifyPaymentsExtendedAuthorization_standardAuthorizationExpiresAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopifyPaymentsExtendedAuthorization",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopifyPaymentsRefundSet_acquirerReferenceNumber(ctx context.Context, field graphql.CollectedField, obj *ShopifyPaymentsRefundSet) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopifyPaymentsRefundSet_acquirerReferenceNumber(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AcquirerReferenceNumber, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopifyPaymentsRefundSet_acquirerReferenceNumber(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopifyPaymentsRefundSet",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopifyPaymentsTransactionSet_extendedAuthorizationSet(ctx context.Context, field graphql.CollectedField, obj *ShopifyPaymentsTransactionSet) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopifyPaymentsTransactionSet_extendedAuthorizationSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExtendedAuthorizationSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ShopifyPaymentsExtendedAuthorization)
	fc.Result = res
	return ec.marshalOShopifyPaymentsExtendedAuthorization2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopifyPaymentsExtendedAuthorization(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopifyPaymentsTransactionSet_extendedAuthorizationSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopifyPaymentsTransactionSet",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "extendedAuthorizationExpiresAt":
				return ec.fieldContext_ShopifyPaymentsExtendedAuthorization_extendedAuthorizationExpiresAt(ctx, field)
			case "standardAuthorizationExpiresAt":
				return ec.fieldContext_ShopifyPaymentsExtendedAuthorization_standardAuthorizationExpiresAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShopifyPaymentsExtendedAuthorization", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _ShopifyPaymentsTransactionSet_refundSet(ctx context.Context, field graphql.CollectedField, obj *ShopifyPaymentsTransactionSet) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_ShopifyPaymentsTransactionSet_refundSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RefundSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*ShopifyPaymentsRefundSet)
	fc.Result = res
	return ec.marshalOShopifyPaymentsRefundSet2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopifyPaymentsRefundSet(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_ShopifyPaymentsTransactionSet_refundSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "ShopifyPaymentsTransactionSet",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "acquirerReferenceNumber":
				return ec.fieldContext_ShopifyPaymentsRefundSet_acquirerReferenceNumber(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShopifyPaymentsRefundSet", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_active(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_active(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Active, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_active(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_avatar(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_avatar(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Avatar, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalNImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_avatar(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_StaffMember_avatar_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_email(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_email(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Email, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_email(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_exists(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_exists(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Exists, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_exists(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_firstName(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_firstName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FirstName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_firstName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_id(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_initials(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_initials(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Initials, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_initials(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_isShopOwner(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_isShopOwner(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsShopOwner, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_isShopOwner(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_lastName(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_lastName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_lastName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_locale(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_locale(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locale, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_locale(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_name(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_phone(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMember_privateData(ctx context.Context, field graphql.CollectedField, obj *StaffMember) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMember_privateData(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PrivateData, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*StaffMemberPrivateData)
	fc.Result = res
	return ec.marshalNStaffMemberPrivateData2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberPrivateData(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMember_privateData(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMember",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accountSettingsUrl":
				return ec.fieldContext_StaffMemberPrivateData_accountSettingsUrl(ctx, field)
			case "createdAt":
				return ec.fieldContext_StaffMemberPrivateData_createdAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMemberPrivateData", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMemberConnection_edges(ctx context.Context, field graphql.CollectedField, obj *StaffMemberConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMemberConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*StaffMemberEdge)
	fc.Result = res
	return ec.marshalNStaffMemberEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMemberConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMemberConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_StaffMemberEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_StaffMemberEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMemberEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMemberConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *StaffMemberConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMemberConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*StaffMember)
	fc.Result = res
	return ec.marshalNStaffMember2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMemberConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMemberConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_StaffMember_active(ctx, field)
			case "avatar":
				return ec.fieldContext_StaffMember_avatar(ctx, field)
			case "email":
				return ec.fieldContext_StaffMember_email(ctx, field)
			case "exists":
				return ec.fieldContext_StaffMember_exists(ctx, field)
			case "firstName":
				return ec.fieldContext_StaffMember_firstName(ctx, field)
			case "id":
				return ec.fieldContext_StaffMember_id(ctx, field)
			case "initials":
				return ec.fieldContext_StaffMember_initials(ctx, field)
			case "isShopOwner":
				return ec.fieldContext_StaffMember_isShopOwner(ctx, field)
			case "lastName":
				return ec.fieldContext_StaffMember_lastName(ctx, field)
			case "locale":
				return ec.fieldContext_StaffMember_locale(ctx, field)
			case "name":
				return ec.fieldContext_StaffMember_name(ctx, field)
			case "phone":
				return ec.fieldContext_StaffMember_phone(ctx, field)
			case "privateData":
				return ec.fieldContext_StaffMember_privateData(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMember", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMemberConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *StaffMemberConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMemberConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMemberConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMemberConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMemberEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *StaffMemberEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMemberEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMemberEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMemberEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMemberEdge_node(ctx context.Context, field graphql.CollectedField, obj *StaffMemberEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMemberEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*StaffMember)
	fc.Result = res
	return ec.marshalNStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMemberEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMemberEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "active":
				return ec.fieldContext_StaffMember_active(ctx, field)
			case "avatar":
				return ec.fieldContext_StaffMember_avatar(ctx, field)
			case "email":
				return ec.fieldContext_StaffMember_email(ctx, field)
			case "exists":
				return ec.fieldContext_StaffMember_exists(ctx, field)
			case "firstName":
				return ec.fieldContext_StaffMember_firstName(ctx, field)
			case "id":
				return ec.fieldContext_StaffMember_id(ctx, field)
			case "initials":
				return ec.fieldContext_StaffMember_initials(ctx, field)
			case "isShopOwner":
				return ec.fieldContext_StaffMember_isShopOwner(ctx, field)
			case "lastName":
				return ec.fieldContext_StaffMember_lastName(ctx, field)
			case "locale":
				return ec.fieldContext_StaffMember_locale(ctx, field)
			case "name":
				return ec.fieldContext_StaffMember_name(ctx, field)
			case "phone":
				return ec.fieldContext_StaffMember_phone(ctx, field)
			case "privateData":
				return ec.fieldContext_StaffMember_privateData(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StaffMember", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMemberPrivateData_accountSettingsUrl(ctx context.Context, field graphql.CollectedField, obj *StaffMemberPrivateData) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMemberPrivateData_accountSettingsUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AccountSettingsURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNURL2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMemberPrivateData_accountSettingsUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMemberPrivateData",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StaffMemberPrivateData_createdAt(ctx context.Context, field graphql.CollectedField, obj *StaffMemberPrivateData) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StaffMemberPrivateData_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StaffMemberPrivateData_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StaffMemberPrivateData",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_description(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_id(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_key(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_name(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_namespace(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_namespace(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Namespace, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_namespace(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_ownerTypes(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_ownerTypes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OwnerTypes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]MetafieldOwnerType)
	fc.Result = res
	return ec.marshalNMetafieldOwnerType2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerTypeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_ownerTypes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MetafieldOwnerType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_type(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MetafieldDefinitionType)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "category":
				return ec.fieldContext_MetafieldDefinitionType_category(ctx, field)
			case "name":
				return ec.fieldContext_MetafieldDefinitionType_name(ctx, field)
			case "supportedValidations":
				return ec.fieldContext_MetafieldDefinitionType_supportedValidations(ctx, field)
			case "supportsDefinitionMigrations":
				return ec.fieldContext_MetafieldDefinitionType_supportsDefinitionMigrations(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionType", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_validations(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_validations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Validations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MetafieldDefinitionValidation)
	fc.Result = res
	return ec.marshalNMetafieldDefinitionValidation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_validations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext_MetafieldDefinitionValidation_name(ctx, field)
			case "type":
				return ec.fieldContext_MetafieldDefinitionValidation_type(ctx, field)
			case "value":
				return ec.fieldContext_MetafieldDefinitionValidation_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MetafieldDefinitionValidation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate_visibleToStorefrontApi(ctx context.Context, field graphql.CollectedField, obj *StandardMetafieldDefinitionTemplate) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StandardMetafieldDefinitionTemplate_visibleToStorefrontApi(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VisibleToStorefrontAPI, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StandardMetafieldDefinitionTemplate_visibleToStorefrontApi(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StandardMetafieldDefinitionTemplate",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessToken_accessScopes(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessToken) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessToken_accessScopes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AccessScopes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*AccessScope)
	fc.Result = res
	return ec.marshalNAccessScope2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAccessScopeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessToken_accessScopes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessToken",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "description":
				return ec.fieldContext_AccessScope_description(ctx, field)
			case "handle":
				return ec.fieldContext_AccessScope_handle(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type AccessScope", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessToken_accessToken(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessToken) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessToken_accessToken(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AccessToken, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessToken_accessToken(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessToken",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessToken_createdAt(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessToken) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessToken_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessToken_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessToken",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessToken_id(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessToken) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessToken_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessToken_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessToken",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessToken_title(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessToken) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessToken_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessToken_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessToken",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessToken_updatedAt(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessToken) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessToken_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessToken_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessToken",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessTokenConnection_edges(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessTokenConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessTokenConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*StorefrontAccessTokenEdge)
	fc.Result = res
	return ec.marshalNStorefrontAccessTokenEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessTokenEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessTokenConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessTokenConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_StorefrontAccessTokenEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_StorefrontAccessTokenEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StorefrontAccessTokenEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessTokenConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessTokenConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessTokenConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*StorefrontAccessToken)
	fc.Result = res
	return ec.marshalNStorefrontAccessToken2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessTokenᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessTokenConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessTokenConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accessScopes":
				return ec.fieldContext_StorefrontAccessToken_accessScopes(ctx, field)
			case "accessToken":
				return ec.fieldContext_StorefrontAccessToken_accessToken(ctx, field)
			case "createdAt":
				return ec.fieldContext_StorefrontAccessToken_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_StorefrontAccessToken_id(ctx, field)
			case "title":
				return ec.fieldContext_StorefrontAccessToken_title(ctx, field)
			case "updatedAt":
				return ec.fieldContext_StorefrontAccessToken_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StorefrontAccessToken", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessTokenConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessTokenConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessTokenConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessTokenConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessTokenConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessTokenEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessTokenEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessTokenEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessTokenEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessTokenEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StorefrontAccessTokenEdge_node(ctx context.Context, field graphql.CollectedField, obj *StorefrontAccessTokenEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StorefrontAccessTokenEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*StorefrontAccessToken)
	fc.Result = res
	return ec.marshalNStorefrontAccessToken2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessToken(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StorefrontAccessTokenEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StorefrontAccessTokenEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accessScopes":
				return ec.fieldContext_StorefrontAccessToken_accessScopes(ctx, field)
			case "accessToken":
				return ec.fieldContext_StorefrontAccessToken_accessToken(ctx, field)
			case "createdAt":
				return ec.fieldContext_StorefrontAccessToken_createdAt(ctx, field)
			case "id":
				return ec.fieldContext_StorefrontAccessToken_id(ctx, field)
			case "title":
				return ec.fieldContext_StorefrontAccessToken_title(ctx, field)
			case "updatedAt":
				return ec.fieldContext_StorefrontAccessToken_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StorefrontAccessToken", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StringConnection_edges(ctx context.Context, field graphql.CollectedField, obj *StringConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StringConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*StringEdge)
	fc.Result = res
	return ec.marshalNStringEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStringEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StringConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StringConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_StringEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_StringEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type StringEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StringConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *StringConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StringConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StringConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StringConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _StringEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *StringEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StringEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StringEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StringEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _StringEdge_node(ctx context.Context, field graphql.CollectedField, obj *StringEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_StringEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_StringEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "StringEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionAppliedCodeDiscount_id(ctx context.Context, field graphql.CollectedField, obj *SubscriptionAppliedCodeDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionAppliedCodeDiscount_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionAppliedCodeDiscount_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionAppliedCodeDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionAppliedCodeDiscount_redeemCode(ctx context.Context, field graphql.CollectedField, obj *SubscriptionAppliedCodeDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionAppliedCodeDiscount_redeemCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RedeemCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionAppliedCodeDiscount_redeemCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionAppliedCodeDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionAppliedCodeDiscount_rejectionReason(ctx context.Context, field graphql.CollectedField, obj *SubscriptionAppliedCodeDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionAppliedCodeDiscount_rejectionReason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RejectionReason, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SubscriptionDiscountRejectionReason)
	fc.Result = res
	return ec.marshalOSubscriptionDiscountRejectionReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountRejectionReason(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionAppliedCodeDiscount_rejectionReason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionAppliedCodeDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionDiscountRejectionReason does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_completedAt(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_completedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CompletedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_completedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_createdAt(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_errorCode(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_errorCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ErrorCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SubscriptionBillingAttemptErrorCode)
	fc.Result = res
	return ec.marshalOSubscriptionBillingAttemptErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptErrorCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_errorCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionBillingAttemptErrorCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_errorMessage(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_errorMessage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ErrorMessage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_errorMessage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_id(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_idempotencyKey(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_idempotencyKey(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IdempotencyKey, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_idempotencyKey(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_nextActionUrl(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_nextActionUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.NextActionURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_nextActionUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_order(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_order(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Order, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalOOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_order(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_originTime(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_originTime(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginTime, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_originTime(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_ready(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_ready(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Ready, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_ready(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttempt_subscriptionContract(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttempt) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttempt_subscriptionContract(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubscriptionContract, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionContract)
	fc.Result = res
	return ec.marshalNSubscriptionContract2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContract(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttempt_subscriptionContract(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttempt",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_SubscriptionContract_app(ctx, field)
			case "appAdminUrl":
				return ec.fieldContext_SubscriptionContract_appAdminUrl(ctx, field)
			case "billingAttempts":
				return ec.fieldContext_SubscriptionContract_billingAttempts(ctx, field)
			case "billingPolicy":
				return ec.fieldContext_SubscriptionContract_billingPolicy(ctx, field)
			case "createdAt":
				return ec.fieldContext_SubscriptionContract_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_SubscriptionContract_currencyCode(ctx, field)
			case "customAttributes":
				return ec.fieldContext_SubscriptionContract_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_SubscriptionContract_customer(ctx, field)
			case "customerPaymentMethod":
				return ec.fieldContext_SubscriptionContract_customerPaymentMethod(ctx, field)
			case "deliveryMethod":
				return ec.fieldContext_SubscriptionContract_deliveryMethod(ctx, field)
			case "deliveryPolicy":
				return ec.fieldContext_SubscriptionContract_deliveryPolicy(ctx, field)
			case "deliveryPrice":
				return ec.fieldContext_SubscriptionContract_deliveryPrice(ctx, field)
			case "discounts":
				return ec.fieldContext_SubscriptionContract_discounts(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionContract_id(ctx, field)
			case "lastPaymentStatus":
				return ec.fieldContext_SubscriptionContract_lastPaymentStatus(ctx, field)
			case "lineCount":
				return ec.fieldContext_SubscriptionContract_lineCount(ctx, field)
			case "lines":
				return ec.fieldContext_SubscriptionContract_lines(ctx, field)
			case "nextBillingDate":
				return ec.fieldContext_SubscriptionContract_nextBillingDate(ctx, field)
			case "note":
				return ec.fieldContext_SubscriptionContract_note(ctx, field)
			case "orders":
				return ec.fieldContext_SubscriptionContract_orders(ctx, field)
			case "originOrder":
				return ec.fieldContext_SubscriptionContract_originOrder(ctx, field)
			case "status":
				return ec.fieldContext_SubscriptionContract_status(ctx, field)
			case "updatedAt":
				return ec.fieldContext_SubscriptionContract_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionContract", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttemptConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttemptConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttemptConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionBillingAttemptEdge)
	fc.Result = res
	return ec.marshalNSubscriptionBillingAttemptEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttemptConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttemptConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SubscriptionBillingAttemptEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SubscriptionBillingAttemptEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionBillingAttemptEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttemptConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttemptConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttemptConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionBillingAttempt)
	fc.Result = res
	return ec.marshalNSubscriptionBillingAttempt2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttemptConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttemptConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "completedAt":
				return ec.fieldContext_SubscriptionBillingAttempt_completedAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_SubscriptionBillingAttempt_createdAt(ctx, field)
			case "errorCode":
				return ec.fieldContext_SubscriptionBillingAttempt_errorCode(ctx, field)
			case "errorMessage":
				return ec.fieldContext_SubscriptionBillingAttempt_errorMessage(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionBillingAttempt_id(ctx, field)
			case "idempotencyKey":
				return ec.fieldContext_SubscriptionBillingAttempt_idempotencyKey(ctx, field)
			case "nextActionUrl":
				return ec.fieldContext_SubscriptionBillingAttempt_nextActionUrl(ctx, field)
			case "order":
				return ec.fieldContext_SubscriptionBillingAttempt_order(ctx, field)
			case "originTime":
				return ec.fieldContext_SubscriptionBillingAttempt_originTime(ctx, field)
			case "ready":
				return ec.fieldContext_SubscriptionBillingAttempt_ready(ctx, field)
			case "subscriptionContract":
				return ec.fieldContext_SubscriptionBillingAttempt_subscriptionContract(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionBillingAttempt", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttemptConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttemptConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttemptConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttemptConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttemptConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttemptEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttemptEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttemptEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttemptEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttemptEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingAttemptEdge_node(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingAttemptEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingAttemptEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionBillingAttempt)
	fc.Result = res
	return ec.marshalNSubscriptionBillingAttempt2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttempt(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingAttemptEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingAttemptEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "completedAt":
				return ec.fieldContext_SubscriptionBillingAttempt_completedAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_SubscriptionBillingAttempt_createdAt(ctx, field)
			case "errorCode":
				return ec.fieldContext_SubscriptionBillingAttempt_errorCode(ctx, field)
			case "errorMessage":
				return ec.fieldContext_SubscriptionBillingAttempt_errorMessage(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionBillingAttempt_id(ctx, field)
			case "idempotencyKey":
				return ec.fieldContext_SubscriptionBillingAttempt_idempotencyKey(ctx, field)
			case "nextActionUrl":
				return ec.fieldContext_SubscriptionBillingAttempt_nextActionUrl(ctx, field)
			case "order":
				return ec.fieldContext_SubscriptionBillingAttempt_order(ctx, field)
			case "originTime":
				return ec.fieldContext_SubscriptionBillingAttempt_originTime(ctx, field)
			case "ready":
				return ec.fieldContext_SubscriptionBillingAttempt_ready(ctx, field)
			case "subscriptionContract":
				return ec.fieldContext_SubscriptionBillingAttempt_subscriptionContract(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionBillingAttempt", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingPolicy_anchors(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingPolicy_anchors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Anchors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanAnchor)
	fc.Result = res
	return ec.marshalNSellingPlanAnchor2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingPolicy_anchors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cutoffDay":
				return ec.fieldContext_SellingPlanAnchor_cutoffDay(ctx, field)
			case "day":
				return ec.fieldContext_SellingPlanAnchor_day(ctx, field)
			case "month":
				return ec.fieldContext_SellingPlanAnchor_month(ctx, field)
			case "type":
				return ec.fieldContext_SellingPlanAnchor_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanAnchor", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingPolicy_interval(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingPolicy_interval(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Interval, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanInterval)
	fc.Result = res
	return ec.marshalNSellingPlanInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInterval(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingPolicy_interval(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanInterval does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingPolicy_intervalCount(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingPolicy_intervalCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IntervalCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingPolicy_intervalCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingPolicy_maxCycles(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingPolicy_maxCycles(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaxCycles, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingPolicy_maxCycles(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionBillingPolicy_minCycles(ctx context.Context, field graphql.CollectedField, obj *SubscriptionBillingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionBillingPolicy_minCycles(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MinCycles, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionBillingPolicy_minCycles(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionBillingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_app(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_app(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.App, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*App)
	fc.Result = res
	return ec.marshalOApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_app(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_App_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type App", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_appAdminUrl(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_appAdminUrl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppAdminURL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOURL2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_appAdminUrl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type URL does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_billingAttempts(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_billingAttempts(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAttempts, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionBillingAttemptConnection)
	fc.Result = res
	return ec.marshalNSubscriptionBillingAttemptConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_billingAttempts(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SubscriptionBillingAttemptConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SubscriptionBillingAttemptConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SubscriptionBillingAttemptConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionBillingAttemptConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SubscriptionContract_billingAttempts_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_billingPolicy(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_billingPolicy(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingPolicy, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionBillingPolicy)
	fc.Result = res
	return ec.marshalNSubscriptionBillingPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingPolicy(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_billingPolicy(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "anchors":
				return ec.fieldContext_SubscriptionBillingPolicy_anchors(ctx, field)
			case "interval":
				return ec.fieldContext_SubscriptionBillingPolicy_interval(ctx, field)
			case "intervalCount":
				return ec.fieldContext_SubscriptionBillingPolicy_intervalCount(ctx, field)
			case "maxCycles":
				return ec.fieldContext_SubscriptionBillingPolicy_maxCycles(ctx, field)
			case "minCycles":
				return ec.fieldContext_SubscriptionBillingPolicy_minCycles(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionBillingPolicy", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_createdAt(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_currencyCode(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_currencyCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrencyCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(CurrencyCode)
	fc.Result = res
	return ec.marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_currencyCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CurrencyCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_customAttributes(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_customAttributes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomAttributes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Attribute)
	fc.Result = res
	return ec.marshalNAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttributeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_customAttributes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_Attribute_key(ctx, field)
			case "value":
				return ec.fieldContext_Attribute_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Attribute", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_customer(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_customer(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Customer, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Customer)
	fc.Result = res
	return ec.marshalOCustomer2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomer(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_customer(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "id":
				return ec.fieldContext_Customer_id(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Customer", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_customerPaymentMethod(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_customerPaymentMethod(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomerPaymentMethod, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerPaymentMethod)
	fc.Result = res
	return ec.marshalOCustomerPaymentMethod2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_customerPaymentMethod(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "customer":
				return ec.fieldContext_CustomerPaymentMethod_customer(ctx, field)
			case "id":
				return ec.fieldContext_CustomerPaymentMethod_id(ctx, field)
			case "instrument":
				return ec.fieldContext_CustomerPaymentMethod_instrument(ctx, field)
			case "revokedAt":
				return ec.fieldContext_CustomerPaymentMethod_revokedAt(ctx, field)
			case "revokedReason":
				return ec.fieldContext_CustomerPaymentMethod_revokedReason(ctx, field)
			case "subscriptionContracts":
				return ec.fieldContext_CustomerPaymentMethod_subscriptionContracts(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerPaymentMethod", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SubscriptionContract_customerPaymentMethod_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_deliveryMethod(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_deliveryMethod(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeliveryMethod, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(SubscriptionDeliveryMethod)
	fc.Result = res
	return ec.marshalOSubscriptionDeliveryMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethod(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_deliveryMethod(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionDeliveryMethod does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_deliveryPolicy(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_deliveryPolicy(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeliveryPolicy, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionDeliveryPolicy)
	fc.Result = res
	return ec.marshalNSubscriptionDeliveryPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryPolicy(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_deliveryPolicy(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "anchors":
				return ec.fieldContext_SubscriptionDeliveryPolicy_anchors(ctx, field)
			case "interval":
				return ec.fieldContext_SubscriptionDeliveryPolicy_interval(ctx, field)
			case "intervalCount":
				return ec.fieldContext_SubscriptionDeliveryPolicy_intervalCount(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionDeliveryPolicy", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_deliveryPrice(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_deliveryPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeliveryPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_deliveryPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_discounts(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_discounts(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Discounts, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionManualDiscountConnection)
	fc.Result = res
	return ec.marshalNSubscriptionManualDiscountConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_discounts(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SubscriptionManualDiscountConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SubscriptionManualDiscountConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SubscriptionManualDiscountConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionManualDiscountConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SubscriptionContract_discounts_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_id(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_lastPaymentStatus(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_lastPaymentStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastPaymentStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SubscriptionContractLastPaymentStatus)
	fc.Result = res
	return ec.marshalOSubscriptionContractLastPaymentStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractLastPaymentStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_lastPaymentStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionContractLastPaymentStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_lineCount(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_lineCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_lineCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_lines(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_lines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Lines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionLineConnection)
	fc.Result = res
	return ec.marshalNSubscriptionLineConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_lines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SubscriptionLineConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SubscriptionLineConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SubscriptionLineConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionLineConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SubscriptionContract_lines_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_nextBillingDate(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_nextBillingDate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.NextBillingDate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalODateTime2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_nextBillingDate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_note(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_note(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Note, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_note(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_orders(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_orders(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Orders, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*OrderConnection)
	fc.Result = res
	return ec.marshalNOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_orders(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_OrderConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_OrderConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_OrderConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SubscriptionContract_orders_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_originOrder(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_originOrder(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginOrder, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Order)
	fc.Result = res
	return ec.marshalOOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_originOrder(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "agreements":
				return ec.fieldContext_Order_agreements(ctx, field)
			case "alerts":
				return ec.fieldContext_Order_alerts(ctx, field)
			case "app":
				return ec.fieldContext_Order_app(ctx, field)
			case "billingAddress":
				return ec.fieldContext_Order_billingAddress(ctx, field)
			case "billingAddressMatchesShippingAddress":
				return ec.fieldContext_Order_billingAddressMatchesShippingAddress(ctx, field)
			case "canMarkAsPaid":
				return ec.fieldContext_Order_canMarkAsPaid(ctx, field)
			case "canNotifyCustomer":
				return ec.fieldContext_Order_canNotifyCustomer(ctx, field)
			case "cancelReason":
				return ec.fieldContext_Order_cancelReason(ctx, field)
			case "cancelledAt":
				return ec.fieldContext_Order_cancelledAt(ctx, field)
			case "capturable":
				return ec.fieldContext_Order_capturable(ctx, field)
			case "cartDiscountAmountSet":
				return ec.fieldContext_Order_cartDiscountAmountSet(ctx, field)
			case "channelInformation":
				return ec.fieldContext_Order_channelInformation(ctx, field)
			case "clientIp":
				return ec.fieldContext_Order_clientIp(ctx, field)
			case "closed":
				return ec.fieldContext_Order_closed(ctx, field)
			case "closedAt":
				return ec.fieldContext_Order_closedAt(ctx, field)
			case "confirmed":
				return ec.fieldContext_Order_confirmed(ctx, field)
			case "createdAt":
				return ec.fieldContext_Order_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_Order_currencyCode(ctx, field)
			case "currentCartDiscountAmountSet":
				return ec.fieldContext_Order_currentCartDiscountAmountSet(ctx, field)
			case "currentSubtotalLineItemsQuantity":
				return ec.fieldContext_Order_currentSubtotalLineItemsQuantity(ctx, field)
			case "currentSubtotalPriceSet":
				return ec.fieldContext_Order_currentSubtotalPriceSet(ctx, field)
			case "currentTaxLines":
				return ec.fieldContext_Order_currentTaxLines(ctx, field)
			case "currentTotalDiscountsSet":
				return ec.fieldContext_Order_currentTotalDiscountsSet(ctx, field)
			case "currentTotalDutiesSet":
				return ec.fieldContext_Order_currentTotalDutiesSet(ctx, field)
			case "currentTotalPriceSet":
				return ec.fieldContext_Order_currentTotalPriceSet(ctx, field)
			case "currentTotalTaxSet":
				return ec.fieldContext_Order_currentTotalTaxSet(ctx, field)
			case "currentTotalWeight":
				return ec.fieldContext_Order_currentTotalWeight(ctx, field)
			case "customAttributes":
				return ec.fieldContext_Order_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_Order_customer(ctx, field)
			case "customerAcceptsMarketing":
				return ec.fieldContext_Order_customerAcceptsMarketing(ctx, field)
			case "customerJourneySummary":
				return ec.fieldContext_Order_customerJourneySummary(ctx, field)
			case "customerLocale":
				return ec.fieldContext_Order_customerLocale(ctx, field)
			case "discountApplications":
				return ec.fieldContext_Order_discountApplications(ctx, field)
			case "discountCode":
				return ec.fieldContext_Order_discountCode(ctx, field)
			case "discountCodes":
				return ec.fieldContext_Order_discountCodes(ctx, field)
			case "displayAddress":
				return ec.fieldContext_Order_displayAddress(ctx, field)
			case "displayFinancialStatus":
				return ec.fieldContext_Order_displayFinancialStatus(ctx, field)
			case "displayFulfillmentStatus":
				return ec.fieldContext_Order_displayFulfillmentStatus(ctx, field)
			case "disputes":
				return ec.fieldContext_Order_disputes(ctx, field)
			case "edited":
				return ec.fieldContext_Order_edited(ctx, field)
			case "email":
				return ec.fieldContext_Order_email(ctx, field)
			case "estimatedTaxes":
				return ec.fieldContext_Order_estimatedTaxes(ctx, field)
			case "events":
				return ec.fieldContext_Order_events(ctx, field)
			case "fulfillable":
				return ec.fieldContext_Order_fulfillable(ctx, field)
			case "fulfillmentOrders":
				return ec.fieldContext_Order_fulfillmentOrders(ctx, field)
			case "fulfillments":
				return ec.fieldContext_Order_fulfillments(ctx, field)
			case "fullyPaid":
				return ec.fieldContext_Order_fullyPaid(ctx, field)
			case "hasTimelineComment":
				return ec.fieldContext_Order_hasTimelineComment(ctx, field)
			case "id":
				return ec.fieldContext_Order_id(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Order_legacyResourceId(ctx, field)
			case "lineItems":
				return ec.fieldContext_Order_lineItems(ctx, field)
			case "localizationExtensions":
				return ec.fieldContext_Order_localizationExtensions(ctx, field)
			case "merchantEditable":
				return ec.fieldContext_Order_merchantEditable(ctx, field)
			case "merchantEditableErrors":
				return ec.fieldContext_Order_merchantEditableErrors(ctx, field)
			case "merchantOfRecordApp":
				return ec.fieldContext_Order_merchantOfRecordApp(ctx, field)
			case "metafield":
				return ec.fieldContext_Order_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Order_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Order_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Order_name(ctx, field)
			case "netPaymentSet":
				return ec.fieldContext_Order_netPaymentSet(ctx, field)
			case "nonFulfillableLineItems":
				return ec.fieldContext_Order_nonFulfillableLineItems(ctx, field)
			case "note":
				return ec.fieldContext_Order_note(ctx, field)
			case "originalTotalDutiesSet":
				return ec.fieldContext_Order_originalTotalDutiesSet(ctx, field)
			case "originalTotalPriceSet":
				return ec.fieldContext_Order_originalTotalPriceSet(ctx, field)
			case "paymentCollectionDetails":
				return ec.fieldContext_Order_paymentCollectionDetails(ctx, field)
			case "paymentGatewayNames":
				return ec.fieldContext_Order_paymentGatewayNames(ctx, field)
			case "paymentTerms":
				return ec.fieldContext_Order_paymentTerms(ctx, field)
			case "phone":
				return ec.fieldContext_Order_phone(ctx, field)
			case "physicalLocation":
				return ec.fieldContext_Order_physicalLocation(ctx, field)
			case "presentmentCurrencyCode":
				return ec.fieldContext_Order_presentmentCurrencyCode(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Order_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Order_privateMetafields(ctx, field)
			case "processedAt":
				return ec.fieldContext_Order_processedAt(ctx, field)
			case "publication":
				return ec.fieldContext_Order_publication(ctx, field)
			case "purchasingEntity":
				return ec.fieldContext_Order_purchasingEntity(ctx, field)
			case "refundDiscrepancySet":
				return ec.fieldContext_Order_refundDiscrepancySet(ctx, field)
			case "refundable":
				return ec.fieldContext_Order_refundable(ctx, field)
			case "refunds":
				return ec.fieldContext_Order_refunds(ctx, field)
			case "registeredSourceUrl":
				return ec.fieldContext_Order_registeredSourceUrl(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_Order_requiresShipping(ctx, field)
			case "restockable":
				return ec.fieldContext_Order_restockable(ctx, field)
			case "riskLevel":
				return ec.fieldContext_Order_riskLevel(ctx, field)
			case "risks":
				return ec.fieldContext_Order_risks(ctx, field)
			case "shippingAddress":
				return ec.fieldContext_Order_shippingAddress(ctx, field)
			case "shippingLine":
				return ec.fieldContext_Order_shippingLine(ctx, field)
			case "shippingLines":
				return ec.fieldContext_Order_shippingLines(ctx, field)
			case "sourceIdentifier":
				return ec.fieldContext_Order_sourceIdentifier(ctx, field)
			case "subtotalLineItemsQuantity":
				return ec.fieldContext_Order_subtotalLineItemsQuantity(ctx, field)
			case "subtotalPriceSet":
				return ec.fieldContext_Order_subtotalPriceSet(ctx, field)
			case "suggestedRefund":
				return ec.fieldContext_Order_suggestedRefund(ctx, field)
			case "tags":
				return ec.fieldContext_Order_tags(ctx, field)
			case "taxLines":
				return ec.fieldContext_Order_taxLines(ctx, field)
			case "taxesIncluded":
				return ec.fieldContext_Order_taxesIncluded(ctx, field)
			case "test":
				return ec.fieldContext_Order_test(ctx, field)
			case "totalCapturableSet":
				return ec.fieldContext_Order_totalCapturableSet(ctx, field)
			case "totalDiscountsSet":
				return ec.fieldContext_Order_totalDiscountsSet(ctx, field)
			case "totalOutstandingSet":
				return ec.fieldContext_Order_totalOutstandingSet(ctx, field)
			case "totalPriceSet":
				return ec.fieldContext_Order_totalPriceSet(ctx, field)
			case "totalReceivedSet":
				return ec.fieldContext_Order_totalReceivedSet(ctx, field)
			case "totalRefundedSet":
				return ec.fieldContext_Order_totalRefundedSet(ctx, field)
			case "totalRefundedShippingSet":
				return ec.fieldContext_Order_totalRefundedShippingSet(ctx, field)
			case "totalShippingPriceSet":
				return ec.fieldContext_Order_totalShippingPriceSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_Order_totalTaxSet(ctx, field)
			case "totalTipReceivedSet":
				return ec.fieldContext_Order_totalTipReceivedSet(ctx, field)
			case "totalWeight":
				return ec.fieldContext_Order_totalWeight(ctx, field)
			case "transactions":
				return ec.fieldContext_Order_transactions(ctx, field)
			case "unpaid":
				return ec.fieldContext_Order_unpaid(ctx, field)
			case "updatedAt":
				return ec.fieldContext_Order_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Order", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_status(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SubscriptionContractSubscriptionStatus)
	fc.Result = res
	return ec.marshalNSubscriptionContractSubscriptionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractSubscriptionStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionContractSubscriptionStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContract_updatedAt(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContract) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContract_updatedAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UpdatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContract_updatedAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContract",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContractConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContractConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContractConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionContractEdge)
	fc.Result = res
	return ec.marshalNSubscriptionContractEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContractConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContractConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SubscriptionContractEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SubscriptionContractEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionContractEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContractConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContractConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContractConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionContract)
	fc.Result = res
	return ec.marshalNSubscriptionContract2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContractConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContractConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_SubscriptionContract_app(ctx, field)
			case "appAdminUrl":
				return ec.fieldContext_SubscriptionContract_appAdminUrl(ctx, field)
			case "billingAttempts":
				return ec.fieldContext_SubscriptionContract_billingAttempts(ctx, field)
			case "billingPolicy":
				return ec.fieldContext_SubscriptionContract_billingPolicy(ctx, field)
			case "createdAt":
				return ec.fieldContext_SubscriptionContract_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_SubscriptionContract_currencyCode(ctx, field)
			case "customAttributes":
				return ec.fieldContext_SubscriptionContract_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_SubscriptionContract_customer(ctx, field)
			case "customerPaymentMethod":
				return ec.fieldContext_SubscriptionContract_customerPaymentMethod(ctx, field)
			case "deliveryMethod":
				return ec.fieldContext_SubscriptionContract_deliveryMethod(ctx, field)
			case "deliveryPolicy":
				return ec.fieldContext_SubscriptionContract_deliveryPolicy(ctx, field)
			case "deliveryPrice":
				return ec.fieldContext_SubscriptionContract_deliveryPrice(ctx, field)
			case "discounts":
				return ec.fieldContext_SubscriptionContract_discounts(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionContract_id(ctx, field)
			case "lastPaymentStatus":
				return ec.fieldContext_SubscriptionContract_lastPaymentStatus(ctx, field)
			case "lineCount":
				return ec.fieldContext_SubscriptionContract_lineCount(ctx, field)
			case "lines":
				return ec.fieldContext_SubscriptionContract_lines(ctx, field)
			case "nextBillingDate":
				return ec.fieldContext_SubscriptionContract_nextBillingDate(ctx, field)
			case "note":
				return ec.fieldContext_SubscriptionContract_note(ctx, field)
			case "orders":
				return ec.fieldContext_SubscriptionContract_orders(ctx, field)
			case "originOrder":
				return ec.fieldContext_SubscriptionContract_originOrder(ctx, field)
			case "status":
				return ec.fieldContext_SubscriptionContract_status(ctx, field)
			case "updatedAt":
				return ec.fieldContext_SubscriptionContract_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionContract", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContractConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContractConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContractConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContractConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContractConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContractEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContractEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContractEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContractEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContractEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionContractEdge_node(ctx context.Context, field graphql.CollectedField, obj *SubscriptionContractEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionContractEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionContract)
	fc.Result = res
	return ec.marshalNSubscriptionContract2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContract(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionContractEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionContractEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "app":
				return ec.fieldContext_SubscriptionContract_app(ctx, field)
			case "appAdminUrl":
				return ec.fieldContext_SubscriptionContract_appAdminUrl(ctx, field)
			case "billingAttempts":
				return ec.fieldContext_SubscriptionContract_billingAttempts(ctx, field)
			case "billingPolicy":
				return ec.fieldContext_SubscriptionContract_billingPolicy(ctx, field)
			case "createdAt":
				return ec.fieldContext_SubscriptionContract_createdAt(ctx, field)
			case "currencyCode":
				return ec.fieldContext_SubscriptionContract_currencyCode(ctx, field)
			case "customAttributes":
				return ec.fieldContext_SubscriptionContract_customAttributes(ctx, field)
			case "customer":
				return ec.fieldContext_SubscriptionContract_customer(ctx, field)
			case "customerPaymentMethod":
				return ec.fieldContext_SubscriptionContract_customerPaymentMethod(ctx, field)
			case "deliveryMethod":
				return ec.fieldContext_SubscriptionContract_deliveryMethod(ctx, field)
			case "deliveryPolicy":
				return ec.fieldContext_SubscriptionContract_deliveryPolicy(ctx, field)
			case "deliveryPrice":
				return ec.fieldContext_SubscriptionContract_deliveryPrice(ctx, field)
			case "discounts":
				return ec.fieldContext_SubscriptionContract_discounts(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionContract_id(ctx, field)
			case "lastPaymentStatus":
				return ec.fieldContext_SubscriptionContract_lastPaymentStatus(ctx, field)
			case "lineCount":
				return ec.fieldContext_SubscriptionContract_lineCount(ctx, field)
			case "lines":
				return ec.fieldContext_SubscriptionContract_lines(ctx, field)
			case "nextBillingDate":
				return ec.fieldContext_SubscriptionContract_nextBillingDate(ctx, field)
			case "note":
				return ec.fieldContext_SubscriptionContract_note(ctx, field)
			case "orders":
				return ec.fieldContext_SubscriptionContract_orders(ctx, field)
			case "originOrder":
				return ec.fieldContext_SubscriptionContract_originOrder(ctx, field)
			case "status":
				return ec.fieldContext_SubscriptionContract_status(ctx, field)
			case "updatedAt":
				return ec.fieldContext_SubscriptionContract_updatedAt(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionContract", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionCyclePriceAdjustment_adjustmentType(ctx context.Context, field graphql.CollectedField, obj *SubscriptionCyclePriceAdjustment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionCyclePriceAdjustment_adjustmentType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdjustmentType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanPricingPolicyAdjustmentType)
	fc.Result = res
	return ec.marshalNSellingPlanPricingPolicyAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionCyclePriceAdjustment_adjustmentType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionCyclePriceAdjustment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanPricingPolicyAdjustmentType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionCyclePriceAdjustment_adjustmentValue(ctx context.Context, field graphql.CollectedField, obj *SubscriptionCyclePriceAdjustment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionCyclePriceAdjustment_adjustmentValue(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AdjustmentValue, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanPricingPolicyAdjustmentValue)
	fc.Result = res
	return ec.marshalNSellingPlanPricingPolicyAdjustmentValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionCyclePriceAdjustment_adjustmentValue(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionCyclePriceAdjustment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanPricingPolicyAdjustmentValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionCyclePriceAdjustment_afterCycle(ctx context.Context, field graphql.CollectedField, obj *SubscriptionCyclePriceAdjustment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionCyclePriceAdjustment_afterCycle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AfterCycle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionCyclePriceAdjustment_afterCycle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionCyclePriceAdjustment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionCyclePriceAdjustment_computedPrice(ctx context.Context, field graphql.CollectedField, obj *SubscriptionCyclePriceAdjustment) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionCyclePriceAdjustment_computedPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ComputedPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionCyclePriceAdjustment_computedPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionCyclePriceAdjustment",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDelivery_address(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDelivery) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDelivery_address(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionMailingAddress)
	fc.Result = res
	return ec.marshalNSubscriptionMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionMailingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDelivery_address(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDelivery",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_SubscriptionMailingAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_SubscriptionMailingAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_SubscriptionMailingAddress_city(ctx, field)
			case "company":
				return ec.fieldContext_SubscriptionMailingAddress_company(ctx, field)
			case "country":
				return ec.fieldContext_SubscriptionMailingAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_SubscriptionMailingAddress_countryCode(ctx, field)
			case "firstName":
				return ec.fieldContext_SubscriptionMailingAddress_firstName(ctx, field)
			case "lastName":
				return ec.fieldContext_SubscriptionMailingAddress_lastName(ctx, field)
			case "name":
				return ec.fieldContext_SubscriptionMailingAddress_name(ctx, field)
			case "phone":
				return ec.fieldContext_SubscriptionMailingAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_SubscriptionMailingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_SubscriptionMailingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_SubscriptionMailingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionMailingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDelivery_localDeliveryOption(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDelivery) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDelivery_localDeliveryOption(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LocalDeliveryOption, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionDeliveryMethodLocalDeliveryOption)
	fc.Result = res
	return ec.marshalNSubscriptionDeliveryMethodLocalDeliveryOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethodLocalDeliveryOption(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDelivery_localDeliveryOption(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDelivery",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_code(ctx, field)
			case "description":
				return ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_description(ctx, field)
			case "instructions":
				return ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_instructions(ctx, field)
			case "phone":
				return ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_phone(ctx, field)
			case "presentmentTitle":
				return ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_presentmentTitle(ctx, field)
			case "title":
				return ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionDeliveryMethodLocalDeliveryOption", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDeliveryOption_code(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDeliveryOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDeliveryOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDeliveryOption_description(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDeliveryOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDeliveryOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDeliveryOption_instructions(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDeliveryOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_instructions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Instructions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_instructions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDeliveryOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDeliveryOption_phone(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDeliveryOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDeliveryOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDeliveryOption_presentmentTitle(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDeliveryOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_presentmentTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PresentmentTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_presentmentTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDeliveryOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDeliveryOption_title(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodLocalDeliveryOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodLocalDeliveryOption_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodLocalDeliveryOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodPickup_pickupOption(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodPickup) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodPickup_pickupOption(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PickupOption, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionDeliveryMethodPickupOption)
	fc.Result = res
	return ec.marshalNSubscriptionDeliveryMethodPickupOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethodPickupOption(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodPickup_pickupOption(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodPickup",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_SubscriptionDeliveryMethodPickupOption_code(ctx, field)
			case "description":
				return ec.fieldContext_SubscriptionDeliveryMethodPickupOption_description(ctx, field)
			case "location":
				return ec.fieldContext_SubscriptionDeliveryMethodPickupOption_location(ctx, field)
			case "presentmentTitle":
				return ec.fieldContext_SubscriptionDeliveryMethodPickupOption_presentmentTitle(ctx, field)
			case "title":
				return ec.fieldContext_SubscriptionDeliveryMethodPickupOption_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionDeliveryMethodPickupOption", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodPickupOption_code(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodPickupOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodPickupOption_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodPickupOption_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodPickupOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodPickupOption_description(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodPickupOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodPickupOption_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodPickupOption_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodPickupOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodPickupOption_location(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodPickupOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodPickupOption_location(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Location, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*Location)
	fc.Result = res
	return ec.marshalNLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodPickupOption_location(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodPickupOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "activatable":
				return ec.fieldContext_Location_activatable(ctx, field)
			case "address":
				return ec.fieldContext_Location_address(ctx, field)
			case "addressVerified":
				return ec.fieldContext_Location_addressVerified(ctx, field)
			case "deactivatable":
				return ec.fieldContext_Location_deactivatable(ctx, field)
			case "deactivatedAt":
				return ec.fieldContext_Location_deactivatedAt(ctx, field)
			case "deletable":
				return ec.fieldContext_Location_deletable(ctx, field)
			case "fulfillmentService":
				return ec.fieldContext_Location_fulfillmentService(ctx, field)
			case "fulfillsOnlineOrders":
				return ec.fieldContext_Location_fulfillsOnlineOrders(ctx, field)
			case "hasActiveInventory":
				return ec.fieldContext_Location_hasActiveInventory(ctx, field)
			case "hasUnfulfilledOrders":
				return ec.fieldContext_Location_hasUnfulfilledOrders(ctx, field)
			case "id":
				return ec.fieldContext_Location_id(ctx, field)
			case "inventoryLevel":
				return ec.fieldContext_Location_inventoryLevel(ctx, field)
			case "inventoryLevels":
				return ec.fieldContext_Location_inventoryLevels(ctx, field)
			case "isActive":
				return ec.fieldContext_Location_isActive(ctx, field)
			case "legacyResourceId":
				return ec.fieldContext_Location_legacyResourceId(ctx, field)
			case "metafield":
				return ec.fieldContext_Location_metafield(ctx, field)
			case "metafieldDefinitions":
				return ec.fieldContext_Location_metafieldDefinitions(ctx, field)
			case "metafields":
				return ec.fieldContext_Location_metafields(ctx, field)
			case "name":
				return ec.fieldContext_Location_name(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Location_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Location_privateMetafields(ctx, field)
			case "shipsInventory":
				return ec.fieldContext_Location_shipsInventory(ctx, field)
			case "suggestedAddresses":
				return ec.fieldContext_Location_suggestedAddresses(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Location", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodPickupOption_presentmentTitle(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodPickupOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodPickupOption_presentmentTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PresentmentTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodPickupOption_presentmentTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodPickupOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodPickupOption_title(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodPickupOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodPickupOption_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodPickupOption_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodPickupOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodShipping_address(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodShipping) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodShipping_address(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionMailingAddress)
	fc.Result = res
	return ec.marshalNSubscriptionMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionMailingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodShipping_address(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodShipping",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_SubscriptionMailingAddress_address1(ctx, field)
			case "address2":
				return ec.fieldContext_SubscriptionMailingAddress_address2(ctx, field)
			case "city":
				return ec.fieldContext_SubscriptionMailingAddress_city(ctx, field)
			case "company":
				return ec.fieldContext_SubscriptionMailingAddress_company(ctx, field)
			case "country":
				return ec.fieldContext_SubscriptionMailingAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_SubscriptionMailingAddress_countryCode(ctx, field)
			case "firstName":
				return ec.fieldContext_SubscriptionMailingAddress_firstName(ctx, field)
			case "lastName":
				return ec.fieldContext_SubscriptionMailingAddress_lastName(ctx, field)
			case "name":
				return ec.fieldContext_SubscriptionMailingAddress_name(ctx, field)
			case "phone":
				return ec.fieldContext_SubscriptionMailingAddress_phone(ctx, field)
			case "province":
				return ec.fieldContext_SubscriptionMailingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_SubscriptionMailingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_SubscriptionMailingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionMailingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodShipping_shippingOption(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodShipping) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodShipping_shippingOption(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ShippingOption, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionDeliveryMethodShippingOption)
	fc.Result = res
	return ec.marshalNSubscriptionDeliveryMethodShippingOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethodShippingOption(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodShipping_shippingOption(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodShipping",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "carrierService":
				return ec.fieldContext_SubscriptionDeliveryMethodShippingOption_carrierService(ctx, field)
			case "code":
				return ec.fieldContext_SubscriptionDeliveryMethodShippingOption_code(ctx, field)
			case "description":
				return ec.fieldContext_SubscriptionDeliveryMethodShippingOption_description(ctx, field)
			case "presentmentTitle":
				return ec.fieldContext_SubscriptionDeliveryMethodShippingOption_presentmentTitle(ctx, field)
			case "title":
				return ec.fieldContext_SubscriptionDeliveryMethodShippingOption_title(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionDeliveryMethodShippingOption", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodShippingOption_carrierService(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodShippingOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodShippingOption_carrierService(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CarrierService, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*DeliveryCarrierService)
	fc.Result = res
	return ec.marshalODeliveryCarrierService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCarrierService(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodShippingOption_carrierService(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodShippingOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "availableServicesForCountries":
				return ec.fieldContext_DeliveryCarrierService_availableServicesForCountries(ctx, field)
			case "formattedName":
				return ec.fieldContext_DeliveryCarrierService_formattedName(ctx, field)
			case "icon":
				return ec.fieldContext_DeliveryCarrierService_icon(ctx, field)
			case "id":
				return ec.fieldContext_DeliveryCarrierService_id(ctx, field)
			case "name":
				return ec.fieldContext_DeliveryCarrierService_name(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type DeliveryCarrierService", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodShippingOption_code(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodShippingOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodShippingOption_code(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Code, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodShippingOption_code(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodShippingOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodShippingOption_description(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodShippingOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodShippingOption_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodShippingOption_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodShippingOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodShippingOption_presentmentTitle(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodShippingOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodShippingOption_presentmentTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PresentmentTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodShippingOption_presentmentTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodShippingOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryMethodShippingOption_title(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryMethodShippingOption) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryMethodShippingOption_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryMethodShippingOption_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryMethodShippingOption",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryPolicy_anchors(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryPolicy_anchors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Anchors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SellingPlanAnchor)
	fc.Result = res
	return ec.marshalNSellingPlanAnchor2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryPolicy_anchors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cutoffDay":
				return ec.fieldContext_SellingPlanAnchor_cutoffDay(ctx, field)
			case "day":
				return ec.fieldContext_SellingPlanAnchor_day(ctx, field)
			case "month":
				return ec.fieldContext_SellingPlanAnchor_month(ctx, field)
			case "type":
				return ec.fieldContext_SellingPlanAnchor_type(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SellingPlanAnchor", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryPolicy_interval(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryPolicy_interval(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Interval, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SellingPlanInterval)
	fc.Result = res
	return ec.marshalNSellingPlanInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInterval(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryPolicy_interval(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SellingPlanInterval does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDeliveryPolicy_intervalCount(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDeliveryPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDeliveryPolicy_intervalCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IntervalCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDeliveryPolicy_intervalCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDeliveryPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDiscountAllocation_amount(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDiscountAllocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDiscountAllocation_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDiscountAllocation_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDiscountAllocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDiscountAllocation_discount(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDiscountAllocation) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDiscountAllocation_discount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Discount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SubscriptionDiscount)
	fc.Result = res
	return ec.marshalNSubscriptionDiscount2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscount(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDiscountAllocation_discount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDiscountAllocation",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionDiscount does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDiscountEntitledLines_all(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDiscountEntitledLines) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDiscountEntitledLines_all(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.All, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDiscountEntitledLines_all(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDiscountEntitledLines",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDiscountEntitledLines_lines(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDiscountEntitledLines) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDiscountEntitledLines_lines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Lines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionLineConnection)
	fc.Result = res
	return ec.marshalNSubscriptionLineConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineConnection(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDiscountEntitledLines_lines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDiscountEntitledLines",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "edges":
				return ec.fieldContext_SubscriptionLineConnection_edges(ctx, field)
			case "nodes":
				return ec.fieldContext_SubscriptionLineConnection_nodes(ctx, field)
			case "pageInfo":
				return ec.fieldContext_SubscriptionLineConnection_pageInfo(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionLineConnection", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field_SubscriptionDiscountEntitledLines_lines_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDiscountFixedAmountValue_amount(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDiscountFixedAmountValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDiscountFixedAmountValue_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDiscountFixedAmountValue_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDiscountFixedAmountValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDiscountFixedAmountValue_appliesOnEachItem(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDiscountFixedAmountValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDiscountFixedAmountValue_appliesOnEachItem(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AppliesOnEachItem, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDiscountFixedAmountValue_appliesOnEachItem(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDiscountFixedAmountValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionDiscountPercentageValue_percentage(ctx context.Context, field graphql.CollectedField, obj *SubscriptionDiscountPercentageValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionDiscountPercentageValue_percentage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Percentage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionDiscountPercentageValue_percentage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionDiscountPercentageValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_currentPrice(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_currentPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CurrentPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_currentPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_customAttributes(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_customAttributes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CustomAttributes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*Attribute)
	fc.Result = res
	return ec.marshalNAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttributeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_customAttributes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "key":
				return ec.fieldContext_Attribute_key(ctx, field)
			case "value":
				return ec.fieldContext_Attribute_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Attribute", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_discountAllocations(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_discountAllocations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountAllocations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionDiscountAllocation)
	fc.Result = res
	return ec.marshalNSubscriptionDiscountAllocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountAllocationᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_discountAllocations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_SubscriptionDiscountAllocation_amount(ctx, field)
			case "discount":
				return ec.fieldContext_SubscriptionDiscountAllocation_discount(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionDiscountAllocation", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_id(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_lineDiscountedPrice(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_lineDiscountedPrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LineDiscountedPrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_lineDiscountedPrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_pricingPolicy(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_pricingPolicy(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PricingPolicy, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SubscriptionPricingPolicy)
	fc.Result = res
	return ec.marshalOSubscriptionPricingPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionPricingPolicy(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_pricingPolicy(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "basePrice":
				return ec.fieldContext_SubscriptionPricingPolicy_basePrice(ctx, field)
			case "cycleDiscounts":
				return ec.fieldContext_SubscriptionPricingPolicy_cycleDiscounts(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionPricingPolicy", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_productId(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_productId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProductID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOID2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_productId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_quantity(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_quantity(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Quantity, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_quantity(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_requiresShipping(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_requiresShipping(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RequiresShipping, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_requiresShipping(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_sellingPlanId(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_sellingPlanId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SellingPlanID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOID2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_sellingPlanId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_sellingPlanName(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_sellingPlanName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SellingPlanName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_sellingPlanName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_sku(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_sku(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Sku, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_sku(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_taxable(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_taxable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Taxable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_taxable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_title(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_variantId(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_variantId(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VariantID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOID2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_variantId(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_variantImage(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_variantImage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VariantImage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*Image)
	fc.Result = res
	return ec.marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_variantImage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "altText":
				return ec.fieldContext_Image_altText(ctx, field)
			case "height":
				return ec.fieldContext_Image_height(ctx, field)
			case "id":
				return ec.fieldContext_Image_id(ctx, field)
			case "metafield":
				return ec.fieldContext_Image_metafield(ctx, field)
			case "metafields":
				return ec.fieldContext_Image_metafields(ctx, field)
			case "privateMetafield":
				return ec.fieldContext_Image_privateMetafield(ctx, field)
			case "privateMetafields":
				return ec.fieldContext_Image_privateMetafields(ctx, field)
			case "url":
				return ec.fieldContext_Image_url(ctx, field)
			case "width":
				return ec.fieldContext_Image_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type Image", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLine_variantTitle(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLine_variantTitle(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.VariantTitle, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLine_variantTitle(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLineConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLineConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLineConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionLineEdge)
	fc.Result = res
	return ec.marshalNSubscriptionLineEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLineConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLineConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SubscriptionLineEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SubscriptionLineEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionLineEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLineConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLineConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLineConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionLine)
	fc.Result = res
	return ec.marshalNSubscriptionLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLineConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLineConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "currentPrice":
				return ec.fieldContext_SubscriptionLine_currentPrice(ctx, field)
			case "customAttributes":
				return ec.fieldContext_SubscriptionLine_customAttributes(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_SubscriptionLine_discountAllocations(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionLine_id(ctx, field)
			case "lineDiscountedPrice":
				return ec.fieldContext_SubscriptionLine_lineDiscountedPrice(ctx, field)
			case "pricingPolicy":
				return ec.fieldContext_SubscriptionLine_pricingPolicy(ctx, field)
			case "productId":
				return ec.fieldContext_SubscriptionLine_productId(ctx, field)
			case "quantity":
				return ec.fieldContext_SubscriptionLine_quantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_SubscriptionLine_requiresShipping(ctx, field)
			case "sellingPlanId":
				return ec.fieldContext_SubscriptionLine_sellingPlanId(ctx, field)
			case "sellingPlanName":
				return ec.fieldContext_SubscriptionLine_sellingPlanName(ctx, field)
			case "sku":
				return ec.fieldContext_SubscriptionLine_sku(ctx, field)
			case "taxable":
				return ec.fieldContext_SubscriptionLine_taxable(ctx, field)
			case "title":
				return ec.fieldContext_SubscriptionLine_title(ctx, field)
			case "variantId":
				return ec.fieldContext_SubscriptionLine_variantId(ctx, field)
			case "variantImage":
				return ec.fieldContext_SubscriptionLine_variantImage(ctx, field)
			case "variantTitle":
				return ec.fieldContext_SubscriptionLine_variantTitle(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLineConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLineConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLineConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLineConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLineConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLineEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLineEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLineEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLineEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLineEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionLineEdge_node(ctx context.Context, field graphql.CollectedField, obj *SubscriptionLineEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionLineEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionLine)
	fc.Result = res
	return ec.marshalNSubscriptionLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLine(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionLineEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionLineEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "currentPrice":
				return ec.fieldContext_SubscriptionLine_currentPrice(ctx, field)
			case "customAttributes":
				return ec.fieldContext_SubscriptionLine_customAttributes(ctx, field)
			case "discountAllocations":
				return ec.fieldContext_SubscriptionLine_discountAllocations(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionLine_id(ctx, field)
			case "lineDiscountedPrice":
				return ec.fieldContext_SubscriptionLine_lineDiscountedPrice(ctx, field)
			case "pricingPolicy":
				return ec.fieldContext_SubscriptionLine_pricingPolicy(ctx, field)
			case "productId":
				return ec.fieldContext_SubscriptionLine_productId(ctx, field)
			case "quantity":
				return ec.fieldContext_SubscriptionLine_quantity(ctx, field)
			case "requiresShipping":
				return ec.fieldContext_SubscriptionLine_requiresShipping(ctx, field)
			case "sellingPlanId":
				return ec.fieldContext_SubscriptionLine_sellingPlanId(ctx, field)
			case "sellingPlanName":
				return ec.fieldContext_SubscriptionLine_sellingPlanName(ctx, field)
			case "sku":
				return ec.fieldContext_SubscriptionLine_sku(ctx, field)
			case "taxable":
				return ec.fieldContext_SubscriptionLine_taxable(ctx, field)
			case "title":
				return ec.fieldContext_SubscriptionLine_title(ctx, field)
			case "variantId":
				return ec.fieldContext_SubscriptionLine_variantId(ctx, field)
			case "variantImage":
				return ec.fieldContext_SubscriptionLine_variantImage(ctx, field)
			case "variantTitle":
				return ec.fieldContext_SubscriptionLine_variantTitle(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionLine", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_address1(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_address1(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address1, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_address1(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_address2(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_address2(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Address2, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_address2(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_city(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_city(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.City, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_city(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_company(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_company(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Company, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_company(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_country(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_country(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Country, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_country(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_countryCode(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_countryCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CountryCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CountryCode)
	fc.Result = res
	return ec.marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_countryCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type CountryCode does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_firstName(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_firstName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FirstName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_firstName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_lastName(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_lastName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_lastName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_name(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_phone(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_phone(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Phone, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_phone(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_province(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_province(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Province, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_province(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_provinceCode(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_provinceCode(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ProvinceCode, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_provinceCode(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionMailingAddress_zip(ctx context.Context, field graphql.CollectedField, obj *SubscriptionMailingAddress) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionMailingAddress_zip(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Zip, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionMailingAddress_zip(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionMailingAddress",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_entitledLines(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_entitledLines(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EntitledLines, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionDiscountEntitledLines)
	fc.Result = res
	return ec.marshalNSubscriptionDiscountEntitledLines2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountEntitledLines(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_entitledLines(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "all":
				return ec.fieldContext_SubscriptionDiscountEntitledLines_all(ctx, field)
			case "lines":
				return ec.fieldContext_SubscriptionDiscountEntitledLines_lines(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionDiscountEntitledLines", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_id(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_recurringCycleLimit(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_recurringCycleLimit(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RecurringCycleLimit, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_recurringCycleLimit(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_rejectionReason(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_rejectionReason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RejectionReason, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*SubscriptionDiscountRejectionReason)
	fc.Result = res
	return ec.marshalOSubscriptionDiscountRejectionReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountRejectionReason(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_rejectionReason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionDiscountRejectionReason does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_targetType(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_targetType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TargetType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountTargetType)
	fc.Result = res
	return ec.marshalNDiscountTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountTargetType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_targetType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountTargetType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_title(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_type(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(DiscountType)
	fc.Result = res
	return ec.marshalNDiscountType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DiscountType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_usageCount(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_usageCount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.UsageCount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_usageCount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscount_value(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscount) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscount_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SubscriptionDiscountValue)
	fc.Result = res
	return ec.marshalNSubscriptionDiscountValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountValue(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscount_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscount",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SubscriptionDiscountValue does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscountConnection_edges(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscountConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscountConnection_edges(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Edges, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionManualDiscountEdge)
	fc.Result = res
	return ec.marshalNSubscriptionManualDiscountEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountEdgeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscountConnection_edges(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscountConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "cursor":
				return ec.fieldContext_SubscriptionManualDiscountEdge_cursor(ctx, field)
			case "node":
				return ec.fieldContext_SubscriptionManualDiscountEdge_node(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionManualDiscountEdge", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscountConnection_nodes(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscountConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscountConnection_nodes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Nodes, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionManualDiscount)
	fc.Result = res
	return ec.marshalNSubscriptionManualDiscount2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscountConnection_nodes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscountConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "entitledLines":
				return ec.fieldContext_SubscriptionManualDiscount_entitledLines(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionManualDiscount_id(ctx, field)
			case "recurringCycleLimit":
				return ec.fieldContext_SubscriptionManualDiscount_recurringCycleLimit(ctx, field)
			case "rejectionReason":
				return ec.fieldContext_SubscriptionManualDiscount_rejectionReason(ctx, field)
			case "targetType":
				return ec.fieldContext_SubscriptionManualDiscount_targetType(ctx, field)
			case "title":
				return ec.fieldContext_SubscriptionManualDiscount_title(ctx, field)
			case "type":
				return ec.fieldContext_SubscriptionManualDiscount_type(ctx, field)
			case "usageCount":
				return ec.fieldContext_SubscriptionManualDiscount_usageCount(ctx, field)
			case "value":
				return ec.fieldContext_SubscriptionManualDiscount_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionManualDiscount", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscountConnection_pageInfo(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscountConnection) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscountConnection_pageInfo(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PageInfo, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*PageInfo)
	fc.Result = res
	return ec.marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscountConnection_pageInfo(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscountConnection",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "endCursor":
				return ec.fieldContext_PageInfo_endCursor(ctx, field)
			case "hasNextPage":
				return ec.fieldContext_PageInfo_hasNextPage(ctx, field)
			case "hasPreviousPage":
				return ec.fieldContext_PageInfo_hasPreviousPage(ctx, field)
			case "startCursor":
				return ec.fieldContext_PageInfo_startCursor(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type PageInfo", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscountEdge_cursor(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscountEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscountEdge_cursor(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Cursor, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscountEdge_cursor(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscountEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionManualDiscountEdge_node(ctx context.Context, field graphql.CollectedField, obj *SubscriptionManualDiscountEdge) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionManualDiscountEdge_node(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Node, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*SubscriptionManualDiscount)
	fc.Result = res
	return ec.marshalNSubscriptionManualDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscount(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionManualDiscountEdge_node(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionManualDiscountEdge",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "entitledLines":
				return ec.fieldContext_SubscriptionManualDiscount_entitledLines(ctx, field)
			case "id":
				return ec.fieldContext_SubscriptionManualDiscount_id(ctx, field)
			case "recurringCycleLimit":
				return ec.fieldContext_SubscriptionManualDiscount_recurringCycleLimit(ctx, field)
			case "rejectionReason":
				return ec.fieldContext_SubscriptionManualDiscount_rejectionReason(ctx, field)
			case "targetType":
				return ec.fieldContext_SubscriptionManualDiscount_targetType(ctx, field)
			case "title":
				return ec.fieldContext_SubscriptionManualDiscount_title(ctx, field)
			case "type":
				return ec.fieldContext_SubscriptionManualDiscount_type(ctx, field)
			case "usageCount":
				return ec.fieldContext_SubscriptionManualDiscount_usageCount(ctx, field)
			case "value":
				return ec.fieldContext_SubscriptionManualDiscount_value(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionManualDiscount", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionPricingPolicy_basePrice(ctx context.Context, field graphql.CollectedField, obj *SubscriptionPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionPricingPolicy_basePrice(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BasePrice, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionPricingPolicy_basePrice(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SubscriptionPricingPolicy_cycleDiscounts(ctx context.Context, field graphql.CollectedField, obj *SubscriptionPricingPolicy) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SubscriptionPricingPolicy_cycleDiscounts(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CycleDiscounts, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SubscriptionCyclePriceAdjustment)
	fc.Result = res
	return ec.marshalNSubscriptionCyclePriceAdjustment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionCyclePriceAdjustmentᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SubscriptionPricingPolicy_cycleDiscounts(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SubscriptionPricingPolicy",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "adjustmentType":
				return ec.fieldContext_SubscriptionCyclePriceAdjustment_adjustmentType(ctx, field)
			case "adjustmentValue":
				return ec.fieldContext_SubscriptionCyclePriceAdjustment_adjustmentValue(ctx, field)
			case "afterCycle":
				return ec.fieldContext_SubscriptionCyclePriceAdjustment_afterCycle(ctx, field)
			case "computedPrice":
				return ec.fieldContext_SubscriptionCyclePriceAdjustment_computedPrice(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SubscriptionCyclePriceAdjustment", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedOrderTransaction_accountNumber(ctx context.Context, field graphql.CollectedField, obj *SuggestedOrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedOrderTransaction_accountNumber(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AccountNumber, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedOrderTransaction_accountNumber(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedOrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedOrderTransaction_amountSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedOrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedOrderTransaction_amountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedOrderTransaction_amountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedOrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedOrderTransaction_formattedGateway(ctx context.Context, field graphql.CollectedField, obj *SuggestedOrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedOrderTransaction_formattedGateway(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FormattedGateway, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedOrderTransaction_formattedGateway(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedOrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedOrderTransaction_gateway(ctx context.Context, field graphql.CollectedField, obj *SuggestedOrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedOrderTransaction_gateway(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Gateway, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedOrderTransaction_gateway(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedOrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedOrderTransaction_kind(ctx context.Context, field graphql.CollectedField, obj *SuggestedOrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedOrderTransaction_kind(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Kind, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(SuggestedOrderTransactionKind)
	fc.Result = res
	return ec.marshalNSuggestedOrderTransactionKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedOrderTransactionKind(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedOrderTransaction_kind(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedOrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type SuggestedOrderTransactionKind does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedOrderTransaction_maximumRefundableSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedOrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedOrderTransaction_maximumRefundableSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaximumRefundableSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedOrderTransaction_maximumRefundableSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedOrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedOrderTransaction_parentTransaction(ctx context.Context, field graphql.CollectedField, obj *SuggestedOrderTransaction) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedOrderTransaction_parentTransaction(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ParentTransaction, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*OrderTransaction)
	fc.Result = res
	return ec.marshalOOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransaction(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedOrderTransaction_parentTransaction(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedOrderTransaction",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accountNumber":
				return ec.fieldContext_OrderTransaction_accountNumber(ctx, field)
			case "amountSet":
				return ec.fieldContext_OrderTransaction_amountSet(ctx, field)
			case "authorizationCode":
				return ec.fieldContext_OrderTransaction_authorizationCode(ctx, field)
			case "authorizationExpiresAt":
				return ec.fieldContext_OrderTransaction_authorizationExpiresAt(ctx, field)
			case "createdAt":
				return ec.fieldContext_OrderTransaction_createdAt(ctx, field)
			case "errorCode":
				return ec.fieldContext_OrderTransaction_errorCode(ctx, field)
			case "fees":
				return ec.fieldContext_OrderTransaction_fees(ctx, field)
			case "formattedGateway":
				return ec.fieldContext_OrderTransaction_formattedGateway(ctx, field)
			case "gateway":
				return ec.fieldContext_OrderTransaction_gateway(ctx, field)
			case "id":
				return ec.fieldContext_OrderTransaction_id(ctx, field)
			case "kind":
				return ec.fieldContext_OrderTransaction_kind(ctx, field)
			case "manuallyCapturable":
				return ec.fieldContext_OrderTransaction_manuallyCapturable(ctx, field)
			case "maximumRefundableV2":
				return ec.fieldContext_OrderTransaction_maximumRefundableV2(ctx, field)
			case "order":
				return ec.fieldContext_OrderTransaction_order(ctx, field)
			case "parentTransaction":
				return ec.fieldContext_OrderTransaction_parentTransaction(ctx, field)
			case "paymentIcon":
				return ec.fieldContext_OrderTransaction_paymentIcon(ctx, field)
			case "processedAt":
				return ec.fieldContext_OrderTransaction_processedAt(ctx, field)
			case "receiptJson":
				return ec.fieldContext_OrderTransaction_receiptJson(ctx, field)
			case "settlementCurrency":
				return ec.fieldContext_OrderTransaction_settlementCurrency(ctx, field)
			case "settlementCurrencyRate":
				return ec.fieldContext_OrderTransaction_settlementCurrencyRate(ctx, field)
			case "shopifyPaymentsSet":
				return ec.fieldContext_OrderTransaction_shopifyPaymentsSet(ctx, field)
			case "status":
				return ec.fieldContext_OrderTransaction_status(ctx, field)
			case "test":
				return ec.fieldContext_OrderTransaction_test(ctx, field)
			case "totalUnsettledSet":
				return ec.fieldContext_OrderTransaction_totalUnsettledSet(ctx, field)
			case "user":
				return ec.fieldContext_OrderTransaction_user(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type OrderTransaction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_amountSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_amountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.AmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_amountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_discountedSubtotalSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_discountedSubtotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DiscountedSubtotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_discountedSubtotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_maximumRefundableSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_maximumRefundableSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MaximumRefundableSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_maximumRefundableSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_refundDuties(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_refundDuties(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RefundDuties, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*RefundDuty)
	fc.Result = res
	return ec.marshalNRefundDuty2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_refundDuties(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amountSet":
				return ec.fieldContext_RefundDuty_amountSet(ctx, field)
			case "originalDuty":
				return ec.fieldContext_RefundDuty_originalDuty(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type RefundDuty", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_refundLineItems(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_refundLineItems(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RefundLineItems, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*RefundLineItem)
	fc.Result = res
	return ec.marshalNRefundLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_refundLineItems(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "lineItem":
				return ec.fieldContext_RefundLineItem_lineItem(ctx, field)
			case "location":
				return ec.fieldContext_RefundLineItem_location(ctx, field)
			case "priceSet":
				return ec.fieldContext_RefundLineItem_priceSet(ctx, field)
			case "quantity":
				return ec.fieldContext_RefundLineItem_quantity(ctx, field)
			case "restockType":
				return ec.fieldContext_RefundLineItem_restockType(ctx, field)
			case "restocked":
				return ec.fieldContext_RefundLineItem_restocked(ctx, field)
			case "subtotalSet":
				return ec.fieldContext_RefundLineItem_subtotalSet(ctx, field)
			case "totalTaxSet":
				return ec.fieldContext_RefundLineItem_totalTaxSet(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type RefundLineItem", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_shipping(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_shipping(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Shipping, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*ShippingRefund)
	fc.Result = res
	return ec.marshalNShippingRefund2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingRefund(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_shipping(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amountSet":
				return ec.fieldContext_ShippingRefund_amountSet(ctx, field)
			case "maximumRefundableSet":
				return ec.fieldContext_ShippingRefund_maximumRefundableSet(ctx, field)
			case "taxSet":
				return ec.fieldContext_ShippingRefund_taxSet(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type ShippingRefund", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_subtotalSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_subtotalSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubtotalSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_subtotalSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_suggestedTransactions(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_suggestedTransactions(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SuggestedTransactions, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*SuggestedOrderTransaction)
	fc.Result = res
	return ec.marshalNSuggestedOrderTransaction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedOrderTransactionᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_suggestedTransactions(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "accountNumber":
				return ec.fieldContext_SuggestedOrderTransaction_accountNumber(ctx, field)
			case "amountSet":
				return ec.fieldContext_SuggestedOrderTransaction_amountSet(ctx, field)
			case "formattedGateway":
				return ec.fieldContext_SuggestedOrderTransaction_formattedGateway(ctx, field)
			case "gateway":
				return ec.fieldContext_SuggestedOrderTransaction_gateway(ctx, field)
			case "kind":
				return ec.fieldContext_SuggestedOrderTransaction_kind(ctx, field)
			case "maximumRefundableSet":
				return ec.fieldContext_SuggestedOrderTransaction_maximumRefundableSet(ctx, field)
			case "parentTransaction":
				return ec.fieldContext_SuggestedOrderTransaction_parentTransaction(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type SuggestedOrderTransaction", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_totalCartDiscountAmountSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_totalCartDiscountAmountSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalCartDiscountAmountSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_totalCartDiscountAmountSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_totalDutiesSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_totalDutiesSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalDutiesSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_totalDutiesSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _SuggestedRefund_totalTaxSet(ctx context.Context, field graphql.CollectedField, obj *SuggestedRefund) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_SuggestedRefund_totalTaxSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TotalTaxSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_SuggestedRefund_totalTaxSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "SuggestedRefund",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _TaxLine_channelLiable(ctx context.Context, field graphql.CollectedField, obj *TaxLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TaxLine_channelLiable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ChannelLiable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*bool)
	fc.Result = res
	return ec.marshalOBoolean2ᚖbool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TaxLine_channelLiable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TaxLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TaxLine_priceSet(ctx context.Context, field graphql.CollectedField, obj *TaxLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TaxLine_priceSet(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PriceSet, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyBag)
	fc.Result = res
	return ec.marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TaxLine_priceSet(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TaxLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "presentmentMoney":
				return ec.fieldContext_MoneyBag_presentmentMoney(ctx, field)
			case "shopMoney":
				return ec.fieldContext_MoneyBag_shopMoney(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyBag", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _TaxLine_rate(ctx context.Context, field graphql.CollectedField, obj *TaxLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TaxLine_rate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Rate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*float64)
	fc.Result = res
	return ec.marshalOFloat2ᚖfloat64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TaxLine_rate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TaxLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TaxLine_ratePercentage(ctx context.Context, field graphql.CollectedField, obj *TaxLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TaxLine_ratePercentage(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RatePercentage, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*float64)
	fc.Result = res
	return ec.marshalOFloat2ᚖfloat64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TaxLine_ratePercentage(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TaxLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TaxLine_title(ctx context.Context, field graphql.CollectedField, obj *TaxLine) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TaxLine_title(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Title, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TaxLine_title(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TaxLine",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_amount(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_amount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Amount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_amount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_flatFee(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_flatFee(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FlatFee, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_flatFee(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_flatFeeName(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_flatFeeName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FlatFeeName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_flatFeeName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_id(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_rate(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_rate(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Rate, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDecimal2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_rate(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Decimal does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_rateName(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_rateName(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.RateName, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_rateName(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_taxAmount(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_taxAmount(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.TaxAmount, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*MoneyV2)
	fc.Result = res
	return ec.marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_taxAmount(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "amount":
				return ec.fieldContext_MoneyV2_amount(ctx, field)
			case "currencyCode":
				return ec.fieldContext_MoneyV2_currencyCode(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MoneyV2", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _TransactionFee_type(ctx context.Context, field graphql.CollectedField, obj *TransactionFee) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TransactionFee_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TransactionFee_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TransactionFee",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TypedAttribute_key(ctx context.Context, field graphql.CollectedField, obj *TypedAttribute) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TypedAttribute_key(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Key, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TypedAttribute_key(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TypedAttribute",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _TypedAttribute_value(ctx context.Context, field graphql.CollectedField, obj *TypedAttribute) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_TypedAttribute_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_TypedAttribute_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "TypedAttribute",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _UTMParameters_campaign(ctx context.Context, field graphql.CollectedField, obj *UTMParameters) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_UTMParameters_campaign(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Campaign, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_UTMParameters_campaign(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "UTMParameters",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _UTMParameters_content(ctx context.Context, field graphql.CollectedField, obj *UTMParameters) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_UTMParameters_content(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Content, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_UTMParameters_content(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "UTMParameters",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _UTMParameters_medium(ctx context.Context, field graphql.CollectedField, obj *UTMParameters) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_UTMParameters_medium(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Medium, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_UTMParameters_medium(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "UTMParameters",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _UTMParameters_source(ctx context.Context, field graphql.CollectedField, obj *UTMParameters) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_UTMParameters_source(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Source, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_UTMParameters_source(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "UTMParameters",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _UTMParameters_term(ctx context.Context, field graphql.CollectedField, obj *UTMParameters) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_UTMParameters_term(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Term, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_UTMParameters_term(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "UTMParameters",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _UserError_field(ctx context.Context, field graphql.CollectedField, obj *UserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_UserError_field(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Field, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalOString2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_UserError_field(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "UserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _UserError_message(ctx context.Context, field graphql.CollectedField, obj *UserError) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_UserError_message(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Message, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_UserError_message(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "UserError",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultCreditCard_billingAddress(ctx context.Context, field graphql.CollectedField, obj *VaultCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultCreditCard_billingAddress(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.BillingAddress, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*CustomerCreditCardBillingAddress)
	fc.Result = res
	return ec.marshalOCustomerCreditCardBillingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerCreditCardBillingAddress(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultCreditCard_billingAddress(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "address1":
				return ec.fieldContext_CustomerCreditCardBillingAddress_address1(ctx, field)
			case "city":
				return ec.fieldContext_CustomerCreditCardBillingAddress_city(ctx, field)
			case "country":
				return ec.fieldContext_CustomerCreditCardBillingAddress_country(ctx, field)
			case "countryCode":
				return ec.fieldContext_CustomerCreditCardBillingAddress_countryCode(ctx, field)
			case "province":
				return ec.fieldContext_CustomerCreditCardBillingAddress_province(ctx, field)
			case "provinceCode":
				return ec.fieldContext_CustomerCreditCardBillingAddress_provinceCode(ctx, field)
			case "zip":
				return ec.fieldContext_CustomerCreditCardBillingAddress_zip(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type CustomerCreditCardBillingAddress", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultCreditCard_brand(ctx context.Context, field graphql.CollectedField, obj *VaultCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultCreditCard_brand(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Brand, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultCreditCard_brand(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultCreditCard_expired(ctx context.Context, field graphql.CollectedField, obj *VaultCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultCreditCard_expired(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Expired, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultCreditCard_expired(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultCreditCard_expiryMonth(ctx context.Context, field graphql.CollectedField, obj *VaultCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultCreditCard_expiryMonth(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiryMonth, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultCreditCard_expiryMonth(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultCreditCard_expiryYear(ctx context.Context, field graphql.CollectedField, obj *VaultCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultCreditCard_expiryYear(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ExpiryYear, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultCreditCard_expiryYear(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultCreditCard_lastDigits(ctx context.Context, field graphql.CollectedField, obj *VaultCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultCreditCard_lastDigits(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.LastDigits, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultCreditCard_lastDigits(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultCreditCard_name(ctx context.Context, field graphql.CollectedField, obj *VaultCreditCard) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultCreditCard_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultCreditCard_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultCreditCard",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultPaypalBillingAgreement_inactive(ctx context.Context, field graphql.CollectedField, obj *VaultPaypalBillingAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultPaypalBillingAgreement_inactive(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Inactive, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultPaypalBillingAgreement_inactive(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultPaypalBillingAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultPaypalBillingAgreement_name(ctx context.Context, field graphql.CollectedField, obj *VaultPaypalBillingAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultPaypalBillingAgreement_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultPaypalBillingAgreement_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultPaypalBillingAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VaultPaypalBillingAgreement_paypalAccountEmail(ctx context.Context, field graphql.CollectedField, obj *VaultPaypalBillingAgreement) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VaultPaypalBillingAgreement_paypalAccountEmail(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PaypalAccountEmail, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VaultPaypalBillingAgreement_paypalAccountEmail(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VaultPaypalBillingAgreement",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_alt(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_alt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Alt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_alt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_createdAt(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_createdAt(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.CreatedAt, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNDateTime2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_createdAt(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type DateTime does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_duration(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_duration(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Duration, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_duration(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_fileErrors(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_fileErrors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileErrors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*FileError)
	fc.Result = res
	return ec.marshalNFileError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileErrorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_fileErrors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_FileError_code(ctx, field)
			case "details":
				return ec.fieldContext_FileError_details(ctx, field)
			case "message":
				return ec.fieldContext_FileError_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type FileError", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_fileStatus(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_fileStatus(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileStatus, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(FileStatus)
	fc.Result = res
	return ec.marshalNFileStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_fileStatus(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type FileStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_filename(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_filename(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Filename, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_filename(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_id(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_id(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.ID, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNID2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_id(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type ID does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_mediaContentType(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_mediaContentType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MediaContentType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MediaContentType)
	fc.Result = res
	return ec.marshalNMediaContentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaContentType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_mediaContentType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaContentType does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_mediaErrors(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_mediaErrors(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MediaErrors, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MediaError)
	fc.Result = res
	return ec.marshalNMediaError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaErrorᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_mediaErrors(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_MediaError_code(ctx, field)
			case "details":
				return ec.fieldContext_MediaError_details(ctx, field)
			case "message":
				return ec.fieldContext_MediaError_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaError", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_mediaWarnings(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_mediaWarnings(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MediaWarnings, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*MediaWarning)
	fc.Result = res
	return ec.marshalNMediaWarning2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarningᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_mediaWarnings(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "code":
				return ec.fieldContext_MediaWarning_code(ctx, field)
			case "message":
				return ec.fieldContext_MediaWarning_message(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaWarning", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_originalSource(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_originalSource(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OriginalSource, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*VideoSource)
	fc.Result = res
	return ec.marshalOVideoSource2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐVideoSource(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_originalSource(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "fileSize":
				return ec.fieldContext_VideoSource_fileSize(ctx, field)
			case "format":
				return ec.fieldContext_VideoSource_format(ctx, field)
			case "height":
				return ec.fieldContext_VideoSource_height(ctx, field)
			case "mimeType":
				return ec.fieldContext_VideoSource_mimeType(ctx, field)
			case "url":
				return ec.fieldContext_VideoSource_url(ctx, field)
			case "width":
				return ec.fieldContext_VideoSource_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type VideoSource", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_preview(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_preview(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Preview, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*MediaPreviewImage)
	fc.Result = res
	return ec.marshalOMediaPreviewImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaPreviewImage(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_preview(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "image":
				return ec.fieldContext_MediaPreviewImage_image(ctx, field)
			case "status":
				return ec.fieldContext_MediaPreviewImage_status(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type MediaPreviewImage", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_sources(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_sources(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Sources, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]*VideoSource)
	fc.Result = res
	return ec.marshalNVideoSource2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐVideoSourceᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_sources(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "fileSize":
				return ec.fieldContext_VideoSource_fileSize(ctx, field)
			case "format":
				return ec.fieldContext_VideoSource_format(ctx, field)
			case "height":
				return ec.fieldContext_VideoSource_height(ctx, field)
			case "mimeType":
				return ec.fieldContext_VideoSource_mimeType(ctx, field)
			case "url":
				return ec.fieldContext_VideoSource_url(ctx, field)
			case "width":
				return ec.fieldContext_VideoSource_width(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type VideoSource", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) _Video_status(ctx context.Context, field graphql.CollectedField, obj *Video) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Video_status(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Status, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(MediaStatus)
	fc.Result = res
	return ec.marshalNMediaStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaStatus(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Video_status(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Video",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type MediaStatus does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VideoSource_fileSize(ctx context.Context, field graphql.CollectedField, obj *VideoSource) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VideoSource_fileSize(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.FileSize, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*int)
	fc.Result = res
	return ec.marshalOInt2ᚖint(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VideoSource_fileSize(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VideoSource",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VideoSource_format(ctx context.Context, field graphql.CollectedField, obj *VideoSource) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VideoSource_format(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Format, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VideoSource_format(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VideoSource",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VideoSource_height(ctx context.Context, field graphql.CollectedField, obj *VideoSource) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VideoSource_height(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Height, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VideoSource_height(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VideoSource",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VideoSource_mimeType(ctx context.Context, field graphql.CollectedField, obj *VideoSource) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VideoSource_mimeType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MimeType, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VideoSource_mimeType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VideoSource",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VideoSource_url(ctx context.Context, field graphql.CollectedField, obj *VideoSource) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VideoSource_url(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.URL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VideoSource_url(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VideoSource",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _VideoSource_width(ctx context.Context, field graphql.CollectedField, obj *VideoSource) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_VideoSource_width(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Width, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(int)
	fc.Result = res
	return ec.marshalNInt2int(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_VideoSource_width(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "VideoSource",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Int does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Weight_unit(ctx context.Context, field graphql.CollectedField, obj *Weight) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Weight_unit(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Unit, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(WeightUnit)
	fc.Result = res
	return ec.marshalNWeightUnit2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐWeightUnit(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Weight_unit(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Weight",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type WeightUnit does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) _Weight_value(ctx context.Context, field graphql.CollectedField, obj *Weight) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext_Weight_value(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Value, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(float64)
	fc.Result = res
	return ec.marshalNFloat2float64(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext_Weight_value(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "Weight",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Float does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) __Service_sdl(ctx context.Context, field graphql.CollectedField, obj *fedruntime.Service) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext__Service_sdl(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SDL, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalOString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext__Service_sdl(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "_Service",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Directive_name(ctx context.Context, field graphql.CollectedField, obj *introspection.Directive) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Directive_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Directive_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Directive",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Directive_description(ctx context.Context, field graphql.CollectedField, obj *introspection.Directive) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Directive_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Directive_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Directive",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Directive_locations(ctx context.Context, field graphql.CollectedField, obj *introspection.Directive) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Directive_locations(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Locations, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]string)
	fc.Result = res
	return ec.marshalN__DirectiveLocation2ᚕstringᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Directive_locations(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Directive",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type __DirectiveLocation does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Directive_args(ctx context.Context, field graphql.CollectedField, obj *introspection.Directive) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Directive_args(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Args, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]introspection.InputValue)
	fc.Result = res
	return ec.marshalN__InputValue2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValueᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Directive_args(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Directive",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext___InputValue_name(ctx, field)
			case "description":
				return ec.fieldContext___InputValue_description(ctx, field)
			case "type":
				return ec.fieldContext___InputValue_type(ctx, field)
			case "defaultValue":
				return ec.fieldContext___InputValue_defaultValue(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __InputValue", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Directive_isRepeatable(ctx context.Context, field graphql.CollectedField, obj *introspection.Directive) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Directive_isRepeatable(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsRepeatable, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Directive_isRepeatable(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Directive",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___EnumValue_name(ctx context.Context, field graphql.CollectedField, obj *introspection.EnumValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___EnumValue_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___EnumValue_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__EnumValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___EnumValue_description(ctx context.Context, field graphql.CollectedField, obj *introspection.EnumValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___EnumValue_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___EnumValue_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__EnumValue",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___EnumValue_isDeprecated(ctx context.Context, field graphql.CollectedField, obj *introspection.EnumValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___EnumValue_isDeprecated(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsDeprecated(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___EnumValue_isDeprecated(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__EnumValue",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___EnumValue_deprecationReason(ctx context.Context, field graphql.CollectedField, obj *introspection.EnumValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___EnumValue_deprecationReason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeprecationReason(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___EnumValue_deprecationReason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__EnumValue",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Field_name(ctx context.Context, field graphql.CollectedField, obj *introspection.Field) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Field_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Field_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Field",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Field_description(ctx context.Context, field graphql.CollectedField, obj *introspection.Field) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Field_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Field_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Field",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Field_args(ctx context.Context, field graphql.CollectedField, obj *introspection.Field) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Field_args(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Args, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]introspection.InputValue)
	fc.Result = res
	return ec.marshalN__InputValue2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValueᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Field_args(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Field",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext___InputValue_name(ctx, field)
			case "description":
				return ec.fieldContext___InputValue_description(ctx, field)
			case "type":
				return ec.fieldContext___InputValue_type(ctx, field)
			case "defaultValue":
				return ec.fieldContext___InputValue_defaultValue(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __InputValue", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Field_type(ctx context.Context, field graphql.CollectedField, obj *introspection.Field) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Field_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*introspection.Type)
	fc.Result = res
	return ec.marshalN__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Field_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Field",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Field_isDeprecated(ctx context.Context, field graphql.CollectedField, obj *introspection.Field) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Field_isDeprecated(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.IsDeprecated(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(bool)
	fc.Result = res
	return ec.marshalNBoolean2bool(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Field_isDeprecated(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Field",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type Boolean does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Field_deprecationReason(ctx context.Context, field graphql.CollectedField, obj *introspection.Field) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Field_deprecationReason(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DeprecationReason(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Field_deprecationReason(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Field",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___InputValue_name(ctx context.Context, field graphql.CollectedField, obj *introspection.InputValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___InputValue_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalNString2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___InputValue_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__InputValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___InputValue_description(ctx context.Context, field graphql.CollectedField, obj *introspection.InputValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___InputValue_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___InputValue_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__InputValue",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___InputValue_type(ctx context.Context, field graphql.CollectedField, obj *introspection.InputValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___InputValue_type(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Type, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*introspection.Type)
	fc.Result = res
	return ec.marshalN__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___InputValue_type(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__InputValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___InputValue_defaultValue(ctx context.Context, field graphql.CollectedField, obj *introspection.InputValue) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___InputValue_defaultValue(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.DefaultValue, nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___InputValue_defaultValue(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__InputValue",
		Field:      field,
		IsMethod:   false,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Schema_description(ctx context.Context, field graphql.CollectedField, obj *introspection.Schema) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Schema_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Schema_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Schema",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Schema_types(ctx context.Context, field graphql.CollectedField, obj *introspection.Schema) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Schema_types(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Types(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]introspection.Type)
	fc.Result = res
	return ec.marshalN__Type2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐTypeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Schema_types(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Schema",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Schema_queryType(ctx context.Context, field graphql.CollectedField, obj *introspection.Schema) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Schema_queryType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.QueryType(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(*introspection.Type)
	fc.Result = res
	return ec.marshalN__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Schema_queryType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Schema",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Schema_mutationType(ctx context.Context, field graphql.CollectedField, obj *introspection.Schema) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Schema_mutationType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.MutationType(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*introspection.Type)
	fc.Result = res
	return ec.marshalO__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Schema_mutationType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Schema",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Schema_subscriptionType(ctx context.Context, field graphql.CollectedField, obj *introspection.Schema) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Schema_subscriptionType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SubscriptionType(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*introspection.Type)
	fc.Result = res
	return ec.marshalO__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Schema_subscriptionType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Schema",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Schema_directives(ctx context.Context, field graphql.CollectedField, obj *introspection.Schema) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Schema_directives(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Directives(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.([]introspection.Directive)
	fc.Result = res
	return ec.marshalN__Directive2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐDirectiveᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Schema_directives(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Schema",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext___Directive_name(ctx, field)
			case "description":
				return ec.fieldContext___Directive_description(ctx, field)
			case "locations":
				return ec.fieldContext___Directive_locations(ctx, field)
			case "args":
				return ec.fieldContext___Directive_args(ctx, field)
			case "isRepeatable":
				return ec.fieldContext___Directive_isRepeatable(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Directive", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_kind(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_kind(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Kind(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		if !graphql.HasFieldError(ctx, fc) {
			ec.Errorf(ctx, "must not be null")
		}
		return graphql.Null
	}
	res := resTmp.(string)
	fc.Result = res
	return ec.marshalN__TypeKind2string(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_kind(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type __TypeKind does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_name(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_name(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Name(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_name(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_description(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_description(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Description(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_description(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_fields(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_fields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Fields(fc.Args["includeDeprecated"].(bool)), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]introspection.Field)
	fc.Result = res
	return ec.marshalO__Field2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐFieldᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_fields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext___Field_name(ctx, field)
			case "description":
				return ec.fieldContext___Field_description(ctx, field)
			case "args":
				return ec.fieldContext___Field_args(ctx, field)
			case "type":
				return ec.fieldContext___Field_type(ctx, field)
			case "isDeprecated":
				return ec.fieldContext___Field_isDeprecated(ctx, field)
			case "deprecationReason":
				return ec.fieldContext___Field_deprecationReason(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Field", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field___Type_fields_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) ___Type_interfaces(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_interfaces(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.Interfaces(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]introspection.Type)
	fc.Result = res
	return ec.marshalO__Type2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐTypeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_interfaces(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_possibleTypes(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_possibleTypes(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.PossibleTypes(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]introspection.Type)
	fc.Result = res
	return ec.marshalO__Type2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐTypeᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_possibleTypes(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_enumValues(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_enumValues(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.EnumValues(fc.Args["includeDeprecated"].(bool)), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]introspection.EnumValue)
	fc.Result = res
	return ec.marshalO__EnumValue2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐEnumValueᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_enumValues(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext___EnumValue_name(ctx, field)
			case "description":
				return ec.fieldContext___EnumValue_description(ctx, field)
			case "isDeprecated":
				return ec.fieldContext___EnumValue_isDeprecated(ctx, field)
			case "deprecationReason":
				return ec.fieldContext___EnumValue_deprecationReason(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __EnumValue", field.Name)
		},
	}
	defer func() {
		if r := recover(); r != nil {
			err = ec.Recover(ctx, r)
			ec.Error(ctx, err)
		}
	}()
	ctx = graphql.WithFieldContext(ctx, fc)
	if fc.Args, err = ec.field___Type_enumValues_args(ctx, field.ArgumentMap(ec.Variables)); err != nil {
		ec.Error(ctx, err)
		return
	}
	return fc, nil
}

func (ec *executionContext) ___Type_inputFields(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_inputFields(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.InputFields(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.([]introspection.InputValue)
	fc.Result = res
	return ec.marshalO__InputValue2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValueᚄ(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_inputFields(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "name":
				return ec.fieldContext___InputValue_name(ctx, field)
			case "description":
				return ec.fieldContext___InputValue_description(ctx, field)
			case "type":
				return ec.fieldContext___InputValue_type(ctx, field)
			case "defaultValue":
				return ec.fieldContext___InputValue_defaultValue(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __InputValue", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_ofType(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_ofType(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.OfType(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*introspection.Type)
	fc.Result = res
	return ec.marshalO__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_ofType(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			switch field.Name {
			case "kind":
				return ec.fieldContext___Type_kind(ctx, field)
			case "name":
				return ec.fieldContext___Type_name(ctx, field)
			case "description":
				return ec.fieldContext___Type_description(ctx, field)
			case "fields":
				return ec.fieldContext___Type_fields(ctx, field)
			case "interfaces":
				return ec.fieldContext___Type_interfaces(ctx, field)
			case "possibleTypes":
				return ec.fieldContext___Type_possibleTypes(ctx, field)
			case "enumValues":
				return ec.fieldContext___Type_enumValues(ctx, field)
			case "inputFields":
				return ec.fieldContext___Type_inputFields(ctx, field)
			case "ofType":
				return ec.fieldContext___Type_ofType(ctx, field)
			case "specifiedByURL":
				return ec.fieldContext___Type_specifiedByURL(ctx, field)
			}
			return nil, fmt.Errorf("no field named %q was found under type __Type", field.Name)
		},
	}
	return fc, nil
}

func (ec *executionContext) ___Type_specifiedByURL(ctx context.Context, field graphql.CollectedField, obj *introspection.Type) (ret graphql.Marshaler) {
	fc, err := ec.fieldContext___Type_specifiedByURL(ctx, field)
	if err != nil {
		return graphql.Null
	}
	ctx = graphql.WithFieldContext(ctx, fc)
	defer func() {
		if r := recover(); r != nil {
			ec.Error(ctx, ec.Recover(ctx, r))
			ret = graphql.Null
		}
	}()
	resTmp, err := ec.ResolverMiddleware(ctx, func(rctx context.Context) (interface{}, error) {
		ctx = rctx // use context from middleware stack in children
		return obj.SpecifiedByURL(), nil
	})
	if err != nil {
		ec.Error(ctx, err)
		return graphql.Null
	}
	if resTmp == nil {
		return graphql.Null
	}
	res := resTmp.(*string)
	fc.Result = res
	return ec.marshalOString2ᚖstring(ctx, field.Selections, res)
}

func (ec *executionContext) fieldContext___Type_specifiedByURL(ctx context.Context, field graphql.CollectedField) (fc *graphql.FieldContext, err error) {
	fc = &graphql.FieldContext{
		Object:     "__Type",
		Field:      field,
		IsMethod:   true,
		IsResolver: false,
		Child: func(ctx context.Context, field graphql.CollectedField) (*graphql.FieldContext, error) {
			return nil, errors.New("field of type String does not have child fields")
		},
	}
	return fc, nil
}

// endregion **************************** field.gotpl *****************************

// region    **************************** input.gotpl *****************************

func (ec *executionContext) unmarshalInputContextualPricingContext(ctx context.Context, obj interface{}) (ContextualPricingContext, error) {
	var it ContextualPricingContext
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"country", "companyLocationId"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "country":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("country"))
			it.Country, err = ec.unmarshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, v)
			if err != nil {
				return it, err
			}
		case "companyLocationId":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("companyLocationId"))
			it.CompanyLocationID, err = ec.unmarshalOID2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputImageTransformInput(ctx context.Context, obj interface{}) (ImageTransformInput, error) {
	var it ImageTransformInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	if _, present := asMap["scale"]; !present {
		asMap["scale"] = 1
	}

	fieldsInOrder := [...]string{"crop", "maxWidth", "maxHeight", "scale", "preferredContentType"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "crop":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("crop"))
			it.Crop, err = ec.unmarshalOCropRegion2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCropRegion(ctx, v)
			if err != nil {
				return it, err
			}
		case "maxWidth":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("maxWidth"))
			it.MaxWidth, err = ec.unmarshalOInt2ᚖint(ctx, v)
			if err != nil {
				return it, err
			}
		case "maxHeight":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("maxHeight"))
			it.MaxHeight, err = ec.unmarshalOInt2ᚖint(ctx, v)
			if err != nil {
				return it, err
			}
		case "scale":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("scale"))
			it.Scale, err = ec.unmarshalOInt2ᚖint(ctx, v)
			if err != nil {
				return it, err
			}
		case "preferredContentType":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("preferredContentType"))
			it.PreferredContentType, err = ec.unmarshalOImageContentType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageContentType(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputMailingAddressInput(ctx context.Context, obj interface{}) (MailingAddressInput, error) {
	var it MailingAddressInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"address1", "address2", "city", "company", "countryCode", "firstName", "lastName", "phone", "provinceCode", "zip"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "address1":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("address1"))
			it.Address1, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "address2":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("address2"))
			it.Address2, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "city":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("city"))
			it.City, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "company":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("company"))
			it.Company, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "countryCode":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("countryCode"))
			it.CountryCode, err = ec.unmarshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, v)
			if err != nil {
				return it, err
			}
		case "firstName":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("firstName"))
			it.FirstName, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "lastName":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("lastName"))
			it.LastName, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "phone":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("phone"))
			it.Phone, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "provinceCode":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("provinceCode"))
			it.ProvinceCode, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "zip":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("zip"))
			it.Zip, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputMetafieldInput(ctx context.Context, obj interface{}) (MetafieldInput, error) {
	var it MetafieldInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"description", "id", "namespace", "key", "value", "type"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "description":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("description"))
			it.Description, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "id":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("id"))
			it.ID, err = ec.unmarshalOID2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "namespace":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
			it.Namespace, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "key":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
			it.Key, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "value":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("value"))
			it.Value, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "type":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("type"))
			it.Type, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputPrivateMetafieldInput(ctx context.Context, obj interface{}) (PrivateMetafieldInput, error) {
	var it PrivateMetafieldInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"owner", "namespace", "key", "valueInput"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "owner":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("owner"))
			it.Owner, err = ec.unmarshalOID2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "namespace":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("namespace"))
			it.Namespace, err = ec.unmarshalNString2string(ctx, v)
			if err != nil {
				return it, err
			}
		case "key":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("key"))
			it.Key, err = ec.unmarshalNString2string(ctx, v)
			if err != nil {
				return it, err
			}
		case "valueInput":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("valueInput"))
			it.ValueInput, err = ec.unmarshalNPrivateMetafieldValueInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldValueInput(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputPrivateMetafieldValueInput(ctx context.Context, obj interface{}) (PrivateMetafieldValueInput, error) {
	var it PrivateMetafieldValueInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"value", "valueType"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "value":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("value"))
			it.Value, err = ec.unmarshalNString2string(ctx, v)
			if err != nil {
				return it, err
			}
		case "valueType":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("valueType"))
			it.ValueType, err = ec.unmarshalNPrivateMetafieldValueType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldValueType(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputRefundDutyInput(ctx context.Context, obj interface{}) (RefundDutyInput, error) {
	var it RefundDutyInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"dutyId", "refundType"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "dutyId":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("dutyId"))
			it.DutyID, err = ec.unmarshalNID2string(ctx, v)
			if err != nil {
				return it, err
			}
		case "refundType":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("refundType"))
			it.RefundType, err = ec.unmarshalORefundDutyRefundType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyRefundType(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputRefundLineItemInput(ctx context.Context, obj interface{}) (RefundLineItemInput, error) {
	var it RefundLineItemInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"lineItemId", "quantity", "restockType", "locationId"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "lineItemId":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("lineItemId"))
			it.LineItemID, err = ec.unmarshalNID2string(ctx, v)
			if err != nil {
				return it, err
			}
		case "quantity":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("quantity"))
			it.Quantity, err = ec.unmarshalNInt2int(ctx, v)
			if err != nil {
				return it, err
			}
		case "restockType":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("restockType"))
			it.RestockType, err = ec.unmarshalORefundLineItemRestockType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemRestockType(ctx, v)
			if err != nil {
				return it, err
			}
		case "locationId":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("locationId"))
			it.LocationID, err = ec.unmarshalOID2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

func (ec *executionContext) unmarshalInputSEOInput(ctx context.Context, obj interface{}) (SEOInput, error) {
	var it SEOInput
	asMap := map[string]interface{}{}
	for k, v := range obj.(map[string]interface{}) {
		asMap[k] = v
	}

	fieldsInOrder := [...]string{"title", "description"}
	for _, k := range fieldsInOrder {
		v, ok := asMap[k]
		if !ok {
			continue
		}
		switch k {
		case "title":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("title"))
			it.Title, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		case "description":
			var err error

			ctx := graphql.WithPathContext(ctx, graphql.NewPathWithField("description"))
			it.Description, err = ec.unmarshalOString2ᚖstring(ctx, v)
			if err != nil {
				return it, err
			}
		}
	}

	return it, nil
}

// endregion **************************** input.gotpl *****************************

// region    ************************** interface.gotpl ***************************

func (ec *executionContext) _AppPricingDetails(ctx context.Context, sel ast.SelectionSet, obj AppPricingDetails) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case AppRecurringPricing:
		return ec._AppRecurringPricing(ctx, sel, &obj)
	case *AppRecurringPricing:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppRecurringPricing(ctx, sel, obj)
	case AppUsagePricing:
		return ec._AppUsagePricing(ctx, sel, &obj)
	case *AppUsagePricing:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppUsagePricing(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _AppPurchase(ctx context.Context, sel ast.SelectionSet, obj AppPurchase) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case AppPurchaseOneTime:
		return ec._AppPurchaseOneTime(ctx, sel, &obj)
	case *AppPurchaseOneTime:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppPurchaseOneTime(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _AppSubscriptionDiscountValue(ctx context.Context, sel ast.SelectionSet, obj AppSubscriptionDiscountValue) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case AppSubscriptionDiscountAmount:
		return ec._AppSubscriptionDiscountAmount(ctx, sel, &obj)
	case *AppSubscriptionDiscountAmount:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppSubscriptionDiscountAmount(ctx, sel, obj)
	case AppSubscriptionDiscountPercentage:
		return ec._AppSubscriptionDiscountPercentage(ctx, sel, &obj)
	case *AppSubscriptionDiscountPercentage:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppSubscriptionDiscountPercentage(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _CommentEventEmbed(ctx context.Context, sel ast.SelectionSet, obj CommentEventEmbed) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Customer:
		return ec._Customer(ctx, sel, &obj)
	case *Customer:
		if obj == nil {
			return graphql.Null
		}
		return ec._Customer(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case Product:
		return ec._Product(ctx, sel, &obj)
	case *Product:
		if obj == nil {
			return graphql.Null
		}
		return ec._Product(ctx, sel, obj)
	case ProductVariant:
		return ec._ProductVariant(ctx, sel, &obj)
	case *ProductVariant:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductVariant(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _CommentEventSubject(ctx context.Context, sel ast.SelectionSet, obj CommentEventSubject) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case Company:
		return ec._Company(ctx, sel, &obj)
	case *Company:
		if obj == nil {
			return graphql.Null
		}
		return ec._Company(ctx, sel, obj)
	case CompanyLocation:
		return ec._CompanyLocation(ctx, sel, &obj)
	case *CompanyLocation:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyLocation(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _CustomerMoment(ctx context.Context, sel ast.SelectionSet, obj CustomerMoment) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case CustomerVisit:
		return ec._CustomerVisit(ctx, sel, &obj)
	case *CustomerVisit:
		if obj == nil {
			return graphql.Null
		}
		return ec._CustomerVisit(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _CustomerPaymentInstrument(ctx context.Context, sel ast.SelectionSet, obj CustomerPaymentInstrument) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case CustomerCreditCard:
		return ec._CustomerCreditCard(ctx, sel, &obj)
	case *CustomerCreditCard:
		if obj == nil {
			return graphql.Null
		}
		return ec._CustomerCreditCard(ctx, sel, obj)
	case CustomerPaypalBillingAgreement:
		return ec._CustomerPaypalBillingAgreement(ctx, sel, &obj)
	case *CustomerPaypalBillingAgreement:
		if obj == nil {
			return graphql.Null
		}
		return ec._CustomerPaypalBillingAgreement(ctx, sel, obj)
	case CustomerShopPayAgreement:
		return ec._CustomerShopPayAgreement(ctx, sel, &obj)
	case *CustomerShopPayAgreement:
		if obj == nil {
			return graphql.Null
		}
		return ec._CustomerShopPayAgreement(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _DeliveryConditionCriteria(ctx context.Context, sel ast.SelectionSet, obj DeliveryConditionCriteria) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case MoneyV2:
		return ec._MoneyV2(ctx, sel, &obj)
	case *MoneyV2:
		if obj == nil {
			return graphql.Null
		}
		return ec._MoneyV2(ctx, sel, obj)
	case Weight:
		return ec._Weight(ctx, sel, &obj)
	case *Weight:
		if obj == nil {
			return graphql.Null
		}
		return ec._Weight(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _DeliveryRateProvider(ctx context.Context, sel ast.SelectionSet, obj DeliveryRateProvider) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case DeliveryParticipant:
		return ec._DeliveryParticipant(ctx, sel, &obj)
	case *DeliveryParticipant:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryParticipant(ctx, sel, obj)
	case DeliveryRateDefinition:
		return ec._DeliveryRateDefinition(ctx, sel, &obj)
	case *DeliveryRateDefinition:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryRateDefinition(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _DiscountApplication(ctx context.Context, sel ast.SelectionSet, obj DiscountApplication) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case AutomaticDiscountApplication:
		return ec._AutomaticDiscountApplication(ctx, sel, &obj)
	case *AutomaticDiscountApplication:
		if obj == nil {
			return graphql.Null
		}
		return ec._AutomaticDiscountApplication(ctx, sel, obj)
	case DiscountCodeApplication:
		return ec._DiscountCodeApplication(ctx, sel, &obj)
	case *DiscountCodeApplication:
		if obj == nil {
			return graphql.Null
		}
		return ec._DiscountCodeApplication(ctx, sel, obj)
	case ManualDiscountApplication:
		return ec._ManualDiscountApplication(ctx, sel, &obj)
	case *ManualDiscountApplication:
		if obj == nil {
			return graphql.Null
		}
		return ec._ManualDiscountApplication(ctx, sel, obj)
	case ScriptDiscountApplication:
		return ec._ScriptDiscountApplication(ctx, sel, &obj)
	case *ScriptDiscountApplication:
		if obj == nil {
			return graphql.Null
		}
		return ec._ScriptDiscountApplication(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _DisplayableError(ctx context.Context, sel ast.SelectionSet, obj DisplayableError) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case UserError:
		return ec._UserError(ctx, sel, &obj)
	case *UserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._UserError(ctx, sel, obj)
	case MediaUserError:
		return ec._MediaUserError(ctx, sel, &obj)
	case *MediaUserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._MediaUserError(ctx, sel, obj)
	case ProductChangeStatusUserError:
		return ec._ProductChangeStatusUserError(ctx, sel, &obj)
	case *ProductChangeStatusUserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductChangeStatusUserError(ctx, sel, obj)
	case SellingPlanGroupUserError:
		return ec._SellingPlanGroupUserError(ctx, sel, &obj)
	case *SellingPlanGroupUserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanGroupUserError(ctx, sel, obj)
	case ProductVariantsBulkCreateUserError:
		return ec._ProductVariantsBulkCreateUserError(ctx, sel, &obj)
	case *ProductVariantsBulkCreateUserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductVariantsBulkCreateUserError(ctx, sel, obj)
	case ProductVariantsBulkDeleteUserError:
		return ec._ProductVariantsBulkDeleteUserError(ctx, sel, &obj)
	case *ProductVariantsBulkDeleteUserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductVariantsBulkDeleteUserError(ctx, sel, obj)
	case ProductVariantsBulkReorderUserError:
		return ec._ProductVariantsBulkReorderUserError(ctx, sel, &obj)
	case *ProductVariantsBulkReorderUserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductVariantsBulkReorderUserError(ctx, sel, obj)
	case ProductVariantsBulkUpdateUserError:
		return ec._ProductVariantsBulkUpdateUserError(ctx, sel, &obj)
	case *ProductVariantsBulkUpdateUserError:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductVariantsBulkUpdateUserError(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _Event(ctx context.Context, sel ast.SelectionSet, obj Event) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case CommentEvent:
		return ec._CommentEvent(ctx, sel, &obj)
	case *CommentEvent:
		if obj == nil {
			return graphql.Null
		}
		return ec._CommentEvent(ctx, sel, obj)
	case BasicEvent:
		return ec._BasicEvent(ctx, sel, &obj)
	case *BasicEvent:
		if obj == nil {
			return graphql.Null
		}
		return ec._BasicEvent(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _File(ctx context.Context, sel ast.SelectionSet, obj File) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case GenericFile:
		return ec._GenericFile(ctx, sel, &obj)
	case *GenericFile:
		if obj == nil {
			return graphql.Null
		}
		return ec._GenericFile(ctx, sel, obj)
	case MediaImage:
		return ec._MediaImage(ctx, sel, &obj)
	case *MediaImage:
		if obj == nil {
			return graphql.Null
		}
		return ec._MediaImage(ctx, sel, obj)
	case Video:
		return ec._Video(ctx, sel, &obj)
	case *Video:
		if obj == nil {
			return graphql.Null
		}
		return ec._Video(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _HasEvents(ctx context.Context, sel ast.SelectionSet, obj HasEvents) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case Company:
		return ec._Company(ctx, sel, &obj)
	case *Company:
		if obj == nil {
			return graphql.Null
		}
		return ec._Company(ctx, sel, obj)
	case CompanyLocation:
		return ec._CompanyLocation(ctx, sel, &obj)
	case *CompanyLocation:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyLocation(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _HasLocalizationExtensions(ctx context.Context, sel ast.SelectionSet, obj HasLocalizationExtensions) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _HasMetafieldDefinitions(ctx context.Context, sel ast.SelectionSet, obj HasMetafieldDefinitions) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case Location:
		return ec._Location(ctx, sel, &obj)
	case *Location:
		if obj == nil {
			return graphql.Null
		}
		return ec._Location(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _HasMetafields(ctx context.Context, sel ast.SelectionSet, obj HasMetafields) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case AppInstallation:
		return ec._AppInstallation(ctx, sel, &obj)
	case *AppInstallation:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppInstallation(ctx, sel, obj)
	case Location:
		return ec._Location(ctx, sel, &obj)
	case *Location:
		if obj == nil {
			return graphql.Null
		}
		return ec._Location(ctx, sel, obj)
	case Image:
		return ec._Image(ctx, sel, &obj)
	case *Image:
		if obj == nil {
			return graphql.Null
		}
		return ec._Image(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _HasPublishedTranslations(ctx context.Context, sel ast.SelectionSet, obj HasPublishedTranslations) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Link:
		return ec._Link(ctx, sel, &obj)
	case *Link:
		if obj == nil {
			return graphql.Null
		}
		return ec._Link(ctx, sel, obj)
	case OnlineStorePage:
		return ec._OnlineStorePage(ctx, sel, &obj)
	case *OnlineStorePage:
		if obj == nil {
			return graphql.Null
		}
		return ec._OnlineStorePage(ctx, sel, obj)
	case ShopPolicy:
		return ec._ShopPolicy(ctx, sel, &obj)
	case *ShopPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._ShopPolicy(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _LegacyInteroperability(ctx context.Context, sel ast.SelectionSet, obj LegacyInteroperability) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case Fulfillment:
		return ec._Fulfillment(ctx, sel, &obj)
	case *Fulfillment:
		if obj == nil {
			return graphql.Null
		}
		return ec._Fulfillment(ctx, sel, obj)
	case InventoryItem:
		return ec._InventoryItem(ctx, sel, &obj)
	case *InventoryItem:
		if obj == nil {
			return graphql.Null
		}
		return ec._InventoryItem(ctx, sel, obj)
	case Location:
		return ec._Location(ctx, sel, &obj)
	case *Location:
		if obj == nil {
			return graphql.Null
		}
		return ec._Location(ctx, sel, obj)
	case MarketingEvent:
		return ec._MarketingEvent(ctx, sel, &obj)
	case *MarketingEvent:
		if obj == nil {
			return graphql.Null
		}
		return ec._MarketingEvent(ctx, sel, obj)
	case Metafield:
		return ec._Metafield(ctx, sel, &obj)
	case *Metafield:
		if obj == nil {
			return graphql.Null
		}
		return ec._Metafield(ctx, sel, obj)
	case Refund:
		return ec._Refund(ctx, sel, &obj)
	case *Refund:
		if obj == nil {
			return graphql.Null
		}
		return ec._Refund(ctx, sel, obj)
	case SavedSearch:
		return ec._SavedSearch(ctx, sel, &obj)
	case *SavedSearch:
		if obj == nil {
			return graphql.Null
		}
		return ec._SavedSearch(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _MarketRegion(ctx context.Context, sel ast.SelectionSet, obj MarketRegion) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _Media(ctx context.Context, sel ast.SelectionSet, obj Media) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case MediaImage:
		return ec._MediaImage(ctx, sel, &obj)
	case *MediaImage:
		if obj == nil {
			return graphql.Null
		}
		return ec._MediaImage(ctx, sel, obj)
	case Video:
		return ec._Video(ctx, sel, &obj)
	case *Video:
		if obj == nil {
			return graphql.Null
		}
		return ec._Video(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _MetafieldReference(ctx context.Context, sel ast.SelectionSet, obj MetafieldReference) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Collection:
		return ec._Collection(ctx, sel, &obj)
	case *Collection:
		if obj == nil {
			return graphql.Null
		}
		return ec._Collection(ctx, sel, obj)
	case GenericFile:
		return ec._GenericFile(ctx, sel, &obj)
	case *GenericFile:
		if obj == nil {
			return graphql.Null
		}
		return ec._GenericFile(ctx, sel, obj)
	case MediaImage:
		return ec._MediaImage(ctx, sel, &obj)
	case *MediaImage:
		if obj == nil {
			return graphql.Null
		}
		return ec._MediaImage(ctx, sel, obj)
	case OnlineStorePage:
		return ec._OnlineStorePage(ctx, sel, &obj)
	case *OnlineStorePage:
		if obj == nil {
			return graphql.Null
		}
		return ec._OnlineStorePage(ctx, sel, obj)
	case Product:
		return ec._Product(ctx, sel, &obj)
	case *Product:
		if obj == nil {
			return graphql.Null
		}
		return ec._Product(ctx, sel, obj)
	case ProductVariant:
		return ec._ProductVariant(ctx, sel, &obj)
	case *ProductVariant:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductVariant(ctx, sel, obj)
	case Video:
		return ec._Video(ctx, sel, &obj)
	case *Video:
		if obj == nil {
			return graphql.Null
		}
		return ec._Video(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _Navigable(ctx context.Context, sel ast.SelectionSet, obj Navigable) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case OnlineStorePage:
		return ec._OnlineStorePage(ctx, sel, &obj)
	case *OnlineStorePage:
		if obj == nil {
			return graphql.Null
		}
		return ec._OnlineStorePage(ctx, sel, obj)
	case Company:
		return ec._Company(ctx, sel, &obj)
	case *Company:
		if obj == nil {
			return graphql.Null
		}
		return ec._Company(ctx, sel, obj)
	case CompanyLocation:
		return ec._CompanyLocation(ctx, sel, &obj)
	case *CompanyLocation:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyLocation(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _Node(ctx context.Context, sel ast.SelectionSet, obj Node) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case AppInstallation:
		return ec._AppInstallation(ctx, sel, &obj)
	case *AppInstallation:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppInstallation(ctx, sel, obj)
	case AppSubscription:
		return ec._AppSubscription(ctx, sel, &obj)
	case *AppSubscription:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppSubscription(ctx, sel, obj)
	case Publication:
		return ec._Publication(ctx, sel, &obj)
	case *Publication:
		if obj == nil {
			return graphql.Null
		}
		return ec._Publication(ctx, sel, obj)
	case AppCredit:
		return ec._AppCredit(ctx, sel, &obj)
	case *AppCredit:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppCredit(ctx, sel, obj)
	case AppPurchaseOneTime:
		return ec._AppPurchaseOneTime(ctx, sel, &obj)
	case *AppPurchaseOneTime:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppPurchaseOneTime(ctx, sel, obj)
	case AppRevenueAttributionRecord:
		return ec._AppRevenueAttributionRecord(ctx, sel, &obj)
	case *AppRevenueAttributionRecord:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppRevenueAttributionRecord(ctx, sel, obj)
	case AppUsageRecord:
		return ec._AppUsageRecord(ctx, sel, &obj)
	case *AppUsageRecord:
		if obj == nil {
			return graphql.Null
		}
		return ec._AppUsageRecord(ctx, sel, obj)
	case SubscriptionContract:
		return ec._SubscriptionContract(ctx, sel, &obj)
	case *SubscriptionContract:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionContract(ctx, sel, obj)
	case Domain:
		return ec._Domain(ctx, sel, &obj)
	case *Domain:
		if obj == nil {
			return graphql.Null
		}
		return ec._Domain(ctx, sel, obj)
	case OnlineStorePage:
		return ec._OnlineStorePage(ctx, sel, &obj)
	case *OnlineStorePage:
		if obj == nil {
			return graphql.Null
		}
		return ec._OnlineStorePage(ctx, sel, obj)
	case ChannelInformation:
		return ec._ChannelInformation(ctx, sel, &obj)
	case *ChannelInformation:
		if obj == nil {
			return graphql.Null
		}
		return ec._ChannelInformation(ctx, sel, obj)
	case ChannelDefinition:
		return ec._ChannelDefinition(ctx, sel, &obj)
	case *ChannelDefinition:
		if obj == nil {
			return graphql.Null
		}
		return ec._ChannelDefinition(ctx, sel, obj)
	case CommentEvent:
		return ec._CommentEvent(ctx, sel, &obj)
	case *CommentEvent:
		if obj == nil {
			return graphql.Null
		}
		return ec._CommentEvent(ctx, sel, obj)
	case Company:
		return ec._Company(ctx, sel, &obj)
	case *Company:
		if obj == nil {
			return graphql.Null
		}
		return ec._Company(ctx, sel, obj)
	case CompanyContact:
		return ec._CompanyContact(ctx, sel, &obj)
	case *CompanyContact:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyContact(ctx, sel, obj)
	case CompanyContactRole:
		return ec._CompanyContactRole(ctx, sel, &obj)
	case *CompanyContactRole:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyContactRole(ctx, sel, obj)
	case CompanyContactRoleAssignment:
		return ec._CompanyContactRoleAssignment(ctx, sel, &obj)
	case *CompanyContactRoleAssignment:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyContactRoleAssignment(ctx, sel, obj)
	case CompanyLocation:
		return ec._CompanyLocation(ctx, sel, &obj)
	case *CompanyLocation:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyLocation(ctx, sel, obj)
	case CompanyAddress:
		return ec._CompanyAddress(ctx, sel, &obj)
	case *CompanyAddress:
		if obj == nil {
			return graphql.Null
		}
		return ec._CompanyAddress(ctx, sel, obj)
	case StaffMember:
		return ec._StaffMember(ctx, sel, &obj)
	case *StaffMember:
		if obj == nil {
			return graphql.Null
		}
		return ec._StaffMember(ctx, sel, obj)
	case CustomerVisit:
		return ec._CustomerVisit(ctx, sel, &obj)
	case *CustomerVisit:
		if obj == nil {
			return graphql.Null
		}
		return ec._CustomerVisit(ctx, sel, obj)
	case CustomerPaymentMethod:
		return ec._CustomerPaymentMethod(ctx, sel, &obj)
	case *CustomerPaymentMethod:
		if obj == nil {
			return graphql.Null
		}
		return ec._CustomerPaymentMethod(ctx, sel, obj)
	case DeliveryParticipant:
		return ec._DeliveryParticipant(ctx, sel, &obj)
	case *DeliveryParticipant:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryParticipant(ctx, sel, obj)
	case DeliveryProfile:
		return ec._DeliveryProfile(ctx, sel, &obj)
	case *DeliveryProfile:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryProfile(ctx, sel, obj)
	case DeliveryProfileItem:
		return ec._DeliveryProfileItem(ctx, sel, &obj)
	case *DeliveryProfileItem:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryProfileItem(ctx, sel, obj)
	case DeliveryLocationGroup:
		return ec._DeliveryLocationGroup(ctx, sel, &obj)
	case *DeliveryLocationGroup:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryLocationGroup(ctx, sel, obj)
	case DeliveryZone:
		return ec._DeliveryZone(ctx, sel, &obj)
	case *DeliveryZone:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryZone(ctx, sel, obj)
	case DeliveryCountry:
		return ec._DeliveryCountry(ctx, sel, &obj)
	case *DeliveryCountry:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryCountry(ctx, sel, obj)
	case DeliveryProvince:
		return ec._DeliveryProvince(ctx, sel, &obj)
	case *DeliveryProvince:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryProvince(ctx, sel, obj)
	case DeliveryMethodDefinition:
		return ec._DeliveryMethodDefinition(ctx, sel, &obj)
	case *DeliveryMethodDefinition:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryMethodDefinition(ctx, sel, obj)
	case DeliveryCondition:
		return ec._DeliveryCondition(ctx, sel, &obj)
	case *DeliveryCondition:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryCondition(ctx, sel, obj)
	case DeliveryMethod:
		return ec._DeliveryMethod(ctx, sel, &obj)
	case *DeliveryMethod:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryMethod(ctx, sel, obj)
	case DeliveryRateDefinition:
		return ec._DeliveryRateDefinition(ctx, sel, &obj)
	case *DeliveryRateDefinition:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryRateDefinition(ctx, sel, obj)
	case DeliveryCarrierService:
		return ec._DeliveryCarrierService(ctx, sel, &obj)
	case *DeliveryCarrierService:
		if obj == nil {
			return graphql.Null
		}
		return ec._DeliveryCarrierService(ctx, sel, obj)
	case BasicEvent:
		return ec._BasicEvent(ctx, sel, &obj)
	case *BasicEvent:
		if obj == nil {
			return graphql.Null
		}
		return ec._BasicEvent(ctx, sel, obj)
	case Fulfillment:
		return ec._Fulfillment(ctx, sel, &obj)
	case *Fulfillment:
		if obj == nil {
			return graphql.Null
		}
		return ec._Fulfillment(ctx, sel, obj)
	case FulfillmentOrder:
		return ec._FulfillmentOrder(ctx, sel, &obj)
	case *FulfillmentOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._FulfillmentOrder(ctx, sel, obj)
	case InventoryItem:
		return ec._InventoryItem(ctx, sel, &obj)
	case *InventoryItem:
		if obj == nil {
			return graphql.Null
		}
		return ec._InventoryItem(ctx, sel, obj)
	case FulfillmentOrderDestination:
		return ec._FulfillmentOrderDestination(ctx, sel, &obj)
	case *FulfillmentOrderDestination:
		if obj == nil {
			return graphql.Null
		}
		return ec._FulfillmentOrderDestination(ctx, sel, obj)
	case FulfillmentEvent:
		return ec._FulfillmentEvent(ctx, sel, &obj)
	case *FulfillmentEvent:
		if obj == nil {
			return graphql.Null
		}
		return ec._FulfillmentEvent(ctx, sel, obj)
	case FulfillmentLineItem:
		return ec._FulfillmentLineItem(ctx, sel, &obj)
	case *FulfillmentLineItem:
		if obj == nil {
			return graphql.Null
		}
		return ec._FulfillmentLineItem(ctx, sel, obj)
	case FulfillmentOrderLineItem:
		return ec._FulfillmentOrderLineItem(ctx, sel, &obj)
	case *FulfillmentOrderLineItem:
		if obj == nil {
			return graphql.Null
		}
		return ec._FulfillmentOrderLineItem(ctx, sel, obj)
	case FulfillmentOrderMerchantRequest:
		return ec._FulfillmentOrderMerchantRequest(ctx, sel, &obj)
	case *FulfillmentOrderMerchantRequest:
		if obj == nil {
			return graphql.Null
		}
		return ec._FulfillmentOrderMerchantRequest(ctx, sel, obj)
	case Location:
		return ec._Location(ctx, sel, &obj)
	case *Location:
		if obj == nil {
			return graphql.Null
		}
		return ec._Location(ctx, sel, obj)
	case MailingAddress:
		return ec._MailingAddress(ctx, sel, &obj)
	case *MailingAddress:
		if obj == nil {
			return graphql.Null
		}
		return ec._MailingAddress(ctx, sel, obj)
	case MarketingEvent:
		return ec._MarketingEvent(ctx, sel, &obj)
	case *MarketingEvent:
		if obj == nil {
			return graphql.Null
		}
		return ec._MarketingEvent(ctx, sel, obj)
	case GenericFile:
		return ec._GenericFile(ctx, sel, &obj)
	case *GenericFile:
		if obj == nil {
			return graphql.Null
		}
		return ec._GenericFile(ctx, sel, obj)
	case MediaImage:
		return ec._MediaImage(ctx, sel, &obj)
	case *MediaImage:
		if obj == nil {
			return graphql.Null
		}
		return ec._MediaImage(ctx, sel, obj)
	case Video:
		return ec._Video(ctx, sel, &obj)
	case *Video:
		if obj == nil {
			return graphql.Null
		}
		return ec._Video(ctx, sel, obj)
	case Metafield:
		return ec._Metafield(ctx, sel, &obj)
	case *Metafield:
		if obj == nil {
			return graphql.Null
		}
		return ec._Metafield(ctx, sel, obj)
	case MetafieldDefinition:
		return ec._MetafieldDefinition(ctx, sel, &obj)
	case *MetafieldDefinition:
		if obj == nil {
			return graphql.Null
		}
		return ec._MetafieldDefinition(ctx, sel, obj)
	case StandardMetafieldDefinitionTemplate:
		return ec._StandardMetafieldDefinitionTemplate(ctx, sel, &obj)
	case *StandardMetafieldDefinitionTemplate:
		if obj == nil {
			return graphql.Null
		}
		return ec._StandardMetafieldDefinitionTemplate(ctx, sel, obj)
	case PrivateMetafield:
		return ec._PrivateMetafield(ctx, sel, &obj)
	case *PrivateMetafield:
		if obj == nil {
			return graphql.Null
		}
		return ec._PrivateMetafield(ctx, sel, obj)
	case PriceList:
		return ec._PriceList(ctx, sel, &obj)
	case *PriceList:
		if obj == nil {
			return graphql.Null
		}
		return ec._PriceList(ctx, sel, obj)
	case DraftOrderLineItem:
		return ec._DraftOrderLineItem(ctx, sel, &obj)
	case *DraftOrderLineItem:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrderLineItem(ctx, sel, obj)
	case PaymentSchedule:
		return ec._PaymentSchedule(ctx, sel, &obj)
	case *PaymentSchedule:
		if obj == nil {
			return graphql.Null
		}
		return ec._PaymentSchedule(ctx, sel, obj)
	case PaymentTerms:
		return ec._PaymentTerms(ctx, sel, &obj)
	case *PaymentTerms:
		if obj == nil {
			return graphql.Null
		}
		return ec._PaymentTerms(ctx, sel, obj)
	case SellingPlanGroup:
		return ec._SellingPlanGroup(ctx, sel, &obj)
	case *SellingPlanGroup:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanGroup(ctx, sel, obj)
	case SellingPlan:
		return ec._SellingPlan(ctx, sel, &obj)
	case *SellingPlan:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlan(ctx, sel, obj)
	case OrderTransaction:
		return ec._OrderTransaction(ctx, sel, &obj)
	case *OrderTransaction:
		if obj == nil {
			return graphql.Null
		}
		return ec._OrderTransaction(ctx, sel, obj)
	case TransactionFee:
		return ec._TransactionFee(ctx, sel, &obj)
	case *TransactionFee:
		if obj == nil {
			return graphql.Null
		}
		return ec._TransactionFee(ctx, sel, obj)
	case LineItem:
		return ec._LineItem(ctx, sel, &obj)
	case *LineItem:
		if obj == nil {
			return graphql.Null
		}
		return ec._LineItem(ctx, sel, obj)
	case Duty:
		return ec._Duty(ctx, sel, &obj)
	case *Duty:
		if obj == nil {
			return graphql.Null
		}
		return ec._Duty(ctx, sel, obj)
	case Refund:
		return ec._Refund(ctx, sel, &obj)
	case *Refund:
		if obj == nil {
			return graphql.Null
		}
		return ec._Refund(ctx, sel, obj)
	case PaymentMandate:
		return ec._PaymentMandate(ctx, sel, &obj)
	case *PaymentMandate:
		if obj == nil {
			return graphql.Null
		}
		return ec._PaymentMandate(ctx, sel, obj)
	case OrderDisputeSummary:
		return ec._OrderDisputeSummary(ctx, sel, &obj)
	case *OrderDisputeSummary:
		if obj == nil {
			return graphql.Null
		}
		return ec._OrderDisputeSummary(ctx, sel, obj)
	case SubscriptionBillingAttempt:
		return ec._SubscriptionBillingAttempt(ctx, sel, &obj)
	case *SubscriptionBillingAttempt:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionBillingAttempt(ctx, sel, obj)
	case PaymentTermsTemplate:
		return ec._PaymentTermsTemplate(ctx, sel, &obj)
	case *PaymentTermsTemplate:
		if obj == nil {
			return graphql.Null
		}
		return ec._PaymentTermsTemplate(ctx, sel, obj)
	case ProductTaxonomyNode:
		return ec._ProductTaxonomyNode(ctx, sel, &obj)
	case *ProductTaxonomyNode:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductTaxonomyNode(ctx, sel, obj)
	case StorefrontAccessToken:
		return ec._StorefrontAccessToken(ctx, sel, &obj)
	case *StorefrontAccessToken:
		if obj == nil {
			return graphql.Null
		}
		return ec._StorefrontAccessToken(ctx, sel, obj)
	case ShopPolicy:
		return ec._ShopPolicy(ctx, sel, &obj)
	case *ShopPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._ShopPolicy(ctx, sel, obj)
	case SavedSearch:
		return ec._SavedSearch(ctx, sel, &obj)
	case *SavedSearch:
		if obj == nil {
			return graphql.Null
		}
		return ec._SavedSearch(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _OnlineStorePreviewable(ctx context.Context, sel ast.SelectionSet, obj OnlineStorePreviewable) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _PaymentInstrument(ctx context.Context, sel ast.SelectionSet, obj PaymentInstrument) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case VaultCreditCard:
		return ec._VaultCreditCard(ctx, sel, &obj)
	case *VaultCreditCard:
		if obj == nil {
			return graphql.Null
		}
		return ec._VaultCreditCard(ctx, sel, obj)
	case VaultPaypalBillingAgreement:
		return ec._VaultPaypalBillingAgreement(ctx, sel, &obj)
	case *VaultPaypalBillingAgreement:
		if obj == nil {
			return graphql.Null
		}
		return ec._VaultPaypalBillingAgreement(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _PricingValue(ctx context.Context, sel ast.SelectionSet, obj PricingValue) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case MoneyV2:
		return ec._MoneyV2(ctx, sel, &obj)
	case *MoneyV2:
		if obj == nil {
			return graphql.Null
		}
		return ec._MoneyV2(ctx, sel, obj)
	case PricingPercentageValue:
		return ec._PricingPercentageValue(ctx, sel, &obj)
	case *PricingPercentageValue:
		if obj == nil {
			return graphql.Null
		}
		return ec._PricingPercentageValue(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _Publishable(ctx context.Context, sel ast.SelectionSet, obj Publishable) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _PurchasingEntity(ctx context.Context, sel ast.SelectionSet, obj PurchasingEntity) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case Customer:
		return ec._Customer(ctx, sel, &obj)
	case *Customer:
		if obj == nil {
			return graphql.Null
		}
		return ec._Customer(ctx, sel, obj)
	case PurchasingCompany:
		return ec._PurchasingCompany(ctx, sel, &obj)
	case *PurchasingCompany:
		if obj == nil {
			return graphql.Null
		}
		return ec._PurchasingCompany(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _Sale(ctx context.Context, sel ast.SelectionSet, obj Sale) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SalesAgreement(ctx context.Context, sel ast.SelectionSet, obj SalesAgreement) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SellingPlanBillingPolicy(ctx context.Context, sel ast.SelectionSet, obj SellingPlanBillingPolicy) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SellingPlanFixedBillingPolicy:
		return ec._SellingPlanFixedBillingPolicy(ctx, sel, &obj)
	case *SellingPlanFixedBillingPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanFixedBillingPolicy(ctx, sel, obj)
	case SellingPlanRecurringBillingPolicy:
		return ec._SellingPlanRecurringBillingPolicy(ctx, sel, &obj)
	case *SellingPlanRecurringBillingPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanRecurringBillingPolicy(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SellingPlanCheckoutChargeValue(ctx context.Context, sel ast.SelectionSet, obj SellingPlanCheckoutChargeValue) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case MoneyV2:
		return ec._MoneyV2(ctx, sel, &obj)
	case *MoneyV2:
		if obj == nil {
			return graphql.Null
		}
		return ec._MoneyV2(ctx, sel, obj)
	case SellingPlanCheckoutChargePercentageValue:
		return ec._SellingPlanCheckoutChargePercentageValue(ctx, sel, &obj)
	case *SellingPlanCheckoutChargePercentageValue:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanCheckoutChargePercentageValue(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SellingPlanDeliveryPolicy(ctx context.Context, sel ast.SelectionSet, obj SellingPlanDeliveryPolicy) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SellingPlanFixedDeliveryPolicy:
		return ec._SellingPlanFixedDeliveryPolicy(ctx, sel, &obj)
	case *SellingPlanFixedDeliveryPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanFixedDeliveryPolicy(ctx, sel, obj)
	case SellingPlanRecurringDeliveryPolicy:
		return ec._SellingPlanRecurringDeliveryPolicy(ctx, sel, &obj)
	case *SellingPlanRecurringDeliveryPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanRecurringDeliveryPolicy(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SellingPlanPricingPolicy(ctx context.Context, sel ast.SelectionSet, obj SellingPlanPricingPolicy) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SellingPlanFixedPricingPolicy:
		return ec._SellingPlanFixedPricingPolicy(ctx, sel, &obj)
	case *SellingPlanFixedPricingPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanFixedPricingPolicy(ctx, sel, obj)
	case SellingPlanRecurringPricingPolicy:
		return ec._SellingPlanRecurringPricingPolicy(ctx, sel, &obj)
	case *SellingPlanRecurringPricingPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanRecurringPricingPolicy(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SellingPlanPricingPolicyAdjustmentValue(ctx context.Context, sel ast.SelectionSet, obj SellingPlanPricingPolicyAdjustmentValue) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case MoneyV2:
		return ec._MoneyV2(ctx, sel, &obj)
	case *MoneyV2:
		if obj == nil {
			return graphql.Null
		}
		return ec._MoneyV2(ctx, sel, obj)
	case SellingPlanPricingPolicyPercentageValue:
		return ec._SellingPlanPricingPolicyPercentageValue(ctx, sel, &obj)
	case *SellingPlanPricingPolicyPercentageValue:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanPricingPolicyPercentageValue(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SellingPlanPricingPolicyBase(ctx context.Context, sel ast.SelectionSet, obj SellingPlanPricingPolicyBase) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SellingPlanFixedPricingPolicy:
		return ec._SellingPlanFixedPricingPolicy(ctx, sel, &obj)
	case *SellingPlanFixedPricingPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanFixedPricingPolicy(ctx, sel, obj)
	case SellingPlanRecurringPricingPolicy:
		return ec._SellingPlanRecurringPricingPolicy(ctx, sel, &obj)
	case *SellingPlanRecurringPricingPolicy:
		if obj == nil {
			return graphql.Null
		}
		return ec._SellingPlanRecurringPricingPolicy(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SubscriptionContractBase(ctx context.Context, sel ast.SelectionSet, obj SubscriptionContractBase) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SubscriptionContract:
		return ec._SubscriptionContract(ctx, sel, &obj)
	case *SubscriptionContract:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionContract(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SubscriptionDeliveryMethod(ctx context.Context, sel ast.SelectionSet, obj SubscriptionDeliveryMethod) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SubscriptionDeliveryMethodLocalDelivery:
		return ec._SubscriptionDeliveryMethodLocalDelivery(ctx, sel, &obj)
	case *SubscriptionDeliveryMethodLocalDelivery:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionDeliveryMethodLocalDelivery(ctx, sel, obj)
	case SubscriptionDeliveryMethodPickup:
		return ec._SubscriptionDeliveryMethodPickup(ctx, sel, &obj)
	case *SubscriptionDeliveryMethodPickup:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionDeliveryMethodPickup(ctx, sel, obj)
	case SubscriptionDeliveryMethodShipping:
		return ec._SubscriptionDeliveryMethodShipping(ctx, sel, &obj)
	case *SubscriptionDeliveryMethodShipping:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionDeliveryMethodShipping(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SubscriptionDiscount(ctx context.Context, sel ast.SelectionSet, obj SubscriptionDiscount) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SubscriptionAppliedCodeDiscount:
		return ec._SubscriptionAppliedCodeDiscount(ctx, sel, &obj)
	case *SubscriptionAppliedCodeDiscount:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionAppliedCodeDiscount(ctx, sel, obj)
	case SubscriptionManualDiscount:
		return ec._SubscriptionManualDiscount(ctx, sel, &obj)
	case *SubscriptionManualDiscount:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionManualDiscount(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) _SubscriptionDiscountValue(ctx context.Context, sel ast.SelectionSet, obj SubscriptionDiscountValue) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case SubscriptionDiscountFixedAmountValue:
		return ec._SubscriptionDiscountFixedAmountValue(ctx, sel, &obj)
	case *SubscriptionDiscountFixedAmountValue:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionDiscountFixedAmountValue(ctx, sel, obj)
	case SubscriptionDiscountPercentageValue:
		return ec._SubscriptionDiscountPercentageValue(ctx, sel, &obj)
	case *SubscriptionDiscountPercentageValue:
		if obj == nil {
			return graphql.Null
		}
		return ec._SubscriptionDiscountPercentageValue(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

func (ec *executionContext) __Entity(ctx context.Context, sel ast.SelectionSet, obj fedruntime.Entity) graphql.Marshaler {
	switch obj := (obj).(type) {
	case nil:
		return graphql.Null
	case App:
		return ec._App(ctx, sel, &obj)
	case *App:
		if obj == nil {
			return graphql.Null
		}
		return ec._App(ctx, sel, obj)
	case Collection:
		return ec._Collection(ctx, sel, &obj)
	case *Collection:
		if obj == nil {
			return graphql.Null
		}
		return ec._Collection(ctx, sel, obj)
	case Customer:
		return ec._Customer(ctx, sel, &obj)
	case *Customer:
		if obj == nil {
			return graphql.Null
		}
		return ec._Customer(ctx, sel, obj)
	case DraftOrder:
		return ec._DraftOrder(ctx, sel, &obj)
	case *DraftOrder:
		if obj == nil {
			return graphql.Null
		}
		return ec._DraftOrder(ctx, sel, obj)
	case FulfillmentService:
		return ec._FulfillmentService(ctx, sel, &obj)
	case *FulfillmentService:
		if obj == nil {
			return graphql.Null
		}
		return ec._FulfillmentService(ctx, sel, obj)
	case InventoryLevel:
		return ec._InventoryLevel(ctx, sel, &obj)
	case *InventoryLevel:
		if obj == nil {
			return graphql.Null
		}
		return ec._InventoryLevel(ctx, sel, obj)
	case Market:
		return ec._Market(ctx, sel, &obj)
	case *Market:
		if obj == nil {
			return graphql.Null
		}
		return ec._Market(ctx, sel, obj)
	case MarketWebPresence:
		return ec._MarketWebPresence(ctx, sel, &obj)
	case *MarketWebPresence:
		if obj == nil {
			return graphql.Null
		}
		return ec._MarketWebPresence(ctx, sel, obj)
	case Order:
		return ec._Order(ctx, sel, &obj)
	case *Order:
		if obj == nil {
			return graphql.Null
		}
		return ec._Order(ctx, sel, obj)
	case Product:
		return ec._Product(ctx, sel, &obj)
	case *Product:
		if obj == nil {
			return graphql.Null
		}
		return ec._Product(ctx, sel, obj)
	case ProductVariant:
		return ec._ProductVariant(ctx, sel, &obj)
	case *ProductVariant:
		if obj == nil {
			return graphql.Null
		}
		return ec._ProductVariant(ctx, sel, obj)
	default:
		panic(fmt.Errorf("unexpected type %T", obj))
	}
}

// endregion ************************** interface.gotpl ***************************

// region    **************************** object.gotpl ****************************

var accessScopeImplementors = []string{"AccessScope"}

func (ec *executionContext) _AccessScope(ctx context.Context, sel ast.SelectionSet, obj *AccessScope) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, accessScopeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AccessScope")
		case "description":

			out.Values[i] = ec._AccessScope_description(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "handle":

			out.Values[i] = ec._AccessScope_handle(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appImplementors = []string{"App", "_Entity"}

func (ec *executionContext) _App(ctx context.Context, sel ast.SelectionSet, obj *App) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("App")
		case "id":

			out.Values[i] = ec._App_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appConnectionImplementors = []string{"AppConnection"}

func (ec *executionContext) _AppConnection(ctx context.Context, sel ast.SelectionSet, obj *AppConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppConnection")
		case "edges":

			out.Values[i] = ec._AppConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._AppConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._AppConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appCreditImplementors = []string{"AppCredit", "Node"}

func (ec *executionContext) _AppCredit(ctx context.Context, sel ast.SelectionSet, obj *AppCredit) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appCreditImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppCredit")
		case "amount":

			out.Values[i] = ec._AppCredit_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._AppCredit_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._AppCredit_description(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._AppCredit_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "test":

			out.Values[i] = ec._AppCredit_test(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appCreditConnectionImplementors = []string{"AppCreditConnection"}

func (ec *executionContext) _AppCreditConnection(ctx context.Context, sel ast.SelectionSet, obj *AppCreditConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appCreditConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppCreditConnection")
		case "edges":

			out.Values[i] = ec._AppCreditConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._AppCreditConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._AppCreditConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appCreditEdgeImplementors = []string{"AppCreditEdge"}

func (ec *executionContext) _AppCreditEdge(ctx context.Context, sel ast.SelectionSet, obj *AppCreditEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appCreditEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppCreditEdge")
		case "cursor":

			out.Values[i] = ec._AppCreditEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._AppCreditEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appEdgeImplementors = []string{"AppEdge"}

func (ec *executionContext) _AppEdge(ctx context.Context, sel ast.SelectionSet, obj *AppEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppEdge")
		case "cursor":

			out.Values[i] = ec._AppEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._AppEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appFeedbackImplementors = []string{"AppFeedback"}

func (ec *executionContext) _AppFeedback(ctx context.Context, sel ast.SelectionSet, obj *AppFeedback) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appFeedbackImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppFeedback")
		case "app":

			out.Values[i] = ec._AppFeedback_app(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "link":

			out.Values[i] = ec._AppFeedback_link(ctx, field, obj)

		case "messages":

			out.Values[i] = ec._AppFeedback_messages(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appInstallationImplementors = []string{"AppInstallation", "HasMetafields", "Node"}

func (ec *executionContext) _AppInstallation(ctx context.Context, sel ast.SelectionSet, obj *AppInstallation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appInstallationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppInstallation")
		case "accessScopes":

			out.Values[i] = ec._AppInstallation_accessScopes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "activeSubscriptions":

			out.Values[i] = ec._AppInstallation_activeSubscriptions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "allSubscriptions":

			out.Values[i] = ec._AppInstallation_allSubscriptions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "app":

			out.Values[i] = ec._AppInstallation_app(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "credits":

			out.Values[i] = ec._AppInstallation_credits(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._AppInstallation_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "launchUrl":

			out.Values[i] = ec._AppInstallation_launchUrl(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "metafield":

			out.Values[i] = ec._AppInstallation_metafield(ctx, field, obj)

		case "metafields":

			out.Values[i] = ec._AppInstallation_metafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "oneTimePurchases":

			out.Values[i] = ec._AppInstallation_oneTimePurchases(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "privateMetafield":

			out.Values[i] = ec._AppInstallation_privateMetafield(ctx, field, obj)

		case "privateMetafields":

			out.Values[i] = ec._AppInstallation_privateMetafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "publication":

			out.Values[i] = ec._AppInstallation_publication(ctx, field, obj)

		case "revenueAttributionRecords":

			out.Values[i] = ec._AppInstallation_revenueAttributionRecords(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "uninstallUrl":

			out.Values[i] = ec._AppInstallation_uninstallUrl(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appPlanV2Implementors = []string{"AppPlanV2"}

func (ec *executionContext) _AppPlanV2(ctx context.Context, sel ast.SelectionSet, obj *AppPlanV2) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appPlanV2Implementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppPlanV2")
		case "pricingDetails":

			out.Values[i] = ec._AppPlanV2_pricingDetails(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appPurchaseOneTimeImplementors = []string{"AppPurchaseOneTime", "AppPurchase", "Node"}

func (ec *executionContext) _AppPurchaseOneTime(ctx context.Context, sel ast.SelectionSet, obj *AppPurchaseOneTime) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appPurchaseOneTimeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppPurchaseOneTime")
		case "createdAt":

			out.Values[i] = ec._AppPurchaseOneTime_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._AppPurchaseOneTime_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._AppPurchaseOneTime_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "price":

			out.Values[i] = ec._AppPurchaseOneTime_price(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "status":

			out.Values[i] = ec._AppPurchaseOneTime_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "test":

			out.Values[i] = ec._AppPurchaseOneTime_test(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appPurchaseOneTimeConnectionImplementors = []string{"AppPurchaseOneTimeConnection"}

func (ec *executionContext) _AppPurchaseOneTimeConnection(ctx context.Context, sel ast.SelectionSet, obj *AppPurchaseOneTimeConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appPurchaseOneTimeConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppPurchaseOneTimeConnection")
		case "edges":

			out.Values[i] = ec._AppPurchaseOneTimeConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._AppPurchaseOneTimeConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._AppPurchaseOneTimeConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appPurchaseOneTimeEdgeImplementors = []string{"AppPurchaseOneTimeEdge"}

func (ec *executionContext) _AppPurchaseOneTimeEdge(ctx context.Context, sel ast.SelectionSet, obj *AppPurchaseOneTimeEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appPurchaseOneTimeEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppPurchaseOneTimeEdge")
		case "cursor":

			out.Values[i] = ec._AppPurchaseOneTimeEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._AppPurchaseOneTimeEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appRecurringPricingImplementors = []string{"AppRecurringPricing", "AppPricingDetails"}

func (ec *executionContext) _AppRecurringPricing(ctx context.Context, sel ast.SelectionSet, obj *AppRecurringPricing) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appRecurringPricingImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppRecurringPricing")
		case "discount":

			out.Values[i] = ec._AppRecurringPricing_discount(ctx, field, obj)

		case "interval":

			out.Values[i] = ec._AppRecurringPricing_interval(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "price":

			out.Values[i] = ec._AppRecurringPricing_price(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appRevenueAttributionRecordImplementors = []string{"AppRevenueAttributionRecord", "Node"}

func (ec *executionContext) _AppRevenueAttributionRecord(ctx context.Context, sel ast.SelectionSet, obj *AppRevenueAttributionRecord) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appRevenueAttributionRecordImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppRevenueAttributionRecord")
		case "amount":

			out.Values[i] = ec._AppRevenueAttributionRecord_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "capturedAt":

			out.Values[i] = ec._AppRevenueAttributionRecord_capturedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._AppRevenueAttributionRecord_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._AppRevenueAttributionRecord_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "idempotencyKey":

			out.Values[i] = ec._AppRevenueAttributionRecord_idempotencyKey(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "test":

			out.Values[i] = ec._AppRevenueAttributionRecord_test(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec._AppRevenueAttributionRecord_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appRevenueAttributionRecordConnectionImplementors = []string{"AppRevenueAttributionRecordConnection"}

func (ec *executionContext) _AppRevenueAttributionRecordConnection(ctx context.Context, sel ast.SelectionSet, obj *AppRevenueAttributionRecordConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appRevenueAttributionRecordConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppRevenueAttributionRecordConnection")
		case "edges":

			out.Values[i] = ec._AppRevenueAttributionRecordConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._AppRevenueAttributionRecordConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._AppRevenueAttributionRecordConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appRevenueAttributionRecordEdgeImplementors = []string{"AppRevenueAttributionRecordEdge"}

func (ec *executionContext) _AppRevenueAttributionRecordEdge(ctx context.Context, sel ast.SelectionSet, obj *AppRevenueAttributionRecordEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appRevenueAttributionRecordEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppRevenueAttributionRecordEdge")
		case "cursor":

			out.Values[i] = ec._AppRevenueAttributionRecordEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._AppRevenueAttributionRecordEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appSubscriptionImplementors = []string{"AppSubscription", "Node"}

func (ec *executionContext) _AppSubscription(ctx context.Context, sel ast.SelectionSet, obj *AppSubscription) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appSubscriptionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppSubscription")
		case "createdAt":

			out.Values[i] = ec._AppSubscription_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentPeriodEnd":

			out.Values[i] = ec._AppSubscription_currentPeriodEnd(ctx, field, obj)

		case "id":

			out.Values[i] = ec._AppSubscription_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lineItems":

			out.Values[i] = ec._AppSubscription_lineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._AppSubscription_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "returnUrl":

			out.Values[i] = ec._AppSubscription_returnUrl(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "status":

			out.Values[i] = ec._AppSubscription_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "test":

			out.Values[i] = ec._AppSubscription_test(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "trialDays":

			out.Values[i] = ec._AppSubscription_trialDays(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appSubscriptionConnectionImplementors = []string{"AppSubscriptionConnection"}

func (ec *executionContext) _AppSubscriptionConnection(ctx context.Context, sel ast.SelectionSet, obj *AppSubscriptionConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appSubscriptionConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppSubscriptionConnection")
		case "edges":

			out.Values[i] = ec._AppSubscriptionConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._AppSubscriptionConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._AppSubscriptionConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appSubscriptionDiscountImplementors = []string{"AppSubscriptionDiscount"}

func (ec *executionContext) _AppSubscriptionDiscount(ctx context.Context, sel ast.SelectionSet, obj *AppSubscriptionDiscount) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appSubscriptionDiscountImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppSubscriptionDiscount")
		case "durationLimitInIntervals":

			out.Values[i] = ec._AppSubscriptionDiscount_durationLimitInIntervals(ctx, field, obj)

		case "priceAfterDiscount":

			out.Values[i] = ec._AppSubscriptionDiscount_priceAfterDiscount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "remainingDurationInIntervals":

			out.Values[i] = ec._AppSubscriptionDiscount_remainingDurationInIntervals(ctx, field, obj)

		case "value":

			out.Values[i] = ec._AppSubscriptionDiscount_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appSubscriptionDiscountAmountImplementors = []string{"AppSubscriptionDiscountAmount", "AppSubscriptionDiscountValue"}

func (ec *executionContext) _AppSubscriptionDiscountAmount(ctx context.Context, sel ast.SelectionSet, obj *AppSubscriptionDiscountAmount) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appSubscriptionDiscountAmountImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppSubscriptionDiscountAmount")
		case "amount":

			out.Values[i] = ec._AppSubscriptionDiscountAmount_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appSubscriptionDiscountPercentageImplementors = []string{"AppSubscriptionDiscountPercentage", "AppSubscriptionDiscountValue"}

func (ec *executionContext) _AppSubscriptionDiscountPercentage(ctx context.Context, sel ast.SelectionSet, obj *AppSubscriptionDiscountPercentage) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appSubscriptionDiscountPercentageImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppSubscriptionDiscountPercentage")
		case "percentage":

			out.Values[i] = ec._AppSubscriptionDiscountPercentage_percentage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appSubscriptionEdgeImplementors = []string{"AppSubscriptionEdge"}

func (ec *executionContext) _AppSubscriptionEdge(ctx context.Context, sel ast.SelectionSet, obj *AppSubscriptionEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appSubscriptionEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppSubscriptionEdge")
		case "cursor":

			out.Values[i] = ec._AppSubscriptionEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._AppSubscriptionEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appSubscriptionLineItemImplementors = []string{"AppSubscriptionLineItem"}

func (ec *executionContext) _AppSubscriptionLineItem(ctx context.Context, sel ast.SelectionSet, obj *AppSubscriptionLineItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appSubscriptionLineItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppSubscriptionLineItem")
		case "id":

			out.Values[i] = ec._AppSubscriptionLineItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "plan":

			out.Values[i] = ec._AppSubscriptionLineItem_plan(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "usageRecords":

			out.Values[i] = ec._AppSubscriptionLineItem_usageRecords(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appUsagePricingImplementors = []string{"AppUsagePricing", "AppPricingDetails"}

func (ec *executionContext) _AppUsagePricing(ctx context.Context, sel ast.SelectionSet, obj *AppUsagePricing) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appUsagePricingImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppUsagePricing")
		case "balanceUsed":

			out.Values[i] = ec._AppUsagePricing_balanceUsed(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "cappedAmount":

			out.Values[i] = ec._AppUsagePricing_cappedAmount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "interval":

			out.Values[i] = ec._AppUsagePricing_interval(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "terms":

			out.Values[i] = ec._AppUsagePricing_terms(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appUsageRecordImplementors = []string{"AppUsageRecord", "Node"}

func (ec *executionContext) _AppUsageRecord(ctx context.Context, sel ast.SelectionSet, obj *AppUsageRecord) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appUsageRecordImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppUsageRecord")
		case "createdAt":

			out.Values[i] = ec._AppUsageRecord_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._AppUsageRecord_description(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._AppUsageRecord_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "price":

			out.Values[i] = ec._AppUsageRecord_price(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subscriptionLineItem":

			out.Values[i] = ec._AppUsageRecord_subscriptionLineItem(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appUsageRecordConnectionImplementors = []string{"AppUsageRecordConnection"}

func (ec *executionContext) _AppUsageRecordConnection(ctx context.Context, sel ast.SelectionSet, obj *AppUsageRecordConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appUsageRecordConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppUsageRecordConnection")
		case "edges":

			out.Values[i] = ec._AppUsageRecordConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._AppUsageRecordConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._AppUsageRecordConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var appUsageRecordEdgeImplementors = []string{"AppUsageRecordEdge"}

func (ec *executionContext) _AppUsageRecordEdge(ctx context.Context, sel ast.SelectionSet, obj *AppUsageRecordEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, appUsageRecordEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AppUsageRecordEdge")
		case "cursor":

			out.Values[i] = ec._AppUsageRecordEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._AppUsageRecordEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var attributeImplementors = []string{"Attribute"}

func (ec *executionContext) _Attribute(ctx context.Context, sel ast.SelectionSet, obj *Attribute) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, attributeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Attribute")
		case "key":

			out.Values[i] = ec._Attribute_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._Attribute_value(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var automaticDiscountApplicationImplementors = []string{"AutomaticDiscountApplication", "DiscountApplication"}

func (ec *executionContext) _AutomaticDiscountApplication(ctx context.Context, sel ast.SelectionSet, obj *AutomaticDiscountApplication) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, automaticDiscountApplicationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AutomaticDiscountApplication")
		case "allocationMethod":

			out.Values[i] = ec._AutomaticDiscountApplication_allocationMethod(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "index":

			out.Values[i] = ec._AutomaticDiscountApplication_index(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetSelection":

			out.Values[i] = ec._AutomaticDiscountApplication_targetSelection(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetType":

			out.Values[i] = ec._AutomaticDiscountApplication_targetType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._AutomaticDiscountApplication_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._AutomaticDiscountApplication_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var availableChannelDefinitionsByChannelImplementors = []string{"AvailableChannelDefinitionsByChannel"}

func (ec *executionContext) _AvailableChannelDefinitionsByChannel(ctx context.Context, sel ast.SelectionSet, obj *AvailableChannelDefinitionsByChannel) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, availableChannelDefinitionsByChannelImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("AvailableChannelDefinitionsByChannel")
		case "channelDefinitions":

			out.Values[i] = ec._AvailableChannelDefinitionsByChannel_channelDefinitions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "channelName":

			out.Values[i] = ec._AvailableChannelDefinitionsByChannel_channelName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var basicEventImplementors = []string{"BasicEvent", "Event", "Node"}

func (ec *executionContext) _BasicEvent(ctx context.Context, sel ast.SelectionSet, obj *BasicEvent) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, basicEventImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("BasicEvent")
		case "appTitle":

			out.Values[i] = ec._BasicEvent_appTitle(ctx, field, obj)

		case "attributeToApp":

			out.Values[i] = ec._BasicEvent_attributeToApp(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "attributeToUser":

			out.Values[i] = ec._BasicEvent_attributeToUser(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._BasicEvent_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "criticalAlert":

			out.Values[i] = ec._BasicEvent_criticalAlert(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._BasicEvent_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "message":

			out.Values[i] = ec._BasicEvent_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var buyerExperienceConfigurationImplementors = []string{"BuyerExperienceConfiguration"}

func (ec *executionContext) _BuyerExperienceConfiguration(ctx context.Context, sel ast.SelectionSet, obj *BuyerExperienceConfiguration) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, buyerExperienceConfigurationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("BuyerExperienceConfiguration")
		case "checkoutToDraft":

			out.Values[i] = ec._BuyerExperienceConfiguration_checkoutToDraft(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "payNowOnly":

			out.Values[i] = ec._BuyerExperienceConfiguration_payNowOnly(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentTermsTemplate":

			out.Values[i] = ec._BuyerExperienceConfiguration_paymentTermsTemplate(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var channelDefinitionImplementors = []string{"ChannelDefinition", "Node"}

func (ec *executionContext) _ChannelDefinition(ctx context.Context, sel ast.SelectionSet, obj *ChannelDefinition) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, channelDefinitionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ChannelDefinition")
		case "channelName":

			out.Values[i] = ec._ChannelDefinition_channelName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "handle":

			out.Values[i] = ec._ChannelDefinition_handle(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._ChannelDefinition_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subChannelName":

			out.Values[i] = ec._ChannelDefinition_subChannelName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "svgIcon":

			out.Values[i] = ec._ChannelDefinition_svgIcon(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var channelInformationImplementors = []string{"ChannelInformation", "Node"}

func (ec *executionContext) _ChannelInformation(ctx context.Context, sel ast.SelectionSet, obj *ChannelInformation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, channelInformationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ChannelInformation")
		case "app":

			out.Values[i] = ec._ChannelInformation_app(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "channelDefinition":

			out.Values[i] = ec._ChannelInformation_channelDefinition(ctx, field, obj)

		case "channelId":

			out.Values[i] = ec._ChannelInformation_channelId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._ChannelInformation_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var collectionImplementors = []string{"Collection", "MetafieldReference", "_Entity"}

func (ec *executionContext) _Collection(ctx context.Context, sel ast.SelectionSet, obj *Collection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, collectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Collection")
		case "id":

			out.Values[i] = ec._Collection_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var collectionConnectionImplementors = []string{"CollectionConnection"}

func (ec *executionContext) _CollectionConnection(ctx context.Context, sel ast.SelectionSet, obj *CollectionConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, collectionConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CollectionConnection")
		case "edges":

			out.Values[i] = ec._CollectionConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CollectionConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CollectionConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var collectionEdgeImplementors = []string{"CollectionEdge"}

func (ec *executionContext) _CollectionEdge(ctx context.Context, sel ast.SelectionSet, obj *CollectionEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, collectionEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CollectionEdge")
		case "cursor":

			out.Values[i] = ec._CollectionEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CollectionEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var collectionRuleImplementors = []string{"CollectionRule"}

func (ec *executionContext) _CollectionRule(ctx context.Context, sel ast.SelectionSet, obj *CollectionRule) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, collectionRuleImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CollectionRule")
		case "appliedDisjunctively":

			out.Values[i] = ec._CollectionRule_appliedDisjunctively(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rules":

			out.Values[i] = ec._CollectionRule_rules(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var collectionRuleSetImplementors = []string{"CollectionRuleSet"}

func (ec *executionContext) _CollectionRuleSet(ctx context.Context, sel ast.SelectionSet, obj *CollectionRuleSet) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, collectionRuleSetImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CollectionRuleSet")
		case "appliedDisjunctively":

			out.Values[i] = ec._CollectionRuleSet_appliedDisjunctively(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rules":

			out.Values[i] = ec._CollectionRuleSet_rules(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var commentEventImplementors = []string{"CommentEvent", "Event", "Node"}

func (ec *executionContext) _CommentEvent(ctx context.Context, sel ast.SelectionSet, obj *CommentEvent) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, commentEventImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CommentEvent")
		case "appTitle":

			out.Values[i] = ec._CommentEvent_appTitle(ctx, field, obj)

		case "attachments":

			out.Values[i] = ec._CommentEvent_attachments(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "attributeToApp":

			out.Values[i] = ec._CommentEvent_attributeToApp(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "attributeToUser":

			out.Values[i] = ec._CommentEvent_attributeToUser(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "author":

			out.Values[i] = ec._CommentEvent_author(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "canDelete":

			out.Values[i] = ec._CommentEvent_canDelete(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "canEdit":

			out.Values[i] = ec._CommentEvent_canEdit(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._CommentEvent_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "criticalAlert":

			out.Values[i] = ec._CommentEvent_criticalAlert(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "edited":

			out.Values[i] = ec._CommentEvent_edited(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "embed":

			out.Values[i] = ec._CommentEvent_embed(ctx, field, obj)

		case "id":

			out.Values[i] = ec._CommentEvent_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "message":

			out.Values[i] = ec._CommentEvent_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rawMessage":

			out.Values[i] = ec._CommentEvent_rawMessage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subject":

			out.Values[i] = ec._CommentEvent_subject(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var commentEventAttachmentImplementors = []string{"CommentEventAttachment"}

func (ec *executionContext) _CommentEventAttachment(ctx context.Context, sel ast.SelectionSet, obj *CommentEventAttachment) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, commentEventAttachmentImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CommentEventAttachment")
		case "fileExtension":

			out.Values[i] = ec._CommentEventAttachment_fileExtension(ctx, field, obj)

		case "id":

			out.Values[i] = ec._CommentEventAttachment_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "image":

			out.Values[i] = ec._CommentEventAttachment_image(ctx, field, obj)

		case "name":

			out.Values[i] = ec._CommentEventAttachment_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "size":

			out.Values[i] = ec._CommentEventAttachment_size(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._CommentEventAttachment_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyImplementors = []string{"Company", "CommentEventSubject", "HasEvents", "Navigable", "Node"}

func (ec *executionContext) _Company(ctx context.Context, sel ast.SelectionSet, obj *Company) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Company")
		case "contactCount":

			out.Values[i] = ec._Company_contactCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "contactRoles":

			out.Values[i] = ec._Company_contactRoles(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "contacts":

			out.Values[i] = ec._Company_contacts(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._Company_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customerSince":

			out.Values[i] = ec._Company_customerSince(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "defaultCursor":

			out.Values[i] = ec._Company_defaultCursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "defaultRole":

			out.Values[i] = ec._Company_defaultRole(ctx, field, obj)

		case "draftOrders":

			out.Values[i] = ec._Company_draftOrders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "events":

			out.Values[i] = ec._Company_events(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "externalId":

			out.Values[i] = ec._Company_externalId(ctx, field, obj)

		case "hasTimelineComment":

			out.Values[i] = ec._Company_hasTimelineComment(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._Company_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lifetimeDuration":

			out.Values[i] = ec._Company_lifetimeDuration(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locationCount":

			out.Values[i] = ec._Company_locationCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locations":

			out.Values[i] = ec._Company_locations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mainContact":

			out.Values[i] = ec._Company_mainContact(ctx, field, obj)

		case "name":

			out.Values[i] = ec._Company_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "note":

			out.Values[i] = ec._Company_note(ctx, field, obj)

		case "orderCount":

			out.Values[i] = ec._Company_orderCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "orders":

			out.Values[i] = ec._Company_orders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalSpent":

			out.Values[i] = ec._Company_totalSpent(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._Company_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyAddressImplementors = []string{"CompanyAddress", "Node"}

func (ec *executionContext) _CompanyAddress(ctx context.Context, sel ast.SelectionSet, obj *CompanyAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyAddress")
		case "address1":

			out.Values[i] = ec._CompanyAddress_address1(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "address2":

			out.Values[i] = ec._CompanyAddress_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._CompanyAddress_city(ctx, field, obj)

		case "companyName":

			out.Values[i] = ec._CompanyAddress_companyName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "country":

			out.Values[i] = ec._CompanyAddress_country(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._CompanyAddress_countryCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._CompanyAddress_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "formattedArea":

			out.Values[i] = ec._CompanyAddress_formattedArea(ctx, field, obj)

		case "id":

			out.Values[i] = ec._CompanyAddress_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "phone":

			out.Values[i] = ec._CompanyAddress_phone(ctx, field, obj)

		case "province":

			out.Values[i] = ec._CompanyAddress_province(ctx, field, obj)

		case "recipient":

			out.Values[i] = ec._CompanyAddress_recipient(ctx, field, obj)

		case "updatedAt":

			out.Values[i] = ec._CompanyAddress_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "zip":

			out.Values[i] = ec._CompanyAddress_zip(ctx, field, obj)

		case "zoneCode":

			out.Values[i] = ec._CompanyAddress_zoneCode(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactImplementors = []string{"CompanyContact", "Node"}

func (ec *executionContext) _CompanyContact(ctx context.Context, sel ast.SelectionSet, obj *CompanyContact) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContact")
		case "company":

			out.Values[i] = ec._CompanyContact_company(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._CompanyContact_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customer":

			out.Values[i] = ec._CompanyContact_customer(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "draftOrders":

			out.Values[i] = ec._CompanyContact_draftOrders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._CompanyContact_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isMainContact":

			out.Values[i] = ec._CompanyContact_isMainContact(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lifetimeDuration":

			out.Values[i] = ec._CompanyContact_lifetimeDuration(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locale":

			out.Values[i] = ec._CompanyContact_locale(ctx, field, obj)

		case "orders":

			out.Values[i] = ec._CompanyContact_orders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "roleAssignments":

			out.Values[i] = ec._CompanyContact_roleAssignments(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._CompanyContact_title(ctx, field, obj)

		case "updatedAt":

			out.Values[i] = ec._CompanyContact_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactConnectionImplementors = []string{"CompanyContactConnection"}

func (ec *executionContext) _CompanyContactConnection(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactConnection")
		case "edges":

			out.Values[i] = ec._CompanyContactConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CompanyContactConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CompanyContactConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactEdgeImplementors = []string{"CompanyContactEdge"}

func (ec *executionContext) _CompanyContactEdge(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactEdge")
		case "cursor":

			out.Values[i] = ec._CompanyContactEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CompanyContactEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactRoleImplementors = []string{"CompanyContactRole", "Node"}

func (ec *executionContext) _CompanyContactRole(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactRole) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactRoleImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactRole")
		case "id":

			out.Values[i] = ec._CompanyContactRole_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._CompanyContactRole_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "note":

			out.Values[i] = ec._CompanyContactRole_note(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactRoleAssignmentImplementors = []string{"CompanyContactRoleAssignment", "Node"}

func (ec *executionContext) _CompanyContactRoleAssignment(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactRoleAssignment) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactRoleAssignmentImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactRoleAssignment")
		case "company":

			out.Values[i] = ec._CompanyContactRoleAssignment_company(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "companyContact":

			out.Values[i] = ec._CompanyContactRoleAssignment_companyContact(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "companyLocation":

			out.Values[i] = ec._CompanyContactRoleAssignment_companyLocation(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._CompanyContactRoleAssignment_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._CompanyContactRoleAssignment_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "role":

			out.Values[i] = ec._CompanyContactRoleAssignment_role(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._CompanyContactRoleAssignment_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactRoleAssignmentConnectionImplementors = []string{"CompanyContactRoleAssignmentConnection"}

func (ec *executionContext) _CompanyContactRoleAssignmentConnection(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactRoleAssignmentConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactRoleAssignmentConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactRoleAssignmentConnection")
		case "edges":

			out.Values[i] = ec._CompanyContactRoleAssignmentConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CompanyContactRoleAssignmentConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CompanyContactRoleAssignmentConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactRoleAssignmentEdgeImplementors = []string{"CompanyContactRoleAssignmentEdge"}

func (ec *executionContext) _CompanyContactRoleAssignmentEdge(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactRoleAssignmentEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactRoleAssignmentEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactRoleAssignmentEdge")
		case "cursor":

			out.Values[i] = ec._CompanyContactRoleAssignmentEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CompanyContactRoleAssignmentEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactRoleConnectionImplementors = []string{"CompanyContactRoleConnection"}

func (ec *executionContext) _CompanyContactRoleConnection(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactRoleConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactRoleConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactRoleConnection")
		case "edges":

			out.Values[i] = ec._CompanyContactRoleConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CompanyContactRoleConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CompanyContactRoleConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyContactRoleEdgeImplementors = []string{"CompanyContactRoleEdge"}

func (ec *executionContext) _CompanyContactRoleEdge(ctx context.Context, sel ast.SelectionSet, obj *CompanyContactRoleEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyContactRoleEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyContactRoleEdge")
		case "cursor":

			out.Values[i] = ec._CompanyContactRoleEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CompanyContactRoleEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyLocationImplementors = []string{"CompanyLocation", "CommentEventSubject", "HasEvents", "Navigable", "Node"}

func (ec *executionContext) _CompanyLocation(ctx context.Context, sel ast.SelectionSet, obj *CompanyLocation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyLocationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyLocation")
		case "billingAddress":

			out.Values[i] = ec._CompanyLocation_billingAddress(ctx, field, obj)

		case "buyerExperienceConfiguration":

			out.Values[i] = ec._CompanyLocation_buyerExperienceConfiguration(ctx, field, obj)

		case "company":

			out.Values[i] = ec._CompanyLocation_company(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._CompanyLocation_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currency":

			out.Values[i] = ec._CompanyLocation_currency(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "defaultCursor":

			out.Values[i] = ec._CompanyLocation_defaultCursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "draftOrders":

			out.Values[i] = ec._CompanyLocation_draftOrders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "events":

			out.Values[i] = ec._CompanyLocation_events(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "externalId":

			out.Values[i] = ec._CompanyLocation_externalId(ctx, field, obj)

		case "hasTimelineComment":

			out.Values[i] = ec._CompanyLocation_hasTimelineComment(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._CompanyLocation_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locale":

			out.Values[i] = ec._CompanyLocation_locale(ctx, field, obj)

		case "market":

			out.Values[i] = ec._CompanyLocation_market(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._CompanyLocation_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "note":

			out.Values[i] = ec._CompanyLocation_note(ctx, field, obj)

		case "orderCount":

			out.Values[i] = ec._CompanyLocation_orderCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "orders":

			out.Values[i] = ec._CompanyLocation_orders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "phone":

			out.Values[i] = ec._CompanyLocation_phone(ctx, field, obj)

		case "roleAssignments":

			out.Values[i] = ec._CompanyLocation_roleAssignments(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "shippingAddress":

			out.Values[i] = ec._CompanyLocation_shippingAddress(ctx, field, obj)

		case "taxExemptions":

			out.Values[i] = ec._CompanyLocation_taxExemptions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxRegistrationId":

			out.Values[i] = ec._CompanyLocation_taxRegistrationId(ctx, field, obj)

		case "totalSpent":

			out.Values[i] = ec._CompanyLocation_totalSpent(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._CompanyLocation_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyLocationConnectionImplementors = []string{"CompanyLocationConnection"}

func (ec *executionContext) _CompanyLocationConnection(ctx context.Context, sel ast.SelectionSet, obj *CompanyLocationConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyLocationConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyLocationConnection")
		case "edges":

			out.Values[i] = ec._CompanyLocationConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CompanyLocationConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CompanyLocationConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var companyLocationEdgeImplementors = []string{"CompanyLocationEdge"}

func (ec *executionContext) _CompanyLocationEdge(ctx context.Context, sel ast.SelectionSet, obj *CompanyLocationEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, companyLocationEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CompanyLocationEdge")
		case "cursor":

			out.Values[i] = ec._CompanyLocationEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CompanyLocationEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var countriesInShippingZonesImplementors = []string{"CountriesInShippingZones"}

func (ec *executionContext) _CountriesInShippingZones(ctx context.Context, sel ast.SelectionSet, obj *CountriesInShippingZones) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, countriesInShippingZonesImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CountriesInShippingZones")
		case "countryCodes":

			out.Values[i] = ec._CountriesInShippingZones_countryCodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "includeRestOfWorld":

			out.Values[i] = ec._CountriesInShippingZones_includeRestOfWorld(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var countryHarmonizedSystemCodeImplementors = []string{"CountryHarmonizedSystemCode"}

func (ec *executionContext) _CountryHarmonizedSystemCode(ctx context.Context, sel ast.SelectionSet, obj *CountryHarmonizedSystemCode) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, countryHarmonizedSystemCodeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CountryHarmonizedSystemCode")
		case "countryCode":

			out.Values[i] = ec._CountryHarmonizedSystemCode_countryCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "harmonizedSystemCode":

			out.Values[i] = ec._CountryHarmonizedSystemCode_harmonizedSystemCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var countryHarmonizedSystemCodeConnectionImplementors = []string{"CountryHarmonizedSystemCodeConnection"}

func (ec *executionContext) _CountryHarmonizedSystemCodeConnection(ctx context.Context, sel ast.SelectionSet, obj *CountryHarmonizedSystemCodeConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, countryHarmonizedSystemCodeConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CountryHarmonizedSystemCodeConnection")
		case "edges":

			out.Values[i] = ec._CountryHarmonizedSystemCodeConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CountryHarmonizedSystemCodeConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CountryHarmonizedSystemCodeConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var countryHarmonizedSystemCodeEdgeImplementors = []string{"CountryHarmonizedSystemCodeEdge"}

func (ec *executionContext) _CountryHarmonizedSystemCodeEdge(ctx context.Context, sel ast.SelectionSet, obj *CountryHarmonizedSystemCodeEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, countryHarmonizedSystemCodeEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CountryHarmonizedSystemCodeEdge")
		case "cursor":

			out.Values[i] = ec._CountryHarmonizedSystemCodeEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CountryHarmonizedSystemCodeEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var currencyFormatsImplementors = []string{"CurrencyFormats"}

func (ec *executionContext) _CurrencyFormats(ctx context.Context, sel ast.SelectionSet, obj *CurrencyFormats) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, currencyFormatsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CurrencyFormats")
		case "moneyFormat":

			out.Values[i] = ec._CurrencyFormats_moneyFormat(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "moneyInEmailsFormat":

			out.Values[i] = ec._CurrencyFormats_moneyInEmailsFormat(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "moneyWithCurrencyFormat":

			out.Values[i] = ec._CurrencyFormats_moneyWithCurrencyFormat(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "moneyWithCurrencyInEmailsFormat":

			out.Values[i] = ec._CurrencyFormats_moneyWithCurrencyInEmailsFormat(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var currencySettingImplementors = []string{"CurrencySetting"}

func (ec *executionContext) _CurrencySetting(ctx context.Context, sel ast.SelectionSet, obj *CurrencySetting) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, currencySettingImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CurrencySetting")
		case "currencyCode":

			out.Values[i] = ec._CurrencySetting_currencyCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currencyName":

			out.Values[i] = ec._CurrencySetting_currencyName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "enabled":

			out.Values[i] = ec._CurrencySetting_enabled(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rateUpdatedAt":

			out.Values[i] = ec._CurrencySetting_rateUpdatedAt(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var currencySettingConnectionImplementors = []string{"CurrencySettingConnection"}

func (ec *executionContext) _CurrencySettingConnection(ctx context.Context, sel ast.SelectionSet, obj *CurrencySettingConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, currencySettingConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CurrencySettingConnection")
		case "edges":

			out.Values[i] = ec._CurrencySettingConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CurrencySettingConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CurrencySettingConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var currencySettingEdgeImplementors = []string{"CurrencySettingEdge"}

func (ec *executionContext) _CurrencySettingEdge(ctx context.Context, sel ast.SelectionSet, obj *CurrencySettingEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, currencySettingEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CurrencySettingEdge")
		case "cursor":

			out.Values[i] = ec._CurrencySettingEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CurrencySettingEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerImplementors = []string{"Customer", "CommentEventEmbed", "PurchasingEntity", "_Entity"}

func (ec *executionContext) _Customer(ctx context.Context, sel ast.SelectionSet, obj *Customer) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Customer")
		case "id":

			out.Values[i] = ec._Customer_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerCreditCardImplementors = []string{"CustomerCreditCard", "CustomerPaymentInstrument"}

func (ec *executionContext) _CustomerCreditCard(ctx context.Context, sel ast.SelectionSet, obj *CustomerCreditCard) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerCreditCardImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerCreditCard")
		case "billingAddress":

			out.Values[i] = ec._CustomerCreditCard_billingAddress(ctx, field, obj)

		case "brand":

			out.Values[i] = ec._CustomerCreditCard_brand(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expiresSoon":

			out.Values[i] = ec._CustomerCreditCard_expiresSoon(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expiryMonth":

			out.Values[i] = ec._CustomerCreditCard_expiryMonth(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expiryYear":

			out.Values[i] = ec._CustomerCreditCard_expiryYear(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "firstDigits":

			out.Values[i] = ec._CustomerCreditCard_firstDigits(ctx, field, obj)

		case "isRevocable":

			out.Values[i] = ec._CustomerCreditCard_isRevocable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lastDigits":

			out.Values[i] = ec._CustomerCreditCard_lastDigits(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maskedNumber":

			out.Values[i] = ec._CustomerCreditCard_maskedNumber(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._CustomerCreditCard_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "source":

			out.Values[i] = ec._CustomerCreditCard_source(ctx, field, obj)

		case "virtualLastDigits":

			out.Values[i] = ec._CustomerCreditCard_virtualLastDigits(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerCreditCardBillingAddressImplementors = []string{"CustomerCreditCardBillingAddress"}

func (ec *executionContext) _CustomerCreditCardBillingAddress(ctx context.Context, sel ast.SelectionSet, obj *CustomerCreditCardBillingAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerCreditCardBillingAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerCreditCardBillingAddress")
		case "address1":

			out.Values[i] = ec._CustomerCreditCardBillingAddress_address1(ctx, field, obj)

		case "city":

			out.Values[i] = ec._CustomerCreditCardBillingAddress_city(ctx, field, obj)

		case "country":

			out.Values[i] = ec._CustomerCreditCardBillingAddress_country(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._CustomerCreditCardBillingAddress_countryCode(ctx, field, obj)

		case "province":

			out.Values[i] = ec._CustomerCreditCardBillingAddress_province(ctx, field, obj)

		case "provinceCode":

			out.Values[i] = ec._CustomerCreditCardBillingAddress_provinceCode(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._CustomerCreditCardBillingAddress_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerEmailMarketingConsentStateImplementors = []string{"CustomerEmailMarketingConsentState"}

func (ec *executionContext) _CustomerEmailMarketingConsentState(ctx context.Context, sel ast.SelectionSet, obj *CustomerEmailMarketingConsentState) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerEmailMarketingConsentStateImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerEmailMarketingConsentState")
		case "consentUpdatedAt":

			out.Values[i] = ec._CustomerEmailMarketingConsentState_consentUpdatedAt(ctx, field, obj)

		case "marketingOptInLevel":

			out.Values[i] = ec._CustomerEmailMarketingConsentState_marketingOptInLevel(ctx, field, obj)

		case "marketingState":

			out.Values[i] = ec._CustomerEmailMarketingConsentState_marketingState(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerJourneySummaryImplementors = []string{"CustomerJourneySummary"}

func (ec *executionContext) _CustomerJourneySummary(ctx context.Context, sel ast.SelectionSet, obj *CustomerJourneySummary) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerJourneySummaryImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerJourneySummary")
		case "customerOrderIndex":

			out.Values[i] = ec._CustomerJourneySummary_customerOrderIndex(ctx, field, obj)

		case "daysToConversion":

			out.Values[i] = ec._CustomerJourneySummary_daysToConversion(ctx, field, obj)

		case "firstVisit":

			out.Values[i] = ec._CustomerJourneySummary_firstVisit(ctx, field, obj)

		case "lastVisit":

			out.Values[i] = ec._CustomerJourneySummary_lastVisit(ctx, field, obj)

		case "moments":

			out.Values[i] = ec._CustomerJourneySummary_moments(ctx, field, obj)

		case "momentsCount":

			out.Values[i] = ec._CustomerJourneySummary_momentsCount(ctx, field, obj)

		case "ready":

			out.Values[i] = ec._CustomerJourneySummary_ready(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerMomentConnectionImplementors = []string{"CustomerMomentConnection"}

func (ec *executionContext) _CustomerMomentConnection(ctx context.Context, sel ast.SelectionSet, obj *CustomerMomentConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerMomentConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerMomentConnection")
		case "edges":

			out.Values[i] = ec._CustomerMomentConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CustomerMomentConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CustomerMomentConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerMomentEdgeImplementors = []string{"CustomerMomentEdge"}

func (ec *executionContext) _CustomerMomentEdge(ctx context.Context, sel ast.SelectionSet, obj *CustomerMomentEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerMomentEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerMomentEdge")
		case "cursor":

			out.Values[i] = ec._CustomerMomentEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CustomerMomentEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerPaymentInstrumentBillingAddressImplementors = []string{"CustomerPaymentInstrumentBillingAddress"}

func (ec *executionContext) _CustomerPaymentInstrumentBillingAddress(ctx context.Context, sel ast.SelectionSet, obj *CustomerPaymentInstrumentBillingAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerPaymentInstrumentBillingAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerPaymentInstrumentBillingAddress")
		case "address1":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_address1(ctx, field, obj)

		case "city":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_city(ctx, field, obj)

		case "country":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_country(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_countryCode(ctx, field, obj)

		case "name":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_name(ctx, field, obj)

		case "province":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_province(ctx, field, obj)

		case "provinceCode":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_provinceCode(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._CustomerPaymentInstrumentBillingAddress_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerPaymentMethodImplementors = []string{"CustomerPaymentMethod", "Node"}

func (ec *executionContext) _CustomerPaymentMethod(ctx context.Context, sel ast.SelectionSet, obj *CustomerPaymentMethod) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerPaymentMethodImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerPaymentMethod")
		case "customer":

			out.Values[i] = ec._CustomerPaymentMethod_customer(ctx, field, obj)

		case "id":

			out.Values[i] = ec._CustomerPaymentMethod_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "instrument":

			out.Values[i] = ec._CustomerPaymentMethod_instrument(ctx, field, obj)

		case "revokedAt":

			out.Values[i] = ec._CustomerPaymentMethod_revokedAt(ctx, field, obj)

		case "revokedReason":

			out.Values[i] = ec._CustomerPaymentMethod_revokedReason(ctx, field, obj)

		case "subscriptionContracts":

			out.Values[i] = ec._CustomerPaymentMethod_subscriptionContracts(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerPaymentMethodConnectionImplementors = []string{"CustomerPaymentMethodConnection"}

func (ec *executionContext) _CustomerPaymentMethodConnection(ctx context.Context, sel ast.SelectionSet, obj *CustomerPaymentMethodConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerPaymentMethodConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerPaymentMethodConnection")
		case "edges":

			out.Values[i] = ec._CustomerPaymentMethodConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._CustomerPaymentMethodConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._CustomerPaymentMethodConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerPaymentMethodEdgeImplementors = []string{"CustomerPaymentMethodEdge"}

func (ec *executionContext) _CustomerPaymentMethodEdge(ctx context.Context, sel ast.SelectionSet, obj *CustomerPaymentMethodEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerPaymentMethodEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerPaymentMethodEdge")
		case "cursor":

			out.Values[i] = ec._CustomerPaymentMethodEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._CustomerPaymentMethodEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerPaypalBillingAgreementImplementors = []string{"CustomerPaypalBillingAgreement", "CustomerPaymentInstrument"}

func (ec *executionContext) _CustomerPaypalBillingAgreement(ctx context.Context, sel ast.SelectionSet, obj *CustomerPaypalBillingAgreement) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerPaypalBillingAgreementImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerPaypalBillingAgreement")
		case "billingAddress":

			out.Values[i] = ec._CustomerPaypalBillingAgreement_billingAddress(ctx, field, obj)

		case "inactive":

			out.Values[i] = ec._CustomerPaypalBillingAgreement_inactive(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isRevocable":

			out.Values[i] = ec._CustomerPaypalBillingAgreement_isRevocable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paypalAccountEmail":

			out.Values[i] = ec._CustomerPaypalBillingAgreement_paypalAccountEmail(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerShopPayAgreementImplementors = []string{"CustomerShopPayAgreement", "CustomerPaymentInstrument"}

func (ec *executionContext) _CustomerShopPayAgreement(ctx context.Context, sel ast.SelectionSet, obj *CustomerShopPayAgreement) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerShopPayAgreementImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerShopPayAgreement")
		case "expiresSoon":

			out.Values[i] = ec._CustomerShopPayAgreement_expiresSoon(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expiryMonth":

			out.Values[i] = ec._CustomerShopPayAgreement_expiryMonth(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expiryYear":

			out.Values[i] = ec._CustomerShopPayAgreement_expiryYear(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "inactive":

			out.Values[i] = ec._CustomerShopPayAgreement_inactive(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isRevocable":

			out.Values[i] = ec._CustomerShopPayAgreement_isRevocable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lastDigits":

			out.Values[i] = ec._CustomerShopPayAgreement_lastDigits(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maskedNumber":

			out.Values[i] = ec._CustomerShopPayAgreement_maskedNumber(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._CustomerShopPayAgreement_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerSmsMarketingConsentStateImplementors = []string{"CustomerSmsMarketingConsentState"}

func (ec *executionContext) _CustomerSmsMarketingConsentState(ctx context.Context, sel ast.SelectionSet, obj *CustomerSmsMarketingConsentState) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerSmsMarketingConsentStateImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerSmsMarketingConsentState")
		case "consentCollectedFrom":

			out.Values[i] = ec._CustomerSmsMarketingConsentState_consentCollectedFrom(ctx, field, obj)

		case "consentUpdatedAt":

			out.Values[i] = ec._CustomerSmsMarketingConsentState_consentUpdatedAt(ctx, field, obj)

		case "marketingOptInLevel":

			out.Values[i] = ec._CustomerSmsMarketingConsentState_marketingOptInLevel(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "marketingState":

			out.Values[i] = ec._CustomerSmsMarketingConsentState_marketingState(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerStatisticsImplementors = []string{"CustomerStatistics"}

func (ec *executionContext) _CustomerStatistics(ctx context.Context, sel ast.SelectionSet, obj *CustomerStatistics) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerStatisticsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerStatistics")
		case "predictedSpendTier":

			out.Values[i] = ec._CustomerStatistics_predictedSpendTier(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var customerVisitImplementors = []string{"CustomerVisit", "CustomerMoment", "Node"}

func (ec *executionContext) _CustomerVisit(ctx context.Context, sel ast.SelectionSet, obj *CustomerVisit) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, customerVisitImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("CustomerVisit")
		case "id":

			out.Values[i] = ec._CustomerVisit_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "landingPage":

			out.Values[i] = ec._CustomerVisit_landingPage(ctx, field, obj)

		case "landingPageHtml":

			out.Values[i] = ec._CustomerVisit_landingPageHtml(ctx, field, obj)

		case "marketingEvent":

			out.Values[i] = ec._CustomerVisit_marketingEvent(ctx, field, obj)

		case "occurredAt":

			out.Values[i] = ec._CustomerVisit_occurredAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "referralCode":

			out.Values[i] = ec._CustomerVisit_referralCode(ctx, field, obj)

		case "referralInfoHtml":

			out.Values[i] = ec._CustomerVisit_referralInfoHtml(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "referrerUrl":

			out.Values[i] = ec._CustomerVisit_referrerUrl(ctx, field, obj)

		case "source":

			out.Values[i] = ec._CustomerVisit_source(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sourceDescription":

			out.Values[i] = ec._CustomerVisit_sourceDescription(ctx, field, obj)

		case "sourceType":

			out.Values[i] = ec._CustomerVisit_sourceType(ctx, field, obj)

		case "utmParameters":

			out.Values[i] = ec._CustomerVisit_utmParameters(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryAvailableServiceImplementors = []string{"DeliveryAvailableService"}

func (ec *executionContext) _DeliveryAvailableService(ctx context.Context, sel ast.SelectionSet, obj *DeliveryAvailableService) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryAvailableServiceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryAvailableService")
		case "countries":

			out.Values[i] = ec._DeliveryAvailableService_countries(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryAvailableService_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryCarrierServiceImplementors = []string{"DeliveryCarrierService", "Node"}

func (ec *executionContext) _DeliveryCarrierService(ctx context.Context, sel ast.SelectionSet, obj *DeliveryCarrierService) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryCarrierServiceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryCarrierService")
		case "availableServicesForCountries":

			out.Values[i] = ec._DeliveryCarrierService_availableServicesForCountries(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "formattedName":

			out.Values[i] = ec._DeliveryCarrierService_formattedName(ctx, field, obj)

		case "icon":

			out.Values[i] = ec._DeliveryCarrierService_icon(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._DeliveryCarrierService_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryCarrierService_name(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryConditionImplementors = []string{"DeliveryCondition", "Node"}

func (ec *executionContext) _DeliveryCondition(ctx context.Context, sel ast.SelectionSet, obj *DeliveryCondition) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryConditionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryCondition")
		case "conditionCriteria":

			out.Values[i] = ec._DeliveryCondition_conditionCriteria(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "field":

			out.Values[i] = ec._DeliveryCondition_field(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._DeliveryCondition_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "operator":

			out.Values[i] = ec._DeliveryCondition_operator(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryCountryImplementors = []string{"DeliveryCountry", "Node"}

func (ec *executionContext) _DeliveryCountry(ctx context.Context, sel ast.SelectionSet, obj *DeliveryCountry) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryCountryImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryCountry")
		case "code":

			out.Values[i] = ec._DeliveryCountry_code(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._DeliveryCountry_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryCountry_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "provinces":

			out.Values[i] = ec._DeliveryCountry_provinces(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "translatedName":

			out.Values[i] = ec._DeliveryCountry_translatedName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryCountryAndZoneImplementors = []string{"DeliveryCountryAndZone"}

func (ec *executionContext) _DeliveryCountryAndZone(ctx context.Context, sel ast.SelectionSet, obj *DeliveryCountryAndZone) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryCountryAndZoneImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryCountryAndZone")
		case "country":

			out.Values[i] = ec._DeliveryCountryAndZone_country(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "zone":

			out.Values[i] = ec._DeliveryCountryAndZone_zone(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryCountryCodeOrRestOfWorldImplementors = []string{"DeliveryCountryCodeOrRestOfWorld"}

func (ec *executionContext) _DeliveryCountryCodeOrRestOfWorld(ctx context.Context, sel ast.SelectionSet, obj *DeliveryCountryCodeOrRestOfWorld) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryCountryCodeOrRestOfWorldImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryCountryCodeOrRestOfWorld")
		case "countryCode":

			out.Values[i] = ec._DeliveryCountryCodeOrRestOfWorld_countryCode(ctx, field, obj)

		case "restOfWorld":

			out.Values[i] = ec._DeliveryCountryCodeOrRestOfWorld_restOfWorld(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryCountryCodesOrRestOfWorldImplementors = []string{"DeliveryCountryCodesOrRestOfWorld"}

func (ec *executionContext) _DeliveryCountryCodesOrRestOfWorld(ctx context.Context, sel ast.SelectionSet, obj *DeliveryCountryCodesOrRestOfWorld) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryCountryCodesOrRestOfWorldImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryCountryCodesOrRestOfWorld")
		case "countryCodes":

			out.Values[i] = ec._DeliveryCountryCodesOrRestOfWorld_countryCodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "restOfWorld":

			out.Values[i] = ec._DeliveryCountryCodesOrRestOfWorld_restOfWorld(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryLocationGroupImplementors = []string{"DeliveryLocationGroup", "Node"}

func (ec *executionContext) _DeliveryLocationGroup(ctx context.Context, sel ast.SelectionSet, obj *DeliveryLocationGroup) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryLocationGroupImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryLocationGroup")
		case "id":

			out.Values[i] = ec._DeliveryLocationGroup_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locations":

			out.Values[i] = ec._DeliveryLocationGroup_locations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryLocationGroupZoneImplementors = []string{"DeliveryLocationGroupZone"}

func (ec *executionContext) _DeliveryLocationGroupZone(ctx context.Context, sel ast.SelectionSet, obj *DeliveryLocationGroupZone) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryLocationGroupZoneImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryLocationGroupZone")
		case "methodDefinitionCounts":

			out.Values[i] = ec._DeliveryLocationGroupZone_methodDefinitionCounts(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "methodDefinitions":

			out.Values[i] = ec._DeliveryLocationGroupZone_methodDefinitions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "zone":

			out.Values[i] = ec._DeliveryLocationGroupZone_zone(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryLocationGroupZoneConnectionImplementors = []string{"DeliveryLocationGroupZoneConnection"}

func (ec *executionContext) _DeliveryLocationGroupZoneConnection(ctx context.Context, sel ast.SelectionSet, obj *DeliveryLocationGroupZoneConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryLocationGroupZoneConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryLocationGroupZoneConnection")
		case "edges":

			out.Values[i] = ec._DeliveryLocationGroupZoneConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._DeliveryLocationGroupZoneConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._DeliveryLocationGroupZoneConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryLocationGroupZoneEdgeImplementors = []string{"DeliveryLocationGroupZoneEdge"}

func (ec *executionContext) _DeliveryLocationGroupZoneEdge(ctx context.Context, sel ast.SelectionSet, obj *DeliveryLocationGroupZoneEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryLocationGroupZoneEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryLocationGroupZoneEdge")
		case "cursor":

			out.Values[i] = ec._DeliveryLocationGroupZoneEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._DeliveryLocationGroupZoneEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryMethodImplementors = []string{"DeliveryMethod", "Node"}

func (ec *executionContext) _DeliveryMethod(ctx context.Context, sel ast.SelectionSet, obj *DeliveryMethod) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryMethodImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryMethod")
		case "id":

			out.Values[i] = ec._DeliveryMethod_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maxDeliveryDateTime":

			out.Values[i] = ec._DeliveryMethod_maxDeliveryDateTime(ctx, field, obj)

		case "methodType":

			out.Values[i] = ec._DeliveryMethod_methodType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "minDeliveryDateTime":

			out.Values[i] = ec._DeliveryMethod_minDeliveryDateTime(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryMethodDefinitionImplementors = []string{"DeliveryMethodDefinition", "Node"}

func (ec *executionContext) _DeliveryMethodDefinition(ctx context.Context, sel ast.SelectionSet, obj *DeliveryMethodDefinition) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryMethodDefinitionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryMethodDefinition")
		case "active":

			out.Values[i] = ec._DeliveryMethodDefinition_active(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._DeliveryMethodDefinition_description(ctx, field, obj)

		case "id":

			out.Values[i] = ec._DeliveryMethodDefinition_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "methodConditions":

			out.Values[i] = ec._DeliveryMethodDefinition_methodConditions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryMethodDefinition_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rateProvider":

			out.Values[i] = ec._DeliveryMethodDefinition_rateProvider(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryMethodDefinitionConnectionImplementors = []string{"DeliveryMethodDefinitionConnection"}

func (ec *executionContext) _DeliveryMethodDefinitionConnection(ctx context.Context, sel ast.SelectionSet, obj *DeliveryMethodDefinitionConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryMethodDefinitionConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryMethodDefinitionConnection")
		case "edges":

			out.Values[i] = ec._DeliveryMethodDefinitionConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._DeliveryMethodDefinitionConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._DeliveryMethodDefinitionConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryMethodDefinitionCountsImplementors = []string{"DeliveryMethodDefinitionCounts"}

func (ec *executionContext) _DeliveryMethodDefinitionCounts(ctx context.Context, sel ast.SelectionSet, obj *DeliveryMethodDefinitionCounts) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryMethodDefinitionCountsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryMethodDefinitionCounts")
		case "participantDefinitionsCount":

			out.Values[i] = ec._DeliveryMethodDefinitionCounts_participantDefinitionsCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rateDefinitionsCount":

			out.Values[i] = ec._DeliveryMethodDefinitionCounts_rateDefinitionsCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryMethodDefinitionEdgeImplementors = []string{"DeliveryMethodDefinitionEdge"}

func (ec *executionContext) _DeliveryMethodDefinitionEdge(ctx context.Context, sel ast.SelectionSet, obj *DeliveryMethodDefinitionEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryMethodDefinitionEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryMethodDefinitionEdge")
		case "cursor":

			out.Values[i] = ec._DeliveryMethodDefinitionEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._DeliveryMethodDefinitionEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryParticipantImplementors = []string{"DeliveryParticipant", "Node", "DeliveryRateProvider"}

func (ec *executionContext) _DeliveryParticipant(ctx context.Context, sel ast.SelectionSet, obj *DeliveryParticipant) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryParticipantImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryParticipant")
		case "adaptToNewServicesFlag":

			out.Values[i] = ec._DeliveryParticipant_adaptToNewServicesFlag(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "carrierService":

			out.Values[i] = ec._DeliveryParticipant_carrierService(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fixedFee":

			out.Values[i] = ec._DeliveryParticipant_fixedFee(ctx, field, obj)

		case "id":

			out.Values[i] = ec._DeliveryParticipant_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "participantServices":

			out.Values[i] = ec._DeliveryParticipant_participantServices(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "percentageOfRateFee":

			out.Values[i] = ec._DeliveryParticipant_percentageOfRateFee(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryParticipantServiceImplementors = []string{"DeliveryParticipantService"}

func (ec *executionContext) _DeliveryParticipantService(ctx context.Context, sel ast.SelectionSet, obj *DeliveryParticipantService) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryParticipantServiceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryParticipantService")
		case "active":

			out.Values[i] = ec._DeliveryParticipantService_active(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryParticipantService_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryProductVariantsCountImplementors = []string{"DeliveryProductVariantsCount"}

func (ec *executionContext) _DeliveryProductVariantsCount(ctx context.Context, sel ast.SelectionSet, obj *DeliveryProductVariantsCount) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryProductVariantsCountImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryProductVariantsCount")
		case "capped":

			out.Values[i] = ec._DeliveryProductVariantsCount_capped(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "count":

			out.Values[i] = ec._DeliveryProductVariantsCount_count(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryProfileImplementors = []string{"DeliveryProfile", "Node"}

func (ec *executionContext) _DeliveryProfile(ctx context.Context, sel ast.SelectionSet, obj *DeliveryProfile) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryProfileImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryProfile")
		case "activeMethodDefinitionsCount":

			out.Values[i] = ec._DeliveryProfile_activeMethodDefinitionsCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "default":

			out.Values[i] = ec._DeliveryProfile_default(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._DeliveryProfile_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyMode":

			out.Values[i] = ec._DeliveryProfile_legacyMode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locationsWithoutRatesCount":

			out.Values[i] = ec._DeliveryProfile_locationsWithoutRatesCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryProfile_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originLocationCount":

			out.Values[i] = ec._DeliveryProfile_originLocationCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "productVariantsCountV2":

			out.Values[i] = ec._DeliveryProfile_productVariantsCountV2(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "profileItems":

			out.Values[i] = ec._DeliveryProfile_profileItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "profileLocationGroups":

			out.Values[i] = ec._DeliveryProfile_profileLocationGroups(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sellingPlanGroups":

			out.Values[i] = ec._DeliveryProfile_sellingPlanGroups(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "unassignedLocations":

			out.Values[i] = ec._DeliveryProfile_unassignedLocations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "zoneCountryCount":

			out.Values[i] = ec._DeliveryProfile_zoneCountryCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryProfileItemImplementors = []string{"DeliveryProfileItem", "Node"}

func (ec *executionContext) _DeliveryProfileItem(ctx context.Context, sel ast.SelectionSet, obj *DeliveryProfileItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryProfileItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryProfileItem")
		case "id":

			out.Values[i] = ec._DeliveryProfileItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "product":

			out.Values[i] = ec._DeliveryProfileItem_product(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "variants":

			out.Values[i] = ec._DeliveryProfileItem_variants(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryProfileItemConnectionImplementors = []string{"DeliveryProfileItemConnection"}

func (ec *executionContext) _DeliveryProfileItemConnection(ctx context.Context, sel ast.SelectionSet, obj *DeliveryProfileItemConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryProfileItemConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryProfileItemConnection")
		case "edges":

			out.Values[i] = ec._DeliveryProfileItemConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._DeliveryProfileItemConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._DeliveryProfileItemConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryProfileItemEdgeImplementors = []string{"DeliveryProfileItemEdge"}

func (ec *executionContext) _DeliveryProfileItemEdge(ctx context.Context, sel ast.SelectionSet, obj *DeliveryProfileItemEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryProfileItemEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryProfileItemEdge")
		case "cursor":

			out.Values[i] = ec._DeliveryProfileItemEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._DeliveryProfileItemEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryProfileLocationGroupImplementors = []string{"DeliveryProfileLocationGroup"}

func (ec *executionContext) _DeliveryProfileLocationGroup(ctx context.Context, sel ast.SelectionSet, obj *DeliveryProfileLocationGroup) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryProfileLocationGroupImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryProfileLocationGroup")
		case "countriesInAnyZone":

			out.Values[i] = ec._DeliveryProfileLocationGroup_countriesInAnyZone(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locationGroup":

			out.Values[i] = ec._DeliveryProfileLocationGroup_locationGroup(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locationGroupZones":

			out.Values[i] = ec._DeliveryProfileLocationGroup_locationGroupZones(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryProvinceImplementors = []string{"DeliveryProvince", "Node"}

func (ec *executionContext) _DeliveryProvince(ctx context.Context, sel ast.SelectionSet, obj *DeliveryProvince) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryProvinceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryProvince")
		case "code":

			out.Values[i] = ec._DeliveryProvince_code(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._DeliveryProvince_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryProvince_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "translatedName":

			out.Values[i] = ec._DeliveryProvince_translatedName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryRateDefinitionImplementors = []string{"DeliveryRateDefinition", "Node", "DeliveryRateProvider"}

func (ec *executionContext) _DeliveryRateDefinition(ctx context.Context, sel ast.SelectionSet, obj *DeliveryRateDefinition) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryRateDefinitionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryRateDefinition")
		case "id":

			out.Values[i] = ec._DeliveryRateDefinition_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "price":

			out.Values[i] = ec._DeliveryRateDefinition_price(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var deliveryZoneImplementors = []string{"DeliveryZone", "Node"}

func (ec *executionContext) _DeliveryZone(ctx context.Context, sel ast.SelectionSet, obj *DeliveryZone) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, deliveryZoneImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DeliveryZone")
		case "countries":

			out.Values[i] = ec._DeliveryZone_countries(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._DeliveryZone_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DeliveryZone_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var discountAllocationImplementors = []string{"DiscountAllocation"}

func (ec *executionContext) _DiscountAllocation(ctx context.Context, sel ast.SelectionSet, obj *DiscountAllocation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, discountAllocationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DiscountAllocation")
		case "allocatedAmountSet":

			out.Values[i] = ec._DiscountAllocation_allocatedAmountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountApplication":

			out.Values[i] = ec._DiscountAllocation_discountApplication(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var discountApplicationConnectionImplementors = []string{"DiscountApplicationConnection"}

func (ec *executionContext) _DiscountApplicationConnection(ctx context.Context, sel ast.SelectionSet, obj *DiscountApplicationConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, discountApplicationConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DiscountApplicationConnection")
		case "edges":

			out.Values[i] = ec._DiscountApplicationConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._DiscountApplicationConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._DiscountApplicationConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var discountApplicationEdgeImplementors = []string{"DiscountApplicationEdge"}

func (ec *executionContext) _DiscountApplicationEdge(ctx context.Context, sel ast.SelectionSet, obj *DiscountApplicationEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, discountApplicationEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DiscountApplicationEdge")
		case "cursor":

			out.Values[i] = ec._DiscountApplicationEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._DiscountApplicationEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var discountCodeApplicationImplementors = []string{"DiscountCodeApplication", "DiscountApplication"}

func (ec *executionContext) _DiscountCodeApplication(ctx context.Context, sel ast.SelectionSet, obj *DiscountCodeApplication) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, discountCodeApplicationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DiscountCodeApplication")
		case "allocationMethod":

			out.Values[i] = ec._DiscountCodeApplication_allocationMethod(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "code":

			out.Values[i] = ec._DiscountCodeApplication_code(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "index":

			out.Values[i] = ec._DiscountCodeApplication_index(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetSelection":

			out.Values[i] = ec._DiscountCodeApplication_targetSelection(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetType":

			out.Values[i] = ec._DiscountCodeApplication_targetType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._DiscountCodeApplication_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var domainImplementors = []string{"Domain", "Node"}

func (ec *executionContext) _Domain(ctx context.Context, sel ast.SelectionSet, obj *Domain) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, domainImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Domain")
		case "host":

			out.Values[i] = ec._Domain_host(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._Domain_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "localization":

			out.Values[i] = ec._Domain_localization(ctx, field, obj)

		case "marketWebPresence":

			out.Values[i] = ec._Domain_marketWebPresence(ctx, field, obj)

		case "sslEnabled":

			out.Values[i] = ec._Domain_sslEnabled(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._Domain_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var domainLocalizationImplementors = []string{"DomainLocalization"}

func (ec *executionContext) _DomainLocalization(ctx context.Context, sel ast.SelectionSet, obj *DomainLocalization) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, domainLocalizationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DomainLocalization")
		case "alternateLocales":

			out.Values[i] = ec._DomainLocalization_alternateLocales(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "country":

			out.Values[i] = ec._DomainLocalization_country(ctx, field, obj)

		case "defaultLocale":

			out.Values[i] = ec._DomainLocalization_defaultLocale(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var draftOrderImplementors = []string{"DraftOrder", "CommentEventSubject", "HasEvents", "HasLocalizationExtensions", "HasMetafields", "LegacyInteroperability", "Navigable", "Node", "CommentEventEmbed", "_Entity"}

func (ec *executionContext) _DraftOrder(ctx context.Context, sel ast.SelectionSet, obj *DraftOrder) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, draftOrderImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DraftOrder")
		case "appliedDiscount":

			out.Values[i] = ec._DraftOrder_appliedDiscount(ctx, field, obj)

		case "billingAddress":

			out.Values[i] = ec._DraftOrder_billingAddress(ctx, field, obj)

		case "billingAddressMatchesShippingAddress":

			out.Values[i] = ec._DraftOrder_billingAddressMatchesShippingAddress(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "completedAt":

			out.Values[i] = ec._DraftOrder_completedAt(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._DraftOrder_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currencyCode":

			out.Values[i] = ec._DraftOrder_currencyCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customAttributes":

			out.Values[i] = ec._DraftOrder_customAttributes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customer":

			out.Values[i] = ec._DraftOrder_customer(ctx, field, obj)

		case "defaultCursor":

			out.Values[i] = ec._DraftOrder_defaultCursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "email":

			out.Values[i] = ec._DraftOrder_email(ctx, field, obj)

		case "events":

			out.Values[i] = ec._DraftOrder_events(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "hasTimelineComment":

			out.Values[i] = ec._DraftOrder_hasTimelineComment(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._DraftOrder_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "invoiceEmailTemplateSubject":

			out.Values[i] = ec._DraftOrder_invoiceEmailTemplateSubject(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "invoiceSentAt":

			out.Values[i] = ec._DraftOrder_invoiceSentAt(ctx, field, obj)

		case "invoiceUrl":

			out.Values[i] = ec._DraftOrder_invoiceUrl(ctx, field, obj)

		case "legacyResourceId":

			out.Values[i] = ec._DraftOrder_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lineItems":

			out.Values[i] = ec._DraftOrder_lineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lineItemsSubtotalPrice":

			out.Values[i] = ec._DraftOrder_lineItemsSubtotalPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "localizationExtensions":

			out.Values[i] = ec._DraftOrder_localizationExtensions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "marketName":

			out.Values[i] = ec._DraftOrder_marketName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "marketRegionCountryCode":

			out.Values[i] = ec._DraftOrder_marketRegionCountryCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "metafield":

			out.Values[i] = ec._DraftOrder_metafield(ctx, field, obj)

		case "metafields":

			out.Values[i] = ec._DraftOrder_metafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DraftOrder_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "note2":

			out.Values[i] = ec._DraftOrder_note2(ctx, field, obj)

		case "order":

			out.Values[i] = ec._DraftOrder_order(ctx, field, obj)

		case "paymentTerms":

			out.Values[i] = ec._DraftOrder_paymentTerms(ctx, field, obj)

		case "phone":

			out.Values[i] = ec._DraftOrder_phone(ctx, field, obj)

		case "presentmentCurrencyCode":

			out.Values[i] = ec._DraftOrder_presentmentCurrencyCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "privateMetafield":

			out.Values[i] = ec._DraftOrder_privateMetafield(ctx, field, obj)

		case "privateMetafields":

			out.Values[i] = ec._DraftOrder_privateMetafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "purchasingEntity":

			out.Values[i] = ec._DraftOrder_purchasingEntity(ctx, field, obj)

		case "ready":

			out.Values[i] = ec._DraftOrder_ready(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "reserveInventoryUntil":

			out.Values[i] = ec._DraftOrder_reserveInventoryUntil(ctx, field, obj)

		case "shippingAddress":

			out.Values[i] = ec._DraftOrder_shippingAddress(ctx, field, obj)

		case "shippingLine":

			out.Values[i] = ec._DraftOrder_shippingLine(ctx, field, obj)

		case "status":

			out.Values[i] = ec._DraftOrder_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subtotalPrice":

			out.Values[i] = ec._DraftOrder_subtotalPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subtotalPriceSet":

			out.Values[i] = ec._DraftOrder_subtotalPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "tags":

			out.Values[i] = ec._DraftOrder_tags(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxExempt":

			out.Values[i] = ec._DraftOrder_taxExempt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxLines":

			out.Values[i] = ec._DraftOrder_taxLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxesIncluded":

			out.Values[i] = ec._DraftOrder_taxesIncluded(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalDiscountsSet":

			out.Values[i] = ec._DraftOrder_totalDiscountsSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalLineItemsPriceSet":

			out.Values[i] = ec._DraftOrder_totalLineItemsPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalPrice":

			out.Values[i] = ec._DraftOrder_totalPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalPriceSet":

			out.Values[i] = ec._DraftOrder_totalPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalShippingPrice":

			out.Values[i] = ec._DraftOrder_totalShippingPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalShippingPriceSet":

			out.Values[i] = ec._DraftOrder_totalShippingPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalTax":

			out.Values[i] = ec._DraftOrder_totalTax(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalTaxSet":

			out.Values[i] = ec._DraftOrder_totalTaxSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalWeight":

			out.Values[i] = ec._DraftOrder_totalWeight(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._DraftOrder_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "visibleToCustomer":

			out.Values[i] = ec._DraftOrder_visibleToCustomer(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var draftOrderAppliedDiscountImplementors = []string{"DraftOrderAppliedDiscount"}

func (ec *executionContext) _DraftOrderAppliedDiscount(ctx context.Context, sel ast.SelectionSet, obj *DraftOrderAppliedDiscount) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, draftOrderAppliedDiscountImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DraftOrderAppliedDiscount")
		case "amountSet":

			out.Values[i] = ec._DraftOrderAppliedDiscount_amountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "amountV2":

			out.Values[i] = ec._DraftOrderAppliedDiscount_amountV2(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._DraftOrderAppliedDiscount_description(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._DraftOrderAppliedDiscount_title(ctx, field, obj)

		case "value":

			out.Values[i] = ec._DraftOrderAppliedDiscount_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "valueType":

			out.Values[i] = ec._DraftOrderAppliedDiscount_valueType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var draftOrderConnectionImplementors = []string{"DraftOrderConnection"}

func (ec *executionContext) _DraftOrderConnection(ctx context.Context, sel ast.SelectionSet, obj *DraftOrderConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, draftOrderConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DraftOrderConnection")
		case "edges":

			out.Values[i] = ec._DraftOrderConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._DraftOrderConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._DraftOrderConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var draftOrderEdgeImplementors = []string{"DraftOrderEdge"}

func (ec *executionContext) _DraftOrderEdge(ctx context.Context, sel ast.SelectionSet, obj *DraftOrderEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, draftOrderEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DraftOrderEdge")
		case "cursor":

			out.Values[i] = ec._DraftOrderEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._DraftOrderEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var draftOrderLineItemImplementors = []string{"DraftOrderLineItem", "Node"}

func (ec *executionContext) _DraftOrderLineItem(ctx context.Context, sel ast.SelectionSet, obj *DraftOrderLineItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, draftOrderLineItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DraftOrderLineItem")
		case "appliedDiscount":

			out.Values[i] = ec._DraftOrderLineItem_appliedDiscount(ctx, field, obj)

		case "custom":

			out.Values[i] = ec._DraftOrderLineItem_custom(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customAttributes":

			out.Values[i] = ec._DraftOrderLineItem_customAttributes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customAttributesV2":

			out.Values[i] = ec._DraftOrderLineItem_customAttributesV2(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedTotal":

			out.Values[i] = ec._DraftOrderLineItem_discountedTotal(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedTotalSet":

			out.Values[i] = ec._DraftOrderLineItem_discountedTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedUnitPrice":

			out.Values[i] = ec._DraftOrderLineItem_discountedUnitPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedUnitPriceSet":

			out.Values[i] = ec._DraftOrderLineItem_discountedUnitPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillmentService":

			out.Values[i] = ec._DraftOrderLineItem_fulfillmentService(ctx, field, obj)

		case "id":

			out.Values[i] = ec._DraftOrderLineItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "image":

			out.Values[i] = ec._DraftOrderLineItem_image(ctx, field, obj)

		case "isGiftCard":

			out.Values[i] = ec._DraftOrderLineItem_isGiftCard(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._DraftOrderLineItem_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalTotal":

			out.Values[i] = ec._DraftOrderLineItem_originalTotal(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalTotalSet":

			out.Values[i] = ec._DraftOrderLineItem_originalTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalUnitPrice":

			out.Values[i] = ec._DraftOrderLineItem_originalUnitPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalUnitPriceSet":

			out.Values[i] = ec._DraftOrderLineItem_originalUnitPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "product":

			out.Values[i] = ec._DraftOrderLineItem_product(ctx, field, obj)

		case "quantity":

			out.Values[i] = ec._DraftOrderLineItem_quantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "requiresShipping":

			out.Values[i] = ec._DraftOrderLineItem_requiresShipping(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sku":

			out.Values[i] = ec._DraftOrderLineItem_sku(ctx, field, obj)

		case "taxLines":

			out.Values[i] = ec._DraftOrderLineItem_taxLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxable":

			out.Values[i] = ec._DraftOrderLineItem_taxable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._DraftOrderLineItem_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalDiscount":

			out.Values[i] = ec._DraftOrderLineItem_totalDiscount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalDiscountSet":

			out.Values[i] = ec._DraftOrderLineItem_totalDiscountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "variant":

			out.Values[i] = ec._DraftOrderLineItem_variant(ctx, field, obj)

		case "variantTitle":

			out.Values[i] = ec._DraftOrderLineItem_variantTitle(ctx, field, obj)

		case "vendor":

			out.Values[i] = ec._DraftOrderLineItem_vendor(ctx, field, obj)

		case "weight":

			out.Values[i] = ec._DraftOrderLineItem_weight(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var draftOrderLineItemConnectionImplementors = []string{"DraftOrderLineItemConnection"}

func (ec *executionContext) _DraftOrderLineItemConnection(ctx context.Context, sel ast.SelectionSet, obj *DraftOrderLineItemConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, draftOrderLineItemConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DraftOrderLineItemConnection")
		case "edges":

			out.Values[i] = ec._DraftOrderLineItemConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._DraftOrderLineItemConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._DraftOrderLineItemConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var draftOrderLineItemEdgeImplementors = []string{"DraftOrderLineItemEdge"}

func (ec *executionContext) _DraftOrderLineItemEdge(ctx context.Context, sel ast.SelectionSet, obj *DraftOrderLineItemEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, draftOrderLineItemEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("DraftOrderLineItemEdge")
		case "cursor":

			out.Values[i] = ec._DraftOrderLineItemEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._DraftOrderLineItemEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var dutyImplementors = []string{"Duty", "Node"}

func (ec *executionContext) _Duty(ctx context.Context, sel ast.SelectionSet, obj *Duty) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, dutyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Duty")
		case "countryCodeOfOrigin":

			out.Values[i] = ec._Duty_countryCodeOfOrigin(ctx, field, obj)

		case "harmonizedSystemCode":

			out.Values[i] = ec._Duty_harmonizedSystemCode(ctx, field, obj)

		case "id":

			out.Values[i] = ec._Duty_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "price":

			out.Values[i] = ec._Duty_price(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxLines":

			out.Values[i] = ec._Duty_taxLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var editablePropertyImplementors = []string{"EditableProperty"}

func (ec *executionContext) _EditableProperty(ctx context.Context, sel ast.SelectionSet, obj *EditableProperty) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, editablePropertyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("EditableProperty")
		case "locked":

			out.Values[i] = ec._EditableProperty_locked(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "reason":

			out.Values[i] = ec._EditableProperty_reason(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var entityImplementors = []string{"Entity"}

func (ec *executionContext) _Entity(ctx context.Context, sel ast.SelectionSet) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, entityImplementors)
	ctx = graphql.WithFieldContext(ctx, &graphql.FieldContext{
		Object: "Entity",
	})

	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		innerCtx := graphql.WithRootFieldContext(ctx, &graphql.RootFieldContext{
			Object: field.Name,
			Field:  field,
		})

		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Entity")
		case "findDraftOrderByID":
			field := field

			innerFunc := func(ctx context.Context) (res graphql.Marshaler) {
				defer func() {
					if r := recover(); r != nil {
						ec.Error(ctx, ec.Recover(ctx, r))
					}
				}()
				res = ec._Entity_findDraftOrderByID(ctx, field)
				if res == graphql.Null {
					atomic.AddUint32(&invalids, 1)
				}
				return res
			}

			rrm := func(ctx context.Context) graphql.Marshaler {
				return ec.OperationContext.RootResolverMiddleware(ctx, innerFunc)
			}

			out.Concurrently(i, func() graphql.Marshaler {
				return rrm(innerCtx)
			})
		case "findOrderByID":
			field := field

			innerFunc := func(ctx context.Context) (res graphql.Marshaler) {
				defer func() {
					if r := recover(); r != nil {
						ec.Error(ctx, ec.Recover(ctx, r))
					}
				}()
				res = ec._Entity_findOrderByID(ctx, field)
				if res == graphql.Null {
					atomic.AddUint32(&invalids, 1)
				}
				return res
			}

			rrm := func(ctx context.Context) graphql.Marshaler {
				return ec.OperationContext.RootResolverMiddleware(ctx, innerFunc)
			}

			out.Concurrently(i, func() graphql.Marshaler {
				return rrm(innerCtx)
			})
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var eventConnectionImplementors = []string{"EventConnection"}

func (ec *executionContext) _EventConnection(ctx context.Context, sel ast.SelectionSet, obj *EventConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, eventConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("EventConnection")
		case "edges":

			out.Values[i] = ec._EventConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._EventConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._EventConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var eventEdgeImplementors = []string{"EventEdge"}

func (ec *executionContext) _EventEdge(ctx context.Context, sel ast.SelectionSet, obj *EventEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, eventEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("EventEdge")
		case "cursor":

			out.Values[i] = ec._EventEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._EventEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var failedRequirementImplementors = []string{"FailedRequirement"}

func (ec *executionContext) _FailedRequirement(ctx context.Context, sel ast.SelectionSet, obj *FailedRequirement) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, failedRequirementImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FailedRequirement")
		case "action":

			out.Values[i] = ec._FailedRequirement_action(ctx, field, obj)

		case "message":

			out.Values[i] = ec._FailedRequirement_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fileErrorImplementors = []string{"FileError"}

func (ec *executionContext) _FileError(ctx context.Context, sel ast.SelectionSet, obj *FileError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fileErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FileError")
		case "code":

			out.Values[i] = ec._FileError_code(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "details":

			out.Values[i] = ec._FileError_details(ctx, field, obj)

		case "message":

			out.Values[i] = ec._FileError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var filterOptionImplementors = []string{"FilterOption"}

func (ec *executionContext) _FilterOption(ctx context.Context, sel ast.SelectionSet, obj *FilterOption) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, filterOptionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FilterOption")
		case "label":

			out.Values[i] = ec._FilterOption_label(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._FilterOption_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentImplementors = []string{"Fulfillment", "LegacyInteroperability", "Node"}

func (ec *executionContext) _Fulfillment(ctx context.Context, sel ast.SelectionSet, obj *Fulfillment) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Fulfillment")
		case "createdAt":

			out.Values[i] = ec._Fulfillment_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deliveredAt":

			out.Values[i] = ec._Fulfillment_deliveredAt(ctx, field, obj)

		case "displayStatus":

			out.Values[i] = ec._Fulfillment_displayStatus(ctx, field, obj)

		case "estimatedDeliveryAt":

			out.Values[i] = ec._Fulfillment_estimatedDeliveryAt(ctx, field, obj)

		case "events":

			out.Values[i] = ec._Fulfillment_events(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillmentLineItems":

			out.Values[i] = ec._Fulfillment_fulfillmentLineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillmentOrders":

			out.Values[i] = ec._Fulfillment_fulfillmentOrders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._Fulfillment_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "inTransitAt":

			out.Values[i] = ec._Fulfillment_inTransitAt(ctx, field, obj)

		case "legacyResourceId":

			out.Values[i] = ec._Fulfillment_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "location":

			out.Values[i] = ec._Fulfillment_location(ctx, field, obj)

		case "name":

			out.Values[i] = ec._Fulfillment_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "order":

			out.Values[i] = ec._Fulfillment_order(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originAddress":

			out.Values[i] = ec._Fulfillment_originAddress(ctx, field, obj)

		case "requiresShipping":

			out.Values[i] = ec._Fulfillment_requiresShipping(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "service":

			out.Values[i] = ec._Fulfillment_service(ctx, field, obj)

		case "status":

			out.Values[i] = ec._Fulfillment_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalQuantity":

			out.Values[i] = ec._Fulfillment_totalQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "trackingInfo":

			out.Values[i] = ec._Fulfillment_trackingInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._Fulfillment_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentConnectionImplementors = []string{"FulfillmentConnection"}

func (ec *executionContext) _FulfillmentConnection(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentConnection")
		case "edges":

			out.Values[i] = ec._FulfillmentConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._FulfillmentConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._FulfillmentConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentEdgeImplementors = []string{"FulfillmentEdge"}

func (ec *executionContext) _FulfillmentEdge(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentEdge")
		case "cursor":

			out.Values[i] = ec._FulfillmentEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._FulfillmentEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentEventImplementors = []string{"FulfillmentEvent", "Node"}

func (ec *executionContext) _FulfillmentEvent(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentEvent) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentEventImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentEvent")
		case "happenedAt":

			out.Values[i] = ec._FulfillmentEvent_happenedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._FulfillmentEvent_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "status":

			out.Values[i] = ec._FulfillmentEvent_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentEventConnectionImplementors = []string{"FulfillmentEventConnection"}

func (ec *executionContext) _FulfillmentEventConnection(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentEventConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentEventConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentEventConnection")
		case "edges":

			out.Values[i] = ec._FulfillmentEventConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._FulfillmentEventConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._FulfillmentEventConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentEventEdgeImplementors = []string{"FulfillmentEventEdge"}

func (ec *executionContext) _FulfillmentEventEdge(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentEventEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentEventEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentEventEdge")
		case "cursor":

			out.Values[i] = ec._FulfillmentEventEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._FulfillmentEventEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentHoldImplementors = []string{"FulfillmentHold"}

func (ec *executionContext) _FulfillmentHold(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentHold) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentHoldImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentHold")
		case "reason":

			out.Values[i] = ec._FulfillmentHold_reason(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "reasonNotes":

			out.Values[i] = ec._FulfillmentHold_reasonNotes(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentLineItemImplementors = []string{"FulfillmentLineItem", "Node"}

func (ec *executionContext) _FulfillmentLineItem(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentLineItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentLineItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentLineItem")
		case "discountedTotalSet":

			out.Values[i] = ec._FulfillmentLineItem_discountedTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._FulfillmentLineItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lineItem":

			out.Values[i] = ec._FulfillmentLineItem_lineItem(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalTotalSet":

			out.Values[i] = ec._FulfillmentLineItem_originalTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "quantity":

			out.Values[i] = ec._FulfillmentLineItem_quantity(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentLineItemConnectionImplementors = []string{"FulfillmentLineItemConnection"}

func (ec *executionContext) _FulfillmentLineItemConnection(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentLineItemConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentLineItemConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentLineItemConnection")
		case "edges":

			out.Values[i] = ec._FulfillmentLineItemConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._FulfillmentLineItemConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._FulfillmentLineItemConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentLineItemEdgeImplementors = []string{"FulfillmentLineItemEdge"}

func (ec *executionContext) _FulfillmentLineItemEdge(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentLineItemEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentLineItemEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentLineItemEdge")
		case "cursor":

			out.Values[i] = ec._FulfillmentLineItemEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._FulfillmentLineItemEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderImplementors = []string{"FulfillmentOrder", "Node"}

func (ec *executionContext) _FulfillmentOrder(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrder) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrder")
		case "assignedLocation":

			out.Values[i] = ec._FulfillmentOrder_assignedLocation(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deliveryMethod":

			out.Values[i] = ec._FulfillmentOrder_deliveryMethod(ctx, field, obj)

		case "destination":

			out.Values[i] = ec._FulfillmentOrder_destination(ctx, field, obj)

		case "fulfillAt":

			out.Values[i] = ec._FulfillmentOrder_fulfillAt(ctx, field, obj)

		case "fulfillBy":

			out.Values[i] = ec._FulfillmentOrder_fulfillBy(ctx, field, obj)

		case "fulfillmentHolds":

			out.Values[i] = ec._FulfillmentOrder_fulfillmentHolds(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillments":

			out.Values[i] = ec._FulfillmentOrder_fulfillments(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._FulfillmentOrder_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "internationalDuties":

			out.Values[i] = ec._FulfillmentOrder_internationalDuties(ctx, field, obj)

		case "lineItems":

			out.Values[i] = ec._FulfillmentOrder_lineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locationsForMove":

			out.Values[i] = ec._FulfillmentOrder_locationsForMove(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "merchantRequests":

			out.Values[i] = ec._FulfillmentOrder_merchantRequests(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "order":

			out.Values[i] = ec._FulfillmentOrder_order(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "requestStatus":

			out.Values[i] = ec._FulfillmentOrder_requestStatus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "status":

			out.Values[i] = ec._FulfillmentOrder_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "supportedActions":

			out.Values[i] = ec._FulfillmentOrder_supportedActions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderAssignedLocationImplementors = []string{"FulfillmentOrderAssignedLocation"}

func (ec *executionContext) _FulfillmentOrderAssignedLocation(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderAssignedLocation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderAssignedLocationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderAssignedLocation")
		case "address1":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_address1(ctx, field, obj)

		case "address2":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_city(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_countryCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "location":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_location(ctx, field, obj)

		case "name":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "phone":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_phone(ctx, field, obj)

		case "province":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_province(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._FulfillmentOrderAssignedLocation_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderConnectionImplementors = []string{"FulfillmentOrderConnection"}

func (ec *executionContext) _FulfillmentOrderConnection(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderConnection")
		case "edges":

			out.Values[i] = ec._FulfillmentOrderConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._FulfillmentOrderConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._FulfillmentOrderConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderDestinationImplementors = []string{"FulfillmentOrderDestination", "Node"}

func (ec *executionContext) _FulfillmentOrderDestination(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderDestination) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderDestinationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderDestination")
		case "address1":

			out.Values[i] = ec._FulfillmentOrderDestination_address1(ctx, field, obj)

		case "address2":

			out.Values[i] = ec._FulfillmentOrderDestination_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._FulfillmentOrderDestination_city(ctx, field, obj)

		case "company":

			out.Values[i] = ec._FulfillmentOrderDestination_company(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._FulfillmentOrderDestination_countryCode(ctx, field, obj)

		case "email":

			out.Values[i] = ec._FulfillmentOrderDestination_email(ctx, field, obj)

		case "firstName":

			out.Values[i] = ec._FulfillmentOrderDestination_firstName(ctx, field, obj)

		case "id":

			out.Values[i] = ec._FulfillmentOrderDestination_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lastName":

			out.Values[i] = ec._FulfillmentOrderDestination_lastName(ctx, field, obj)

		case "phone":

			out.Values[i] = ec._FulfillmentOrderDestination_phone(ctx, field, obj)

		case "province":

			out.Values[i] = ec._FulfillmentOrderDestination_province(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._FulfillmentOrderDestination_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderEdgeImplementors = []string{"FulfillmentOrderEdge"}

func (ec *executionContext) _FulfillmentOrderEdge(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderEdge")
		case "cursor":

			out.Values[i] = ec._FulfillmentOrderEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._FulfillmentOrderEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderInternationalDutiesImplementors = []string{"FulfillmentOrderInternationalDuties"}

func (ec *executionContext) _FulfillmentOrderInternationalDuties(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderInternationalDuties) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderInternationalDutiesImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderInternationalDuties")
		case "incoterm":

			out.Values[i] = ec._FulfillmentOrderInternationalDuties_incoterm(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderLineItemImplementors = []string{"FulfillmentOrderLineItem", "Node"}

func (ec *executionContext) _FulfillmentOrderLineItem(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderLineItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderLineItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderLineItem")
		case "id":

			out.Values[i] = ec._FulfillmentOrderLineItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lineItem":

			out.Values[i] = ec._FulfillmentOrderLineItem_lineItem(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "remainingQuantity":

			out.Values[i] = ec._FulfillmentOrderLineItem_remainingQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalQuantity":

			out.Values[i] = ec._FulfillmentOrderLineItem_totalQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "warnings":

			out.Values[i] = ec._FulfillmentOrderLineItem_warnings(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderLineItemConnectionImplementors = []string{"FulfillmentOrderLineItemConnection"}

func (ec *executionContext) _FulfillmentOrderLineItemConnection(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderLineItemConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderLineItemConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderLineItemConnection")
		case "edges":

			out.Values[i] = ec._FulfillmentOrderLineItemConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._FulfillmentOrderLineItemConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._FulfillmentOrderLineItemConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderLineItemEdgeImplementors = []string{"FulfillmentOrderLineItemEdge"}

func (ec *executionContext) _FulfillmentOrderLineItemEdge(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderLineItemEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderLineItemEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderLineItemEdge")
		case "cursor":

			out.Values[i] = ec._FulfillmentOrderLineItemEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._FulfillmentOrderLineItemEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderLineItemWarningImplementors = []string{"FulfillmentOrderLineItemWarning"}

func (ec *executionContext) _FulfillmentOrderLineItemWarning(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderLineItemWarning) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderLineItemWarningImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderLineItemWarning")
		case "description":

			out.Values[i] = ec._FulfillmentOrderLineItemWarning_description(ctx, field, obj)

		case "title":

			out.Values[i] = ec._FulfillmentOrderLineItemWarning_title(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderLocationForMoveImplementors = []string{"FulfillmentOrderLocationForMove"}

func (ec *executionContext) _FulfillmentOrderLocationForMove(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderLocationForMove) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderLocationForMoveImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderLocationForMove")
		case "location":

			out.Values[i] = ec._FulfillmentOrderLocationForMove_location(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "message":

			out.Values[i] = ec._FulfillmentOrderLocationForMove_message(ctx, field, obj)

		case "movable":

			out.Values[i] = ec._FulfillmentOrderLocationForMove_movable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderLocationForMoveConnectionImplementors = []string{"FulfillmentOrderLocationForMoveConnection"}

func (ec *executionContext) _FulfillmentOrderLocationForMoveConnection(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderLocationForMoveConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderLocationForMoveConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderLocationForMoveConnection")
		case "edges":

			out.Values[i] = ec._FulfillmentOrderLocationForMoveConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._FulfillmentOrderLocationForMoveConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._FulfillmentOrderLocationForMoveConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderLocationForMoveEdgeImplementors = []string{"FulfillmentOrderLocationForMoveEdge"}

func (ec *executionContext) _FulfillmentOrderLocationForMoveEdge(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderLocationForMoveEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderLocationForMoveEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderLocationForMoveEdge")
		case "cursor":

			out.Values[i] = ec._FulfillmentOrderLocationForMoveEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._FulfillmentOrderLocationForMoveEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderMerchantRequestImplementors = []string{"FulfillmentOrderMerchantRequest", "Node"}

func (ec *executionContext) _FulfillmentOrderMerchantRequest(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderMerchantRequest) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderMerchantRequestImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderMerchantRequest")
		case "id":

			out.Values[i] = ec._FulfillmentOrderMerchantRequest_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "kind":

			out.Values[i] = ec._FulfillmentOrderMerchantRequest_kind(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "message":

			out.Values[i] = ec._FulfillmentOrderMerchantRequest_message(ctx, field, obj)

		case "requestOptions":

			out.Values[i] = ec._FulfillmentOrderMerchantRequest_requestOptions(ctx, field, obj)

		case "responseData":

			out.Values[i] = ec._FulfillmentOrderMerchantRequest_responseData(ctx, field, obj)

		case "sentAt":

			out.Values[i] = ec._FulfillmentOrderMerchantRequest_sentAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderMerchantRequestConnectionImplementors = []string{"FulfillmentOrderMerchantRequestConnection"}

func (ec *executionContext) _FulfillmentOrderMerchantRequestConnection(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderMerchantRequestConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderMerchantRequestConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderMerchantRequestConnection")
		case "edges":

			out.Values[i] = ec._FulfillmentOrderMerchantRequestConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._FulfillmentOrderMerchantRequestConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._FulfillmentOrderMerchantRequestConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderMerchantRequestEdgeImplementors = []string{"FulfillmentOrderMerchantRequestEdge"}

func (ec *executionContext) _FulfillmentOrderMerchantRequestEdge(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderMerchantRequestEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderMerchantRequestEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderMerchantRequestEdge")
		case "cursor":

			out.Values[i] = ec._FulfillmentOrderMerchantRequestEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._FulfillmentOrderMerchantRequestEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOrderSupportedActionImplementors = []string{"FulfillmentOrderSupportedAction"}

func (ec *executionContext) _FulfillmentOrderSupportedAction(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOrderSupportedAction) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOrderSupportedActionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOrderSupportedAction")
		case "action":

			out.Values[i] = ec._FulfillmentOrderSupportedAction_action(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "externalUrl":

			out.Values[i] = ec._FulfillmentOrderSupportedAction_externalUrl(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentOriginAddressImplementors = []string{"FulfillmentOriginAddress"}

func (ec *executionContext) _FulfillmentOriginAddress(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentOriginAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentOriginAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentOriginAddress")
		case "address1":

			out.Values[i] = ec._FulfillmentOriginAddress_address1(ctx, field, obj)

		case "address2":

			out.Values[i] = ec._FulfillmentOriginAddress_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._FulfillmentOriginAddress_city(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._FulfillmentOriginAddress_countryCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "provinceCode":

			out.Values[i] = ec._FulfillmentOriginAddress_provinceCode(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._FulfillmentOriginAddress_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentServiceImplementors = []string{"FulfillmentService", "_Entity"}

func (ec *executionContext) _FulfillmentService(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentService) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentServiceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentService")
		case "id":

			out.Values[i] = ec._FulfillmentService_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var fulfillmentTrackingInfoImplementors = []string{"FulfillmentTrackingInfo"}

func (ec *executionContext) _FulfillmentTrackingInfo(ctx context.Context, sel ast.SelectionSet, obj *FulfillmentTrackingInfo) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, fulfillmentTrackingInfoImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("FulfillmentTrackingInfo")
		case "company":

			out.Values[i] = ec._FulfillmentTrackingInfo_company(ctx, field, obj)

		case "number":

			out.Values[i] = ec._FulfillmentTrackingInfo_number(ctx, field, obj)

		case "url":

			out.Values[i] = ec._FulfillmentTrackingInfo_url(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var genericFileImplementors = []string{"GenericFile", "File", "Node", "MetafieldReference"}

func (ec *executionContext) _GenericFile(ctx context.Context, sel ast.SelectionSet, obj *GenericFile) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, genericFileImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("GenericFile")
		case "alt":

			out.Values[i] = ec._GenericFile_alt(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._GenericFile_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fileErrors":

			out.Values[i] = ec._GenericFile_fileErrors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fileStatus":

			out.Values[i] = ec._GenericFile_fileStatus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._GenericFile_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mimeType":

			out.Values[i] = ec._GenericFile_mimeType(ctx, field, obj)

		case "originalFileSize":

			out.Values[i] = ec._GenericFile_originalFileSize(ctx, field, obj)

		case "preview":

			out.Values[i] = ec._GenericFile_preview(ctx, field, obj)

		case "url":

			out.Values[i] = ec._GenericFile_url(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var imageImplementors = []string{"Image", "HasMetafields"}

func (ec *executionContext) _Image(ctx context.Context, sel ast.SelectionSet, obj *Image) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, imageImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Image")
		case "altText":

			out.Values[i] = ec._Image_altText(ctx, field, obj)

		case "height":

			out.Values[i] = ec._Image_height(ctx, field, obj)

		case "id":

			out.Values[i] = ec._Image_id(ctx, field, obj)

		case "metafield":

			out.Values[i] = ec._Image_metafield(ctx, field, obj)

		case "metafields":

			out.Values[i] = ec._Image_metafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "privateMetafield":

			out.Values[i] = ec._Image_privateMetafield(ctx, field, obj)

		case "privateMetafields":

			out.Values[i] = ec._Image_privateMetafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._Image_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "width":

			out.Values[i] = ec._Image_width(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var imageConnectionImplementors = []string{"ImageConnection"}

func (ec *executionContext) _ImageConnection(ctx context.Context, sel ast.SelectionSet, obj *ImageConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, imageConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ImageConnection")
		case "edges":

			out.Values[i] = ec._ImageConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._ImageConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._ImageConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var imageEdgeImplementors = []string{"ImageEdge"}

func (ec *executionContext) _ImageEdge(ctx context.Context, sel ast.SelectionSet, obj *ImageEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, imageEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ImageEdge")
		case "cursor":

			out.Values[i] = ec._ImageEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._ImageEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var inventoryItemImplementors = []string{"InventoryItem", "LegacyInteroperability", "Node"}

func (ec *executionContext) _InventoryItem(ctx context.Context, sel ast.SelectionSet, obj *InventoryItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, inventoryItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("InventoryItem")
		case "countryCodeOfOrigin":

			out.Values[i] = ec._InventoryItem_countryCodeOfOrigin(ctx, field, obj)

		case "countryHarmonizedSystemCodes":

			out.Values[i] = ec._InventoryItem_countryHarmonizedSystemCodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._InventoryItem_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "duplicateSkuCount":

			out.Values[i] = ec._InventoryItem_duplicateSkuCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "harmonizedSystemCode":

			out.Values[i] = ec._InventoryItem_harmonizedSystemCode(ctx, field, obj)

		case "id":

			out.Values[i] = ec._InventoryItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "inventoryHistoryUrl":

			out.Values[i] = ec._InventoryItem_inventoryHistoryUrl(ctx, field, obj)

		case "inventoryLevel":

			out.Values[i] = ec._InventoryItem_inventoryLevel(ctx, field, obj)

		case "inventoryLevels":

			out.Values[i] = ec._InventoryItem_inventoryLevels(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyResourceId":

			out.Values[i] = ec._InventoryItem_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locationsCount":

			out.Values[i] = ec._InventoryItem_locationsCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "provinceCodeOfOrigin":

			out.Values[i] = ec._InventoryItem_provinceCodeOfOrigin(ctx, field, obj)

		case "requiresShipping":

			out.Values[i] = ec._InventoryItem_requiresShipping(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sku":

			out.Values[i] = ec._InventoryItem_sku(ctx, field, obj)

		case "tracked":

			out.Values[i] = ec._InventoryItem_tracked(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "trackedEditable":

			out.Values[i] = ec._InventoryItem_trackedEditable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "unitCost":

			out.Values[i] = ec._InventoryItem_unitCost(ctx, field, obj)

		case "updatedAt":

			out.Values[i] = ec._InventoryItem_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "variant":

			out.Values[i] = ec._InventoryItem_variant(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var inventoryLevelImplementors = []string{"InventoryLevel", "_Entity"}

func (ec *executionContext) _InventoryLevel(ctx context.Context, sel ast.SelectionSet, obj *InventoryLevel) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, inventoryLevelImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("InventoryLevel")
		case "id":

			out.Values[i] = ec._InventoryLevel_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var inventoryLevelConnectionImplementors = []string{"InventoryLevelConnection"}

func (ec *executionContext) _InventoryLevelConnection(ctx context.Context, sel ast.SelectionSet, obj *InventoryLevelConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, inventoryLevelConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("InventoryLevelConnection")
		case "edges":

			out.Values[i] = ec._InventoryLevelConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._InventoryLevelConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._InventoryLevelConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var inventoryLevelEdgeImplementors = []string{"InventoryLevelEdge"}

func (ec *executionContext) _InventoryLevelEdge(ctx context.Context, sel ast.SelectionSet, obj *InventoryLevelEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, inventoryLevelEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("InventoryLevelEdge")
		case "cursor":

			out.Values[i] = ec._InventoryLevelEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._InventoryLevelEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var limitedPendingOrderCountImplementors = []string{"LimitedPendingOrderCount"}

func (ec *executionContext) _LimitedPendingOrderCount(ctx context.Context, sel ast.SelectionSet, obj *LimitedPendingOrderCount) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, limitedPendingOrderCountImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LimitedPendingOrderCount")
		case "atMax":

			out.Values[i] = ec._LimitedPendingOrderCount_atMax(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "count":

			out.Values[i] = ec._LimitedPendingOrderCount_count(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var lineItemImplementors = []string{"LineItem", "Node"}

func (ec *executionContext) _LineItem(ctx context.Context, sel ast.SelectionSet, obj *LineItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, lineItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LineItem")
		case "contract":

			out.Values[i] = ec._LineItem_contract(ctx, field, obj)

		case "currentQuantity":

			out.Values[i] = ec._LineItem_currentQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customAttributes":

			out.Values[i] = ec._LineItem_customAttributes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountAllocations":

			out.Values[i] = ec._LineItem_discountAllocations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedTotalSet":

			out.Values[i] = ec._LineItem_discountedTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedUnitPriceSet":

			out.Values[i] = ec._LineItem_discountedUnitPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "duties":

			out.Values[i] = ec._LineItem_duties(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._LineItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "image":

			out.Values[i] = ec._LineItem_image(ctx, field, obj)

		case "merchantEditable":

			out.Values[i] = ec._LineItem_merchantEditable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._LineItem_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nonFulfillableQuantity":

			out.Values[i] = ec._LineItem_nonFulfillableQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalTotalSet":

			out.Values[i] = ec._LineItem_originalTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalUnitPriceSet":

			out.Values[i] = ec._LineItem_originalUnitPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "product":

			out.Values[i] = ec._LineItem_product(ctx, field, obj)

		case "quantity":

			out.Values[i] = ec._LineItem_quantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "refundableQuantity":

			out.Values[i] = ec._LineItem_refundableQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "requiresShipping":

			out.Values[i] = ec._LineItem_requiresShipping(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "restockable":

			out.Values[i] = ec._LineItem_restockable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sellingPlan":

			out.Values[i] = ec._LineItem_sellingPlan(ctx, field, obj)

		case "sku":

			out.Values[i] = ec._LineItem_sku(ctx, field, obj)

		case "staffMember":

			out.Values[i] = ec._LineItem_staffMember(ctx, field, obj)

		case "taxLines":

			out.Values[i] = ec._LineItem_taxLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxable":

			out.Values[i] = ec._LineItem_taxable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._LineItem_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalDiscountSet":

			out.Values[i] = ec._LineItem_totalDiscountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "unfulfilledDiscountedTotalSet":

			out.Values[i] = ec._LineItem_unfulfilledDiscountedTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "unfulfilledOriginalTotalSet":

			out.Values[i] = ec._LineItem_unfulfilledOriginalTotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "unfulfilledQuantity":

			out.Values[i] = ec._LineItem_unfulfilledQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "variant":

			out.Values[i] = ec._LineItem_variant(ctx, field, obj)

		case "variantTitle":

			out.Values[i] = ec._LineItem_variantTitle(ctx, field, obj)

		case "vendor":

			out.Values[i] = ec._LineItem_vendor(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var lineItemConnectionImplementors = []string{"LineItemConnection"}

func (ec *executionContext) _LineItemConnection(ctx context.Context, sel ast.SelectionSet, obj *LineItemConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, lineItemConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LineItemConnection")
		case "edges":

			out.Values[i] = ec._LineItemConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._LineItemConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._LineItemConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var lineItemEdgeImplementors = []string{"LineItemEdge"}

func (ec *executionContext) _LineItemEdge(ctx context.Context, sel ast.SelectionSet, obj *LineItemEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, lineItemEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LineItemEdge")
		case "cursor":

			out.Values[i] = ec._LineItemEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._LineItemEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var lineItemSellingPlanImplementors = []string{"LineItemSellingPlan"}

func (ec *executionContext) _LineItemSellingPlan(ctx context.Context, sel ast.SelectionSet, obj *LineItemSellingPlan) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, lineItemSellingPlanImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LineItemSellingPlan")
		case "name":

			out.Values[i] = ec._LineItemSellingPlan_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sellingPlanId":

			out.Values[i] = ec._LineItemSellingPlan_sellingPlanId(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var linkImplementors = []string{"Link", "HasPublishedTranslations"}

func (ec *executionContext) _Link(ctx context.Context, sel ast.SelectionSet, obj *Link) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, linkImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Link")
		case "label":

			out.Values[i] = ec._Link_label(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "translations":

			out.Values[i] = ec._Link_translations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._Link_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var localizationExtensionImplementors = []string{"LocalizationExtension"}

func (ec *executionContext) _LocalizationExtension(ctx context.Context, sel ast.SelectionSet, obj *LocalizationExtension) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, localizationExtensionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LocalizationExtension")
		case "countryCode":

			out.Values[i] = ec._LocalizationExtension_countryCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "key":

			out.Values[i] = ec._LocalizationExtension_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "purpose":

			out.Values[i] = ec._LocalizationExtension_purpose(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._LocalizationExtension_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._LocalizationExtension_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var localizationExtensionConnectionImplementors = []string{"LocalizationExtensionConnection"}

func (ec *executionContext) _LocalizationExtensionConnection(ctx context.Context, sel ast.SelectionSet, obj *LocalizationExtensionConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, localizationExtensionConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LocalizationExtensionConnection")
		case "edges":

			out.Values[i] = ec._LocalizationExtensionConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._LocalizationExtensionConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._LocalizationExtensionConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var localizationExtensionEdgeImplementors = []string{"LocalizationExtensionEdge"}

func (ec *executionContext) _LocalizationExtensionEdge(ctx context.Context, sel ast.SelectionSet, obj *LocalizationExtensionEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, localizationExtensionEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LocalizationExtensionEdge")
		case "cursor":

			out.Values[i] = ec._LocalizationExtensionEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._LocalizationExtensionEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var locationImplementors = []string{"Location", "HasMetafieldDefinitions", "HasMetafields", "LegacyInteroperability", "Node"}

func (ec *executionContext) _Location(ctx context.Context, sel ast.SelectionSet, obj *Location) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, locationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Location")
		case "activatable":

			out.Values[i] = ec._Location_activatable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "address":

			out.Values[i] = ec._Location_address(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "addressVerified":

			out.Values[i] = ec._Location_addressVerified(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deactivatable":

			out.Values[i] = ec._Location_deactivatable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deactivatedAt":

			out.Values[i] = ec._Location_deactivatedAt(ctx, field, obj)

		case "deletable":

			out.Values[i] = ec._Location_deletable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillmentService":

			out.Values[i] = ec._Location_fulfillmentService(ctx, field, obj)

		case "fulfillsOnlineOrders":

			out.Values[i] = ec._Location_fulfillsOnlineOrders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "hasActiveInventory":

			out.Values[i] = ec._Location_hasActiveInventory(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "hasUnfulfilledOrders":

			out.Values[i] = ec._Location_hasUnfulfilledOrders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._Location_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "inventoryLevel":

			out.Values[i] = ec._Location_inventoryLevel(ctx, field, obj)

		case "inventoryLevels":

			out.Values[i] = ec._Location_inventoryLevels(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isActive":

			out.Values[i] = ec._Location_isActive(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyResourceId":

			out.Values[i] = ec._Location_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "metafield":

			out.Values[i] = ec._Location_metafield(ctx, field, obj)

		case "metafieldDefinitions":

			out.Values[i] = ec._Location_metafieldDefinitions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "metafields":

			out.Values[i] = ec._Location_metafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._Location_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "privateMetafield":

			out.Values[i] = ec._Location_privateMetafield(ctx, field, obj)

		case "privateMetafields":

			out.Values[i] = ec._Location_privateMetafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "shipsInventory":

			out.Values[i] = ec._Location_shipsInventory(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "suggestedAddresses":

			out.Values[i] = ec._Location_suggestedAddresses(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var locationAddressImplementors = []string{"LocationAddress"}

func (ec *executionContext) _LocationAddress(ctx context.Context, sel ast.SelectionSet, obj *LocationAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, locationAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LocationAddress")
		case "address1":

			out.Values[i] = ec._LocationAddress_address1(ctx, field, obj)

		case "address2":

			out.Values[i] = ec._LocationAddress_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._LocationAddress_city(ctx, field, obj)

		case "country":

			out.Values[i] = ec._LocationAddress_country(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._LocationAddress_countryCode(ctx, field, obj)

		case "formatted":

			out.Values[i] = ec._LocationAddress_formatted(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "latitude":

			out.Values[i] = ec._LocationAddress_latitude(ctx, field, obj)

		case "longitude":

			out.Values[i] = ec._LocationAddress_longitude(ctx, field, obj)

		case "phone":

			out.Values[i] = ec._LocationAddress_phone(ctx, field, obj)

		case "province":

			out.Values[i] = ec._LocationAddress_province(ctx, field, obj)

		case "provinceCode":

			out.Values[i] = ec._LocationAddress_provinceCode(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._LocationAddress_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var locationConnectionImplementors = []string{"LocationConnection"}

func (ec *executionContext) _LocationConnection(ctx context.Context, sel ast.SelectionSet, obj *LocationConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, locationConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LocationConnection")
		case "edges":

			out.Values[i] = ec._LocationConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._LocationConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._LocationConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var locationEdgeImplementors = []string{"LocationEdge"}

func (ec *executionContext) _LocationEdge(ctx context.Context, sel ast.SelectionSet, obj *LocationEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, locationEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LocationEdge")
		case "cursor":

			out.Values[i] = ec._LocationEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._LocationEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var locationSuggestedAddressImplementors = []string{"LocationSuggestedAddress"}

func (ec *executionContext) _LocationSuggestedAddress(ctx context.Context, sel ast.SelectionSet, obj *LocationSuggestedAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, locationSuggestedAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("LocationSuggestedAddress")
		case "address1":

			out.Values[i] = ec._LocationSuggestedAddress_address1(ctx, field, obj)

		case "address2":

			out.Values[i] = ec._LocationSuggestedAddress_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._LocationSuggestedAddress_city(ctx, field, obj)

		case "country":

			out.Values[i] = ec._LocationSuggestedAddress_country(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._LocationSuggestedAddress_countryCode(ctx, field, obj)

		case "formatted":

			out.Values[i] = ec._LocationSuggestedAddress_formatted(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "province":

			out.Values[i] = ec._LocationSuggestedAddress_province(ctx, field, obj)

		case "provinceCode":

			out.Values[i] = ec._LocationSuggestedAddress_provinceCode(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._LocationSuggestedAddress_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mailingAddressImplementors = []string{"MailingAddress", "Node"}

func (ec *executionContext) _MailingAddress(ctx context.Context, sel ast.SelectionSet, obj *MailingAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mailingAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MailingAddress")
		case "address1":

			out.Values[i] = ec._MailingAddress_address1(ctx, field, obj)

		case "address2":

			out.Values[i] = ec._MailingAddress_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._MailingAddress_city(ctx, field, obj)

		case "company":

			out.Values[i] = ec._MailingAddress_company(ctx, field, obj)

		case "coordinatesValidated":

			out.Values[i] = ec._MailingAddress_coordinatesValidated(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "country":

			out.Values[i] = ec._MailingAddress_country(ctx, field, obj)

		case "countryCodeV2":

			out.Values[i] = ec._MailingAddress_countryCodeV2(ctx, field, obj)

		case "firstName":

			out.Values[i] = ec._MailingAddress_firstName(ctx, field, obj)

		case "formattedArea":

			out.Values[i] = ec._MailingAddress_formattedArea(ctx, field, obj)

		case "id":

			out.Values[i] = ec._MailingAddress_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lastName":

			out.Values[i] = ec._MailingAddress_lastName(ctx, field, obj)

		case "latitude":

			out.Values[i] = ec._MailingAddress_latitude(ctx, field, obj)

		case "longitude":

			out.Values[i] = ec._MailingAddress_longitude(ctx, field, obj)

		case "name":

			out.Values[i] = ec._MailingAddress_name(ctx, field, obj)

		case "phone":

			out.Values[i] = ec._MailingAddress_phone(ctx, field, obj)

		case "province":

			out.Values[i] = ec._MailingAddress_province(ctx, field, obj)

		case "provinceCode":

			out.Values[i] = ec._MailingAddress_provinceCode(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._MailingAddress_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var manualDiscountApplicationImplementors = []string{"ManualDiscountApplication", "DiscountApplication"}

func (ec *executionContext) _ManualDiscountApplication(ctx context.Context, sel ast.SelectionSet, obj *ManualDiscountApplication) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, manualDiscountApplicationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ManualDiscountApplication")
		case "allocationMethod":

			out.Values[i] = ec._ManualDiscountApplication_allocationMethod(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._ManualDiscountApplication_description(ctx, field, obj)

		case "index":

			out.Values[i] = ec._ManualDiscountApplication_index(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetSelection":

			out.Values[i] = ec._ManualDiscountApplication_targetSelection(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetType":

			out.Values[i] = ec._ManualDiscountApplication_targetType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._ManualDiscountApplication_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._ManualDiscountApplication_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var marketImplementors = []string{"Market", "_Entity"}

func (ec *executionContext) _Market(ctx context.Context, sel ast.SelectionSet, obj *Market) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, marketImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Market")
		case "id":

			out.Values[i] = ec._Market_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var marketCurrencySettingsImplementors = []string{"MarketCurrencySettings"}

func (ec *executionContext) _MarketCurrencySettings(ctx context.Context, sel ast.SelectionSet, obj *MarketCurrencySettings) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, marketCurrencySettingsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MarketCurrencySettings")
		case "baseCurrency":

			out.Values[i] = ec._MarketCurrencySettings_baseCurrency(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "localCurrencies":

			out.Values[i] = ec._MarketCurrencySettings_localCurrencies(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var marketRegionConnectionImplementors = []string{"MarketRegionConnection"}

func (ec *executionContext) _MarketRegionConnection(ctx context.Context, sel ast.SelectionSet, obj *MarketRegionConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, marketRegionConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MarketRegionConnection")
		case "edges":

			out.Values[i] = ec._MarketRegionConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._MarketRegionConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._MarketRegionConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var marketRegionEdgeImplementors = []string{"MarketRegionEdge"}

func (ec *executionContext) _MarketRegionEdge(ctx context.Context, sel ast.SelectionSet, obj *MarketRegionEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, marketRegionEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MarketRegionEdge")
		case "cursor":

			out.Values[i] = ec._MarketRegionEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._MarketRegionEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var marketWebPresenceImplementors = []string{"MarketWebPresence", "_Entity"}

func (ec *executionContext) _MarketWebPresence(ctx context.Context, sel ast.SelectionSet, obj *MarketWebPresence) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, marketWebPresenceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MarketWebPresence")
		case "id":

			out.Values[i] = ec._MarketWebPresence_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var marketWebPresenceRootUrlImplementors = []string{"MarketWebPresenceRootUrl"}

func (ec *executionContext) _MarketWebPresenceRootUrl(ctx context.Context, sel ast.SelectionSet, obj *MarketWebPresenceRootURL) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, marketWebPresenceRootUrlImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MarketWebPresenceRootUrl")
		case "locale":

			out.Values[i] = ec._MarketWebPresenceRootUrl_locale(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._MarketWebPresenceRootUrl_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var marketingEventImplementors = []string{"MarketingEvent", "LegacyInteroperability", "Node"}

func (ec *executionContext) _MarketingEvent(ctx context.Context, sel ast.SelectionSet, obj *MarketingEvent) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, marketingEventImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MarketingEvent")
		case "app":

			out.Values[i] = ec._MarketingEvent_app(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "channel":

			out.Values[i] = ec._MarketingEvent_channel(ctx, field, obj)

		case "description":

			out.Values[i] = ec._MarketingEvent_description(ctx, field, obj)

		case "endedAt":

			out.Values[i] = ec._MarketingEvent_endedAt(ctx, field, obj)

		case "id":

			out.Values[i] = ec._MarketingEvent_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyResourceId":

			out.Values[i] = ec._MarketingEvent_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "manageUrl":

			out.Values[i] = ec._MarketingEvent_manageUrl(ctx, field, obj)

		case "previewUrl":

			out.Values[i] = ec._MarketingEvent_previewUrl(ctx, field, obj)

		case "remoteId":

			out.Values[i] = ec._MarketingEvent_remoteId(ctx, field, obj)

		case "scheduledToEndAt":

			out.Values[i] = ec._MarketingEvent_scheduledToEndAt(ctx, field, obj)

		case "sourceAndMedium":

			out.Values[i] = ec._MarketingEvent_sourceAndMedium(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "startedAt":

			out.Values[i] = ec._MarketingEvent_startedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec._MarketingEvent_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "utmCampaign":

			out.Values[i] = ec._MarketingEvent_utmCampaign(ctx, field, obj)

		case "utmMedium":

			out.Values[i] = ec._MarketingEvent_utmMedium(ctx, field, obj)

		case "utmSource":

			out.Values[i] = ec._MarketingEvent_utmSource(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaConnectionImplementors = []string{"MediaConnection"}

func (ec *executionContext) _MediaConnection(ctx context.Context, sel ast.SelectionSet, obj *MediaConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaConnection")
		case "edges":

			out.Values[i] = ec._MediaConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._MediaConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._MediaConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaEdgeImplementors = []string{"MediaEdge"}

func (ec *executionContext) _MediaEdge(ctx context.Context, sel ast.SelectionSet, obj *MediaEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaEdge")
		case "cursor":

			out.Values[i] = ec._MediaEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._MediaEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaErrorImplementors = []string{"MediaError"}

func (ec *executionContext) _MediaError(ctx context.Context, sel ast.SelectionSet, obj *MediaError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaError")
		case "code":

			out.Values[i] = ec._MediaError_code(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "details":

			out.Values[i] = ec._MediaError_details(ctx, field, obj)

		case "message":

			out.Values[i] = ec._MediaError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaImageImplementors = []string{"MediaImage", "File", "Media", "Node", "MetafieldReference"}

func (ec *executionContext) _MediaImage(ctx context.Context, sel ast.SelectionSet, obj *MediaImage) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaImageImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaImage")
		case "alt":

			out.Values[i] = ec._MediaImage_alt(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._MediaImage_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fileErrors":

			out.Values[i] = ec._MediaImage_fileErrors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fileStatus":

			out.Values[i] = ec._MediaImage_fileStatus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._MediaImage_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "image":

			out.Values[i] = ec._MediaImage_image(ctx, field, obj)

		case "mediaContentType":

			out.Values[i] = ec._MediaImage_mediaContentType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mediaErrors":

			out.Values[i] = ec._MediaImage_mediaErrors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mediaWarnings":

			out.Values[i] = ec._MediaImage_mediaWarnings(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mimeType":

			out.Values[i] = ec._MediaImage_mimeType(ctx, field, obj)

		case "originalSource":

			out.Values[i] = ec._MediaImage_originalSource(ctx, field, obj)

		case "preview":

			out.Values[i] = ec._MediaImage_preview(ctx, field, obj)

		case "status":

			out.Values[i] = ec._MediaImage_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaImageOriginalSourceImplementors = []string{"MediaImageOriginalSource"}

func (ec *executionContext) _MediaImageOriginalSource(ctx context.Context, sel ast.SelectionSet, obj *MediaImageOriginalSource) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaImageOriginalSourceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaImageOriginalSource")
		case "fileSize":

			out.Values[i] = ec._MediaImageOriginalSource_fileSize(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaPreviewImageImplementors = []string{"MediaPreviewImage"}

func (ec *executionContext) _MediaPreviewImage(ctx context.Context, sel ast.SelectionSet, obj *MediaPreviewImage) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaPreviewImageImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaPreviewImage")
		case "image":

			out.Values[i] = ec._MediaPreviewImage_image(ctx, field, obj)

		case "status":

			out.Values[i] = ec._MediaPreviewImage_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaUserErrorImplementors = []string{"MediaUserError", "DisplayableError"}

func (ec *executionContext) _MediaUserError(ctx context.Context, sel ast.SelectionSet, obj *MediaUserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaUserErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaUserError")
		case "code":

			out.Values[i] = ec._MediaUserError_code(ctx, field, obj)

		case "field":

			out.Values[i] = ec._MediaUserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._MediaUserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var mediaWarningImplementors = []string{"MediaWarning"}

func (ec *executionContext) _MediaWarning(ctx context.Context, sel ast.SelectionSet, obj *MediaWarning) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, mediaWarningImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MediaWarning")
		case "code":

			out.Values[i] = ec._MediaWarning_code(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "message":

			out.Values[i] = ec._MediaWarning_message(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var merchantApprovalSignalsImplementors = []string{"MerchantApprovalSignals"}

func (ec *executionContext) _MerchantApprovalSignals(ctx context.Context, sel ast.SelectionSet, obj *MerchantApprovalSignals) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, merchantApprovalSignalsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MerchantApprovalSignals")
		case "identityVerified":

			out.Values[i] = ec._MerchantApprovalSignals_identityVerified(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "verifiedByShopify":

			out.Values[i] = ec._MerchantApprovalSignals_verifiedByShopify(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldImplementors = []string{"Metafield", "LegacyInteroperability", "Node"}

func (ec *executionContext) _Metafield(ctx context.Context, sel ast.SelectionSet, obj *Metafield) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Metafield")
		case "createdAt":

			out.Values[i] = ec._Metafield_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "definition":

			out.Values[i] = ec._Metafield_definition(ctx, field, obj)

		case "description":

			out.Values[i] = ec._Metafield_description(ctx, field, obj)

		case "id":

			out.Values[i] = ec._Metafield_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "key":

			out.Values[i] = ec._Metafield_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyResourceId":

			out.Values[i] = ec._Metafield_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "namespace":

			out.Values[i] = ec._Metafield_namespace(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "owner":

			out.Values[i] = ec._Metafield_owner(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "ownerType":

			out.Values[i] = ec._Metafield_ownerType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "reference":

			out.Values[i] = ec._Metafield_reference(ctx, field, obj)

		case "references":

			out.Values[i] = ec._Metafield_references(ctx, field, obj)

		case "type":

			out.Values[i] = ec._Metafield_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._Metafield_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._Metafield_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldConnectionImplementors = []string{"MetafieldConnection"}

func (ec *executionContext) _MetafieldConnection(ctx context.Context, sel ast.SelectionSet, obj *MetafieldConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldConnection")
		case "edges":

			out.Values[i] = ec._MetafieldConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._MetafieldConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._MetafieldConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldDefinitionImplementors = []string{"MetafieldDefinition", "Node"}

func (ec *executionContext) _MetafieldDefinition(ctx context.Context, sel ast.SelectionSet, obj *MetafieldDefinition) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldDefinitionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldDefinition")
		case "description":

			out.Values[i] = ec._MetafieldDefinition_description(ctx, field, obj)

		case "id":

			out.Values[i] = ec._MetafieldDefinition_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "key":

			out.Values[i] = ec._MetafieldDefinition_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "metafields":

			out.Values[i] = ec._MetafieldDefinition_metafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "metafieldsCount":

			out.Values[i] = ec._MetafieldDefinition_metafieldsCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._MetafieldDefinition_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "namespace":

			out.Values[i] = ec._MetafieldDefinition_namespace(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "ownerType":

			out.Values[i] = ec._MetafieldDefinition_ownerType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pinnedPosition":

			out.Values[i] = ec._MetafieldDefinition_pinnedPosition(ctx, field, obj)

		case "standardTemplate":

			out.Values[i] = ec._MetafieldDefinition_standardTemplate(ctx, field, obj)

		case "type":

			out.Values[i] = ec._MetafieldDefinition_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "validationStatus":

			out.Values[i] = ec._MetafieldDefinition_validationStatus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "validations":

			out.Values[i] = ec._MetafieldDefinition_validations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "visibleToStorefrontApi":

			out.Values[i] = ec._MetafieldDefinition_visibleToStorefrontApi(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldDefinitionConnectionImplementors = []string{"MetafieldDefinitionConnection"}

func (ec *executionContext) _MetafieldDefinitionConnection(ctx context.Context, sel ast.SelectionSet, obj *MetafieldDefinitionConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldDefinitionConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldDefinitionConnection")
		case "edges":

			out.Values[i] = ec._MetafieldDefinitionConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._MetafieldDefinitionConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._MetafieldDefinitionConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldDefinitionEdgeImplementors = []string{"MetafieldDefinitionEdge"}

func (ec *executionContext) _MetafieldDefinitionEdge(ctx context.Context, sel ast.SelectionSet, obj *MetafieldDefinitionEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldDefinitionEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldDefinitionEdge")
		case "cursor":

			out.Values[i] = ec._MetafieldDefinitionEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._MetafieldDefinitionEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldDefinitionSupportedValidationImplementors = []string{"MetafieldDefinitionSupportedValidation"}

func (ec *executionContext) _MetafieldDefinitionSupportedValidation(ctx context.Context, sel ast.SelectionSet, obj *MetafieldDefinitionSupportedValidation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldDefinitionSupportedValidationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldDefinitionSupportedValidation")
		case "name":

			out.Values[i] = ec._MetafieldDefinitionSupportedValidation_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec._MetafieldDefinitionSupportedValidation_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldDefinitionTypeImplementors = []string{"MetafieldDefinitionType"}

func (ec *executionContext) _MetafieldDefinitionType(ctx context.Context, sel ast.SelectionSet, obj *MetafieldDefinitionType) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldDefinitionTypeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldDefinitionType")
		case "category":

			out.Values[i] = ec._MetafieldDefinitionType_category(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._MetafieldDefinitionType_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "supportedValidations":

			out.Values[i] = ec._MetafieldDefinitionType_supportedValidations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "supportsDefinitionMigrations":

			out.Values[i] = ec._MetafieldDefinitionType_supportsDefinitionMigrations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldDefinitionValidationImplementors = []string{"MetafieldDefinitionValidation"}

func (ec *executionContext) _MetafieldDefinitionValidation(ctx context.Context, sel ast.SelectionSet, obj *MetafieldDefinitionValidation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldDefinitionValidationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldDefinitionValidation")
		case "name":

			out.Values[i] = ec._MetafieldDefinitionValidation_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec._MetafieldDefinitionValidation_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._MetafieldDefinitionValidation_value(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldEdgeImplementors = []string{"MetafieldEdge"}

func (ec *executionContext) _MetafieldEdge(ctx context.Context, sel ast.SelectionSet, obj *MetafieldEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldEdge")
		case "cursor":

			out.Values[i] = ec._MetafieldEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._MetafieldEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldReferenceConnectionImplementors = []string{"MetafieldReferenceConnection"}

func (ec *executionContext) _MetafieldReferenceConnection(ctx context.Context, sel ast.SelectionSet, obj *MetafieldReferenceConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldReferenceConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldReferenceConnection")
		case "edges":

			out.Values[i] = ec._MetafieldReferenceConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._MetafieldReferenceConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._MetafieldReferenceConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var metafieldReferenceEdgeImplementors = []string{"MetafieldReferenceEdge"}

func (ec *executionContext) _MetafieldReferenceEdge(ctx context.Context, sel ast.SelectionSet, obj *MetafieldReferenceEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, metafieldReferenceEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MetafieldReferenceEdge")
		case "cursor":

			out.Values[i] = ec._MetafieldReferenceEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._MetafieldReferenceEdge_node(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var moneyBagImplementors = []string{"MoneyBag"}

func (ec *executionContext) _MoneyBag(ctx context.Context, sel ast.SelectionSet, obj *MoneyBag) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, moneyBagImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MoneyBag")
		case "presentmentMoney":

			out.Values[i] = ec._MoneyBag_presentmentMoney(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "shopMoney":

			out.Values[i] = ec._MoneyBag_shopMoney(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var moneyV2Implementors = []string{"MoneyV2", "PricingValue", "DeliveryConditionCriteria", "SellingPlanCheckoutChargeValue", "SellingPlanPricingPolicyAdjustmentValue"}

func (ec *executionContext) _MoneyV2(ctx context.Context, sel ast.SelectionSet, obj *MoneyV2) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, moneyV2Implementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("MoneyV2")
		case "amount":

			out.Values[i] = ec._MoneyV2_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currencyCode":

			out.Values[i] = ec._MoneyV2_currencyCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var navigationItemImplementors = []string{"NavigationItem"}

func (ec *executionContext) _NavigationItem(ctx context.Context, sel ast.SelectionSet, obj *NavigationItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, navigationItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("NavigationItem")
		case "id":

			out.Values[i] = ec._NavigationItem_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._NavigationItem_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._NavigationItem_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var onlineStorePageImplementors = []string{"OnlineStorePage", "HasPublishedTranslations", "Navigable", "Node", "MetafieldReference"}

func (ec *executionContext) _OnlineStorePage(ctx context.Context, sel ast.SelectionSet, obj *OnlineStorePage) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, onlineStorePageImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OnlineStorePage")
		case "defaultCursor":

			out.Values[i] = ec._OnlineStorePage_defaultCursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._OnlineStorePage_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "translations":

			out.Values[i] = ec._OnlineStorePage_translations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderImplementors = []string{"Order", "CommentEventSubject", "HasEvents", "HasLocalizationExtensions", "HasMetafieldDefinitions", "HasMetafields", "LegacyInteroperability", "Node", "CommentEventEmbed", "_Entity"}

func (ec *executionContext) _Order(ctx context.Context, sel ast.SelectionSet, obj *Order) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Order")
		case "agreements":

			out.Values[i] = ec._Order_agreements(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "alerts":

			out.Values[i] = ec._Order_alerts(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "app":

			out.Values[i] = ec._Order_app(ctx, field, obj)

		case "billingAddress":

			out.Values[i] = ec._Order_billingAddress(ctx, field, obj)

		case "billingAddressMatchesShippingAddress":

			out.Values[i] = ec._Order_billingAddressMatchesShippingAddress(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "canMarkAsPaid":

			out.Values[i] = ec._Order_canMarkAsPaid(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "canNotifyCustomer":

			out.Values[i] = ec._Order_canNotifyCustomer(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "cancelReason":

			out.Values[i] = ec._Order_cancelReason(ctx, field, obj)

		case "cancelledAt":

			out.Values[i] = ec._Order_cancelledAt(ctx, field, obj)

		case "capturable":

			out.Values[i] = ec._Order_capturable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "cartDiscountAmountSet":

			out.Values[i] = ec._Order_cartDiscountAmountSet(ctx, field, obj)

		case "channelInformation":

			out.Values[i] = ec._Order_channelInformation(ctx, field, obj)

		case "clientIp":

			out.Values[i] = ec._Order_clientIp(ctx, field, obj)

		case "closed":

			out.Values[i] = ec._Order_closed(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "closedAt":

			out.Values[i] = ec._Order_closedAt(ctx, field, obj)

		case "confirmed":

			out.Values[i] = ec._Order_confirmed(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._Order_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currencyCode":

			out.Values[i] = ec._Order_currencyCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentCartDiscountAmountSet":

			out.Values[i] = ec._Order_currentCartDiscountAmountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentSubtotalLineItemsQuantity":

			out.Values[i] = ec._Order_currentSubtotalLineItemsQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentSubtotalPriceSet":

			out.Values[i] = ec._Order_currentSubtotalPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentTaxLines":

			out.Values[i] = ec._Order_currentTaxLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentTotalDiscountsSet":

			out.Values[i] = ec._Order_currentTotalDiscountsSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentTotalDutiesSet":

			out.Values[i] = ec._Order_currentTotalDutiesSet(ctx, field, obj)

		case "currentTotalPriceSet":

			out.Values[i] = ec._Order_currentTotalPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentTotalTaxSet":

			out.Values[i] = ec._Order_currentTotalTaxSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currentTotalWeight":

			out.Values[i] = ec._Order_currentTotalWeight(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customAttributes":

			out.Values[i] = ec._Order_customAttributes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customer":

			out.Values[i] = ec._Order_customer(ctx, field, obj)

		case "customerAcceptsMarketing":

			out.Values[i] = ec._Order_customerAcceptsMarketing(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customerJourneySummary":

			out.Values[i] = ec._Order_customerJourneySummary(ctx, field, obj)

		case "customerLocale":

			out.Values[i] = ec._Order_customerLocale(ctx, field, obj)

		case "discountApplications":

			out.Values[i] = ec._Order_discountApplications(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountCode":

			out.Values[i] = ec._Order_discountCode(ctx, field, obj)

		case "discountCodes":

			out.Values[i] = ec._Order_discountCodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "displayAddress":

			out.Values[i] = ec._Order_displayAddress(ctx, field, obj)

		case "displayFinancialStatus":

			out.Values[i] = ec._Order_displayFinancialStatus(ctx, field, obj)

		case "displayFulfillmentStatus":

			out.Values[i] = ec._Order_displayFulfillmentStatus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "disputes":

			out.Values[i] = ec._Order_disputes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "edited":

			out.Values[i] = ec._Order_edited(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "email":

			out.Values[i] = ec._Order_email(ctx, field, obj)

		case "estimatedTaxes":

			out.Values[i] = ec._Order_estimatedTaxes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "events":

			out.Values[i] = ec._Order_events(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillable":

			out.Values[i] = ec._Order_fulfillable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillmentOrders":

			out.Values[i] = ec._Order_fulfillmentOrders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fulfillments":

			out.Values[i] = ec._Order_fulfillments(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fullyPaid":

			out.Values[i] = ec._Order_fullyPaid(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "hasTimelineComment":

			out.Values[i] = ec._Order_hasTimelineComment(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._Order_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyResourceId":

			out.Values[i] = ec._Order_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lineItems":

			out.Values[i] = ec._Order_lineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "localizationExtensions":

			out.Values[i] = ec._Order_localizationExtensions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "merchantEditable":

			out.Values[i] = ec._Order_merchantEditable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "merchantEditableErrors":

			out.Values[i] = ec._Order_merchantEditableErrors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "merchantOfRecordApp":

			out.Values[i] = ec._Order_merchantOfRecordApp(ctx, field, obj)

		case "metafield":

			out.Values[i] = ec._Order_metafield(ctx, field, obj)

		case "metafieldDefinitions":

			out.Values[i] = ec._Order_metafieldDefinitions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "metafields":

			out.Values[i] = ec._Order_metafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._Order_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "netPaymentSet":

			out.Values[i] = ec._Order_netPaymentSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nonFulfillableLineItems":

			out.Values[i] = ec._Order_nonFulfillableLineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "note":

			out.Values[i] = ec._Order_note(ctx, field, obj)

		case "originalTotalDutiesSet":

			out.Values[i] = ec._Order_originalTotalDutiesSet(ctx, field, obj)

		case "originalTotalPriceSet":

			out.Values[i] = ec._Order_originalTotalPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentCollectionDetails":

			out.Values[i] = ec._Order_paymentCollectionDetails(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentGatewayNames":

			out.Values[i] = ec._Order_paymentGatewayNames(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentTerms":

			out.Values[i] = ec._Order_paymentTerms(ctx, field, obj)

		case "phone":

			out.Values[i] = ec._Order_phone(ctx, field, obj)

		case "physicalLocation":

			out.Values[i] = ec._Order_physicalLocation(ctx, field, obj)

		case "presentmentCurrencyCode":

			out.Values[i] = ec._Order_presentmentCurrencyCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "privateMetafield":

			out.Values[i] = ec._Order_privateMetafield(ctx, field, obj)

		case "privateMetafields":

			out.Values[i] = ec._Order_privateMetafields(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "processedAt":

			out.Values[i] = ec._Order_processedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "publication":

			out.Values[i] = ec._Order_publication(ctx, field, obj)

		case "purchasingEntity":

			out.Values[i] = ec._Order_purchasingEntity(ctx, field, obj)

		case "refundDiscrepancySet":

			out.Values[i] = ec._Order_refundDiscrepancySet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "refundable":

			out.Values[i] = ec._Order_refundable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "refunds":

			out.Values[i] = ec._Order_refunds(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "registeredSourceUrl":

			out.Values[i] = ec._Order_registeredSourceUrl(ctx, field, obj)

		case "requiresShipping":

			out.Values[i] = ec._Order_requiresShipping(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "restockable":

			out.Values[i] = ec._Order_restockable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "riskLevel":

			out.Values[i] = ec._Order_riskLevel(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "risks":

			out.Values[i] = ec._Order_risks(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "shippingAddress":

			out.Values[i] = ec._Order_shippingAddress(ctx, field, obj)

		case "shippingLine":

			out.Values[i] = ec._Order_shippingLine(ctx, field, obj)

		case "shippingLines":

			out.Values[i] = ec._Order_shippingLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sourceIdentifier":

			out.Values[i] = ec._Order_sourceIdentifier(ctx, field, obj)

		case "subtotalLineItemsQuantity":

			out.Values[i] = ec._Order_subtotalLineItemsQuantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subtotalPriceSet":

			out.Values[i] = ec._Order_subtotalPriceSet(ctx, field, obj)

		case "suggestedRefund":

			out.Values[i] = ec._Order_suggestedRefund(ctx, field, obj)

		case "tags":

			out.Values[i] = ec._Order_tags(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxLines":

			out.Values[i] = ec._Order_taxLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxesIncluded":

			out.Values[i] = ec._Order_taxesIncluded(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "test":

			out.Values[i] = ec._Order_test(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalCapturableSet":

			out.Values[i] = ec._Order_totalCapturableSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalDiscountsSet":

			out.Values[i] = ec._Order_totalDiscountsSet(ctx, field, obj)

		case "totalOutstandingSet":

			out.Values[i] = ec._Order_totalOutstandingSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalPriceSet":

			out.Values[i] = ec._Order_totalPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalReceivedSet":

			out.Values[i] = ec._Order_totalReceivedSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalRefundedSet":

			out.Values[i] = ec._Order_totalRefundedSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalRefundedShippingSet":

			out.Values[i] = ec._Order_totalRefundedShippingSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalShippingPriceSet":

			out.Values[i] = ec._Order_totalShippingPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalTaxSet":

			out.Values[i] = ec._Order_totalTaxSet(ctx, field, obj)

		case "totalTipReceivedSet":

			out.Values[i] = ec._Order_totalTipReceivedSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalWeight":

			out.Values[i] = ec._Order_totalWeight(ctx, field, obj)

		case "transactions":

			out.Values[i] = ec._Order_transactions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "unpaid":

			out.Values[i] = ec._Order_unpaid(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._Order_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderAppImplementors = []string{"OrderApp"}

func (ec *executionContext) _OrderApp(ctx context.Context, sel ast.SelectionSet, obj *OrderApp) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderAppImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderApp")
		case "icon":

			out.Values[i] = ec._OrderApp_icon(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._OrderApp_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._OrderApp_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderConnectionImplementors = []string{"OrderConnection"}

func (ec *executionContext) _OrderConnection(ctx context.Context, sel ast.SelectionSet, obj *OrderConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderConnection")
		case "edges":

			out.Values[i] = ec._OrderConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._OrderConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._OrderConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderDisputeSummaryImplementors = []string{"OrderDisputeSummary", "Node"}

func (ec *executionContext) _OrderDisputeSummary(ctx context.Context, sel ast.SelectionSet, obj *OrderDisputeSummary) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderDisputeSummaryImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderDisputeSummary")
		case "id":

			out.Values[i] = ec._OrderDisputeSummary_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "initiatedAs":

			out.Values[i] = ec._OrderDisputeSummary_initiatedAs(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "status":

			out.Values[i] = ec._OrderDisputeSummary_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderEdgeImplementors = []string{"OrderEdge"}

func (ec *executionContext) _OrderEdge(ctx context.Context, sel ast.SelectionSet, obj *OrderEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderEdge")
		case "cursor":

			out.Values[i] = ec._OrderEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._OrderEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderPaymentCollectionDetailsImplementors = []string{"OrderPaymentCollectionDetails"}

func (ec *executionContext) _OrderPaymentCollectionDetails(ctx context.Context, sel ast.SelectionSet, obj *OrderPaymentCollectionDetails) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderPaymentCollectionDetailsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderPaymentCollectionDetails")
		case "additionalPaymentCollectionUrl":

			out.Values[i] = ec._OrderPaymentCollectionDetails_additionalPaymentCollectionUrl(ctx, field, obj)

		case "vaultedPaymentMethods":

			out.Values[i] = ec._OrderPaymentCollectionDetails_vaultedPaymentMethods(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderRiskImplementors = []string{"OrderRisk"}

func (ec *executionContext) _OrderRisk(ctx context.Context, sel ast.SelectionSet, obj *OrderRisk) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderRiskImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderRisk")
		case "display":

			out.Values[i] = ec._OrderRisk_display(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "level":

			out.Values[i] = ec._OrderRisk_level(ctx, field, obj)

		case "message":

			out.Values[i] = ec._OrderRisk_message(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderTransactionImplementors = []string{"OrderTransaction", "Node"}

func (ec *executionContext) _OrderTransaction(ctx context.Context, sel ast.SelectionSet, obj *OrderTransaction) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderTransactionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderTransaction")
		case "accountNumber":

			out.Values[i] = ec._OrderTransaction_accountNumber(ctx, field, obj)

		case "amountSet":

			out.Values[i] = ec._OrderTransaction_amountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "authorizationCode":

			out.Values[i] = ec._OrderTransaction_authorizationCode(ctx, field, obj)

		case "authorizationExpiresAt":

			out.Values[i] = ec._OrderTransaction_authorizationExpiresAt(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._OrderTransaction_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "errorCode":

			out.Values[i] = ec._OrderTransaction_errorCode(ctx, field, obj)

		case "fees":

			out.Values[i] = ec._OrderTransaction_fees(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "formattedGateway":

			out.Values[i] = ec._OrderTransaction_formattedGateway(ctx, field, obj)

		case "gateway":

			out.Values[i] = ec._OrderTransaction_gateway(ctx, field, obj)

		case "id":

			out.Values[i] = ec._OrderTransaction_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "kind":

			out.Values[i] = ec._OrderTransaction_kind(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "manuallyCapturable":

			out.Values[i] = ec._OrderTransaction_manuallyCapturable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maximumRefundableV2":

			out.Values[i] = ec._OrderTransaction_maximumRefundableV2(ctx, field, obj)

		case "order":

			out.Values[i] = ec._OrderTransaction_order(ctx, field, obj)

		case "parentTransaction":

			out.Values[i] = ec._OrderTransaction_parentTransaction(ctx, field, obj)

		case "paymentIcon":

			out.Values[i] = ec._OrderTransaction_paymentIcon(ctx, field, obj)

		case "processedAt":

			out.Values[i] = ec._OrderTransaction_processedAt(ctx, field, obj)

		case "receiptJson":

			out.Values[i] = ec._OrderTransaction_receiptJson(ctx, field, obj)

		case "settlementCurrency":

			out.Values[i] = ec._OrderTransaction_settlementCurrency(ctx, field, obj)

		case "settlementCurrencyRate":

			out.Values[i] = ec._OrderTransaction_settlementCurrencyRate(ctx, field, obj)

		case "shopifyPaymentsSet":

			out.Values[i] = ec._OrderTransaction_shopifyPaymentsSet(ctx, field, obj)

		case "status":

			out.Values[i] = ec._OrderTransaction_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "test":

			out.Values[i] = ec._OrderTransaction_test(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalUnsettledSet":

			out.Values[i] = ec._OrderTransaction_totalUnsettledSet(ctx, field, obj)

		case "user":

			out.Values[i] = ec._OrderTransaction_user(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderTransactionConnectionImplementors = []string{"OrderTransactionConnection"}

func (ec *executionContext) _OrderTransactionConnection(ctx context.Context, sel ast.SelectionSet, obj *OrderTransactionConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderTransactionConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderTransactionConnection")
		case "edges":

			out.Values[i] = ec._OrderTransactionConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._OrderTransactionConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._OrderTransactionConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var orderTransactionEdgeImplementors = []string{"OrderTransactionEdge"}

func (ec *executionContext) _OrderTransactionEdge(ctx context.Context, sel ast.SelectionSet, obj *OrderTransactionEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, orderTransactionEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("OrderTransactionEdge")
		case "cursor":

			out.Values[i] = ec._OrderTransactionEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._OrderTransactionEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var pageInfoImplementors = []string{"PageInfo"}

func (ec *executionContext) _PageInfo(ctx context.Context, sel ast.SelectionSet, obj *PageInfo) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, pageInfoImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PageInfo")
		case "endCursor":

			out.Values[i] = ec._PageInfo_endCursor(ctx, field, obj)

		case "hasNextPage":

			out.Values[i] = ec._PageInfo_hasNextPage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "hasPreviousPage":

			out.Values[i] = ec._PageInfo_hasPreviousPage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "startCursor":

			out.Values[i] = ec._PageInfo_startCursor(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var paymentMandateImplementors = []string{"PaymentMandate", "Node"}

func (ec *executionContext) _PaymentMandate(ctx context.Context, sel ast.SelectionSet, obj *PaymentMandate) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, paymentMandateImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PaymentMandate")
		case "id":

			out.Values[i] = ec._PaymentMandate_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentInstrument":

			out.Values[i] = ec._PaymentMandate_paymentInstrument(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var paymentScheduleImplementors = []string{"PaymentSchedule", "Node"}

func (ec *executionContext) _PaymentSchedule(ctx context.Context, sel ast.SelectionSet, obj *PaymentSchedule) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, paymentScheduleImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PaymentSchedule")
		case "amount":

			out.Values[i] = ec._PaymentSchedule_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "completedAt":

			out.Values[i] = ec._PaymentSchedule_completedAt(ctx, field, obj)

		case "dueAt":

			out.Values[i] = ec._PaymentSchedule_dueAt(ctx, field, obj)

		case "id":

			out.Values[i] = ec._PaymentSchedule_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "issuedAt":

			out.Values[i] = ec._PaymentSchedule_issuedAt(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var paymentScheduleConnectionImplementors = []string{"PaymentScheduleConnection"}

func (ec *executionContext) _PaymentScheduleConnection(ctx context.Context, sel ast.SelectionSet, obj *PaymentScheduleConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, paymentScheduleConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PaymentScheduleConnection")
		case "edges":

			out.Values[i] = ec._PaymentScheduleConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._PaymentScheduleConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._PaymentScheduleConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var paymentScheduleEdgeImplementors = []string{"PaymentScheduleEdge"}

func (ec *executionContext) _PaymentScheduleEdge(ctx context.Context, sel ast.SelectionSet, obj *PaymentScheduleEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, paymentScheduleEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PaymentScheduleEdge")
		case "cursor":

			out.Values[i] = ec._PaymentScheduleEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._PaymentScheduleEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var paymentSettingsImplementors = []string{"PaymentSettings"}

func (ec *executionContext) _PaymentSettings(ctx context.Context, sel ast.SelectionSet, obj *PaymentSettings) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, paymentSettingsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PaymentSettings")
		case "supportedDigitalWallets":

			out.Values[i] = ec._PaymentSettings_supportedDigitalWallets(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var paymentTermsImplementors = []string{"PaymentTerms", "Node"}

func (ec *executionContext) _PaymentTerms(ctx context.Context, sel ast.SelectionSet, obj *PaymentTerms) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, paymentTermsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PaymentTerms")
		case "dueInDays":

			out.Values[i] = ec._PaymentTerms_dueInDays(ctx, field, obj)

		case "id":

			out.Values[i] = ec._PaymentTerms_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "overdue":

			out.Values[i] = ec._PaymentTerms_overdue(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentSchedules":

			out.Values[i] = ec._PaymentTerms_paymentSchedules(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentTermsName":

			out.Values[i] = ec._PaymentTerms_paymentTermsName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentTermsType":

			out.Values[i] = ec._PaymentTerms_paymentTermsType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "translatedName":

			out.Values[i] = ec._PaymentTerms_translatedName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var paymentTermsTemplateImplementors = []string{"PaymentTermsTemplate", "Node"}

func (ec *executionContext) _PaymentTermsTemplate(ctx context.Context, sel ast.SelectionSet, obj *PaymentTermsTemplate) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, paymentTermsTemplateImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PaymentTermsTemplate")
		case "description":

			out.Values[i] = ec._PaymentTermsTemplate_description(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "dueInDays":

			out.Values[i] = ec._PaymentTermsTemplate_dueInDays(ctx, field, obj)

		case "id":

			out.Values[i] = ec._PaymentTermsTemplate_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._PaymentTermsTemplate_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paymentTermsType":

			out.Values[i] = ec._PaymentTermsTemplate_paymentTermsType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "translatedName":

			out.Values[i] = ec._PaymentTermsTemplate_translatedName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var priceListImplementors = []string{"PriceList", "Node"}

func (ec *executionContext) _PriceList(ctx context.Context, sel ast.SelectionSet, obj *PriceList) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, priceListImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PriceList")
		case "contextRule":

			out.Values[i] = ec._PriceList_contextRule(ctx, field, obj)

		case "currency":

			out.Values[i] = ec._PriceList_currency(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._PriceList_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._PriceList_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "parent":

			out.Values[i] = ec._PriceList_parent(ctx, field, obj)

		case "prices":

			out.Values[i] = ec._PriceList_prices(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var priceListAdjustmentImplementors = []string{"PriceListAdjustment"}

func (ec *executionContext) _PriceListAdjustment(ctx context.Context, sel ast.SelectionSet, obj *PriceListAdjustment) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, priceListAdjustmentImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PriceListAdjustment")
		case "type":

			out.Values[i] = ec._PriceListAdjustment_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._PriceListAdjustment_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var priceListContextRuleImplementors = []string{"PriceListContextRule"}

func (ec *executionContext) _PriceListContextRule(ctx context.Context, sel ast.SelectionSet, obj *PriceListContextRule) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, priceListContextRuleImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PriceListContextRule")
		case "countries":

			out.Values[i] = ec._PriceListContextRule_countries(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "market":

			out.Values[i] = ec._PriceListContextRule_market(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var priceListParentImplementors = []string{"PriceListParent"}

func (ec *executionContext) _PriceListParent(ctx context.Context, sel ast.SelectionSet, obj *PriceListParent) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, priceListParentImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PriceListParent")
		case "adjustment":

			out.Values[i] = ec._PriceListParent_adjustment(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var priceListPriceImplementors = []string{"PriceListPrice"}

func (ec *executionContext) _PriceListPrice(ctx context.Context, sel ast.SelectionSet, obj *PriceListPrice) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, priceListPriceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PriceListPrice")
		case "compareAtPrice":

			out.Values[i] = ec._PriceListPrice_compareAtPrice(ctx, field, obj)

		case "originType":

			out.Values[i] = ec._PriceListPrice_originType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "price":

			out.Values[i] = ec._PriceListPrice_price(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "variant":

			out.Values[i] = ec._PriceListPrice_variant(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var priceListPriceConnectionImplementors = []string{"PriceListPriceConnection"}

func (ec *executionContext) _PriceListPriceConnection(ctx context.Context, sel ast.SelectionSet, obj *PriceListPriceConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, priceListPriceConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PriceListPriceConnection")
		case "edges":

			out.Values[i] = ec._PriceListPriceConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._PriceListPriceConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._PriceListPriceConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var priceListPriceEdgeImplementors = []string{"PriceListPriceEdge"}

func (ec *executionContext) _PriceListPriceEdge(ctx context.Context, sel ast.SelectionSet, obj *PriceListPriceEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, priceListPriceEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PriceListPriceEdge")
		case "cursor":

			out.Values[i] = ec._PriceListPriceEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._PriceListPriceEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var pricingPercentageValueImplementors = []string{"PricingPercentageValue", "PricingValue"}

func (ec *executionContext) _PricingPercentageValue(ctx context.Context, sel ast.SelectionSet, obj *PricingPercentageValue) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, pricingPercentageValueImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PricingPercentageValue")
		case "percentage":

			out.Values[i] = ec._PricingPercentageValue_percentage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var privateMetafieldImplementors = []string{"PrivateMetafield", "Node"}

func (ec *executionContext) _PrivateMetafield(ctx context.Context, sel ast.SelectionSet, obj *PrivateMetafield) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, privateMetafieldImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PrivateMetafield")
		case "createdAt":

			out.Values[i] = ec._PrivateMetafield_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._PrivateMetafield_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "key":

			out.Values[i] = ec._PrivateMetafield_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "namespace":

			out.Values[i] = ec._PrivateMetafield_namespace(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._PrivateMetafield_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._PrivateMetafield_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "valueType":

			out.Values[i] = ec._PrivateMetafield_valueType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var privateMetafieldConnectionImplementors = []string{"PrivateMetafieldConnection"}

func (ec *executionContext) _PrivateMetafieldConnection(ctx context.Context, sel ast.SelectionSet, obj *PrivateMetafieldConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, privateMetafieldConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PrivateMetafieldConnection")
		case "edges":

			out.Values[i] = ec._PrivateMetafieldConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._PrivateMetafieldConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._PrivateMetafieldConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var privateMetafieldEdgeImplementors = []string{"PrivateMetafieldEdge"}

func (ec *executionContext) _PrivateMetafieldEdge(ctx context.Context, sel ast.SelectionSet, obj *PrivateMetafieldEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, privateMetafieldEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PrivateMetafieldEdge")
		case "cursor":

			out.Values[i] = ec._PrivateMetafieldEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._PrivateMetafieldEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productImplementors = []string{"Product", "CommentEventEmbed", "MetafieldReference", "_Entity"}

func (ec *executionContext) _Product(ctx context.Context, sel ast.SelectionSet, obj *Product) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Product")
		case "id":

			out.Values[i] = ec._Product_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productCategoryImplementors = []string{"ProductCategory"}

func (ec *executionContext) _ProductCategory(ctx context.Context, sel ast.SelectionSet, obj *ProductCategory) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productCategoryImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductCategory")
		case "productTaxonomyNode":

			out.Values[i] = ec._ProductCategory_productTaxonomyNode(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productChangeStatusUserErrorImplementors = []string{"ProductChangeStatusUserError", "DisplayableError"}

func (ec *executionContext) _ProductChangeStatusUserError(ctx context.Context, sel ast.SelectionSet, obj *ProductChangeStatusUserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productChangeStatusUserErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductChangeStatusUserError")
		case "code":

			out.Values[i] = ec._ProductChangeStatusUserError_code(ctx, field, obj)

		case "field":

			out.Values[i] = ec._ProductChangeStatusUserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._ProductChangeStatusUserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productConnectionImplementors = []string{"ProductConnection"}

func (ec *executionContext) _ProductConnection(ctx context.Context, sel ast.SelectionSet, obj *ProductConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductConnection")
		case "edges":

			out.Values[i] = ec._ProductConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._ProductConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._ProductConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productContextualPricingImplementors = []string{"ProductContextualPricing"}

func (ec *executionContext) _ProductContextualPricing(ctx context.Context, sel ast.SelectionSet, obj *ProductContextualPricing) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productContextualPricingImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductContextualPricing")
		case "maxVariantPricing":

			out.Values[i] = ec._ProductContextualPricing_maxVariantPricing(ctx, field, obj)

		case "minVariantPricing":

			out.Values[i] = ec._ProductContextualPricing_minVariantPricing(ctx, field, obj)

		case "priceRange":

			out.Values[i] = ec._ProductContextualPricing_priceRange(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productEdgeImplementors = []string{"ProductEdge"}

func (ec *executionContext) _ProductEdge(ctx context.Context, sel ast.SelectionSet, obj *ProductEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductEdge")
		case "cursor":

			out.Values[i] = ec._ProductEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._ProductEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productPriceRangeV2Implementors = []string{"ProductPriceRangeV2"}

func (ec *executionContext) _ProductPriceRangeV2(ctx context.Context, sel ast.SelectionSet, obj *ProductPriceRangeV2) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productPriceRangeV2Implementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductPriceRangeV2")
		case "maxVariantPrice":

			out.Values[i] = ec._ProductPriceRangeV2_maxVariantPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "minVariantPrice":

			out.Values[i] = ec._ProductPriceRangeV2_minVariantPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productTaxonomyNodeImplementors = []string{"ProductTaxonomyNode", "Node"}

func (ec *executionContext) _ProductTaxonomyNode(ctx context.Context, sel ast.SelectionSet, obj *ProductTaxonomyNode) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productTaxonomyNodeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductTaxonomyNode")
		case "fullName":

			out.Values[i] = ec._ProductTaxonomyNode_fullName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._ProductTaxonomyNode_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isLeaf":

			out.Values[i] = ec._ProductTaxonomyNode_isLeaf(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isRoot":

			out.Values[i] = ec._ProductTaxonomyNode_isRoot(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._ProductTaxonomyNode_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantImplementors = []string{"ProductVariant", "CommentEventEmbed", "MetafieldReference", "_Entity"}

func (ec *executionContext) _ProductVariant(ctx context.Context, sel ast.SelectionSet, obj *ProductVariant) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariant")
		case "id":

			out.Values[i] = ec._ProductVariant_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantConnectionImplementors = []string{"ProductVariantConnection"}

func (ec *executionContext) _ProductVariantConnection(ctx context.Context, sel ast.SelectionSet, obj *ProductVariantConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariantConnection")
		case "edges":

			out.Values[i] = ec._ProductVariantConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._ProductVariantConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._ProductVariantConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantContextualPricingImplementors = []string{"ProductVariantContextualPricing"}

func (ec *executionContext) _ProductVariantContextualPricing(ctx context.Context, sel ast.SelectionSet, obj *ProductVariantContextualPricing) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantContextualPricingImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariantContextualPricing")
		case "compareAtPrice":

			out.Values[i] = ec._ProductVariantContextualPricing_compareAtPrice(ctx, field, obj)

		case "price":

			out.Values[i] = ec._ProductVariantContextualPricing_price(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantEdgeImplementors = []string{"ProductVariantEdge"}

func (ec *executionContext) _ProductVariantEdge(ctx context.Context, sel ast.SelectionSet, obj *ProductVariantEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariantEdge")
		case "cursor":

			out.Values[i] = ec._ProductVariantEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._ProductVariantEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantsBulkCreateUserErrorImplementors = []string{"ProductVariantsBulkCreateUserError", "DisplayableError"}

func (ec *executionContext) _ProductVariantsBulkCreateUserError(ctx context.Context, sel ast.SelectionSet, obj *ProductVariantsBulkCreateUserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantsBulkCreateUserErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariantsBulkCreateUserError")
		case "code":

			out.Values[i] = ec._ProductVariantsBulkCreateUserError_code(ctx, field, obj)

		case "field":

			out.Values[i] = ec._ProductVariantsBulkCreateUserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._ProductVariantsBulkCreateUserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantsBulkDeleteUserErrorImplementors = []string{"ProductVariantsBulkDeleteUserError", "DisplayableError"}

func (ec *executionContext) _ProductVariantsBulkDeleteUserError(ctx context.Context, sel ast.SelectionSet, obj *ProductVariantsBulkDeleteUserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantsBulkDeleteUserErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariantsBulkDeleteUserError")
		case "code":

			out.Values[i] = ec._ProductVariantsBulkDeleteUserError_code(ctx, field, obj)

		case "field":

			out.Values[i] = ec._ProductVariantsBulkDeleteUserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._ProductVariantsBulkDeleteUserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantsBulkReorderUserErrorImplementors = []string{"ProductVariantsBulkReorderUserError", "DisplayableError"}

func (ec *executionContext) _ProductVariantsBulkReorderUserError(ctx context.Context, sel ast.SelectionSet, obj *ProductVariantsBulkReorderUserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantsBulkReorderUserErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariantsBulkReorderUserError")
		case "code":

			out.Values[i] = ec._ProductVariantsBulkReorderUserError_code(ctx, field, obj)

		case "field":

			out.Values[i] = ec._ProductVariantsBulkReorderUserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._ProductVariantsBulkReorderUserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var productVariantsBulkUpdateUserErrorImplementors = []string{"ProductVariantsBulkUpdateUserError", "DisplayableError"}

func (ec *executionContext) _ProductVariantsBulkUpdateUserError(ctx context.Context, sel ast.SelectionSet, obj *ProductVariantsBulkUpdateUserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, productVariantsBulkUpdateUserErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ProductVariantsBulkUpdateUserError")
		case "code":

			out.Values[i] = ec._ProductVariantsBulkUpdateUserError_code(ctx, field, obj)

		case "field":

			out.Values[i] = ec._ProductVariantsBulkUpdateUserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._ProductVariantsBulkUpdateUserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var publicationImplementors = []string{"Publication", "Node"}

func (ec *executionContext) _Publication(ctx context.Context, sel ast.SelectionSet, obj *Publication) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, publicationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Publication")
		case "app":

			out.Values[i] = ec._Publication_app(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "collectionPublicationsV3":

			out.Values[i] = ec._Publication_collectionPublicationsV3(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "collections":

			out.Values[i] = ec._Publication_collections(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "hasCollection":

			out.Values[i] = ec._Publication_hasCollection(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._Publication_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._Publication_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "productPublicationsV3":

			out.Values[i] = ec._Publication_productPublicationsV3(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "products":

			out.Values[i] = ec._Publication_products(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "supportsFuturePublishing":

			out.Values[i] = ec._Publication_supportsFuturePublishing(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var publicationConnectionImplementors = []string{"PublicationConnection"}

func (ec *executionContext) _PublicationConnection(ctx context.Context, sel ast.SelectionSet, obj *PublicationConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, publicationConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PublicationConnection")
		case "edges":

			out.Values[i] = ec._PublicationConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._PublicationConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._PublicationConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var publicationEdgeImplementors = []string{"PublicationEdge"}

func (ec *executionContext) _PublicationEdge(ctx context.Context, sel ast.SelectionSet, obj *PublicationEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, publicationEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PublicationEdge")
		case "cursor":

			out.Values[i] = ec._PublicationEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._PublicationEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var publishedTranslationImplementors = []string{"PublishedTranslation"}

func (ec *executionContext) _PublishedTranslation(ctx context.Context, sel ast.SelectionSet, obj *PublishedTranslation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, publishedTranslationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PublishedTranslation")
		case "key":

			out.Values[i] = ec._PublishedTranslation_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "locale":

			out.Values[i] = ec._PublishedTranslation_locale(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "marketId":

			out.Values[i] = ec._PublishedTranslation_marketId(ctx, field, obj)

		case "value":

			out.Values[i] = ec._PublishedTranslation_value(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var purchasingCompanyImplementors = []string{"PurchasingCompany", "PurchasingEntity"}

func (ec *executionContext) _PurchasingCompany(ctx context.Context, sel ast.SelectionSet, obj *PurchasingCompany) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, purchasingCompanyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("PurchasingCompany")
		case "company":

			out.Values[i] = ec._PurchasingCompany_company(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "contact":

			out.Values[i] = ec._PurchasingCompany_contact(ctx, field, obj)

		case "location":

			out.Values[i] = ec._PurchasingCompany_location(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var queryImplementors = []string{"Query"}

func (ec *executionContext) _Query(ctx context.Context, sel ast.SelectionSet) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, queryImplementors)
	ctx = graphql.WithFieldContext(ctx, &graphql.FieldContext{
		Object: "Query",
	})

	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		innerCtx := graphql.WithRootFieldContext(ctx, &graphql.RootFieldContext{
			Object: field.Name,
			Field:  field,
		})

		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Query")
		case "_entities":
			field := field

			innerFunc := func(ctx context.Context) (res graphql.Marshaler) {
				defer func() {
					if r := recover(); r != nil {
						ec.Error(ctx, ec.Recover(ctx, r))
					}
				}()
				res = ec._Query__entities(ctx, field)
				if res == graphql.Null {
					atomic.AddUint32(&invalids, 1)
				}
				return res
			}

			rrm := func(ctx context.Context) graphql.Marshaler {
				return ec.OperationContext.RootResolverMiddleware(ctx, innerFunc)
			}

			out.Concurrently(i, func() graphql.Marshaler {
				return rrm(innerCtx)
			})
		case "_service":
			field := field

			innerFunc := func(ctx context.Context) (res graphql.Marshaler) {
				defer func() {
					if r := recover(); r != nil {
						ec.Error(ctx, ec.Recover(ctx, r))
					}
				}()
				res = ec._Query__service(ctx, field)
				if res == graphql.Null {
					atomic.AddUint32(&invalids, 1)
				}
				return res
			}

			rrm := func(ctx context.Context) graphql.Marshaler {
				return ec.OperationContext.RootResolverMiddleware(ctx, innerFunc)
			}

			out.Concurrently(i, func() graphql.Marshaler {
				return rrm(innerCtx)
			})
		case "__type":

			out.Values[i] = ec.OperationContext.RootResolverMiddleware(innerCtx, func(ctx context.Context) (res graphql.Marshaler) {
				return ec._Query___type(ctx, field)
			})

		case "__schema":

			out.Values[i] = ec.OperationContext.RootResolverMiddleware(innerCtx, func(ctx context.Context) (res graphql.Marshaler) {
				return ec._Query___schema(ctx, field)
			})

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var refundImplementors = []string{"Refund", "LegacyInteroperability", "Node"}

func (ec *executionContext) _Refund(ctx context.Context, sel ast.SelectionSet, obj *Refund) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, refundImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Refund")
		case "createdAt":

			out.Values[i] = ec._Refund_createdAt(ctx, field, obj)

		case "duties":

			out.Values[i] = ec._Refund_duties(ctx, field, obj)

		case "id":

			out.Values[i] = ec._Refund_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyResourceId":

			out.Values[i] = ec._Refund_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "note":

			out.Values[i] = ec._Refund_note(ctx, field, obj)

		case "order":

			out.Values[i] = ec._Refund_order(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "refundLineItems":

			out.Values[i] = ec._Refund_refundLineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "staffMember":

			out.Values[i] = ec._Refund_staffMember(ctx, field, obj)

		case "totalRefundedSet":

			out.Values[i] = ec._Refund_totalRefundedSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "transactions":

			out.Values[i] = ec._Refund_transactions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._Refund_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var refundDutyImplementors = []string{"RefundDuty"}

func (ec *executionContext) _RefundDuty(ctx context.Context, sel ast.SelectionSet, obj *RefundDuty) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, refundDutyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("RefundDuty")
		case "amountSet":

			out.Values[i] = ec._RefundDuty_amountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalDuty":

			out.Values[i] = ec._RefundDuty_originalDuty(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var refundLineItemImplementors = []string{"RefundLineItem"}

func (ec *executionContext) _RefundLineItem(ctx context.Context, sel ast.SelectionSet, obj *RefundLineItem) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, refundLineItemImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("RefundLineItem")
		case "lineItem":

			out.Values[i] = ec._RefundLineItem_lineItem(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "location":

			out.Values[i] = ec._RefundLineItem_location(ctx, field, obj)

		case "priceSet":

			out.Values[i] = ec._RefundLineItem_priceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "quantity":

			out.Values[i] = ec._RefundLineItem_quantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "restockType":

			out.Values[i] = ec._RefundLineItem_restockType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "restocked":

			out.Values[i] = ec._RefundLineItem_restocked(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subtotalSet":

			out.Values[i] = ec._RefundLineItem_subtotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalTaxSet":

			out.Values[i] = ec._RefundLineItem_totalTaxSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var refundLineItemConnectionImplementors = []string{"RefundLineItemConnection"}

func (ec *executionContext) _RefundLineItemConnection(ctx context.Context, sel ast.SelectionSet, obj *RefundLineItemConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, refundLineItemConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("RefundLineItemConnection")
		case "edges":

			out.Values[i] = ec._RefundLineItemConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._RefundLineItemConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._RefundLineItemConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var refundLineItemEdgeImplementors = []string{"RefundLineItemEdge"}

func (ec *executionContext) _RefundLineItemEdge(ctx context.Context, sel ast.SelectionSet, obj *RefundLineItemEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, refundLineItemEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("RefundLineItemEdge")
		case "cursor":

			out.Values[i] = ec._RefundLineItemEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._RefundLineItemEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourceAlertImplementors = []string{"ResourceAlert"}

func (ec *executionContext) _ResourceAlert(ctx context.Context, sel ast.SelectionSet, obj *ResourceAlert) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourceAlertImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourceAlert")
		case "actions":

			out.Values[i] = ec._ResourceAlert_actions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "content":

			out.Values[i] = ec._ResourceAlert_content(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "dismissibleHandle":

			out.Values[i] = ec._ResourceAlert_dismissibleHandle(ctx, field, obj)

		case "icon":

			out.Values[i] = ec._ResourceAlert_icon(ctx, field, obj)

		case "severity":

			out.Values[i] = ec._ResourceAlert_severity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._ResourceAlert_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourceAlertActionImplementors = []string{"ResourceAlertAction"}

func (ec *executionContext) _ResourceAlertAction(ctx context.Context, sel ast.SelectionSet, obj *ResourceAlertAction) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourceAlertActionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourceAlertAction")
		case "primary":

			out.Values[i] = ec._ResourceAlertAction_primary(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "show":

			out.Values[i] = ec._ResourceAlertAction_show(ctx, field, obj)

		case "title":

			out.Values[i] = ec._ResourceAlertAction_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._ResourceAlertAction_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourceFeedbackImplementors = []string{"ResourceFeedback"}

func (ec *executionContext) _ResourceFeedback(ctx context.Context, sel ast.SelectionSet, obj *ResourceFeedback) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourceFeedbackImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourceFeedback")
		case "details":

			out.Values[i] = ec._ResourceFeedback_details(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "summary":

			out.Values[i] = ec._ResourceFeedback_summary(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourceLimitImplementors = []string{"ResourceLimit"}

func (ec *executionContext) _ResourceLimit(ctx context.Context, sel ast.SelectionSet, obj *ResourceLimit) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourceLimitImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourceLimit")
		case "available":

			out.Values[i] = ec._ResourceLimit_available(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "quantityAvailable":

			out.Values[i] = ec._ResourceLimit_quantityAvailable(ctx, field, obj)

		case "quantityLimit":

			out.Values[i] = ec._ResourceLimit_quantityLimit(ctx, field, obj)

		case "quantityUsed":

			out.Values[i] = ec._ResourceLimit_quantityUsed(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourcePublicationImplementors = []string{"ResourcePublication"}

func (ec *executionContext) _ResourcePublication(ctx context.Context, sel ast.SelectionSet, obj *ResourcePublication) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourcePublicationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourcePublication")
		case "isPublished":

			out.Values[i] = ec._ResourcePublication_isPublished(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "publication":

			out.Values[i] = ec._ResourcePublication_publication(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "publishDate":

			out.Values[i] = ec._ResourcePublication_publishDate(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "publishable":

			out.Values[i] = ec._ResourcePublication_publishable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourcePublicationConnectionImplementors = []string{"ResourcePublicationConnection"}

func (ec *executionContext) _ResourcePublicationConnection(ctx context.Context, sel ast.SelectionSet, obj *ResourcePublicationConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourcePublicationConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourcePublicationConnection")
		case "edges":

			out.Values[i] = ec._ResourcePublicationConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._ResourcePublicationConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._ResourcePublicationConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourcePublicationEdgeImplementors = []string{"ResourcePublicationEdge"}

func (ec *executionContext) _ResourcePublicationEdge(ctx context.Context, sel ast.SelectionSet, obj *ResourcePublicationEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourcePublicationEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourcePublicationEdge")
		case "cursor":

			out.Values[i] = ec._ResourcePublicationEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._ResourcePublicationEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourcePublicationV2Implementors = []string{"ResourcePublicationV2"}

func (ec *executionContext) _ResourcePublicationV2(ctx context.Context, sel ast.SelectionSet, obj *ResourcePublicationV2) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourcePublicationV2Implementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourcePublicationV2")
		case "isPublished":

			out.Values[i] = ec._ResourcePublicationV2_isPublished(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "publication":

			out.Values[i] = ec._ResourcePublicationV2_publication(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "publishDate":

			out.Values[i] = ec._ResourcePublicationV2_publishDate(ctx, field, obj)

		case "publishable":

			out.Values[i] = ec._ResourcePublicationV2_publishable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourcePublicationV2ConnectionImplementors = []string{"ResourcePublicationV2Connection"}

func (ec *executionContext) _ResourcePublicationV2Connection(ctx context.Context, sel ast.SelectionSet, obj *ResourcePublicationV2Connection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourcePublicationV2ConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourcePublicationV2Connection")
		case "edges":

			out.Values[i] = ec._ResourcePublicationV2Connection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._ResourcePublicationV2Connection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._ResourcePublicationV2Connection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var resourcePublicationV2EdgeImplementors = []string{"ResourcePublicationV2Edge"}

func (ec *executionContext) _ResourcePublicationV2Edge(ctx context.Context, sel ast.SelectionSet, obj *ResourcePublicationV2Edge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, resourcePublicationV2EdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ResourcePublicationV2Edge")
		case "cursor":

			out.Values[i] = ec._ResourcePublicationV2Edge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._ResourcePublicationV2Edge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sEOImplementors = []string{"SEO"}

func (ec *executionContext) _SEO(ctx context.Context, sel ast.SelectionSet, obj *Seo) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sEOImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SEO")
		case "description":

			out.Values[i] = ec._SEO_description(ctx, field, obj)

		case "title":

			out.Values[i] = ec._SEO_title(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var saleConnectionImplementors = []string{"SaleConnection"}

func (ec *executionContext) _SaleConnection(ctx context.Context, sel ast.SelectionSet, obj *SaleConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, saleConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SaleConnection")
		case "edges":

			out.Values[i] = ec._SaleConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SaleConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SaleConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var saleEdgeImplementors = []string{"SaleEdge"}

func (ec *executionContext) _SaleEdge(ctx context.Context, sel ast.SelectionSet, obj *SaleEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, saleEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SaleEdge")
		case "cursor":

			out.Values[i] = ec._SaleEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SaleEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var saleTaxImplementors = []string{"SaleTax"}

func (ec *executionContext) _SaleTax(ctx context.Context, sel ast.SelectionSet, obj *SaleTax) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, saleTaxImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SaleTax")
		case "amount":

			out.Values[i] = ec._SaleTax_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._SaleTax_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxLine":

			out.Values[i] = ec._SaleTax_taxLine(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var salesAgreementConnectionImplementors = []string{"SalesAgreementConnection"}

func (ec *executionContext) _SalesAgreementConnection(ctx context.Context, sel ast.SelectionSet, obj *SalesAgreementConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, salesAgreementConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SalesAgreementConnection")
		case "edges":

			out.Values[i] = ec._SalesAgreementConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SalesAgreementConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SalesAgreementConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var salesAgreementEdgeImplementors = []string{"SalesAgreementEdge"}

func (ec *executionContext) _SalesAgreementEdge(ctx context.Context, sel ast.SelectionSet, obj *SalesAgreementEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, salesAgreementEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SalesAgreementEdge")
		case "cursor":

			out.Values[i] = ec._SalesAgreementEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SalesAgreementEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var savedSearchImplementors = []string{"SavedSearch", "LegacyInteroperability", "Node"}

func (ec *executionContext) _SavedSearch(ctx context.Context, sel ast.SelectionSet, obj *SavedSearch) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, savedSearchImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SavedSearch")
		case "filters":

			out.Values[i] = ec._SavedSearch_filters(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._SavedSearch_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacyResourceId":

			out.Values[i] = ec._SavedSearch_legacyResourceId(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._SavedSearch_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "query":

			out.Values[i] = ec._SavedSearch_query(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "resourceType":

			out.Values[i] = ec._SavedSearch_resourceType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "searchTerms":

			out.Values[i] = ec._SavedSearch_searchTerms(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var savedSearchConnectionImplementors = []string{"SavedSearchConnection"}

func (ec *executionContext) _SavedSearchConnection(ctx context.Context, sel ast.SelectionSet, obj *SavedSearchConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, savedSearchConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SavedSearchConnection")
		case "edges":

			out.Values[i] = ec._SavedSearchConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SavedSearchConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SavedSearchConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var savedSearchEdgeImplementors = []string{"SavedSearchEdge"}

func (ec *executionContext) _SavedSearchEdge(ctx context.Context, sel ast.SelectionSet, obj *SavedSearchEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, savedSearchEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SavedSearchEdge")
		case "cursor":

			out.Values[i] = ec._SavedSearchEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SavedSearchEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var scriptDiscountApplicationImplementors = []string{"ScriptDiscountApplication", "DiscountApplication"}

func (ec *executionContext) _ScriptDiscountApplication(ctx context.Context, sel ast.SelectionSet, obj *ScriptDiscountApplication) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, scriptDiscountApplicationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ScriptDiscountApplication")
		case "allocationMethod":

			out.Values[i] = ec._ScriptDiscountApplication_allocationMethod(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "index":

			out.Values[i] = ec._ScriptDiscountApplication_index(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetSelection":

			out.Values[i] = ec._ScriptDiscountApplication_targetSelection(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "targetType":

			out.Values[i] = ec._ScriptDiscountApplication_targetType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._ScriptDiscountApplication_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._ScriptDiscountApplication_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var searchFilterImplementors = []string{"SearchFilter"}

func (ec *executionContext) _SearchFilter(ctx context.Context, sel ast.SelectionSet, obj *SearchFilter) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, searchFilterImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SearchFilter")
		case "key":

			out.Values[i] = ec._SearchFilter_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._SearchFilter_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var searchFilterOptionsImplementors = []string{"SearchFilterOptions"}

func (ec *executionContext) _SearchFilterOptions(ctx context.Context, sel ast.SelectionSet, obj *SearchFilterOptions) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, searchFilterOptionsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SearchFilterOptions")
		case "productAvailability":

			out.Values[i] = ec._SearchFilterOptions_productAvailability(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var searchResultImplementors = []string{"SearchResult"}

func (ec *executionContext) _SearchResult(ctx context.Context, sel ast.SelectionSet, obj *SearchResult) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, searchResultImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SearchResult")
		case "description":

			out.Values[i] = ec._SearchResult_description(ctx, field, obj)

		case "image":

			out.Values[i] = ec._SearchResult_image(ctx, field, obj)

		case "reference":

			out.Values[i] = ec._SearchResult_reference(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._SearchResult_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._SearchResult_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var searchResultConnectionImplementors = []string{"SearchResultConnection"}

func (ec *executionContext) _SearchResultConnection(ctx context.Context, sel ast.SelectionSet, obj *SearchResultConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, searchResultConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SearchResultConnection")
		case "edges":

			out.Values[i] = ec._SearchResultConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SearchResultConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var searchResultEdgeImplementors = []string{"SearchResultEdge"}

func (ec *executionContext) _SearchResultEdge(ctx context.Context, sel ast.SelectionSet, obj *SearchResultEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, searchResultEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SearchResultEdge")
		case "cursor":

			out.Values[i] = ec._SearchResultEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SearchResultEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var selectedOptionImplementors = []string{"SelectedOption"}

func (ec *executionContext) _SelectedOption(ctx context.Context, sel ast.SelectionSet, obj *SelectedOption) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, selectedOptionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SelectedOption")
		case "name":

			out.Values[i] = ec._SelectedOption_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._SelectedOption_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanImplementors = []string{"SellingPlan", "Node"}

func (ec *executionContext) _SellingPlan(ctx context.Context, sel ast.SelectionSet, obj *SellingPlan) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlan")
		case "billingPolicy":

			out.Values[i] = ec._SellingPlan_billingPolicy(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "category":

			out.Values[i] = ec._SellingPlan_category(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._SellingPlan_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deliveryPolicy":

			out.Values[i] = ec._SellingPlan_deliveryPolicy(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._SellingPlan_description(ctx, field, obj)

		case "id":

			out.Values[i] = ec._SellingPlan_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "inventoryPolicy":

			out.Values[i] = ec._SellingPlan_inventoryPolicy(ctx, field, obj)

		case "name":

			out.Values[i] = ec._SellingPlan_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "options":

			out.Values[i] = ec._SellingPlan_options(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "position":

			out.Values[i] = ec._SellingPlan_position(ctx, field, obj)

		case "pricingPolicies":

			out.Values[i] = ec._SellingPlan_pricingPolicies(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanAnchorImplementors = []string{"SellingPlanAnchor"}

func (ec *executionContext) _SellingPlanAnchor(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanAnchor) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanAnchorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanAnchor")
		case "cutoffDay":

			out.Values[i] = ec._SellingPlanAnchor_cutoffDay(ctx, field, obj)

		case "day":

			out.Values[i] = ec._SellingPlanAnchor_day(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "month":

			out.Values[i] = ec._SellingPlanAnchor_month(ctx, field, obj)

		case "type":

			out.Values[i] = ec._SellingPlanAnchor_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanCheckoutChargeImplementors = []string{"SellingPlanCheckoutCharge"}

func (ec *executionContext) _SellingPlanCheckoutCharge(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanCheckoutCharge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanCheckoutChargeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanCheckoutCharge")
		case "type":

			out.Values[i] = ec._SellingPlanCheckoutCharge_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._SellingPlanCheckoutCharge_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanCheckoutChargePercentageValueImplementors = []string{"SellingPlanCheckoutChargePercentageValue", "SellingPlanCheckoutChargeValue"}

func (ec *executionContext) _SellingPlanCheckoutChargePercentageValue(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanCheckoutChargePercentageValue) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanCheckoutChargePercentageValueImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanCheckoutChargePercentageValue")
		case "percentage":

			out.Values[i] = ec._SellingPlanCheckoutChargePercentageValue_percentage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanConnectionImplementors = []string{"SellingPlanConnection"}

func (ec *executionContext) _SellingPlanConnection(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanConnection")
		case "edges":

			out.Values[i] = ec._SellingPlanConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SellingPlanConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SellingPlanConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanEdgeImplementors = []string{"SellingPlanEdge"}

func (ec *executionContext) _SellingPlanEdge(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanEdge")
		case "cursor":

			out.Values[i] = ec._SellingPlanEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SellingPlanEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanFixedBillingPolicyImplementors = []string{"SellingPlanFixedBillingPolicy", "SellingPlanBillingPolicy"}

func (ec *executionContext) _SellingPlanFixedBillingPolicy(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanFixedBillingPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanFixedBillingPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanFixedBillingPolicy")
		case "checkoutCharge":

			out.Values[i] = ec._SellingPlanFixedBillingPolicy_checkoutCharge(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "remainingBalanceChargeExactTime":

			out.Values[i] = ec._SellingPlanFixedBillingPolicy_remainingBalanceChargeExactTime(ctx, field, obj)

		case "remainingBalanceChargeTimeAfterCheckout":

			out.Values[i] = ec._SellingPlanFixedBillingPolicy_remainingBalanceChargeTimeAfterCheckout(ctx, field, obj)

		case "remainingBalanceChargeTrigger":

			out.Values[i] = ec._SellingPlanFixedBillingPolicy_remainingBalanceChargeTrigger(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanFixedDeliveryPolicyImplementors = []string{"SellingPlanFixedDeliveryPolicy", "SellingPlanDeliveryPolicy"}

func (ec *executionContext) _SellingPlanFixedDeliveryPolicy(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanFixedDeliveryPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanFixedDeliveryPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanFixedDeliveryPolicy")
		case "anchors":

			out.Values[i] = ec._SellingPlanFixedDeliveryPolicy_anchors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "cutoff":

			out.Values[i] = ec._SellingPlanFixedDeliveryPolicy_cutoff(ctx, field, obj)

		case "fulfillmentExactTime":

			out.Values[i] = ec._SellingPlanFixedDeliveryPolicy_fulfillmentExactTime(ctx, field, obj)

		case "fulfillmentTrigger":

			out.Values[i] = ec._SellingPlanFixedDeliveryPolicy_fulfillmentTrigger(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "intent":

			out.Values[i] = ec._SellingPlanFixedDeliveryPolicy_intent(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "preAnchorBehavior":

			out.Values[i] = ec._SellingPlanFixedDeliveryPolicy_preAnchorBehavior(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanFixedPricingPolicyImplementors = []string{"SellingPlanFixedPricingPolicy", "SellingPlanPricingPolicyBase", "SellingPlanPricingPolicy"}

func (ec *executionContext) _SellingPlanFixedPricingPolicy(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanFixedPricingPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanFixedPricingPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanFixedPricingPolicy")
		case "adjustmentType":

			out.Values[i] = ec._SellingPlanFixedPricingPolicy_adjustmentType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "adjustmentValue":

			out.Values[i] = ec._SellingPlanFixedPricingPolicy_adjustmentValue(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._SellingPlanFixedPricingPolicy_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanGroupImplementors = []string{"SellingPlanGroup", "Node"}

func (ec *executionContext) _SellingPlanGroup(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanGroup) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanGroupImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanGroup")
		case "appId":

			out.Values[i] = ec._SellingPlanGroup_appId(ctx, field, obj)

		case "appliesToProduct":

			out.Values[i] = ec._SellingPlanGroup_appliesToProduct(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "appliesToProductVariant":

			out.Values[i] = ec._SellingPlanGroup_appliesToProductVariant(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "appliesToProductVariants":

			out.Values[i] = ec._SellingPlanGroup_appliesToProductVariants(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._SellingPlanGroup_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._SellingPlanGroup_description(ctx, field, obj)

		case "id":

			out.Values[i] = ec._SellingPlanGroup_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "merchantCode":

			out.Values[i] = ec._SellingPlanGroup_merchantCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._SellingPlanGroup_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "options":

			out.Values[i] = ec._SellingPlanGroup_options(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "position":

			out.Values[i] = ec._SellingPlanGroup_position(ctx, field, obj)

		case "productCount":

			out.Values[i] = ec._SellingPlanGroup_productCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "productVariantCount":

			out.Values[i] = ec._SellingPlanGroup_productVariantCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "productVariants":

			out.Values[i] = ec._SellingPlanGroup_productVariants(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "products":

			out.Values[i] = ec._SellingPlanGroup_products(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sellingPlans":

			out.Values[i] = ec._SellingPlanGroup_sellingPlans(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "summary":

			out.Values[i] = ec._SellingPlanGroup_summary(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanGroupConnectionImplementors = []string{"SellingPlanGroupConnection"}

func (ec *executionContext) _SellingPlanGroupConnection(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanGroupConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanGroupConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanGroupConnection")
		case "edges":

			out.Values[i] = ec._SellingPlanGroupConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SellingPlanGroupConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SellingPlanGroupConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanGroupEdgeImplementors = []string{"SellingPlanGroupEdge"}

func (ec *executionContext) _SellingPlanGroupEdge(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanGroupEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanGroupEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanGroupEdge")
		case "cursor":

			out.Values[i] = ec._SellingPlanGroupEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SellingPlanGroupEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanGroupUserErrorImplementors = []string{"SellingPlanGroupUserError", "DisplayableError"}

func (ec *executionContext) _SellingPlanGroupUserError(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanGroupUserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanGroupUserErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanGroupUserError")
		case "code":

			out.Values[i] = ec._SellingPlanGroupUserError_code(ctx, field, obj)

		case "field":

			out.Values[i] = ec._SellingPlanGroupUserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._SellingPlanGroupUserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanInventoryPolicyImplementors = []string{"SellingPlanInventoryPolicy"}

func (ec *executionContext) _SellingPlanInventoryPolicy(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanInventoryPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanInventoryPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanInventoryPolicy")
		case "reserve":

			out.Values[i] = ec._SellingPlanInventoryPolicy_reserve(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanPricingPolicyPercentageValueImplementors = []string{"SellingPlanPricingPolicyPercentageValue", "SellingPlanPricingPolicyAdjustmentValue"}

func (ec *executionContext) _SellingPlanPricingPolicyPercentageValue(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanPricingPolicyPercentageValue) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanPricingPolicyPercentageValueImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanPricingPolicyPercentageValue")
		case "percentage":

			out.Values[i] = ec._SellingPlanPricingPolicyPercentageValue_percentage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanRecurringBillingPolicyImplementors = []string{"SellingPlanRecurringBillingPolicy", "SellingPlanBillingPolicy"}

func (ec *executionContext) _SellingPlanRecurringBillingPolicy(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanRecurringBillingPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanRecurringBillingPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanRecurringBillingPolicy")
		case "anchors":

			out.Values[i] = ec._SellingPlanRecurringBillingPolicy_anchors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._SellingPlanRecurringBillingPolicy_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "interval":

			out.Values[i] = ec._SellingPlanRecurringBillingPolicy_interval(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "intervalCount":

			out.Values[i] = ec._SellingPlanRecurringBillingPolicy_intervalCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maxCycles":

			out.Values[i] = ec._SellingPlanRecurringBillingPolicy_maxCycles(ctx, field, obj)

		case "minCycles":

			out.Values[i] = ec._SellingPlanRecurringBillingPolicy_minCycles(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanRecurringDeliveryPolicyImplementors = []string{"SellingPlanRecurringDeliveryPolicy", "SellingPlanDeliveryPolicy"}

func (ec *executionContext) _SellingPlanRecurringDeliveryPolicy(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanRecurringDeliveryPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanRecurringDeliveryPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanRecurringDeliveryPolicy")
		case "anchors":

			out.Values[i] = ec._SellingPlanRecurringDeliveryPolicy_anchors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._SellingPlanRecurringDeliveryPolicy_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "cutoff":

			out.Values[i] = ec._SellingPlanRecurringDeliveryPolicy_cutoff(ctx, field, obj)

		case "intent":

			out.Values[i] = ec._SellingPlanRecurringDeliveryPolicy_intent(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "interval":

			out.Values[i] = ec._SellingPlanRecurringDeliveryPolicy_interval(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "intervalCount":

			out.Values[i] = ec._SellingPlanRecurringDeliveryPolicy_intervalCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "preAnchorBehavior":

			out.Values[i] = ec._SellingPlanRecurringDeliveryPolicy_preAnchorBehavior(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var sellingPlanRecurringPricingPolicyImplementors = []string{"SellingPlanRecurringPricingPolicy", "SellingPlanPricingPolicyBase", "SellingPlanPricingPolicy"}

func (ec *executionContext) _SellingPlanRecurringPricingPolicy(ctx context.Context, sel ast.SelectionSet, obj *SellingPlanRecurringPricingPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, sellingPlanRecurringPricingPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SellingPlanRecurringPricingPolicy")
		case "adjustmentType":

			out.Values[i] = ec._SellingPlanRecurringPricingPolicy_adjustmentType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "adjustmentValue":

			out.Values[i] = ec._SellingPlanRecurringPricingPolicy_adjustmentValue(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "afterCycle":

			out.Values[i] = ec._SellingPlanRecurringPricingPolicy_afterCycle(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._SellingPlanRecurringPricingPolicy_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shippingLineImplementors = []string{"ShippingLine"}

func (ec *executionContext) _ShippingLine(ctx context.Context, sel ast.SelectionSet, obj *ShippingLine) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shippingLineImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShippingLine")
		case "carrierIdentifier":

			out.Values[i] = ec._ShippingLine_carrierIdentifier(ctx, field, obj)

		case "code":

			out.Values[i] = ec._ShippingLine_code(ctx, field, obj)

		case "custom":

			out.Values[i] = ec._ShippingLine_custom(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deliveryCategory":

			out.Values[i] = ec._ShippingLine_deliveryCategory(ctx, field, obj)

		case "discountAllocations":

			out.Values[i] = ec._ShippingLine_discountAllocations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedPriceSet":

			out.Values[i] = ec._ShippingLine_discountedPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._ShippingLine_id(ctx, field, obj)

		case "originalPriceSet":

			out.Values[i] = ec._ShippingLine_originalPriceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "phone":

			out.Values[i] = ec._ShippingLine_phone(ctx, field, obj)

		case "requestedFulfillmentService":

			out.Values[i] = ec._ShippingLine_requestedFulfillmentService(ctx, field, obj)

		case "shippingRateHandle":

			out.Values[i] = ec._ShippingLine_shippingRateHandle(ctx, field, obj)

		case "source":

			out.Values[i] = ec._ShippingLine_source(ctx, field, obj)

		case "taxLines":

			out.Values[i] = ec._ShippingLine_taxLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._ShippingLine_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shippingLineConnectionImplementors = []string{"ShippingLineConnection"}

func (ec *executionContext) _ShippingLineConnection(ctx context.Context, sel ast.SelectionSet, obj *ShippingLineConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shippingLineConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShippingLineConnection")
		case "edges":

			out.Values[i] = ec._ShippingLineConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._ShippingLineConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._ShippingLineConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shippingLineEdgeImplementors = []string{"ShippingLineEdge"}

func (ec *executionContext) _ShippingLineEdge(ctx context.Context, sel ast.SelectionSet, obj *ShippingLineEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shippingLineEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShippingLineEdge")
		case "cursor":

			out.Values[i] = ec._ShippingLineEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._ShippingLineEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shippingRefundImplementors = []string{"ShippingRefund"}

func (ec *executionContext) _ShippingRefund(ctx context.Context, sel ast.SelectionSet, obj *ShippingRefund) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shippingRefundImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShippingRefund")
		case "amountSet":

			out.Values[i] = ec._ShippingRefund_amountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maximumRefundableSet":

			out.Values[i] = ec._ShippingRefund_maximumRefundableSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "taxSet":

			out.Values[i] = ec._ShippingRefund_taxSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopAlertImplementors = []string{"ShopAlert"}

func (ec *executionContext) _ShopAlert(ctx context.Context, sel ast.SelectionSet, obj *ShopAlert) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopAlertImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopAlert")
		case "action":

			out.Values[i] = ec._ShopAlert_action(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec._ShopAlert_description(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopAlertActionImplementors = []string{"ShopAlertAction"}

func (ec *executionContext) _ShopAlertAction(ctx context.Context, sel ast.SelectionSet, obj *ShopAlertAction) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopAlertActionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopAlertAction")
		case "title":

			out.Values[i] = ec._ShopAlertAction_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._ShopAlertAction_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopFeaturesImplementors = []string{"ShopFeatures"}

func (ec *executionContext) _ShopFeatures(ctx context.Context, sel ast.SelectionSet, obj *ShopFeatures) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopFeaturesImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopFeatures")
		case "avalaraAvatax":

			out.Values[i] = ec._ShopFeatures_avalaraAvatax(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "branding":

			out.Values[i] = ec._ShopFeatures_branding(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "captcha":

			out.Values[i] = ec._ShopFeatures_captcha(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "captchaExternalDomains":

			out.Values[i] = ec._ShopFeatures_captchaExternalDomains(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "dynamicRemarketing":

			out.Values[i] = ec._ShopFeatures_dynamicRemarketing(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "eligibleForSubscriptionMigration":

			out.Values[i] = ec._ShopFeatures_eligibleForSubscriptionMigration(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "eligibleForSubscriptions":

			out.Values[i] = ec._ShopFeatures_eligibleForSubscriptions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "giftCards":

			out.Values[i] = ec._ShopFeatures_giftCards(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "harmonizedSystemCode":

			out.Values[i] = ec._ShopFeatures_harmonizedSystemCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "internationalDomains":

			out.Values[i] = ec._ShopFeatures_internationalDomains(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "internationalPriceOverrides":

			out.Values[i] = ec._ShopFeatures_internationalPriceOverrides(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "internationalPriceRules":

			out.Values[i] = ec._ShopFeatures_internationalPriceRules(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "legacySubscriptionGatewayEnabled":

			out.Values[i] = ec._ShopFeatures_legacySubscriptionGatewayEnabled(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "liveView":

			out.Values[i] = ec._ShopFeatures_liveView(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "onboardingVisual":

			out.Values[i] = ec._ShopFeatures_onboardingVisual(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paypalExpressSubscriptionGatewayStatus":

			out.Values[i] = ec._ShopFeatures_paypalExpressSubscriptionGatewayStatus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "reports":

			out.Values[i] = ec._ShopFeatures_reports(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sellsSubscriptions":

			out.Values[i] = ec._ShopFeatures_sellsSubscriptions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "showMetrics":

			out.Values[i] = ec._ShopFeatures_showMetrics(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "storefront":

			out.Values[i] = ec._ShopFeatures_storefront(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "usingShopifyBalance":

			out.Values[i] = ec._ShopFeatures_usingShopifyBalance(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopPlanImplementors = []string{"ShopPlan"}

func (ec *executionContext) _ShopPlan(ctx context.Context, sel ast.SelectionSet, obj *ShopPlan) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopPlanImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopPlan")
		case "displayName":

			out.Values[i] = ec._ShopPlan_displayName(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "partnerDevelopment":

			out.Values[i] = ec._ShopPlan_partnerDevelopment(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "shopifyPlus":

			out.Values[i] = ec._ShopPlan_shopifyPlus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopPolicyImplementors = []string{"ShopPolicy", "HasPublishedTranslations", "Node"}

func (ec *executionContext) _ShopPolicy(ctx context.Context, sel ast.SelectionSet, obj *ShopPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopPolicy")
		case "body":

			out.Values[i] = ec._ShopPolicy_body(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._ShopPolicy_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "translations":

			out.Values[i] = ec._ShopPolicy_translations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec._ShopPolicy_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._ShopPolicy_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopResourceLimitsImplementors = []string{"ShopResourceLimits"}

func (ec *executionContext) _ShopResourceLimits(ctx context.Context, sel ast.SelectionSet, obj *ShopResourceLimits) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopResourceLimitsImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopResourceLimits")
		case "locationLimit":

			out.Values[i] = ec._ShopResourceLimits_locationLimit(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maxProductOptions":

			out.Values[i] = ec._ShopResourceLimits_maxProductOptions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maxProductVariants":

			out.Values[i] = ec._ShopResourceLimits_maxProductVariants(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "redirectLimitReached":

			out.Values[i] = ec._ShopResourceLimits_redirectLimitReached(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "skuResourceLimits":

			out.Values[i] = ec._ShopResourceLimits_skuResourceLimits(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopifyPaymentsExtendedAuthorizationImplementors = []string{"ShopifyPaymentsExtendedAuthorization"}

func (ec *executionContext) _ShopifyPaymentsExtendedAuthorization(ctx context.Context, sel ast.SelectionSet, obj *ShopifyPaymentsExtendedAuthorization) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopifyPaymentsExtendedAuthorizationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopifyPaymentsExtendedAuthorization")
		case "extendedAuthorizationExpiresAt":

			out.Values[i] = ec._ShopifyPaymentsExtendedAuthorization_extendedAuthorizationExpiresAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "standardAuthorizationExpiresAt":

			out.Values[i] = ec._ShopifyPaymentsExtendedAuthorization_standardAuthorizationExpiresAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopifyPaymentsRefundSetImplementors = []string{"ShopifyPaymentsRefundSet"}

func (ec *executionContext) _ShopifyPaymentsRefundSet(ctx context.Context, sel ast.SelectionSet, obj *ShopifyPaymentsRefundSet) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopifyPaymentsRefundSetImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopifyPaymentsRefundSet")
		case "acquirerReferenceNumber":

			out.Values[i] = ec._ShopifyPaymentsRefundSet_acquirerReferenceNumber(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var shopifyPaymentsTransactionSetImplementors = []string{"ShopifyPaymentsTransactionSet"}

func (ec *executionContext) _ShopifyPaymentsTransactionSet(ctx context.Context, sel ast.SelectionSet, obj *ShopifyPaymentsTransactionSet) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, shopifyPaymentsTransactionSetImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("ShopifyPaymentsTransactionSet")
		case "extendedAuthorizationSet":

			out.Values[i] = ec._ShopifyPaymentsTransactionSet_extendedAuthorizationSet(ctx, field, obj)

		case "refundSet":

			out.Values[i] = ec._ShopifyPaymentsTransactionSet_refundSet(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var staffMemberImplementors = []string{"StaffMember", "Node"}

func (ec *executionContext) _StaffMember(ctx context.Context, sel ast.SelectionSet, obj *StaffMember) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, staffMemberImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StaffMember")
		case "active":

			out.Values[i] = ec._StaffMember_active(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "avatar":

			out.Values[i] = ec._StaffMember_avatar(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "email":

			out.Values[i] = ec._StaffMember_email(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "exists":

			out.Values[i] = ec._StaffMember_exists(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "firstName":

			out.Values[i] = ec._StaffMember_firstName(ctx, field, obj)

		case "id":

			out.Values[i] = ec._StaffMember_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "initials":

			out.Values[i] = ec._StaffMember_initials(ctx, field, obj)

		case "isShopOwner":

			out.Values[i] = ec._StaffMember_isShopOwner(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lastName":

			out.Values[i] = ec._StaffMember_lastName(ctx, field, obj)

		case "locale":

			out.Values[i] = ec._StaffMember_locale(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._StaffMember_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "phone":

			out.Values[i] = ec._StaffMember_phone(ctx, field, obj)

		case "privateData":

			out.Values[i] = ec._StaffMember_privateData(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var staffMemberConnectionImplementors = []string{"StaffMemberConnection"}

func (ec *executionContext) _StaffMemberConnection(ctx context.Context, sel ast.SelectionSet, obj *StaffMemberConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, staffMemberConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StaffMemberConnection")
		case "edges":

			out.Values[i] = ec._StaffMemberConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._StaffMemberConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._StaffMemberConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var staffMemberEdgeImplementors = []string{"StaffMemberEdge"}

func (ec *executionContext) _StaffMemberEdge(ctx context.Context, sel ast.SelectionSet, obj *StaffMemberEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, staffMemberEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StaffMemberEdge")
		case "cursor":

			out.Values[i] = ec._StaffMemberEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._StaffMemberEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var staffMemberPrivateDataImplementors = []string{"StaffMemberPrivateData"}

func (ec *executionContext) _StaffMemberPrivateData(ctx context.Context, sel ast.SelectionSet, obj *StaffMemberPrivateData) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, staffMemberPrivateDataImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StaffMemberPrivateData")
		case "accountSettingsUrl":

			out.Values[i] = ec._StaffMemberPrivateData_accountSettingsUrl(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._StaffMemberPrivateData_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var standardMetafieldDefinitionTemplateImplementors = []string{"StandardMetafieldDefinitionTemplate", "Node"}

func (ec *executionContext) _StandardMetafieldDefinitionTemplate(ctx context.Context, sel ast.SelectionSet, obj *StandardMetafieldDefinitionTemplate) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, standardMetafieldDefinitionTemplateImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StandardMetafieldDefinitionTemplate")
		case "description":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_description(ctx, field, obj)

		case "id":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "key":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "namespace":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_namespace(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "ownerTypes":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_ownerTypes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "validations":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_validations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "visibleToStorefrontApi":

			out.Values[i] = ec._StandardMetafieldDefinitionTemplate_visibleToStorefrontApi(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var storefrontAccessTokenImplementors = []string{"StorefrontAccessToken", "Node"}

func (ec *executionContext) _StorefrontAccessToken(ctx context.Context, sel ast.SelectionSet, obj *StorefrontAccessToken) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, storefrontAccessTokenImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StorefrontAccessToken")
		case "accessScopes":

			out.Values[i] = ec._StorefrontAccessToken_accessScopes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "accessToken":

			out.Values[i] = ec._StorefrontAccessToken_accessToken(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._StorefrontAccessToken_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._StorefrontAccessToken_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._StorefrontAccessToken_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._StorefrontAccessToken_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var storefrontAccessTokenConnectionImplementors = []string{"StorefrontAccessTokenConnection"}

func (ec *executionContext) _StorefrontAccessTokenConnection(ctx context.Context, sel ast.SelectionSet, obj *StorefrontAccessTokenConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, storefrontAccessTokenConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StorefrontAccessTokenConnection")
		case "edges":

			out.Values[i] = ec._StorefrontAccessTokenConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._StorefrontAccessTokenConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._StorefrontAccessTokenConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var storefrontAccessTokenEdgeImplementors = []string{"StorefrontAccessTokenEdge"}

func (ec *executionContext) _StorefrontAccessTokenEdge(ctx context.Context, sel ast.SelectionSet, obj *StorefrontAccessTokenEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, storefrontAccessTokenEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StorefrontAccessTokenEdge")
		case "cursor":

			out.Values[i] = ec._StorefrontAccessTokenEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._StorefrontAccessTokenEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var stringConnectionImplementors = []string{"StringConnection"}

func (ec *executionContext) _StringConnection(ctx context.Context, sel ast.SelectionSet, obj *StringConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, stringConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StringConnection")
		case "edges":

			out.Values[i] = ec._StringConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._StringConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var stringEdgeImplementors = []string{"StringEdge"}

func (ec *executionContext) _StringEdge(ctx context.Context, sel ast.SelectionSet, obj *StringEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, stringEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("StringEdge")
		case "cursor":

			out.Values[i] = ec._StringEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._StringEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionAppliedCodeDiscountImplementors = []string{"SubscriptionAppliedCodeDiscount", "SubscriptionDiscount"}

func (ec *executionContext) _SubscriptionAppliedCodeDiscount(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionAppliedCodeDiscount) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionAppliedCodeDiscountImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionAppliedCodeDiscount")
		case "id":

			out.Values[i] = ec._SubscriptionAppliedCodeDiscount_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "redeemCode":

			out.Values[i] = ec._SubscriptionAppliedCodeDiscount_redeemCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rejectionReason":

			out.Values[i] = ec._SubscriptionAppliedCodeDiscount_rejectionReason(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionBillingAttemptImplementors = []string{"SubscriptionBillingAttempt", "Node"}

func (ec *executionContext) _SubscriptionBillingAttempt(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionBillingAttempt) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionBillingAttemptImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionBillingAttempt")
		case "completedAt":

			out.Values[i] = ec._SubscriptionBillingAttempt_completedAt(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._SubscriptionBillingAttempt_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "errorCode":

			out.Values[i] = ec._SubscriptionBillingAttempt_errorCode(ctx, field, obj)

		case "errorMessage":

			out.Values[i] = ec._SubscriptionBillingAttempt_errorMessage(ctx, field, obj)

		case "id":

			out.Values[i] = ec._SubscriptionBillingAttempt_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "idempotencyKey":

			out.Values[i] = ec._SubscriptionBillingAttempt_idempotencyKey(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nextActionUrl":

			out.Values[i] = ec._SubscriptionBillingAttempt_nextActionUrl(ctx, field, obj)

		case "order":

			out.Values[i] = ec._SubscriptionBillingAttempt_order(ctx, field, obj)

		case "originTime":

			out.Values[i] = ec._SubscriptionBillingAttempt_originTime(ctx, field, obj)

		case "ready":

			out.Values[i] = ec._SubscriptionBillingAttempt_ready(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subscriptionContract":

			out.Values[i] = ec._SubscriptionBillingAttempt_subscriptionContract(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionBillingAttemptConnectionImplementors = []string{"SubscriptionBillingAttemptConnection"}

func (ec *executionContext) _SubscriptionBillingAttemptConnection(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionBillingAttemptConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionBillingAttemptConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionBillingAttemptConnection")
		case "edges":

			out.Values[i] = ec._SubscriptionBillingAttemptConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SubscriptionBillingAttemptConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SubscriptionBillingAttemptConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionBillingAttemptEdgeImplementors = []string{"SubscriptionBillingAttemptEdge"}

func (ec *executionContext) _SubscriptionBillingAttemptEdge(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionBillingAttemptEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionBillingAttemptEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionBillingAttemptEdge")
		case "cursor":

			out.Values[i] = ec._SubscriptionBillingAttemptEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SubscriptionBillingAttemptEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionBillingPolicyImplementors = []string{"SubscriptionBillingPolicy"}

func (ec *executionContext) _SubscriptionBillingPolicy(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionBillingPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionBillingPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionBillingPolicy")
		case "anchors":

			out.Values[i] = ec._SubscriptionBillingPolicy_anchors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "interval":

			out.Values[i] = ec._SubscriptionBillingPolicy_interval(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "intervalCount":

			out.Values[i] = ec._SubscriptionBillingPolicy_intervalCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maxCycles":

			out.Values[i] = ec._SubscriptionBillingPolicy_maxCycles(ctx, field, obj)

		case "minCycles":

			out.Values[i] = ec._SubscriptionBillingPolicy_minCycles(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionContractImplementors = []string{"SubscriptionContract", "Node", "SubscriptionContractBase"}

func (ec *executionContext) _SubscriptionContract(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionContract) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionContractImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionContract")
		case "app":

			out.Values[i] = ec._SubscriptionContract_app(ctx, field, obj)

		case "appAdminUrl":

			out.Values[i] = ec._SubscriptionContract_appAdminUrl(ctx, field, obj)

		case "billingAttempts":

			out.Values[i] = ec._SubscriptionContract_billingAttempts(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "billingPolicy":

			out.Values[i] = ec._SubscriptionContract_billingPolicy(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "createdAt":

			out.Values[i] = ec._SubscriptionContract_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "currencyCode":

			out.Values[i] = ec._SubscriptionContract_currencyCode(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customAttributes":

			out.Values[i] = ec._SubscriptionContract_customAttributes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customer":

			out.Values[i] = ec._SubscriptionContract_customer(ctx, field, obj)

		case "customerPaymentMethod":

			out.Values[i] = ec._SubscriptionContract_customerPaymentMethod(ctx, field, obj)

		case "deliveryMethod":

			out.Values[i] = ec._SubscriptionContract_deliveryMethod(ctx, field, obj)

		case "deliveryPolicy":

			out.Values[i] = ec._SubscriptionContract_deliveryPolicy(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deliveryPrice":

			out.Values[i] = ec._SubscriptionContract_deliveryPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discounts":

			out.Values[i] = ec._SubscriptionContract_discounts(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._SubscriptionContract_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lastPaymentStatus":

			out.Values[i] = ec._SubscriptionContract_lastPaymentStatus(ctx, field, obj)

		case "lineCount":

			out.Values[i] = ec._SubscriptionContract_lineCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lines":

			out.Values[i] = ec._SubscriptionContract_lines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nextBillingDate":

			out.Values[i] = ec._SubscriptionContract_nextBillingDate(ctx, field, obj)

		case "note":

			out.Values[i] = ec._SubscriptionContract_note(ctx, field, obj)

		case "orders":

			out.Values[i] = ec._SubscriptionContract_orders(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originOrder":

			out.Values[i] = ec._SubscriptionContract_originOrder(ctx, field, obj)

		case "status":

			out.Values[i] = ec._SubscriptionContract_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "updatedAt":

			out.Values[i] = ec._SubscriptionContract_updatedAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionContractConnectionImplementors = []string{"SubscriptionContractConnection"}

func (ec *executionContext) _SubscriptionContractConnection(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionContractConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionContractConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionContractConnection")
		case "edges":

			out.Values[i] = ec._SubscriptionContractConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SubscriptionContractConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SubscriptionContractConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionContractEdgeImplementors = []string{"SubscriptionContractEdge"}

func (ec *executionContext) _SubscriptionContractEdge(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionContractEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionContractEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionContractEdge")
		case "cursor":

			out.Values[i] = ec._SubscriptionContractEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SubscriptionContractEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionCyclePriceAdjustmentImplementors = []string{"SubscriptionCyclePriceAdjustment"}

func (ec *executionContext) _SubscriptionCyclePriceAdjustment(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionCyclePriceAdjustment) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionCyclePriceAdjustmentImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionCyclePriceAdjustment")
		case "adjustmentType":

			out.Values[i] = ec._SubscriptionCyclePriceAdjustment_adjustmentType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "adjustmentValue":

			out.Values[i] = ec._SubscriptionCyclePriceAdjustment_adjustmentValue(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "afterCycle":

			out.Values[i] = ec._SubscriptionCyclePriceAdjustment_afterCycle(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "computedPrice":

			out.Values[i] = ec._SubscriptionCyclePriceAdjustment_computedPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDeliveryMethodLocalDeliveryImplementors = []string{"SubscriptionDeliveryMethodLocalDelivery", "SubscriptionDeliveryMethod"}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDelivery(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDeliveryMethodLocalDelivery) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDeliveryMethodLocalDeliveryImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDeliveryMethodLocalDelivery")
		case "address":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDelivery_address(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "localDeliveryOption":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDelivery_localDeliveryOption(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDeliveryMethodLocalDeliveryOptionImplementors = []string{"SubscriptionDeliveryMethodLocalDeliveryOption"}

func (ec *executionContext) _SubscriptionDeliveryMethodLocalDeliveryOption(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDeliveryMethodLocalDeliveryOption) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDeliveryMethodLocalDeliveryOptionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDeliveryMethodLocalDeliveryOption")
		case "code":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDeliveryOption_code(ctx, field, obj)

		case "description":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDeliveryOption_description(ctx, field, obj)

		case "instructions":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDeliveryOption_instructions(ctx, field, obj)

		case "phone":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDeliveryOption_phone(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "presentmentTitle":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDeliveryOption_presentmentTitle(ctx, field, obj)

		case "title":

			out.Values[i] = ec._SubscriptionDeliveryMethodLocalDeliveryOption_title(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDeliveryMethodPickupImplementors = []string{"SubscriptionDeliveryMethodPickup", "SubscriptionDeliveryMethod"}

func (ec *executionContext) _SubscriptionDeliveryMethodPickup(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDeliveryMethodPickup) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDeliveryMethodPickupImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDeliveryMethodPickup")
		case "pickupOption":

			out.Values[i] = ec._SubscriptionDeliveryMethodPickup_pickupOption(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDeliveryMethodPickupOptionImplementors = []string{"SubscriptionDeliveryMethodPickupOption"}

func (ec *executionContext) _SubscriptionDeliveryMethodPickupOption(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDeliveryMethodPickupOption) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDeliveryMethodPickupOptionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDeliveryMethodPickupOption")
		case "code":

			out.Values[i] = ec._SubscriptionDeliveryMethodPickupOption_code(ctx, field, obj)

		case "description":

			out.Values[i] = ec._SubscriptionDeliveryMethodPickupOption_description(ctx, field, obj)

		case "location":

			out.Values[i] = ec._SubscriptionDeliveryMethodPickupOption_location(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "presentmentTitle":

			out.Values[i] = ec._SubscriptionDeliveryMethodPickupOption_presentmentTitle(ctx, field, obj)

		case "title":

			out.Values[i] = ec._SubscriptionDeliveryMethodPickupOption_title(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDeliveryMethodShippingImplementors = []string{"SubscriptionDeliveryMethodShipping", "SubscriptionDeliveryMethod"}

func (ec *executionContext) _SubscriptionDeliveryMethodShipping(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDeliveryMethodShipping) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDeliveryMethodShippingImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDeliveryMethodShipping")
		case "address":

			out.Values[i] = ec._SubscriptionDeliveryMethodShipping_address(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "shippingOption":

			out.Values[i] = ec._SubscriptionDeliveryMethodShipping_shippingOption(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDeliveryMethodShippingOptionImplementors = []string{"SubscriptionDeliveryMethodShippingOption"}

func (ec *executionContext) _SubscriptionDeliveryMethodShippingOption(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDeliveryMethodShippingOption) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDeliveryMethodShippingOptionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDeliveryMethodShippingOption")
		case "carrierService":

			out.Values[i] = ec._SubscriptionDeliveryMethodShippingOption_carrierService(ctx, field, obj)

		case "code":

			out.Values[i] = ec._SubscriptionDeliveryMethodShippingOption_code(ctx, field, obj)

		case "description":

			out.Values[i] = ec._SubscriptionDeliveryMethodShippingOption_description(ctx, field, obj)

		case "presentmentTitle":

			out.Values[i] = ec._SubscriptionDeliveryMethodShippingOption_presentmentTitle(ctx, field, obj)

		case "title":

			out.Values[i] = ec._SubscriptionDeliveryMethodShippingOption_title(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDeliveryPolicyImplementors = []string{"SubscriptionDeliveryPolicy"}

func (ec *executionContext) _SubscriptionDeliveryPolicy(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDeliveryPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDeliveryPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDeliveryPolicy")
		case "anchors":

			out.Values[i] = ec._SubscriptionDeliveryPolicy_anchors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "interval":

			out.Values[i] = ec._SubscriptionDeliveryPolicy_interval(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "intervalCount":

			out.Values[i] = ec._SubscriptionDeliveryPolicy_intervalCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDiscountAllocationImplementors = []string{"SubscriptionDiscountAllocation"}

func (ec *executionContext) _SubscriptionDiscountAllocation(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDiscountAllocation) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDiscountAllocationImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDiscountAllocation")
		case "amount":

			out.Values[i] = ec._SubscriptionDiscountAllocation_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discount":

			out.Values[i] = ec._SubscriptionDiscountAllocation_discount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDiscountEntitledLinesImplementors = []string{"SubscriptionDiscountEntitledLines"}

func (ec *executionContext) _SubscriptionDiscountEntitledLines(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDiscountEntitledLines) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDiscountEntitledLinesImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDiscountEntitledLines")
		case "all":

			out.Values[i] = ec._SubscriptionDiscountEntitledLines_all(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lines":

			out.Values[i] = ec._SubscriptionDiscountEntitledLines_lines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDiscountFixedAmountValueImplementors = []string{"SubscriptionDiscountFixedAmountValue", "SubscriptionDiscountValue"}

func (ec *executionContext) _SubscriptionDiscountFixedAmountValue(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDiscountFixedAmountValue) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDiscountFixedAmountValueImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDiscountFixedAmountValue")
		case "amount":

			out.Values[i] = ec._SubscriptionDiscountFixedAmountValue_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "appliesOnEachItem":

			out.Values[i] = ec._SubscriptionDiscountFixedAmountValue_appliesOnEachItem(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionDiscountPercentageValueImplementors = []string{"SubscriptionDiscountPercentageValue", "SubscriptionDiscountValue"}

func (ec *executionContext) _SubscriptionDiscountPercentageValue(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionDiscountPercentageValue) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionDiscountPercentageValueImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionDiscountPercentageValue")
		case "percentage":

			out.Values[i] = ec._SubscriptionDiscountPercentageValue_percentage(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionLineImplementors = []string{"SubscriptionLine"}

func (ec *executionContext) _SubscriptionLine(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionLine) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionLineImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionLine")
		case "currentPrice":

			out.Values[i] = ec._SubscriptionLine_currentPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "customAttributes":

			out.Values[i] = ec._SubscriptionLine_customAttributes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountAllocations":

			out.Values[i] = ec._SubscriptionLine_discountAllocations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._SubscriptionLine_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lineDiscountedPrice":

			out.Values[i] = ec._SubscriptionLine_lineDiscountedPrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pricingPolicy":

			out.Values[i] = ec._SubscriptionLine_pricingPolicy(ctx, field, obj)

		case "productId":

			out.Values[i] = ec._SubscriptionLine_productId(ctx, field, obj)

		case "quantity":

			out.Values[i] = ec._SubscriptionLine_quantity(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "requiresShipping":

			out.Values[i] = ec._SubscriptionLine_requiresShipping(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "sellingPlanId":

			out.Values[i] = ec._SubscriptionLine_sellingPlanId(ctx, field, obj)

		case "sellingPlanName":

			out.Values[i] = ec._SubscriptionLine_sellingPlanName(ctx, field, obj)

		case "sku":

			out.Values[i] = ec._SubscriptionLine_sku(ctx, field, obj)

		case "taxable":

			out.Values[i] = ec._SubscriptionLine_taxable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._SubscriptionLine_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "variantId":

			out.Values[i] = ec._SubscriptionLine_variantId(ctx, field, obj)

		case "variantImage":

			out.Values[i] = ec._SubscriptionLine_variantImage(ctx, field, obj)

		case "variantTitle":

			out.Values[i] = ec._SubscriptionLine_variantTitle(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionLineConnectionImplementors = []string{"SubscriptionLineConnection"}

func (ec *executionContext) _SubscriptionLineConnection(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionLineConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionLineConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionLineConnection")
		case "edges":

			out.Values[i] = ec._SubscriptionLineConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SubscriptionLineConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SubscriptionLineConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionLineEdgeImplementors = []string{"SubscriptionLineEdge"}

func (ec *executionContext) _SubscriptionLineEdge(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionLineEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionLineEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionLineEdge")
		case "cursor":

			out.Values[i] = ec._SubscriptionLineEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SubscriptionLineEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionMailingAddressImplementors = []string{"SubscriptionMailingAddress"}

func (ec *executionContext) _SubscriptionMailingAddress(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionMailingAddress) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionMailingAddressImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionMailingAddress")
		case "address1":

			out.Values[i] = ec._SubscriptionMailingAddress_address1(ctx, field, obj)

		case "address2":

			out.Values[i] = ec._SubscriptionMailingAddress_address2(ctx, field, obj)

		case "city":

			out.Values[i] = ec._SubscriptionMailingAddress_city(ctx, field, obj)

		case "company":

			out.Values[i] = ec._SubscriptionMailingAddress_company(ctx, field, obj)

		case "country":

			out.Values[i] = ec._SubscriptionMailingAddress_country(ctx, field, obj)

		case "countryCode":

			out.Values[i] = ec._SubscriptionMailingAddress_countryCode(ctx, field, obj)

		case "firstName":

			out.Values[i] = ec._SubscriptionMailingAddress_firstName(ctx, field, obj)

		case "lastName":

			out.Values[i] = ec._SubscriptionMailingAddress_lastName(ctx, field, obj)

		case "name":

			out.Values[i] = ec._SubscriptionMailingAddress_name(ctx, field, obj)

		case "phone":

			out.Values[i] = ec._SubscriptionMailingAddress_phone(ctx, field, obj)

		case "province":

			out.Values[i] = ec._SubscriptionMailingAddress_province(ctx, field, obj)

		case "provinceCode":

			out.Values[i] = ec._SubscriptionMailingAddress_provinceCode(ctx, field, obj)

		case "zip":

			out.Values[i] = ec._SubscriptionMailingAddress_zip(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionManualDiscountImplementors = []string{"SubscriptionManualDiscount", "SubscriptionDiscount"}

func (ec *executionContext) _SubscriptionManualDiscount(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionManualDiscount) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionManualDiscountImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionManualDiscount")
		case "entitledLines":

			out.Values[i] = ec._SubscriptionManualDiscount_entitledLines(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._SubscriptionManualDiscount_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "recurringCycleLimit":

			out.Values[i] = ec._SubscriptionManualDiscount_recurringCycleLimit(ctx, field, obj)

		case "rejectionReason":

			out.Values[i] = ec._SubscriptionManualDiscount_rejectionReason(ctx, field, obj)

		case "targetType":

			out.Values[i] = ec._SubscriptionManualDiscount_targetType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "title":

			out.Values[i] = ec._SubscriptionManualDiscount_title(ctx, field, obj)

		case "type":

			out.Values[i] = ec._SubscriptionManualDiscount_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "usageCount":

			out.Values[i] = ec._SubscriptionManualDiscount_usageCount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._SubscriptionManualDiscount_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionManualDiscountConnectionImplementors = []string{"SubscriptionManualDiscountConnection"}

func (ec *executionContext) _SubscriptionManualDiscountConnection(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionManualDiscountConnection) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionManualDiscountConnectionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionManualDiscountConnection")
		case "edges":

			out.Values[i] = ec._SubscriptionManualDiscountConnection_edges(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "nodes":

			out.Values[i] = ec._SubscriptionManualDiscountConnection_nodes(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "pageInfo":

			out.Values[i] = ec._SubscriptionManualDiscountConnection_pageInfo(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionManualDiscountEdgeImplementors = []string{"SubscriptionManualDiscountEdge"}

func (ec *executionContext) _SubscriptionManualDiscountEdge(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionManualDiscountEdge) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionManualDiscountEdgeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionManualDiscountEdge")
		case "cursor":

			out.Values[i] = ec._SubscriptionManualDiscountEdge_cursor(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "node":

			out.Values[i] = ec._SubscriptionManualDiscountEdge_node(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var subscriptionPricingPolicyImplementors = []string{"SubscriptionPricingPolicy"}

func (ec *executionContext) _SubscriptionPricingPolicy(ctx context.Context, sel ast.SelectionSet, obj *SubscriptionPricingPolicy) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, subscriptionPricingPolicyImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SubscriptionPricingPolicy")
		case "basePrice":

			out.Values[i] = ec._SubscriptionPricingPolicy_basePrice(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "cycleDiscounts":

			out.Values[i] = ec._SubscriptionPricingPolicy_cycleDiscounts(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var suggestedOrderTransactionImplementors = []string{"SuggestedOrderTransaction"}

func (ec *executionContext) _SuggestedOrderTransaction(ctx context.Context, sel ast.SelectionSet, obj *SuggestedOrderTransaction) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, suggestedOrderTransactionImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SuggestedOrderTransaction")
		case "accountNumber":

			out.Values[i] = ec._SuggestedOrderTransaction_accountNumber(ctx, field, obj)

		case "amountSet":

			out.Values[i] = ec._SuggestedOrderTransaction_amountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "formattedGateway":

			out.Values[i] = ec._SuggestedOrderTransaction_formattedGateway(ctx, field, obj)

		case "gateway":

			out.Values[i] = ec._SuggestedOrderTransaction_gateway(ctx, field, obj)

		case "kind":

			out.Values[i] = ec._SuggestedOrderTransaction_kind(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maximumRefundableSet":

			out.Values[i] = ec._SuggestedOrderTransaction_maximumRefundableSet(ctx, field, obj)

		case "parentTransaction":

			out.Values[i] = ec._SuggestedOrderTransaction_parentTransaction(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var suggestedRefundImplementors = []string{"SuggestedRefund"}

func (ec *executionContext) _SuggestedRefund(ctx context.Context, sel ast.SelectionSet, obj *SuggestedRefund) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, suggestedRefundImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("SuggestedRefund")
		case "amountSet":

			out.Values[i] = ec._SuggestedRefund_amountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "discountedSubtotalSet":

			out.Values[i] = ec._SuggestedRefund_discountedSubtotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "maximumRefundableSet":

			out.Values[i] = ec._SuggestedRefund_maximumRefundableSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "refundDuties":

			out.Values[i] = ec._SuggestedRefund_refundDuties(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "refundLineItems":

			out.Values[i] = ec._SuggestedRefund_refundLineItems(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "shipping":

			out.Values[i] = ec._SuggestedRefund_shipping(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "subtotalSet":

			out.Values[i] = ec._SuggestedRefund_subtotalSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "suggestedTransactions":

			out.Values[i] = ec._SuggestedRefund_suggestedTransactions(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalCartDiscountAmountSet":

			out.Values[i] = ec._SuggestedRefund_totalCartDiscountAmountSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalDutiesSet":

			out.Values[i] = ec._SuggestedRefund_totalDutiesSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "totalTaxSet":

			out.Values[i] = ec._SuggestedRefund_totalTaxSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var taxLineImplementors = []string{"TaxLine"}

func (ec *executionContext) _TaxLine(ctx context.Context, sel ast.SelectionSet, obj *TaxLine) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, taxLineImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("TaxLine")
		case "channelLiable":

			out.Values[i] = ec._TaxLine_channelLiable(ctx, field, obj)

		case "priceSet":

			out.Values[i] = ec._TaxLine_priceSet(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rate":

			out.Values[i] = ec._TaxLine_rate(ctx, field, obj)

		case "ratePercentage":

			out.Values[i] = ec._TaxLine_ratePercentage(ctx, field, obj)

		case "title":

			out.Values[i] = ec._TaxLine_title(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var transactionFeeImplementors = []string{"TransactionFee", "Node"}

func (ec *executionContext) _TransactionFee(ctx context.Context, sel ast.SelectionSet, obj *TransactionFee) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, transactionFeeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("TransactionFee")
		case "amount":

			out.Values[i] = ec._TransactionFee_amount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "flatFee":

			out.Values[i] = ec._TransactionFee_flatFee(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "flatFeeName":

			out.Values[i] = ec._TransactionFee_flatFeeName(ctx, field, obj)

		case "id":

			out.Values[i] = ec._TransactionFee_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rate":

			out.Values[i] = ec._TransactionFee_rate(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "rateName":

			out.Values[i] = ec._TransactionFee_rateName(ctx, field, obj)

		case "taxAmount":

			out.Values[i] = ec._TransactionFee_taxAmount(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec._TransactionFee_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var typedAttributeImplementors = []string{"TypedAttribute"}

func (ec *executionContext) _TypedAttribute(ctx context.Context, sel ast.SelectionSet, obj *TypedAttribute) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, typedAttributeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("TypedAttribute")
		case "key":

			out.Values[i] = ec._TypedAttribute_key(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._TypedAttribute_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var uTMParametersImplementors = []string{"UTMParameters"}

func (ec *executionContext) _UTMParameters(ctx context.Context, sel ast.SelectionSet, obj *UTMParameters) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, uTMParametersImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("UTMParameters")
		case "campaign":

			out.Values[i] = ec._UTMParameters_campaign(ctx, field, obj)

		case "content":

			out.Values[i] = ec._UTMParameters_content(ctx, field, obj)

		case "medium":

			out.Values[i] = ec._UTMParameters_medium(ctx, field, obj)

		case "source":

			out.Values[i] = ec._UTMParameters_source(ctx, field, obj)

		case "term":

			out.Values[i] = ec._UTMParameters_term(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var userErrorImplementors = []string{"UserError", "DisplayableError"}

func (ec *executionContext) _UserError(ctx context.Context, sel ast.SelectionSet, obj *UserError) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, userErrorImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("UserError")
		case "field":

			out.Values[i] = ec._UserError_field(ctx, field, obj)

		case "message":

			out.Values[i] = ec._UserError_message(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var vaultCreditCardImplementors = []string{"VaultCreditCard", "PaymentInstrument"}

func (ec *executionContext) _VaultCreditCard(ctx context.Context, sel ast.SelectionSet, obj *VaultCreditCard) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, vaultCreditCardImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("VaultCreditCard")
		case "billingAddress":

			out.Values[i] = ec._VaultCreditCard_billingAddress(ctx, field, obj)

		case "brand":

			out.Values[i] = ec._VaultCreditCard_brand(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expired":

			out.Values[i] = ec._VaultCreditCard_expired(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expiryMonth":

			out.Values[i] = ec._VaultCreditCard_expiryMonth(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "expiryYear":

			out.Values[i] = ec._VaultCreditCard_expiryYear(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "lastDigits":

			out.Values[i] = ec._VaultCreditCard_lastDigits(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._VaultCreditCard_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var vaultPaypalBillingAgreementImplementors = []string{"VaultPaypalBillingAgreement", "PaymentInstrument"}

func (ec *executionContext) _VaultPaypalBillingAgreement(ctx context.Context, sel ast.SelectionSet, obj *VaultPaypalBillingAgreement) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, vaultPaypalBillingAgreementImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("VaultPaypalBillingAgreement")
		case "inactive":

			out.Values[i] = ec._VaultPaypalBillingAgreement_inactive(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec._VaultPaypalBillingAgreement_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "paypalAccountEmail":

			out.Values[i] = ec._VaultPaypalBillingAgreement_paypalAccountEmail(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var videoImplementors = []string{"Video", "File", "Media", "Node", "MetafieldReference"}

func (ec *executionContext) _Video(ctx context.Context, sel ast.SelectionSet, obj *Video) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, videoImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Video")
		case "alt":

			out.Values[i] = ec._Video_alt(ctx, field, obj)

		case "createdAt":

			out.Values[i] = ec._Video_createdAt(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "duration":

			out.Values[i] = ec._Video_duration(ctx, field, obj)

		case "fileErrors":

			out.Values[i] = ec._Video_fileErrors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "fileStatus":

			out.Values[i] = ec._Video_fileStatus(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "filename":

			out.Values[i] = ec._Video_filename(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "id":

			out.Values[i] = ec._Video_id(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mediaContentType":

			out.Values[i] = ec._Video_mediaContentType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mediaErrors":

			out.Values[i] = ec._Video_mediaErrors(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mediaWarnings":

			out.Values[i] = ec._Video_mediaWarnings(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "originalSource":

			out.Values[i] = ec._Video_originalSource(ctx, field, obj)

		case "preview":

			out.Values[i] = ec._Video_preview(ctx, field, obj)

		case "sources":

			out.Values[i] = ec._Video_sources(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "status":

			out.Values[i] = ec._Video_status(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var videoSourceImplementors = []string{"VideoSource"}

func (ec *executionContext) _VideoSource(ctx context.Context, sel ast.SelectionSet, obj *VideoSource) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, videoSourceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("VideoSource")
		case "fileSize":

			out.Values[i] = ec._VideoSource_fileSize(ctx, field, obj)

		case "format":

			out.Values[i] = ec._VideoSource_format(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "height":

			out.Values[i] = ec._VideoSource_height(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mimeType":

			out.Values[i] = ec._VideoSource_mimeType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "url":

			out.Values[i] = ec._VideoSource_url(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "width":

			out.Values[i] = ec._VideoSource_width(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var weightImplementors = []string{"Weight", "DeliveryConditionCriteria"}

func (ec *executionContext) _Weight(ctx context.Context, sel ast.SelectionSet, obj *Weight) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, weightImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("Weight")
		case "unit":

			out.Values[i] = ec._Weight_unit(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "value":

			out.Values[i] = ec._Weight_value(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var _ServiceImplementors = []string{"_Service"}

func (ec *executionContext) __Service(ctx context.Context, sel ast.SelectionSet, obj *fedruntime.Service) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, _ServiceImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("_Service")
		case "sdl":

			out.Values[i] = ec.__Service_sdl(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var __DirectiveImplementors = []string{"__Directive"}

func (ec *executionContext) ___Directive(ctx context.Context, sel ast.SelectionSet, obj *introspection.Directive) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, __DirectiveImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("__Directive")
		case "name":

			out.Values[i] = ec.___Directive_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec.___Directive_description(ctx, field, obj)

		case "locations":

			out.Values[i] = ec.___Directive_locations(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "args":

			out.Values[i] = ec.___Directive_args(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isRepeatable":

			out.Values[i] = ec.___Directive_isRepeatable(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var __EnumValueImplementors = []string{"__EnumValue"}

func (ec *executionContext) ___EnumValue(ctx context.Context, sel ast.SelectionSet, obj *introspection.EnumValue) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, __EnumValueImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("__EnumValue")
		case "name":

			out.Values[i] = ec.___EnumValue_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec.___EnumValue_description(ctx, field, obj)

		case "isDeprecated":

			out.Values[i] = ec.___EnumValue_isDeprecated(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deprecationReason":

			out.Values[i] = ec.___EnumValue_deprecationReason(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var __FieldImplementors = []string{"__Field"}

func (ec *executionContext) ___Field(ctx context.Context, sel ast.SelectionSet, obj *introspection.Field) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, __FieldImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("__Field")
		case "name":

			out.Values[i] = ec.___Field_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec.___Field_description(ctx, field, obj)

		case "args":

			out.Values[i] = ec.___Field_args(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "type":

			out.Values[i] = ec.___Field_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "isDeprecated":

			out.Values[i] = ec.___Field_isDeprecated(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "deprecationReason":

			out.Values[i] = ec.___Field_deprecationReason(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var __InputValueImplementors = []string{"__InputValue"}

func (ec *executionContext) ___InputValue(ctx context.Context, sel ast.SelectionSet, obj *introspection.InputValue) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, __InputValueImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("__InputValue")
		case "name":

			out.Values[i] = ec.___InputValue_name(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "description":

			out.Values[i] = ec.___InputValue_description(ctx, field, obj)

		case "type":

			out.Values[i] = ec.___InputValue_type(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "defaultValue":

			out.Values[i] = ec.___InputValue_defaultValue(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var __SchemaImplementors = []string{"__Schema"}

func (ec *executionContext) ___Schema(ctx context.Context, sel ast.SelectionSet, obj *introspection.Schema) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, __SchemaImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("__Schema")
		case "description":

			out.Values[i] = ec.___Schema_description(ctx, field, obj)

		case "types":

			out.Values[i] = ec.___Schema_types(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "queryType":

			out.Values[i] = ec.___Schema_queryType(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "mutationType":

			out.Values[i] = ec.___Schema_mutationType(ctx, field, obj)

		case "subscriptionType":

			out.Values[i] = ec.___Schema_subscriptionType(ctx, field, obj)

		case "directives":

			out.Values[i] = ec.___Schema_directives(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

var __TypeImplementors = []string{"__Type"}

func (ec *executionContext) ___Type(ctx context.Context, sel ast.SelectionSet, obj *introspection.Type) graphql.Marshaler {
	fields := graphql.CollectFields(ec.OperationContext, sel, __TypeImplementors)
	out := graphql.NewFieldSet(fields)
	var invalids uint32
	for i, field := range fields {
		switch field.Name {
		case "__typename":
			out.Values[i] = graphql.MarshalString("__Type")
		case "kind":

			out.Values[i] = ec.___Type_kind(ctx, field, obj)

			if out.Values[i] == graphql.Null {
				invalids++
			}
		case "name":

			out.Values[i] = ec.___Type_name(ctx, field, obj)

		case "description":

			out.Values[i] = ec.___Type_description(ctx, field, obj)

		case "fields":

			out.Values[i] = ec.___Type_fields(ctx, field, obj)

		case "interfaces":

			out.Values[i] = ec.___Type_interfaces(ctx, field, obj)

		case "possibleTypes":

			out.Values[i] = ec.___Type_possibleTypes(ctx, field, obj)

		case "enumValues":

			out.Values[i] = ec.___Type_enumValues(ctx, field, obj)

		case "inputFields":

			out.Values[i] = ec.___Type_inputFields(ctx, field, obj)

		case "ofType":

			out.Values[i] = ec.___Type_ofType(ctx, field, obj)

		case "specifiedByURL":

			out.Values[i] = ec.___Type_specifiedByURL(ctx, field, obj)

		default:
			panic("unknown field " + strconv.Quote(field.Name))
		}
	}
	out.Dispatch()
	if invalids > 0 {
		return graphql.Null
	}
	return out
}

// endregion **************************** object.gotpl ****************************

// region    ***************************** type.gotpl *****************************

func (ec *executionContext) marshalNAccessScope2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAccessScopeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AccessScope) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAccessScope2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAccessScope(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAccessScope2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAccessScope(ctx context.Context, sel ast.SelectionSet, v *AccessScope) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AccessScope(ctx, sel, v)
}

func (ec *executionContext) marshalNApp2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppᚄ(ctx context.Context, sel ast.SelectionSet, v []*App) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx context.Context, sel ast.SelectionSet, v *App) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._App(ctx, sel, v)
}

func (ec *executionContext) marshalNAppCredit2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppCredit) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppCredit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCredit(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppCredit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCredit(ctx context.Context, sel ast.SelectionSet, v *AppCredit) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppCredit(ctx, sel, v)
}

func (ec *executionContext) marshalNAppCreditConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditConnection(ctx context.Context, sel ast.SelectionSet, v *AppCreditConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppCreditConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNAppCreditEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppCreditEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppCreditEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppCreditEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppCreditEdge(ctx context.Context, sel ast.SelectionSet, v *AppCreditEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppCreditEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNAppEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppEdge(ctx context.Context, sel ast.SelectionSet, v *AppEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNAppFeedback2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppFeedbackᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppFeedback) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppFeedback2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppFeedback(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppFeedback2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppFeedback(ctx context.Context, sel ast.SelectionSet, v *AppFeedback) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppFeedback(ctx, sel, v)
}

func (ec *executionContext) marshalNAppPlanV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPlanV2(ctx context.Context, sel ast.SelectionSet, v *AppPlanV2) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppPlanV2(ctx, sel, v)
}

func (ec *executionContext) marshalNAppPricingDetails2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPricingDetails(ctx context.Context, sel ast.SelectionSet, v AppPricingDetails) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppPricingDetails(ctx, sel, v)
}

func (ec *executionContext) unmarshalNAppPricingInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPricingInterval(ctx context.Context, v interface{}) (AppPricingInterval, error) {
	var res AppPricingInterval
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNAppPricingInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPricingInterval(ctx context.Context, sel ast.SelectionSet, v AppPricingInterval) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNAppPurchaseOneTime2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppPurchaseOneTime) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppPurchaseOneTime2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTime(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppPurchaseOneTime2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTime(ctx context.Context, sel ast.SelectionSet, v *AppPurchaseOneTime) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppPurchaseOneTime(ctx, sel, v)
}

func (ec *executionContext) marshalNAppPurchaseOneTimeConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeConnection(ctx context.Context, sel ast.SelectionSet, v *AppPurchaseOneTimeConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppPurchaseOneTimeConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNAppPurchaseOneTimeEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppPurchaseOneTimeEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppPurchaseOneTimeEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppPurchaseOneTimeEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseOneTimeEdge(ctx context.Context, sel ast.SelectionSet, v *AppPurchaseOneTimeEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppPurchaseOneTimeEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNAppPurchaseStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseStatus(ctx context.Context, v interface{}) (AppPurchaseStatus, error) {
	var res AppPurchaseStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNAppPurchaseStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppPurchaseStatus(ctx context.Context, sel ast.SelectionSet, v AppPurchaseStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNAppRevenueAttributionRecord2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppRevenueAttributionRecord) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppRevenueAttributionRecord2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecord(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppRevenueAttributionRecord2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecord(ctx context.Context, sel ast.SelectionSet, v *AppRevenueAttributionRecord) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppRevenueAttributionRecord(ctx, sel, v)
}

func (ec *executionContext) marshalNAppRevenueAttributionRecordConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordConnection(ctx context.Context, sel ast.SelectionSet, v *AppRevenueAttributionRecordConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppRevenueAttributionRecordConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNAppRevenueAttributionRecordEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppRevenueAttributionRecordEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppRevenueAttributionRecordEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppRevenueAttributionRecordEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordEdge(ctx context.Context, sel ast.SelectionSet, v *AppRevenueAttributionRecordEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppRevenueAttributionRecordEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNAppRevenueAttributionType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionType(ctx context.Context, v interface{}) (AppRevenueAttributionType, error) {
	var res AppRevenueAttributionType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNAppRevenueAttributionType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionType(ctx context.Context, sel ast.SelectionSet, v AppRevenueAttributionType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNAppSubscription2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppSubscription) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppSubscription2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscription(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppSubscription2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscription(ctx context.Context, sel ast.SelectionSet, v *AppSubscription) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppSubscription(ctx, sel, v)
}

func (ec *executionContext) marshalNAppSubscriptionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionConnection(ctx context.Context, sel ast.SelectionSet, v *AppSubscriptionConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppSubscriptionConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNAppSubscriptionDiscountValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionDiscountValue(ctx context.Context, sel ast.SelectionSet, v AppSubscriptionDiscountValue) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppSubscriptionDiscountValue(ctx, sel, v)
}

func (ec *executionContext) marshalNAppSubscriptionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppSubscriptionEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppSubscriptionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppSubscriptionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionEdge(ctx context.Context, sel ast.SelectionSet, v *AppSubscriptionEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppSubscriptionEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNAppSubscriptionLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionLineItemᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppSubscriptionLineItem) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppSubscriptionLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionLineItem(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppSubscriptionLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionLineItem(ctx context.Context, sel ast.SelectionSet, v *AppSubscriptionLineItem) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppSubscriptionLineItem(ctx, sel, v)
}

func (ec *executionContext) unmarshalNAppSubscriptionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionStatus(ctx context.Context, v interface{}) (AppSubscriptionStatus, error) {
	var res AppSubscriptionStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNAppSubscriptionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionStatus(ctx context.Context, sel ast.SelectionSet, v AppSubscriptionStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNAppUsageRecord2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppUsageRecord) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppUsageRecord2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecord(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppUsageRecord2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecord(ctx context.Context, sel ast.SelectionSet, v *AppUsageRecord) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppUsageRecord(ctx, sel, v)
}

func (ec *executionContext) marshalNAppUsageRecordConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordConnection(ctx context.Context, sel ast.SelectionSet, v *AppUsageRecordConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppUsageRecordConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNAppUsageRecordEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*AppUsageRecordEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAppUsageRecordEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAppUsageRecordEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordEdge(ctx context.Context, sel ast.SelectionSet, v *AppUsageRecordEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._AppUsageRecordEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttributeᚄ(ctx context.Context, sel ast.SelectionSet, v []*Attribute) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNAttribute2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttribute(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNAttribute2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAttribute(ctx context.Context, sel ast.SelectionSet, v *Attribute) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Attribute(ctx, sel, v)
}

func (ec *executionContext) unmarshalNBoolean2bool(ctx context.Context, v interface{}) (bool, error) {
	res, err := graphql.UnmarshalBoolean(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNBoolean2bool(ctx context.Context, sel ast.SelectionSet, v bool) graphql.Marshaler {
	res := graphql.MarshalBoolean(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNChannelDefinition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelDefinitionᚄ(ctx context.Context, sel ast.SelectionSet, v []*ChannelDefinition) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNChannelDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelDefinition(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNChannelDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelDefinition(ctx context.Context, sel ast.SelectionSet, v *ChannelDefinition) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ChannelDefinition(ctx, sel, v)
}

func (ec *executionContext) marshalNCollection2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionᚄ(ctx context.Context, sel ast.SelectionSet, v []*Collection) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCollection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollection(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCollection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollection(ctx context.Context, sel ast.SelectionSet, v *Collection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Collection(ctx, sel, v)
}

func (ec *executionContext) marshalNCollectionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionConnection(ctx context.Context, sel ast.SelectionSet, v *CollectionConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CollectionConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNCollectionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CollectionEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCollectionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCollectionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionEdge(ctx context.Context, sel ast.SelectionSet, v *CollectionEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CollectionEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNCollectionRule2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionRuleᚄ(ctx context.Context, sel ast.SelectionSet, v []*CollectionRule) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCollectionRule2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionRule(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCollectionRule2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCollectionRule(ctx context.Context, sel ast.SelectionSet, v *CollectionRule) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CollectionRule(ctx, sel, v)
}

func (ec *executionContext) marshalNCommentEventAttachment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventAttachmentᚄ(ctx context.Context, sel ast.SelectionSet, v []*CommentEventAttachment) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCommentEventAttachment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventAttachment(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCommentEventAttachment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventAttachment(ctx context.Context, sel ast.SelectionSet, v *CommentEventAttachment) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CommentEventAttachment(ctx, sel, v)
}

func (ec *executionContext) marshalNCommentEventSubject2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventSubject(ctx context.Context, sel ast.SelectionSet, v CommentEventSubject) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CommentEventSubject(ctx, sel, v)
}

func (ec *executionContext) marshalNCompany2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompany(ctx context.Context, sel ast.SelectionSet, v *Company) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Company(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContact2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyContact) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyContact2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContact(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyContact2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContact(ctx context.Context, sel ast.SelectionSet, v *CompanyContact) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContact(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactConnection(ctx context.Context, sel ast.SelectionSet, v *CompanyContactConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyContactEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyContactEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyContactEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactEdge(ctx context.Context, sel ast.SelectionSet, v *CompanyContactEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactRole2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyContactRole) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyContactRole2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRole(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyContactRole2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRole(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRole) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactRole(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactRoleAssignment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyContactRoleAssignment) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyContactRoleAssignment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignment(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyContactRoleAssignment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignment(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRoleAssignment) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactRoleAssignment(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactRoleAssignmentConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentConnection(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRoleAssignmentConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactRoleAssignmentConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactRoleAssignmentEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyContactRoleAssignmentEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyContactRoleAssignmentEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyContactRoleAssignmentEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentEdge(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRoleAssignmentEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactRoleAssignmentEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactRoleConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleConnection(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRoleConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactRoleConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyContactRoleEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyContactRoleEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyContactRoleEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyContactRoleEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleEdge(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRoleEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyContactRoleEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyLocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyLocation) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocation(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocation(ctx context.Context, sel ast.SelectionSet, v *CompanyLocation) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyLocation(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyLocationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationConnection(ctx context.Context, sel ast.SelectionSet, v *CompanyLocationConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyLocationConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNCompanyLocationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CompanyLocationEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCompanyLocationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCompanyLocationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationEdge(ctx context.Context, sel ast.SelectionSet, v *CompanyLocationEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CompanyLocationEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx context.Context, v interface{}) (CountryCode, error) {
	var res CountryCode
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx context.Context, sel ast.SelectionSet, v CountryCode) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx context.Context, v interface{}) ([]CountryCode, error) {
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]CountryCode, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalNCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx context.Context, sel ast.SelectionSet, v []CountryCode) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCountryHarmonizedSystemCode2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CountryHarmonizedSystemCode) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCountryHarmonizedSystemCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCode(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCountryHarmonizedSystemCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCode(ctx context.Context, sel ast.SelectionSet, v *CountryHarmonizedSystemCode) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CountryHarmonizedSystemCode(ctx, sel, v)
}

func (ec *executionContext) marshalNCountryHarmonizedSystemCodeConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeConnection(ctx context.Context, sel ast.SelectionSet, v *CountryHarmonizedSystemCodeConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CountryHarmonizedSystemCodeConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNCountryHarmonizedSystemCodeEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CountryHarmonizedSystemCodeEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCountryHarmonizedSystemCodeEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCountryHarmonizedSystemCodeEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryHarmonizedSystemCodeEdge(ctx context.Context, sel ast.SelectionSet, v *CountryHarmonizedSystemCodeEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CountryHarmonizedSystemCodeEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx context.Context, v interface{}) (CurrencyCode, error) {
	var res CurrencyCode
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNCurrencyCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx context.Context, sel ast.SelectionSet, v CurrencyCode) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNCurrencySetting2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySettingᚄ(ctx context.Context, sel ast.SelectionSet, v []*CurrencySetting) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCurrencySetting2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySetting(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCurrencySetting2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySetting(ctx context.Context, sel ast.SelectionSet, v *CurrencySetting) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CurrencySetting(ctx, sel, v)
}

func (ec *executionContext) marshalNCurrencySettingEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySettingEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CurrencySettingEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCurrencySettingEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySettingEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCurrencySettingEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencySettingEdge(ctx context.Context, sel ast.SelectionSet, v *CurrencySettingEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CurrencySettingEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNCustomer2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomer(ctx context.Context, sel ast.SelectionSet, v *Customer) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Customer(ctx, sel, v)
}

func (ec *executionContext) unmarshalNCustomerEmailMarketingState2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerEmailMarketingState(ctx context.Context, v interface{}) (CustomerEmailMarketingState, error) {
	var res CustomerEmailMarketingState
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNCustomerEmailMarketingState2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerEmailMarketingState(ctx context.Context, sel ast.SelectionSet, v CustomerEmailMarketingState) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNCustomerMarketingOptInLevel2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMarketingOptInLevel(ctx context.Context, v interface{}) (CustomerMarketingOptInLevel, error) {
	var res CustomerMarketingOptInLevel
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNCustomerMarketingOptInLevel2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMarketingOptInLevel(ctx context.Context, sel ast.SelectionSet, v CustomerMarketingOptInLevel) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNCustomerMoment2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMoment(ctx context.Context, sel ast.SelectionSet, v CustomerMoment) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CustomerMoment(ctx, sel, v)
}

func (ec *executionContext) marshalNCustomerMoment2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentᚄ(ctx context.Context, sel ast.SelectionSet, v []CustomerMoment) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCustomerMoment2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMoment(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCustomerMomentEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CustomerMomentEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCustomerMomentEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCustomerMomentEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentEdge(ctx context.Context, sel ast.SelectionSet, v *CustomerMomentEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CustomerMomentEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNCustomerPaymentMethod2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodᚄ(ctx context.Context, sel ast.SelectionSet, v []*CustomerPaymentMethod) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCustomerPaymentMethod2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethod(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCustomerPaymentMethod2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethod(ctx context.Context, sel ast.SelectionSet, v *CustomerPaymentMethod) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CustomerPaymentMethod(ctx, sel, v)
}

func (ec *executionContext) marshalNCustomerPaymentMethodEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*CustomerPaymentMethodEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCustomerPaymentMethodEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNCustomerPaymentMethodEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodEdge(ctx context.Context, sel ast.SelectionSet, v *CustomerPaymentMethodEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._CustomerPaymentMethodEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNCustomerSmsMarketingState2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerSmsMarketingState(ctx context.Context, v interface{}) (CustomerSmsMarketingState, error) {
	var res CustomerSmsMarketingState
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNCustomerSmsMarketingState2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerSmsMarketingState(ctx context.Context, sel ast.SelectionSet, v CustomerSmsMarketingState) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDateTime2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDateTime2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) unmarshalNDecimal2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDecimal2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNDeliveryAvailableService2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryAvailableServiceᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryAvailableService) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryAvailableService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryAvailableService(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryAvailableService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryAvailableService(ctx context.Context, sel ast.SelectionSet, v *DeliveryAvailableService) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryAvailableService(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryCarrierService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCarrierService(ctx context.Context, sel ast.SelectionSet, v *DeliveryCarrierService) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryCarrierService(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryCondition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryCondition) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryCondition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCondition(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryCondition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCondition(ctx context.Context, sel ast.SelectionSet, v *DeliveryCondition) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryCondition(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryConditionCriteria2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionCriteria(ctx context.Context, sel ast.SelectionSet, v DeliveryConditionCriteria) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryConditionCriteria(ctx, sel, v)
}

func (ec *executionContext) unmarshalNDeliveryConditionField2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionField(ctx context.Context, v interface{}) (DeliveryConditionField, error) {
	var res DeliveryConditionField
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDeliveryConditionField2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionField(ctx context.Context, sel ast.SelectionSet, v DeliveryConditionField) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDeliveryConditionOperator2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionOperator(ctx context.Context, v interface{}) (DeliveryConditionOperator, error) {
	var res DeliveryConditionOperator
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDeliveryConditionOperator2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryConditionOperator(ctx context.Context, sel ast.SelectionSet, v DeliveryConditionOperator) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNDeliveryCountry2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryCountry) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryCountry2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountry(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryCountry2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountry(ctx context.Context, sel ast.SelectionSet, v *DeliveryCountry) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryCountry(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryCountryAndZone2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryAndZoneᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryCountryAndZone) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryCountryAndZone2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryAndZone(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryCountryAndZone2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryAndZone(ctx context.Context, sel ast.SelectionSet, v *DeliveryCountryAndZone) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryCountryAndZone(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryCountryCodeOrRestOfWorld2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryCodeOrRestOfWorld(ctx context.Context, sel ast.SelectionSet, v *DeliveryCountryCodeOrRestOfWorld) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryCountryCodeOrRestOfWorld(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryCountryCodesOrRestOfWorld2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCountryCodesOrRestOfWorld(ctx context.Context, sel ast.SelectionSet, v *DeliveryCountryCodesOrRestOfWorld) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryCountryCodesOrRestOfWorld(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryLocationGroup2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroup(ctx context.Context, sel ast.SelectionSet, v *DeliveryLocationGroup) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryLocationGroup(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryLocationGroupZone2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryLocationGroupZone) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryLocationGroupZone2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZone(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryLocationGroupZone2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZone(ctx context.Context, sel ast.SelectionSet, v *DeliveryLocationGroupZone) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryLocationGroupZone(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryLocationGroupZoneConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneConnection(ctx context.Context, sel ast.SelectionSet, v *DeliveryLocationGroupZoneConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryLocationGroupZoneConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryLocationGroupZoneEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryLocationGroupZoneEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryLocationGroupZoneEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryLocationGroupZoneEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryLocationGroupZoneEdge(ctx context.Context, sel ast.SelectionSet, v *DeliveryLocationGroupZoneEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryLocationGroupZoneEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryMethodDefinition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryMethodDefinition) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryMethodDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinition(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryMethodDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinition(ctx context.Context, sel ast.SelectionSet, v *DeliveryMethodDefinition) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryMethodDefinition(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryMethodDefinitionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionConnection(ctx context.Context, sel ast.SelectionSet, v *DeliveryMethodDefinitionConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryMethodDefinitionConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryMethodDefinitionCounts2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionCounts(ctx context.Context, sel ast.SelectionSet, v *DeliveryMethodDefinitionCounts) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryMethodDefinitionCounts(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryMethodDefinitionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryMethodDefinitionEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryMethodDefinitionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryMethodDefinitionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionEdge(ctx context.Context, sel ast.SelectionSet, v *DeliveryMethodDefinitionEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryMethodDefinitionEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNDeliveryMethodType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodType(ctx context.Context, v interface{}) (DeliveryMethodType, error) {
	var res DeliveryMethodType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDeliveryMethodType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodType(ctx context.Context, sel ast.SelectionSet, v DeliveryMethodType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNDeliveryParticipantService2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryParticipantServiceᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryParticipantService) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryParticipantService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryParticipantService(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryParticipantService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryParticipantService(ctx context.Context, sel ast.SelectionSet, v *DeliveryParticipantService) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryParticipantService(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryProductVariantsCount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProductVariantsCount(ctx context.Context, sel ast.SelectionSet, v *DeliveryProductVariantsCount) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryProductVariantsCount(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryProfileItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryProfileItem) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryProfileItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItem(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryProfileItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItem(ctx context.Context, sel ast.SelectionSet, v *DeliveryProfileItem) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryProfileItem(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryProfileItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemConnection(ctx context.Context, sel ast.SelectionSet, v *DeliveryProfileItemConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryProfileItemConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryProfileItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryProfileItemEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryProfileItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryProfileItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileItemEdge(ctx context.Context, sel ast.SelectionSet, v *DeliveryProfileItemEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryProfileItemEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryProfileLocationGroup2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileLocationGroupᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryProfileLocationGroup) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryProfileLocationGroup2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileLocationGroup(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryProfileLocationGroup2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProfileLocationGroup(ctx context.Context, sel ast.SelectionSet, v *DeliveryProfileLocationGroup) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryProfileLocationGroup(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryProvince2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProvinceᚄ(ctx context.Context, sel ast.SelectionSet, v []*DeliveryProvince) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDeliveryProvince2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProvince(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDeliveryProvince2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryProvince(ctx context.Context, sel ast.SelectionSet, v *DeliveryProvince) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryProvince(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryRateProvider2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryRateProvider(ctx context.Context, sel ast.SelectionSet, v DeliveryRateProvider) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryRateProvider(ctx, sel, v)
}

func (ec *executionContext) marshalNDeliveryZone2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryZone(ctx context.Context, sel ast.SelectionSet, v *DeliveryZone) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DeliveryZone(ctx, sel, v)
}

func (ec *executionContext) unmarshalNDigitalWallet2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDigitalWallet(ctx context.Context, v interface{}) (DigitalWallet, error) {
	var res DigitalWallet
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDigitalWallet2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDigitalWallet(ctx context.Context, sel ast.SelectionSet, v DigitalWallet) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDigitalWallet2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDigitalWalletᚄ(ctx context.Context, v interface{}) ([]DigitalWallet, error) {
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]DigitalWallet, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNDigitalWallet2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDigitalWallet(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalNDigitalWallet2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDigitalWalletᚄ(ctx context.Context, sel ast.SelectionSet, v []DigitalWallet) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDigitalWallet2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDigitalWallet(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDiscountAllocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountAllocationᚄ(ctx context.Context, sel ast.SelectionSet, v []*DiscountAllocation) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDiscountAllocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountAllocation(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDiscountAllocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountAllocation(ctx context.Context, sel ast.SelectionSet, v *DiscountAllocation) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DiscountAllocation(ctx, sel, v)
}

func (ec *executionContext) marshalNDiscountApplication2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplication(ctx context.Context, sel ast.SelectionSet, v DiscountApplication) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DiscountApplication(ctx, sel, v)
}

func (ec *executionContext) marshalNDiscountApplication2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationᚄ(ctx context.Context, sel ast.SelectionSet, v []DiscountApplication) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDiscountApplication2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplication(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalNDiscountApplicationAllocationMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationAllocationMethod(ctx context.Context, v interface{}) (DiscountApplicationAllocationMethod, error) {
	var res DiscountApplicationAllocationMethod
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDiscountApplicationAllocationMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationAllocationMethod(ctx context.Context, sel ast.SelectionSet, v DiscountApplicationAllocationMethod) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNDiscountApplicationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationConnection(ctx context.Context, sel ast.SelectionSet, v *DiscountApplicationConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DiscountApplicationConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNDiscountApplicationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*DiscountApplicationEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDiscountApplicationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDiscountApplicationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationEdge(ctx context.Context, sel ast.SelectionSet, v *DiscountApplicationEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DiscountApplicationEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNDiscountApplicationTargetSelection2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetSelection(ctx context.Context, v interface{}) (DiscountApplicationTargetSelection, error) {
	var res DiscountApplicationTargetSelection
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDiscountApplicationTargetSelection2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetSelection(ctx context.Context, sel ast.SelectionSet, v DiscountApplicationTargetSelection) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDiscountApplicationTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetType(ctx context.Context, v interface{}) (DiscountApplicationTargetType, error) {
	var res DiscountApplicationTargetType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDiscountApplicationTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountApplicationTargetType(ctx context.Context, sel ast.SelectionSet, v DiscountApplicationTargetType) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDiscountTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountTargetType(ctx context.Context, v interface{}) (DiscountTargetType, error) {
	var res DiscountTargetType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDiscountTargetType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountTargetType(ctx context.Context, sel ast.SelectionSet, v DiscountTargetType) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDiscountType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountType(ctx context.Context, v interface{}) (DiscountType, error) {
	var res DiscountType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDiscountType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDiscountType(ctx context.Context, sel ast.SelectionSet, v DiscountType) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDisputeStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDisputeStatus(ctx context.Context, v interface{}) (DisputeStatus, error) {
	var res DisputeStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDisputeStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDisputeStatus(ctx context.Context, sel ast.SelectionSet, v DisputeStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNDisputeType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDisputeType(ctx context.Context, v interface{}) (DisputeType, error) {
	var res DisputeType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDisputeType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDisputeType(ctx context.Context, sel ast.SelectionSet, v DisputeType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNDraftOrder2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrder(ctx context.Context, sel ast.SelectionSet, v DraftOrder) graphql.Marshaler {
	return ec._DraftOrder(ctx, sel, &v)
}

func (ec *executionContext) marshalNDraftOrder2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderᚄ(ctx context.Context, sel ast.SelectionSet, v []*DraftOrder) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDraftOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrder(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDraftOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrder(ctx context.Context, sel ast.SelectionSet, v *DraftOrder) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DraftOrder(ctx, sel, v)
}

func (ec *executionContext) unmarshalNDraftOrderAppliedDiscountType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderAppliedDiscountType(ctx context.Context, v interface{}) (DraftOrderAppliedDiscountType, error) {
	var res DraftOrderAppliedDiscountType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDraftOrderAppliedDiscountType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderAppliedDiscountType(ctx context.Context, sel ast.SelectionSet, v DraftOrderAppliedDiscountType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNDraftOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderConnection(ctx context.Context, sel ast.SelectionSet, v *DraftOrderConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DraftOrderConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNDraftOrderEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*DraftOrderEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDraftOrderEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDraftOrderEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderEdge(ctx context.Context, sel ast.SelectionSet, v *DraftOrderEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DraftOrderEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNDraftOrderLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemᚄ(ctx context.Context, sel ast.SelectionSet, v []*DraftOrderLineItem) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDraftOrderLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItem(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDraftOrderLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItem(ctx context.Context, sel ast.SelectionSet, v *DraftOrderLineItem) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DraftOrderLineItem(ctx, sel, v)
}

func (ec *executionContext) marshalNDraftOrderLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemConnection(ctx context.Context, sel ast.SelectionSet, v *DraftOrderLineItemConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DraftOrderLineItemConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNDraftOrderLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*DraftOrderLineItemEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDraftOrderLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDraftOrderLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderLineItemEdge(ctx context.Context, sel ast.SelectionSet, v *DraftOrderLineItemEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._DraftOrderLineItemEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNDraftOrderStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderStatus(ctx context.Context, v interface{}) (DraftOrderStatus, error) {
	var res DraftOrderStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNDraftOrderStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderStatus(ctx context.Context, sel ast.SelectionSet, v DraftOrderStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNDuty2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDutyᚄ(ctx context.Context, sel ast.SelectionSet, v []*Duty) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNDuty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDuty(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNDuty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDuty(ctx context.Context, sel ast.SelectionSet, v *Duty) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Duty(ctx, sel, v)
}

func (ec *executionContext) marshalNEditableProperty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEditableProperty(ctx context.Context, sel ast.SelectionSet, v *EditableProperty) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._EditableProperty(ctx, sel, v)
}

func (ec *executionContext) marshalNEvent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEvent(ctx context.Context, sel ast.SelectionSet, v Event) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Event(ctx, sel, v)
}

func (ec *executionContext) marshalNEvent2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventᚄ(ctx context.Context, sel ast.SelectionSet, v []Event) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNEvent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEvent(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNEventConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventConnection(ctx context.Context, sel ast.SelectionSet, v *EventConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._EventConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNEventEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*EventEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNEventEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNEventEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventEdge(ctx context.Context, sel ast.SelectionSet, v *EventEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._EventEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNFileError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileErrorᚄ(ctx context.Context, sel ast.SelectionSet, v []*FileError) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFileError2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileError(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFileError2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileError(ctx context.Context, sel ast.SelectionSet, v *FileError) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FileError(ctx, sel, v)
}

func (ec *executionContext) unmarshalNFileErrorCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileErrorCode(ctx context.Context, v interface{}) (FileErrorCode, error) {
	var res FileErrorCode
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFileErrorCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileErrorCode(ctx context.Context, sel ast.SelectionSet, v FileErrorCode) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNFileStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileStatus(ctx context.Context, v interface{}) (FileStatus, error) {
	var res FileStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFileStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFileStatus(ctx context.Context, sel ast.SelectionSet, v FileStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNFilterOption2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFilterOptionᚄ(ctx context.Context, sel ast.SelectionSet, v []*FilterOption) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFilterOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFilterOption(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFilterOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFilterOption(ctx context.Context, sel ast.SelectionSet, v *FilterOption) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FilterOption(ctx, sel, v)
}

func (ec *executionContext) unmarshalNFloat2float64(ctx context.Context, v interface{}) (float64, error) {
	res, err := graphql.UnmarshalFloatContext(ctx, v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFloat2float64(ctx context.Context, sel ast.SelectionSet, v float64) graphql.Marshaler {
	res := graphql.MarshalFloatContext(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return graphql.WrapContextMarshaler(ctx, res)
}

func (ec *executionContext) unmarshalNFormattedString2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFormattedString2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNFulfillment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentᚄ(ctx context.Context, sel ast.SelectionSet, v []*Fulfillment) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillment(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillment(ctx context.Context, sel ast.SelectionSet, v *Fulfillment) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Fulfillment(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentConnection(ctx context.Context, sel ast.SelectionSet, v *FulfillmentConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEdge(ctx context.Context, sel ast.SelectionSet, v *FulfillmentEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentEvent2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentEvent) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentEvent2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEvent(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentEvent2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEvent(ctx context.Context, sel ast.SelectionSet, v *FulfillmentEvent) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentEvent(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentEventConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventConnection(ctx context.Context, sel ast.SelectionSet, v *FulfillmentEventConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentEventConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentEventEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentEventEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentEventEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentEventEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventEdge(ctx context.Context, sel ast.SelectionSet, v *FulfillmentEventEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentEventEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNFulfillmentEventStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventStatus(ctx context.Context, v interface{}) (FulfillmentEventStatus, error) {
	var res FulfillmentEventStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFulfillmentEventStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventStatus(ctx context.Context, sel ast.SelectionSet, v FulfillmentEventStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNFulfillmentHold2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentHoldᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentHold) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentHold2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentHold(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentHold2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentHold(ctx context.Context, sel ast.SelectionSet, v *FulfillmentHold) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentHold(ctx, sel, v)
}

func (ec *executionContext) unmarshalNFulfillmentHoldReason2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentHoldReason(ctx context.Context, v interface{}) (FulfillmentHoldReason, error) {
	var res FulfillmentHoldReason
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFulfillmentHoldReason2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentHoldReason(ctx context.Context, sel ast.SelectionSet, v FulfillmentHoldReason) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNFulfillmentLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentLineItem) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItem(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItem(ctx context.Context, sel ast.SelectionSet, v *FulfillmentLineItem) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentLineItem(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemConnection(ctx context.Context, sel ast.SelectionSet, v *FulfillmentLineItemConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentLineItemConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentLineItemEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentLineItemEdge(ctx context.Context, sel ast.SelectionSet, v *FulfillmentLineItemEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentLineItemEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrder2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrder) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrder(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrder(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrder) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrder(ctx, sel, v)
}

func (ec *executionContext) unmarshalNFulfillmentOrderAction2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderAction(ctx context.Context, v interface{}) (FulfillmentOrderAction, error) {
	var res FulfillmentOrderAction
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFulfillmentOrderAction2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderAction(ctx context.Context, sel ast.SelectionSet, v FulfillmentOrderAction) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNFulfillmentOrderAssignedLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderAssignedLocation(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderAssignedLocation) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderAssignedLocation(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderConnection(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderEdge(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderLineItem) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItem(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItem(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderLineItem) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderLineItem(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemConnection(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderLineItemConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderLineItemConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderLineItemEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemEdge(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderLineItemEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderLineItemEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderLineItemWarning2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemWarningᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderLineItemWarning) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderLineItemWarning2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemWarning(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderLineItemWarning2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLineItemWarning(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderLineItemWarning) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderLineItemWarning(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderLocationForMove2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderLocationForMove) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderLocationForMove2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMove(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderLocationForMove2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMove(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderLocationForMove) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderLocationForMove(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderLocationForMoveConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveConnection(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderLocationForMoveConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderLocationForMoveConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderLocationForMoveEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderLocationForMoveEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderLocationForMoveEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderLocationForMoveEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderLocationForMoveEdge(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderLocationForMoveEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderLocationForMoveEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderMerchantRequest2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderMerchantRequest) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderMerchantRequest2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequest(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderMerchantRequest2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequest(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderMerchantRequest) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderMerchantRequest(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderMerchantRequestConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestConnection(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderMerchantRequestConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderMerchantRequestConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNFulfillmentOrderMerchantRequestEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderMerchantRequestEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderMerchantRequestEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderMerchantRequestEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestEdge(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderMerchantRequestEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderMerchantRequestEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNFulfillmentOrderMerchantRequestKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestKind(ctx context.Context, v interface{}) (FulfillmentOrderMerchantRequestKind, error) {
	var res FulfillmentOrderMerchantRequestKind
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFulfillmentOrderMerchantRequestKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestKind(ctx context.Context, sel ast.SelectionSet, v FulfillmentOrderMerchantRequestKind) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNFulfillmentOrderRequestStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderRequestStatus(ctx context.Context, v interface{}) (FulfillmentOrderRequestStatus, error) {
	var res FulfillmentOrderRequestStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFulfillmentOrderRequestStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderRequestStatus(ctx context.Context, sel ast.SelectionSet, v FulfillmentOrderRequestStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNFulfillmentOrderStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderStatus(ctx context.Context, v interface{}) (FulfillmentOrderStatus, error) {
	var res FulfillmentOrderStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFulfillmentOrderStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderStatus(ctx context.Context, sel ast.SelectionSet, v FulfillmentOrderStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNFulfillmentOrderSupportedAction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderSupportedActionᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentOrderSupportedAction) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentOrderSupportedAction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderSupportedAction(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentOrderSupportedAction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderSupportedAction(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderSupportedAction) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentOrderSupportedAction(ctx, sel, v)
}

func (ec *executionContext) unmarshalNFulfillmentStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentStatus(ctx context.Context, v interface{}) (FulfillmentStatus, error) {
	var res FulfillmentStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNFulfillmentStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentStatus(ctx context.Context, sel ast.SelectionSet, v FulfillmentStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNFulfillmentTrackingInfo2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentTrackingInfoᚄ(ctx context.Context, sel ast.SelectionSet, v []*FulfillmentTrackingInfo) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNFulfillmentTrackingInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentTrackingInfo(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNFulfillmentTrackingInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentTrackingInfo(ctx context.Context, sel ast.SelectionSet, v *FulfillmentTrackingInfo) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._FulfillmentTrackingInfo(ctx, sel, v)
}

func (ec *executionContext) unmarshalNHTML2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNHTML2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNHasMetafields2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐHasMetafields(ctx context.Context, sel ast.SelectionSet, v HasMetafields) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._HasMetafields(ctx, sel, v)
}

func (ec *executionContext) unmarshalNID2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalID(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNID2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalID(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNImage2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageᚄ(ctx context.Context, sel ast.SelectionSet, v []*Image) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx context.Context, sel ast.SelectionSet, v *Image) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Image(ctx, sel, v)
}

func (ec *executionContext) marshalNImageEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*ImageEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNImageEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNImageEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageEdge(ctx context.Context, sel ast.SelectionSet, v *ImageEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ImageEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNInt2int(ctx context.Context, v interface{}) (int, error) {
	res, err := graphql.UnmarshalInt(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNInt2int(ctx context.Context, sel ast.SelectionSet, v int) graphql.Marshaler {
	res := graphql.MarshalInt(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNInventoryLevel2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelᚄ(ctx context.Context, sel ast.SelectionSet, v []*InventoryLevel) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNInventoryLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevel(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNInventoryLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevel(ctx context.Context, sel ast.SelectionSet, v *InventoryLevel) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._InventoryLevel(ctx, sel, v)
}

func (ec *executionContext) marshalNInventoryLevelConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelConnection(ctx context.Context, sel ast.SelectionSet, v *InventoryLevelConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._InventoryLevelConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNInventoryLevelEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*InventoryLevelEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNInventoryLevelEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNInventoryLevelEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevelEdge(ctx context.Context, sel ast.SelectionSet, v *InventoryLevelEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._InventoryLevelEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemᚄ(ctx context.Context, sel ast.SelectionSet, v []*LineItem) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItem(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItem(ctx context.Context, sel ast.SelectionSet, v *LineItem) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LineItem(ctx, sel, v)
}

func (ec *executionContext) marshalNLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemConnection(ctx context.Context, sel ast.SelectionSet, v *LineItemConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LineItemConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*LineItemEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemEdge(ctx context.Context, sel ast.SelectionSet, v *LineItemEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LineItemEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNLocalizationExtension2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionᚄ(ctx context.Context, sel ast.SelectionSet, v []*LocalizationExtension) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLocalizationExtension2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtension(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNLocalizationExtension2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtension(ctx context.Context, sel ast.SelectionSet, v *LocalizationExtension) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LocalizationExtension(ctx, sel, v)
}

func (ec *executionContext) marshalNLocalizationExtensionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionConnection(ctx context.Context, sel ast.SelectionSet, v *LocalizationExtensionConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LocalizationExtensionConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNLocalizationExtensionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*LocalizationExtensionEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLocalizationExtensionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNLocalizationExtensionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionEdge(ctx context.Context, sel ast.SelectionSet, v *LocalizationExtensionEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LocalizationExtensionEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNLocalizationExtensionKey2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionKey(ctx context.Context, v interface{}) (LocalizationExtensionKey, error) {
	var res LocalizationExtensionKey
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNLocalizationExtensionKey2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionKey(ctx context.Context, sel ast.SelectionSet, v LocalizationExtensionKey) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNLocalizationExtensionPurpose2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurpose(ctx context.Context, v interface{}) (LocalizationExtensionPurpose, error) {
	var res LocalizationExtensionPurpose
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNLocalizationExtensionPurpose2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurpose(ctx context.Context, sel ast.SelectionSet, v LocalizationExtensionPurpose) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNLocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationᚄ(ctx context.Context, sel ast.SelectionSet, v []*Location) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx context.Context, sel ast.SelectionSet, v *Location) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Location(ctx, sel, v)
}

func (ec *executionContext) marshalNLocationAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationAddress(ctx context.Context, sel ast.SelectionSet, v *LocationAddress) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LocationAddress(ctx, sel, v)
}

func (ec *executionContext) marshalNLocationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationConnection(ctx context.Context, sel ast.SelectionSet, v *LocationConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LocationConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNLocationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*LocationEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLocationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNLocationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationEdge(ctx context.Context, sel ast.SelectionSet, v *LocationEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LocationEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNLocationSuggestedAddress2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationSuggestedAddressᚄ(ctx context.Context, sel ast.SelectionSet, v []*LocationSuggestedAddress) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLocationSuggestedAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationSuggestedAddress(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNLocationSuggestedAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationSuggestedAddress(ctx context.Context, sel ast.SelectionSet, v *LocationSuggestedAddress) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._LocationSuggestedAddress(ctx, sel, v)
}

func (ec *executionContext) marshalNMarket2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarket(ctx context.Context, sel ast.SelectionSet, v *Market) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Market(ctx, sel, v)
}

func (ec *executionContext) marshalNMarketRegion2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegion(ctx context.Context, sel ast.SelectionSet, v MarketRegion) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MarketRegion(ctx, sel, v)
}

func (ec *executionContext) marshalNMarketRegion2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegionᚄ(ctx context.Context, sel ast.SelectionSet, v []MarketRegion) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMarketRegion2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegion(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMarketRegionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegionEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*MarketRegionEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMarketRegionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegionEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMarketRegionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketRegionEdge(ctx context.Context, sel ast.SelectionSet, v *MarketRegionEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MarketRegionEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNMarketingTactic2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingTactic(ctx context.Context, v interface{}) (MarketingTactic, error) {
	var res MarketingTactic
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMarketingTactic2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingTactic(ctx context.Context, sel ast.SelectionSet, v MarketingTactic) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNMedia2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMedia(ctx context.Context, sel ast.SelectionSet, v Media) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Media(ctx, sel, v)
}

func (ec *executionContext) marshalNMedia2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaᚄ(ctx context.Context, sel ast.SelectionSet, v []Media) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMedia2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMedia(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalNMediaContentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaContentType(ctx context.Context, v interface{}) (MediaContentType, error) {
	var res MediaContentType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMediaContentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaContentType(ctx context.Context, sel ast.SelectionSet, v MediaContentType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNMediaEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*MediaEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMediaEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMediaEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaEdge(ctx context.Context, sel ast.SelectionSet, v *MediaEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MediaEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNMediaError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaErrorᚄ(ctx context.Context, sel ast.SelectionSet, v []*MediaError) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMediaError2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaError(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMediaError2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaError(ctx context.Context, sel ast.SelectionSet, v *MediaError) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MediaError(ctx, sel, v)
}

func (ec *executionContext) unmarshalNMediaErrorCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaErrorCode(ctx context.Context, v interface{}) (MediaErrorCode, error) {
	var res MediaErrorCode
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMediaErrorCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaErrorCode(ctx context.Context, sel ast.SelectionSet, v MediaErrorCode) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNMediaPreviewImageStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaPreviewImageStatus(ctx context.Context, v interface{}) (MediaPreviewImageStatus, error) {
	var res MediaPreviewImageStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMediaPreviewImageStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaPreviewImageStatus(ctx context.Context, sel ast.SelectionSet, v MediaPreviewImageStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNMediaStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaStatus(ctx context.Context, v interface{}) (MediaStatus, error) {
	var res MediaStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMediaStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaStatus(ctx context.Context, sel ast.SelectionSet, v MediaStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNMediaWarning2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarningᚄ(ctx context.Context, sel ast.SelectionSet, v []*MediaWarning) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMediaWarning2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarning(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMediaWarning2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarning(ctx context.Context, sel ast.SelectionSet, v *MediaWarning) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MediaWarning(ctx, sel, v)
}

func (ec *executionContext) unmarshalNMediaWarningCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarningCode(ctx context.Context, v interface{}) (MediaWarningCode, error) {
	var res MediaWarningCode
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMediaWarningCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaWarningCode(ctx context.Context, sel ast.SelectionSet, v MediaWarningCode) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNMetafield2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldᚄ(ctx context.Context, sel ast.SelectionSet, v []*Metafield) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx context.Context, sel ast.SelectionSet, v *Metafield) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Metafield(ctx, sel, v)
}

func (ec *executionContext) marshalNMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldConnection(ctx context.Context, sel ast.SelectionSet, v *MetafieldConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNMetafieldDefinition2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionᚄ(ctx context.Context, sel ast.SelectionSet, v []*MetafieldDefinition) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafieldDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinition(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafieldDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinition(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinition) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldDefinition(ctx, sel, v)
}

func (ec *executionContext) marshalNMetafieldDefinitionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionConnection(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinitionConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldDefinitionConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNMetafieldDefinitionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*MetafieldDefinitionEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafieldDefinitionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafieldDefinitionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionEdge(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinitionEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldDefinitionEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNMetafieldDefinitionSupportedValidation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSupportedValidationᚄ(ctx context.Context, sel ast.SelectionSet, v []*MetafieldDefinitionSupportedValidation) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafieldDefinitionSupportedValidation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSupportedValidation(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafieldDefinitionSupportedValidation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSupportedValidation(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinitionSupportedValidation) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldDefinitionSupportedValidation(ctx, sel, v)
}

func (ec *executionContext) marshalNMetafieldDefinitionType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionType(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinitionType) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldDefinitionType(ctx, sel, v)
}

func (ec *executionContext) marshalNMetafieldDefinitionValidation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidationᚄ(ctx context.Context, sel ast.SelectionSet, v []*MetafieldDefinitionValidation) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafieldDefinitionValidation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidation(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafieldDefinitionValidation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidation(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinitionValidation) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldDefinitionValidation(ctx, sel, v)
}

func (ec *executionContext) unmarshalNMetafieldDefinitionValidationStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidationStatus(ctx context.Context, v interface{}) (MetafieldDefinitionValidationStatus, error) {
	var res MetafieldDefinitionValidationStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMetafieldDefinitionValidationStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionValidationStatus(ctx context.Context, sel ast.SelectionSet, v MetafieldDefinitionValidationStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNMetafieldEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*MetafieldEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafieldEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafieldEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldEdge(ctx context.Context, sel ast.SelectionSet, v *MetafieldEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNMetafieldOwnerType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerType(ctx context.Context, v interface{}) (MetafieldOwnerType, error) {
	var res MetafieldOwnerType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMetafieldOwnerType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerType(ctx context.Context, sel ast.SelectionSet, v MetafieldOwnerType) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNMetafieldOwnerType2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerTypeᚄ(ctx context.Context, v interface{}) ([]MetafieldOwnerType, error) {
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]MetafieldOwnerType, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNMetafieldOwnerType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerType(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalNMetafieldOwnerType2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerTypeᚄ(ctx context.Context, sel ast.SelectionSet, v []MetafieldOwnerType) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafieldOwnerType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldOwnerType(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafieldReference2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReference(ctx context.Context, sel ast.SelectionSet, v []MetafieldReference) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalOMetafieldReference2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReference(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	return ret
}

func (ec *executionContext) marshalNMetafieldReferenceEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReferenceEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*MetafieldReferenceEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNMetafieldReferenceEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReferenceEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNMetafieldReferenceEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReferenceEdge(ctx context.Context, sel ast.SelectionSet, v *MetafieldReferenceEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MetafieldReferenceEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNMoney2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNMoney2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx context.Context, sel ast.SelectionSet, v *MoneyBag) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MoneyBag(ctx, sel, v)
}

func (ec *executionContext) marshalNMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx context.Context, sel ast.SelectionSet, v *MoneyV2) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._MoneyV2(ctx, sel, v)
}

func (ec *executionContext) marshalNNode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐNode(ctx context.Context, sel ast.SelectionSet, v Node) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Node(ctx, sel, v)
}

func (ec *executionContext) marshalNOrder2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx context.Context, sel ast.SelectionSet, v Order) graphql.Marshaler {
	return ec._Order(ctx, sel, &v)
}

func (ec *executionContext) marshalNOrder2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderᚄ(ctx context.Context, sel ast.SelectionSet, v []*Order) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx context.Context, sel ast.SelectionSet, v *Order) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Order(ctx, sel, v)
}

func (ec *executionContext) marshalNOrderConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderConnection(ctx context.Context, sel ast.SelectionSet, v *OrderConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderConnection(ctx, sel, v)
}

func (ec *executionContext) unmarshalNOrderDisplayFulfillmentStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisplayFulfillmentStatus(ctx context.Context, v interface{}) (OrderDisplayFulfillmentStatus, error) {
	var res OrderDisplayFulfillmentStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNOrderDisplayFulfillmentStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisplayFulfillmentStatus(ctx context.Context, sel ast.SelectionSet, v OrderDisplayFulfillmentStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNOrderDisputeSummary2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisputeSummaryᚄ(ctx context.Context, sel ast.SelectionSet, v []*OrderDisputeSummary) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNOrderDisputeSummary2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisputeSummary(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNOrderDisputeSummary2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisputeSummary(ctx context.Context, sel ast.SelectionSet, v *OrderDisputeSummary) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderDisputeSummary(ctx, sel, v)
}

func (ec *executionContext) marshalNOrderEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*OrderEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNOrderEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNOrderEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderEdge(ctx context.Context, sel ast.SelectionSet, v *OrderEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNOrderPaymentCollectionDetails2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderPaymentCollectionDetails(ctx context.Context, sel ast.SelectionSet, v *OrderPaymentCollectionDetails) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderPaymentCollectionDetails(ctx, sel, v)
}

func (ec *executionContext) marshalNOrderRisk2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskᚄ(ctx context.Context, sel ast.SelectionSet, v []*OrderRisk) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNOrderRisk2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRisk(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNOrderRisk2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRisk(ctx context.Context, sel ast.SelectionSet, v *OrderRisk) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderRisk(ctx, sel, v)
}

func (ec *executionContext) unmarshalNOrderRiskLevel2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskLevel(ctx context.Context, v interface{}) (OrderRiskLevel, error) {
	var res OrderRiskLevel
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNOrderRiskLevel2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskLevel(ctx context.Context, sel ast.SelectionSet, v OrderRiskLevel) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNOrderTransaction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionᚄ(ctx context.Context, sel ast.SelectionSet, v []*OrderTransaction) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransaction(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransaction(ctx context.Context, sel ast.SelectionSet, v *OrderTransaction) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderTransaction(ctx, sel, v)
}

func (ec *executionContext) marshalNOrderTransactionConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionConnection(ctx context.Context, sel ast.SelectionSet, v *OrderTransactionConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderTransactionConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNOrderTransactionEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*OrderTransactionEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNOrderTransactionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNOrderTransactionEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionEdge(ctx context.Context, sel ast.SelectionSet, v *OrderTransactionEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._OrderTransactionEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNOrderTransactionKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionKind(ctx context.Context, v interface{}) (OrderTransactionKind, error) {
	var res OrderTransactionKind
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNOrderTransactionKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionKind(ctx context.Context, sel ast.SelectionSet, v OrderTransactionKind) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNOrderTransactionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionStatus(ctx context.Context, v interface{}) (OrderTransactionStatus, error) {
	var res OrderTransactionStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNOrderTransactionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionStatus(ctx context.Context, sel ast.SelectionSet, v OrderTransactionStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNPageInfo2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPageInfo(ctx context.Context, sel ast.SelectionSet, v *PageInfo) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PageInfo(ctx, sel, v)
}

func (ec *executionContext) marshalNPaymentInstrument2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentInstrument(ctx context.Context, sel ast.SelectionSet, v PaymentInstrument) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PaymentInstrument(ctx, sel, v)
}

func (ec *executionContext) marshalNPaymentMandate2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentMandate(ctx context.Context, sel ast.SelectionSet, v *PaymentMandate) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PaymentMandate(ctx, sel, v)
}

func (ec *executionContext) marshalNPaymentSchedule2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleᚄ(ctx context.Context, sel ast.SelectionSet, v []*PaymentSchedule) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPaymentSchedule2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentSchedule(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPaymentSchedule2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentSchedule(ctx context.Context, sel ast.SelectionSet, v *PaymentSchedule) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PaymentSchedule(ctx, sel, v)
}

func (ec *executionContext) marshalNPaymentScheduleConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleConnection(ctx context.Context, sel ast.SelectionSet, v *PaymentScheduleConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PaymentScheduleConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNPaymentScheduleEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*PaymentScheduleEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPaymentScheduleEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPaymentScheduleEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentScheduleEdge(ctx context.Context, sel ast.SelectionSet, v *PaymentScheduleEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PaymentScheduleEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNPaymentTermsType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTermsType(ctx context.Context, v interface{}) (PaymentTermsType, error) {
	var res PaymentTermsType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNPaymentTermsType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTermsType(ctx context.Context, sel ast.SelectionSet, v PaymentTermsType) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNPaypalExpressSubscriptionsGatewayStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaypalExpressSubscriptionsGatewayStatus(ctx context.Context, v interface{}) (PaypalExpressSubscriptionsGatewayStatus, error) {
	var res PaypalExpressSubscriptionsGatewayStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNPaypalExpressSubscriptionsGatewayStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaypalExpressSubscriptionsGatewayStatus(ctx context.Context, sel ast.SelectionSet, v PaypalExpressSubscriptionsGatewayStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNPriceListAdjustment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListAdjustment(ctx context.Context, sel ast.SelectionSet, v *PriceListAdjustment) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PriceListAdjustment(ctx, sel, v)
}

func (ec *executionContext) unmarshalNPriceListAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListAdjustmentType(ctx context.Context, v interface{}) (PriceListAdjustmentType, error) {
	var res PriceListAdjustmentType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNPriceListAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListAdjustmentType(ctx context.Context, sel ast.SelectionSet, v PriceListAdjustmentType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNPriceListPrice2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceᚄ(ctx context.Context, sel ast.SelectionSet, v []*PriceListPrice) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPriceListPrice2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPrice(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPriceListPrice2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPrice(ctx context.Context, sel ast.SelectionSet, v *PriceListPrice) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PriceListPrice(ctx, sel, v)
}

func (ec *executionContext) marshalNPriceListPriceConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceConnection(ctx context.Context, sel ast.SelectionSet, v *PriceListPriceConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PriceListPriceConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNPriceListPriceEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*PriceListPriceEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPriceListPriceEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPriceListPriceEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceEdge(ctx context.Context, sel ast.SelectionSet, v *PriceListPriceEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PriceListPriceEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNPriceListPriceOriginType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceOriginType(ctx context.Context, v interface{}) (PriceListPriceOriginType, error) {
	var res PriceListPriceOriginType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNPriceListPriceOriginType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceOriginType(ctx context.Context, sel ast.SelectionSet, v PriceListPriceOriginType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNPricingValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPricingValue(ctx context.Context, sel ast.SelectionSet, v PricingValue) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PricingValue(ctx, sel, v)
}

func (ec *executionContext) marshalNPrivateMetafield2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldᚄ(ctx context.Context, sel ast.SelectionSet, v []*PrivateMetafield) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx context.Context, sel ast.SelectionSet, v *PrivateMetafield) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PrivateMetafield(ctx, sel, v)
}

func (ec *executionContext) marshalNPrivateMetafieldConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldConnection(ctx context.Context, sel ast.SelectionSet, v *PrivateMetafieldConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PrivateMetafieldConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNPrivateMetafieldEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*PrivateMetafieldEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPrivateMetafieldEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPrivateMetafieldEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldEdge(ctx context.Context, sel ast.SelectionSet, v *PrivateMetafieldEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PrivateMetafieldEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNPrivateMetafieldValueInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldValueInput(ctx context.Context, v interface{}) (*PrivateMetafieldValueInput, error) {
	res, err := ec.unmarshalInputPrivateMetafieldValueInput(ctx, v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) unmarshalNPrivateMetafieldValueType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldValueType(ctx context.Context, v interface{}) (PrivateMetafieldValueType, error) {
	var res PrivateMetafieldValueType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNPrivateMetafieldValueType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafieldValueType(ctx context.Context, sel ast.SelectionSet, v PrivateMetafieldValueType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNProduct2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductᚄ(ctx context.Context, sel ast.SelectionSet, v []*Product) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNProduct2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProduct(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNProduct2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProduct(ctx context.Context, sel ast.SelectionSet, v *Product) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Product(ctx, sel, v)
}

func (ec *executionContext) marshalNProductConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductConnection(ctx context.Context, sel ast.SelectionSet, v *ProductConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ProductConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNProductEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*ProductEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNProductEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNProductEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductEdge(ctx context.Context, sel ast.SelectionSet, v *ProductEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ProductEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNProductPriceRangeV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductPriceRangeV2(ctx context.Context, sel ast.SelectionSet, v *ProductPriceRangeV2) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ProductPriceRangeV2(ctx, sel, v)
}

func (ec *executionContext) marshalNProductVariant2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantᚄ(ctx context.Context, sel ast.SelectionSet, v []*ProductVariant) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx context.Context, sel ast.SelectionSet, v *ProductVariant) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ProductVariant(ctx, sel, v)
}

func (ec *executionContext) marshalNProductVariantConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantConnection(ctx context.Context, sel ast.SelectionSet, v *ProductVariantConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ProductVariantConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNProductVariantEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*ProductVariantEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNProductVariantEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNProductVariantEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantEdge(ctx context.Context, sel ast.SelectionSet, v *ProductVariantEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ProductVariantEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNPublication2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublicationᚄ(ctx context.Context, sel ast.SelectionSet, v []*Publication) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx context.Context, sel ast.SelectionSet, v *Publication) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Publication(ctx, sel, v)
}

func (ec *executionContext) marshalNPublicationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublicationEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*PublicationEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPublicationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublicationEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPublicationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublicationEdge(ctx context.Context, sel ast.SelectionSet, v *PublicationEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PublicationEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNPublishable2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishable(ctx context.Context, sel ast.SelectionSet, v Publishable) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Publishable(ctx, sel, v)
}

func (ec *executionContext) marshalNPublishedTranslation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishedTranslationᚄ(ctx context.Context, sel ast.SelectionSet, v []*PublishedTranslation) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPublishedTranslation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishedTranslation(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNPublishedTranslation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublishedTranslation(ctx context.Context, sel ast.SelectionSet, v *PublishedTranslation) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._PublishedTranslation(ctx, sel, v)
}

func (ec *executionContext) marshalNRefund2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundᚄ(ctx context.Context, sel ast.SelectionSet, v []*Refund) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNRefund2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefund(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNRefund2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefund(ctx context.Context, sel ast.SelectionSet, v *Refund) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Refund(ctx, sel, v)
}

func (ec *executionContext) marshalNRefundDuty2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyᚄ(ctx context.Context, sel ast.SelectionSet, v []*RefundDuty) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNRefundDuty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDuty(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNRefundDuty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDuty(ctx context.Context, sel ast.SelectionSet, v *RefundDuty) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._RefundDuty(ctx, sel, v)
}

func (ec *executionContext) unmarshalNRefundDutyInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyInput(ctx context.Context, v interface{}) (*RefundDutyInput, error) {
	res, err := ec.unmarshalInputRefundDutyInput(ctx, v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNRefundLineItem2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemᚄ(ctx context.Context, sel ast.SelectionSet, v []*RefundLineItem) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNRefundLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItem(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNRefundLineItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItem(ctx context.Context, sel ast.SelectionSet, v *RefundLineItem) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._RefundLineItem(ctx, sel, v)
}

func (ec *executionContext) marshalNRefundLineItemConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemConnection(ctx context.Context, sel ast.SelectionSet, v *RefundLineItemConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._RefundLineItemConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNRefundLineItemEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*RefundLineItemEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNRefundLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNRefundLineItemEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemEdge(ctx context.Context, sel ast.SelectionSet, v *RefundLineItemEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._RefundLineItemEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNRefundLineItemInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemInput(ctx context.Context, v interface{}) (*RefundLineItemInput, error) {
	res, err := ec.unmarshalInputRefundLineItemInput(ctx, v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) unmarshalNRefundLineItemRestockType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemRestockType(ctx context.Context, v interface{}) (RefundLineItemRestockType, error) {
	var res RefundLineItemRestockType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNRefundLineItemRestockType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemRestockType(ctx context.Context, sel ast.SelectionSet, v RefundLineItemRestockType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNResourceAlert2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertᚄ(ctx context.Context, sel ast.SelectionSet, v []*ResourceAlert) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNResourceAlert2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlert(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNResourceAlert2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlert(ctx context.Context, sel ast.SelectionSet, v *ResourceAlert) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourceAlert(ctx, sel, v)
}

func (ec *executionContext) marshalNResourceAlertAction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertActionᚄ(ctx context.Context, sel ast.SelectionSet, v []*ResourceAlertAction) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNResourceAlertAction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertAction(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNResourceAlertAction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertAction(ctx context.Context, sel ast.SelectionSet, v *ResourceAlertAction) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourceAlertAction(ctx, sel, v)
}

func (ec *executionContext) unmarshalNResourceAlertSeverity2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertSeverity(ctx context.Context, v interface{}) (ResourceAlertSeverity, error) {
	var res ResourceAlertSeverity
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNResourceAlertSeverity2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertSeverity(ctx context.Context, sel ast.SelectionSet, v ResourceAlertSeverity) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNResourceLimit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceLimit(ctx context.Context, sel ast.SelectionSet, v *ResourceLimit) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourceLimit(ctx, sel, v)
}

func (ec *executionContext) marshalNResourcePublication2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationᚄ(ctx context.Context, sel ast.SelectionSet, v []*ResourcePublication) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNResourcePublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublication(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNResourcePublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublication(ctx context.Context, sel ast.SelectionSet, v *ResourcePublication) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourcePublication(ctx, sel, v)
}

func (ec *executionContext) marshalNResourcePublicationConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationConnection(ctx context.Context, sel ast.SelectionSet, v *ResourcePublicationConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourcePublicationConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNResourcePublicationEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*ResourcePublicationEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNResourcePublicationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNResourcePublicationEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationEdge(ctx context.Context, sel ast.SelectionSet, v *ResourcePublicationEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourcePublicationEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNResourcePublicationV22ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2ᚄ(ctx context.Context, sel ast.SelectionSet, v []*ResourcePublicationV2) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNResourcePublicationV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNResourcePublicationV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2(ctx context.Context, sel ast.SelectionSet, v *ResourcePublicationV2) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourcePublicationV2(ctx, sel, v)
}

func (ec *executionContext) marshalNResourcePublicationV2Edge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2Edgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*ResourcePublicationV2Edge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNResourcePublicationV2Edge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2Edge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNResourcePublicationV2Edge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourcePublicationV2Edge(ctx context.Context, sel ast.SelectionSet, v *ResourcePublicationV2Edge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ResourcePublicationV2Edge(ctx, sel, v)
}

func (ec *executionContext) marshalNSale2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSale(ctx context.Context, sel ast.SelectionSet, v Sale) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._Sale(ctx, sel, v)
}

func (ec *executionContext) marshalNSale2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSaleᚄ(ctx context.Context, sel ast.SelectionSet, v []Sale) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSale2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSale(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSaleEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSaleEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SaleEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSaleEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSaleEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSaleEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSaleEdge(ctx context.Context, sel ast.SelectionSet, v *SaleEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SaleEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNSalesAgreement2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreement(ctx context.Context, sel ast.SelectionSet, v SalesAgreement) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SalesAgreement(ctx, sel, v)
}

func (ec *executionContext) marshalNSalesAgreement2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementᚄ(ctx context.Context, sel ast.SelectionSet, v []SalesAgreement) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSalesAgreement2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreement(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSalesAgreementConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementConnection(ctx context.Context, sel ast.SelectionSet, v *SalesAgreementConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SalesAgreementConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNSalesAgreementEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SalesAgreementEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSalesAgreementEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSalesAgreementEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSalesAgreementEdge(ctx context.Context, sel ast.SelectionSet, v *SalesAgreementEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SalesAgreementEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNSavedSearch2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearchᚄ(ctx context.Context, sel ast.SelectionSet, v []*SavedSearch) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSavedSearch2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearch(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSavedSearch2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearch(ctx context.Context, sel ast.SelectionSet, v *SavedSearch) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SavedSearch(ctx, sel, v)
}

func (ec *executionContext) marshalNSavedSearchEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearchEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SavedSearchEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSavedSearchEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearchEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSavedSearchEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSavedSearchEdge(ctx context.Context, sel ast.SelectionSet, v *SavedSearchEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SavedSearchEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNSearchFilter2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchFilterᚄ(ctx context.Context, sel ast.SelectionSet, v []*SearchFilter) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSearchFilter2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchFilter(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSearchFilter2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchFilter(ctx context.Context, sel ast.SelectionSet, v *SearchFilter) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SearchFilter(ctx, sel, v)
}

func (ec *executionContext) marshalNSearchResult2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResult(ctx context.Context, sel ast.SelectionSet, v *SearchResult) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SearchResult(ctx, sel, v)
}

func (ec *executionContext) marshalNSearchResultEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResultEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SearchResultEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSearchResultEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResultEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSearchResultEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResultEdge(ctx context.Context, sel ast.SelectionSet, v *SearchResultEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SearchResultEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSearchResultType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResultType(ctx context.Context, v interface{}) (SearchResultType, error) {
	var res SearchResultType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSearchResultType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSearchResultType(ctx context.Context, sel ast.SelectionSet, v SearchResultType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNSellingPlan2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanᚄ(ctx context.Context, sel ast.SelectionSet, v []*SellingPlan) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSellingPlan2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlan(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSellingPlan2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlan(ctx context.Context, sel ast.SelectionSet, v *SellingPlan) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlan(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanAnchor2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorᚄ(ctx context.Context, sel ast.SelectionSet, v []*SellingPlanAnchor) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSellingPlanAnchor2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchor(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSellingPlanAnchor2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchor(ctx context.Context, sel ast.SelectionSet, v *SellingPlanAnchor) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanAnchor(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSellingPlanAnchorType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorType(ctx context.Context, v interface{}) (SellingPlanAnchorType, error) {
	var res SellingPlanAnchorType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanAnchorType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanAnchorType(ctx context.Context, sel ast.SelectionSet, v SellingPlanAnchorType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNSellingPlanBillingPolicy2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanBillingPolicy(ctx context.Context, sel ast.SelectionSet, v SellingPlanBillingPolicy) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanBillingPolicy(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanCheckoutCharge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCheckoutCharge(ctx context.Context, sel ast.SelectionSet, v *SellingPlanCheckoutCharge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanCheckoutCharge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSellingPlanCheckoutChargeType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCheckoutChargeType(ctx context.Context, v interface{}) (SellingPlanCheckoutChargeType, error) {
	var res SellingPlanCheckoutChargeType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanCheckoutChargeType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCheckoutChargeType(ctx context.Context, sel ast.SelectionSet, v SellingPlanCheckoutChargeType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNSellingPlanCheckoutChargeValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCheckoutChargeValue(ctx context.Context, sel ast.SelectionSet, v SellingPlanCheckoutChargeValue) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanCheckoutChargeValue(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanConnection(ctx context.Context, sel ast.SelectionSet, v *SellingPlanConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanDeliveryPolicy2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanDeliveryPolicy(ctx context.Context, sel ast.SelectionSet, v SellingPlanDeliveryPolicy) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanDeliveryPolicy(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SellingPlanEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSellingPlanEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSellingPlanEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanEdge(ctx context.Context, sel ast.SelectionSet, v *SellingPlanEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSellingPlanFixedDeliveryPolicyIntent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFixedDeliveryPolicyIntent(ctx context.Context, v interface{}) (SellingPlanFixedDeliveryPolicyIntent, error) {
	var res SellingPlanFixedDeliveryPolicyIntent
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanFixedDeliveryPolicyIntent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFixedDeliveryPolicyIntent(ctx context.Context, sel ast.SelectionSet, v SellingPlanFixedDeliveryPolicyIntent) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNSellingPlanFixedDeliveryPolicyPreAnchorBehavior2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFixedDeliveryPolicyPreAnchorBehavior(ctx context.Context, v interface{}) (SellingPlanFixedDeliveryPolicyPreAnchorBehavior, error) {
	var res SellingPlanFixedDeliveryPolicyPreAnchorBehavior
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanFixedDeliveryPolicyPreAnchorBehavior2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFixedDeliveryPolicyPreAnchorBehavior(ctx context.Context, sel ast.SelectionSet, v SellingPlanFixedDeliveryPolicyPreAnchorBehavior) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNSellingPlanFulfillmentTrigger2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFulfillmentTrigger(ctx context.Context, v interface{}) (SellingPlanFulfillmentTrigger, error) {
	var res SellingPlanFulfillmentTrigger
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanFulfillmentTrigger2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanFulfillmentTrigger(ctx context.Context, sel ast.SelectionSet, v SellingPlanFulfillmentTrigger) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNSellingPlanGroup2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupᚄ(ctx context.Context, sel ast.SelectionSet, v []*SellingPlanGroup) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSellingPlanGroup2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroup(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSellingPlanGroup2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroup(ctx context.Context, sel ast.SelectionSet, v *SellingPlanGroup) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanGroup(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanGroupConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupConnection(ctx context.Context, sel ast.SelectionSet, v *SellingPlanGroupConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanGroupConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanGroupEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SellingPlanGroupEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSellingPlanGroupEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSellingPlanGroupEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupEdge(ctx context.Context, sel ast.SelectionSet, v *SellingPlanGroupEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanGroupEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSellingPlanInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInterval(ctx context.Context, v interface{}) (SellingPlanInterval, error) {
	var res SellingPlanInterval
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanInterval2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInterval(ctx context.Context, sel ast.SelectionSet, v SellingPlanInterval) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNSellingPlanPricingPolicy2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicy(ctx context.Context, sel ast.SelectionSet, v SellingPlanPricingPolicy) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanPricingPolicy(ctx, sel, v)
}

func (ec *executionContext) marshalNSellingPlanPricingPolicy2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyᚄ(ctx context.Context, sel ast.SelectionSet, v []SellingPlanPricingPolicy) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSellingPlanPricingPolicy2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicy(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalNSellingPlanPricingPolicyAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentType(ctx context.Context, v interface{}) (SellingPlanPricingPolicyAdjustmentType, error) {
	var res SellingPlanPricingPolicyAdjustmentType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanPricingPolicyAdjustmentType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentType(ctx context.Context, sel ast.SelectionSet, v SellingPlanPricingPolicyAdjustmentType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNSellingPlanPricingPolicyAdjustmentValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanPricingPolicyAdjustmentValue(ctx context.Context, sel ast.SelectionSet, v SellingPlanPricingPolicyAdjustmentValue) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SellingPlanPricingPolicyAdjustmentValue(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSellingPlanRecurringDeliveryPolicyIntent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRecurringDeliveryPolicyIntent(ctx context.Context, v interface{}) (SellingPlanRecurringDeliveryPolicyIntent, error) {
	var res SellingPlanRecurringDeliveryPolicyIntent
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanRecurringDeliveryPolicyIntent2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRecurringDeliveryPolicyIntent(ctx context.Context, sel ast.SelectionSet, v SellingPlanRecurringDeliveryPolicyIntent) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNSellingPlanRecurringDeliveryPolicyPreAnchorBehavior2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRecurringDeliveryPolicyPreAnchorBehavior(ctx context.Context, v interface{}) (SellingPlanRecurringDeliveryPolicyPreAnchorBehavior, error) {
	var res SellingPlanRecurringDeliveryPolicyPreAnchorBehavior
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanRecurringDeliveryPolicyPreAnchorBehavior2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRecurringDeliveryPolicyPreAnchorBehavior(ctx context.Context, sel ast.SelectionSet, v SellingPlanRecurringDeliveryPolicyPreAnchorBehavior) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNSellingPlanRemainingBalanceChargeTrigger2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRemainingBalanceChargeTrigger(ctx context.Context, v interface{}) (SellingPlanRemainingBalanceChargeTrigger, error) {
	var res SellingPlanRemainingBalanceChargeTrigger
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanRemainingBalanceChargeTrigger2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanRemainingBalanceChargeTrigger(ctx context.Context, sel ast.SelectionSet, v SellingPlanRemainingBalanceChargeTrigger) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNSellingPlanReserve2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanReserve(ctx context.Context, v interface{}) (SellingPlanReserve, error) {
	var res SellingPlanReserve
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSellingPlanReserve2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanReserve(ctx context.Context, sel ast.SelectionSet, v SellingPlanReserve) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNShippingLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineᚄ(ctx context.Context, sel ast.SelectionSet, v []*ShippingLine) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNShippingLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLine(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNShippingLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLine(ctx context.Context, sel ast.SelectionSet, v *ShippingLine) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ShippingLine(ctx, sel, v)
}

func (ec *executionContext) marshalNShippingLineConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineConnection(ctx context.Context, sel ast.SelectionSet, v *ShippingLineConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ShippingLineConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNShippingLineEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*ShippingLineEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNShippingLineEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNShippingLineEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLineEdge(ctx context.Context, sel ast.SelectionSet, v *ShippingLineEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ShippingLineEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNShippingRefund2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingRefund(ctx context.Context, sel ast.SelectionSet, v *ShippingRefund) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ShippingRefund(ctx, sel, v)
}

func (ec *executionContext) marshalNShopAlertAction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopAlertAction(ctx context.Context, sel ast.SelectionSet, v *ShopAlertAction) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._ShopAlertAction(ctx, sel, v)
}

func (ec *executionContext) unmarshalNShopBranding2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopBranding(ctx context.Context, v interface{}) (ShopBranding, error) {
	var res ShopBranding
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNShopBranding2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopBranding(ctx context.Context, sel ast.SelectionSet, v ShopBranding) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNShopPolicyType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopPolicyType(ctx context.Context, v interface{}) (ShopPolicyType, error) {
	var res ShopPolicyType
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNShopPolicyType2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopPolicyType(ctx context.Context, sel ast.SelectionSet, v ShopPolicyType) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNStaffMember2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberᚄ(ctx context.Context, sel ast.SelectionSet, v []*StaffMember) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx context.Context, sel ast.SelectionSet, v *StaffMember) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._StaffMember(ctx, sel, v)
}

func (ec *executionContext) marshalNStaffMemberEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*StaffMemberEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNStaffMemberEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNStaffMemberEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberEdge(ctx context.Context, sel ast.SelectionSet, v *StaffMemberEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._StaffMemberEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNStaffMemberPrivateData2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberPrivateData(ctx context.Context, sel ast.SelectionSet, v *StaffMemberPrivateData) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._StaffMemberPrivateData(ctx, sel, v)
}

func (ec *executionContext) marshalNStorefrontAccessToken2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessTokenᚄ(ctx context.Context, sel ast.SelectionSet, v []*StorefrontAccessToken) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNStorefrontAccessToken2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessToken(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNStorefrontAccessToken2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessToken(ctx context.Context, sel ast.SelectionSet, v *StorefrontAccessToken) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._StorefrontAccessToken(ctx, sel, v)
}

func (ec *executionContext) marshalNStorefrontAccessTokenEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessTokenEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*StorefrontAccessTokenEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNStorefrontAccessTokenEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessTokenEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNStorefrontAccessTokenEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStorefrontAccessTokenEdge(ctx context.Context, sel ast.SelectionSet, v *StorefrontAccessTokenEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._StorefrontAccessTokenEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNString2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNString2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) unmarshalNString2ᚕstringᚄ(ctx context.Context, v interface{}) ([]string, error) {
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]string, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNString2string(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalNString2ᚕstringᚄ(ctx context.Context, sel ast.SelectionSet, v []string) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	for i := range v {
		ret[i] = ec.marshalNString2string(ctx, sel, v[i])
	}

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNStringEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStringEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*StringEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNStringEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStringEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNStringEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStringEdge(ctx context.Context, sel ast.SelectionSet, v *StringEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._StringEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionBillingAttempt2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionBillingAttempt) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionBillingAttempt2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttempt(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionBillingAttempt2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttempt(ctx context.Context, sel ast.SelectionSet, v *SubscriptionBillingAttempt) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionBillingAttempt(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionBillingAttemptConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptConnection(ctx context.Context, sel ast.SelectionSet, v *SubscriptionBillingAttemptConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionBillingAttemptConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionBillingAttemptEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionBillingAttemptEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionBillingAttemptEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionBillingAttemptEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptEdge(ctx context.Context, sel ast.SelectionSet, v *SubscriptionBillingAttemptEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionBillingAttemptEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionBillingPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingPolicy(ctx context.Context, sel ast.SelectionSet, v *SubscriptionBillingPolicy) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionBillingPolicy(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionContract2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionContract) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionContract2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContract(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionContract2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContract(ctx context.Context, sel ast.SelectionSet, v *SubscriptionContract) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionContract(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionContractConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractConnection(ctx context.Context, sel ast.SelectionSet, v *SubscriptionContractConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionContractConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionContractEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionContractEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionContractEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionContractEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractEdge(ctx context.Context, sel ast.SelectionSet, v *SubscriptionContractEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionContractEdge(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSubscriptionContractSubscriptionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractSubscriptionStatus(ctx context.Context, v interface{}) (SubscriptionContractSubscriptionStatus, error) {
	var res SubscriptionContractSubscriptionStatus
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSubscriptionContractSubscriptionStatus2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractSubscriptionStatus(ctx context.Context, sel ast.SelectionSet, v SubscriptionContractSubscriptionStatus) graphql.Marshaler {
	return v
}

func (ec *executionContext) marshalNSubscriptionCyclePriceAdjustment2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionCyclePriceAdjustmentᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionCyclePriceAdjustment) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionCyclePriceAdjustment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionCyclePriceAdjustment(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionCyclePriceAdjustment2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionCyclePriceAdjustment(ctx context.Context, sel ast.SelectionSet, v *SubscriptionCyclePriceAdjustment) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionCyclePriceAdjustment(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDeliveryMethodLocalDeliveryOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethodLocalDeliveryOption(ctx context.Context, sel ast.SelectionSet, v *SubscriptionDeliveryMethodLocalDeliveryOption) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDeliveryMethodLocalDeliveryOption(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDeliveryMethodPickupOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethodPickupOption(ctx context.Context, sel ast.SelectionSet, v *SubscriptionDeliveryMethodPickupOption) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDeliveryMethodPickupOption(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDeliveryMethodShippingOption2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethodShippingOption(ctx context.Context, sel ast.SelectionSet, v *SubscriptionDeliveryMethodShippingOption) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDeliveryMethodShippingOption(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDeliveryPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryPolicy(ctx context.Context, sel ast.SelectionSet, v *SubscriptionDeliveryPolicy) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDeliveryPolicy(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDiscount2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscount(ctx context.Context, sel ast.SelectionSet, v SubscriptionDiscount) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDiscount(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDiscountAllocation2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountAllocationᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionDiscountAllocation) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionDiscountAllocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountAllocation(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionDiscountAllocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountAllocation(ctx context.Context, sel ast.SelectionSet, v *SubscriptionDiscountAllocation) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDiscountAllocation(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDiscountEntitledLines2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountEntitledLines(ctx context.Context, sel ast.SelectionSet, v *SubscriptionDiscountEntitledLines) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDiscountEntitledLines(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionDiscountValue2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountValue(ctx context.Context, sel ast.SelectionSet, v SubscriptionDiscountValue) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionDiscountValue(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionLine) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLine(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLine(ctx context.Context, sel ast.SelectionSet, v *SubscriptionLine) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionLine(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionLineConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineConnection(ctx context.Context, sel ast.SelectionSet, v *SubscriptionLineConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionLineConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionLineEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionLineEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionLineEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionLineEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionLineEdge(ctx context.Context, sel ast.SelectionSet, v *SubscriptionLineEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionLineEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionMailingAddress(ctx context.Context, sel ast.SelectionSet, v *SubscriptionMailingAddress) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionMailingAddress(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionManualDiscount2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionManualDiscount) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionManualDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscount(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionManualDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscount(ctx context.Context, sel ast.SelectionSet, v *SubscriptionManualDiscount) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionManualDiscount(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionManualDiscountConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountConnection(ctx context.Context, sel ast.SelectionSet, v *SubscriptionManualDiscountConnection) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionManualDiscountConnection(ctx, sel, v)
}

func (ec *executionContext) marshalNSubscriptionManualDiscountEdge2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountEdgeᚄ(ctx context.Context, sel ast.SelectionSet, v []*SubscriptionManualDiscountEdge) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSubscriptionManualDiscountEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountEdge(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSubscriptionManualDiscountEdge2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionManualDiscountEdge(ctx context.Context, sel ast.SelectionSet, v *SubscriptionManualDiscountEdge) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SubscriptionManualDiscountEdge(ctx, sel, v)
}

func (ec *executionContext) marshalNSuggestedOrderTransaction2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedOrderTransactionᚄ(ctx context.Context, sel ast.SelectionSet, v []*SuggestedOrderTransaction) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNSuggestedOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedOrderTransaction(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNSuggestedOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedOrderTransaction(ctx context.Context, sel ast.SelectionSet, v *SuggestedOrderTransaction) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._SuggestedOrderTransaction(ctx, sel, v)
}

func (ec *executionContext) unmarshalNSuggestedOrderTransactionKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedOrderTransactionKind(ctx context.Context, v interface{}) (SuggestedOrderTransactionKind, error) {
	var res SuggestedOrderTransactionKind
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNSuggestedOrderTransactionKind2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedOrderTransactionKind(ctx context.Context, sel ast.SelectionSet, v SuggestedOrderTransactionKind) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNTaxExemption2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxExemption(ctx context.Context, v interface{}) (TaxExemption, error) {
	var res TaxExemption
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNTaxExemption2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxExemption(ctx context.Context, sel ast.SelectionSet, v TaxExemption) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalNTaxExemption2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxExemptionᚄ(ctx context.Context, v interface{}) ([]TaxExemption, error) {
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]TaxExemption, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNTaxExemption2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxExemption(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalNTaxExemption2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxExemptionᚄ(ctx context.Context, sel ast.SelectionSet, v []TaxExemption) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNTaxExemption2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxExemption(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNTaxLine2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLineᚄ(ctx context.Context, sel ast.SelectionSet, v []*TaxLine) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNTaxLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLine(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNTaxLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTaxLine(ctx context.Context, sel ast.SelectionSet, v *TaxLine) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._TaxLine(ctx, sel, v)
}

func (ec *executionContext) marshalNTransactionFee2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTransactionFeeᚄ(ctx context.Context, sel ast.SelectionSet, v []*TransactionFee) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNTransactionFee2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTransactionFee(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNTransactionFee2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTransactionFee(ctx context.Context, sel ast.SelectionSet, v *TransactionFee) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._TransactionFee(ctx, sel, v)
}

func (ec *executionContext) marshalNTypedAttribute2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTypedAttributeᚄ(ctx context.Context, sel ast.SelectionSet, v []*TypedAttribute) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNTypedAttribute2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTypedAttribute(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNTypedAttribute2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐTypedAttribute(ctx context.Context, sel ast.SelectionSet, v *TypedAttribute) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._TypedAttribute(ctx, sel, v)
}

func (ec *executionContext) unmarshalNURL2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNURL2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) unmarshalNUnsignedInt642string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNUnsignedInt642string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalNUserError2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐUserErrorᚄ(ctx context.Context, sel ast.SelectionSet, v []*UserError) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNUserError2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐUserError(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNUserError2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐUserError(ctx context.Context, sel ast.SelectionSet, v *UserError) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._UserError(ctx, sel, v)
}

func (ec *executionContext) marshalNVideoSource2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐVideoSourceᚄ(ctx context.Context, sel ast.SelectionSet, v []*VideoSource) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNVideoSource2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐVideoSource(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalNVideoSource2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐVideoSource(ctx context.Context, sel ast.SelectionSet, v *VideoSource) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec._VideoSource(ctx, sel, v)
}

func (ec *executionContext) unmarshalNWeightUnit2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐWeightUnit(ctx context.Context, v interface{}) (WeightUnit, error) {
	var res WeightUnit
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalNWeightUnit2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐWeightUnit(ctx context.Context, sel ast.SelectionSet, v WeightUnit) graphql.Marshaler {
	return v
}

func (ec *executionContext) unmarshalN_Any2map(ctx context.Context, v interface{}) (map[string]interface{}, error) {
	res, err := graphql.UnmarshalMap(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalN_Any2map(ctx context.Context, sel ast.SelectionSet, v map[string]interface{}) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	res := graphql.MarshalMap(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) unmarshalN_Any2ᚕmapᚄ(ctx context.Context, v interface{}) ([]map[string]interface{}, error) {
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]map[string]interface{}, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalN_Any2map(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalN_Any2ᚕmapᚄ(ctx context.Context, sel ast.SelectionSet, v []map[string]interface{}) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	for i := range v {
		ret[i] = ec.marshalN_Any2map(ctx, sel, v[i])
	}

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalN_Entity2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋpluginᚋfederationᚋfedruntimeᚐEntity(ctx context.Context, sel ast.SelectionSet, v []fedruntime.Entity) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalO_Entity2githubᚗcomᚋ99designsᚋgqlgenᚋpluginᚋfederationᚋfedruntimeᚐEntity(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	return ret
}

func (ec *executionContext) unmarshalN_FieldSet2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalN_FieldSet2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalN_Service2githubᚗcomᚋ99designsᚋgqlgenᚋpluginᚋfederationᚋfedruntimeᚐService(ctx context.Context, sel ast.SelectionSet, v fedruntime.Service) graphql.Marshaler {
	return ec.__Service(ctx, sel, &v)
}

func (ec *executionContext) marshalN__Directive2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐDirective(ctx context.Context, sel ast.SelectionSet, v introspection.Directive) graphql.Marshaler {
	return ec.___Directive(ctx, sel, &v)
}

func (ec *executionContext) marshalN__Directive2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐDirectiveᚄ(ctx context.Context, sel ast.SelectionSet, v []introspection.Directive) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__Directive2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐDirective(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalN__DirectiveLocation2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalN__DirectiveLocation2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) unmarshalN__DirectiveLocation2ᚕstringᚄ(ctx context.Context, v interface{}) ([]string, error) {
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]string, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalN__DirectiveLocation2string(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalN__DirectiveLocation2ᚕstringᚄ(ctx context.Context, sel ast.SelectionSet, v []string) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__DirectiveLocation2string(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalN__EnumValue2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐEnumValue(ctx context.Context, sel ast.SelectionSet, v introspection.EnumValue) graphql.Marshaler {
	return ec.___EnumValue(ctx, sel, &v)
}

func (ec *executionContext) marshalN__Field2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐField(ctx context.Context, sel ast.SelectionSet, v introspection.Field) graphql.Marshaler {
	return ec.___Field(ctx, sel, &v)
}

func (ec *executionContext) marshalN__InputValue2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValue(ctx context.Context, sel ast.SelectionSet, v introspection.InputValue) graphql.Marshaler {
	return ec.___InputValue(ctx, sel, &v)
}

func (ec *executionContext) marshalN__InputValue2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValueᚄ(ctx context.Context, sel ast.SelectionSet, v []introspection.InputValue) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__InputValue2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValue(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalN__Type2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx context.Context, sel ast.SelectionSet, v introspection.Type) graphql.Marshaler {
	return ec.___Type(ctx, sel, &v)
}

func (ec *executionContext) marshalN__Type2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐTypeᚄ(ctx context.Context, sel ast.SelectionSet, v []introspection.Type) graphql.Marshaler {
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__Type2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalN__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx context.Context, sel ast.SelectionSet, v *introspection.Type) graphql.Marshaler {
	if v == nil {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
		return graphql.Null
	}
	return ec.___Type(ctx, sel, v)
}

func (ec *executionContext) unmarshalN__TypeKind2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalN__TypeKind2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	if res == graphql.Null {
		if !graphql.HasFieldError(ctx, graphql.GetFieldContext(ctx)) {
			ec.Errorf(ctx, "the requested element is null which the schema does not allow")
		}
	}
	return res
}

func (ec *executionContext) marshalOApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐApp(ctx context.Context, sel ast.SelectionSet, v *App) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._App(ctx, sel, v)
}

func (ec *executionContext) unmarshalOAppRevenueAttributionRecordSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordSortKeys(ctx context.Context, v interface{}) (*AppRevenueAttributionRecordSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(AppRevenueAttributionRecordSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOAppRevenueAttributionRecordSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppRevenueAttributionRecordSortKeys(ctx context.Context, sel ast.SelectionSet, v *AppRevenueAttributionRecordSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOAppSubscriptionDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionDiscount(ctx context.Context, sel ast.SelectionSet, v *AppSubscriptionDiscount) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._AppSubscriptionDiscount(ctx, sel, v)
}

func (ec *executionContext) unmarshalOAppSubscriptionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionSortKeys(ctx context.Context, v interface{}) (*AppSubscriptionSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(AppSubscriptionSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOAppSubscriptionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppSubscriptionSortKeys(ctx context.Context, sel ast.SelectionSet, v *AppSubscriptionSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOAppTransactionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppTransactionSortKeys(ctx context.Context, v interface{}) (*AppTransactionSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(AppTransactionSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOAppTransactionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppTransactionSortKeys(ctx context.Context, sel ast.SelectionSet, v *AppTransactionSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOAppUsageRecordSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordSortKeys(ctx context.Context, v interface{}) (*AppUsageRecordSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(AppUsageRecordSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOAppUsageRecordSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐAppUsageRecordSortKeys(ctx context.Context, sel ast.SelectionSet, v *AppUsageRecordSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOBoolean2bool(ctx context.Context, v interface{}) (bool, error) {
	res, err := graphql.UnmarshalBoolean(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOBoolean2bool(ctx context.Context, sel ast.SelectionSet, v bool) graphql.Marshaler {
	res := graphql.MarshalBoolean(v)
	return res
}

func (ec *executionContext) unmarshalOBoolean2ᚖbool(ctx context.Context, v interface{}) (*bool, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalBoolean(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOBoolean2ᚖbool(ctx context.Context, sel ast.SelectionSet, v *bool) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalBoolean(*v)
	return res
}

func (ec *executionContext) marshalOBuyerExperienceConfiguration2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐBuyerExperienceConfiguration(ctx context.Context, sel ast.SelectionSet, v *BuyerExperienceConfiguration) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._BuyerExperienceConfiguration(ctx, sel, v)
}

func (ec *executionContext) marshalOChannelDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelDefinition(ctx context.Context, sel ast.SelectionSet, v *ChannelDefinition) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ChannelDefinition(ctx, sel, v)
}

func (ec *executionContext) marshalOChannelInformation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐChannelInformation(ctx context.Context, sel ast.SelectionSet, v *ChannelInformation) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ChannelInformation(ctx, sel, v)
}

func (ec *executionContext) marshalOCommentEventEmbed2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCommentEventEmbed(ctx context.Context, sel ast.SelectionSet, v CommentEventEmbed) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CommentEventEmbed(ctx, sel, v)
}

func (ec *executionContext) marshalOCompanyAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyAddress(ctx context.Context, sel ast.SelectionSet, v *CompanyAddress) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CompanyAddress(ctx, sel, v)
}

func (ec *executionContext) marshalOCompanyContact2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContact(ctx context.Context, sel ast.SelectionSet, v *CompanyContact) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CompanyContact(ctx, sel, v)
}

func (ec *executionContext) marshalOCompanyContactRole2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRole(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRole) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CompanyContactRole(ctx, sel, v)
}

func (ec *executionContext) unmarshalOCompanyContactRoleAssignmentSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentSortKeys(ctx context.Context, v interface{}) (*CompanyContactRoleAssignmentSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CompanyContactRoleAssignmentSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCompanyContactRoleAssignmentSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleAssignmentSortKeys(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRoleAssignmentSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOCompanyContactRoleSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleSortKeys(ctx context.Context, v interface{}) (*CompanyContactRoleSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CompanyContactRoleSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCompanyContactRoleSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactRoleSortKeys(ctx context.Context, sel ast.SelectionSet, v *CompanyContactRoleSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOCompanyContactSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactSortKeys(ctx context.Context, v interface{}) (*CompanyContactSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CompanyContactSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCompanyContactSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyContactSortKeys(ctx context.Context, sel ast.SelectionSet, v *CompanyContactSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOCompanyLocationSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationSortKeys(ctx context.Context, v interface{}) (*CompanyLocationSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CompanyLocationSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCompanyLocationSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCompanyLocationSortKeys(ctx context.Context, sel ast.SelectionSet, v *CompanyLocationSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx context.Context, v interface{}) ([]CountryCode, error) {
	if v == nil {
		return nil, nil
	}
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]CountryCode, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalOCountryCode2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCodeᚄ(ctx context.Context, sel ast.SelectionSet, v []CountryCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNCountryCode2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx context.Context, v interface{}) (*CountryCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CountryCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCountryCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCountryCode(ctx context.Context, sel ast.SelectionSet, v *CountryCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOCropRegion2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCropRegion(ctx context.Context, v interface{}) (*CropRegion, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CropRegion)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCropRegion2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCropRegion(ctx context.Context, sel ast.SelectionSet, v *CropRegion) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOCurrencyCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx context.Context, v interface{}) (*CurrencyCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CurrencyCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCurrencyCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCurrencyCode(ctx context.Context, sel ast.SelectionSet, v *CurrencyCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOCustomer2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomer(ctx context.Context, sel ast.SelectionSet, v *Customer) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Customer(ctx, sel, v)
}

func (ec *executionContext) unmarshalOCustomerConsentCollectedFrom2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerConsentCollectedFrom(ctx context.Context, v interface{}) (*CustomerConsentCollectedFrom, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CustomerConsentCollectedFrom)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCustomerConsentCollectedFrom2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerConsentCollectedFrom(ctx context.Context, sel ast.SelectionSet, v *CustomerConsentCollectedFrom) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOCustomerCreditCardBillingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerCreditCardBillingAddress(ctx context.Context, sel ast.SelectionSet, v *CustomerCreditCardBillingAddress) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CustomerCreditCardBillingAddress(ctx, sel, v)
}

func (ec *executionContext) marshalOCustomerJourneySummary2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerJourneySummary(ctx context.Context, sel ast.SelectionSet, v *CustomerJourneySummary) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CustomerJourneySummary(ctx, sel, v)
}

func (ec *executionContext) unmarshalOCustomerMarketingOptInLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMarketingOptInLevel(ctx context.Context, v interface{}) (*CustomerMarketingOptInLevel, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CustomerMarketingOptInLevel)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCustomerMarketingOptInLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMarketingOptInLevel(ctx context.Context, sel ast.SelectionSet, v *CustomerMarketingOptInLevel) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOCustomerMomentConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerMomentConnection(ctx context.Context, sel ast.SelectionSet, v *CustomerMomentConnection) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CustomerMomentConnection(ctx, sel, v)
}

func (ec *executionContext) marshalOCustomerPaymentInstrument2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentInstrument(ctx context.Context, sel ast.SelectionSet, v CustomerPaymentInstrument) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CustomerPaymentInstrument(ctx, sel, v)
}

func (ec *executionContext) marshalOCustomerPaymentInstrumentBillingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentInstrumentBillingAddress(ctx context.Context, sel ast.SelectionSet, v *CustomerPaymentInstrumentBillingAddress) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CustomerPaymentInstrumentBillingAddress(ctx, sel, v)
}

func (ec *executionContext) marshalOCustomerPaymentMethod2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethod(ctx context.Context, sel ast.SelectionSet, v *CustomerPaymentMethod) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CustomerPaymentMethod(ctx, sel, v)
}

func (ec *executionContext) unmarshalOCustomerPaymentMethodRevocationReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodRevocationReason(ctx context.Context, v interface{}) (*CustomerPaymentMethodRevocationReason, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CustomerPaymentMethodRevocationReason)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCustomerPaymentMethodRevocationReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPaymentMethodRevocationReason(ctx context.Context, sel ast.SelectionSet, v *CustomerPaymentMethodRevocationReason) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOCustomerPredictedSpendTier2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPredictedSpendTier(ctx context.Context, v interface{}) (*CustomerPredictedSpendTier, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(CustomerPredictedSpendTier)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOCustomerPredictedSpendTier2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerPredictedSpendTier(ctx context.Context, sel ast.SelectionSet, v *CustomerPredictedSpendTier) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOCustomerVisit2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐCustomerVisit(ctx context.Context, sel ast.SelectionSet, v *CustomerVisit) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._CustomerVisit(ctx, sel, v)
}

func (ec *executionContext) unmarshalODateTime2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalODateTime2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) unmarshalODecimal2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalODecimal2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) marshalODeliveryCarrierService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryCarrierService(ctx context.Context, sel ast.SelectionSet, v *DeliveryCarrierService) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._DeliveryCarrierService(ctx, sel, v)
}

func (ec *executionContext) marshalODeliveryMethod2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethod(ctx context.Context, sel ast.SelectionSet, v *DeliveryMethod) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._DeliveryMethod(ctx, sel, v)
}

func (ec *executionContext) unmarshalODeliveryMethodDefinitionType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionType(ctx context.Context, v interface{}) (*DeliveryMethodDefinitionType, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(DeliveryMethodDefinitionType)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalODeliveryMethodDefinitionType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDeliveryMethodDefinitionType(ctx context.Context, sel ast.SelectionSet, v *DeliveryMethodDefinitionType) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalODomainLocalization2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDomainLocalization(ctx context.Context, sel ast.SelectionSet, v *DomainLocalization) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._DomainLocalization(ctx, sel, v)
}

func (ec *executionContext) marshalODraftOrderAppliedDiscount2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderAppliedDiscount(ctx context.Context, sel ast.SelectionSet, v *DraftOrderAppliedDiscount) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._DraftOrderAppliedDiscount(ctx, sel, v)
}

func (ec *executionContext) unmarshalODraftOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderSortKeys(ctx context.Context, v interface{}) (*DraftOrderSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(DraftOrderSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalODraftOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDraftOrderSortKeys(ctx context.Context, sel ast.SelectionSet, v *DraftOrderSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalODuty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐDuty(ctx context.Context, sel ast.SelectionSet, v *Duty) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Duty(ctx, sel, v)
}

func (ec *executionContext) unmarshalOEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventSortKeys(ctx context.Context, v interface{}) (*EventSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(EventSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐEventSortKeys(ctx context.Context, sel ast.SelectionSet, v *EventSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOFloat2ᚖfloat64(ctx context.Context, v interface{}) (*float64, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalFloatContext(ctx, v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOFloat2ᚖfloat64(ctx context.Context, sel ast.SelectionSet, v *float64) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalFloatContext(*v)
	return graphql.WrapContextMarshaler(ctx, res)
}

func (ec *executionContext) unmarshalOFormattedString2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOFormattedString2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) unmarshalOFulfillmentDisplayStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentDisplayStatus(ctx context.Context, v interface{}) (*FulfillmentDisplayStatus, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(FulfillmentDisplayStatus)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOFulfillmentDisplayStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentDisplayStatus(ctx context.Context, sel ast.SelectionSet, v *FulfillmentDisplayStatus) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOFulfillmentEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventSortKeys(ctx context.Context, v interface{}) (*FulfillmentEventSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(FulfillmentEventSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOFulfillmentEventSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentEventSortKeys(ctx context.Context, sel ast.SelectionSet, v *FulfillmentEventSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOFulfillmentOrderDestination2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderDestination(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderDestination) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._FulfillmentOrderDestination(ctx, sel, v)
}

func (ec *executionContext) marshalOFulfillmentOrderInternationalDuties2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderInternationalDuties(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderInternationalDuties) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._FulfillmentOrderInternationalDuties(ctx, sel, v)
}

func (ec *executionContext) unmarshalOFulfillmentOrderMerchantRequestKind2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestKind(ctx context.Context, v interface{}) (*FulfillmentOrderMerchantRequestKind, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(FulfillmentOrderMerchantRequestKind)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOFulfillmentOrderMerchantRequestKind2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOrderMerchantRequestKind(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOrderMerchantRequestKind) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOFulfillmentOriginAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentOriginAddress(ctx context.Context, sel ast.SelectionSet, v *FulfillmentOriginAddress) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._FulfillmentOriginAddress(ctx, sel, v)
}

func (ec *executionContext) marshalOFulfillmentService2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐFulfillmentService(ctx context.Context, sel ast.SelectionSet, v *FulfillmentService) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._FulfillmentService(ctx, sel, v)
}

func (ec *executionContext) unmarshalOHTML2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOHTML2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) unmarshalOID2ᚕstringᚄ(ctx context.Context, v interface{}) ([]string, error) {
	if v == nil {
		return nil, nil
	}
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]string, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNID2string(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalOID2ᚕstringᚄ(ctx context.Context, sel ast.SelectionSet, v []string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	for i := range v {
		ret[i] = ec.marshalNID2string(ctx, sel, v[i])
	}

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalOID2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalID(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOID2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalID(*v)
	return res
}

func (ec *executionContext) marshalOImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImage(ctx context.Context, sel ast.SelectionSet, v *Image) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Image(ctx, sel, v)
}

func (ec *executionContext) unmarshalOImageContentType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageContentType(ctx context.Context, v interface{}) (*ImageContentType, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(ImageContentType)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOImageContentType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageContentType(ctx context.Context, sel ast.SelectionSet, v *ImageContentType) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOImageTransformInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐImageTransformInput(ctx context.Context, v interface{}) (*ImageTransformInput, error) {
	if v == nil {
		return nil, nil
	}
	res, err := ec.unmarshalInputImageTransformInput(ctx, v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) unmarshalOInt2ᚖint(ctx context.Context, v interface{}) (*int, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalInt(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOInt2ᚖint(ctx context.Context, sel ast.SelectionSet, v *int) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalInt(*v)
	return res
}

func (ec *executionContext) marshalOInventoryLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐInventoryLevel(ctx context.Context, sel ast.SelectionSet, v *InventoryLevel) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._InventoryLevel(ctx, sel, v)
}

func (ec *executionContext) unmarshalOJSON2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOJSON2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) unmarshalOLanguageCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLanguageCode(ctx context.Context, v interface{}) (*LanguageCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(LanguageCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOLanguageCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLanguageCode(ctx context.Context, sel ast.SelectionSet, v *LanguageCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOLineItemSellingPlan2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLineItemSellingPlan(ctx context.Context, sel ast.SelectionSet, v *LineItemSellingPlan) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._LineItemSellingPlan(ctx, sel, v)
}

func (ec *executionContext) marshalOLink2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLink(ctx context.Context, sel ast.SelectionSet, v *Link) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Link(ctx, sel, v)
}

func (ec *executionContext) unmarshalOLocalizationExtensionPurpose2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurposeᚄ(ctx context.Context, v interface{}) ([]LocalizationExtensionPurpose, error) {
	if v == nil {
		return nil, nil
	}
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]LocalizationExtensionPurpose, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNLocalizationExtensionPurpose2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurpose(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalOLocalizationExtensionPurpose2ᚕgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurposeᚄ(ctx context.Context, sel ast.SelectionSet, v []LocalizationExtensionPurpose) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNLocalizationExtensionPurpose2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocalizationExtensionPurpose(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalOLocation2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocation(ctx context.Context, sel ast.SelectionSet, v *Location) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Location(ctx, sel, v)
}

func (ec *executionContext) unmarshalOLocationSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationSortKeys(ctx context.Context, v interface{}) (*LocationSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(LocationSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOLocationSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐLocationSortKeys(ctx context.Context, sel ast.SelectionSet, v *LocationSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOMailingAddress2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMailingAddress(ctx context.Context, sel ast.SelectionSet, v *MailingAddress) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MailingAddress(ctx, sel, v)
}

func (ec *executionContext) marshalOMarket2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarket(ctx context.Context, sel ast.SelectionSet, v *Market) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Market(ctx, sel, v)
}

func (ec *executionContext) marshalOMarketWebPresence2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketWebPresence(ctx context.Context, sel ast.SelectionSet, v *MarketWebPresence) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MarketWebPresence(ctx, sel, v)
}

func (ec *executionContext) unmarshalOMarketingChannel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingChannel(ctx context.Context, v interface{}) (*MarketingChannel, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(MarketingChannel)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMarketingChannel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingChannel(ctx context.Context, sel ast.SelectionSet, v *MarketingChannel) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOMarketingEvent2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingEvent(ctx context.Context, sel ast.SelectionSet, v *MarketingEvent) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MarketingEvent(ctx, sel, v)
}

func (ec *executionContext) unmarshalOMarketingTactic2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingTactic(ctx context.Context, v interface{}) (*MarketingTactic, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(MarketingTactic)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMarketingTactic2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMarketingTactic(ctx context.Context, sel ast.SelectionSet, v *MarketingTactic) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOMediaImageOriginalSource2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaImageOriginalSource(ctx context.Context, sel ast.SelectionSet, v *MediaImageOriginalSource) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MediaImageOriginalSource(ctx, sel, v)
}

func (ec *executionContext) marshalOMediaPreviewImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaPreviewImage(ctx context.Context, sel ast.SelectionSet, v *MediaPreviewImage) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MediaPreviewImage(ctx, sel, v)
}

func (ec *executionContext) unmarshalOMediaUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaUserErrorCode(ctx context.Context, v interface{}) (*MediaUserErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(MediaUserErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMediaUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMediaUserErrorCode(ctx context.Context, sel ast.SelectionSet, v *MediaUserErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafield(ctx context.Context, sel ast.SelectionSet, v *Metafield) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Metafield(ctx, sel, v)
}

func (ec *executionContext) marshalOMetafieldDefinition2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinition(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinition) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MetafieldDefinition(ctx, sel, v)
}

func (ec *executionContext) unmarshalOMetafieldDefinitionPinnedStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionPinnedStatus(ctx context.Context, v interface{}) (*MetafieldDefinitionPinnedStatus, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(MetafieldDefinitionPinnedStatus)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMetafieldDefinitionPinnedStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionPinnedStatus(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinitionPinnedStatus) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOMetafieldDefinitionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSortKeys(ctx context.Context, v interface{}) (*MetafieldDefinitionSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(MetafieldDefinitionSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMetafieldDefinitionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldDefinitionSortKeys(ctx context.Context, sel ast.SelectionSet, v *MetafieldDefinitionSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOMetafieldReference2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReference(ctx context.Context, sel ast.SelectionSet, v MetafieldReference) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MetafieldReference(ctx, sel, v)
}

func (ec *executionContext) marshalOMetafieldReferenceConnection2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldReferenceConnection(ctx context.Context, sel ast.SelectionSet, v *MetafieldReferenceConnection) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MetafieldReferenceConnection(ctx, sel, v)
}

func (ec *executionContext) unmarshalOMetafieldValidationStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldValidationStatus(ctx context.Context, v interface{}) (*MetafieldValidationStatus, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(MetafieldValidationStatus)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMetafieldValidationStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMetafieldValidationStatus(ctx context.Context, sel ast.SelectionSet, v *MetafieldValidationStatus) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOMethodDefinitionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMethodDefinitionSortKeys(ctx context.Context, v interface{}) (*MethodDefinitionSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(MethodDefinitionSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMethodDefinitionSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMethodDefinitionSortKeys(ctx context.Context, sel ast.SelectionSet, v *MethodDefinitionSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOMoney2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOMoney2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) marshalOMoneyBag2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyBag(ctx context.Context, sel ast.SelectionSet, v *MoneyBag) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MoneyBag(ctx, sel, v)
}

func (ec *executionContext) marshalOMoneyV22ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐMoneyV2(ctx context.Context, sel ast.SelectionSet, v *MoneyV2) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._MoneyV2(ctx, sel, v)
}

func (ec *executionContext) marshalONavigationItem2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐNavigationItem(ctx context.Context, sel ast.SelectionSet, v *NavigationItem) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._NavigationItem(ctx, sel, v)
}

func (ec *executionContext) marshalOOrder2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrder(ctx context.Context, sel ast.SelectionSet, v *Order) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Order(ctx, sel, v)
}

func (ec *executionContext) marshalOOrderApp2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderApp(ctx context.Context, sel ast.SelectionSet, v *OrderApp) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._OrderApp(ctx, sel, v)
}

func (ec *executionContext) unmarshalOOrderCancelReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderCancelReason(ctx context.Context, v interface{}) (*OrderCancelReason, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(OrderCancelReason)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOOrderCancelReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderCancelReason(ctx context.Context, sel ast.SelectionSet, v *OrderCancelReason) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOOrderDisplayFinancialStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisplayFinancialStatus(ctx context.Context, v interface{}) (*OrderDisplayFinancialStatus, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(OrderDisplayFinancialStatus)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOOrderDisplayFinancialStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderDisplayFinancialStatus(ctx context.Context, sel ast.SelectionSet, v *OrderDisplayFinancialStatus) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOOrderRiskLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskLevel(ctx context.Context, v interface{}) (*OrderRiskLevel, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(OrderRiskLevel)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOOrderRiskLevel2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderRiskLevel(ctx context.Context, sel ast.SelectionSet, v *OrderRiskLevel) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderSortKeys(ctx context.Context, v interface{}) (*OrderSortKeys, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(OrderSortKeys)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOOrderSortKeys2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderSortKeys(ctx context.Context, sel ast.SelectionSet, v *OrderSortKeys) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOOrderTransaction2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransaction(ctx context.Context, sel ast.SelectionSet, v *OrderTransaction) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._OrderTransaction(ctx, sel, v)
}

func (ec *executionContext) unmarshalOOrderTransactionErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionErrorCode(ctx context.Context, v interface{}) (*OrderTransactionErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(OrderTransactionErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOOrderTransactionErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐOrderTransactionErrorCode(ctx context.Context, sel ast.SelectionSet, v *OrderTransactionErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOPaymentMandate2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentMandateᚄ(ctx context.Context, sel ast.SelectionSet, v []*PaymentMandate) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNPaymentMandate2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentMandate(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalOPaymentTerms2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTerms(ctx context.Context, sel ast.SelectionSet, v *PaymentTerms) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._PaymentTerms(ctx, sel, v)
}

func (ec *executionContext) marshalOPaymentTermsTemplate2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPaymentTermsTemplate(ctx context.Context, sel ast.SelectionSet, v *PaymentTermsTemplate) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._PaymentTermsTemplate(ctx, sel, v)
}

func (ec *executionContext) marshalOPriceListContextRule2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListContextRule(ctx context.Context, sel ast.SelectionSet, v *PriceListContextRule) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._PriceListContextRule(ctx, sel, v)
}

func (ec *executionContext) marshalOPriceListParent2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListParent(ctx context.Context, sel ast.SelectionSet, v *PriceListParent) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._PriceListParent(ctx, sel, v)
}

func (ec *executionContext) unmarshalOPriceListPriceOriginType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceOriginType(ctx context.Context, v interface{}) (*PriceListPriceOriginType, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(PriceListPriceOriginType)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOPriceListPriceOriginType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPriceListPriceOriginType(ctx context.Context, sel ast.SelectionSet, v *PriceListPriceOriginType) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOPrivateMetafield2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPrivateMetafield(ctx context.Context, sel ast.SelectionSet, v *PrivateMetafield) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._PrivateMetafield(ctx, sel, v)
}

func (ec *executionContext) marshalOProduct2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProduct(ctx context.Context, sel ast.SelectionSet, v *Product) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Product(ctx, sel, v)
}

func (ec *executionContext) unmarshalOProductChangeStatusUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductChangeStatusUserErrorCode(ctx context.Context, v interface{}) (*ProductChangeStatusUserErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(ProductChangeStatusUserErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOProductChangeStatusUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductChangeStatusUserErrorCode(ctx context.Context, sel ast.SelectionSet, v *ProductChangeStatusUserErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOProductTaxonomyNode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductTaxonomyNode(ctx context.Context, sel ast.SelectionSet, v *ProductTaxonomyNode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ProductTaxonomyNode(ctx, sel, v)
}

func (ec *executionContext) marshalOProductVariant2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariant(ctx context.Context, sel ast.SelectionSet, v *ProductVariant) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ProductVariant(ctx, sel, v)
}

func (ec *executionContext) marshalOProductVariantContextualPricing2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantContextualPricing(ctx context.Context, sel ast.SelectionSet, v *ProductVariantContextualPricing) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ProductVariantContextualPricing(ctx, sel, v)
}

func (ec *executionContext) unmarshalOProductVariantsBulkCreateUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkCreateUserErrorCode(ctx context.Context, v interface{}) (*ProductVariantsBulkCreateUserErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(ProductVariantsBulkCreateUserErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOProductVariantsBulkCreateUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkCreateUserErrorCode(ctx context.Context, sel ast.SelectionSet, v *ProductVariantsBulkCreateUserErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOProductVariantsBulkDeleteUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkDeleteUserErrorCode(ctx context.Context, v interface{}) (*ProductVariantsBulkDeleteUserErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(ProductVariantsBulkDeleteUserErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOProductVariantsBulkDeleteUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkDeleteUserErrorCode(ctx context.Context, sel ast.SelectionSet, v *ProductVariantsBulkDeleteUserErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOProductVariantsBulkReorderUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkReorderUserErrorCode(ctx context.Context, v interface{}) (*ProductVariantsBulkReorderUserErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(ProductVariantsBulkReorderUserErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOProductVariantsBulkReorderUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkReorderUserErrorCode(ctx context.Context, sel ast.SelectionSet, v *ProductVariantsBulkReorderUserErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOProductVariantsBulkUpdateUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkUpdateUserErrorCode(ctx context.Context, v interface{}) (*ProductVariantsBulkUpdateUserErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(ProductVariantsBulkUpdateUserErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOProductVariantsBulkUpdateUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐProductVariantsBulkUpdateUserErrorCode(ctx context.Context, sel ast.SelectionSet, v *ProductVariantsBulkUpdateUserErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOPublication2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPublication(ctx context.Context, sel ast.SelectionSet, v *Publication) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Publication(ctx, sel, v)
}

func (ec *executionContext) marshalOPurchasingEntity2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐPurchasingEntity(ctx context.Context, sel ast.SelectionSet, v PurchasingEntity) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._PurchasingEntity(ctx, sel, v)
}

func (ec *executionContext) marshalORefundDuty2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyᚄ(ctx context.Context, sel ast.SelectionSet, v []*RefundDuty) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalNRefundDuty2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDuty(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalORefundDutyInput2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyInputᚄ(ctx context.Context, v interface{}) ([]*RefundDutyInput, error) {
	if v == nil {
		return nil, nil
	}
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]*RefundDutyInput, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNRefundDutyInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyInput(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) unmarshalORefundDutyRefundType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyRefundType(ctx context.Context, v interface{}) (*RefundDutyRefundType, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(RefundDutyRefundType)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalORefundDutyRefundType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundDutyRefundType(ctx context.Context, sel ast.SelectionSet, v *RefundDutyRefundType) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalORefundLineItemInput2ᚕᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemInputᚄ(ctx context.Context, v interface{}) ([]*RefundLineItemInput, error) {
	if v == nil {
		return nil, nil
	}
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]*RefundLineItemInput, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNRefundLineItemInput2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemInput(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) unmarshalORefundLineItemRestockType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemRestockType(ctx context.Context, v interface{}) (*RefundLineItemRestockType, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(RefundLineItemRestockType)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalORefundLineItemRestockType2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐRefundLineItemRestockType(ctx context.Context, sel ast.SelectionSet, v *RefundLineItemRestockType) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOResourceAlertIcon2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertIcon(ctx context.Context, v interface{}) (*ResourceAlertIcon, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(ResourceAlertIcon)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOResourceAlertIcon2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐResourceAlertIcon(ctx context.Context, sel ast.SelectionSet, v *ResourceAlertIcon) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOSellingPlanCategory2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCategory(ctx context.Context, v interface{}) (*SellingPlanCategory, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(SellingPlanCategory)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOSellingPlanCategory2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanCategory(ctx context.Context, sel ast.SelectionSet, v *SellingPlanCategory) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) unmarshalOSellingPlanGroupUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupUserErrorCode(ctx context.Context, v interface{}) (*SellingPlanGroupUserErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(SellingPlanGroupUserErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOSellingPlanGroupUserErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanGroupUserErrorCode(ctx context.Context, sel ast.SelectionSet, v *SellingPlanGroupUserErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOSellingPlanInventoryPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSellingPlanInventoryPolicy(ctx context.Context, sel ast.SelectionSet, v *SellingPlanInventoryPolicy) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._SellingPlanInventoryPolicy(ctx, sel, v)
}

func (ec *executionContext) marshalOShippingLine2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShippingLine(ctx context.Context, sel ast.SelectionSet, v *ShippingLine) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ShippingLine(ctx, sel, v)
}

func (ec *executionContext) marshalOShopifyPaymentsExtendedAuthorization2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopifyPaymentsExtendedAuthorization(ctx context.Context, sel ast.SelectionSet, v *ShopifyPaymentsExtendedAuthorization) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ShopifyPaymentsExtendedAuthorization(ctx, sel, v)
}

func (ec *executionContext) marshalOShopifyPaymentsRefundSet2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopifyPaymentsRefundSet(ctx context.Context, sel ast.SelectionSet, v *ShopifyPaymentsRefundSet) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ShopifyPaymentsRefundSet(ctx, sel, v)
}

func (ec *executionContext) marshalOShopifyPaymentsTransactionSet2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐShopifyPaymentsTransactionSet(ctx context.Context, sel ast.SelectionSet, v *ShopifyPaymentsTransactionSet) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._ShopifyPaymentsTransactionSet(ctx, sel, v)
}

func (ec *executionContext) marshalOStaffMember2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMember(ctx context.Context, sel ast.SelectionSet, v *StaffMember) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._StaffMember(ctx, sel, v)
}

func (ec *executionContext) unmarshalOStaffMemberDefaultImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberDefaultImage(ctx context.Context, v interface{}) (*StaffMemberDefaultImage, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(StaffMemberDefaultImage)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOStaffMemberDefaultImage2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStaffMemberDefaultImage(ctx context.Context, sel ast.SelectionSet, v *StaffMemberDefaultImage) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOStandardMetafieldDefinitionTemplate2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐStandardMetafieldDefinitionTemplate(ctx context.Context, sel ast.SelectionSet, v *StandardMetafieldDefinitionTemplate) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._StandardMetafieldDefinitionTemplate(ctx, sel, v)
}

func (ec *executionContext) unmarshalOString2string(ctx context.Context, v interface{}) (string, error) {
	res, err := graphql.UnmarshalString(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOString2string(ctx context.Context, sel ast.SelectionSet, v string) graphql.Marshaler {
	res := graphql.MarshalString(v)
	return res
}

func (ec *executionContext) unmarshalOString2ᚕstringᚄ(ctx context.Context, v interface{}) ([]string, error) {
	if v == nil {
		return nil, nil
	}
	var vSlice []interface{}
	if v != nil {
		vSlice = graphql.CoerceList(v)
	}
	var err error
	res := make([]string, len(vSlice))
	for i := range vSlice {
		ctx := graphql.WithPathContext(ctx, graphql.NewPathWithIndex(i))
		res[i], err = ec.unmarshalNString2string(ctx, vSlice[i])
		if err != nil {
			return nil, err
		}
	}
	return res, nil
}

func (ec *executionContext) marshalOString2ᚕstringᚄ(ctx context.Context, sel ast.SelectionSet, v []string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	for i := range v {
		ret[i] = ec.marshalNString2string(ctx, sel, v[i])
	}

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) unmarshalOString2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOString2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) unmarshalOSubscriptionBillingAttemptErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptErrorCode(ctx context.Context, v interface{}) (*SubscriptionBillingAttemptErrorCode, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(SubscriptionBillingAttemptErrorCode)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOSubscriptionBillingAttemptErrorCode2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionBillingAttemptErrorCode(ctx context.Context, sel ast.SelectionSet, v *SubscriptionBillingAttemptErrorCode) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOSubscriptionContract2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContract(ctx context.Context, sel ast.SelectionSet, v *SubscriptionContract) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._SubscriptionContract(ctx, sel, v)
}

func (ec *executionContext) unmarshalOSubscriptionContractLastPaymentStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractLastPaymentStatus(ctx context.Context, v interface{}) (*SubscriptionContractLastPaymentStatus, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(SubscriptionContractLastPaymentStatus)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOSubscriptionContractLastPaymentStatus2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionContractLastPaymentStatus(ctx context.Context, sel ast.SelectionSet, v *SubscriptionContractLastPaymentStatus) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOSubscriptionDeliveryMethod2gshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDeliveryMethod(ctx context.Context, sel ast.SelectionSet, v SubscriptionDeliveryMethod) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._SubscriptionDeliveryMethod(ctx, sel, v)
}

func (ec *executionContext) unmarshalOSubscriptionDiscountRejectionReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountRejectionReason(ctx context.Context, v interface{}) (*SubscriptionDiscountRejectionReason, error) {
	if v == nil {
		return nil, nil
	}
	var res = new(SubscriptionDiscountRejectionReason)
	err := res.UnmarshalGQL(v)
	return res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOSubscriptionDiscountRejectionReason2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionDiscountRejectionReason(ctx context.Context, sel ast.SelectionSet, v *SubscriptionDiscountRejectionReason) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return v
}

func (ec *executionContext) marshalOSubscriptionPricingPolicy2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSubscriptionPricingPolicy(ctx context.Context, sel ast.SelectionSet, v *SubscriptionPricingPolicy) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._SubscriptionPricingPolicy(ctx, sel, v)
}

func (ec *executionContext) marshalOSuggestedRefund2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐSuggestedRefund(ctx context.Context, sel ast.SelectionSet, v *SuggestedRefund) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._SuggestedRefund(ctx, sel, v)
}

func (ec *executionContext) unmarshalOURL2ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOURL2ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) marshalOUTMParameters2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐUTMParameters(ctx context.Context, sel ast.SelectionSet, v *UTMParameters) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._UTMParameters(ctx, sel, v)
}

func (ec *executionContext) unmarshalOUnsignedInt642ᚖstring(ctx context.Context, v interface{}) (*string, error) {
	if v == nil {
		return nil, nil
	}
	res, err := graphql.UnmarshalString(v)
	return &res, graphql.ErrorOnPath(ctx, err)
}

func (ec *executionContext) marshalOUnsignedInt642ᚖstring(ctx context.Context, sel ast.SelectionSet, v *string) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	res := graphql.MarshalString(*v)
	return res
}

func (ec *executionContext) marshalOVideoSource2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐVideoSource(ctx context.Context, sel ast.SelectionSet, v *VideoSource) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._VideoSource(ctx, sel, v)
}

func (ec *executionContext) marshalOWeight2ᚖgshopperᚗcomᚋgshopifyᚋadminᚑapiᚋgraphᚋorderᚋgeneratedᚐWeight(ctx context.Context, sel ast.SelectionSet, v *Weight) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec._Weight(ctx, sel, v)
}

func (ec *executionContext) marshalO_Entity2githubᚗcomᚋ99designsᚋgqlgenᚋpluginᚋfederationᚋfedruntimeᚐEntity(ctx context.Context, sel ast.SelectionSet, v fedruntime.Entity) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec.__Entity(ctx, sel, v)
}

func (ec *executionContext) marshalO__EnumValue2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐEnumValueᚄ(ctx context.Context, sel ast.SelectionSet, v []introspection.EnumValue) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__EnumValue2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐEnumValue(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalO__Field2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐFieldᚄ(ctx context.Context, sel ast.SelectionSet, v []introspection.Field) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__Field2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐField(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalO__InputValue2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValueᚄ(ctx context.Context, sel ast.SelectionSet, v []introspection.InputValue) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__InputValue2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐInputValue(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalO__Schema2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐSchema(ctx context.Context, sel ast.SelectionSet, v *introspection.Schema) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec.___Schema(ctx, sel, v)
}

func (ec *executionContext) marshalO__Type2ᚕgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐTypeᚄ(ctx context.Context, sel ast.SelectionSet, v []introspection.Type) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	ret := make(graphql.Array, len(v))
	var wg sync.WaitGroup
	isLen1 := len(v) == 1
	if !isLen1 {
		wg.Add(len(v))
	}
	for i := range v {
		i := i
		fc := &graphql.FieldContext{
			Index:  &i,
			Result: &v[i],
		}
		ctx := graphql.WithFieldContext(ctx, fc)
		f := func(i int) {
			defer func() {
				if r := recover(); r != nil {
					ec.Error(ctx, ec.Recover(ctx, r))
					ret = nil
				}
			}()
			if !isLen1 {
				defer wg.Done()
			}
			ret[i] = ec.marshalN__Type2githubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx, sel, v[i])
		}
		if isLen1 {
			f(i)
		} else {
			go f(i)
		}

	}
	wg.Wait()

	for _, e := range ret {
		if e == graphql.Null {
			return graphql.Null
		}
	}

	return ret
}

func (ec *executionContext) marshalO__Type2ᚖgithubᚗcomᚋ99designsᚋgqlgenᚋgraphqlᚋintrospectionᚐType(ctx context.Context, sel ast.SelectionSet, v *introspection.Type) graphql.Marshaler {
	if v == nil {
		return graphql.Null
	}
	return ec.___Type(ctx, sel, v)
}

// endregion ***************************** type.gotpl *****************************
